7 - Remote Object Activation

CONTENTS | PREV | NEXT Java Remote Method Invocation

7.4 Activation Interfaces

In the RMI activation protocol, there are two guarantees that the activator must make for the system to function properly:

  • like all system daemons, the activator should remain running while the machine is up, and
  • the activator must not reactivate remote objects that are already active.
The activator maintains a database of appropriate information for the groups and objects that it participates in activating.

7.4.1 The Activator Interface

The activator is one of the entities that participates during the activation process. As described earlier, a faulting reference (inside a stub) calls the activator's activate method to obtain a "live" reference to an activatable remote object. Upon receiving a request for activation, the activator looks up the activation descriptor for the activation identifier, id, determines the group in which the object should be activated, and invokes the newInstance method on the activation group's instantiator (the remote interface ActivationGroup is described below). The activator initiates the execution of activation groups as necessary. For example, if an activation group for a specific group descriptor is not already executing, the activator will spawn a child JVM for the activation group to establish the group in the new JVM.

The activator is responsible for monitoring and detecting when activation groups fail so that it can remove stale remote references from its internal tables.

package java.rmi.activation;

public interface Activator extends java.rmi.Remote
{
    java.rmi.MarshalledObject activate(ActivationID id,
                       boolean force)
        throws UnknownObjectException, ActivationException,
               java.rmi.RemoteException;
}
The activate method activates the object associated with the activation identifier, id. If the activator knows the object to be active already and the force parameter is false, the stub with a "live" reference is returned immediately to the caller; otherwise, if the activator does not know that the corresponding remote object is active or the force parameter is true, the activator uses the activation descriptor information (previously registered to obtain the id) to determine the group (JVM) in which the object should be activated. If an ActivationInstantiator corresponding to the object's group already exists, the activator invokes the activation instantiator's newInstance method, passing it the id and the object's activation descriptor.

If the activation instantiator (group) for the object's group descriptor does not yet exist, the activator starts a new incarnation of an ActivationInstantiator executing (by spawning a child process, for example). When the activator re-creates an ActivationInstantiator for a group, it must increment the group's incarnation number. Note that the incarnation number is zero-based. The activation system uses incarnation numbers to detect late ActivationSystem.activeGroup and ActivationMonitor.inactiveGroup calls. The activation system discards calls with an earlier incarnation number than the current number for the group.

Note - The activator must communicate both the activation group's identifier, descriptor, and incarnation number when it starts up a new activation group. The activator spawns an activation group in a separate JVM (as a separate or child process, for example), and therefore must pass information specifying the information necessary to create the group via the ActivationGroup.createGroup method. How the activator sends this information to the spawned process is unspecified, however, this information could be sent in the form of marshalled objects to the child process's standard input.
When the activator receives the activation group's call back (via the ActivationSystem.activeGroup method) specifying the activation group's reference and incarnation number, the activator can then invoke that activation instantiator's newInstance method to forward each pending activation request to the activation instantiator and return the result (a marshalled remote object reference, a stub) to each caller.

Note that the activator receives a MarshalledObject instead of a Remote object so that the activator does not need to load the code for that object, or participate in distributed garbage collection for that object. If the activator kept a strong reference to the remote object, the activator would then prevent the object from being garbage collected under the normal distributed garbage collection mechanism.

The activate method throws ActivationException if activation fails. Activation may fail for a variety of reasons: the class could not be found, the activation group could not be contacted, etc. The activate method throws UnknownObjectException if no activation descriptor for the activation identifier, id, has been previously registered with this activator. RemoteException is thrown if the remote call to the activator fails.

7.4.2 The ActivationSystem Interface

The ActivationSystem provides a means for registering groups and activatable objects to be activated within those groups. The ActivationSystem works closely with both the Activator, which activates objects registered via the ActivationSystem, and the ActivationMonitor, which obtains information about active and inactive objects and inactive groups.

package java.rmi.activation;

public interface ActivationSystem extends java.rmi.Remote
{
    public static final int SYSTEM_PORT = 1098;

    ActivationGroupID registerGroup(ActivationGroupDesc desc)
        throws ActivationException, java.rmi.RemoteException;

    ActivationMonitor activeGroup(ActivationGroupID id,
                      ActivationInstantiator group,
                      long incarnation)
        throws UnknownGroupException, ActivationException,
               java.rmi.RemoteException;

    void unregisterGroup(ActivationGroupID id)
        throws ActivationException, UnknownGroupException,
               java.rmi.RemoteException;

    ActivationID registerObject(ActivationDesc desc)
        throws ActivationException, UnknownGroupException,
               java.rmi.RemoteException;

    void unregisterObject(ActivationID id)
        throws ActivationException, UnknownObjectException,
               java.rmi.RemoteException;

    void shutdown() throws java.rmi.RemoteException;
}
Note - As a security measure, all of the above methods (registerGroup, activeGroup, unregisterGroup, registerObject, unregisterObject, and shutdown) will throw java.rmi.AccessException, a subclass of java.rmi.RemoteException, if called from a client that does not reside on the same host as the activation system.
The registerObject method is used to register an activation descriptor, desc, and obtain an activation identifier for an activatable remote object. The ActivationSystem creates an ActivationID (an activation identifier) for the object specified by the descriptor, desc, and records, in stable storage, the activation descriptor and its associated identifier for later use. When the Activator receives an activate request for a specific identifier, it looks up the activation descriptor (registered previously) for the specified identifier and uses that information to activate the object. If the group referred to in desc is not registered with this system, then the method throws UnknownGroupException. If registration fails (e.g., database update failure, etc), then the method throws ActivationException. If the remote call fails, then RemoteException is thrown.

The unregisterObject method removes the activation identifier, id, and associated descriptor previously registered with the ActivationSystem. After the call completes, the object can no longer be activated via the object's activation id. If the object id is unknown (not registered) the method throws UnknownObjectException. If the unregister operation fails (e.g., database update failure, etc.), then the method throws ActivationException. If the remote call fails, then RemoteException is thrown.

The registerGroup method registers the activation group specified by the group descriptor, desc, with the activation system and returns the ActivationGroupID assigned to that group. An activation group must be registered with the ActivationSystem before objects can be registered within that group. If group registration fails, the method throws ActivationException. If the remote call fails, then RemoteException is thrown.

The activeGroup method is a call back from the ActivationGroup (with the identifier, id), to inform the activation system that group is now active and is the ActivationInstantiator for that JVM. This call is made internally by the ActivationGroup.createGroup method to obtain an ActivationMonitor that the group uses to update the system regarding objects' and the group's status (i.e., that the group or objects within that group have become inactive). If the group is not registered, then the method throws UnknownGroupException. If the group is already active, then ActivationException is thrown. If the remote call to the activation system fails, then RemoteException is thrown.

The unregisterGroup method removes the activation group with identifier, id, from the activation system. An activation group makes this call back to inform the activator that the group should be destroyed. If this call completes successfully, objects can no longer be registered or activated within the group. All information of the group and its associated objects is removed from the system. The method throws UnknownGroupException if the group is not registered. If the remote call fails, then RemoteException is thrown. If the unregister fails, ActivationException is thrown (e.g., database update failure, etc.).

The shutdown method gracefully terminates (asynchronously) the activation system and all related activation processes (activator, monitors and groups). All groups spawned by the activation daemon will be destroyed and the activation daemon will exit. In order to shut down the activation system daemon, rmid, execute the command:

        rmid -stop [-port num]
This command will shut down the activation daemon on the specified port (if no port is specified, the daemon on the default port will be shut down).

7.4.3 The ActivationMonitor Class

An ActivationMonitor is specific to an ActivationGroup and is obtained when a group is reported via a call to ActivationSystem.activeGroup (this is done internally by the ActivationGroup.createGroup method). An activation group is responsible for informing its ActivationMonitor when:

a. its objects become active,

b. its objects become inactive, or

c. the group as a whole becomes inactive.

package java.rmi.activation;

public interface ActivationMonitor
    extends java.rmi.Remote
{

    public abstract void inactiveObject(ActivationID id)
        throws UnknownObjectException, RemoteException;

    public void activeObject(ActivationID id,
                 java.rmi.MarshalledObject mobj)
        throws UnknownObjectException, java.rmi.RemoteException;

    public void inactiveGroup(ActivationGroupID id,
                  long incarnation)
        throws UnknownGroupException, java.rmi.RemoteException;
}
An activation group calls its monitor's inactiveObject method when an object in its group becomes inactive (deactivates). An activation group discovers that an object (that it participated in activating) in its JVM is no longer active via a call to the activation group's inactiveObject method.

The inactiveObject call informs the ActivationMonitor that the remote object reference it holds for the object with the activation identifier, id, is no longer valid. The monitor considers the reference associated with id as a stale reference. Since the reference is considered stale, a subsequent activate call for the same activation identifier results in re-activating the remote object. If the object is not known to the ActivationMonitor, the method throws UnknownObjectException. If the remote call fails, then RemoteException is thrown.

The activeObject call informs the ActivationMonitor that the object associated with id is now active. The parameter obj is the marshalled representation of the object's stub. An ActivationGroup must inform its monitor if an object in its group becomes active by other means than being activated directly by the system (i.e., the object is registered and "activated" itself). If the object id is not previously registered, then the method throws UnknownObjectException. If the remote call fails, then RemoteException is thrown.

The inactiveGroup call informs the monitor that the group specified by id and incarnation is now inactive. The group will be re-created with a greater incarnation number upon a subsequent request to activate an object within the group. A group becomes inactive when all objects in the group report that they are inactive. If either the group id is not registered or the incarnation number is smaller than the current incarnation for the group, then the method throws UnknownGroupException. If the remote call fails, then RemoteException is thrown.

7.4.4 The ActivationInstantiator Class

The ActivationInstantiator is responsible for creating instances of activatable objects. A concrete subclass of ActivationGroup implements the newInstance method to handle creating objects within the group.

package java.rmi.activation;

public interface ActivationInstantiator
    extends java.rmi.Remote
{
    public MarshalledObject newInstance(ActivationID id,
                        ActivationDesc desc)
        throws ActivationException, java.rmi.RemoteException;

}
The activator calls an instantiator's newInstance method in order to re-create in that group an object with the activation identifier, id, and descriptor, desc. The instantiator is responsible for:

  • determining the class for the object using the descriptor's getClassName method,
  • loading the class from the codebase path obtained from the descriptor (using the getLocation method),
  • creating an instance of the class by invoking the special "activation" constructor of the object's class that takes two arguments: the object's ActivationID, and the MarshalledObject containing object-specific initialization data, and
  • returning a MarshalledObject containing the remote object it created.
An instantiator is also responsible for reporting when objects it creates or activates are no longer active, so that it can make the appropriate inactiveObject call to its ActivationMonitor (see the ActivationGroup class for more details).

If object activation fails, then the newInstance method throws ActivationException. If the remote call fails, then the method throws RemoteException.

7.4.5 The ActivationGroupDesc Class

An activation group descriptor (ActivationGroupDesc) contains the information necessary to create or re-create an activation group in which to activate objects in the same JVM.

Such a descriptor contains:

  • the group's class name (a class name of null indicates the default ActivationGroup implementation),
  • the group's codebase path (the location of the group's class), and
  • a "marshalled" object that can contain object-specific initialization data.
The group's class must be a concrete subclass of ActivationGroup. A subclass of ActivationGroup is created or re-created via the ActivationGroup.createGroup static method, which invokes a special constructor that takes two arguments:

  • the group's ActivationGroupID, and
  • the group's initialization data (in a java.rmi.MarshalledObject)

package java.rmi.activation;

public final class ActivationGroupDesc
    implements java.io.Serializable
{

    public ActivationGroupDesc(java.util.Properties props,
                   CommandEnvironment env);;

    public ActivationGroupDesc(String className,
                   String codebase,
                   java.rmi.MarshalledObject data,
                   java.util.Properties props,
                   CommandEnvironment env);

    public String getClassName();

    public String getLocation();

    public java.rmi.MarshalledObject getData();

    public CommandEnvironment getCommandEnvironment();

    public java.util.Properties getPropertiesOverrides();

}
The first constructor creates a group descriptor that uses system default for group implementation and code location. Properties specify Java application environment overrides (which will override system properties in the group implementation's JVM). The command environment can control the exact command/options used in starting the child JVM, or can be null to accept rmid's default. This constructor will create an ActivationGroupDesc with a null group class name, which indicates the system's default ActivationGroup implementation.

The second constructor is the same as the first, but allows the specification of Properties and CommandEnvironment.

The getClassName method returns the group's class name (possibly null). A null group class name indicates the system's default ActivationGroup implementation.

The getLocation method returns the codebase path from where the group's class can be loaded.

The getData method returns the group's initialization data in marshalled form.

The getCommandEnvironment method returns the command environment (possibly null).

The getPropertiesOverrides method returns the properties overrides (possibly null) for this descriptor.

7.4.6 The ActivationGroupDesc.CommandEnvironment Class

The CommandEnvironment class allows overriding default system properties and specifying implemention-defined options for an ActivationGroup.

public static class CommandEnvironment
    implements java.io.Serializable
{
    public CommandEnvironment(String cmdpath, String[] args);
    public boolean equals(java.lang.Object);
    public String[] getCommandOptions();
    public String getCommandPath();
    public int hashCode();

}
The constructor creates a CommandEnvironment with the given command, cmdpath, and additional command line options, args.

The equals implements content equality for command environment objects. The hashCode method is implemented appropriately so that a CommandEnvironment can be stored in a hash table if necessary.

The getCommandOptions method returns the environment object's command line options.

The getCommandPath method returns the environment object's command string.

7.4.7 The ActivationGroupID Class

The identifier for a registered activation group serves several purposes:

  • it identifies the group uniquely within the activation system, and
  • it contains a reference to the group's activation system so that the group can contact its activation system when necessary.
The ActivationGroupID is returned from the call to ActivationSystem.registerGroup and is used to identify the group within the activation system. This group identifier is passed as one of the arguments to the activation group's special constructor when an activation group is created or re-created.

package java.rmi.activation;

public class ActivationGroupID implements java.io.Serializable
{
    public ActivationGroupID(ActivationSystem system);

    public ActivationSystem getSystem();

    public boolean equals(Object obj);

    public int hashCode();
}
The ActivationGroupID constructor creates a unique group identifier whose ActivationSystem is system.

The getSystem method returns the activation system for the group.

The hashCode method returns a hashcode for the group's identifier. Two group identifiers that refer to the same remote group will have the same hash code.

The equals method compares two group identifiers for content equality. The method returns true if both of the following conditions are true: 1) the unique identifiers are equivalent (by content), and 2) the activation system specified in each refers to the same remote object.

7.4.8 The ActivationGroup Class

An ActivationGroup is responsible for creating new instances of activatable objects in its group, informing its ActivationMonitor when:

a. its objects become active,

b. its objects become inactive, or

c. the group as a whole becomes inactive.

An ActivationGroup is initially created in one of several ways:

  • as a side-effect of creating a "default" ActivationDesc for an object, or
  • by an explicit call to the ActivationGroup.createGroup method, or
  • as a side-effect of activating the first object in a group whose ActivationGroupDesc was only registered.
Only the activator can re-create an ActivationGroup. The activator spawns, as needed, a separate JVM (as a child process, for example) for each registered activation group and directs activation requests to the appropriate group. It is implementation specific how JVMs are spawned. An activation group is created via the ActivationGroup.createGroup static method. The createGroup method has two requirements on the group to be created: 1) the group must be a concrete subclass of ActivationGroup, and 2) the group must have a constructor that takes two arguments:

  • the group's ActivationGroupID, and
  • the group's initialization data (in a MarshalledObject)
When created, the default implementation of ActivationGroup will set the system properties to the system properties in force when the ActivationGroupDesc was created, and will set the security manager to the java.rmi.RMISecurityManager. If your application requires some specific properties to be set when objects are activated in the group, the application should set the properties before creating any ActivationDescs (before the default ActivationGroupDesc is created).

package java.rmi.activation;

public abstract class ActivationGroup
    extends UnicastRemoteObject
    implements ActivationInstantiator
{
    protected ActivationGroup(ActivationGroupID groupID)
        throws java.rmi.RemoteException;

    public abstract MarshalledObject newInstance(ActivationID id,
                             ActivationDesc desc)
        throws ActivationException, java.rmi.RemoteException;

    public abstract boolean inactiveObject(ActivationID id)
        throws ActivationException, UnknownObjectException,
               java.rmi.RemoteException;

    public static ActivationGroup createGroup(ActivationGroupID id,
                              ActivationGroupDesc desc,
                          long incarnation)
        throws ActivationException;

    public static ActivationGroupID currentGroupID();

    public static void setSystem(ActivationSystem system)
        throws ActivationException;

    public static ActivationSystem getSystem()
        throws ActivationException;

    protected void activeObject(ActivationID id,
                    java.rmi.MarshalledObject mobj)
        throws ActivationException, UnknownObjectException,
               java.rmi.RemoteException;

    protected void inactiveGroup()
        throws UnknownGroupException, java.rmi.RemoteException;

}
The activator calls an activation group's newInstance method in order to activate an object with the activation descriptor, desc. The activation group is responsible for:

  • determining the class for the object using the descriptor's getClassName method,
  • loading the class from the URL path obtained from the descriptor (using the getLocation method),
  • creating an instance of the class by invoking the special constructor of the object's class that takes two arguments: the object's ActivationID, and a MarshalledObject containing the object's initialization data, and
  • returning a serialized version of the remote object it just created to the activator.
The method throws ActivationException if the instance for the given descriptor could not be created.

The group's inactiveObject method is called indirectly via a call to the Activatable.inactive method. A remote object implementation must call Activatable's inactive method when that object deactivates (the object deems that it is no longer active). If the object does not call Activatable.inactive when it deactivates, the object will never be garbage collected since the group keeps strong references to the objects it creates.

The group's inactiveObject method unexports the remote object, associated with id (only if there are no pending or executing calls to the remote object) from the RMI runtime so that the object can no longer receive incoming RMI calls. If the object currently has pending or executing calls, inactiveObject returns false and no action is taken.

If the unexportObject operation was successful (meaning that the object has no pending or executing calls), the group informs its ActivationMonitor (via the monitor's inactiveObject method) that the remote object is not currently active so that the remote object will be reactivated by the activator upon a subsequent activation request. If the operation was successful, inactiveObject returns true. The operation may still succeed if the object is considered active by the ActivationGroup but has already been unexported.

The inactiveObject method throws an UnknownObjectException if the activation group has no knowledge of this object (e.g., the object was previously reported as inactive, or the object was never activated via the activation group). If the inactive operation fails (e.g., if the remote call to the activator or activation group fails), RemoteException is thrown.

The createGroup method creates and sets the activation group for the current JVM. The activation group can only be set if it is not currently set. An activation group is set using the createGroup method when the Activator initiates the re-creation of an activation group in order to carry out incoming activate requests. A group must first register a group descriptor with the ActivationSystem before it can be created via this method (passing it the ActivationID obtained from previous registration).

The group specified by the ActivationGroupDesc, desc, must be a concrete subclass of ActivationGroup and have a public constructor that takes two arguments; the ActivationGroupID for the group and a MarshalledObject containing the group's initialization data (obtained from its ActivationGroupDesc). If the ActivationGroupDesc.getClassName method returns null, the system's default group implementation is used. Note: if your application creates its own custom activation group, the group must set a security manager in the constructor, or objects cannot be activated in the group.

After the group is created, the ActivationSystem is informed that the group is active by calling the activeGroup method, which returns the ActivationMonitor for the group. The application need not call activeGroup independently since that callback is taken care of by the createGroup method.

Once a group is created, subsequent calls to the currentGroupID method will return the identifier for this group until the group becomes inactive, at which point the currentGroupID method will return null.

The parameter incarnation indicates the current group incarnation, i.e., the number of times the group has been activated. The incarnation number is used as a parameter to the activeGroup method, once the group has been successfully created. The incarnation number is zero-based. If the group already exists, or if an error occurs during group creation, the createGroup method throws ActivationException.

The setSystem method sets the ActivationSystem, system, for the JVM. The activation system can only be set if no group is currently active. If the activation system is not set via an explicit call to setSystem, then the getSystem method will attempt to obtain a reference to the ActivationSystem by looking up the name java.rmi.activation.ActivationSystem in the Activator's registry. By default, the port number used to look up the activation system is defined by ActivationSystem.SYSTEM_PORT. This port can be overridden by setting the property java.rmi.activation.port. If the activation system is already set when setSystem is called, the method throws ActivationException.

The getSystem method returns the activation system for the JVM. The activation system may be set by the setSystem method (described above).

The activeObject method is a protected method used by subclasses to make the activeObject call back to the group's monitor to inform the monitor that the remote object with the specified activation id and whose stub is contained in mobj is now active. The call is simply forwarded to the group's ActivationMonitor.

The inactiveGroup method is a protected method used by subclasses to inform the group's monitor that the group has become inactive. A subclass makes this call when each object the group participated in activating in the JVM has become inactive.

7.4.9 The MarshalledObject Class

A MarshalledObject is a container for an object that allows that object to be passed as a parameter in an RMI call, but postpones deserializing the object at the receiver until the application explicitly requests the object (via a call to the container object). The Serializable object contained in the MarshalledObject is serialized and deserialized (when requested) with the same semantics as parameters passed in RMI calls, which means that any remote object in the MarshalledObject is represented by a serialized instance of its stub. The object contained by the MarshalledObject may be a remote object, a non-remote object, or an entire graph of remote and non-remote objects.

When an object is placed inside the MarshalledObject wrapper, the serialized form of the object is annotated with the codebase URL (where the class can be loaded); likewise, when the contained object is retrieved from its MarshalledObject wrapper, if the code for the object is not available locally, the URL (annotated during serialization) is used to locate and load the bytecodes for the object's class.

package java.rmi;

public final class MarshalledObject implements java.io.Serializable
{
    public MarshalledObject(Object obj)
        throws java.io.IOException;

    public Object get()
        throws java.io.IOException, ClassNotFoundException;

    public int hashCode();

    public boolean equals();
}
MarshalledObject's constructor takes a serializable object, obj, as its single argument and holds the marshalled representation of the object in a byte stream. The marshalled representation of the object preserves the semantics of objects that are passed in RMI calls:

  • each class in the stream is annotated with its codebase URL so that when the object is reconstructed (by a call to the get method), the bytecodes for each class can be located and loaded, and
  • remote objects are replaced with their proxy stubs.
When an instance of the class MarshalledObject is written to a java.io.ObjectOutputStream, the contained object's marshalled form (created during construction) is written to the stream; thus, only the byte stream is serialized.

When a MarshalledObject is read from a java.io.ObjectInputStream, the contained object is not deserialized into a concrete object; the object remains in its marshalled representation until the marshalled object's get method is called.

The get method always reconstructs a new copy of the contained object from its marshalled form. The internal representation is deserialized with the semantics used for unmarshalling parameters for RMI calls. So, the deserialization of the object's representation loads class code (if not available locally) using the URL annotation embedded in the serialized stream for the object.

The hashCode of the marshalled representation of the object is the same as the object passed to the constructor. The equals method will return true if the marshalled representation of the objects being compared are equivalent. The comparison that equals uses ignores a class's codebase annotation, meaning that two objects are equivalent if they have the same serialized representation except for the codebase of each class in the serialized representation.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


3 - RMI System Overview

CONTENTS | PREV | NEXT Java Remote Method Invocation

RMI System Overview

CHAPTER 3

Topics:

  • Stubs and Skeletons
  • Thread Usage in Remote Method Invocations
  • Garbage Collection of Remote Objects
  • Dynamic Class Loading
  • RMI Through Firewalls Via Proxies

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


3 - RMI System Overview

CONTENTS | PREV | NEXT Java Remote Method Invocation

3.1 Stubs and Skeletons

RMI uses a standard mechanism (employed in RPC systems) for communicating with remote objects: stubs and skeletons. A stub for a remote object acts as a client's local representative or proxy for the remote object. The caller invokes a method on the local stub which is responsible for carrying out the method call on the remote object. In RMI, a stub for a remote object implements the same set of remote interfaces that a remote object implements.

When a stub's method is invoked, it does the following:

  • initiates a connection with the remote JVM containing the remote object,
  • marshals (writes and transmits) the parameters to the remote JVM,
  • waits for the result of the method invocation,
  • unmarshals (reads) the return value or exception returned, and
  • returns the value to the caller.
The stub hides the serialization of parameters and the network-level communication in order to present a simple invocation mechanism to the caller.

In the remote JVM, each remote object may have a corresponding skeleton (in Java 2 platform-only environments, skeletons are not required). The skeleton is responsible for dispatching the call to the actual remote object implementation. When a skeleton receives an incoming method invocation it does the following:

  • unmarshals (reads) the parameters for the remote method,
  • invokes the method on the actual remote object implementation, and
  • marshals (writes and transmits) the result (return value or exception) to the caller.
In the Java 2 SDK, Standard Edition, v1.2 an additional stub protocol was introduced that eliminates the need for skeletons in Java 2 platform-only environments. Instead, generic code is used to carry out the duties performed by skeletons in JDK1.1. Stubs and skeletons are generated by the rmic compiler.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


3 - RMI System Overview

CONTENTS | PREV | NEXT Java Remote Method Invocation

3.2 Thread Usage in Remote Method Invocations

A method dispatched by the RMI runtime to a remote object implementation may or may not execute in a separate thread. The RMI runtime makes no guarantees with respect to mapping remote object invocations to threads. Since remote method invocation on the same remote object may execute concurrently, a remote object implementation needs to make sure its implementation is thread-safe.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


3 - RMI System Overview

CONTENTS | PREV | NEXT Java Remote Method Invocation

3.3 Garbage Collection of Remote Objects

In a distributed system, just as in the local system, it is desirable to automatically delete those remote objects that are no longer referenced by any client. This frees the programmer from needing to keep track of the remote objects' clients so that it can terminate appropriately. RMI uses a reference-counting garbage collection algorithm similar to Modula-3's Network Objects. (See "Network Objects" by Birrell, Nelson, and Owicki, Digital Equipment Corporation Systems Research Center Technical Report 115, 1994.)

To accomplish reference-counting garbage collection, the RMI runtime keeps track of all live references within each Java virtual machine. When a live reference enters a Java virtual machine, its reference count is incremented. The first reference to an object sends a "referenced" message to the server for the object. As live references are found to be unreferenced in the local virtual machine, the count is decremented. When the last reference has been discarded, an unreferenced message is sent to the server. Many subtleties exist in the protocol; most of these are related to maintaining the ordering of referenced and unreferenced messages in order to ensure that the object is not prematurely collected.

When a remote object is not referenced by any client, the RMI runtime refers to it using a weak reference. The weak reference allows the Java virtual machine's garbage collector to discard the object if no other local references to the object exist. The distributed garbage collection algorithm interacts with the local Java virtual machine's garbage collector in the usual ways by holding normal or weak references to objects.

As long as a local reference to a remote object exists, it cannot be garbage-collected and it can be passed in remote calls or returned to clients. Passing a remote object adds the identifier for the virtual machine to which it was passed to the referenced set. A remote object needing unreferenced notification must implement the java.rmi.server.Unreferenced interface. When those references no longer exist, the unreferenced method will be invoked. unreferenced is called when the set of references is found to be empty so it might be called more than once. Remote objects are only collected when no more references, either local or remote, still exist.

Note that if a network partition exists between a client and a remote server object, it is possible that premature collection of the remote object will occur (since the transport might believe that the client crashed). Because of the possibility of premature collection, remote references cannot guarantee referential integrity; in other words, it is always possible that a remote reference may in fact not refer to an existing object. An attempt to use such a reference will generate a RemoteException which must be handled by the application.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


3 - RMI System Overview

CONTENTS | PREV | NEXT Java Remote Method Invocation

3.4 Dynamic Class Loading

RMI allows parameters, return values and exceptions passed in RMI calls to be any object that is serializable. RMI uses the object serialization mechanism to transmit data from one virtual machine to another and also annotates the call stream with the appropriate location information so that the class definition files can be loaded at the receiver.

When parameters and return values for a remote method invocation are unmarshalled to become live objects in the receiving JVM, class definitions are required for all of the types of objects in the stream. The unmarshalling process first attempts to resolve classes by name in its local class loading context (the context class loader of the current thread). RMI also provides a facility for dynamically loading the class definitions for the actual types of objects passed as parameters and return values for remote method invocations from network locations specified by the transmitting endpoint. This includes the dynamic downloading of remote stub classes corresponding to particular remote object implementation classes (and used to contain remote references) as well as any other type that is passed by value in RMI calls, such as the subclass of a declared parameter type, that is not already available in the class loading context of the unmarshalling side.

To support dynamic class loading, the RMI runtime uses special subclasses of java.io.ObjectOutputStream and java.io.ObjectInputStream for the marshal streams that it uses for marshalling and unmarshalling RMI parameters and return values. These subclasses respectively override the annotateClass method of ObjectOutputStream and the resolveClass method of ObjectInputStream to communicate information about where to locate class files containing the definitions for classes corresponding to the class descriptors in the stream.

For every class descriptor written to an RMI marshal stream, the annotateClass method adds to the stream the result of calling java.rmi.server.RMIClassLoader.getClassAnnotation for the class object, which may be null or may be a String object representing the codebase URL path (a space-separated list of URLs) from which the remote endpoint should download the class definition file for the given class.

For every class descriptor read from an RMI marshal stream, the resolveClass method reads a single object from the stream. If the object is a String (and the value of the java.rmi.server.useCodebaseOnly property is not true), then resolveClass returns the result of calling RMIClassLoader.loadClass with the annotated String object as the first parameter and the name of the desired class in the class descriptor as the second parameter. Otherwise, resolveClass returns the result of calling RMIClassLoader.loadClass with the name of the desired class as the only parameter.

See the section "The RMIClassLoader Class" for more details about class loading in RMI.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


3 - RMI System Overview

CONTENTS | PREV | NEXT Java Remote Method Invocation

3.5 RMI Through Firewalls Via Proxies

The RMI transport layer normally attempts to open direct sockets to hosts on the Internet. Many intranets, however, have firewalls that do not allow this. The default RMI transport, therefore, provides two alternate HTTP-based mechanisms which enable a client behind a firewall to invoke a method on a remote object which resides outside the firewall.

As described in this section, the HTTP-based mechanism that the RMI transport layer uses for RMI calls only applies to firewalls with HTTP proxy servers.

3.5.1 How an RMI Call is Packaged within the HTTP Protocol

To get outside a firewall, the transport layer embeds an RMI call within the firewall-trusted HTTP protocol. The RMI call data is sent outside as the body of an HTTP POST request, and the return information is sent back in the body of the HTTP response. The transport layer will formulate the POST request in one of two ways:

1. If the firewall proxy will forward an HTTP request directed to an arbitrary port on the host machine, then it is forwarded directly to the port on which the RMI server is listening. The default RMI transport layer on the target machine is listening with a server socket that is capable of understanding and decoding RMI calls inside POST requests.
2. If the firewall proxy will only forward HTTP requests directed to certain well-known HTTP ports, then the call is forwarded to the HTTP server listening on port 80 of the host machine, and a CGI script is executed to forward the call to the target RMI server port on the same machine.

3.5.2 The Default Socket Factory

The RMI transport implementation includes an extension of the class java.rmi.server.RMISocketFactory, which is the default resource-provider for client and server sockets used to send and receive RMI calls; this default socket factory can be obtained via the java.rmi.server.RMISocketFactory.getDefaultSocketFactory method. This default socket factory creates sockets that transparently provide the firewall tunnelling mechanism as follows:

  • Client sockets first attempt a direct socket connection. Client sockets automatically attempt HTTP connections to hosts that cannot be contacted with a direct socket if that direct socket connection results in either a java.net.NoRouteToHostException or a java.net.UnknownHostException being thrown. If a direct socket connection results in any other exception being thrown, such as a java.net.ConnectException, an HTTP connection will not be attempted.
  • Server sockets automatically detect if a newly-accepted connection is an HTTP POST request, and if so, return a socket that will expose only the body of the request to the transport and format its output as an HTTP response.
Client-side sockets, with this default behavior, are provided by the factory's java.rmi.server.RMISocketFactory.createSocket method. Server-side sockets with this default behavior are provided by the factory's java.rmi.server.RMISocketFactory.createServerSocket method.

3.5.3 Configuring the Client

There is no special configuration necessary to enable the client to send RMI calls through a firewall.

The client can, however, disable the packaging of RMI calls as HTTP requests by setting the java.rmi.server.disableHttp property to equal the boolean value true.

3.5.4 Configuring the Server

Note - The host name should not be specified as the host's IP address, because some firewall proxies will not forward to such a host name.
    1. In order for a client outside the server host's domain to be able to invoke methods on a server's remote objects, the client must be able to find the server. To do this, the remote references that the server exports must contain the fully-qualified name of the server host.

      2. Depending on the server's platform and network environment, this information may or may not be available to the Java virtual machine on which the server is running. If it is not available, the host's fully qualified name must be specified with the property java.rmi.server.hostname when starting the server.

      For example, use this command to start the RMI server class ServerImpl on the machine chatsubo.javasoft.com:

         java -Djava.rmi.server.hostname=chatsubo.javasoft.com ServerImpl
    2. If the server will not support RMI clients behind firewalls that can forward to arbitrary ports, use this configuration:

      1. An HTTP server is listening on port 80.

      2. A CGI script is located at the aliased URL path

        /cgi-bin/java-rmi.cgi
        This script:

        • Invokes the local interpreter for the Java programming language to execute a class internal to the transport layer which forwards the request to the appropriate RMI server port.

        • Defines properties in the Java virtual machine with the same names and values as the CGI 1.0 defined environment variables.

    An example script is supplied in the RMI distribution for the Solaris and Windows 32 operating systems. Note that the script must specify the complete path to the interpreter for the Java programming language on the server machine.

    3.5.5 Performance Issues and Limitations

    Calls transmitted via HTTP requests are at least an order of magnitude slower that those sent through direct sockets, without taking proxy forwarding delays into consideration.

    Because HTTP requests can only be initiated in one direction through a firewall, a client cannot export its own remote objects outside the firewall, because a host outside the firewall cannot initiate a method invocation back on the client.

    CONTENTS | PREV | NEXT
    Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


4 - Client Interfaces

CONTENTS | PREV | NEXT Java Remote Method Invocation

Client Interfaces

CHAPTER 4

When writing an applet or an application that uses remote objects, the programmer needs to be aware of the RMI system's client visible interfaces that are available in the java.rmi package.

Topics:

  • The Remote Interface
  • The RemoteException Class
  • The Naming Class

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


4 - Client Interfaces

CONTENTS | PREV | NEXT Java Remote Method Invocation

4.1 The Remote Interface

The java.rmi.Remote interface serves to identify all remote interfaces; all remote objects must directly or indirectly implement this interface.

Implementation classes can implement any number of remote interfaces and can extend other remote implementation classes. RMI provides some convenience classes that remote object implementations can extend which facilitate remote object creation. These classes are java.rmi.server.UnicastRemoteObject and java.rmi.activation.Activatable.

For more details on how to define a remote interface see the section "The java.rmi.Remote Interface".

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


4 - Client Interfaces

CONTENTS | PREV | NEXT Java Remote Method Invocation

4.2 The RemoteException Class

The class java.rmi.RemoteException is the common superclass of a number of communication-related exceptions that may occur during the execution of a remote method call. Each method of a remote interface, an interface, must list RemoteException (or one of its superclasses such as java.io.IOException or java.lang.Exception) in its throws clause.

package java.rmi;

public class RemoteException extends java.io.IOException
{
    public Throwable detail;

    public RemoteException();
    public RemoteException(String s);
    public RemoteException(String s, Throwable ex);

    public String getMessage();
    public void printStackTrace();
    public void printStackTrace(java.io.PrintStream ps);
    public void printStackTrace(java.io.PrintWriter pw);
}
A RemoteException can be constructed with a detail message, s, and a nested exception, ex (a Throwable). Typically, the nested exception, ex, specified as a parameter in the third form of the constructor, is the underlying I/O exception that occurred during an RMI call.

The getMessage method returns the detail message of the exception, including the message from the nested exception (if any).

The printStackTrace methods are overridden from the class java.lang.Throwable to print out the stack trace of the nested exception.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


4 - Client Interfaces

CONTENTS | PREV | NEXT Java Remote Method Invocation

4.3 The Naming Class

The java.rmi.Naming class provides methods for storing and obtaining references to remote objects in the remote object registry. The Naming class's methods take, as one of their arguments, a name that is URL formatted java.lang.String of the form:

   //host:port/name
where host is the host (remote or local) where the registry is located, port is the port number on which the registry accepts calls, and where name is a simple string uninterpreted by the registry. Both host and port are optional. If host is omitted, the host defaults to the local host. If port is omitted, then the port defaults to 1099, the "well-known" port that RMI's registry, rmiregistry, uses.

Binding a name for a remote object is associating or registering a name for a remote object that can be used at a later time to look up that remote object. A remote object can be associated with a name using the Naming class's bind or rebind methods.

Once a remote object is registered (bound) with the RMI registry on the local host, callers on a remote (or local) host can lookup the remote object by name, obtain its reference, and then invoke remote methods on the object. A registry may be shared by all servers running on a host or an individual server process may create and use its own registry if desired (see the java.rmi.registry.LocateRegistry.createRegistry method for details).

package java.rmi;

public final class Naming {
    public static Remote lookup(String url)
        throws NotBoundException, java.net.MalformedURLException,
        RemoteException;
    public static void bind(String url, Remote obj)
        throws AlreadyBoundException,
        java.net.MalformedURLException, RemoteException;
    public static void rebind(String url, Remote obj)
        throws RemoteException, java.net.MalformedURLException;
    public static void unbind(String url)
        throws RemoteException, NotBoundException,
        java.net.MalformedURLException;
    public static String[] list(String url)
        throws RemoteException, java.net.MalformedURLException;
}
The lookup method returns the remote object associated with the file portion of the name. The NotBoundException is thrown if the name has not been bound to an object.

The bind method binds the specified name to the remote object. It throws the AlreadyBoundException if the name is already bound to an object.

The rebind method always binds the name to the object even if the name is already bound. The old binding is lost.

The unbind method removes the binding between the name and the remote object. It will throw the NotBoundException if there was no binding.

The list method returns an array of String objects containing a snapshot of the URLs bound in the registry. Only the host and port information of the URL is needed to contact a registry for the list of its contents; thus, the "file" part of the URL is ignored.

Note - The java.rmi.AccessException may also be thrown as a result of any of these methods. The AccessException indicates that the caller does not have permission to execute the specific operation. For example, only clients that are local to the host on which the registry runs are permitted to execute the operations, bind, rebind, and unbind. A lookup operation, however can be invoked from any non-local client.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


9 - Garbage Collector Interfaces

CONTENTS | PREV | NEXT Java Remote Method Invocation

Garbage Collector Interfaces

CHAPTER 9

The interfaces and classes in this chapter are used by the distributed garbage collector (DGC) for RMI.

Topics:

  • The DGC Interface
  • The Lease Class
  • The ObjID Class
  • The UID Class
  • The VMID Class

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


9 - Garbage Collector Interfaces

CONTENTS | PREV | NEXT Java Remote Method Invocation

9.1 The DGC Interface

The DGC abstraction is used for the server side of the distributed garbage collection algorithm. This interface contains the two methods: dirty and clean. A dirty call is made when a remote reference is unmarshaled in a client (the client is indicated by its VMID). A corresponding clean call is made when no more references to the remote reference exist in the client. A failed dirty call must schedule a strong clean call so that the call's sequence number can be retained in order to detect future calls received out of order by the distributed garbage collector.

A reference to a remote object is leased for a period of time by the client holding the reference. The lease period starts when the dirty call is received. It is the client's responsibility to renew the leases, by making additional dirty calls, on the remote references it holds before such leases expire. If the client does not renew the lease before it expires, the distributed garbage collector assumes that the remote object is no longer referenced by that client.

package java.rmi.dgc;

import java.rmi.server.ObjID;

public interface DGC extends java.rmi.Remote {
    Lease dirty(ObjID[] ids, long sequenceNum, Lease lease)
        throws java.rmi.RemoteException;
    void clean(ObjID[] ids, long seqNum, VMID vmid, boolean strong)
        throws java.rmi.RemoteException;
}
The dirty method requests leases for the remote object references associated with the object identifiers contained in the array argument ids. The lease contains a client's unique virtual machine identifier (VMID) and a requested lease period. For each remote object exported in the local virtual machine, the garbage collector maintains a reference list--a list of clients that hold references to it. If the lease is granted, the garbage collector adds the client's VMID to the reference list for each remote object indicated in ids. The sequenceNum parameter is a sequence number that is used to detect and discard late calls to the garbage collector. The sequence number should always increase for each subsequent call to the garbage collector.

Some clients are unable to generate a unique VMID. This is because a VMID is a universally unique identifier only if it contains a true host address, an address which some clients are unable to obtain due to security restrictions. In this case, a client can use a VMID of null, and the distributed garbage collector will assign a VMID for the client.

The dirty call returns a Lease object that contains the VMID used and the lease period granted for the remote references. (A server can decide to grant a smaller lease period than the client requests.) A client must use the VMID the garbage collector uses in order to make corresponding clean calls when the client drops remote object references.

A client virtual machine need only make one initial dirty call for each remote reference referenced in the virtual machine (even if it has multiple references to the same remote object). The client must also make a dirty call to renew leases on remote references before such leases expire. When the client no longer has any references to a specific remote object, it must schedule a clean call for the object ID associated with the reference.

The clean call removes the VMID from the reference list of each remote object indicated in ids. The sequence number is used to detect late clean calls. If the strong argument is true, then the clean call is a result of a failed dirty call, and the sequence number for the client VMID therefore needs to be remembered.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


9 - Garbage Collector Interfaces

CONTENTS | PREV | NEXT Java Remote Method Invocation

9.2 The Lease Class

A lease contains a unique virtual machine identifier and a lease duration. A Lease object is used to request and grant leases to remote object references.

package java.rmi.dgc;

public final class Lease implements java.io.Serializable {
    public Lease(VMID id, long duration);
    public VMID getVMID();
    public long getValue();
}
The Lease constructor creates a lease with a specific VMID and lease duration. The VMID may be null.

The getVMID method returns the client VMID associated with the lease.

The getValue method returns the lease duration.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


9 - Garbage Collector Interfaces

CONTENTS | PREV | NEXT Java Remote Method Invocation

9.3 The ObjID Class

The class ObjID is used to identify remote objects uniquely in a virtual machine over time. Each identifier contains an object number and an address space identifier that is unique with respect to a specific host. An object identifier is assigned to a remote object when it is exported.

An ObjID consists of an object number (a long) and a unique identifier for the address space (a UID).

package java.rmi.server;

public final class ObjID implements java.io.Serializable {
    public ObjID ();
    public ObjID (int num);
    public void write(ObjectOutput out)
                throws java.io.IOException;
    public static ObjID read(ObjectInput in)
        throws java.io.IOException;
    public int hashCode()
    public boolean equals(Object obj)
    public String toString()
}
The first form of the ObjID constructor generates a unique object identifier. The second constructor generates well-known object identifiers (such as those used by the registry and the distributed garbage collector) and takes as an argument a well-known object number. A well-known object ID generated via this second constructor will not clash with any object IDs generated via the default constructor; to enforce this, the object number of the ObjID is set to the "well-known" number supplied in the constructor and all UID fields are set to zero.

The method write marshals the object ID's representation to an output stream.

The method read constructs an object ID whose contents is read from the specified input stream.

The method hashCode returns the object number as the hashcode

The equals method returns true if obj is an ObjID with the same contents.

The toString method returns a string containing the object ID representation. The address space identifier is included in the string representation only if the object ID is from a non-local address space.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


9 - Garbage Collector Interfaces

CONTENTS | PREV | NEXT Java Remote Method Invocation

9.4 The UID Class

The class UID is an abstraction for creating identifiers that are unique with respect to the host on which it is generated. A UID is contained in an ObjID as an address space identifier. A UID consists of a number that is unique on the host (an int), a time (a long), and a count (a short).

package java.rmi.server;

public final class UID implements java.io.Serializable {

    public UID();
    public UID(short num);

    public int hashCode();
    public boolean equals(Object obj);
    public String toString();
    public void write(DataOutput out)
        throws java.io.IOException;
    public static UID read(DataInput in)
        throws java.io.IOException;
}
The first form of the constructor creates a pure identifier that is unique with respect to the host on which it is generated. This UID is unique under the following conditions: a) the machine takes more than one second to reboot, and b) the machine's clock is never set backward. In order to construct a UID that is globally unique, simply pair a UID with an InetAddress.

The second form of the constructor creates a well-known UID. There are 216 -1 such possible well-known IDs. An ID generated via this constructor will not clash with any ID generated via the default UID constructor which generates a genuinely unique identifier with respect to this host.

The methods hashCode, equals, and toString are defined for UIDs. Two UIDs are considered equal if they have the same contents.

The method write writes the UID to the output stream.

The method read constructs a UID whose contents is read from the specified input stream.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


9 - Garbage Collector Interfaces

CONTENTS | PREV | NEXT Java Remote Method Invocation

9.5 The VMID Class

The class VMID provides a universally unique identifier among all Java virtual machines. A VMID contains a UID and a host address. A VMID can be used to identify client virtual machines.

package java.rmi.dgc;

public final class VMID implements java.io.Serializable {

    public VMID();

    public static boolean isUnique();
    public int hashCode();
    public boolean equals(Object obj);
    public String toString();
}
The VMID default constructor creates a globally unique identifier among all Java virtual machines under the following conditions:

  • the conditions for uniqueness for objects of the class java.rmi.server.UID are satisfied, and
  • an address can be obtained for the host that is unique and constant for the lifetime of the UID object.
A VMID contains the host address of the machine on which it was created. Due to security restrictions, obtaining the true host address is not always possible (for example, the loopback host may be used under security-restricted conditions). The method isUnique can be called to determine if VMIDs generated in this virtual machine are, in fact, unique among all virtual machines. The method isUnique returns true if a valid host name can be determined (other than loopback host); otherwise it returns false.

The hashCode, equals and toString methods are defined for VMIDs. Two VMIDs are considered equal if they have the same contents.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


- Exceptions In RMI

CONTENTS | PREV | NEXT Java Remote Method Invocation

Remote Object Activation

APPENDIX A

Topics:

  • Exceptions During Remote Object Export
  • Exceptions During RMI Call
  • Exceptions or Errors During Return
  • Naming Exceptions
  • Activation Exceptions
  • Other Exceptions

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


- Exceptions In RMI

CONTENTS | PREV | NEXT Java Remote Method Invocation

A.1 Exceptions During Remote Object Export

When a remote object class is created that extends UnicastRemoteObject, the object is exported, meaning it can receive calls from external Java virtual machines and can be passed in an RMI call as either a parameter or return value. An object can either be exported on an anonymous port or on a specified port. For objects not extended from UnicastRemoteObject, the java.rmi.server.UnicastRemoteObject.exportObject method is used to explicitly export the object.

Exception
 Context

java.rmi.StubNotFoundException

Class of stub not found.

Name collision with class of same name as stub causes one of these errors:

  • Stub can't be instantiated

  • Stub not of correct class

    • Bad URL due to wrong codebase.

    Stub not of correct class.

    java.rmi.server.SkeletonNotFoundException

    note: this exception is deprecated as of Java 2 SDK, Standard Edition, v1.2

    Class of skeleton not found.

    Name collision with class of same name as skeleton causes one of these errors:

  • Skeleton can't be instantiated

  • Skeleton not of correct class

    • Bad URL due to wrong codebase.

    Skeleton not of correct class.

    java.rmi.server.ExportException

    The port is in use by another VM.

    CONTENTS | PREV | NEXT
    Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


- Exceptions In RMI

CONTENTS | PREV | NEXT Java Remote Method Invocation

A.2 Exceptions During RMI Call

Exception
 Context

java.rmi.UnknownHostException

Unknown host.

java.rmi.ConnectException

Connection refused to host.

java.rmi.ConnectIOException

I/O error creating connection.

java.rmi.MarshalException

I/O error marshaling transport header, marshaling call header, or marshaling arguments.

java.rmi.NoSuchObjectException

Attempt to invoke a method on an object that is no longer available.

java.rmi.StubNotFoundException

Remote object not exported.

java.rmi.activation.ActivateFailedException

Thrown by RMI runtime when activation fails during a remote call to an activatable object

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


- Exceptions In RMI

CONTENTS | PREV | NEXT Java Remote Method Invocation

A.3 Exceptions or Errors During Return

Exception
 Context

java.rmi.UnmarshalException

Corrupted stream leads to either an I/O or protocol error when:

  • Marshaling return header

  • Checking return type

  • Checking return code

  • Unmarshaling return

    • Return value class not found.

    java.rmi.UnexpectedException

    An exception not mentioned in the method signature occurred (excluding runtime exceptions). The UnexpectedException exception object contains the underlying exception that was thrown by the server.

    java.rmi.ServerError

    Any error that occurs while the server is executing a remote method. The ServerError exception object contains the underlying error that was thrown by the server,

    java.rmi.ServerException

    Any remote exception that occurs while the server is executing a remote method. For examples, see Section A.3.1, "Possible Causes of java.rmi.ServerException".

    java.rmi.ServerRuntimeException

    note: this exception is deprecated as of Java 2 SDK, Standard Edition, v1.2

    This exception is not thrown by servers running Java 2 SDK, Standard Edition, v1.2-compatible versions. A RuntimeException are propagated to clients in tact.

    CONTENTS | PREV | NEXT
    Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


- Exceptions In RMI

CONTENTS | PREV | NEXT Java Remote Method Invocation

A.3.1 Possible Causes of java.rmi.ServerException

These are some of the underlying exceptions which can occur on the server when the server is itself executing a remote method invocation. These exceptions are wrapped in a java.rmi.ServerException; that is the java.rmi.ServerException contains the original exception for the client to extract. These exceptions are wrapped by ServerException so that the client will know that its own remote method invocation on the server did not fail, but that a secondary remote method invocation made by the server failed.

Exception
 Context

java.rmi.server.SkeletonMismatchException

note: this exception is deprecated as of the Java 2 SDK, Standard Edition, v1.2

Hash mismatch of stub and skeleton.

java.rmi.UnmarshalException

I/O error unmarshaling call header. I/O error unmarshaling arguments.

java.rmi.MarshalException

Protocol error marshaling return.

java.rmi.RemoteException

Method number out of range due to corrupted stream.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


- Exceptions In RMI

CONTENTS | PREV | NEXT Java Remote Method Invocation

A.4 Naming Exceptions

The following table lists the exceptions specified in methods of the java.rmi.Naming class and the java.rmi.registry.Registry interface.

Exception
 Context

java.rmi.AccessException

Operation disallowed. The registry restricts bind, rebind, and unbind to the same host. The lookup operation can originate from any host.

java.rmi.AlreadyBoundException

Attempt to bind a name that is already bound.

java.rmi.NotBoundException

Attempt to look up a name that is not bound.

java.rmi.UnknownHostException

Attempt to contact a registry on an unknown host.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


- Exceptions In RMI

CONTENTS | PREV | NEXT Java Remote Method Invocation

A.5 Activation Exceptions

The following table lists the exceptions that can be thrown in activities involving activatable objects. The activation API is in the package java.rmi.activation.

Exception
 Context

java.rmi.activation.ActivateFailedException

Thrown by RMI runtime when activation fails during a remote call to an activatable object.

java.rmi.activation.ActivationException

General exception class used by the activation interfaces and classes.

java.rmi.activation.UnknownGroupException

Thrown by methods of the activation classes and interfaces when the ActivationGroupID parameter or ActivationGroupID in an ActivationGroupDesc parameter is invalid.

java.rmi.activation.UnknownObjectException

Thrown by methods of the activation classes and interfaces when the ActivationID parameter is invalid.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


- Exceptions In RMI

CONTENTS | PREV | NEXT Java Remote Method Invocation

A.6 Other Exceptions

Exception
 Context

java.rmi.RMISecurityException

note: this exception is deprecated as of the Java 2 SDK, Standard Edition, v1.2

A security exception that is thrown by the RMISecurityManager.

java.rmi.server.ServerCloneException

Clone failed.

java.rmi.server.ServerNotActiveException

Attempt to get the client host via the RemoteServer.getClientHost method when the remote server is not executing in a remote method.

java.rmi.server.SocketSecurityException

Attempt to export object on an illegal port.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


1 - Introduction

CONTENTS | PREV | NEXT Java Remote Method Invocation

Introduction

CHAPTER 1

Topics:

  • Background
  • System Goals

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


1 - Introduction

CONTENTS | PREV | NEXT Java Remote Method Invocation

1.1 Background

Distributed systems require that computations running in different address spaces, potentially on different hosts, be able to communicate. For a basic communication mechanism, the JavaTM programming language supports sockets, which are flexible and sufficient for general communication. However, sockets require the client and server to engage in applications-level protocols to encode and decode messages for exchange, and the design of such protocols is cumbersome and can be error-prone.

An alternative to sockets is Remote Procedure Call (RPC), which abstracts the communication interface to the level of a procedure call. Instead of working directly with sockets, the programmer has the illusion of calling a local procedure, when in fact the arguments of the call are packaged up and shipped off to the remote target of the call. RPC systems encode arguments and return values using an external data representation, such as XDR.

RPC, however, does not translate well into distributed object systems, where communication between program-level objects residing in different address spaces is needed. In order to match the semantics of object invocation, distributed object systems require remote method invocation or RMI. In such systems, a local surrogate (stub) object manages the invocation on a remote object.

The Java platform's remote method invocation system described in this specification has been specifically designed to operate in the Java application environment. The Java programming language's RMI system assumes the homogeneous environment of the Java virtual machine (JVM), and the system can therefore take advantage of the Java platform's object model whenever possible.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


1 - Introduction

CONTENTS | PREV | NEXT Java Remote Method Invocation

1.2 System Goals

The goals for supporting distributed objects in the Java programming language are:

  • Support seamless remote invocation on objects in different virtual machines
  • Support callbacks from servers to applets
  • Integrate the distributed object model into the Java programming language in a natural way while retaining most of the Java programming language's object semantics
  • Make differences between the distributed object model and local Java platform's object model apparent
  • Make writing reliable distributed applications as simple as possible
  • Preserve the type-safety provided by the Java platform's runtime environment
  • Support various reference semantics for remote objects; for example live (nonpersistent) references, persistent references, and lazy activation
  • Maintain the safe environment of the Java platform provided by security managers and class loaders
Underlying all these goals is a general requirement that the RMI model be both simple (easy to use) and natural (fits well in the language).

The first two chapters in this specification describe the distributed object model for the Java programming language and the system overview. The remaining chapters describe the RMI client and server visible APIs which are part of the Java 2 platform.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


2 - Distributed Object Model

 CONTENTS | PREV | NEXT

Distributed Object Model

CHAPTER 2

Topics:

  • Distributed Object Applications
  • Definition of Terms
  • The Distributed and Nondistributed Models Contrasted
  • Overview of RMI Interfaces and Classes
  • Implementing a Remote Interface
  • Parameter Passing in Remote Method Invocation
  • Locating Remote Objects

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


2 - Distributed Object Model

CONTENTS | PREV | NEXT Java Remote Method Invocation

2.1 Distributed Object Applications

RMI applications are often comprised of two separate programs: a server and a client. A typical server application creates a number of remote objects, makes references to those remote objects accessible, and waits for clients to invoke methods on those remote objects. A typical client application gets a remote reference to one or more remote objects in the server and then invokes methods on them. RMI provides the mechanism by which the server and the client communicate and pass information back and forth. Such an application is sometimes referred to as a distributed object application.

Distributed object applications need to:

  • Locate remote objects

    • Applications can use one of two mechanisms to obtain references to remote objects. An application can register its remote objects with RMI's simple naming facility, the rmiregistry, or the application can pass and return remote object references as part of its normal operation.

  • Communicate with remote objects

    • Details of communication between remote objects are handled by RMI; to the programmer, remote communication looks like a standard method invocation.

  • Load class bytecodes for objects that are passed as parameters or return values

    • Because RMI allows a caller to pass objects to remote objects, RMI provides the necessary mechanisms for loading an object's code as well as transmitting its data.

The illustration below depicts an RMI distributed application that uses the registry to obtain references to a remote object. The server calls the registry to associate a name with a remote object. The client looks up the remote object by its name in the server's registry and then invokes a method on it. The illustration also shows that the RMI system uses an existing web server to load bytecodes of classes written in the Java programming language, from server to client and from client to server, for objects when needed. RMI can load class bytecodes using any URL protocol (e.g., HTTP, FTP, file, etc.) that is supported by the Java platform.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


2 - Distributed Object Model

CONTENTS | PREV | NEXT Java Remote Method Invocation

2.2 Definition of Terms

In the Java platform's distributed object model, a remote object is one whose methods can be invoked from another Java virtual machine, potentially on a different host. An object of this type is described by one or more remote interfaces, which are interfaces written in the Java programming language that declare the methods of the remote object.

Remote method invocation (RMI) is the action of invoking a method of a remote interface on a remote object. Most importantly, a method invocation on a remote object has the same syntax as a method invocation on a local object.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


2 - Distributed Object Model

CONTENTS | PREV | NEXT Java Remote Method Invocation

2.3 The Distributed and Nondistributed Models Contrasted

The Java platform's distributed object model is similar to the Java platform's object model in the following ways:

  • A reference to a remote object can be passed as an argument or returned as a result in any method invocation (local or remote).
  • A remote object can be cast to any of the set of remote interfaces supported by the implementation using the syntax for casting built into the Java programming language.
  • The built-in instanceof operator can be used to test the remote interfaces supported by a remote object.
The Java platform's distributed object model differs from the Java platform's object model in these ways:

  • Clients of remote objects interact with remote interfaces, never with the implementation classes of those interfaces.
  • Non-remote arguments to, and results from, a remote method invocation are passed by copy rather than by reference. This is because references to objects are only useful within a single virtual machine.
  • A remote object is passed by reference, not by copying the actual remote implementation.
  • The semantics of some of the methods defined by class java.lang.Object are specialized for remote objects.
  • Since the failure modes of invoking remote objects are inherently more complicated than the failure modes of invoking local objects, clients must deal with additional exceptions that can occur during a remote method invocation.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


2 - Distributed Object Model

CONTENTS | PREV | NEXT Java Remote Method Invocation

2.4 Overview of RMI Interfaces and Classes

The interfaces and classes that are responsible for specifying the remote behavior of the RMI system are defined in the java.rmi package hierarchy. The following figure shows the relationship between several of these interfaces and classes:

2.4.1 The java.rmi.Remote Interface

In RMI, a remote interface is an interface that declares a set of methods that may be invoked from a remote Java virtual machine. A remote interface must satisfy the following requirements:

  • A remote interface must at least extend, either directly or indirectly, the interface java.rmi.Remote.
  • Each method declaration in a remote interface or its super-interfaces must satisfy the requirements of a remote method declaration as follows:
- A remote method declaration must include the exception java.rmi.RemoteException (or one of its superclasses such as java.io.IOException or java.lang.Exception) in its throws clause, in addition to any application-specific exceptions (note that application specific exceptions do not have to extend java.rmi.RemoteException).
- In a remote method declaration, a remote object declared as a parameter or return value (either declared directly in the parameter list or embedded within a non-remote object in a parameter) must be declared as the remote interface, not the implementation class of that interface.
The interface java.rmi.Remote is a marker interface that defines no methods:

public interface Remote {}
A remote interface must at least extend the interface java.rmi.Remote (or another remote interface that extends java.rmi.Remote). However, a remote interface may extend a non-remote interface under the following condition:

  • A remote interface may also extend another non-remote interface, as long as all of the methods (if any) of the extended interface satisfy the requirements of a remote method declaration.
For example, the following interface BankAccount defines a remote interface for accessing a bank account. It contains remote methods to deposit to the account, to get the account balance, and to withdraw from the account:

public interface BankAccount extends java.rmi.Remote {
    public void deposit(float amount)
        throws java.rmi.RemoteException;
    public void withdraw(float amount)
        throws OverdrawnException, java.rmi.RemoteException;
    public float getBalance()
        throws java.rmi.RemoteException;
}
The next example shows a valid remote interface Beta that extends a non-remote interface Alpha, which has remote methods, and the interface java.rmi.Remote:

public interface Alpha {
    public final String okay = "constants are okay too";
    public Object foo(Object obj)
        throws java.rmi.RemoteException;
    public void bar() throws java.io.IOException;
    public int baz() throws java.lang.Exception;
}

public interface Beta extends Alpha, java.rmi.Remote {
    public void ping() throws java.rmi.RemoteException;
}

2.4.2 The RemoteException Class

The java.rmi.RemoteException class is the superclass of exceptions thrown by the RMI runtime during a remote method invocation. To ensure the robustness of applications using the RMI system, each remote method declared in a remote interface must specify java.rmi.RemoteException (or one of its superclasses such as java.io.IOException or java.lang.Exception) in its throws clause.

The exception java.rmi.RemoteException is thrown when a remote method invocation fails for some reason. Some reasons for remote method invocation failure include:

  • Communication failure (the remote server is unreachable or is refusing connections; the connection is closed by the server, etc.)
  • Failure during parameter or return value marshalling or unmarshalling

  • Protocol errors
The class RemoteException is a checked exception (one that must be handled by the caller of a remote method and is checked by the compiler), not a RuntimeException.

2.4.3 The RemoteObject Class and its Subclasses

RMI server functions are provided by java.rmi.server.RemoteObject and its subclasses, java.rmi.server.RemoteServer and java.rmi.server.UnicastRemoteObject and java.rmi.activation.Activatable.

  • The class java.rmi.server.RemoteObject provides implementations for the java.lang.Object methods, hashCode, equals, and toString that are sensible for remote objects.
  • The methods needed to create remote objects and export them (make them available to remote clients) are provided by the classes UnicastRemoteObject and Activatable. The subclass identifies the semantics of the remote reference, for example whether the server is a simple remote object or is an activatable remote object (one that executes when invoked).

  • The java.rmi.server.UnicastRemoteObject class defines a singleton (unicast) remote object whose references are valid only while the server process is alive.
  • The class java.rmi.activation.Activatable is an abstract class that defines an activatable remote object that starts executing when its remote methods are invoked and can shut itself down when necessary.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


2 - Distributed Object Model

CONTENTS | PREV | NEXT Java Remote Method Invocation

2.5 Implementing a Remote Interface

The general rules for a class that implements a remote interface are as follows:

  • The class usually extends java.rmi.server.UnicastRemoteObject, thereby inheriting the remote behavior provided by the classes java.rmi.server.RemoteObject and java.rmi.server.RemoteServer.
  • The class can implement any number of remote interfaces.
  • The class can extend another remote implementation class.
  • The class can define methods that do not appear in the remote interface, but those methods can only be used locally and are not available remotely.
For example, the following class BankAcctImpl implements the BankAccount remote interface and extends the java.rmi.server.UnicastRemoteObject class:

package mypackage;

import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;

public class BankAccountImpl
    extends UnicastRemoteObject
    implements BankAccount
{
    private float balance = 0.0;

    public BankAccountImpl(float initialBalance)
        throws RemoteException
    {
        balance = initialBalance;
    }
    public void deposit(float amount) throws RemoteException {
        ...
    }
    public void withdraw(float amount) throws OverdrawnException,
        RemoteException {
        ...
    }
    public float getBalance() throws RemoteException {
        ...
    }
}
Note that if necessary, a class that implements a remote interface can extend some other class besides java.rmi.server.UnicastRemoteObject. However, the implementation class must then assume the responsibility for exporting the object (taken care of by the UnicastRemoteObject constructor) and for implementing (if needed) the correct remote semantics of the hashCode, equals, and toString methods inherited from the java.lang.Object class.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


2 - Distributed Object Model

CONTENTS | PREV | NEXT Java Remote Method Invocation

2.6 Parameter Passing in Remote Method Invocation

An argument to, or a return value from, a remote object can be any object that is serializable. This includes primitive types, remote objects, and non-remote objects that implement the java.io.Serializable interface. For more details on how to make classes serializable, see the "Java Object Serialization Specification." Classes, for parameters or return values, that are not available locally are downloaded dynamically by the RMI system. See the section on "Dynamic Class Loading" for more information on how RMI downloads parameter and return value classes when reading parameters, return values and exceptions.

2.6.1 Passing Non-remote Objects

A non-remote object, that is passed as a parameter of a remote method invocation or returned as a result of a remote method invocation, is passed by copy; that is, the object is serialized using the object serialization mechanism of the Java platform.

So, when a non-remote object is passed as an argument or return value in a remote method invocation, the content of the non-remote object is copied before invoking the call on the remote object.

When a non-remote object is returned from a remote method invocation, a new object is created in the calling virtual machine.

2.6.2 Passing Remote Objects

When passing an exported remote object as a parameter or return value in a remote method call, the stub for that remote object is passed instead. Remote objects that are not exported will not be replaced with a stub instance. A remote object passed as a parameter can only implement remote interfaces.

2.6.3 Referential Integrity

If two references to an object are passed from one JVM to another JVM in parameters (or in the return value) in a single remote method call and those references refer to the same object in the sending JVM, those references will refer to a single copy of the object in the receiving JVM. More generally stated: within a single remote method call, the RMI system maintains referential integrity among the objects passed as parameters or as a return value in the call.

2.6.4 Class Annotation

When an object is sent from one JVM to another in a remote method call, the RMI system annotates the class descriptor in the call stream with information (the URL) of the class so that the class can be loaded at the receiver. It is a requirement that classes be downloaded on demand during remote method invocation.

2.6.5 Parameter Transmission

Parameters in an RMI call are written to a stream that is a subclass of the class java.io.ObjectOutputStream in order to serialize the parameters to the destination of the remote call. The ObjectOutputStream subclass overrides the replaceObject method to replace each exported remote object with its corresponding stub instance. Parameters that are objects are written to the stream using the ObjectOutputStream's writeObject method. The ObjectOutputStream calls the replaceObject method for each object written to the stream via the writeObject method (that includes objects referenced by those objects that are written). The replaceObject method of RMI's subclass of ObjectOutputStream returns the following:

  • If the object passed to replaceObject is an instance of java.rmi.Remote and that object is exported to the RMI runtime, then it returns the stub for the remote object. If the object is an instance of java.rmi.Remote and the object is not exported to the RMI runtime, then replaceObject returns the object itself. A stub for a remote object is obtained via a call to the method java.rmi.server.RemoteObject.toStub.
  • If the object passed to replaceObject is not an instance of java.rmi.Remote, then the object is simply returned.
RMI's subclass of ObjectOutputStream also implements the annotateClass method that annotates the call stream with the location of the class so that it can be downloaded at the receiver. See the section "Dynamic Class Loading" for more information on how annotateClass is used.

Since parameters are written to a single ObjectOutputStream, references that refer to the same object at the caller will refer to the same copy of the object at the receiver. At the receiver, parameters are read by a single ObjectInputStream.

Any other default behavior of ObjectOutputStream for writing objects (and similarly ObjectInputStream for reading objects) is maintained in parameter passing. For example, the calling of writeReplace when writing objects and readResolve when reading objects is honored by RMI's parameter marshal and unmarshal streams.

In a similar manner to parameter passing in RMI as described above, a return value (or exception) is written to a subclass of ObjectOutputStream and has the same replacement behavior as parameter transmission.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


2 - Distributed Object Model

CONTENTS | PREV | NEXT Java Remote Method Invocation

2.7 Locating Remote Objects

A simple bootstrap name server is provided for storing named references to remote objects. A remote object reference can be stored using the URL-based methods of the class java.rmi.Naming.

For a client to invoke a method on a remote object, that client must first obtain a reference to the object. A reference to a remote object is usually obtained as a parameter or return value in a method call. The RMI system provides a simple bootstrap name server from which to obtain remote objects on given hosts. The java.rmi.Naming class provides Uniform Resource Locator (URL) based methods to look up, bind, rebind, unbind, and list the name-object pairings maintained on a particular host and port.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


- Properties In RMI

CONTENTS | PREV | NEXT Java Remote Method Invocation

Properties In RMI

APPENDIX B

Topics:

  • Server Properties
  • Activation Properties
  • Other Properties

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


- Properties In RMI

CONTENTS | PREV | NEXT Java Remote Method Invocation

B.1 Server Properties

The following table contains a list of properties typically used by servers for configuration. Note that properties are typically restricted from being set from applets.

Property
 Description

java.rmi.server.codebase

Indicates the codebase URL of classes originating from the JVM. The codebase property is used to annotate class descriptors of classes originating from a JVM so that the class for an object sent as a parameter or return value in a remote method call can be loaded at the receiver.

java.rmi.server.disableHttp

If set to true, disables the use of HTTP for RMI calls. This means that RMI will never resort to using HTTP to invoke a call via a firewall. Defaults to false (HTTP usage is enabled).

java.rmi.server.hostname

RMI uses IP addresses to indicate the location of a server (embedded in a remote reference). If the use of a hostname is desired, this property is used to specify the fully-qualified hostname for RMI to use for remote objects exported to the local JVM. The property can also be set to an IP address. Not set by default.

java.rmi.dgc.leaseValue

Sets the lease duration that the RMI runtime grants to clients referencing remote objects in the JVM. Defaults to 10 minutes.

java.rmi.server.logCalls

If set to true, server call logging is turned on and prints to stderr. Defaults to false.

java.rmi.server.useCodebaseOnly

If set to true, when RMI loads classes (if not available via CLASSPATH) they are only loaded using the URL specified by the property java.rmi.server.codebase.

java.rmi.server.useLocalHostname

If the java.rmi.server.hostname property is not set and this property is set, then RMI will not use an IP address to denote the location (embedded in remote references) of remote objects that are exported into the JVM. Instead, RMI will use the value of the call to the method java.net.InetAddress.getLocalHost.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


- Properties In RMI

CONTENTS | PREV | NEXT Java Remote Method Invocation

B.2 Activation Properties

The following table contains a list of properties used in activation.

Property
 Description

java.rmi.activation.port

The port number on which the ActivationSystem is exported. This port number should be specified in a JVM if the activation daemon rmid uses a port other than the default.

java.rmi.activation.activator.class

The class that implements the interface java.rmi.activation.Activator. This property is used internally to locate the resident implementation of the Activator from which the stub class name can be found.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


- Properties In RMI

CONTENTS | PREV Java Remote Method Invocation

B.3 Other Properties

These properties are used to locate specific implementation classes within implementation packages. Note: all these properties have been deprecated as of Java 2 SDK, Standard Edition, v1.2.

Property
 Description

java.rmi.loader.packagePrefix

note: this exception is deprecated as of Java 2 SDK, Standard Edition, v1.2

The package prefix for the class that implements the interface java.rmi.server.LoaderHandler. Defaults to sun.rmi.server.

java.rmi.registry.packagePrefix

note: this exception is deprecated as of Java 2 SDK, Standard Edition, v1.2

The package prefix for the class that implements the interface java.rmi.registry.RegistryHandler. Defaults to sun.rmi.registry.

java.rmi.server.packagePrefix

note: this exception is deprecated as of Java 2 SDK, Standard Edition, v1.2

The server package prefix. Assumes that the implementation of the server reference classes (such as UnicastRef and UnicastServerRef) are located in the package defined by the prefix. Defaults to sun.rmi.server.

CONTENTS | PREV
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


10 - RMI Wire Protocol

CONTENTS | PREV | NEXT Java Remote Method Invocation

RMI Wire Protocol

CHAPTER 10

Topics:

  • Overview
  • RMI Transport Protocol
  • RMI's Use of Object Serialization Protocol
  • RMI's Use of HTTP POST Protocol
  • Application-Specific Values for RMI
  • RMI's Multiplexing Protocol

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


10 - RMI Wire Protocol

CONTENTS | PREV | NEXT Java Remote Method Invocation

10.1 Overview

The RMI protocol makes use of two other protocols for its on-the-wire format: Java Object Serialization and HTTP. The Object Serialization protocol is used to marshal call and return data. The HTTP protocol is used to "POST" a remote method invocation and obtain return data when circumstances warrant. Each protocol is documented as a separate grammar. Nonterminal symbols in production rules may refer to rules governed by another protocol (either Object Serialization or HTTP). When a protocol boundary is crossed, subsequent productions use that embedded protocol.

Notes about Grammar Notation

  • We use a similar notation to that used in The Java Language Specification (see section 2.3 of the JLS).
  • Control codes in the stream are represented by literal values expressed in hexadecimal.
  • Some nonterminal symbols in the grammar represent application specific values supplied in a method invocation. The definition of such a nonterminal consists of its Java programming language type. A table mapping each of these nonterminals to its respective type follows the grammar.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


10 - RMI Wire Protocol

CONTENTS | PREV | NEXT Java Remote Method Invocation

10.2 RMI Transport Protocol

The wire format for RMI is represented by a Stream. The terminology adopted here reflects a client perspective. Out refers to output messages and In refers to input messages. The contents of the transport header are not formatted using object serialization.

Stream:

Out

In

The input and output streams used by RMI are paired. Each Out stream has a corresponding In stream. An Out stream in the grammar maps to the output stream of a socket (from the client's perspective). An In stream (in the grammar) is paired with the corresponding socket's input stream. Since output and input streams are paired, the only header information needed on an input stream is an acknowledgment as to whether the protocol is understood; other header information (such as the magic number and version number) can be implied by the context of stream pairing.

10.2.1 Format of an Output Stream

An output stream in RMI consists of transport Header information followed by a sequence of Messages. Alternatively, an output stream can contain an invocation embedded in the HTTP protocol.

Out:

Header Messages

HttpMessage

Header:

0x4a 0x52 0x4d 0x49 Version Protocol

Version:

0x00 0x01

Protocol:

StreamProtocol

SingleOpProtocol

MultiplexProtocol

StreamProtocol:

0x4b

SingleOpProtocol:

0x4c

MultiplexProtocol:

0x4d

Messages:

Message

Messages Message

The Messages are wrapped within a particular protocol as specified by Protocol. For the SingleOpProtocol, there may only be one Message after the Header, and there is no additional data that the Message is wrapped in. The SingleOpProtocol is used for invocation embedded in HTTP requests, where interaction beyond a single request and response is not possible.

For the StreamProtocol and the MultiplexProtocol, the server must respond with a a byte 0x4e acknowledging support for the protocol, and an EndpointIdentifier that contains the host name and port number that the server can see is being used by the client. The client can use this information to determine its host name if it is otherwise unable to do that for security reasons. The client must then respond with another EndpointIdentifier that contains the client's default endpoint for accepting connections. This can be used by a server in the MultiplexProtocol case to identify the client.

For the StreamProtocol, after this endpoint negotiation, the Messages are sent over the output stream without any additional wrapping of the data. For the MultiplexProtocol, the socket connection is used as the concrete connection for a multiplexed connection, as described in Section 10.6, "RMI's Multiplexing Protocol." Virtual connections initiated over this multiplexed connection consist of a series of Messages as described below.

There are three types of output messages: Call, Ping and DgcAck. A Call encodes a method invocation. A Ping is a transport-level message for testing liveness of a remote virtual machine. A DGCAck is an acknowledgment directed to a server's distributed garbage collector that indicates that remote objects in a return value from a server have been received by the client.

Message:

Call

Ping

DgcAck

Call:

0x50 CallData

Ping:

0x52

DgcAck:

0x54 UniqueIdentifier

10.2.2 Format of an Input Stream

There are currently three types of input messages: ReturnData, HttpReturn and PingAck. ReturnData is the result of a "normal" RMI call. An HttpReturn is a return result from an invocation embedded in the HTTP protocol. A PingAck is the acknowledgment for a Ping message.

In:

ProtocolAck Returns

ProtocolNotSupported

HttpReturn

ProtocolAck:

0x4e

ProtocolNotSupported:

0x4f

Returns:

Return

Returns Return

Return:

ReturnData

PingAck

ReturnData:

0x51 ReturnValue

PingAck:

0x53

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


10 - RMI Wire Protocol

CONTENTS | PREV | NEXT Java Remote Method Invocation

10.3 RMI's Use of Object Serialization

Call and return data in RMI calls are formatted using the Java Object Serialization protocol. Each method invocation's CallData is written to a Java object output stream that contains the ObjectIdentifier (the target of the call), an Operation (a number representing the method to be invoked), a Hash (a number that verifies that client stub and remote object skeleton use the same stub protocol), followed by a list of zero or more Arguments for the call.

In the JDK1.1 stub protocol the Operation represents the method number as assigned by rmic, and the Hash was the stub/skeleton hash which is the stub's interface hash. As of the Java 2 stub protocol (Java 2 stubs are generated using the -v1.2 option with rmic), Operation has the value -1 and the Hash is a hash representing the method to call. The hash is described in the section "The RemoteRef Interface".

CallData:

ObjectIdentifier Operation Hash Argumentsopt

ObjectIdentifier:

ObjectNumber UniqueIdentifier

UniqueIdentifier:

Number Time Count

Arguments:

Value

Arguments Value

Value:

Object

Primitive

A ReturnValue of an RMI call consists of a return code to indicate either a normal or exceptional return, a UniqueIdentifier to tag the return value (used to send a DGCAck if necessary) followed by the return result: either the Value returned or the Exception thrown.

ReturnValue:

0x01 UniqueIdentifier Valueopt

0x02 UniqueIdentifier Exception

Note - ObjectIdentifier, UniqueIdentifier, and EndpointIdentifier are not written out using default serialization, but each uses its own special write method (this is not the writeObject method used by object serialization); the write method for each type of identifier adds its component data consecutively to the output stream.

10.3.1 Class Annotation and Class Loading

RMI overrides the annotateClass and resolveClass methods of ObjectOutputStream and ObjectInputStream respectively. Each class is annotated with the codebase URL (the location from which the class can be loaded). In the annotateClass method, the classloader that loaded the class is queried for its codebase URL. If the classloader is non-null and the classloader has a non-null codebase, then the codebase is written to the stream using the ObjectOutputStream.writeObject method; otherwise a null is written to the stream using the writeObject method. Note: as an optimization, classes in the "java" package are not annotated, since they are always available to the receiver.

The class annotation is resolved during deserialization using the ObjectInputStream.resolveClass method. The resolveClass method first reads the annotation via the ObjectInputStream.readObject method. If the annotation, a codebase URL, is non-null, then it obtains the classloader for that URL and attempts to load the class. The class is loaded by using a java.net.URLConnection to fetch the class bytes (the same mechanism used by a web browser's applet classloader).

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


10 - RMI Wire Protocol

CONTENTS | PREV | NEXT Java Remote Method Invocation

10.4 RMI's Use of HTTP POST Protocol

In order to invoke remote methods through a firewall, some RMI calls make use of the HTTP protocol, more specifically HTTP POST. The URL specified in the post header can be one of the following:

http://<host>:<port>/
http://<host>:80/cgi-bin/java-rmi?forward=<port>

The first URL is used for direct communication with an RMI server on the specific host and port. The second URL form is used to invoke a "cgi" script on the server which forwards the invocation to the server on the specified port.

An HttpPostHeader is a standard HTTP header for a POST request. An HttpResponseHeader is a standard HTTP response to a post. If the response status code is not 200, then it is assumed that there is no Return. Note that only a single RMI call is embedded in an HTTP POST request.

HttpMessage:

HttpPostHeader Header Message

HttpReturn:

HttpResponseHeader Return

Note - Only the SingleOpProtocol appears in the Header of an HttpMessage. An HttpReturn does not contain a protocol acknowledgment byte.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


10 - RMI Wire Protocol

CONTENTS | PREV | NEXT Java Remote Method Invocation

10.5 Application-Specific Values for RMI

This table lists the nonterminal symbols that represent application-specific values used by RMI. The table maps each symbol to its respective type. Each is formatted using the protocol in which it is embedded.

Count

short

Exception

java.lang.Exception

Hash

long

Hostname

UTF

Number

int

Object

java.lang.Object

ObjectNumber

long

Operation

int

PortNumber

int

Primitive

byte, int, short, long...

Time

long

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


10 - RMI Wire Protocol

CONTENTS | PREV | NEXT Java Remote Method Invocation

10.6 RMI's Multiplexing Protocol

The purpose of multiplexing is to provide a model where two endpoints can each open multiple full duplex connections to the other endpoint in an environment where only one of the endpoints is able to open such a bidirectional connection using some other facility (e.g., a TCP connection). RMI use this simple multiplexing protocol to allow a client to connect to an RMI server object in some situations where that is otherwise not possible. For example, some security managers for applet environments disallow the creation of server sockets to listen for incoming connections, thereby preventing such applets to export RMI objects and service remote calls from direct socket connections. If the applet can open a normal socket connection to its codebase host, however, then it can use the multiplexing protocol over that connection to allow the codebase host to invoke methods on RMI objects exported by the applet. This section describes how the format and rules of the multiplexing protocol.

10.6.1 Definitions

This sections defines some terms as they are used in the rest of the description of the protocol.

An endpoint is one of the two users of a connection using the multiplexing protocol.

The multiplexing protocol must layer on top of one existing bidirectional, reliable byte stream, presumably initiated by one of the endpoints to the other. In current RMI usage, this is always a TCP connection, made with a java.net.Socket object. This connection will be referred to as the concrete connection.

The multiplexing protocol facilitates the use of virtual connections, which are themselves bidirectional, reliable byte streams, representing a particular session between two endpoints. The set of virtual connections between two endpoints over a single concrete connection comprises a multiplexed connection. Using the multiplexing protocol, virtual connections can be opened and closed by either endpoint. The state of an virtual connection with respect to a given endpoint is defined by the elements of the multiplexing protocol that are sent and received over the concrete connection. Such state involves if the connection is open or closed, the actual data that has been transmitted across, and the related flow control mechanisms. If not otherwise qualified, the term connection used in the remainder of this section means virtual connection.

A virtual connections within a given multiplexed connection is identified by a 16 bit integer, known as the connection identifier. Thus, there exist 65,536 possible virtual connections in one multiplexed connection. The implementation may limit the number of these virtual connections that may be used simultaneously.

10.6.2 Connection State and Flow Control

Connections are manipulated using the various operations defined by the multiplexing protocol. The following are the names of the operations defined by the protocol: OPEN, CLOSE, CLOSEACK, REQUEST, and TRANSMIT. The exact format and rules for all the operations are detailed in Section 10.6.3, "Protocol Format."

The OPEN, CLOSE, and CLOSEACK operations control connections becoming opened and closed, while the REQUEST and TRANSMIT operations are used to transmit data across an open connection within the constraints of the flow control mechanism.

Connection States

A virtual connection is open with respect to a particular endpoint if the endpoint has sent an OPEN operation for that connection, or it has received an OPEN operation for that connection (and it had not been subsequently closed). The various protocol operations are described below.

A virtual connection is pending close with respect to a particular endpoint if the endpoint has sent a CLOSE operation for that connection, but it has not yet received a subsequent CLOSE or CLOSEACK operation for that connection.

A virtual connection is closed with respect to a particular endpoint if it has never been opened, or if it has received a CLOSE or a CLOSEACK operation for that connection (and it has not been subsequently opened).

Flow Control

The multiplexing protocol uses a simple packeting flow control mechanism to allow multiple virtual connections to exist in parallel over the same concrete connection. The high level requirement of the flow control mechanism is that the state of all virtual connections is independent; the state of one connection may not affect the behavior of others. For example, if the data buffers handling data coming in from one connection become full, this cannot prevent the transmission and processing of data for any other connection. This is necessary if the continuation of one connection is dependent on the completion of the use of another connection, such as would happen with recursive RMI calls. Therefore, the practical implication is that the implementation must always be able to consume and process all of the multiplexing protocol data ready for input on the concrete connection (assuming that it conforms to this specification).

Each endpoint has two state values associated with each connection: how many bytes of data the endpoint has requested but not received (input request count) and how many bytes the other endpoint has requested but have not been supplied by this endpoint (output request count).

An endpoint's output request count is increased when it receives a REQUEST operation from the other endpoint, and it is decreased when it sends a TRANSMIT operation. An endpoint's input request count is increased when it sends a REQUEST operation, and it is decreased when it receives a TRANSMIT operation. It is a protocol violation if either of these values becomes negative.

It is a protocol violation for an endpoint to send a REQUEST operation that would increase its input request count to more bytes that it can currently handle without blocking. It should, however, make sure that its input request count is greater than zero if the user of the connection is waiting to read data.

It is a protocol violation for an endpoint to send a TRANSMIT operation containing more bytes that its output request count. It may buffer outgoing data until the user of the connection requests that data written to the connection be explicitly flushed. If data must be sent over the connection, however, by either an explicit flush or because the implementation's output buffers are full, then the user of the connection may be blocked until sufficient TRANSMIT operations can proceed.

Beyond the rules outlined above, implementations are free to send REQUEST and TRANSMIT operations as deemed appropriate. For example, an endpoint may request more data for a connection even if its input buffer is not empty.

10.6.3 Protocol Format

The byte stream format of the multiplexing protocol consists of a contiguous series of variable length records. The first byte of the record is an operation code that identifies the operation of the record and determines the format of the rest of its content. The following legal operation codes are defined:

value

name

0xE1

OPEN

0xE2

CLOSE

0xE3

CLOSEACK

0xE4

REQUEST

0xE5

TRANSMIT

It is a protocol violation if the first byte of a record is not one of the defined operation codes. The following sections describe the format of the records for each operation code.

OPEN operation

This is the format for records of the OPEN operation:

size (bytes)

name

description

1

opcode

operation code (OPEN)

2

ID

connection identifier

An endpoint sends an OPEN operation to open the indicated connection. It is a protocol violation if ID refers to a connection that is currently open or pending close with respect to the sending endpoint. After the connection is opened, both input and request count states for the connection are zero for both endpoints.

Receipt of an OPEN operation indicates that the other endpoint is opening the indicated connection. After the connection is opened, both input and output request count states for the connection are zero for both endpoints.

To prevent identifier collisions between the two endpoints, the space of valid connection identifiers is divided in half, depending on the value of the most significant bit. Each endpoint is only allowed to open connections with a particular value for the high bit. The endpoint that initiated the concrete connection must only open connections with the high bit set in the identifier and the other endpoint must only open connections with a zero in the high bit. For example, if an RMI applet that cannot create a server socket initiates a multiplexed connection to its codebase host, the applet may open virtual connections in the identifier range 0x8000-7FFF, and the server may open virtual connection in the identifier range 0-0x7FFF.

CLOSE operation

This is the format for records of the CLOSE operation:

size (bytes)

name

description

1

opcode

operation code (OPEN)

2

ID

connection identifier

An endpoint sends a CLOSE operation to close the indicated connection. It is a protocol violation if ID refers to a connection that is currently closed or pending close with respect to the sending endpoint (it may be pending close with respect to the receiving endpoint if it has also sent a CLOSE operation for this connection). After sending the CLOSE, the connection becomes pending close for the sending endpoint. Thus, it may not reopen the connection until it has received a CLOSE or a CLOSEACK for it from the other endpoint.

Receipt of a CLOSE operation indicates that the other endpoint has closed the indicated connection, and it thus becomes closed on the receiving endpoint. Although the receiving endpoint may not send any more operations for this connection (until it is opened again), it still should provide data in the implementation's input buffers to readers of the connection. If the connection had previously been open instead of pending close, the receiving endpoint must respond with a CLOSEACK operation for the connection.

CLOSEACK operation

The following is the format for records with the CLOSEACK operation:

size (bytes)

name

description

1

opcode

operation code (OPEN)

2

ID

connection identifier

An endpoint sends a CLOSEACK operation to acknowledge a CLOSE operation from the receiving endpoint. It is a protocol violation if ID refers to a connection that is not pending close for the receiving endpoint when the operation is received.

Receipt of a CLOSEACK operation changes the state of the indicated connection from pending close to closed, and thus the connection may be reopened in the future.

REQUEST operation

This is the format for records of the REQUEST operation:

size (bytes)

name

description

1

opcode

operation code (OPEN)

2

ID

connection identifier

4

count

number of additional bytes requested

An endpoint sends a REQUEST operation to increase its input request count for the indicated connection. It is a protocol violation if ID does not refer to a connection that is open with respect to the sending endpoint. The endpoint's input request count is incremented by the value count. The value of count is a signed 32 bit integer, and it is a protocol violation if it is negative or zero.

Receipt of a REQUEST operation causes the output request count for the indicated connection to increase by count. If the connection is pending close by the receiving endpoint, then any REQUEST operations may be ignored.

TRANSMIT operation

This is the format for records of the TRANSMIT operation.

size (bytes)

name

description

1

opcode

operation code (OPEN)

2

ID

connection identifier

4

count

number of bytes in transmission

count

data

transmission data

An endpoint sends a TRANSMIT operation to actually transmit data over the indicated connection. It is a protocol violation if ID does not refer to a connection that is open with respect to the sending endpoint. The endpoint's output request count is decremented by the value count. The value of count is a signed 32 bit integer, and it is a protocol violation if it is negative or zero. It is also a protocol violation if the TRANSMIT operation would cause the sending endpoint's output request count to become negative.

Receipt of a TRANSMIT operation causes the count bytes of data to be added to the queue of bytes available for reading from the connection. The receiving endpoint's input request count is decremented by count. If this causes the input request count to become zero and the user of the connection is trying to read more data, the endpoint should respond with another REQUEST operation. If the connection is pending close by the receiving endpoint, then any TRANSMIT operations may be ignored.

Protocol Violations

If a protocol violation occurs, as defined above or if a communication error is detected in the concrete connection, then the multiplexed connection is shut down. The real connection is terminated, and all virtual connections become closed immediately. Data already available for reading from virtual connections may be read by the users of the connections.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


6 - Registry Interfaces

CONTENTS | PREV | NEXT Java Remote Method Invocation

Registry Interfaces

CHAPTER 6

The RMI system uses the java.rmi.registry.Registry interface and the java.rmi.registry.LocateRegistry class to provide a well-known bootstrap service for retrieving and registering objects by simple names.

A registry is a remote object that maps names to remote objects. Any server process can support its own registry or a single registry can be used for a host.

The methods of LocateRegistry are used to get a registry operating on a particular host or host and port. The methods of the java.rmi.Naming class makes calls to a remote object that implements the Registry interface using the appropriate LocateRegistry.getRegistry method.

Topics:

  • The Registry Interface
  • The LocateRegistry Class
  • The RegistryHandler Interface

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


6 - Registry Interfaces

CONTENTS | PREV | NEXT Java Remote Method Invocation

6.1 The Registry Interface

The java.rmi.registry.Registry remote interface provides methods for lookup, binding, rebinding, unbinding, and listing the contents of a registry. The java.rmi.Naming class uses the registry remote interface to provide URL-based naming.

package java.rmi.registry;

public interface Registry extends java.rmi.Remote {

    public static final int REGISTRY_PORT = 1099;

    public java.rmi.Remote lookup(String name)
        throws java.rmi.RemoteException,
        java.rmi.NotBoundException, java.rmi.AccessException;
    public void bind(String name, java.rmi.Remote obj)
        throws java.rmi.RemoteException,
        java.rmi.AlreadyBoundException, java.rmi.AccessException;
    public void rebind(String name, java.rmi.Remote obj)
        throws java.rmi.RemoteException, java.rmi.AccessException;
    public void unbind(String name)
        throws java.rmi.RemoteException,
        java.rmi.NotBoundException, java.rmi.AccessException;
    public String[] list()
        throws java.rmi.RemoteException, java.rmi.AccessException;
}
The REGISTRY_PORT is the default port of the registry.

The lookup method returns the remote object bound to the specified name. The remote object implements a set of remote interfaces. Clients can cast the remote object to the expected remote interface. (This cast can fail in the usual ways that casts can fail with a ClassCastException.)

The bind method associates the name with the remote object, obj. If the name is already bound to an object, AlreadyBoundException is thrown.

The rebind method associates the name with the remote object, obj. Any previous binding of the name is discarded.

The unbind method removes the binding between the name and the remote object, obj. If the name is not already bound to an object, NotBoundException is thrown.

The list method returns an array of Strings containing a snapshot of the names bound in the registry. The return value contains a snapshot of the contents of the registry.

Clients can access the registry either by using the LocateRegistry and Registry interfaces, or by using the methods of the URL-based java.rmi.Naming class. The registry supports bind, unbind, and rebind only from clients on the same host as the server; a lookup can be done from any host.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


6 - Registry Interfaces

CONTENTS | PREV | NEXT Java Remote Method Invocation

6.2 The LocateRegistry Class

The class java.rmi.registry.LocateRegistry is used to obtain a reference (construct a stub) to a bootstrap remote object registry on a particular host (including the local host), or to create a remote object registry that accepts calls on a specific port.

The registry implements a simple flat naming syntax that associates the name of a remote object (a string) with a remote object reference. The name and remote object bindings are not remembered across server restarts.

Note that a getRegistry call does not actually make a connection to the remote host. It simply creates a local reference to the remote registry and will succeed even if no registry is running on the remote host. Therefore, a subsequent method invocation to a remote registry returned as a result of this method may fail.

package java.rmi.registry;

public final class LocateRegistry {

    public static Registry getRegistry()
        throws java.rmi.RemoteException;
    public static Registry getRegistry(int port)
        throws java.rmi.RemoteException;
    public static Registry getRegistry(String host)
        throws java.rmi.RemoteException;
    public static Registry getRegistry(String host, int port)
        throws java.rmi.RemoteException;
    public static Registry getRegistry(String host, int port,
                       RMIClientSocketFactory csf)
        throws RemoteException;
    public static Registry createRegistry(int port)
        throws java.rmi.RemoteException;
    public static Registry createRegistry(int port,
                          RMIClientSocketFactory csf,
                          RMIServerSocketFactory ssf)
        throws RemoteException;
}
The first four getRegistry methods return a reference to a registry on the current host, current host at a specified port, a specified host, or at a particular port on a specified host. What is returned is the remote stub for the registry with the specified host and port information.

The fifth getRegistry method (that takes an RMIClientSocketFactory as one of its arguments), returns a locally created remote stub to the remote object Registry on the specified host and port. Communication with the remote registry whose stub is constructed with this method will use the supplied RMIClientSocketFactory, csf, to create Socket connections to the registry on the remote host and port.

Note - A registry returned from the getRegistry method is a specially constructed stub that contains a well-known object identifier. Passing a registry stub from one JVM to another is not supported (it may or may not work depending on the implementation). Use the LocateRegistry.getRegistry methods to obtain the appropriate registry for a host.
The createRegistry method creates and exports a registry on the local host on the specified port.

The second createRegistry method allows more flexibility in communicating with the registry. This call creates and exports a Registry on the local host that uses custom socket factories for communication with that registry. The registry that is created listens for incoming requests on the given port using a ServerSocket created from the supplied RMIServerSocketFactory. A client that receives a reference to this registry will use a Socket created from the supplied RMIClientSocketFactory.

Note - Starting a registry with the createRegistry method does not keep the server process alive.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


6 - Registry Interfaces

CONTENTS | PREV | NEXT Java Remote Method Invocation

6.3 The RegistryHandler Interface

Note - The RegistryHandler interface is deprecated as of the Java 2 SDK, Standard Edition, v1.2. In JDK1.1, it was only used internally by the RMI implementation and was not for application use.
package java.rmi.registry;

public interface RegistryHandler {

    Registry registryStub(String host, int port)
        throws java.rmi.RemoteException,
        java.rmi.UnknownHostException;
    Registry registryImpl(int port)
        throws java.rmi.RemoteException;
}
The method registryStub returns a stub for contacting a remote registry on the specified host and port.

The method registryImpl constructs and exports a registry on the specified port. The port must be nonzero.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


5 - Server Interfaces

CONTENTS | PREV | NEXT Java Remote Method Invocation

Server Interfaces

CHAPTER 5

Topics:

  • The RemoteObject Class
  • The RemoteServer Class
  • The UnicastRemoteObject Class
  • The Unreferenced Interface
  • The RMISecurityManager Class
  • The RMIClassLoader Class
  • The LoaderHandler Interface
  • RMI Socket Factories
  • The RMIFailureHandler Interface
  • The LogStream Class
  • Stub and Skeleton Compiler

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


5 - Server Interfaces

CONTENTS | PREV | NEXT Java Remote Method Invocation

5.1 The RemoteObject Class

The java.rmi.server.RemoteObject class implements the java.lang.Object behavior for remote objects. The hashCode and equals methods are implemented to allow remote object references to be stored in hashtables and compared. The equals method returns true if two Remote objects refer to the same remote object. It compares the remote object references of the remote objects.

The toString method returns a string describing the remote object. The contents and syntax of this string is implementation-specific and can vary.

All of the other methods of java.lang.Object retain their original implementations.

package java.rmi.server;

public abstract class RemoteObject
    implements java.rmi.Remote, java.io.Serializable
{
    protected transient RemoteRef ref;

    protected RemoteObject();
    protected RemoteObject(RemoteRef ref);

    public RemoteRef getRef();
    public static Remote toStub(java.rmi.Remote obj)
        throws java.rmi.NoSuchObjectException;
    public int hashCode();
    public boolean equals(Object obj);
    public String toString();
}
Since the RemoteObject class is abstract, it cannot be instantiated. Therefore, one of RemoteObject's constructors must be called from a subclass implementation. The first RemoteObject constructor creates a RemoteObject with a null remote reference. The second RemoteObject constructor creates a RemoteObject with the given remote reference, ref.

The getRef method returns the remote reference for the remote object.

The toStub method returns a stub for the remote object, obj, passed as a parameter. This operation is only valid after the remote object implementation has been exported. If the stub for the remote object could not be found, then the method throws NoSuchObjectException.

5.1.1 Object Methods Overridden by the RemoteObject Class

The default implementations in the java.lang.Object class for the equals, hashCode, and toString methods are not appropriate for remote objects. Therefore, the RemoteObject class provides implementations for these methods that have semantics more appropriate for remote objects.

equals and hashCode methods

In order for a remote object to be used as a key in a hash table, the methods equals and hashCode need to be overridden in the remote object implementation. These methods are overridden by the class java.rmi.server.RemoteObject:

  • The java.rmi.server.RemoteObject class's implementation of the equals method determines whether two object references are equal, not whether the contents of the two objects are equal. This is because determining equality based on content requires a remote method invocation, and the signature of equals does not allow a remote exception to be thrown.
  • The java.rmi.server.RemoteObject class's implementation of the hashCode method returns the same value for all remote references that refer to the same underlying remote object (because references to the same object are considered equal).

toString method

The toString method is defined to return a string which represents the remote reference of the object. The contents of the string are specific to the remote reference type. The current implementation for singleton (unicast) objects includes an object identifier and other information about the object that is specific to the transport layer (such as host name and port number).

clone method

Objects are only clonable using the Java programming language's default mechanism if they support the java.lang.Cloneable interface. Stubs for remote objects generated by the rmic compiler are declared final and do not implement the Cloneable interface. Therefore, cloning a stub is not possible.

5.1.2 Serialized Form

The RemoteObject class implements the special (private) writeObject and readObject methods called by the object serialization mechanism to handle serializing data to a java.io.ObjectOutputStream. RemoteObject's serialized form is written using the method:

private void writeObject(java.io.ObjectOutputStream out)
    throws java.io.IOException, java.lang.ClassNotFoundException;
  • If RemoteObject's remote reference field, ref, is null, then the method throws java.rmi.MarshalException.
  • If the remote reference, ref, is non-null: ref's class is obtained via a call to its getRefClass method, which typically returns the non-package qualified name of the remote reference's class.
    • If the class name returned is non-null:
      • ref's class name is written to the stream, out, in UTF.
      • ref's writeExternal method is called passing it the stream, out, so that ref can write its external representation to the stream.
    • If the class name returned by ref.getRefClass is null:
      • the exception java.rmi.MarshalException is thrown.

A RemoteObject's state is reconstructed from its serialized form using this method called by the ObjectInputStream during deserialization:

private void readObject(java.io.ObjectInputStream in)
    throws java.io.IOException, java.lang.ClassNotFoundException;
  • First, the ref's class name, a UTF string, is read from the stream in.
  • Given the unqualified class name read from the stream:
    • The ref's full class name is constructed by concatenating the value of the string java.rmi.server.RemoteRef.packagePrefix and "." with the class name read from the stream.
    • An instance of the ref's class is created (from the full class name); if an instance cannot be created because of an InstantiationException or an IllegalAccessException, a java.rmi.UnmarshalException will be thrown.
    • The new instance (which becomes the ref field) reads its external form from the stream, in.
CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


5 - Server Interfaces

CONTENTS | PREV | NEXT Java Remote Method Invocation

5.2 The RemoteServer Class

The java.rmi.server.RemoteServer class is the common superclass to the server implementation classes java.rmi.server.UnicastRemoteObject and java.rmi.activation.Activatable.

package java.rmi.server;

public abstract class RemoteServer extends RemoteObject {

    protected RemoteServer();
    protected RemoteServer(RemoteRef ref);

    public static String getClientHost()
        throws ServerNotActiveException;
    public static void setLog(java.io.OutputStream out);
    public static java.io.PrintStream getLog();
}
Since the RemoteServer class is abstract, it cannot be instantiated. Therefore, one of RemoteServer's constructors must be called from a subclass implementation. The first RemoteServer constructor creates a RemoteServer with a null remote reference. The second RemoteServer constructor creates a RemoteServer with the given remote reference, ref.

The getClientHost method allows an active method to determine the host that initiated the remote method active in the current thread. The exception ServerNotActiveException is thrown if no remote method is active in the current thread. The setLog method logs RMI calls to the specified output stream. If the output stream is null, call logging is turned off. The getLog method returns the stream for the RMI call log, so that application-specific information can be written to the call log in a synchronized manner.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


5 - Server Interfaces

CONTENTS | PREV | NEXT Java Remote Method Invocation

5.3 The UnicastRemoteObject Class

The class java.rmi.server.UnicastRemoteObject provides support for creating and exporting remote objects. The class implements a remote server object with the following characteristics:

  • References to such objects are valid only for, at most, the life of the process that creates the remote object.
  • Communication with the remote object uses a TCP transport.
  • Invocations, parameters, and results use a stream protocol for communicating between client and server.
package java.rmi.server;

public class UnicastRemoteObject extends RemoteServer {

    protected UnicastRemoteObject()
        throws java.rmi.RemoteException;
    protected UnicastRemoteObject(int port)
        throws java.rmi.RemoteException;
    protected UnicastRemoteObject(int port,
                      RMIClientSocketFactory csf,
                      RMIServerSocketFactory ssf)
        throws java.rmi.RemoteException;

    public Object clone()
        throws java.lang.CloneNotSupportedException;
    public static RemoteStub exportObject(java.rmi.Remote obj)
        throws java.rmi.RemoteException;
    public static Remote exportObject(java.rmi.Remote obj, int port)
        throws java.rmi.RemoteException;
    public static Remote exportObject(Remote obj, int port,
                      RMIClientSocketFactory csf,
                      RMIServerSocketFactory ssf)
        throws java.rmi.RemoteException;
    public static boolean unexportObject(java.rmi.Remote obj,
                         boolean force)
        throws java.rmi.NoSuchObjectException;
}

5.3.1 Constructing a New Remote Object

A remote object implementation (one that implements one or more remote interfaces) must be created and exported. Exporting a remote object makes that object available to accept incoming calls from clients. For a remote object implementation that is exported as a UnicastRemoteObject, the exporting involves listening on a TCP port (note that more than one remote object can accept incoming calls on the same port, so listening on a new port is not always necessary). A remote object implemention can extend the class UnicastRemoteObject to make use of its constructors that export the object, or it can extend some other class (or none at all) and export the object via UnicastRemoteObject's exportObject methods.

The no argument constructor creates and exports a remote object on an anonymous (or arbitrary) port, chosen at runtime. The second form of the constructor takes a single argument, port, that specifies the port number on which the remote object accepts incoming calls. The third constructor creates and exports a remote object that accepts incoming calls on the specified port via a ServerSocket created from the RMIServerSocketFactory; clients will make connections to the remote object via Sockets supplied from the RMIClientSocketFactory.

5.3.2 Exporting an Implementation Not Extended From RemoteObject

An exportObject method (any of the forms) is used to export a simple peer-to-peer remote object that is not implemented by extending the UnicastRemoteObject class. The first form of the exportObject method takes a single parameter, obj, which is the remote object that will accept incoming RMI calls; this exportObject method exports the object on an anonymous (or arbitrary) port, chosen at runtime. The second exportObject method takes two parameters, both the remote object, obj, and port, the port number on which the remote object accepts incoming calls. The third exportObject method exports the object, obj, with the specified RMIClientSocketFactory, csf, and RMIServerSocketFactory, ssf, on the specified port.

The object must be exported prior to the first time it is passed in an RMI call as either a parameter or return value, otherwise, a java.rmi.server.StubNotFoundException is thrown when a remote call is attempted in which an "unexported" remote object is passed as an argument or return value.

Once exported, the object can be passed as an argument in an RMI call or returned as the result of an RMI call.

The exportObject method returns a Remote stub which is the stub object for the remote object, obj, that is passed in place of the remote object in an RMI call.

5.3.3 Passing a UnicastRemoteObject in an RMI Call

As stated above, when an exported object of type UnicastRemoteObject is passed as a parameter or return value in an RMI call, the object is replaced by the remote object's stub. An exported remote object implementation remains in the virtual machine in which it was created and does not move (even by value) from that virtual machine. In other words, an exported remote object is passed by reference in an RMI call; exported remote object implementations cannot be passed by value.

5.3.4 Serializing a UnicastRemoteObject

Information contained in UnicastRemoteObject is transient and is not saved if an object of that type is written to a user-defined ObjectOutputStream (for example, if the object is written to a file using serialization). An object that is an instance of a user-defined subclass of UnicastRemoteObject, however, may have non-transient data that can be saved when the object is serialized.

When a UnicastRemoteObject is read from an ObjectInputStream using UnicastRemoteObject's readObject method, the remote object is automatically exported to the RMI runtime so that it may receive RMI calls. If exporting the object fails for some reason, deserializing the object will terminate with an exception.

5.3.5 Unexporting a UnicastRemoteObject

The unexportObject method makes the remote object, obj, unavailable for incoming calls. If the force parameter is true, the object is forcibly unexported even if there are pending calls to the remote object or the remote object still has calls in progress. If the force parameter is false, the object is only unexported if there are no pending or in-progress calls to the object. If the object is successfully unexported, the RMI runtime removes the object from its internal tables. Unexporting the object in this forcible manner may leave clients holding stale remote references to the remote object. This method throws java.rmi.NoSuchObjectException if the object was not previously exported to the RMI runtime.

5.3.6 The clone method

Objects are only clonable using the Java programming language's default mechanism if they support the java.lang.Cloneable interface. The class java.rmi.server.UnicastRemoteObject does not implement this interface, but does implement the clone method so that if subclasses need to implement Cloneable, the remote object will be capable of being cloned properly. The clone method can be used by a subclass to create a cloned remote object with initially the same contents, but is exported to accept remote calls and is distinct from the original object.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


5 - Server Interfaces

CONTENTS | PREV | NEXT Java Remote Method Invocation

5.4 The Unreferenced Interface

package java.rmi.server;

public interface Unreferenced {
    public void unreferenced();
}
The java.rmi.server.Unreferenced interface allows a server object to receive notification that there are no clients holding remote references to it. The distributed garbage collection mechanism maintains for each remote object, the set of client virtual machines that hold references to that remote object. As long as some client holds a remote reference to the remote object, the RMI runtime keeps a local reference to the remote object. Each time the remote object's "reference" set becomes empty (meaning that the number of clients that reference the object becomes zero), the Unreferenced.unreferenced method is invoked (if that remote object implements the Unreferenced interface). A remote object is not required to support the Unreferenced interface.

As long as some local reference to the remote object exists, it may be passed in remote calls or returned to clients. The process that receives the reference is added to the reference set for the remote object. When the reference set becomes empty, the remote object's unreferenced method will be invoked. As such, the unreferenced method can be called more than once (each time the set is newly emptied). Remote objects are only collected when no more references, either local references or those held by clients, still exist.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


5 - Server Interfaces

CONTENTS | PREV | NEXT Java Remote Method Invocation

5.5 The RMISecurityManager Class

package java.rmi;

public class RMISecurityManager extends java.lang.SecurityManager {
    public RMISecurityManager();
}
The RMISecurityManager provides the same security features as the java.lang.SecurityManager.

In RMI applications, if no security manager has been set, stubs and classes can only be loaded from the local classpath. This ensures that the application is protected from code that is downloaded as a result of remote method invocations.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


5 - Server Interfaces

CONTENTS | PREV | NEXT Java Remote Method Invocation

5.6 The RMIClassLoader Class

The java.rmi.server.RMIClassLoader class provides a set of public static utility methods for supporting network-based class loading in RMI. These methods are called by RMI's internal marshal streams to implement the dynamic class loading of types for RMI parameters and return values, but they also may be called directly by applications in order to mimic RMI's class loading behavior. The RMIClassLoader class has no publicly-accessible constructors and thus cannot be instantiated.

package java.rmi.server;

public class RMIClassLoader {
    public static String getClassAnnotation(Class cl);
    public static ClassLoader getClassLoader(String codebase)
        throws java.net.MalformedURLException, SecurityException;
    public static Object getSecurityContext(ClassLoader loader);
        public static Class loadClass(String name)
        throws java.net.MalformedURLException,
           ClassNotFoundException;
    public static Class loadClass(String codebase, String name)
        throws java.net.MalformedURLException,
           ClassNotFoundException;
        public static Class loadClass(URL codebase, String name)
        throws java.net.MalformedURLException,
           ClassNotFoundException;
}
The getClassAnnotation method returns a String representing the network codebase path that a remote endpoint should use for downloading the definition of the indicated class. The RMI runtime uses String objects returned by this method as the annotations for class descriptors in its marshal streams. The format of this codebase string is a path of codebase URL strings delimited by spaces.

The codebase string returned depends on the class loader of the supplied class:

  • If the class loader is one of the following:
- the "system class loader" (the class loader used to load classes in the application's "class path" and returned by the method ClassLoader.getSystemClassLoader),
- a parent of the "system class loader" such as the class loader used for installed extensions,
- or null (the "boot class loader" used to load JVM classes),

      then the value of the java.rmi.server.codebase property is returned, or null is returned if that property is not set.

  • Otherwise, if the class loader is an instance of the class java.net.URLClassLoader, then the codebase string returned is a space-separated list of the external forms of the URLs returned by invoking the getURLs methods on the class loader. If the URLClassLoader was created by the RMI runtime to service an invocation of one of the RMIClassLoader.loadClass methods, then no permissions are necessary to get the associated codebase string. If it is an arbitrary URLClassLoader instance, the caller must have permission to connect to all of the URLs in the codebase path, as determined by calling openConnection().getPermission() on each URL instance returned by the getURLs method.
  • Finally, if the class loader is not an instance of URLClassLoader, then the value of the java.rmi.server.codebase property is returned, or null is returned if that property is not set.
The getClassLoader method returns a class loader that loads classes from the given codebase URL path, a list of space-separated URLs. The class loader returned is the class loader that the loadClass(String,String) method would use to load classes from the given codebase. If a class loader with the same codebase URL path already exists for the RMI runtime, it will be returned; otherwise a new class loader will be created. If the given codebase is null, it returns the class loader used to load classes via the loadClass(String) method. The method throws MalformedURLException if the codebase parameter contains an invalid non-null URL and throws SecurityException if the caller does not have permission to connect to all of the URLs in the codebase URL path.

The getSecurityContext method is deprecated because it is no longer applicable to the Java 2 platform security model; it was used internally in JDK1.1 to implement class loader-based security checks. If the indicated class loader was created by the RMI runtime to service an invocation of one of the RMIClassLoader.loadClass methods, the first URL in the class loader's codebase path is returned; otherwise, null is returned.

The three loadClass methods all attempt to load the class with the specified name using the current thread's context class loader and, if there is a security manager set, an internal URLClassLoader for a particular codebase path (depending on the method):

  • The loadClass method that only takes one parameter (the class name) implicitly uses the value of the java.rmi.server.codebase property as the codebase path to use. This version of the loadClass method has been deprecated because this use of the java.rmi.server.codebase property is discouraged; use the following, more general version instead.
  • The loadClass method with the String codebase parameter uses it as the codebase path; the codebase string must be a space-separated list of URLs, as would be returned by the getClassAnnotation method.
  • The loadClass method with the java.net.URL codebase parameter uses that single URL as the codebase.
For all of the loadClass methods, the codebase path is used in conjunction with the current thread's context class loader (determined by invoking getContextClassLoader on the current thread) to determine the internal class loader instance to attempt to load the class from. The RMI runtime maintains a table of internal class loader instances, keyed by the pair consisting of the parent class loader and the loader's codebase path (an ordered list of URLs). A loadClass method looks in the table for a URLClassLoader instance with the desired codebase path and the current thread's context class loader as its parent. If no such loader exists, then one is created and added to the table. Finally, the loadClass method is called on the chosen class loader with the specified class name.

If there is a security manager set (System.getSecurityManager does not return null), the caller of loadClass must have permission to connect to all of the URLs in the codebase path, or a ClassNotFoundException will be thrown. In order to prevent arbitrary untrusted code from being loaded into a JVM with no security manager, if there is no security manager set, all of the loadClass methods will ignore the particular codebase path and only attempt to load the class with the specified name from the current thread's context class loader.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


5 - Server Interfaces

CONTENTS | PREV | NEXT Java Remote Method Invocation

5.7 The LoaderHandler Interface

package java.rmi.server;

public interface LoaderHandler {

    Class loadClass(String name)
        throws MalformedURLException, ClassNotFoundException;
    Class loadClass(URL codebase,String name)
        throws MalformedURLException, ClassNotFoundException;
    Object getSecurityContext(ClassLoader loader);
}
Note - The LoaderHandler interface is deprecated in the Java 2 platform.
The LoaderHandler interface was only used by the JDK1.1 internal RMI implementation.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


5 - Server Interfaces

CONTENTS | PREV | NEXT Java Remote Method Invocation

5.8 RMI Socket Factories

When the RMI runtime implementation needs instances of java.net.Socket and java.net.ServerSocket for its connections, instead of instantiating objects of those classes directly, it calls the createSocket and createServerSocket methods on the current RMISocketFactory object, returned by the static method RMISocketFactory.getSocketFactory. This allows the application to have a hook to customize the type of sockets used by the RMI transport, such as alternate subclasses of the java.net.Socket and java.net.ServerSocket classes. The instance of RMISocketFactory to be used can be set once by trusted system code. In JDK1.1, this customization was limited to relatively global decisions about socket type, because the only parameters supplied to the factory's methods were host and port (for createSocket) and just port (for createServerSocket).

In the Java 2 platform, the new interfaces RMIServerSocketFactory and RMIClientSocketFactory have been introduced to provide more flexible customization of what protocols are used to communicate with remote objects.

To allow applications using RMI to take advantage of these new socket factory interfaces, several new constructors and exportObject methods, that take the client and server socket factory as additional parameters, have been added to both UnicastRemoteObject and java.rmi.activation.Activatable.

Remote objects exported with either of the new constructors or exportObject methods (with RMIClientSocketFactory and RMIServerSocketFactory parameters) will be treated differently by the RMI runtime. For the lifetime of such a remote object, the runtime will use the custom RMIServerSocketFactory to create a ServerSocket to accept incoming calls to the remote object and use the custom RMIClientSocketFactory to create a Socket to connect clients to the remote object.

The implementation of RemoteRef and ServerRef used in the stubs and skeletons for remote objects exported with custom socket factories is UnicastRef2 and UnicastServerRef2, respectively. The wire representation of the UnicastRef2 type contains a different representation of the "endpoint" to contact than the UnicastRef type has (which used just a host name string in UTF format, following by an integer port number). For UnicastRef2, the endpoint's wire representation consists of a format byte specifying the contents of the rest of the endpoint's representation (to allow for future expansion of the endpoint representation) followed by data in the indicated format. Currently, the data may consist of a hostname in UTF format, a port number, and optionally (as specified by the endpoint format byte) the serialized representation of an RMIClientSocketFactory object that is used by clients to generate socket connections to remote object at this endpoint. The endpoint representation does not contain the RMIServerSocketFactory object that was specified when the remote object was exported.

When calls are made through references of the UnicastRef2 type, the runtime uses the createSocket method of the RMIClientSocketFactory object in the endpoint when creating sockets for connections to the referent remote object. Also, when the runtime makes DGC "dirty" and "clean" calls for a particular remote object, it must call the DGC on the remote JVM using a connection generated from the same RMIClientSocketFactory object as specified in the remote reference, and the DGC implementation on the server side should verify that this was done correctly.

Remote objects exported with the older constructor or method on UnicastRemoteObject that do not take custom socket factories as arguments will have RemoteRef and ServerRef of type UnicastRef and UnicastServerRef as before and use the old wire representation for their endpoints, i.e. a host string in UTF format followed by an integer specifying the port number. This is so that RMI servers that do not use new 1.2 features will interoperate with older RMI clients.

5.8.1 The RMISocketFactory Class

The java.rmi.server.RMISocketFactory abstract class provides an interface for specifying how the transport should obtain sockets. Note that the class below uses Socket and ServerSocket from the java.net package.

package java.rmi.server;

public abstract class RMISocketFactory
    implements RMIClientSocketFactory, RMIServerSocketFactory
{

    public abstract Socket createSocket(String host, int port)
        throws IOException;
     public abstract ServerSocket createServerSocket(int port)
        throws IOException;
    public static void setSocketFactory(RMISocketFactory fac)
        throws IOException;
    public static RMISocketFactory getSocketFactory();
    public static void setFailureHandler(RMIFailureHandler fh);
    public static RMIFailureHandler getFailureHandler();
}
The static method setSocketFactory is used to set the socket factory from which RMI obtains sockets. The application may invoke this method with its own RMISocketFactory instance only once. An application-defined implementation of RMISocketFactory could, for example, do preliminary filtering on the requested connection and throw exceptions, or return its own extension of the java.net.Socket or java.net.ServerSocket classes, such as ones that provide a secure communication channel. Note that the RMISocketFactory may only be set if the current security manager allows setting a socket factory; if setting the socket factory is disallowed, a SecurityException will be thrown.

The static method getSocketFactory returns the socket factory used by RMI. The method returns null if the socket factory is not set.

The transport layer invokes the createSocket and createServerSocket methods on the RMISocketFactory returned by the getSocketFactory method when the transport needs to create sockets. For example:

RMISocketFactory.getSocketFactory().createSocket(myhost, myport)
The method createSocket should create a client socket connected to the specified host and port. The method createServerSocket should create a server socket on the specified port.

The default transport's implementation of RMISocketFactory provides for transparent RMI through firewalls using HTTP as follows:

  • On createSocket, the factory automatically attempts HTTP connections to hosts that cannot be contacted with a direct socket.
  • On createServerSocket, the factory returns a server socket that automatically detects if a newly accepted connection is an HTTP POST request. If so, it returns a socket that will transparently expose only the body of the request to the transport and format its output as an HTTP response.
The method setFailureHandler sets the failure handler to be called by the RMI runtime if the creation of a server socket fails. The failure handler returns a boolean to indicate if retry should occur. The default failure handler returns false, meaning that by default recreation of sockets is not attempted by the runtime.

The method getFailureHandler returns the current handler for socket creation failure, or null if the failure handler is not set.

5.8.2 The RMIServerSocketFactory Interface

To support custom communication with remote objects, an RMIServerSocketFactory instance can be specified for a remote object when it is exported, either via the appropriate UnicastRemoteObject constructor or exportObject method or the appropriate java.rmi.activation.Activatable constructor or exportObject method. If such a server socket factory is associated with a remote object when it is exported, the RMI runtime will use the remote object's server socket factory to create a ServerSocket (using the RMIServerSocketFactory.createServerSocket method) to accept connections from remote clients.

package java.rmi.server;

public interface RMIServerSocketFactory {

    public java.net.ServerSocket createServerSocket(int port)
        throws IOException;
}

5.8.3 The RMIClientSocketFactory Interface

For custom communication with remote objects, an RMIClientSocketFactory instance can be specified for a remote object when it is exported, either via the appropriate UnicastRemoteObject constructor or exportObject method or the appropriate java.rmi.activation.Activatable constructor or exportObject method. If such a client socket factory is associated with a remote object when it is exported, the client socket factory will be downloaded to remote virtual machines along with the remote reference for the remote object and the RMI runtime will use the RMIClientSocketFactory.createSocket method to make connections from the client to the remote object .

package java.rmi.server;

public interface RMIClientSocketFactory {
    public java.net.Socket createSocket(String host, int port)
        throws IOException;
}

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


5 - Server Interfaces

CONTENTS | PREV | NEXT Java Remote Method Invocation

5.9 The RMIFailureHandler Interface

The java.rmi.server.RMIFailureHandler interface provides a method for specifying how the RMI runtime should respond when server socket creation fails (except during object export).

package java.rmi.server;

public interface RMIFailureHandler {

    public boolean failure(Exception ex);
}
The failure method is invoked with the exception that prevented the RMI runtime from creating a java.net.ServerSocket. The method returns true if the runtime should attempt to retry and false otherwise.

Before this method can be invoked, a failure handler needs to be registered via the RMISocketFactory.setFailureHandler call. If the failure handler is not set, the RMI runtime attempts to re-create the ServerSocket after waiting for a short period of time.

Note that the RMIFailureHandler is not called when ServerSocket creation fails upon initial export of the object. The RMIFailureHandler will be called when a ServerSocket creation after a failed accept on that ServerSocket.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


5 - Server Interfaces

CONTENTS | PREV | NEXT Java Remote Method Invocation

5.10 The LogStream Class

The class LogStream presents a mechanism for logging errors that are of possible interest to those monitoring the system. This class is used internally for server call logging.

package java.rmi.server;

public class LogStream extends java.io.PrintStream {

    public static LogStream log(String name);
    public static synchronized PrintStream getDefaultStream();
    public static synchronized void setDefaultStream(
        PrintStream newDefault);
    public synchronized OutputStream getOutputStream();
    public synchronized void setOutputStream(OutputStream out);
    public void write(int b);
    public void write(byte b[], int off, int len);
    public String toString();
    public static int parseLevel(String s);

    // constants for logging levels
    public static final int SILENT  = 0;
    public static final int BRIEF   = 10;
    public static final int VERBOSE = 20;
}
Note - The LogStream class is deprecated in the Java 2 platform.
The method log returns the LogStream identified by the given name. If a log corresponding to name does not exist, a log using the default stream is created.

The method getDefaultStream returns the current default stream for new logs.

The method setDefaultStream sets the default stream for new logs.

The method getOutputStream returns current stream to which output from this log is sent.

The method setOutputStream sets the stream to which output from this log is sent.

The first form of the method write writes a byte of data to the stream. If it is not a new line, then the byte is appended to the internal buffer. If it is a new line, then the currently buffered line is sent to the log's output stream with the appropriate logging prefix. The second form of the method write writes a subarray of bytes.

The method toString returns log name as string representation.

The method parseLevel converts a string name of a logging level to its internal integer representation.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


5 - Server Interfaces

CONTENTS | PREV | NEXT Java Remote Method Invocation

5.11 Stub and Skeleton Compiler

The rmic stub and skeleton compiler is used to compile the appropriate stubs and skeletons for a specific remote object implementation. The compiler is invoked with the package qualified class name of the remote object class. The class must previously have been compiled successfully.

Please see the following URLs for further information on rmic:

  • For the SolarisTM operating environment:
http://java.sun.com/products/jdk/1.3/docs/tooldocs/solaris/rmic.html
  • For the Microsoft Windows platform:
http://java.sun.com/products/jdk/1.3/docs/tooldocs/win32/rmic.html

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


8 - Stub/Skeleton Interfaces

CONTENTS | PREV | NEXT Java Remote Method Invocation

Stub/Skeleton Interfaces

CHAPTER 8

This section contains the interfaces and classes used by the stubs and skeletons generated by the rmic stub compiler.

Topics:

  • The RemoteStub Class
  • The RemoteCall Interface
  • The RemoteRef Interface
  • The ServerRef Interface
  • The Skeleton Interface
  • The Operation Class

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


8 - Stub/Skeleton Interfaces

CONTENTS | PREV | NEXT Java Remote Method Invocation

8.1 The RemoteStub Class

The java.rmi.server.RemoteStub class is the common superclass for stubs of remote objects. Stub objects are surrogates that support exactly the same set of remote interfaces defined by the actual implementation of a remote object.

package java.rmi.server;

public abstract class RemoteStub extends java.rmi.RemoteObject {
    protected RemoteStub();
    protected RemoteStub(RemoteRef ref);

    protected static void setRef(RemoteStub stub, RemoteRef ref);
}
The first constructor of RemoteStub creates a stub with a null remote reference. The second constructor creates a stub with the given remote reference, ref.

The setRef method is deprecated (and unsupported) as of the Java 2 SDK, Standard Edition, v1.2.

8.1.1 Type Equivalency of Remote Objects with a Stub Class

Clients interact with stub (surrogate) objects that have exactly the same set of remote interfaces defined by the remote object's class; the stub class does not include the non-remote portions of the class hierarchy that constitutes the object's type graph. This is because the stub class is generated from the most refined implementation class that implements one or more remote interfaces. For example, if C extends B and B extends A, but only B implements a remote interface, then a stub is generated from B, not C.

Because the stub implements the same set of remote interfaces as the remote object's class, the stub has the same type as the remote portions of the server object's type graph. A client, therefore, can make use of the built-in Java programming language operations to check a remote object's type and to cast from one remote interface to another.

Stubs are generated using the rmic compiler.

8.1.2 The Semantics of Object Methods Declared final

The following methods are declared final in the java.lang.Object class and therefore cannot be overridden by any implementation:

  • getClass
  • notify
  • notifyAll
  • wait
The default implementation for getClass is appropriate for all objects written in the Java programming language, local or remote; so, the method needs no special implementation for remote objects. When used on a remote stub, the getClass method reports the exact type of the stub object, generated by rmic. Note that stub type reflects only the remote interfaces implemented by the remote object, not that object's local interfaces.

The wait and notify methods of java.lang.Object deal with waiting and notification in the context of the Java programming language's threading model. While use of these methods for remote stubs does not break the threading model, these methods do not have the same semantics as they do for local objects written in the Java programming language. Specifically, using these methods operates on the client's local reference to the remote object (the stub), not the actual object at the remote site.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


8 - Stub/Skeleton Interfaces

CONTENTS | PREV | NEXT Java Remote Method Invocation

8.2 The RemoteCall Interface

The interface RemoteCall is an abstraction used by the stubs and skeletons of remote objects to carry out a call to a remote object.

Note - The RemoteCall interface is deprecated as of the Java 2 SDK, Standard Edition, v1.2. The 1.2 stub protocol does not make use of this interface anymore. As of the Java 2 SDK, Standard Edition, v1.2, stubs now use the new invoke method which does not require RemoteCall as a parameter.
package java.rmi.server;

import java.io.*;

public interface RemoteCall {
    ObjectOutput getOutputStream() throws IOException;
    void releaseOutputStream() throws IOException;
    ObjectInput getInputStream() throws IOException;
    void releaseInputStream() throws IOException;
    ObjectOutput getResultStream(boolean success)
        throws IOException, StreamCorruptedException;
    void executeCall() throws Exception;
    void done() throws IOException;
}
The method getOutputStream returns the output stream into which either the stub marshals arguments or the skeleton marshals results.

The method releaseOutputStream releases the output stream; in some transports this will release the stream.

The method getInputStream returns the InputStream from which the stub unmarshals results or the skeleton unmarshals parameters.

The method releaseInputStream releases the input stream. This will allow some transports to release the input side of a connection early.

The method getResultStream returns an output stream (after writing out header information relating to the success of the call). Obtaining a result stream should only succeed once per remote call. If success is true, then the result to be marshaled is a normal return; otherwise the result is an exception. StreamCorruptedException is thrown if the result stream has already been obtained for this remote call.

The method executeCall does whatever it takes to execute the call.

The method done allows cleanup after the remote call has completed.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


8 - Stub/Skeleton Interfaces

CONTENTS | PREV | NEXT Java Remote Method Invocation

8.3 The RemoteRef Interface

The interface RemoteRef represents the handle for a remote object. Each stub contains an instance of RemoteRef that contains the concrete representation of a reference. This remote reference is used to carry out remote calls on the remote object for which it is a reference.

package java.rmi.server;

public interface RemoteRef extends java.io.Externalizable {
    Object invoke(Remote obj,
              java.lang.reflect.Method method,
              Object[] params,
              long opnum)
        throws Exception;
    RemoteCall newCall(RemoteObject obj, Operation[] op, int opnum,
                   long hash)
                throws RemoteException;
    void invoke(RemoteCall call) throws Exception;
    void done(RemoteCall call) throws RemoteException;
    String getRefClass(java.io.ObjectOutput out);
    int remoteHashCode();
    boolean remoteEquals(RemoteRef obj);
    String remoteToString();
}
The first invoke method delegates method invocation to the stub's (obj) remote reference and allows the reference to take care of setting up the connection to the remote host, marshaling some representation for the method and parameters, params, then communicating the method invocation to the remote host. This method either returns the result of the method invocation on the remote object which resides on the remote host or throws a RemoteException if the call failed or an application-level exception if the remote invocation throws an exception. Note that the operation number, opnum, represents a hash of the method signature and may be used to encode the method for transmission.

The method hash to be used for the opnum parameter is a 64-bit (long) integer computed from the first two 32-bit values of the message digest of a particular byte stream using the National Institute of Standards and Technology (NIST) Secure Hash Algorithm (SHA-1). The byte stream contains the UTF-8 encoded representation of a string consisting of the remote method's name followed by its method descriptor (see section 4.3.3 of The Java Virtual Machine Specification for a description of method descriptors). For example, if a method of a remote interface has the following name and signature:

    void myRemoteMethod(int count, Object obj, boolean flag)
the string containing the remote method's name and descriptor would be the following:

    myRemoteMethod(ILjava.lang.Object;Z)V
The hash value is assembled from the first two 32-bit values of the SHA-1 message digest. If the result of the message digest, the five 32-bit words H0 H1 H2 H3 H4, is in an array of five int values named sha, the hash value would be computed as follows:

long hash = ((sha[0] >>> 24) & 0xFF) |
            ((sha[0] >>> 16) & 0xFF) << 8 |
            ((sha[0] >>>  8) & 0xFF) << 16 |
            ((sha[0] >>>  0) & 0xFF) << 24 |
            ((sha[1] >>> 24) & 0xFF) << 32 |
            ((sha[1] >>> 16) & 0xFF) << 40 |
            ((sha[1] >>>  8) & 0xFF) << 48 |
            ((sha[1] >>>  0) & 0xFF) << 56;
Note - The newCall, invoke, and done methods are deprecated as of the Java 2 SDK, Standard Edition, v1.2. The stubs generated by rmic using the 1.2 stub protocol version do not use these methods any longer. The sequence of calls consisting of newCall, invoke, and done have been replaced by a new invoke method that takes a Method object as one of its parameters.
The method newCall creates an appropriate call object for a new remote method invocation on the remote object obj. The operation array op contains the available operations on the remote object. The operation number, opnum, is an index into the operation array which specifies the particular operation for this remote call. Passing the operation array and index allows the stubs generator to assign the operation indexes and interpret them. The remote reference may need the operation description to encode in the call.

The method invoke executes the remote call. invoke will raise any "user" exceptions which should pass through and not be caught by the stub. If any exception is raised during the remote invocation, invoke should take care of cleaning up the connection before raising the "user exception" or RemoteException.

The method done allows the remote reference to clean up (or reuse) the connection. done should only be called if the invoke call returns successfully (non-exceptionally) to the stub.

The method getRefClass returns the nonpackage-qualified class name of the reference type to be serialized onto the stream out.

The method remoteHashCode returns a hashcode for a remote object. Two remote object stubs that refer to the same remote object will have the same hash code (in order to support remote objects as keys in hashtables). A RemoteObject forwards a call to its hashCode method to the remoteHashCode method of the remote reference.

The method remoteEquals compares two remote objects for equality. Two remote objects are equal if they refer to the same remote object. For example, two stubs are equal if they refer to the same remote object. A RemoteObject forwards a call to its equals method to the remoteEquals method of the remote reference.

The method remoteToString returns a String that represents the reference of this remote object.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


8 - Stub/Skeleton Interfaces

CONTENTS | PREV | NEXT Java Remote Method Invocation

8.4 The ServerRef Interface

The interface ServerRef represents the server-side handle for a remote object implementation.

package java.rmi.server;

public interface ServerRef extends RemoteRef {
    RemoteStub exportObject(java.rmi.Remote obj, Object data)
        throws java.rmi.RemoteException;
    String getClientHost() throws ServerNotActiveException;
}
The method exportObject finds or creates a client stub object for the supplied Remote object implementation obj.The parameter data contains information necessary to export the object (such as port number).

The method getClientHost returns the host name of the current client. When called from a thread actively handling a remote method invocation, the host name of the client invoking the call is returned. If a remote method call is not currently being service, then ServerNotActiveException is called.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


8 - Stub/Skeleton Interfaces

CONTENTS | PREV | NEXT Java Remote Method Invocation

8.5 The Skeleton Interface

The interface Skeleton is used solely by the implementation of skeletons generated by the rmic compiler. A skeleton for a remote object is a server-side entity that dispatches calls to the actual remote object implementation.

Note - The Skeleton interface was deprecated as of the Java 2 SDK, Standard Edition, v1.2. Every 1.1 (and version 1.1 compatible skeletons generated in 1.2 using rmic -vcompat, the default) skeleton class generated by the rmic stub compiler implements this interface. Skeletons are no longer required for remote method call dispatch as of Java 2 SDK, Standard Edition, v1.2-compatible versions. To generate stubs that are compatible with 1.2 or later versions, use the command rmic with the option -v1.2.
package java.rmi.server;

public interface Skeleton {
    void dispatch(Remote obj, RemoteCall call, int opnum, long hash)
        throws Exception;
    Operation[] getOperations();
}
The dispatch method unmarshals any arguments from the input stream obtained from the call object, invokes the method (indicated by the operation number opnum) on the actual remote object implementation obj, and marshals the return value or throws an exception if one occurs during the invocation.

The getOperations method returns an array containing the operation descriptors for the remote object's methods.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


8 - Stub/Skeleton Interfaces

CONTENTS | PREV | NEXT Java Remote Method Invocation

8.6 The Operation Class

The class Operation holds a description of a method in the Java programming language for a remote object.

Note - The Operation interface is deprecated as of the Java 2 SDK, Standard Edition, v1.2. The 1.2 stub protocol no longer uses the old RemoteRef.invoke method which takes an Operation as one of its arguments. As of the Java 2 SDK, Standard Edition, v1.2, stubs now use the new invoke method which does not require Operation as a parameter.
package java.rmi.server;

public class Operation {
    public Operation(String op);
    public String getOperation();
    public String toString();
}
An Operation object is typically constructed with the method signature.

The method getOperation returns the contents of the operation descriptor (the value with which it was initialized).

The method toString also returns the string representation of the operation descriptor (typically the method signature).

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


- Contents

CONTENTS | PREV | NEXT Java Remote Method Invocation

Table of Contents

1 Introduction

1.1 Background
1.2 System Goals

2 Java Distributed Object Model

2.1 Distributed Object Applications
2.2 Definition of Terms
2.3 The Distributed and Nondistributed Models Contrasted
2.4 Overview of RMI Interfaces and Classes
2.5 Implementing a Remote Interface
2.6 Parameter Passing in Remote Method Invocation
2.7 Locating Remote Objects

3 RMI System Overview

3.1 Stubs and Skeletons
3.2 Thread Usage in Remote Method Invocations
3.3 Garbage Collection of Remote Objects
3.4 Dynamic Class Loading
3.5 RMI Through Firewalls Via Proxies

4 Client Interfaces

4.1 The Remote Interface
4.2 The RemoteException Class
4.3 The Naming Class

5 Server Interfaces

5.1 The RemoteObject Class
5.2 The RemoteServer Class
5.3 The UnicastRemoteObject Class
5.4 The Unreferenced Interface
5.5 The RMISecurityManager Class
5.6 The RMIClassLoader Class
5.7 The LoaderHandler Interface
5.8 RMI Socket Factories
5.9 The RMIFailureHandler Interface
5.10 The LogStream Class
5.11 Stub and Skeleton Compiler

6 Registry Interfaces

6.1 The Registry Interface
6.2 The LocateRegistry Class
6.3 The RegistryHandler Interface

7 Remote Object Activation

7.1 Overview
7.2 Activation Protocol
7.3 Implementation Model for an "Activatable" Remote Object
7.4 Activation Interfaces

8 Stub/Skeleton Interfaces

8.1 The RemoteStub Class
8.2 The RemoteCall Interface
8.3 The RemoteRef Interface
8.4 The ServerRef Interface
8.5 The Skeleton Interface
8.6 The Operation Class

9 Garbage Collector Interfaces

9.1 The DGC Interface
9.2 The Lease Class
9.3 The ObjID Class
9.4 The UID Class
9.5 The VMID Class

10 RMI Wire Protocol

10.1 Overview
10.2 RMI Transport Protocol
10.3 RMI's Use of Object Serialization Protocol
10.4 RMI's Use of HTTP POST Protocol
10.5 Application-Specific Values for RMI
10.6 RMI's Multiplexing Protocol

A Exceptions In RMI

A.1 Exceptions During Remote Object Export
A.2 Exceptions During RMI Call
A.3 Exceptions or Errors During Return
A.4 Naming Exceptions
A.5 Activation Exceptions
A.6 Other Exceptions

B Properties In RMI

B.1 Server Properties
B.2 Activation Properties
B.3 Other Properties

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


Java(tm) RMI-IIOP Documentation
Java

JavaTM RMI-IIOP Documentation

 Documentation Contents

RMI over IIOP is part of the JavaTM 2 Platform, Standard Edition, v1.3. RMI over IIOP provides the ability to write CORBA applications for the Java platform without learning CORBA Interface Definition Language (IDL). To work with CORBA applications in other languages, IDL can be generated from Java programming language interfaces using the rmic compiler with the -idl option. Use the rmic compiler with the -iiop option to generate IIOP stub and tie classes, rather than Java Remote Messaging Protocol (JRMP) stub and skeleton classes. For older versions of the JDK, the RMI over IIOP compiler is available as a separate download.

RMI over IIOP includes the full functionality of a CORBA Object Request Broker (ORB). The good news for developers is that the JavaTM Standard Edition, v1.2 and higher includes a fully-functional ORB that is available in every deployment of the Java 2 Platform, Standard and Enterprise Editions. Now you can write Java CORBA code without having to license any other software!

RMI-IIOP combines the best features of Java Remote Method Invocation (RMI) with the best features of Common Object Request Broker Architecture (CORBA). It provides you with a powerful environment in which to do distributed programming using the Java platform.

Like RMI, RMI-IIOP speeds distributed application development by allowing developers to work completely in the Java programming language. When using RMI-IIOP to produce Java technology-based distributed applications, there is no separate Interface Definition Language (IDL) or mapping to learn. Like RMI, RMI-IIOP provides flexibility by allowing developers to pass any serializable Java object (Objects By Value) between application components. Like CORBA, RMI-IIOP is based on open standards defined with the participation of hundreds of vendors and users in the Object Management Group. Like CORBA, RMI-IIOP uses Internet Inter-ORB Protocol (IIOP) as its communication protocol. IIOP eases legacy application and platform integration by allowing application components written in C++, Smalltalk, and other CORBA supported languages to communicate with components running on the Java platform.

With RMI-IIOP, developers can write remote interfaces in the Java programming language and implement them simply using Java technology and the Java RMI APIs. These interfaces can be implemented in any other language that is supported by an OMG mapping and a vendor supplied ORB for that language. Similarly, clients can be written in other languages using IDL derived from the remote Java technology-based interfaces. Using RMI-IIOP, objects can be passed both by reference and by value over IIOP.

The RMI Programming Model

The RMI Programming model enables the programming of CORBA servers and applications via the rmi API. You can choose to work completely within the Java programming language, using the Java Remote Method Protocol (JRMP) or work with other CORBA-compliant programming languages using the Internet InterORB Protocol (IIOP). This page discusses using IIOP as the transport. For more information on using the JRMP transport, link to the RMI page at http://java.sun.com/j2se/1.3/docs/guide/rmi/.

There are several scenarios that will define how you will want to create distributed applications. Here are some of them:

  • If you have been developing CORBA applications using IDL for some time, you will probably want to stay in this environment. Create the interfaces using IDL, and define the client and server applications using the Java programming language to take advantage of its "Write Once, Run AnywhereTM" portability, its highly productive implementation environment, and its very robust platform.

  • If all of your applications are written in the Java programming language, you will probably want to use Java RMI to enable communication between Java objects on different virtual machines and different physical machines. Using Java RMI without its IIOP option leverages its strengths of code portability, security, and garbage collection.

  • If you writing most of your new applications using the Java programming language, but need to maintain legacy applications written in other programming languages as well, you will probably want to use Java RMI with its IIOP compiler option.

RMI-IIOP Developer Documentation

    • RMI-IIOP Programmer's Guide
    • RMI Specification

RMI-IIOP Tools Documentation

    • IDL-to-Java Compiler (idlj)
    • RMI Compiler (rmic) Solaris / Win32

RMI-IIOP Javadoc API Reference

    • package org.omg.CORBA
    • package org.omg.CosNaming
    • org.omg.CORBA.ORB

For more information

The OMG is the official source of information for all CORBA and IIOP related information. The CORBA/IIOP 2.3.1 Specification, formal/99-10-07 is available electronically.

Send questions or comments to: JavaIDL@eng.sun.com.

Sun

Java Software


Security

 Documentation Contents
JavaTM 2 Platform Security Introduced:
  • Policy-based, easily-configurable, fine-grained access control. When code is loaded, it is assigned "permissions" based on the security policy currently in effect. Each permission specifies a permitted access to a particular resource (such as "read" and "write" access to a specified file or directory, "connect" access to a given host and port, etc.). The policy, specifying which permissions are available for code from various signers/locations, can be initialized from an external configurable policy file. Unless a permission is explicitly granted to code, it cannot access the resource that is guarded by that permission.
    These new concepts of permission and policy enable the Java 2 Platform to offer fine-grain, highly configurable, flexible, and extensible access control. Such access control can now not only be specified for applets, but also for all Java code, including applications, beans, and servlets.

  • Certificate interfaces for parsing and managing certificates, and X.509 v3 implementation of the certificate interfaces.

  • Three new tools: keytool is used to create public/private keys; to display, import, and export certificates; and to generate X.509 v1 self-signed certificates. jarsigner signs JAR (Java Archive Format) files, and verifies the signature(s) of signed JAR files. policytool creates and modifies the external policy configuration files that define your installation's Java security policy.
Security enhancements for Java TM 2 SDK, Standard Edition, v 1.3
  • Lists the enhancements and changes to JavaTM 2 Platform Security introduced with this release.
Security Guides
  • Security Architecture
  • Cryptography Architecture
  • How to Implement a Provider for the Java Cryptography Architecture
  • Policy Permissions
  • Default Policy Implementation and Policy File Syntax
  • New API for Privileged Blocks
  • X.509 Certificates and Certificate Revocation Lists
  • Security Managers and the JavaTM 2 SDK

Security API Specification
(javadoc)
  • java.security Package
  • java.security.cert Package
  • java.security.interfaces Package
  • java.security.spec Package

Security Tools
  • Security Tools Summary
  • keytool (for Solaris) (for Windows)
  • jarsigner (for Solaris) (for Windows)
  • policytool (for Solaris) (for Windows)

For More Information

Located on the Java Software web site:
  • The JavaTM 2 Platform Security trail of the Java Tutorial
  • The Security Home Page

Copyright © 1995-99 Sun Microsystems, Inc. All Rights Reserved.

Please send comments to: java-security@sun.com. This is not a subscription list. 		Sun
Java Software


-

CONTENTS | PREV | NEXT Java Security Architecture

1 Introduction

Since the inception of Java technology, there has been strong and growing interest around the security of the Java platform as well as new security issues raised by the deployment of Java technology.

From a technology provider's point of view, Java security includes two aspects:

  • Provide the Java platform as a secure, ready-built platform on which to run Java-enabled applications in a secure fashion.
  • Provide security tools and services implemented in the Java programming language that enable a wider range of security-sensitive applications, for example, in the enterprise world.
This document discusses issues related to the first aspect, where the customers for such technologies include vendors that bundle or embed Java technology in their products (such as browsers and operating systems).

1.1 The Original Sandbox Model

The original security model provided by the Java platform is known as the sandbox model, which existed in order to provide a very restricted environment in which to run untrusted code obtained from the open network. The essence of the sandbox model is that local code is trusted to have full access to vital system resources (such as the file system) while downloaded remote code (an applet) is not trusted and can access only the limited resources provided inside the sandbox. This sandbox model is illustrated in the figure below.

The sandbox model was deployed through the Java Development Kit (JDK), and was generally adopted by applications built with JDK 1.0, including Java-enabled web browsers.

Overall security is enforced through a number of mechanisms. First of all, the language is designed to be type-safe and easy to use. The hope is that the burden on the programmer is such that the likelihood of making subtle mistakes is lessened compared with using other programming languages such as C or C++. Language features such as automatic memory management, garbage collection, and range checking on strings and arrays are examples of how the language helps the programmer to write safe code.

Second, compilers and a bytecode verifier ensure that only legitimate Java bytecodes are executed. The bytecode verifier, together with the Java Virtual Machine, guarantees language safety at run time.

Moreover, a classloader defines a local name space, which can be used to ensure that an untrusted applet cannot interfere with the running of other programs.

Finally, access to crucial system resources is mediated by the Java Virtual Machine and is checked in advance by a SecurityManager class that restricts the actions of a piece of untrusted code to the bare minimum.

JDK 1.1 introduced the concept of a "signed applet", as illustrated by the figure below. In that release, a correctly digitally signed applet is treated as if it is trusted local code if the signature key is recognized as trusted by the end system that receives the applet. Signed applets, together with their signatures, are delivered in the JAR (Java Archive) format. In JDK 1.1, unsigned applets still run in the sandbox.

1.2 Evolving the Sandbox Model

The new Java 2 Platform Security Architecture, illustrated in the figure below, is introduced primarily for the following purposes.

  • Fine-grained access control.
This capability existed in the JDK from the beginning, but to use it, the application writer had to do substantial programming (e.g., by subclassing and customizing the SecurityManager and ClassLoader classes). The HotJava browser 1.0 is such an application, as it allows the browser user to choose from a small number of different security levels.

However, such programming is extremely security-sensitive and requires sophisticated skills and in-depth knowledge of computer security. The new architecture will make this exercise simpler and safer.

  • Easily configurable security policy.
Once again, this capability existed previously in the JDK but was not easy to use. Moreover, writing security code is not straightforward, so it is desirable to allow application builders and users to configure security policies without having to program.

  • Easily extensible access control structure.
Up to JDK 1.1, in order to create a new access permission, you had to add a new check method to the SecurityManager class. The new architecture allows typed permissions (each representing an access to a system resource) and automatic handling of all permissions (including yet-to-be-defined permissions) of the correct type. No new method in the SecurityManager class needs to be created in most cases. (In fact, we have so far not encountered a situation where a new method must be created.)

  • Extension of security checks to all Java programs, including applications as well as applets.
There is no longer a built-in concept that all local code is trusted. Instead, local code (e.g., non-system code, application packages installed on the local file system) is subjected to the same security control as applets, although it is possible, if desired, to declare that the policy on local code (or remote code) be the most liberal, thus enabling such code to effectively run as totally trusted. The same principle applies to signed applets and any Java application.

Finally, an implicit goal is to make internal adjustment to the design of security classes (including the SecurityManager and ClassLoader classes) to reduce the risks of creating subtle security holes in future programming.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


-

CONTENTS | PREV | NEXT Java Security Architecture

2 New Protection Mechanisms -- Overview of Basic Concepts

We now go over, in some detail, the new protection architecture and give a brief explanation of its functionality. We start with an overview of the basic concepts behind the new architecture. We then introduce the major new classes in a natural order, starting with permission specifications, going on to the policy and related features, followed by access control and its usage, and then covering secure class loading and resolution.

A fundamental concept and important building block of system security is the protection domain [Saltzer and Schroeder 75]. A domain can be scoped by the set of objects that are currently directly accessible by a principal, where a principal is an entity in the computer system to which permissions (and as a result, accountability) are granted. The sandbox utilized in JDK 1.0 is one example of a protection domain with a fixed boundary.

The protection domain concept serves as a convenient mechanism for grouping and isolation between units of protection. For example, it is possible (but not yet provided as a built-in feature) to separate protection domains from interacting with each other so that any permitted interaction must be either through trusted system code or explicitly allowed by the domains concerned. Note that existing object accessibility rules remain valid under the new security architecture.

Protection domains generally fall into two distinct categories: system domain and application domain. It is important that all protected external resources, such as the file system, the networking facility, and the screen and keyboard, be accessible only via system domains. The figure below illustrates the domain composition of a Java application environment.

A domain conceptually encloses a set of classes whose instances are granted the same set of permissions. Protection domains are determined by the policy currently in effect. The Java application environment maintains a mapping from code (classes and instances) to their protection domains and then to their permissions, as illustrated by the figure below.

A thread of execution (which is often, but not necessarily tied to, a single Java thread, which in turn is not necessarily tied to the thread concept of the underlying operation system) may occur completely within a single protection domain or may involve an application domain and also the system domain. For example, an application that prints a message out will have to interact with the system domain that is the only access point to an output stream. In this case, it is crucial that at any time the application domain does not gain additional permissions by calling the system domain. Otherwise, there can be serious security implications.

In the reverse situation where a system domain invokes a method from an application domain, such as when the AWT system domain calls an applet's paint method to display the applet, it is again crucial that at any time the effective access rights are the same as current rights enabled in the application domain.

In other words, a less "powerful" domain cannot gain additional permissions as a result of calling or being called by a more powerful domain.

This discussion of one thread involving two protection domains naturally generalizes to a thread that traverses multiple protection domains. A simple and prudent rule of thumb for calculating permissions is the following:

  • The permission set of an execution thread is considered to be the intersection of the permissions of all protection domains traversed by the execution thread.
  • When a piece of code calls the doPrivileged method (see below), the permission set of the execution thread is considered to include a permission if it is allowed by the said code's protection domain and by all protection domains that are called or entered directly or indirectly subsequently.
As you can see, the doPrivileged method enables a piece of trusted code to temporarily enable access to more resources than are available directly to the application that called it. This is necessary in some situations. For example, an application may not be allowed direct access to files that contain fonts, but the system utility to display a document must obtain those fonts, on behalf of the user. We provide the doPrivileged method for the system domain to deal with this situation, and the method is in fact available to all domains.

During execution, when access to a critical system resource (such as file I/O and network I/O) is requested, the resource-handling code directly or indirectly invokes a special AccessController class method that evaluates the request and decides if the request should be granted or denied.

Such an evaluation follows and generalizes the "rule of thumb" given above. The actual way in which the evaluation is conducted can vary between implementations. The basic principle is to examine the call history and the permissions granted to the relevant protection domains, and to return silently if the request is granted or throw a security exception if the request is denied.

Finally, each domain (system or application) may also implement additional protection of its internal resources within its own domain boundary. For example, a banking application may need to support and protect internal concepts such as checking accounts, deposits and withdrawals. Because the semantics of such protection is unlikely to be predictable or enforceable by the Java 2 SDK, the protection system at this level is best left to the system or application developers. Nevertheless, whenever appropriate, we provide helpful primitives to simplify developers' tasks. One such primitive is the SignedObject class, whose detail we will describe later.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


-

CONTENTS | PREV | NEXT Java Security Architecture

3 Permissions and Security Policy

3.1 The Permission Classes

The permission classes represent access to system resources. The java.security.Permission class is an abstract class and is subclassed, as appropriate, to represent specific accesses.

As an example of a permission, the following code can be used to produce a permission to read the file named "abc" in the /tmp directory:

    perm = new java.io.FilePermission("/tmp/abc", "read");
New permissions are subclassed either from the Permission class or one of its subclasses, such as java.security.BasicPermission. Subclassed permissions (other than BasicPermission) generally belong to their own packages. Thus, FilePermission is found in the java.io package.

A crucial abstract method that needs to be implemented for each new class of permission is the implies method. Basically, "a implies b" means that if one is granted permission "a", one is naturally granted permission "b". This is important when making access control decisions.

Associated with the abstract class java.security.Permission are the abstract class named java.security.PermissionCollection and the final class java.security.Permissions.

Class java.security.PermissionCollection represents a collection (i.e., a set that allows duplicates) of Permission objects for a single category (such as file permissions), for ease of grouping. In cases where permissions can be added to the PermissionCollection object in any order, such as for file permissions, it is crucial that the PermissionCollection object ensure that the correct semantics are followed when the implies function is called.

Class java.security.Permissions represents a collection of collections of Permission objects, or in other words, a super collection of heterogeneous permissions.

Applications are free to add new categories of permissions that the system supports. How to add such application-specific permissions is discussed later in this document.

Now we describe the syntax and semantics of all built-in permissions.

3.1.1 java.security.Permission

This abstract class is the ancestor of all permissions. It defines the essential functionalities required for all permissions.

Each permission instance is typically generated by passing one or more string parameters to the constructor. In a common case with two parameters, the first parameter is usually "the name of the target" (such as the name of a file for which the permission is aimed), and the second parameter is the action (such as "read" action on a file). Generally, a set of actions can be specified together as a comma-separated composite string.

3.1.2 java.security.PermissionCollection

This class holds a homogeneous collection of permissions. In other words, each instance of the class holds only permissions of the same type.

3.1.3 java.security.Permissions

This class is designed to hold a heterogeneous collection of permissions. Basically, it is a collection of java.security.PermissionCollection objects.

3.1.4 java.security.UnresolvedPermission

Recall that the internal state of a security policy is normally expressed by the permission objects that are associated with each code source. Given the dynamic nature of Java technology, however, it is possible that when the policy is initialized the actual code that implements a particular permission class has not yet been loaded and defined in the Java application environment. For example, a referenced permission class may be in a JAR file that will later be loaded.

The UnresolvedPermission class is used to hold such "unresolved" permissions. Similarly, the class java.security.UnresolvedPermissionCollection stores a collection of UnresolvedPermission permissions.

During access control checking on a permission of a type that was previously unresolved, but whose class has since been loaded, the unresolved permission is "resolved" and the appropriate access control decision is made. That is, a new object of the appropriate class type is instantiated, if possible, based on the information in the UnresolvedPermission. This new object replaces the UnresolvedPermission, which is removed.

If the permission is still unresolvable at this time, the permission is considered invalid, as if it is never granted in a security policy.

3.1.5 java.io.FilePermission

The targets for this class can be specified in the following ways, where directory and file names are strings that cannot contain white spaces.

file
directory (same as directory/)
directory/file
directory/* (all files in this directory)
* (all files in the current directory)
directory/- (all files in the file system under this directory)
- (all files in the file system under the current directory)
"<<ALL FILES>>" (all files in the file system)
Note that "<<ALL FILES>>" is a special string denoting all files in the system. On a Unix system, this includes all files under the root directory. On an MS-DOS system, this includes all files on all drives.

The actions are: read, write, delete, and execute. Therefore, the following are valid code samples for creating file permissions:

import java.io.FilePermission;

FilePermission p = new FilePermission("myfile", "read,write");
FilePermission p = new FilePermission("/home/gong/", "read");
FilePermission p = new FilePermission("/tmp/mytmp", "read,delete");
FilePermission p = new FilePermission("/bin/*", "execute");
FilePermission p = new FilePermission("*", "read");
FilePermission p = new FilePermission("/-", "read,execute");
FilePermission p = new FilePermission("-", "read,execute");
FilePermission p = new FilePermission("<<ALL FILES>>", "read");
The implies method in this class correctly interprets the file system. For example, FilePermission("/-", "read,execute") implies FilePermission("/home/gong/public_html/index.html", "read"), and FilePermission("bin/*", "execute") implies FilePermission("bin/emacs19.31", "execute").

Note: Most of these strings are given in platform-dependent format. For example, to represent read access to the file named "foo" in the "temp" directory on the C drive of a Windows system, you would use

FilePermission p = new FilePermission("c:\\temp\\foo", "read");
The double backslashes are necessary to represent a single backslash because the strings are processed by a tokenizer (java.io.StreamTokenizer), which allows "\" to be used as an escape string (e.g., "\n" to indicate a new line) and which thus requires two backslashes to indicate a single backslash. After the tokenizer has processed the above FilePermission target string, converting double backslashes to single backslashes, the end result is the actual path

"c:\temp\foo"
It is necessary that the strings be given in platform-dependent format until there is a universal file description language. Note also that the use of meta symbols such as "*" and "-" prevents the use of specific file names. We think this is a small limitation that can be tolerated for the moment. Finally, note that "/-" and "<<ALL FILES>>" are the same target on Unix systems in that they both refer to the entire file system. (They can refer to multiple file systems if they are all available). The two targets are potentially different on other operating systems, such as MS Windows and MacOS.

Also note that a target name that specifies just a directory, with a "read" action, as in

FilePermission p = new FilePermission("/home/gong/", "read");
means you are only giving permission to list the files in that directory, not read any of them. To allow read access to files, you must specify either an explicit file name, or an "*" or "-", as in

FilePermission p = new FilePermission("/home/gong/myfile", "read");
FilePermission p = new FilePermission("/home/gong/*", "read");
FilePermission p = new FilePermission("/home/gong/-", "read");
And finally, note that code always automatically has permission to read files from its same (URL) location, and subdirectories of that location; it does not need explicit permission to do so.

3.1.6 java.net.SocketPermission

This class represents access to a network via sockets. The target for this class can be given as "hostname:port_range", where hostname can be given in the following ways:

hostname (a single host)
IP address (a single host)
localhost (the local machine)
"" (equivalent to "localhost")
hostname.domain (a single host within the domain)
hostname.subdomain.domain
*.domain (all hosts in the domain)
*.subdomain.domain
* (all hosts)
That is, the host is expressed as a DNS name, as a numerical IP address, as "localhost" (for the local machine) or as "" (which is equivalent to specifying "localhost").

The wildcard "*" may be included once in a DNS name host specification. If it is included, it must be in the leftmost position, as in "*.sun.com".

The port_range can be given as follows:

N (a single port)
N- (all ports numbered N and above)
-N (all ports numbered N and below)
N1-N2 (all ports between N1 and N2, inclusive)
Here N, N1, and N2 are non-negative integers ranging from 0 to 65535 (2^16-1).

The actions on sockets are accept, connect, listen, and resolve (which is basically DNS lookup). Note that implicitly, the action "resolve" is implied by "accept", "connect", and "listen" -- i.e., those who can listen or accept incoming connections from or initiate out-going connections to a host should be able to look up the name of the remote host.

Below are some examples of socket permissions.

import java.net.SocketPermission;

SocketPermission p = new SocketPermission("java.sun.com","accept");
p = new SocketPermission("204.160.241.99","accept");
p = new SocketPermission("*.com","connect");
p = new SocketPermission("*.sun.com:80","accept");
p = new SocketPermission("*.sun.com:-1023","accept");
p = new SocketPermission("*.sun.com:1024-","connect");
p = new SocketPermission("java.sun.com:8000-9000",
         "connect,accept");
p = new SocketPermission("localhost:1024-",
          "accept,connect,listen");
Note that SocketPermission("java.sun.com:80,8080","accept") and SocketPermission("java.sun.com,javasun.sun.com","accept") are not valid socket permissions.

Moreover, because listen is an action that applies only to ports on the local host, whereas accept is an action that applies to ports on both the local and remote host, both actions are necessary.

3.1.7 java.security.BasicPermission

The BasicPermission class extends the Permission class. It can be used as the base class for permissions that want to follow the same naming convention as BasicPermission (see below).

The name for a BasicPermission is the name of the given permission (for example, "exitVM", "setFactory", "queuePrintJob", etc). The naming convention follows the hierarchical property naming convention. An asterisk may appear at the end of the name, following a ".", or by itself, to signify a wildcard match. For example: "java.*" or "*" is valid, "*java" or "a*b" is not valid.

The action string (inherited from Permission) is unused.Thus, BasicPermission is commonly used as the base class for "named" permissions (ones that contain a name but no actions list; you either have the named permission or you don't.) Subclasses may implement actions on top of BasicPermission, if desired.

Some of the BasicPermission subclasses are java.lang.RuntimePermission, java.security.SecurityPermission, java.util.PropertyPermission, and java.net.NetPermission.

3.1.8 java.util.PropertyPermission

The targets for this class are basically the names of Java properties as set in various property files. Examples are the "java.home" and "os.name" properties. Targets can be specified as "*" (any property), "a.*" (any property whose name has a prefix "a."), "a.b.*", and so on. Note that the wildcard can occur only once and can only be at the rightmost position.

This is one of the BasicPermission subclasses that implements actions on top of BasicPermission. The actions are read and write. Their meaning is defined as follows: "read" permission allows the getProperty method in java.lang.System to be called to get the property value, and "write" permission allows the setProperty method to be called to set the property value.

3.1.9 java.lang.RuntimePermission

The target for a RuntimePermission can be represented by any string, and there is no action associated with the targets. For example, RuntimePermission("exitVM") denotes the permission to exit the Java Virtual Machine.

The target names are:

createClassLoader
getClassLoader
setContextClassLoader
setSecurityManager
createSecurityManager
exitVM
setFactory
setIO
modifyThread
stopThread
modifyThreadGroup
getProtectionDomain
readFileDescriptor
writeFileDescriptor
loadLibrary.{library name}
accessClassInPackage.{package name}
defineClassInPackage.{package name}
accessDeclaredMembers.{class name}
queuePrintJob

3.1.10 java.awt.AWTPermission

This is in the same spirit as the RuntimePermission; it's a permission without actions. The targets for this class are:

accessClipboard
accessEventQueue
listenToAllAWTEvents
showWindowWithoutWarningBanner

3.1.11 java.net.NetPermission

This class contains the following targets and no actions:

requestPasswordAuthentication
setDefaultAuthenticator
specifyStreamHandler

3.1.12 java.lang.reflect.ReflectPermission

This is the Permission class for reflective operations. A ReflectPermission is a named permission (like RuntimePermission) and has no actions. The only name currently defined is

suppressAccessChecks
which allows suppressing the standard Java programming language access checks -- for public, default (package) access, protected, and private members -- performed by reflected objects at their point of use.

3.1.13 java.io.SerializablePermission

This class contains the following targets and no actions:

enableSubclassImplementation
enableSubstitution

3.1.14 java.security.SecurityPermission

SecurityPermissions control access to security-related objects, such as Security, Policy, Provider, Signer, and Identity objects. This class contains the following targets and no actions:

getPolicy
setPolicy
getProperty.{key}
setProperty.{key}
insertProvider.{provider name}
removeProvider.{provider name}
setSystemScope
setIdentityPublicKey
setIdentityInfo
printIdentity
addIdentityCertificate
removeIdentityCertificate
clearProviderProperties.{provider name}
putProviderProperty.{provider name}
removeProviderProperty.{provider name}
getSignerPrivateKey
setSignerKeyPair

3.1.15 java.security.AllPermission

This permission implies all permissions. It is introduced to simplify the work of system administrators who might need to perform multiple tasks that require all (or numerous) permissions. It would be inconvenient to require the security policy to iterate through all permissions. Note that AllPermission also implies new permissions that are defined in the future.

Clearly much caution is necessary when considering granting this permission.

3.1.16 Discussion of Permission Implications

Recall that permissions are often compared against each other, and to facilitate such comparisons, we require that each permission class defines an implies method that represents how the particular permission class relates to other permission classes. For example, java.io.FilePermission("/tmp/*", "read") implies java.io.FilePermission("/tmp/a.txt", "read") but does not imply any java.net.NetPermission.

There is another layer of implication that may not be immediately obvious to some readers. Suppose that one applet has been granted the permission to write to the entire file system. This presumbly allows the applet to replace the system binary, including the JVM runtime environment. This effectively means that the applet has been granted all permissions.

Another example is that if an applet is granted the runtime permission to create class loaders, it is effectively granted many more permissions, as a class loader can perform sensitive operations.

Other permissions that are "dangerous" to give out include those that allow the setting of system properties, runtime permissions for defining packages and for loading native code libraries (because the Java security architecture is not designed to and does not prevent malicious behavior at the level of native code), and of course the AllPermission.

For more information about permissions, including tables enumerating the risks of assigning specific permissions as well as a table of all the Java 2 SDK built-in methods that require permissions, see http://java.sun.com/j2se/sdk/1.2/docs/guide/security/permissions.html.

3.1.17 How To Create New Types of Permissions

It is essential that no one except Sun Microsystems should extend the permissions that are built into the Java 2 SDK, either by adding new functionality or by introducing additional target keywords into a class such as java.lang.RuntimePermission. This maintains consistency.

To create a new permission, the following steps are recommended, as shown by an example. Suppose an application developer from company ABC wants to create a customized permission to "watch TV".

First, create a new class com.abc.Permission that extends the abstract class java.security.Permission (or one of its subclasses), and another new class com.abc.TVPermission that extends the com.abc.Permission. Make sure that the implies method, among others, is correctly implemented. (Of course, com.abc.TVPermission can directly extend java.security.Permission; the intermediate com.abc.Permission is not required.)

public class com.abc.Permission extends java.security.Permission

public class com.abc.TVPermission extends com.abc.Permission
The following figure shows the subclass relationship.

Second, include these new classes with the application package.

Each user that wants to allow this new type of permission for specific code does so by adding an entry in a policy file. (Details of the policy file syntax are given in a later section.) An example of a policy file entry granting code from http://java.sun.com/ permission to watch channel 5 would be:

grant codeBase  "http://java.sun.com/" {
    permission com.abc.TVPermission "channel-5", "watch";
    }
In the application's resource management code, when checking to see if a permission should be granted, call AccessController's checkPermission method using a com.abc.TVPermission object as the parameter.

   com.abc.TVPermission tvperm = new
        com.abc.TVPermission("channel-5", "watch");
   AccessController.checkPermission(tvperm);
Note that, when adding a new permission, one should create a new (permission) class and not add a new method to the security manager. (In the past, in order to enable checking of a new type of access, you had to add a new method to the SecurityManager class.)

If more elaborate TVPermissions such as "channel-1:13" or "channel-*" are allowed, then it may be necessary to implement a TVPermissionCollection object that knows how to deal with the semantics of these pseudo names.

New code should always invoke a permission check by calling the checkPermission method of the AccessController class in order to exercise the built-in access control algorithm. There is no essential need to examine whether there is a ClassLoader or a SecurityManager. On the other hand, if the algorithm should be left to the installed security manager class, then the method SecurityManager.checkPermission should be invoked instead.

3.2 java.security.CodeSource

This class extends the concept of a codebase within HTML to encapsulate not only the code location (URL) but also the certificate(s) containing public keys that should be used to verify signed code originating from that location. Note that this is not the equivalent of the CodeBase tag in HTML files. Each certificate is represented as a java.security.cert.Certificate, and each URL as a java.net.URL.

3.3 java.security.Policy

The system security policy for a Java application environment, specifying which permissions are available for code from various sources, is represented by a Policy object. More specifically, it is represented by a Policy subclass providing an implementation of the abstract methods in the Policy class.

In order for an applet (or an application running under a SecurityManager) to be allowed to perform secured actions, such as reading or writing a file, the applet (or application) must be granted permission for that particular action. The only exception is that code always automatically has permission to read files from its same CodeSource, and subdirectories of that CodeSource; it does not need explicit permission to do so.

There could be multiple instances of the Policy object, although only one is "in effect" at any time. The currently-installed Policy object can be obtained by calling the getPolicy method, and it can be changed by a call to the setPolicy method (by code with permission to reset the Policy).

The current policy is consulted by a ProtectionDomain when the protection domain initializes its set of permissions. The protection domain passes in a CodeSource object, which encapsulates its codebase (URL) and certificate attributes. The Policy object evaluates the global policy and returns an appropriate Permissions object specifying the permissions allowed for code from the specified code source.

The source location for the policy information utilized by the Policy object is up to the Policy implementation. The policy configuration may be stored, for example, as a flat ASCII file, as a serialized binary file of the Policy class, or as a database. There is a default Policy implementation that obtains its information from static policy configuration files.

The Policy object is agnostic in that it is not involved in making policy decisions. It is merely the Java runtime representation of the persistent policy configuration.

3.3.1 Policy File Format

In the default Policy implementation, the policy can be specified within one or more policy configuration files. The configuration files indicate what permissions are allowed for code from specified code sources.

A policy configuration file essentially contains a list of entries. It may contain a "keystore" entry, and contains zero or more "grant" entries.

A keystore is a database of private keys and their associated digital certificates such as X.509 certificate chains authenticating the corresponding public keys. The keytool utility is used to create and administer keystores. The keystore specified in a policy configuration file is used to look up the public keys of the signers specified in the grant entries of the file. A keystore entry must appear in a policy configuration file if any grant entries specify signer aliases (see below).

At this time, there can be only one keystore entry in the policy file (others after the first one are ignored), and it can appear anywhere outside the file's grant entries . It has the following syntax:

keystore "some_keystore_url", "keystore_type";
Here, "some_keystore_url" specifies the URL location of the keystore, and "keystore_type" specifies the keystore type. The latter is optional. If not specified, the type is assumed to be that specified by the "keystore.type" property in the security properties file.

The URL is relative to the policy file location. Thus if the policy file is specified in the security properties file as:

policy.url.1=http://foo.bar.com/blah/some.policy
and that policy file has an entry:

keystore ".keystore";
then the keystore will be loaded from:

http://foo.bar.com/blah/.keystore
The URL can also be absolute.

A keystore type defines the storage and data format of the keystore information, and the algorithms used to protect private keys in the keystore and the integrity of the keystore itself. The default type supported by Sun Microsystems is a proprietary keystore type named "JKS".

Each grant entry in a policy file essentially consists of a CodeSource and its permissions. Actually, a CodeSource consists of a URL and a set of certificates, while a policy file entry includes a URL and a list of signer names. The system creates the corresponding CodeSource after consulting the keystore to determine the certificate(s) of the specified signers.

Each grant entry in the policy file is of the following format, where the leading "grant" is a reserved word that signifies the beginning of a new entry and optional items appear in brackets. Within each entry, a leading "permission" is another reserved word that marks the beginning of a new permission in the entry. Each grant entry grants a specified code source a set of permissions.

grant [SignedBy "signer_names"] [, CodeBase "URL"] {
    permission permission_class_name [ "target_name" ]
               [, "action"] [, SignedBy "signer_names"];
    permission ...
};
White spaces are allowed immediately before or after any comma. The name of the permission class must be a fully qualified class name, such as java.io.FilePermission, and cannot be abbreviated (for example, to FilePermission).

Note that the action field is optional in that it can be omitted if the permission class does not require it. If it is present, then it must come immediately after the target field.

The exact meaning of a CodeBase URL value depends on the characters at the end. A CodeBase with a trailing "/" matches all class files (not JAR files) in the specified directory. A CodeBase with a trailing "/*" matches all files (both class and JAR files) contained in that directory. A CodeBase with a trailing "/-" matches all files (both class and JAR files) in the directory and recursively all files in subdirectories contained in that directory.

The CodeBase field (URL) is optional in that, if it is omitted, it signifies "any code base".

The first signer name field is a string alias that is mapped, via a separate mechanism, to a set of public keys (within certificates in the keystore) that are associated with the signers. These keys are used to verify that certain signed classes are really signed by these signers.

This signer field can be a comma-separated string containing names of multiple signers, an example of which is "Adam,Eve,Charles", which means signed by Adam and Eve and Charles (i.e., the relationship is AND, not OR).

This field is optional in that, if it is omitted, it signifies "any signer", or in other words, "It doesn't matter whether the code is signed or not".

The second signer field, inside a Permission entry, represents the alias to the keystore entry containing the public key corresponding to the private key used to sign the bytecodes that implemented the said permission class. This permission entry is effective (i.e., access control permission will be granted based on this entry) only if the bytecode implementation is verified to be correctly signed by the said alias.

The order between the CodeBase and SignedBy fields does not matter.

An informal BNF grammer for the Policy file format is given below, where non-capitalized terms are terminals:

PolicyFile -> PolicyEntry | PolicyEntry; PolicyFile
PolicyEntry -> grant {PermissionEntry}; |
               grant SignerEntry {PermissionEntry} |
               grant CodebaseEntry {PermissionEntry} |
               grant SignerEntry, CodebaseEntry {PermissionEntry} |
               grant CodebaseEntry, SignerEntry {PermissionEntry} |
               keystore "url"
SignerEntry -> signedby (a comma-separated list of strings)
CodebaseEntry -> codebase (a string representation of a URL)
PermissionEntry -> OnePermission | OnePermission PermissionEntry
OnePermission -> permission permission_class_name
                 [ "target_name" ] [, "action_list"]
                 [, SignerEntry];
Now we give some examples. The following policy grants permission a.b.Foo to code signed by Roland:

grant signedBy "Roland" {
    permission a.b.Foo;
};
The following grants a FilePermission to all code (regardless of the signer and/or codeBase):

grant {
   permission java.io.FilePermission ".tmp", "read";
};
The following grants two permissions to code that is signed by both Li and Roland:

grant signedBy "Roland,Li" {
  permission java.io.FilePermission "/tmp/*", "read";
  permission java.util.PropertyPermission "user.*";
};
The following grants two permissions to code that is signed by Li and that comes from http://java.sun.com:

grant codeBase "http://java.sun.com/*", signedBy "Li" {
    permission java.io.FilePermission "/tmp/*", "read";
    permission java.io.SocketPermission "*", "connect";
};
The following grants two permissions to code that is signed by both Li and Roland, and only if the bytecodes implementing com.abc.TVPermission are genuinely signed by Li.

grant signedBy "Roland,Li" {
  permission java.io.FilePermission "/tmp/*", "read";
  permission com.abc.TVPermission "channel-5", "watch",
     signedBy "Li";
};
The reason for including the second signer field is to prevent spoofing when a permission class does not reside with the Java runtime installation. For example, a copy of the com.abc.TVPermission class can be downloaded as part of a remote JAR archive, and the user policy might include an entry that refers to it. Because the archive is not long-lived, the second time the com.abc.TVPermission class is downloaded, posssibly from a different web site, it is crucial that the second copy is authentic, as the presence of the permission entry in the user policy might reflect the user's confidence or belief in the first copy of the class bytecode.

The reason we chose to use digital signatures to ensure authenticity, rather than storing (a hash value of) the first copy of the bytecodes and using it to compare with the second copy, is because the author of the permission class can legitimately update the class file to reflect a new design or implementation.

Please note: The strings for a file path must be specified in a platform-dependent format; this is necessary until there is a universal file description language. The above examples have shown strings appropriate on Solaris systems. On Windows systems, when you directly specify a file path in a string, you need to include two backslashes for each actual single backslash in the path, as in

grant signedBy "Roland" {
  permission java.io.FilePermission "C:\\users\\Cathy\\*", "read";
};
This is because the strings are processed by a tokenizer (java.io.StreamTokenizer), which allows "\" to be used as an escape string (e.g., "\n" to indicate a new line) and which thus requires two backslashes to indicate a single backslash. After the tokenizer has processed the above FilePermission target string, converting double backslashes to single backslashes, the end result is the actual path

"C:\users\Cathy\*"

3.3.2 Property Expansion in Policy Files

Property expansion is possible in policy files and in the security properties file.

Property expansion is similar to expanding variables in a shell. That is, when a string like

"${some.property}"

appears in a policy file, or in the security properties file, it will be expanded to the value of the specified system property. For example,

permission java.io.FilePermission "${user.home}", "read";
will expand "${user.home}" to use the value of the "user.home" system property. If that property's value is "/home/cathy", then the above is equivalent to

permission java.io.FilePermission "/home/cathy", "read";
In order to assist in platform-independent policy files, you can also use the special notation of "${/}", which is a shortcut for "${file.separator}". This allows permission designations such as

permission java.io.FilePermission "${user.home}${/}*", "read";
If user.home is /home/cathy, and you are on Solaris, the above gets converted to:

permission java.io.FilePermission "/home/cathy/*", "read";
If on the other hand user.home is C:\users\cathy and you are on a Windows system, the above gets converted to:

permission java.io.FilePermission "C:\users\cathy\*", "read";
Also, as a special case, if you expand a property in a codebase, such as

grant codeBase "file:/${java.home}/lib/ext/"
then any file.separator characters will be automatically converted to /'s, which is desirable since codebases are URLs. Thus on a Windows system, even if java.home is set to C:\j2sdk1.2, the above would get converted to

grant codeBase "file:/C:/j2sdk1.2/lib/ext/"
Thus you don't need to use ${/} in codebase strings (and you shouldn't).

Property expansion takes place anywhere a double quoted string is allowed in the policy file. This includes the signedby, codebase, target names, and actions fields.

Whether or not property expansion is allowed is controlled by the value of the "policy.expandProperties" property in the security properties file. If the value of this property is true (the default), expansion is allowed.

Please note: You can't use nested properties; they will not work. For example,

"${user.${foo}}"
doesn't work, even if the "foo" property is set to "home". The reason is the property parser doesn't recognize nested properties; it simply looks for the first "${", and then keeps looking until it finds the first "}" and tries to interpret the result "${user.$foo}" as a property, but fails if there is no such property.

Also note: If a property can't be expanded in a grant entry, permission entry, or keystore entry, that entry is ignored. For example, if the system property "foo" is not defined and you have:

grant codeBase "${foo}" {
  permission ...;
  permission ...;
};
then all the permissions in this grant entry are ignored. If you have

grant {
  permission Foo "${foo}";
  permission Bar;
};
then only the "permission Foo..." entry is ignored. And finally, if you have

keystore "${foo}";
then the keystore entry is ignored.

One final note: On Windows systems, when you directly specify a file path in a string, you need to include two backslashes for each actual single backslash in the path, as in

"C:\\users\\cathy\\foo.bat"
This is because the strings are processed by a tokenizer (java.io.StreamTokenizer), which allows "\" to be used as an escape string (e.g., "\n" to indicate a new line) and which thus requires two backslashes to indicate a single backslash. After the tokenizer has processed the above string, converting double backslashes to single backslashes, the end result is

"C:\users\cathy\foo.bat"
Expansion of a property in a string takes place after the tokenizer has processed the string. Thus if you have the string

"${user.home}\\foo.bat"
then first the tokenizer processes the string, converting the double backslashes to a single backslash, and the result is

"${user.home}\foo.bat"
Then the ${user.home} property is expanded and the end result is

"C:\users\cathy\foo.bat"
assuming the user.home value is "C:\users\cathy". Of course, for platform independence, it would be better if the string was initially specified without any explicit slashes, i.e., using the ${/} property instead, as in

"${user.home}${/}foo.bat"

3.3.3 Assigning Permissions

When loading a new class that originated from a particular CodeSource, the security mechanism consults the policy object to determine what permissions to grant. This is done by invoking the getPermissions method on the Policy object that is installed in the VM.

Clearly, a given code source can match the code source given in multiple entries in the policy, for example because the wildcard "*" is allowed.

The following algorithm is used to locate the appropriate set of permissions in the policy.

1. match the public keys, if code is signed.
2. if a key is not recognized in the policy, ignore the key
   if every key is ignored, treat the code as unsigned.
3. if the keys are matched, or no signer was specified {
       try to match all URLs in the policy for the keys
   }
4. if either key or URL is not matched, use built-in default
       permission, which is the original sandbox permission.
The exact meaning of a policy entry codeBase URL value depends on the characters at the end. A codeBase with a trailing "/" matches all class files (not JAR files) in the specified directory. A codeBase with a trailing "/*" matches all files (both class and JAR files) contained in that directory. A codeBase with a trailing "/-" matches all files (both class and JAR files) in the directory and recursively all files in subdirectories contained in that directory.

As an example, given "http://java.sun.com/-" in the policy, then any code base that is on this web site matches the policy entry. Matching code bases include "http://java.sun.com/j2se/sdk/" and "http://java.sun.com/people/gong/appl.jar".

If multiple entries are matched, then all the permissions given in those entries are granted. In other words, permission assignment is additive. For example, if code signed with key A gets permission X and code signed by key B gets permission Y and no particular codebase is specified, then code signed by both A and B gets permissions X and Y. Similarly, if code with codeBase "http://java.sun.com/-" is given permission X, and "http://java.sun.com/people/*" is given permission Y, and no particular signers are specified, then an applet from "http://java.sun.com/people/applet.jar" gets both X and Y.

Note that URL matching here is purely syntactic. For example, a policy can give an entry that specifies a URL "ftp://ftp.sun.com". Such an entry is useful only when one can obtain Java code directly from ftp for execution.

To specify URLs for the local file system, a file URL can be used. For example, to specify files in the /home/cathy/temp directory in a Solaris system, you'd use

"file:/home/cathy/temp/*"
To specify files in the "temp" directory on the C drive in a Windows system, use

"file:/c:/temp/*"
Note: code base URLs always use slashes (no backlashes), regardless of the platform they apply to.

You can also use an absolute path name such as

"/home/gong/bin/MyWonderfulJava"

3.3.4 Default System and User Policy Files

In the default Policy implementation, the policy can be specified within one or more policy configuration files. The configuration files specify what permissions are allowed for code from specified code sources.

A policy file can be composed via a simple text editor, or via a graphical Policy Tool utility that is described later.

There is by default a single system-wide policy file, and a single user policy file.

The system policy file is by default located at

{java.home}/lib/security/java.policy  (Solaris)
{java.home}\lib\security\java.policy  (Windows)
Here, java.home is a system property specifying the directory into which the Java 2 SDK was installed.

The user policy file is by default located at

{user.home}/.java.policy  (Solaris)
{user.home}\.java.policy  (Windows)
Here, user.home is a system property specifying the user's home directory.

When the Policy is initialized, the system policy is loaded in first, and then the user policy is added to it. If neither policy is present, a built-in policy is used. This built-in policy is the same as the original sandbox policy.

Policy file locations are specified in the security properties file, which is located at

{java.home}/lib/security/java.security  (Solaris)
{java.home}\lib/security\java.security  (Windows)
The policy file locations are specified as the values of properties whose names are of the form

policy.url.n
Here, n is a number. You specify each such property value in a line of the following form:

policy.url.n=URL
Here, URL is a URL specification. For example, the default system and user policy files are defined in the security properties file as

policy.url.1=file:${java.home}/lib/security/java.policy
policy.url.2=file:${user.home}/.java.policy
You can actually specify a number of URLs, including ones of the form "http://", and all the designated policy files will get loaded. You can also comment out or change the second one to disable reading the default user policy file.

The algorithm starts at policy.url.1, and keeps incrementing until it does not find a URL. Thus if you have policy.url.1 and policy.url.3, policy.url.3 will never be read.

It is also possible to specify an additional or a different policy file when invoking execution of an application. This can be done via the "-Djava.security.policy" command-line argument, which sets the value of the java.security.policy property. For example, if you use

java -Djava.security.manager -Djava.security.policy=pURL SomeApp
Here, pURL is a URL specifying the location of a policy file, then the specified policy file will be loaded in addition to all the policy files that are specified in the security properties file. (The "-Djava.security.manager" argument ensures that the default security manager is installed, and thus the application is subject to policy checks, as described in "Security Management for Applets and Applications". It is not required if the application SomeApp installs a security manager.)

If you use the following, with a double equals, then just the specified policy file will be used; all others will be ignored.

java -Djava.security.manager -Djava.security.policy==pURL SomeApp
If you want to pass a policy file to the appletviewer, again use a "-Djava.security.policy" argument as follows:

appletviewer -J-Djava.security.policy=pURL  myApplet
Please note: The "-Djava.security.policy" policy file value will be ignored (for both java and appletviewer commands) if the "policy.allowSystemProperty" property in the security properties file is set to false. The default is true.

3.3.5 Customizing Policy Evaluation

The current design of the Policy class is not as comprehensive as it could be. We have given the issues much thought and are progressing cautiously, partly to ensure that we define method calls that are appropriate for the most common cases. For the meantime, an alternative policy class can be given to replace the default policy class, as long as the former is a subclass of the abstract Policy class and implements the getPermissions method (and other methods as necessary).

The default Policy implementation can be changed by resetting the value of the "policy.provider" security property (in the security properties file) to the fully qualified name of the desired Policy implementation class. The security properties file is located in the file named

{java.home}/lib/security/java.security (Solaris)
{java.home}\lib\security\java.security (Windows)
Here, {java.home} refers to the directory where the runtime environment is installed -- either the jre directory inside the Java 2 SDK, or the top-level directory of the Java 2 Runtime Environment.

The property policy.provider specifies the name of the policy class, and the default is the following:

policy.provider=sun.security.provider.PolicyFile
To customize, you can change the property value to specify another class, as in

policy.provider=com.mycom.MyPolicy
Note that the MyPolicy class must be a subclass of java.security.Policy. It is perhaps worth emphasizing that such an override of the policy class is a temporary solution and a more comprehensive policy API will probably make this unnecessary.

3.4 java.security.GeneralSecurityException

This is a new exception class that is a subclass of java.lang.Exception. The intention is that there should be two types of exceptions associated with security and the security packages.

  • java.lang.SecurityException and its subclasses should be runtime exceptions (unchecked, not declared) that are likely to cause the execution of a program to stop.
Such an exception is thrown only when some sort of security violation is detected. For example, such an exception is thrown when some code attempts to access a file, but it does not have permission for the access. Application developers may catch these exceptions, if they want.

  • java.security.GeneralSecurityException, which is a subclass of java.lang.Exception (must be declared or caught) that is thrown in all other cases from within the security packages.
Such an exception is security related but non-vital. For example, passing in an invalid key is probably not a security violation and should be caught and dealt with by a developer.

There are currently still two exceptions within the java.security package that are subclasses from RuntimeException. We at this moment cannot change these due to backward compatibility requirements. We will revisit this issue in the future.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


-

CONTENTS | PREV | NEXT Java Security Architecture

4 Access Control Mechanisms and Algorithms

4.1 java.security.ProtectionDomain

This class represents a unit of protection within the Java application environment, and is typically associated with a concept of "principal," where a principal is an entity in the computer system to which permissions (and as a result, accountability) are granted.

A domain conceptually encloses a set of classes whose instances are granted the same set of permissions. Currently, a domain is uniquely identified by a CodeSource, which encapsulates two characteristics of the code running inside the domain: the codebase (java.net.URL), and a set of certificates (of type java.security.cert.Certificate) for public keys that correspond to the private keys that signed all code in this domain. Thus, classes signed by the same keys and from the same URL are placed in the same domain.

A domain also encompasses the permissions granted to code in the domain, as determined by the security policy currently in effect.

Classes that have the same permissions but are from different code sources belong to different domains.

A class belongs to one and only one ProtectionDomain.

Note that currently in Java 2 SDK, v 1.2, protection domains are created "on demand" as a result of class loading. The getProtectionDomain method in java.lang.Class can be used to look up the protection domain that is associated with a given class. Note that one must have the appropriate permission (the RuntimePermission "getProtectionDomain") to successfully invoke this method.

Today all code shipped as part of the Java 2 SDK is considered system code and run inside the unique system domain. Each applet or application runs in its appropriate domain, determined by its code source.

It is possible to ensure that objects in any non-system domain cannot automatically discover objects in another non-system domain. This partition can be achieved by careful class resolution and loading, for example, using different classloaders for different domains. However, SecureClassLoader (or its subclasses) can, at its choice, load classes from different domains, thus allowing these classes to co-exist within the same name space (as partitioned by a classloader).

4.2 java.security.AccessController

The AccessController class is used for three purposes, each of which is described in further detail in sections below:

  • to decide whether an access to a critical system resource is to be allowed or denied, based on the security policy currently in effect,
  • to mark code as being "privileged", thus affecting subsequent access determinations, and
  • to obtain a "snapshot" of the current calling context so access-control decisions from a different context can be made with respect to the saved context.
Any code that controls access to system resources should invoke AccessController methods if it wishes to use the specific security model and access control algorithm utilized by these methods. If, on the other hand, the application wishes to defer the security model to that of the SecurityManager installed at runtime, then it should instead invoke corresponding methods in the SecurityManager class.

For example, the typical way to invoke access control has been the following code (taken from an earlier version of JDK):

 ClassLoader loader = this.getClass().getClassLoader();
        if (loader != null) {
                SecurityManager security = System.getSecurityManager();
            if (security != null) {
                security.checkRead("path/file");
            }
        }
Under the new architecture, the check typically should be invoked whether or not there is a classloader associated with a calling class. It could be simply, for example:

FilePermission perm = new FilePermission("path/file", "read");
AccessController.checkPermission(perm);
The AccessController checkPermission method examines the current execution context and makes the right decision as to whether or not the requested access is allowed. If it is, this check returns quietly. Otherwise, an AccessControlException (a subclass of java.lang.SecurityException) is thrown.

Note that there are (legacy) cases, for example, in some browsers, where whether there is a SecurityManager installed signifies one or the other security state that may result in different actions being taken. For backward compatibility, the checkPermission method on SecurityManager can be used.

SecurityManager security = System.getSecurityManager();
if (security != null) {
    FilePermission perm = new FilePermission("path/file", "read");
    security.checkPermission(perm);
}
We currently do not change this aspect of the SecurityManager usage, but would encourage application developers to use new techniques introduced in the Java 2 SDK in their future programming when the built-in access control algorithm is appropriate.

The default behavior of the SecurityManager checkPermission method is actually to call the AccessController checkPermission method. A different SecurityManager implementation may implement its own security management approach, possibly including the addition of further constraints used in determining whether or not an access is permitted.

4.2.1 Algorithm for Checking Permissions

Suppose access control checking occurs in a thread of computation that has a chain of multiple callers (think of this as multiple method calls that cross the protection domain boundaries), as illustrated in the next figure.

When the checkPermission method of the AccessController is invoked by the most recent caller (e.g., a method in the File class), the basic algorithm for deciding whether to allow or deny the requested access is as follows.

If any caller in the call chain does not have the requested permission, AccessControlException is thrown, unless the following is true -- a caller whose domain is granted the said permission has been marked as "privileged" (see the next section) and all parties subsequently called by this caller (directly or indirectly) all have the said permission.
There are obviously two implementation strategies:

  • In an "eager evaluation" implementation, whenever a thread enters a new protection domain or exits from one, the set of effective permissions is updated dynamically.
The benefit is that checking whether a permission is allowed is simplified and can be faster in many cases. The disadvantage is that, because permission checking occurs much less frequently than cross-domain calls, a large percentage of permission updates are likely to be useless effort.

  • In a "lazy evaluation" implementation, whenever permission checking is requested, the thread state (as reflected by the current state, including the current thread's call stack or its equivalent) is examined and a decision is reached to either deny or grant the particular access requested.
One potential downside of this approach is performance penalty at permission checking time, although this penalty would have been incurred anyway in the "eager evaluation" approach (albeit at earlier times and spread out among each cross-domain call). Our implementation so far has yielded acceptable performance, so we feel that lazy evaluation is the most economical approach overall.

Therefore, the algorithm for checking permissions is currently implemented as "lazy evaluation". Suppose the current thread traversed m callers, in the order of caller 1 to caller 2 to caller m. Then caller m invoked the checkPermission method. The basic algorithm checkPermission uses to determine whether access is granted or denied is the following (see subsequent sections for refinements):

 i = m;
 while (i > 0) {
     if (caller i's domain does not have the permission)
         throw AccessControlException
     else if (caller i is marked as privileged)
         return;
     i = i - 1;
 };

4.2.2 Handling Privileges

A new, static method in the AccessController class allows code in a class instance to inform the AccessController that a body of its code is "privileged" in that it is solely responsible for requesting access to its available resources, no matter what code caused it to do so.

That is, a caller can be marked as being "privileged" when it calls the doPrivileged method. When making access control decisions, the checkPermission method stops checking if it reaches a caller that was marked as "privileged" via a doPrivileged call without a context argument (see a subsequent section for information about a context argument). If that caller's domain has the specified permission, no further checking is done and checkPermission returns quietly, indicating that the requested access is allowed. If that domain does not have the specified permission, an exception is thrown, as usual.

The normal use of the "privileged" feature is as follows:

If you don't need to return a value from within the "privileged" block, do the following:

  somemethod() {
       ...normal code here...
       AccessController.doPrivileged(new PrivilegedAction() {
           public Object run() {
               // privileged code goes here, for example:
               System.loadLibrary("awt");
               return null; // nothing to return
           }
       });
       ...normal code here...
  }
PrivilegedAction is an interface with a single method, named run, that returns an Object. The above example shows creation of an anonymous inner class implementing that interface; a concrete implementation of the run method is supplied. When the call to doPrivileged is made, an instance of the PrivilegedAction implementation is passed to it. The doPrivileged method calls the run method from the PrivilegedAction implementation after enabling privileges, and returns the run method's return value as the doPrivileged return value, which is ignored in this example.

(For more information about inner classes, see the Inner Classes Specification at http://java.sun.com/products/jdk/1.1/docs/guide/innerclasses/spec/innerclasses.doc.html or pages of the More Features of the Java Language trail of the Java Tutorial, including http://java.sun.com/docs/books/tutorial/java/more/nested.html and http://java.sun.com/docs/books/tutorial/java/more/innerclasses.html.)

If you need to return a value, you can do something like the following:

  somemethod() {
       ...normal code here...
       String user = (String) AccessController.doPrivileged(
         new PrivilegedAction() {
           public Object run() {
               return System.getProperty("user.name");
           }
         }
       );
       ...normal code here...
  }
If the action performed in your run method could throw a "checked" exception (one listed in the throws clause of a method), then you need to use the PrivilegedExceptionAction interface instead of the PrivilegedAction interface:

  somemethod() throws FileNotFoundException {
       ...normal code here...
     try {
       FileInputStream fis = (FileInputStream)
        AccessController.doPrivileged(
         new PrivilegedExceptionAction() {
           public Object run() throws FileNotFoundException {
               return new FileInputStream("someFile");
           }
         }
       );
     } catch (PrivilegedActionException e) {
       // e.getException() should be an instance of
       // FileNotFoundException,
       // as only "checked" exceptions will be "wrapped" in a
       // <code>PrivilegedActionException</code>.
       throw (FileNotFoundException) e.getException();
     }
       ...normal code here...
 }
Some important points about being privileged: Firstly, this concept only exists within a single thread. As soon as the privileged code completes, the privilege is guaranteed to be erased or revoked.

Secondly, in this example, the body of code in the run method is privileged. However, if it calls less trustworthy code that is less privileged, that code will not gain any privileges as a result; a permission is only granted if the privileged code has the permission and so do all the subsequent callers in the call chain up to the checkPermission call.

For more information about marking code as "privileged," see http://java.sun.com/j2se/sdk/1.2/docs/guide/security/doprivileged.html.

4.3 Inheritence of Access Control Context

When a thread creates a new thread, a new stack is created. If the current security context was not retained when this new thread was created, then when AccessController.checkPermission was called inside the new thread, a security decision would be made based solely upon the new thread's context, not taking into consideration that of the parent thread.

This clean stack issue would not be a security problem per se, but it would make the writing of secure code, and especially system code, more prone to subtle errors. For example, a non-expert developer might assume, quite reasonably, that a child thread (e.g., one that does not involve untrusted code) inherits the same security context from the parent thread (e.g., one that involves untrusted code). This would cause unintended security holes when accessing controlled resources from inside the new thread (and then passing the resources along to less trusted code), if the parent context was not in fact saved.

Thus, when a new thread is created, we actually ensure (via thread creation and other code) that it automatically inherits the parent thread's security context at the time of creation of the child thread, in such a way that subsequent checkPermission calls in the child thread will take into consideration the inherited parent context.

In other words, the logical thread context is expanded to include both the parent context (in the form of an AccessControlContext, described in the next section) and the current context, and the algorithm for checking permissions is expanded to the following. (Recall there are m callers up to the call to checkPermission, and see the next section for information about the AccessControlContext checkPermission method.)

 i = m;
 while (i > 0) {
     if (caller i's domain does not have the permission)
         throw AccessControlException
     else if (caller i is marked as privileged)
         return;
     i = i - 1;
 };

 // Next, check the context inherited when
 // the thread was created. Whenever a new thread is created, the
 // AccessControlContext at that time is
 // stored and associated with the new thread, as the "inherited"
 // context.

 inheritedContext.checkPermission(permission);
Note that this inheritance is transitive so that, for example, a grandchild inherits both from the parent and the grandparent. Also note that the inherited context snapshot is taken when the new child is created, and not when the child is first run. There is no public API change for the inheritance feature.

4.4 java.security.AccessControlContext

Recall that the AccessController checkPermission method performs security checks within the context of the current execution thread (including the inherited context). A difficulty arises when such a security check can only be done in a different context. That is, sometimes a security check that should be made within a given context will actually need to be done from within a different context. For example, when one thread posts an event to another thread, the second thread serving the requesting event would not have the proper context to complete access control, if the service requests access to controller resources.

To address this issue, we provide the AccessController getContext method and AccessControlContext class. The getContext method takes a "snapshot" of the current calling context, and places it in an AccessControlContext object, which it returns. A sample call is the following:

AccessControlContext acc = AccessController.getContext();
This context captures relevant information so that an access control decision can be made by checking, from within a different context, against this context information. For example, one thread can post a request event to a second thread, while also supplying this context information. AccessControlContext itself has a checkPermission method that makes access decisions based on the context it encapsulates, rather than that of the current execution thread. Thus, the second thread can perform an appropriate security check if necessary by invoking the following:

acc.checkPermission(permission);
The above method call is equivalent to performing the same security check in the context of the first thread, even though it is done in the second thread.

There are also times where one or more permissions must be checked against an access control context, but it is unclear a priori which permissions are to be checked. In these cases you can use the doPrivileged method that takes a context:

  somemethod() {
        AccessController.doPrivileged(new PrivilegedAction() {
             public Object run() {
                // Code goes here. Any permission checks from
                // this point forward require both the current
                // context and the snapshot's context to have
                // the desired permission.
             }
        }, acc);
        ...normal code here...
Now the complete algorithm utilized by the AccessController checkPermission method can be given. Suppose the current thread traversed m callers, in the order of caller 1 to caller 2 to caller m. Then caller m invoked the checkPermission method. The algorithm checkPermission uses to determine whether access is granted or denied is the following

  i = m;
  while (i > 0) {
     if (caller i's domain does not have the permission)
        throw AccessControlException
     else if (caller i is marked as privileged) {
        if (a context was specified in the call to doPrivileged)
           context.checkPermission(permission);
        return;
     }
     i = i - 1;
  };

  // Next, check the context inherited when
  // the thread was created. Whenever a new thread is created, the
  // AccessControlContext at that time is
  // stored and associated with the new thread, as the "inherited"
  // context.

  inheritedContext.checkPermission(permission);

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


-

CONTENTS | PREV | NEXT Java Security Architecture

5 Secure Class Loading

Dynamic class loading is an important feature of the Java Virtual Machine because it provides the Java platform with the ability to install software components at run-time. It has a number of unique characteristics. First of all, lazy loading means that classes are loaded on demand and at the last moment possible. Second, dynamic class loading maintains the type safety of the Java Virtual Machine by adding link-time checks, which replace certain run-time checks and are performed only once. Moreover, programmers can define their own class loaders that, for example, specify the remote location from which certain classes are loaded, or assign appropriate security attributes to them. Finally, class loaders can be used to provide separate name spaces for various software components. For example, a browser can load applets from different web pages using separate class loaders, thus maintaining a degree of isolation between those applet classes. In fact, these applets can contain classes of the same name -- these classes are treated as distinct types by the Java Virtual Machine.

The class loading mechanism is not only central to the dynamic nature of the Java programming language. It also plays a critical role in providing security because the class loader is responsible for locating and fetching the class file, consulting the security policy, and defining the class object with the appropriate permissions.

5.1 Class Loader Class Hierarchies

When loading a class, because there can be multiple instances of class loader objects in one Java Virtual Machine, an important question is how do we determine which class loader to use. The Java 2 SDK has introduced multiple class loader classes are introduced that have distinct properties, so another important question is what type of class loader we should use.

The root of the class loader class hierarchy is an abstract class called java.lang.ClassLoader, originally defined in JDK 1.0 and since expanded. Class java.security.SecureClassLoader, introduced in Java 2 SDK, v 1.2, is a subclass and a concrete implementation of the abstract ClassLoader class. Class java.net.URLClassLoader is a subclass of SecureClassLoader.

A utility program called Appletviewer uses a private class sun.applet.AppletClassLoader to load applets. In JDK 1.0, AppletClassLoader is a subclass and concrete implementation of ClassLoader. In Java 2 SDK, it is a subclass of URLClassLoader.

When creating a custom class loader class, one can subclass from any of the above class loader classes, depending on the particular needs of the custom class loader. Because AppletClassLoader is a private class defined in the sun.* package, it is not supported and is subject to change, so one should not subclass from it.

5.2 The Primordial Class Loader

Because each class is loaded by its class loader, and each class loader itself is a class and must be loaded by another class loader, we seem to have the obvious chicken-and-egg problem, i.e., where does the first class loader come from? There is a "primordial'' class loader that bootstraps the class loading process. The primordial class loader is generally written in a native language, such as C, and does not manifest itself within the Java context. The primordial class loader often loads classes from the local file system in a platform-dependent manner.

Some classes, such as those defined in the java.* package, are essential for the correct functioning of the Java Virtual Machine and runtime system. They are often referred to as base classes. Due to historical reasons, all such classes have a class loader that is a null. This null class loader is perhaps the only sign of the existence of a primordial class loader. In fact, it is easier to simply view the null class loader as the primordial class loader.

Given all classes in one Java application environment, we can easily form a class loading tree to reflect the class loading relationship. Each class that is not a class loader is a leaf node. Each class's parent node is its class loader, with the null class loader being the root class. Such a structure is a tree because there cannot be cycles -- a class loader cannot have loaded its own ancestor class loader.

5.3 Class Loader Delegation

When one class loader is asked to load a class, this class loader either loads the class itself or it can ask another class loader to do so. In other words, the first class loader can delegate to the second class loader. The delegation relationship is virtual in the sense that it has nothing to do with which class loader loads which other class loader. Instead, the delegation relationship is formed when class loader objects are created, and in the form of a parent-child relationship. Nevertheless, the system class loader is the delegation root ancestor of all class loaders. Care must be taken to ensure that the delegation relationship does not contain cycles. Otherwise, the delegation process may enter into an infinite loop.

5.4 Class Resolution Algorithm

The default implementation of the Java 2 SDK ClassLoader method for loading a class searches for classes in the following order:

  • Check if the class has already been loaded.
  • If the current class loader has a specified delegation parent, delegate to the parent to try to load this class. If there is no parent, delegate to the primordial class loader.
  • Call a customizable method to find the class elsewhere.
Here, the first step looks into the class loader's local cache (or its functional equivalent, such as a global cache) to see if a loaded class matches the target class. The last step provides a way to customize the mechanism for looking for classes; thus a custom class loader can override this method to specify how a class should be looked up. For example, an applet class loader can override this method to go back to the applet host and try to locate the class file and load it over the network.

If at any step a class is located, it is returned. If the class is not found using the above steps, a ClassNotFound exception is thrown.

Observe that it is critical for type safety that the same class not be loaded more than once by the same class loader. If the class is not among those already loaded, the current class loader attempts to delegate the task to the parent class loader. This can occur recursively. This ensures that the appropriate class loader is used. For example, when locating a system class, the delegation process continues until the system class loader is reached.

We have seen the delegation algorithm earlier. But, given the name of any class, which class loader do we start with in trying to load the class? The rules for determining the class loader are the following:

  • When loading the first class of an application, a new instance of the URLClassLoader is used.
  • When loading the first class of an applet, a new instance of the AppletClassLoader is used.
  • When java.lang.Class.ForName is directly called, the primordial class loader is used.
  • If the request to load a class is triggered by a reference to it from an existing class, the class loader for the existing class is asked to load the class.
Note that rules about the use of URLClassLoader and AppletClassLoader instances have exceptions and can vary depending on the particular system environment. For example, a web browser may choose to reuse an existing AppletClassLoader to load applet classes from the same web page.

Due to the power of class loaders, we severely restrict who can create class loader instances. On the other hand, it is desirable to provide a convenient mechanism for applications or applets to specify URL locations and load classes from them. We provide static methods to allow any program to create instances of the URLClassLoader class, although not other types of class loaders.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


-

CONTENTS | PREV | NEXT Java Security Architecture

6 Security Management

6.1 Managing Applets and Applications

Currently, all Java 2 SDK system code invokes SecurityManager methods to check the policy currently in effect and perform access control checks. There is typically a security manager (SecurityManager implementation) installed whenever an applet is running; the appletviewer and most browsers, including those from Netscape and Microsoft, install a security manager.

A security manager is not automatically installed when an application is running. To apply the same security policy to an application found on the local file system as to downloaded applets, either the user running the application must invoke the Java Virtual Machine with the new "-Djava.security.manager" command-line argument (which sets the value of the java.security.manager property), as in

    java -Djava.security.manager  SomeApp
or the application itself must call the setSecurityManager method in the java.lang.System class to install a security manager.

It is possible to specify on the command line a particular security manager to be utilized, by following "-Djava.security.manager" with an equals and the name of the class to be used as the security manager, as in

    java -Djava.security.manager=COM.abc.MySecMgr  SomeApp
If no security manager is specified, the built-in default security manager is utilized (unless the application installs a different security manager). All of the following are equivalent and result in usage of the default security manager:

    java -Djava.security.manager  SomeApp
    java -Djava.security.manager=""  SomeApp
    java -Djava.security.manager=default  SomeApp
Java 2 SDK includes a property named java.class.path. Classes that are stored on the local file system but should not be treated as base classes (e.g., classes built into the SDK) should be on this path. Classes on this path are loaded with a secure class loader and are thus subjected to the security policy being enforced.

There is also a "-Djava.security.policy" command-line argument whose usage determines what policy files are utilized. This command-line argument is described in detail in the "Default System and User Policy Files" section. Basically, if you don't include "-Djava.security.policy" on the command line, then the policy files specified in the security properties file will be used.

You can use a "-Djava.security.policy" command-line argument to specify an additional or a different policy file when invoking execution of an application. For example, if you type the following, where pURL is a URL specifying the location of a policy file, then the specified policy file will be loaded in addition to all the policy files specified in the security properties file:

    java -Djava.security.manager -Djava.security.policy=pURL SomeApp
If you instead type the following command, using a double equals, then just the specified policy file will be used; all others will be ignored:

java -Djava.security.manager -Djava.security.policy==pURL SomeApp

6.2 SecurityManager versus AccessController

The new access control mechanism is fully backward compatible. For example, all check methods in SecurityManager are still supported, although most of their implementations are changed to call the new SecurityManager checkPermission method, whose default implementation calls the AccessController checkPermission method. Note that certain internal security checks may stay in the SecurityManager class, unless it can be parameterized.

We have not at this time revised any system code to call AccessController instead of calling SecurityManager (and checking for the existence of a classloader), because of the potential of existing third-party applications that subclass the SecurityManager and customize the check methods. In fact, we added a new method SecurityManager.checkPermission that by default simply invokes AccessController.checkPermission.

To understand the relationship between SecurityManager and AccessController, it is sufficient to note that SecurityManager represents the concept of a central point of access control, while AccessController implements a particular access control algorithm, with special features such as the doPrivileged method. By keeping SecurityManager up to date, we maintain backward compatibility (e.g., for those applications that have written their own security manager classes based on earlier versions of the JDK) and flexibility (e.g., for someone wanting to customize the security model to implement mandatory access control or multilevel security). By providing AccessController, we build in the algorithm that we believe is the most restrictive and that relieves the typical programmer from the burden of having to write extensive security code in most scenarios.

We encourage the use of AccessController in application code, while customization of a security manager (via subclassing) should be the last resort and should be done with extreme care. Moreover, a customized security manager, such as one that always checks the time of the day before invoking standard security checks, could and should utilize the algorithm provided by AccessController whenever appropriate.

6.3 Auxiliary Tools

This section briefly describes the usage of three tools that assist in the deployment of the new security features. These tools may be packaged together in the future.

More extensive documentation for the tools can be found in the

/docs/tooldocs/solaris
and

/docs/tooldocs/win32
subdirectories of the SDK release directory (where the directory separators are actually "\" on Windows systems).

For example, if the Java 2 SDK is installed in a directory named "/j2sdk1.2" on a Solaris system, then the keytool documentation for Solaris and Windows users, respectively, can be found in

/j2sdk1.2/docs/tooldocs/solaris/keytool.html
/j2sdk1.2/docs/tooldocs/win32/keytool.html
If the Java 2 SDK is installed in a directory named "C:\j2sdk1.2" on a Windows system, then the keytool documentation for Solaris and Windows users, respectively, can be found in

C:\j2sdk1.2\docs\tooldocs\solaris\keytool.html
C:\j2sdk1.2\docs\tooldocs\win32\keytool.html

6.3.1 The Key and Certificate Management Tool

keytool is a key and certificate management utility. It enables users to administer their own public/private key pairs and associated certificates for use in self-authentication (where the user authenticates himself/herself to other users/services) or data integrity and authentication services, using digital signatures. The authentication information includes both a sequence (chain) of X.509 certificates, and an associated private key, which can be referenced by a so-called "alias". This tool also manages certificates (that are "trusted" by the user), which are stored in the same database as the authentication information, and can be referenced by an "alias".

keytool stores the keys and certificates in a so-called keystore. The default keystore implementation implements the keystore as a file. It protects private keys with a password.

The chains of X.509 certificates are provided by organizations called Certification Authorities, or CAs. Identities (including CAs) use their private keys to authenticate their association with objects (such as with channels which are secured using SSL), with archives of code they signed, or (for CAs) with X.509 certificates they have issued. As a bootstrapping tool, certificates generated using the -genkey command may be used until a Certification Authority returns a certificate chain.

The private keys in this database are always stored in encrypted form, to make it difficult to disclose these private keys inappropriately. A password is required to access or modify the database. These private keys are encrypted using the "password", which should be several words long. If the password is lost, those authentication keys cannot be recovered.

In fact, each private key in the keystore can be protected using its own individual password, which may or may not be the same as the password that protects the keystore's overall integrity.

This tool is (currently) intended to be used from the command line, where one simply types "keytool" as a shell prompt. keytool is a script that executes the appropriate Java classes and is built together with the SDK.

The command line options for each command may be provided in any order. Typing an incorrect option or typing "keytool -help" will cause the tool's usage to be summarized on the output device (such as a shell window), as given below.

% keytool -help
KeyTool usage:

-certreq     [-v] [-alias <alias>] [-sigalg <sigalg>]
             [-file <certreq_file>] [-keypass <keypass>]
             [-keystore <keystore>] [-storepass <storepass>]
             [-storetype <i>storetype</i>]

-delete      [-v] -alias <alias>
             [-keystore <keystore>] [-storepass <storepass>]
             [-storetype <i>storetype</i>]

-export      [-v] [rfc] [-alias <alias>] [-file <cert_file>]
             [-keystore <keystore>] [-storepass <storepass>]
             [-storetype <i>storetype</i>]

-genkey      [-v] [-alias <alias>] [-keyalg <keyalg>]
             [-keysize <keysize>] [-sigalg <sigalg>]
             [-dname <distinguished_name>] [-validity <valDays>]
             [-keypass <keypass>] [-keystore <keystore>]
             [-storepass <storepass>]
             [-storetype <i>storetype</i>]

-help

-identitydb  [-v] [-file <idb_file>] [-keystore <keystore>]
             [-storepass <storepass>]
             [-storetype <i>storetype</i>]

-import      [-v] [-noprompt] [-alias <alias>]
             [-file <cert_file>] [-keypass <keypass>]
             [-keystore <keystore>] [-storepass <storepass>]
             [-storetype <i>storetype</i>]

-keyclone    [-v] [-alias <alias>] -dest <dest_alias>
             [-keypass <keypass>] [-new <new_keypass>]
             [-keystore <keystore>] [-storepass <storepass>]
             [-storetype <i>storetype</i>]

-keypasswd   [-v] [-alias <alias>]
             [-keypass <old_keypass>] [-new <new_keypass>]
             [-keystore <keystore>] [-storepass <storepass>]
             [-storetype <i>storetype</i>]

-list        [-v | -rfc] [-alias <alias>]
             [-keystore <keystore>] [-storepass <storepass>]
             [-storetype <i>storetype</i>]

-printcert   [-v] [-file <cert_file>]

-selfcert    [-v] [-alias <alias>] [-sigalg <sigalg>]
             [-dname <distinguished_name>] [-validity <valDays>]
             [-keypass <keypass>] [-keystore <keystore>]
             [-storepass <storepass>]
             [-storetype <i>storetype</i>]

-storepasswd  [-v] [-new <new_storepass>]
             [-keystore <keystore>] [-storepass <storepass>]
              [-storetype <i>storetype</i>]

6.3.2 Policy Tool

The Policy Tool is a graphical user interface (illustrated below with a screen shot) that assists a user (such as a system administrator) in specifying, generating, editing, exporting, or importing a security policy. The tool is invoked from the command line as policytool. This again is a script built with the SDK that invokes the appropriate (non-public) implementation classes.

See the Policy Tool documentation for usage information and examples with up-to-date screen shots. The documentation can be found in the policytool.html file in the

/docs/tooldocs/solaris/
or

/docs/tooldocs/win32/
directory in the directory in which the SDK was installed (where the file separators are actually backslashes on Windows systems).

6.3.3 The JAR Signing and Verification Tool

The jarsigner tool can be used to digitally sign Java archives (JAR files), and to verify such signatures. This tool, like the Policy Tool, depends on the keystore that is managed by the keytool. Its usage is quickly summarized below.

% jarsigner
Usage: jarsigner [options] jar-file alias
       jarsigner -verify [options] jar-file
  [-keystore <url>]         keystore file location
  [-storepass <password>]   password for keystore integrity
  [-keypass <password>]     password for private key (if different)
  [-sigfile <file>]         name of .SF/.DSA file
  [-signedjar <file>]       name of signed JAR file
  [-verify]                 verify a signed JAR file
  [-verbose]                verbose output when signing/verifying
  [-certs]          display certificates when verbose and verifying
  [-internalsf]             include .SF file inside signature block
  [-sectionsonly]           don't compute hash of entire manifest
Again, this tool is a script built with the SDK. Note that it is expected that this tool and the existing jar tool script may be merged in the near future to form a single command-line primitive to create JARs, either signed or unsigned.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


-

CONTENTS | PREV | NEXT Java Security Architecture

7 GuardedObject and SignedObject

7.1 java.security.GuardedObject and java.security.Guard

Recall that the class AccessControlContext is useful when an access control decision has to be made in a different context. There is another such scenario, where the supplier of a resource is not in the same thread as the comsumer of that resource, and the consumer thread cannot provide the supplier thread the access control context information (because the context is security-sensitive, or the context is too large to pass, or for other reasons). For this case, we provide a class called GuardedObject to protect access to the resource, illustrated in the figure below.

The basic idea is that the supplier of the resource can create an object representing the resource, create a GuardedObject that embeds the resource object inside, and then provide the GuardedObject to the consumer. In creating the GuardedObject, the supplier also specifies a Guard object such that anyone (including the consumer) can only obtain the resource object if certain (security) checks inside the Guard are satisfied.

Guard is an interface, so any object can choose to become a Guard. The only method in this interface is called checkGuard. It takes an Object argument and it performs certain (security) checks. The Permission class in java.security implements the Guard interface.

For example, suppose a system thread is asked to open a file /a/b/c.txt for read access, but the system thread does not know who the requestor is or under what circumstances the request is made. Therefore, the correct access control decision cannot be made at the server side. The system thread can use GuardedObject to delay the access control checking, as follows.

FileInputStream f = new FileInputStream("/a/b/c.txt");
FilePermission p = new FilePermission("/a/b/c.txt", "read");
GuardedObject g = new GuardedObject(f, p);
Now the system thread can pass g to the consumer thread. For that thread to obtain the file input stream, it has to call

FileInputStream fis = (FileInputStream) g.getObject();
This method in turn invokes the checkGuard method on the Guard object p, and because p is a Permission, its checkGuard method is in fact:

SecurityManager sm = System.getSecurityManager();
if (sm != null) sm.checkPermission(this);
This ensures that a proper access control check takes place within the consumer context. In fact, one can replace often-used hash tables and access control lists in many cases and simply store a hash table of GuardedObjects.

This basic pattern of GuardedObject and Guard is very general, and we expect that by extending the basic Guard and GuardedObject classes, developers can easily obtain quite powerful access control tools. For example, per-method invocation can be achieved with an appropriate Guard for each method, and a Guard can check the time of the day, the signer or other identification of the caller, or any other relevant information.

Note that certain typing information is lost because GuardedObject returns an Object. GuardedObject is intended to be used between cooperating parties so that the receiving party should know what type of object to expect (and to cast for). In fact, we envision that most usage of GuardedObject involves subclassing it (say to form a GuardedFileInputStream class), thus encapsulating typing information, and casting can happen suitably in the subclass.

7.2 java.security.SignedObject

This class is an essential building block for other security primitives. SignedObject contains another Serializable object, the (to-be-)signed object and its signature. If the signature is not null, it contains a valid digital signature of the signed object. This is illustrated in the figure below.

The underlying signing algorithm is set through a Signature object as a parameter to the sign method call, and the algorithm can be, among others, the NIST standard DSA, using DSA and SHA-1. The algorithm is specified using the same convention for signatures, such as "SHA/DSA".

The signed object is a "deep copy" (in serialized form) of an original object. Once the copy is made, further manipulation of the original object has no side effect on the copy. A signed object is immutable.

A typical example of creating a signed object is the following:

Signature signingEngine =
    Signature.getInstance(algorithm,provider);
SignedObject so =
    new SignedObject(myobject, signingKey, signingEngine);
A typical example of verification is the following (having received SignedObject so), where the first line is not needed if the name of the algorithm is known:

String algorithm = so.getAlgorithm();
Signature verificationEngine =
    Signature.getInstance(algorithm, provider);
so.verify(verificationEngine);
Potential applications of SignedObject include:

  • It can be used internally to any Java application environment as an unforgeable authorization token -- one that can be passed around without the fear that the token can be maliciously modified without being detected.
  • It can be used to sign and serialize data/object for storage outside the Java runtime (e.g., storing critical access control data on disk).
  • Nested SignedObjects can be used to construct a logical sequence of signatures, resembling a chain of authorization and delegation.
It is intended that this class can be subclassed in the future to allow multiple signatures on the same signed object. In that case, existing method calls in this base class will be fully compatible in semantics. In particular, any get method will return the unique value if there is only one signature, and will return an arbitrary one from the set of signatures if there is more than one signature.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


-

CONTENTS | PREV | NEXT Java Security Architecture

8 Discussion and Future Directions

8.1 Users, Authentication, and Credentials

Today the notion of a principal (e.g., user) is implicit because each JVM is owned by one user. In the future, there will be a need to extend the existing concept of ProtectionDomain to include the notion of "running-on-behalf of" a principal.

Therefore, we are actively looking to provide the following features in the near future:

  • explicit principal concept and classes
  • user authentication primitives (both password-based and otherwise)
  • cross-protection-domain principal authentication protocols
  • general mechanisms for authorization and delegation

8.2 Resource Consumption Management

Resource consumption management is relatively easy to implement in some cases (e.g., to limit the number of windows any application can pop up at any one time), while it can be quite hard to implement efficiently in other cases (e.g., to limit memory or file system usage). We plan to coherently address such issues in the future.

8.3 Arbitrary Grouping of Permissions

Sometimes it is convenient to group a number of permissions together and use a short-hand name to refer to them. For example, if we would like to have a permission called "SuperPermission" to include (and imply) both FilePermission("-", "read,write") and SocketPermission("*", "connect,accept"), technically we can use the class Permissions or a similar class to implement this super permission by using the add methods to add the required permissions. And such grouping can be arbitrarily complicated.

The more difficult issues are the following. First, to understand what actual permissions one is granting when giving out such a super permission, either a fixed and named permission class is created to denote a statically specified group of permissions, or the member permissions need to be spelled out in the policy file. Second, processing the policy (file) can become more complicated because the grouped permissions may need to be expanded. Moreover, nesting of grouped permission increases complexity even more.

8.4 Object-Level Protection

Given the object-oriented nature of the Java programming language, it is conceivable that developers will benefit from a set of appropriate object-level protection mechanisms that (1) goes beyond the natural protection provided by the Java programming language and that (2) supplements the thread-based access control mechanism.

One such mechanism is SignedObject. Parallel to this primitive, we will provide SealedObject that uses encryption to hide the content of an object. (Due to current U.S. export control regulations on the use of encryption, the SealedObject class will likely be provided separate from the SDK.)

GuardedObject is a general way to enforce access control at a per class/object per method level. This method, however, should be used only selectively, partly because this type of control can be difficult to administer at a high level.

8.5 Subdividing Protection Domains

A potentially useful concept not currently implemented is that of "subdomains." A subdomain is one that is enclosed in another. A subdomain would not have more permissions or privileges than the domain of which it is a subpart. A domain could be created, for example, to selectively further limit what a program can do.

Often a domain is thought of as supporting inheritance: a subdomain would automatically inherit the parent domain's security attributes, except in certain cases where the parent further restricts the subdomain explicitly. Relaxing a subdomain by right amplification is a possibility with the notion of trusted code.

For convenience, we can think of the system domain as a single, big collection of all system code. For better protection, though, system code should be run in multiple system domains, where each domain protects a particular type of resource and is given a special set of rights. For example, if file system code and network system code run in separate domains, where the former has no rights to the networking resources and the latter has no rights to the file system resources, the risks and consequence of an error or security flaw in one system domain is more likely to be confined within its boundary.

8.6 Running Applets with Signed Content

The JAR and Manifest specifications on code signing allow a very flexible format. Classes within the same archive can be signed with different keys, and a class can be unsigned, signed with one key, or signed with multiple keys. Other resources within the archive, such as audio clips and graphic images, can also be signed or unsigned, just like classes can.

This flexibility brings about the issue of interpretation. The following questions need to be answered, especially when keys are treated differently:

1. Should images and audios be required to be signed with the
   same key if any class in the archive is signed?
2. If images and audios are signed with different keys, can
   they be placed in the same appletviewer (or browser page),
   or should they be sent to different viewers for processing?
These questions are not easy to answer, and require consistency across platforms and products to be the most effective. Our intermediate approach is to provide a simple answer -- all images and audio clips are forwarded to be processed within the same applet classloader, whether they are signed or not. This temporary solution will be improved once a consensus is reached.

Moreover, if a digital signature cannot be verified because the bytecode content of a class file does not match the signed hash value in the JAR, a security exception is thrown, as the original intention of the JAR author is clearly altered. Previously, there was a suggestion to run such code as untrusted. This idea is undesirable because the applet classloader allows the loading of code signed by multiple parties. This means that accepting a partially modified JAR file would allow an untrusted piece of code to run together with and access other code through the same classloader.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


-

CONTENTS | PREV | NEXT Java Security Architecture

9 Summary

This document gives an overview of the motivation and the new security architecture of the major security features that are implemented for the Java 2 Platform.

Please send comments and feedback to java-security@sun.com (which is archived on the web at http://java.sun.com/security/hypermail/java-security-archive/index.html). Messages of a more confidential nature should be sent to the author directly (li.gong@sun.com).

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


-

CONTENTS | PREV | NEXT Java Security Architecture

10 Acknowledgments

The design and implementation of new security features in Java 2 SDK is the work of primarily members of the JavaSoft security group. Other (past and present) members of the JavaSoft community provided invaluable insight, detailed reviews, and much needed technical assistance. Significant contributors, in alphabetical order, include but are not limited to: Gigi Ankeny, Josh Bloch, Satya Dodda, Charlie Lai, Sheng Liang, Jan Luehe, Marianne Mueller, Jeff Nisewanger, Hemma Prafullchandra, Roger Riggs, Nakul Saraiya, Bill Shannon, Roland Schemers, and Vijay Srinivasan.

This work is not possible without strong support from JavaSoft management (our thanks go to Dick Neiss, Jon Kannegaard, and Alan Baratz), and the testing and documentation groups (especially Mary Dageforde). We are grateful for technical guidance from James Gosling, Graham Hamilton, and Jim Mitchell.

We received numerous suggestions from our corporate partners and licensees, whom we could not fully list here.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


-

CONTENTS | PREV | NEXT Java Security Architecture

11 References

M. Gasser. Building a Secure Computer System. Van Nostrand Reinhold Co., New York, 1988.

L. Gong, "Java Security: Present and Near Future". IEEE Micro, 17(3):14--19, May/June 1997.

L. Gong, T.M.A. Lomas, R.M. Needham, and J.H. Saltzer, "Protecting Poorly Chosen Secrets from Guessing Attacks". IEEE Journal on Selected Areas in Communications, 11(5):648--656, June, 1993.

J. Gosling, Bill Joy, and Guy Steele. The Java Language Specification. Addison-Wesley, Menlo Park, California, August 1996.

A.K. Jones. Protection in Programmed Systems. Ph.D. dissertation, Carnegie-Mellon University, Pittsburgh, PA 15213, June 1973.

B.W. Lampson. Protection. In Proceedings of the 5th Princeton Symposium on Information Sciences and Systems, Princeton University, March 1971. Reprinted in ACM Operating Systems Review, 8(1):18--24, January, 1974.

T. Lindholm and F. Yellin. The Java Virtual Machine Specification. Addison-Wesley, Menlo Park, California, 1997.

P.G. Neumann. Computer-Related Risks. Addison-Wesley, Menlo Park, California, 1995.

U.S. General Accounting Office. Information Security: Computer Attacks at Department of Defense Pose Increasing Risks. Technical Report GAO/AIMD-96-84, Washington, D.C. 20548, May 1996.

J.H. Saltzer. Protection and the Control of Information Sharing in Multics. Communications of the ACM, 17(7):388--402, July 1974.

J.H. Saltzer and M.D. Schroeder. The Protection of Information in Computer Systems}. Proceedings of the IEEE, 63(9):1278--1308, September 1975.

M.D. Schroeder. Cooperation of Mutually Suspicious Subsystems in a Computer Utility. Ph.D. dissertation, Massachusetts Institute of Technology, Cambridge, MA 02139, September 1972.

W.A. Wulf, R. Levin, and S.P. Harbison. HYDRA/C.mmp -- An Experimental Computer System. McGraw-Hill, 1981.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


-

CONTENTS | PREV | NEXT Java Security Architecture

12 Revision History

Various drafts on Java 2 Security Architecture, under different disguises, existed since August of 1996.

Java 2 Platform Security Architecture Specification v0.1 was drafted on March 12, 1997.

Revision 0.2 on March 27, 1997

Revision 0.3 on March 31, 1997

Revision 0.4 on June 3, 1997. Reflected changes in design and implementation based on comments and feedbacks of revision 0.3. Introduced SignedObject.

Revision 0.5 on July 10, 1997. Major reorganization. It now includes a detailed syntax and semantics for policy and permissions. The class java.lang.SecurityManager is changed from abstract to concrete, with a default implementation.

Revision 0.6 on September 3, 1997. Reorganized sections under clearer headings. Syntactical changes to policy file format, including adding an optional signer field to each permission entry. Introduced GuardedObject class and Guard interface. The Permission class is now Serializable and implements the Guard interface. Added a new AccessControlContext class that helps cross-thread access control decision making. Gave descriptions of keytool, policytool, and jarsigner. Revised Acknowledgements.

Revision 0.7 on October 1, 1997. Added description of a feature that automatically makes a new thread, at its creation time, inherit the parent thread's security context so that access control checking in the new child thread considers both the first current context and also the inherited context.

Revision 0.8 on March 9, 1998. The previously package private class java.security.ProtectionDomain is now made public, and suitable get, set, and define methods to use this class are added in java.lang.Class and java.security.SecureClassLoader. The class java.security.SignedObject is now immutable. Introduced a new class java.security.UnresolvedPermission. Added new method SecurityManager.checkPermission that, by default, invokes AccessController.checkPermission. Syntax change for FilePermission in the case of "*", "-", and introduced "<<ALL FILES>>". Other minor additions and changes, including two new options for jarsigner. Revised Acknowledgements.

Revision 0.9 on June 10, 1998. Some permission names have been modified to make permission naming clearer and more consistent. Added sections for Permission classes not previously documented herein. The evaluate method in Policy has been renamed getPermissions. Class.setProtectionDomain no longer exists. Corrected "file:" URL examples. The "-usepolicy" command-line argument for the "java" command has been replaced by "-Djava.security.manager" and "-Djava.security.policy". Updated command lists for the keytool and jarsigner tools. The AccessController beginPrivileged and endPrivileged methods have been replaced by the doPrivileged method.

Revision 1.0 (the current version) on October 2, 1998. Updated description of the class loading mechanism with a new chapter. Rearranged some chapters and sections.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


-

CONTENTS | PREV | NEXT Java Security Architecture

Table of Contents

1 Introduction
1.1 The Original Sandbox Model
1.2 Evolving the Sandbox Model

2 New Protection Mechanisms -- Overview of Basic Concepts

3 Permissions and Security Policy
3.1 The Permission Classes
3.1.1 java.security.Permission
3.1.2 java.security.PermissionCollection
3.1.3 java.security.Permissions
3.1.4 java.security.UnresolvedPermission
3.1.5 java.io.FilePermission
3.1.6 java.net.SocketPermission
3.1.7 java.security.BasicPermission
3.1.8 java.util.PropertyPermission
3.1.9 java.lang.RuntimePermission
3.1.10 java.awt.AWTPermission
3.1.11 java.net.NetPermission
3.1.12 java.lang.reflect.ReflectPermission
3.1.13 java.io.SerializablePermission
3.1.14 java.security.SecurityPermission
3.1.15 java.security.AllPermission
3.1.16 Discussion of Permission Implications
3.1.17 How To Create New Types of Permissions
3.2 java.security.CodeSource
3.3 java.security.Policy
3.3.1 Policy File Format
3.3.2 Property Expansion in Policy Files
3.3.3 Assigning Permissions
3.3.4 Default System and User Policy Files
3.3.5 Customizing Policy Evaluation
3.4 java.security.GeneralSecurityException

4 Access Control Mechanisms and Algorithms
4.1 java.security.ProtectionDomain
4.2 java.security.AccessController
4.2.1 Algorithm for Checking Permissions
4.2.2 Handling Privileges
4.3 Inheritence of Access Control Context
4.4 java.security.AccessControlContext

5 Secure Class Loading
5.1 Class Loader Class Hierarchies
5.2 The Primordial Class Loader
5.3 Class Loader Delegation
5.4 Class Resolution Algorithm

6 Security Management
6.1 Managing Applets and Applications
6.2 SecurityManager versus AccessController
6.3 Auxiliary Tools
6.3.1 The Key and Certificate Management Tool
6.3.2 Policy Tool
6.3.3 The JAR Signing and Verification Tool

7 GuardedObject and SignedObject
7.1 java.security.GuardedObject and java.security.Guard
7.2 java.security.SignedObject

8 Discussion and Future Directions
8.1 Users, Authentication, and Credentials
8.2 Resource Consumption Management
8.3 Arbitrary Grouping of Permissions
8.4 Object-Level Protection
8.5 Subdividing Protection Domains
8.6 Running Applets with Signed Content

9 Summary

10 Acknowledgments

11 References

12 Revision History

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


Object Serialization

 Documentation Contents
Object Serialization extends the core Java Input/Output classes with support for objects. Object Serialization supports the encoding of objects, and the objects reachable from them, into a stream of bytes; and it supports the complementary reconstruction of the object graph from the stream. Serialization is used for lightweight persistence and for communication via sockets or Remote Method Invocation (RMI). The default encoding of objects protects private and transient data, and supports the evolution of the classes. A class may implement its own external encoding and is then solely responsible for the external format.

Serialization now includes an API that allows the serialized data of an object to be specified independently of the fields of the class and allows those serialized data fields to be written to and read from the stream using the existing protocol to ensure compatiblity with the default writing and reading mechanisms.

Enhancements
  • Enhancements - Describes enhancements and improvements to Object Serialization in the Java 2 platform.
Specification
  • Specification - Describes the architecture of the Object Serialization system and the APIs. The specification is also available in PS and PDF formats.
API Specification
(javadoc)
  • java.io Package - Documents all of the interfaces and classes.
Examples
  • Examples- Demonstrate different aspects of and uses for Object Serialization.
FAQ
  • FAQ- Answers the most frequently asked questions about Object Serialization.
Tools
  • serialver - Explains the serialver command, which returns the serialVersionUID for a class.

Copyright © 1995-99 Sun Microsystems, Inc. All Rights Reserved.

Please send comments to: java-io@java.sun.com

Sun
Java Software


Object Serialization Examples

The following examples demonstrate different aspects of and uses for Object Serialization:

  • Using Serialization with Sockets
  • Using Serialization with a Custom Data Format
  • Using Serialization with SuperClasses:
    • Serialization with a NonSerializable Superclass
    • Externalization with an Externalizable Superclass
    • Externalization with a NonExternalizable Superclass
  • Using Serialization with Evolution:
    • Serialization and Evolution
    • Externalization and Evolution
    • Serialization, Evolution, and the addition of a new SuperClass
    • Serialization, Evolution, and the Serializable Fields API
  • Using Substitution by Serializable Class


-

CONTENTS | PREV | NEXT Java Object Serialization Specification

Change History

July 30, 1999 Updates for JavaTM 2 SDK, Standard Edition, v1.3 Beta

  • Added the ability to write String objects for which the UTF encoding is longer than 65535 bytes in length. See Section 6.2, "Stream Elements".
  • New methods ObjectOutputStream.writeClassDescriptor and ObjectInputStream.readClassDescriptor provide a means of customizing the serialized representation of ObjectStreamClass class descriptors. See Section 2.1, "The ObjectOutputStream Class" and Section 3.1, "The ObjectInputStream Class".
  • Expanded Appendix A, "Security in Object Serialization".

Sept. 30, 1998 Updates for JDKTM 1.2 Beta4 RC1

  • Documentation corrections only.

June 22, 1998 Updates for JDKTM 1.2 Beta4

  • Eliminated JDKTM 1.2 java.io interfaces, Replaceable and Resolvable.References to either of these classes as an interface should be replaced with java.io.Serializable. Serialization will use reflection to invoke the methods, writeReplace and readResolve, if the Serializable class defines these methods. See Section 2.5, "The writeReplace Method" and Section 3.6, "The readResolve Method."
  • New javadoc tags @serial, @serialField, and @serialData provide a way to document the Serialized Form of a Serializable class. Javadoc generates a serialization specification based on the contents of these tags. See Section 1.6, "Documenting Serializable Fields and Data for a Class."
  • Special Serializable class member, serialPersistentFields, must be declared private. See Section 1.5, "Defining Serializable Fields for a Class."
  • Clarified the steps involved in computing the serialVersionUID in Section 4.6, "Stream Unique Identifiers."

Feb. 6, 1998 Updates for JDKTM 1.2 Beta 3

  • Introduced the concept of STREAM_PROTOCOL versions. Added the STREAM_PROTOCOL_2 version to indicate a new format for Externalizable objects that enable skipping by an Externalizable object within the stream, even when the object's class is not available in the local Virtual Machine. Compatibility issues are discussed in Section 6.3, "Stream Protocol Versions."
  • The ObjectInputStream.resolveClass method can return a local class in a different package than the name of the class within the stream. This capability enables renaming of packages between releases. The serialVersionUID and the base class name must be the same in the stream and in the local version of the class. See Section 3.1, "The ObjectInputStream Class."
  • Allow substitution of String or array objects when writing them to or reading them from the stream. See Section 2.1, "The ObjectOutputStream Class" and Section 3.1, "The ObjectInputStream Class."

Sept. 4, 1997 Updates for JDKTM 1.2 Beta1

  • Separated the Replaceable interface into two interfaces: Replaceable and Resolvable. The Replaceable interface allows a class to nominate its own replacement just before serializing the object to the stream. The Resolvable interface allows a class to nominate its own replacement when reading an object from the stream.
  • Modified serialization to use the JDKTM 1.2 security model. There is a check for SerializablePermission "enableSubstitution" within the ObjectInputStream.enableReplace and ObjectOutputStream.enableResolve methods. See Section 2.1, "The ObjectOutputStream Class" and Section 3.1, "The ObjectInputStream Class."
  • Updated writeObject's exception handler to write handled IOExceptions into the stream. See Section 2.1, "The ObjectOutputStream Class."

July 3, 1997 Updates for JDKTM 1.2 Alpha

  • Documented the requirements for specifying the serialized state of classes. See Section 1.5, "Defining Serializable Fields for a Class."
  • Added the Serializable Fields API to allow classes more flexibility in accessing the serialized fields of a class. The stream protocol is unchanged. See Section 1.7, "Accessing Serializable Fields of a Class," Section 2.2, "The ObjectOutputStream.PutField Class," and Section 3.2, "The ObjectInputStream.GetField Class."
  • Clarified that field descriptors and data are written to and read from the stream in canonical order. See Section 4.1, "The ObjectStreamClass Class."

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


4 - Class Descriptors

CONTENTS | PREV | NEXT Java Object Serialization Specification

Class Descriptors

CHAPTER 4

Topics:

  • The ObjectStreamClass Class
  • Dynamic Proxy Class Descriptors
  • Serialized Form

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


4 - Class Descriptors

CONTENTS | PREV | NEXT Java Object Serialization Specification

4.1 The ObjectStreamClass Class

The ObjectStreamClass provides information about classes that are saved in a Serialization stream. The descriptor provides the fully-qualified name of the class and its serialization version UID. A SerialVersionUID identifies the unique original class version for which this class is capable of writing streams and from which it can read.

package java.io;

public class ObjectStreamClass
{
    public static ObjectStreamClass lookup(Class cl);

    public String getName();

    public Class forClass();

    public ObjectStreamField[] getFields();

    public long getSerialVersionUID();

    public String toString();
}
The lookup method returns the ObjectStreamClass descriptor for the specified class in the virtual machine. If the class has defined serialVersionUID it is retrieved from the class. If the serialVersionUID is not defined by the class, it is computed from the definition of the class in the virtual machine. If the specified class is not serializable or externalizable, null is returned.

The getName method returns the fully-qualified name of the class. The class name is saved in the stream and is used when the class must be loaded.

The forClass method returns the Class in the local virtual machine if one was found by ObjectInputStream.resolveClass method. Otherwise, it returns null.

The getFields method returns an array of ObjectStreamField objects that represent the serializable fields of this class.

The getSerialVersionUID method returns the serialVersionUID of this class. Refer to Section 4.6, "Stream Unique Identifiers." If not specified by the class, the value returned is a hash computed from the class's name, interfaces, methods, and fields using the Secure Hash Algorithm (SHA) as defined by the National Institute of Standards.

The toString method returns a printable representation of the class descriptor including the name of the class and the serialVersionUID.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


4 - Class Descriptors

CONTENTS | PREV | NEXT Java Object Serialization Specification

4.2 Dynamic Proxy Class Descriptors

ObjectStreamClass descriptors are also used to provide information about dynamic proxy classes (e.g., classes obtained via calls to the getProxyClass method of java.lang.reflect.Proxy) saved in a serialization stream. A dynamic proxy class itself has no serializable fields and a serialVersionUID of 0L. In other words, when the Class object for a dynamic proxy class is passed to the static lookup method of ObjectStreamClass, the returned ObjectStreamClass instance will have the following properties:

  • Invoking its getSerialVersionUID method will return 0L.
  • Invoking its getFields method will return an array of length zero.
  • Invoking its getField method with any String argument will return null.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


4 - Class Descriptors

CONTENTS | PREV | NEXT Java Object Serialization Specification

4.3 Serialized Form

The serialized form of an ObjectStreamClass instance depends on whether or not the Class object it represents is serializable, externalizable, or a dynamic proxy class.

When an ObjectStreamClass instance that does not represent a dynamic proxy class is written to the stream, it writes the class name and serialVersionUID, flags, and the number of fields. Depending on the class, additional information may be written:

  • For non-serializable classes, the number of fields is always zero. Neither the serializable nor the externalizable flag bits are set.
  • For serializable classes, the serializable flag is set, the number of fields counts the number of serializable fields and is followed by a descriptor for each serializable field. The descriptors are written in canonical order. The descriptors for primitive typed fields are written first sorted by field name followed by descriptors for the object typed fields sorted by field name. The names are sorted using String.compareTo. For details of the format, refer to Section 6.4, "Grammar for the Stream Format".
  • For externalizable classes, flags includes the externalizable flag, and the number of fields is always zero.
When an ObjectOutputStream serializes the ObjectStreamClass descriptor for a dynamic proxy class, as determined by passing its Class object to the isProxyClass method of java.lang.reflect.Proxy, it writes the number of interfaces that the dynamic proxy class implements, followed by the interface names. Interfaces are listed in the order that they are returned by invoking the getInterfaces method on the Class object of the dynamic proxy class.

The serialized representations of ObjectStreamClass descriptors for dynamic proxy classes and non-dynamic proxy classes are differentiated through the use of different typecodes (TC_PROXYCLASSDESC and TC_CLASSDESC, respectively); for a more detailed specification of the grammar, see Section 6.4, "Grammar for the Stream Format".

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


4 - Class Descriptors

CONTENTS | PREV | NEXT Java Object Serialization Specification

4.4 The ObjectStreamField Class

An ObjectStreamField represents a serializable field of a serializable class. The serializable fields of a class can be retrieved from the ObjectStreamClass.

The special static serializable field, serialPersistentFields, is an array of ObjectStreamField components that is used to override the default serializable fields.

package java.io;

public class ObjectStreamField {

    public ObjectStreamField(String fieldName, Class fieldType);

    public String getName();

    public Class getType() throws ClassNotFoundException;

    public String toString();
}
The ObjectStreamField constructor is used to create a new instance of an ObjectStreamField. The argument is the type of the serializable field. For example, Integer.TYPE or java.lang.Hashtable.class. ObjectStreamField objects are used to specify the serializable fields of a class or to describe the fields present in a stream.

The getName method returns the name of the serializable field.

The getType method returns the type of the field.

The toString method returns a printable representation with name and type.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


4 - Class Descriptors

CONTENTS | PREV | NEXT Java Object Serialization Specification

4.5 Inspecting Serializable Classes

The program serialver can be used to find out if a class is serializable and to get its serialVersionUID. When invoked with the-show option, it puts up a simple user interface. To find out if a class is serializable and to find out its serialVersionUID, enter its full class name, then press either the Enter or the Show button. The string printed can be copied and pasted into the evolved class.

When invoked on the command line with one or more class names, serialver prints the serialVersionUID for each class in a form suitable for copying into an evolving class. When invoked with no arguments, it prints a usage line.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


4 - Class Descriptors

CONTENTS | PREV | NEXT Java Object Serialization Specification

4.6 Stream Unique Identifiers

Each versioned class must identify the original class version for which it is capable of writing streams and from which it can read. For example, a versioned class must declare:

    private static final long serialVersionUID = 3487495895819393L;
The stream-unique identifier is a 64-bit hash of the class name, interface class names, methods, and fields. The value must be declared in all versions of a class except the first. It may be declared in the original class bu t is not required. The value is fixed for all compatible classes. If the SUID is not declared for a class, the value defaults to the hash for that class. Serializable classes do not need to anticipate versioning; however, Externalizable classes do.

Note - It is strongly recommended that serializable classes that are inner classes or which contain inner classes declare the serialVersionUID data member. This is because different implementations of compilers could use differen t names for synthetic members that are generated for the implementation of inner classes, and these names are used in the current computation of SUIDs.
The initial version of an Externalizable class must output a stream data format that is extensible in the future. The initial version of the method readExternal has to be able to read the output format of all future versions of t he method writeExternal.

The serialVersionUID is computed using the signature of a stream of bytes that reflect the class definition. The National Institute of Standards and Technology (NIST) Secure Hash Algorithm (SHA-1) is used to compute a signature for the stream . The first two 32-bit quantities are used to form a 64-bit hash. A java.lang.DataOutputStream is used to convert primitive data types to a sequence of bytes. The values input to the stream are defined by the JavaTM Virtual Machine (VM) specification for classes.

The sequence of items in the stream is as follows:

  1. The class name written using UTF encoding.
  2. The class modifiers written as a 32-bit integer.
  3. The name of each interface sorted by name written using UTF encoding.
  4. For each field of the class sorted by field name (except private static and private transient fields):
    1. The name of the field in UTF encoding.
    2. The modifiers of the field written as a 32-bit integer.
    3. The descriptor of the field in UTF encoding
  5. If a class initializer exists, write out the following:
    1. The name of the method, <clinit>, in UTF encoding.
    2. The modifier of the method, java.lang.reflect.Modifier.STATIC, written as a 32-bit integer.
    3. The descriptor of the method, ()V, in UTF encoding.
  6. For each non-private constructor sorted by method name and signature:
    1. The name of the method, <init>, in UTF encoding.
    2. The modifiers of the method written as a 32-bit integer.
    3. The descriptor of the method in UTF encoding.
  7. For each non-private method sorted by method name and signature:
    1. The name of the method in UTF encoding.
    2. The modifiers of the method written as a 32-bit integer.
    3. The descriptor of the method in UTF encoding.
  8. The SHA-1 algorithm is executed on the stream of bytes produced by DataOutputStream and produces five 32-bit values sha[0..4].
  9. The hash value is assembled from the first and second 32-bit values of the SHA-1 message digest. If the result of the message digest, the five 32-bit words H0 H1 H2 H3 H4, is in an array of five int values named sha, the hash value would be computed as follows: long hash = ((sha[0] >>> 24) & 0xFF) | ((sha[0] >>> 16) & 0xFF) << 8 | ((sha[0] >>> 8) & 0xFF) << 16 | ((sha[0] >>> 0) & 0xFF) << 24 | ((sha[1] >>> 24) & 0xFF) << 32 | ((sha[1] >>> 16) & 0xFF) << 40 | ((sha[1] >>> 8) & 0xFF) << 48 | ((sha[1] >>> 0) & 0xFF) << 56;

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


- Example of Serializable Fields

CONTENTS | PREV | NEXT Java Object Serialization Specification

Example of Serializable Fields

APPENDIX C

Topics:

  • Example Alternate Implementation of java.io.File

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


- Example of Serializable Fields

CONTENTS | PREV | NEXT Java Object Serialization Specification

C.1 Example Alternate Implementation of java.io.File

This appendix provides a brief example of how an existing class could be specified and implemented to interoperate with the existing implementation but without requiring the same assumptions about the representation of the file name as a String.

The system class java.io.File represents a filename and has methods for parsing, manipulating files and directories by name. It has a single private field that contains the current file name. The semantics of the methods that parse paths depend on the current path separator which is held in a static field. This path separator is part of the serialized state of a file so that file name can be adjusted when read.

The serialized state of a File object is defined as the serializable fields and the sequence of data values for the file. In this case, there is one of each.

Serializable Fields:
    String path;     // path name with embedded separators
Serializable Data:
    char            // path name separator for path name
An alternate implementation might be defined as follows:
class File implements java.io.Serializable {
    ...
    private String[] pathcomponents;
    // Define serializable fields with the ObjectStreamClass

    /**

     * @serialField path String

         *               Path components separated by separator.

         */

    private static final ObjectStreamField[] serialPersistentFields
            =   }
            new ObjectStreamField("path", String.class)

        };

            ...
    /**

     * @serialData  Default fields followed by separator character.

     */

    private void writeObject(ObjectOutputStream s)
        throws IOException
    {
        ObjectOutputStream.PutField fields = s.putFields();
        StringBuffer str = new StringBuffer();
        for(int i = 0; i < pathcomponents; i++) {
            str.append(separator);
            str.append(pathcomponents[i]);
        }
        fields.put("path", str.toString());
        s.writeFields();
        s.writeChar(separatorChar); // Add the separator character
    }
    ...

    private void readObject(ObjectInputStream s)
        throws IOException
    {
        ObjectInputStream.GetField fields = s.readFields();
        String path = (String)fields.get("path", null);
        ...
        char sep = s.readChar(); // read the previous separator char

        // parse path into components using the separator
        // and store into pathcomponents array.
    }
}

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


- Exceptions In Object Serialization

CONTENTS | PREV | NEXT Java Object Serialization Specification

Exceptions In Object Serialization

APPENDIX B

All exceptions thrown by serialization classes are subclasses of ObjectStreamException which is a subclass of IOException.

Exception
 Description

ObjectStreamException

Superclass of all serialization exceptions.

InvalidClassException

Thrown when a class cannot be used to restore objects for any of these reasons:

  • The class does not match the serial version of the class in the stream.

  • The class contains fields with invalid primitive data types.

  • The Externalizable class does not have a public no-arg constructor.

  • The Serializable class can not access the no-arg constructor of its closest non-Serializable superclass.

    • NotSerializableException

    Thrown by a readObject or writeObject method to terminate serialization or deserialization.

    StreamCorruptedException

    Thrown:

  • If the stream header is invalid.

  • If control information not found.

  • If control information is invalid.

  • JDKTM 1.1.5 or less attempts to call readExternal on a PROTOCOL_VERSION_2 stream.

    • NotActiveException

    Thrown if writeObject state is invalid within the following ObjectOutputStream methods:

  • defaultWriteObject

  • putFields

  • writeFields

    • Thrown if readObject state is invalid within the following ObjectInputStream methods:

  • defaultReadObject

  • readFields

  • registerValidation

    • InvalidObjectException

    Thrown when a restored object cannot be made valid.

    OptionalDataException

    Thrown by readObject when there is primitive data in the stream and an object is expected. The length field of the exception indicates the number of bytes that are available in the current block.

    WriteAbortedException

    Thrown when reading a stream terminated by an exception that occurred while the stream was being written.

    CONTENTS | PREV | NEXT
    Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


3 - Object Input Classes

CONTENTS | PREV | NEXT Java Object Serialization Specification

Object Input Classes

CHAPTER 3

Topics:

  • The ObjectInputStream Class
  • The ObjectInputStream.GetField Class
  • The ObjectInputValidation Interface
  • The readObject Method
  • The readExternal Method
  • The readResolve Method

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


3 - Object Input Classes

CONTENTS | PREV | NEXT Java Object Serialization Specification

3.1 The ObjectInputStream Class

Class ObjectInputStream implements object deserialization. It maintains the state of the stream including the set of objects already deserialized. Its methods allow primitive types and objects to be read from a stream written by ObjectOutputStream. It manages restoration of the object and the objects that it refers to from the stream.

package java.io;

public class ObjectInputStream
    extends InputStream
    implements ObjectInput, ObjectStreamConstants
{
    public ObjectInputStream(InputStream in)
        throws StreamCorruptedException, IOException;

    public final Object readObject()
        throws OptionalDataException, ClassNotFoundException,
            IOException;

    public void defaultReadObject()
        throws IOException, ClassNotFoundException,
            NotActiveException;

    public GetField readFields()
        throws IOException;

    public synchronized void registerValidation(
        ObjectInputValidation obj, int prio)
        throws NotActiveException, InvalidObjectException;

    protected ObjectStreamClass readClassDescriptor()
        throws IOException, ClassNotFoundException;

    protected Class resolveClass(ObjectStreamClass v)
        throws IOException, ClassNotFoundException;

    protected Object resolveObject(Object obj)
        throws IOException;

    protected boolean enableResolveObject(boolean enable)
        throws SecurityException;

    protected void readStreamHeader()
        throws IOException, StreamCorruptedException;

    public int read() throws IOException;

    public int read(byte[] data, int offset, int length)
        throws IOException

    public int available() throws IOException;

    public void close() throws IOException;

    public boolean readBoolean() throws IOException;

    public byte readByte() throws IOException;

    public int readUnsignedByte() throws IOException;

    public short readShort() throws IOException;

    public int readUnsignedShort() throws IOException;

    public char readChar() throws IOException;

    public int readInt() throws IOException;

    public long readLong() throws IOException;

    public float readFloat() throws IOException;

    public double readDouble() throws IOException;

    public void readFully(byte[] data) throws IOException;

    public void readFully(byte[] data, int offset, int size)
        throws IOException;

    public int skipBytes(int len) throws IOException;

    public String readLine() throws IOException;

    public String readUTF() throws IOException;

    // Class to provide access to serializable fields.
    static abstract public class GetField
    {
        public ObjectStreamClass getObjectStreamClass();

        public boolean defaulted(String name)
            throws IOException, IllegalArgumentException;

        public char get(String name, char default)
            throws IOException, IllegalArgumentException;

        public boolean get(String name, boolean default)
            throws IOException, IllegalArgumentException;

        public byte get(String name, byte default)
            throws IOException, IllegalArgumentException;

        public short get(String name, short default)
            throws IOException, IllegalArgumentException;

        public int get(String name, int default)
            throws IOException, IllegalArgumentException;

        public long get(String name, long default)
            throws IOException, IllegalArgumentException;

        public float get(String name, float default)
            throws IOException, IllegalArgumentException;

        public double get(String name, double default)
            throws IOException, IllegalArgumentException;

        public Object get(String name, Object default)
            throws IOException, IllegalArgumentException;
    }

    protected ObjectInputStream()
        throws StreamCorruptedException, IOException;

    protected readObjectOverride()
        throws OptionalDataException, ClassNotFoundException,
            IOException;
}
The ObjectInputStream constructor requires an InputStream. The constructor calls readStreamHeader to read and verifies the header and version written by the corresponding ObjectOutputStream.writeStreamHeader method.

Note - The ObjectInputStream constructor blocks until it completes reading the serialization stream header. Code which waits for an ObjectInputStream to be constructed before creating the corresponding ObjectOutputStream for that stream will deadlock, since the ObjectInputStream constructor will block until a header is written to the stream, and the header will not be written to the stream until the ObjectOutputStream constructor executes. This problem can be resolved by creating the ObjectOutputStream before the ObjectInputStream, or otherwise removing the timing dependency between completion of ObjectInputStream construction and the creation of the ObjectOutputStream.
The readObject method is used to deserialize an object from the stream. It reads from the stream to reconstruct an object.

  1. If the ObjectInputStream subclass is overriding the implementation, call the readObjectOverride method and return. Reimplementation is described at the end of this section.
  2. If a block data record occurs in the stream, throw a BlockDataException with the number of available bytes.
  3. If the object in the stream is null, return null.
  4. If the object in the stream is a handle to a previous object, return the object.
  5. If the object in the stream is a Class, read its ObjectStreamClass descriptor, add it and its handle to the set of known objects, and return the corresponding Class object.
  6. If the object in the stream is an ObjectStreamClass, read its name, serialVersionUID, and fields. Add it and its handle to the set of known objects. Call the resolveClass method on the stream to get the local class for this descriptor, and throw an exception if the class cannot be found. Return the ObjectStreamClass object.
  7. If the object in the stream is a String, read its UTF encoding, add it and its handle to the set of known objects, and proceed to Step 11.
  8. If the object in the stream is an array, read its ObjectStreamClass and the length of the array. Allocate the array, and add it and its handle in the set of known objects. Read each element using the appropriate method for its type and assign it to the array. Proceed to Step 11.
  9. For all other objects, the ObjectStreamClass of the object is read from the stream. The local class for that ObjectStreamClass is retrieved. The class must be serializable or externalizable.
  10. An instance of the class is allocated. The instance and its handle are added to the set of known objects. The contents restored appropriately:
    1. For serializable objects, the no-arg constructor for the first non-serializable supertype is run. For serializable classes, the fields are initialized to the default value appropriate for its type. Then the fields of each class are restored by calling class-specific readObject methods, or if these are not defined, by calling the defaultReadObject method. Note that field initializers and constructors are not executed for serializable classes during deserialization. In the normal case, the version of the class that wrote the stream will be the same as the class reading the stream. In this case, all of the supertypes of the object in the stream will match the supertypes in the currently-loaded class. If the version of the class that wrote the stream had different supertypes than the loaded class, the ObjectInputStream must be more careful about restoring or initializing the state of the differing classes. It must step through the classes, matching the available data in the stream with the classes of the object being restored. Data for classes that occur in the stream, but do not occur in the object, is discarded. For classes that occur in the object, but not in the stream, the class fields are set to default values by default serialization.
    2. For externalizable objects, the no-arg constructor for the class is run and then the readExternal method is called to restore the contents of the object.
  11. Process potential substitutions by the class of the object and/or by a subclass of ObjectInputStream:
    1. If the class of the object defines the appropriate readResolve method, the method is called to allow the object to replace itself.
    2. Then if previously enabled by enableResolveObject, the resolveObject method is called to allow subclasses of the stream to examine and replace the object. If the previous step did replace the original object, the resolveObject method is called with the replacement object.
If a replacement took place, the table of known objects is updated so the replacement object is associated with the handle. The replacement object is then returned from readObject.

All of the methods for reading primitives types only consume bytes from the block data records in the stream. If a read for primitive data occurs when the next item in the stream is an object, the read methods return -1 or the EOFException as appropriate. The value of a primitive type is read by a DataInputStream from the block data record.

The exceptions thrown reflect errors during the traversal or exceptions that occur on the underlying stream. If any exception is thrown, the underlying stream is left in an unknown and unusable state.

When the reset token occurs in the stream, all of the state of the stream is discarded. The set of known objects is cleared.

When the exception token occurs in the stream, the exception is read and a new WriteAbortedException is thrown with the terminating exception as an argument. The stream context is reset as described earlier.

The defaultReadObject method is used to read the fields and object from the stream. It uses the class descriptor in the stream to read the fields in the canonical order by name and type from the stream. The values are assigned to the matching fields by name in the current class. Details of the versioning mechanism can be found in Section 5.5, "Compatible JavaTM Type Evolution." Any field of the object that does not appear in the stream is set to its default value. Values that appear in the stream, but not in the object, are discarded. This occurs primarily when a later version of a class has written additional fields that do not occur in the earlier version. This method may only be called from the readObject method while restoring the fields of a class. When called at any other time, the NotActiveException is thrown.

The readFields method reads the values of the serializable fields from the stream and makes them available via the GetField class. The readFields method is only callable from within the readObject method of a serializable class. It cannot be called more than once or if defaultReadObject has been called. The GetFields object uses the current object's ObjectStreamClass to verify the fields that can be retrieved for this class. The GetFields object returned by readFields is only valid during this call to the classes readObject method. The fields may be retrieved in any order. Additional data may only be read directly from stream after readFields has been called.

The registerValidation method can be called to request a callback when the entire graph has been restored but before the object is returned to the original caller of readObject. The order of validate callbacks can be controlled using the priority. Callbacks registered with higher values are called before those with lower values. The object to be validated must support the ObjectInputValidation interface and implement the validateObject method. It is only correct to register validations during a call to a class's readObject method. Otherwise, a NotActiveException is thrown. If the callback object supplied to registerValidation is null, an InvalidObjectException is thrown.

Starting with the JavaTM SDK, Standard Edition, v1.3, the readClassDescriptor method is used to read in all ObjectStreamClass objects. readClassDescriptor is called when the ObjectInputStream expects a class descriptor as the next item in the serialization stream. Subclasses of ObjectInputStream may override this method to read in class descriptors that have been written in non-standard formats (by subclasses of ObjectOutputStream which have overridden the writeClassDescriptor method). By default, this method reads class descriptors according to the format described in Section 6.4, "Grammar for the Stream Format".

The resolveClass method is called while a class is being deserialized, and after the class descriptor has been read. Subclasses may extend this method to read other information about the class written by the corresponding subclass of ObjectOutputStream. The method must find and return the class with the given name and serialVersionUID. The default implementation locates the class by calling the class loader of the closest caller of readObject that has a class loader. If the class cannot be found ClassNotFoundException should be thrown. Prior to JDKTM 1.1.6, the resolveClass method was required to return the same fully qualified class name as the class name in the stream. In order to accommodate package renaming across releases, method resolveClass only needs to return a class with the same base class name and SerialVersionUID in JDKTM 1.1.6 and later versions.

The resolveObject method is used by trusted subclasses to monitor or substitute one object for another during deserialization. Resolving objects must be enabled explicitly by calling enableResolveObject before calling readObject for the first object to be resolved. Once enabled, resolveObject is called once for each serializable object just prior to the first time it is being returned from readObject. Note that the resolveObject method is not called for objects of the specially handled classes, Class, ObjectStreamClass, String, and arrays. A subclass's implementation of resolveObject may return a substitute object that will be assigned or returned instead of the original. The object returned must be of a type that is consistent and assignable to every reference of the original object or else a ClassCastException will be thrown. All assignments are type-checked. All references in the stream to the original object will be replaced by references to the substitute object.

The enableResolveObject method is called by trusted subclasses of ObjectOutputStream to enable the monitoring or substitution of one object for another during deserialization. Replacing objects is disabled until enableResolveObject is called with a true value. It may thereafter be disabled by setting it to false. The previous setting is returned. The enableResolveObject method checks if the stream has permission to request substitution during serialization. To ensure that the private state of objects is not unintentionally exposed, only trusted streams may use resolveObject. Trusted classes are those classes with a class loader equal to null or belong to a security protection domain that provides permission to enable substitution.

If the subclass of ObjectInputStream is not considered part of the system domain, a line has to be added to the security policy file to provide to a subclass of ObjectInputStream permission to call enableResolveObject. The SerializablePermission to add is "enableSubstitution". AccessControlException is thrown if the protection domain of the subclass of ObjectStreamClass does not have permission to "enableSubstitution" by calling enableResolveObject. See the document JavaTM Security Architecture (JDKTM 1.2) for additional information about the security model.

The readStreamHeader method reads and verifies the magic number and version of the stream. If they do not match, the StreamCorruptedMismatch is thrown.

To override the implementation of deserialization, a subclass of ObjectInputStream should call the protected no-arg ObjectInputStream, constructor. There is a security check within the no-arg constructor for SerializablePermission "enableSubclassImplementation" to ensure that only trusted classes are allowed to override the default implementation. This constructor does not allocate any private data for ObjectInputStream and sets a flag that indicates that the final readObject method should invoke the readObjectOverride method and return. All other ObjectInputStream methods are not final and can be directly overridden by the subclass.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


3 - Object Input Classes

CONTENTS | PREV | NEXT Java Object Serialization Specification

3.2 The ObjectInputStream.GetField Class

The class ObjectInputStream.GetField provides the API for getting the values of serializable fields. The protocol of the stream is the same as used by defaultReadObject. Using readFields to access the serializable fields does not change the format of the stream. It only provides an alternate API to access the values which does not require the class to have the corresponding non-transient and non-static fields for each named serializable field. The serializable fields are those declared using serialPersistentFields or if it is not declared the non-transient and non-static fields of the object. When the stream is read the available serializable fields are those written to the stream when the object was serialized. If the class that wrote the stream is a different version not all fields will correspond to the serializable fields of the current class. The available fields can be retrieved from the ObjectStreamClass of the GetField object.

The getObjectStreamClass method returns an ObjectStreamClass object representing the class in the stream. It contains the list of serializable fields.

The defaulted method returns true if the field is not present in the stream. An IllegalArgumentException is thrown if the requested field is not a serializable field of the current class.

Each get method returns the specified serializable field from the stream. I/O exceptions will be thrown if the underlying stream throws an exception. An IllegalArgumentException is thrown if the name or type does not match the name and type of an field serializable field of the current class. The default value is returned if the stream does not contain an explicit value for the field.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


3 - Object Input Classes

CONTENTS | PREV | NEXT Java Object Serialization Specification

3.3 The ObjectInputValidation Interface

This interface allows an object to be called when a complete graph of objects has been deserialized. If the object cannot be made valid, it should throw the ObjectInvalidException. Any exception that occurs during a call to validateObject will terminate the validation process, and the InvalidObjectException will be thrown.

package java.io;

public interface ObjectInputValidation
{
    public void validateObject()
        throws InvalidObjectException;
}

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


3 - Object Input Classes

CONTENTS | PREV | NEXT Java Object Serialization Specification

3.4 The readObject Method

For serializable objects, the readObject method allows a class to control the deserialization of its own fields. Here is its signature:

    private void readObject(ObjectInputStream stream)
        throws IOException, ClassNotFoundException;
Each subclass of a serializable object may define its own readObject method. If a class does not implement the method, the default serialization provided by defaultReadObject will be used. When implemented, the class is only responsible for restoring its own fields, not those of its supertypes or subtypes.

The readObject method of the class, if implemented, is responsible for restoring the state of the class. The values of every field of the object whether transient or not, static or not are set to the default value for the fields type. The defaultReadObject method should be called before reading any optional data written by the corresponding writeObject method. If the readObject method of the class attempts to read more data than is present in the optional part of the stream for this class, the stream will throw an EOFException. The responsibility for the format, structure, and versioning of the optional data lies completely with the class. The @serialData javadoc tag within the javadoc comment for the readObject method should be used to document the format and structure of the optional data.

If the class being restored is not present in the stream being read, its fields are initialized to the appropriate default values.

Reading an object from the ObjectInputStream is analogous to creating a new object. Just as a new object's constructors are invoked in the order from the superclass to the subclass, an object being read from a stream is deserialized from superclass to subclass. The readObject or defaultReadObject method is called instead of the constructor for each Serializable subclass during deserialization.

One last similarity between a constructor and a readObject method is that both provide the opportunity to invoke a method on an object that is not fully constructed. Any overridable (neither private, static nor final) method called while an object is being constructed can potentially be overridden by a subclass. Methods called during the construction phase of an object are resolved by the actual type of the object, not the type currently being initialized by either its constructor or readObject method. Therefore, calling an overridable method from within a readObject method may result in the unintentional invocation of a subclass method before the superclass has been fully initialized.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


3 - Object Input Classes

CONTENTS | PREV | NEXT Java Object Serialization Specification

3.5 The readExternal Method

Objects implementing java.io.Externalizable must implement the readExternal method to restore the entire state of the object. It must coordinate with its superclasses to restore their state. All of the methods of ObjectInput are available to restore the object's primitive typed fields and object fields.

    public void readExternal(ObjectInput stream)
        throws IOException;
Note - The readExternal method is public, and it raises the risk of a client being able to overwrite an existing object from a stream. The class may add its own checks to insure that this is only called when appropriate.
A new stream protocol version has been introduced in JDKTM 1.2 to correct a problem with Externalizable objects. The old definition of Externalizable objects required the local virtual machine to find a readExternal method to be able to properly read an Externalizable object from the stream. The new format adds enough information to the stream protocol so serialization can skip an Externalizable object when the local readExternal method is not available. Due to class evolution rules, serialization must be able to skip an Externalizable object in the input stream if there is not a mapping for the object using the local classes.

An additional benefit of the new Externalizable stream format is the exception EOFException is thrown if a readExternal method attempts to read beyond the end of an Externalizable object. Also, serialization is able to skip by any External data that is not read by a readExternal method.

Due to the format change, JDKTM 1.1.6 and earlier releases are not able to read the new format. StreamCorruptedException is thrown when JDKTM 1.1.6 or earlier attempts to read an Externalizable object from a stream written in PROTOCOL_VERSION_2. Compatibility issues are discussed in more detail in Section 6.3, "Stream Protocol Versions."

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


3 - Object Input Classes

CONTENTS | PREV | NEXT Java Object Serialization Specification

3.6 The readResolve Method

For Serializable and Externalizable classes, the readResolve method allows a class to replace/resolve the object read from the stream before it is returned to the caller. By implementing the readResolve method, a class can directly control the types and instances of its own instances being deserialized. The method is defined as follows:

    ANY-ACCESS-MODIFIER Object readResolve()
            throws ObjectStreamException;
The readResolve method is called when ObjectInputStream has read an object from the stream and is preparing to return it to the caller. ObjectInputStream checks whether the class of the object defines the readResolve method. If the method is defined, the readResolve method is called to allow the object in the stream to designate the object to be returned. The object returned should be of a type that is compatible with all uses. If it is not compatible, a ClassCastException will be thrown when the type mismatch is discovered.

For example, a Symbol class could be created for which only a single instance of each symbol binding existed within a virtual machine. The readResolve method would be implemented to determine if that symbol was already defined and substitute the preexisting equivalent Symbol object to maintain the identity constraint. In this way the uniqueness of Symbol objects can be maintained across serialization.

Note - The readResolve method is not invoked on the object until the object is fully constructed, so any references to this object in its object graph will not be updated to the new object nominated by readResolve. However, during the serialization of an object with the writeReplace method, all references to the original object in the replacement object's object graph are replaced with references to the replacement object. Therefore in cases where an object being serialized nominates a replacement object whose object graph has a reference to the original object, deserialization will result in an incorrect graph of objects. Furthermore, if the reference types of the object being read (nominated by writeReplace) and the original object are not compatible, the construction of the object graph will raise a ClassCastException.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


2 - Object Output Classes

CONTENTS | PREV | NEXT Java Object Serialization Specification

Object Output Classes

CHAPTER 2

Topics:

  • The ObjectOutputStream Class
    • The ObjectOutputStream.PutField Class

    The writeObject Method

    The writeExternal Method

    The writeReplace Method

    The useProtocolVersion Method

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


2 - Object Output Classes

CONTENTS | PREV | NEXT Java Object Serialization Specification

2.1 The ObjectOutputStream Class

Class ObjectOutputStream implements object serialization. It maintains the state of the stream including the set of objects already serialized. Its methods control the traversal of objects to be serialized to save the specified objects and the objects to which they refer.

package java.io;

public class ObjectOutputStream
    extends OutputStream
    implements ObjectOutput, ObjectStreamConstants
{
    public ObjectOutputStream(OutputStream out)
        throws IOException;

    public final void writeObject(Object obj)
        throws IOException;

    public void defaultWriteObject();
        throws IOException, NotActiveException;

    public PutField putFields()
        throws IOException;

    public writeFields()
        throws IOException;

    public void reset() throws IOException;

    protected void annotateClass(Class cl) throws IOException;

    protected void writeClassDescriptor(ObjectStreamClass desc)
        throws IOException;

    protected Object replaceObject(Object obj) throws IOException;

    protected boolean enableReplaceObject(boolean enable)
        throws SecurityException;

    protected void writeStreamHeader() throws IOException;

    public void write(int data) throws IOException;

    public void write(byte b[]) throws IOException;

    public void write(byte b[], int off, int len) throws IOException;

    public void flush() throws IOException;

    protected void drain() throws IOException;

    public void close() throws IOException;

    public void writeBoolean(boolean data) throws IOException;

    public void writeByte(int data) throws IOException;

    public void writeShort(int data) throws IOException;

    public void writeChar(int data) throws IOException;

    public void writeInt(int data) throws IOException;

    public void writeLong(long data) throws IOException;

    public void writeFloat(float data) throws IOException;

    public void writeDouble(double data) throws IOException;

    public void writeBytes(String data) throws IOException;

    public void writeChars(String data) throws IOException;

    public void writeUTF(String data) throws IOException;

    // Inner class to provide access to serializable fields.
    abstract static public class PutField
    {
        public void put(String name, boolean value)
            throws IOException, IllegalArgumentException;

        public void put(String name, char data)
            throws IOException, IllegalArgumentException;

        public void put(String name, byte data)
            throws IOException, IllegalArgumentException;

        public void put(String name, short data)
            throws IOException, IllegalArgumentException;

        public void put(String name, int data)
            throws IOException, IllegalArgumentException;

        public void put(String name, long data)
            throws IOException, IllegalArgumentException;

        public void put(String name, float data)
            throws IOException, IllegalArgumentException;

        public void put(String name, double data)
            throws IOException, IllegalArgumentException;

        public void put(String name, Object data)
            throws IOException, IllegalArgumentException;
    }

    public void useProtocolVersion(int version) throws IOException;

    protected ObjectOutputStream()
        throws IOException;

     protected writeObjectOverride()
        throws NotActiveException, IOException;
}
The ObjectOutputStream constructor requires an OutputStream. The constructor calls writeStreamHeader to write a magic number and version to the stream, that will be read and verified by the corresponding readStreamHeader in the ObjectInputStream constructor.

The writeObject method is used to serialize an object to the stream. An object is serialized as follows:

  1. If a subclass is overriding the implementation, call the writeObjectOverride method and return. Overriding the implementation is described at the end of this section.
  2. If there is data in the block-data buffer, the data is written to the stream and the buffer is reset.
  3. If the object is null, null is put in the stream and writeObject returns.
  4. If the object has been previously replaced, as described in Step 8, write the handle of the replacement to the stream and writeObject returns.
  5. If the object has already been written to the stream, its handle is written to the stream and writeObject returns.
  6. If the object is a Class, the corresponding ObjectStreamClass is written to the stream, a handle is assigned for the class, and writeObject returns.
  7. If the object is an ObjectStreamClass, a descriptor for the class is written to the stream including its name, serialVersionUID, and the list of fields by name and type. A handle is assigned for the descriptor. The annotateClass subclass method is called before writeObject returns.
  8. Process potential substitutions by the class of the object and/or by a subclass of ObjectInputStream.
    1. If the class of an object defines the appropriate writeReplace method, the method is called. Optionally, it can return a substitute object to be serialized.
    2. Then, if enabled by calling the enableReplaceObject method, the replaceObject method is called to allow subclasses of ObjectOutputStream to substitute for the object being serialized. If the original object was replaced in the previous step, the replaceObject method is called with the replacement object.
If the original object was replaced by either one or both steps above, the mapping from the original object to the replacement is recorded for later use in Step 4. Then, Steps 3 through 7 are repeated on the new object.

If the replacement object is not one of the types covered by Steps 3 through 7, processing resumes using the replacement object at Step 10.

  1. If the object is a java.lang.String, the string is written in Universal Transfer Format (UTF) format, or a variant of UTF for long strings (for details, refer to Section 6.2, "Stream Elements"). A handle is assigned to the string, and writeObject returns.
  2. If the object is an array, writeObject is called recursively to write the ObjectStreamClass of the array. The handle for the array is assigned. It is followed by the length of the array. Each element of the array is then written to the stream, after which writeObject returns.
  3. For regular objects, the ObjectStreamClass for the class of the object is written by recursively calling writeObject. It will appear in the stream only the first time it is referenced. A handle is assigned for this object. Starting in JavaTM 2 SDK, Standard Edition, v1.3, writeObject calls writeClassDescriptor to output the ObjectStreamClass object.
  4. The contents of the object are written to the stream.
    1. If the object is serializable, the highest serializable class is located. For that class, and each derived class, that class's fields are written. If the class does not have a writeObject method, the defaultWriteObject method is called to write the serializable fields to the stream. If the class does have a writeObject method, it is called. It may call defaultWriteObject or putFields and writeFields to save the state of the object, and then it can write other information to the stream.
    2. If the object is externalizable, the writeExternal method of the object is called.
    3. If the object is neither serializable or externalizable, the NotSerializableException is thrown.
Exceptions may occur during the traversal or may occur in the underlying stream. For any subclass of IOException, the exception is written to the stream using the exception protocol and the stream state is discarded. If a second IOException is thrown while attempting to write the first exception into the stream, the stream is left in an unknown state and StreamCorruptedException is thrown from writeObject. For other exceptions, the stream is aborted and left in an unknown and unusable state.

The defaultWriteObject method implements the default serialization mechanism for the current class. This method may be called only from a class's writeObject method. The method writes all of the serializable fields of the current class to the stream. If called from outside the writeObject method, the NotActiveException is thrown.

The putFields method returns a PutField object the caller uses to set the values of the serializable fields in the stream. The fields may be set in any order. After all of the fields have been set, writeFields must be called to write the field values in the canonical order to the stream. If a field is not set, the default value appropriate for its type will be written to the stream. This method may only be called from within the writeObject method of a serializable class. It may not be called more than once or if defaultWriteObject has been called. Only after writeFields has been called can other data be written to the stream.

The reset method resets the stream state to be the same as if it had just been constructed. Reset will discard the state of any objects already written to the stream. The current point in the stream is marked as reset, so the corresponding ObjectInputStream will reset at the same point. Objects previously written to the stream will not be remembered as already having been written to the stream. They will be written to the stream again. This is useful when the contents of an object or objects must be sent again. Reset may not be called while objects are being serialized. If called inappropriately, an IOException is thrown.

Starting with the JavaTM 2 SDK, Standard Edition, v1.3, the writeClassDescriptor method is called when an ObjectStreamClass needs to be serialized. writeClassDescriptor is responsible for writing a representation of the ObjectStreamClass to the serialization stream. Subclasses may override this method to customize the way in which class descriptors are written to the serialization stream. If this method is overridden, then the corresponding readClassDescriptor method in ObjectInputStream should also be overridden to reconstitute the class descriptor from its custom stream representation. By default, writeClassDescriptor writes class descriptors according to the format specified in Section 6.4, "Grammar for the Stream Format". Note that this method will only be called if the ObjectOutputStream is not using the old serialization stream format (see Section 6.3, "Stream Protocol Versions"). If the serialization stream is using the old format (ObjectStreamConstants.PROTOCOL_VERSION_1), the class descriptor will be written internally in a manner that cannot be overridden or customized.

The annotateClass method is called while a Class is being serialized, and after the class descriptor has been written to the stream. Subclasses may extend this method and write other information to the stream about the class. This information must be read by the resolveClass method in a corresponding ObjectInputStream subclass.

An ObjectOutputStream subclass can implement the replaceObject method to monitor or replace objects during serialization. Replacing objects must be enabled explicitly by calling enableReplaceObject before calling writeObject with the first object to be replaced. Once enabled, replaceObject is called for each object just prior to serializing the object for the first time. Note that the replaceObject method is not called for objects of the specially handled classes, Class and ObjectStreamClass. An implementation of a subclass may return a substitute object that will be serialized instead of the original. The substitute object must be serializable. All references in the stream to the original object will be replaced by the substitute object.

When objects are being replaced, the subclass must ensure that the substituted object is compatible with every field where the reference will be stored, or that a complementary substitution will be made during deserialization. Objects, whose type is not a subclass of the type of the field or array element, will later abort the deserialization by raising a ClassCastException and the reference will not be stored.

The enableReplaceObject method can be called by trusted subclasses of ObjectOutputStream to enable the substitution of one object for another during serialization. Replacing objects is disabled until enableReplaceObject is called with a true value. It may thereafter be disabled by setting it to false. The previous setting is returned. The enableReplaceObject method checks that the stream requesting the replacement can be trusted. To ensure that the private state of objects is not unintentionally exposed, only trusted stream subclasses may use replaceObject. Trusted classes are those classes that belong to a security protection domain with permission to enable Serializable substitution.

If the subclass of ObjectOutputStream is not considered part of the system domain, SerializablePermission "enableSubstitution" must be added to the security policy file. AccessControlException is thrown if the protection domain of the subclass of ObjectInputStream does not have permission to "enableSubstitution" by calling enableReplaceObject. See the document JavaTM Security Architecture (JDK1.2) for additional information about the security model.

The writeStreamHeader method writes the magic number and version to the stream. This information must be read by the readStreamHeader method of ObjectInputStream. Subclasses may need to implement this method to identify the stream's unique format.

The flush method is used to empty any buffers being held by the stream and to forward the flush to the underlying stream. The drain method may be used by subclassers to empty only the ObjectOutputStream's buffers without forcing the underlying stream to be flushed.

All of the write methods for primitive types encode their values using a DataOutputStream to put them in the standard stream format. The bytes are buffered into block data records so they can be distinguished from the encoding of objects. This buffering allows primitive data to be skipped if necessary for class versioning. It also allows the stream to be parsed without invoking class-specific methods.

To override the implementation of serialization, the subclass of ObjectOutputStream should call the protected no-arg ObjectOutputStream, constructor. There is a security check within the no-arg constructor for SerializablePermission "enableSubclassImplementation" to ensure that only trusted classes are allowed to override the default implementation. This constructor does not allocate any private data for ObjectOutputStream and sets a flag that indicates that the final writeObject method should invoke the writeObjectOverride method and return. All other ObjectOutputStream methods are not final and can be directly overridden by the subclass.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


2 - Object Output Classes

CONTENTS | PREV | NEXT Java Object Serialization Specification

2.2 The ObjectOutputStream.PutField Class

Class PutField provides the API for setting values of the serializable fields for a class when the class does not use default serialization. Each method puts the specified named value into the stream. I/O exceptions will be thrown if the underlying stream throws an exception. An IllegalArgumentException is thrown if the name does not match the name of a field declared for this object's ObjectStreamClass or if the type of the value does not match the declared type of the serializable field.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


2 - Object Output Classes

CONTENTS | PREV | NEXT Java Object Serialization Specification

2.3 The writeObject Method

For serializable objects, the writeObject method allows a class to control the serialization of its own fields. Here is its signature:

    private void writeObject(ObjectOutputStream stream)
        throws IOException;
Each subclass of a serializable object may define its own writeObject method. If a class does not implement the method, the default serialization provided by defaultWriteObject will be used. When implemented, the class is only responsible for having its own fields, not those of its supertypes or subtypes.

The class's writeObject method, if implemented, is responsible for saving the state of the class. The defaultWriteObject method should be called before writing any optional data that will be needed by the corresponding readObject method to restore the state of the object. The responsibility for the format, structure, and versioning of the optional data lies completely with the class.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


2 - Object Output Classes

CONTENTS | PREV | NEXT Java Object Serialization Specification

2.4 The writeExternal Method

Objects implementing java.io.Externalizable must implement the writeExternal method to save the entire state of the object. It must coordinate with its superclasses to save their state. All of the methods of ObjectOutput are available to save the object's primitive typed fields and object fields.

    public void writeExternal(ObjectOutput stream)
        throws IOException;
A new default format for writing Externalizable data has been introduced in JDKTM 1.2. The new format specifies that primitive data will be written in block data mode by writeExternal methods. Additionally, a tag denoting the end of the External object is appended to the stream after the writeExternal method returns. The benefits of this format change are discussed in Section 3.5, "The readExternal Method." Compatibility issues caused by this change are discussed in Section 2.6, "The useProtocolVersion Method."

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


2 - Object Output Classes

CONTENTS | PREV | NEXT Java Object Serialization Specification

2.5 The writeReplace Method

For Serializable and Externalizable classes, the writeReplace method allows a class of an object to nominate its own replacement in the stream before the object is written. By implementing the writeReplace method, a class can directly control the types and instances of its own instances being serialized.

The method is defined as follows:

    ANY-ACCESS-MODIFIER Object writeReplace() {
            throws ObjectStreamException;
The writeReplace method is called when ObjectOutputStream is preparing to write the object to the stream. The ObjectOutputStream checks whether the class defines the writeReplace method. If the method is defined, the writeReplace method is called to allow the object to designate its replacement in the stream. The object returned should be either of the same type as the object passed in or an object that when read and resolved will result in an object of a type that is compatible with all references to the object. If it is not, a ClassCastException will occur when the type mismatch is discovered.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


2 - Object Output Classes

CONTENTS | PREV | NEXT Java Object Serialization Specification

2.6 The useProtocolVersion Method

Due to a stream protocol change that was not backwards compatible, a mechanism has been added to enable the current Virtual Machine to write a serialization stream that is readable by a previous release. Of course, the problems that are corrected by the new stream format will exist when using the backwards compatible protocol.

Stream protocol versions are discussed in Section 6.3, "Stream Protocol Versions."

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


6 - Object Serialization Stream Protocol

CONTENTS | PREV | NEXT Java Object Serialization Specification

Object Serialization Stream Protocol

CHAPTER 6

Topics:

  • Overview
  • Stream Elements
  • Stream Protocol Versions
  • Grammar for the Stream Format
  • Example

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


6 - Object Serialization Stream Protocol

CONTENTS | PREV | NEXT Java Object Serialization Specification

6.1 Overview

The stream format satisfies the following design goals:

  • Is compact and is structured for efficient reading.
  • Allows skipping through the stream using only the knowledge of the structure and format of the stream. Does not require invoking any per class code.
  • Requires only stream access to the data.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


6 - Object Serialization Stream Protocol

CONTENTS | PREV | NEXT Java Object Serialization Specification

6.2 Stream Elements

A basic structure is needed to represent objects in a stream. Each attribute of the object needs to be represented: its classes, its fields, and data written and later read by class-specific methods. The representation of objects in the stream can be described with a grammar. There are special representations for null objects, new objects, classes, arrays, strings, and back references to any object already in the stream. Each object written to the stream is assigned a handle that is used to refer back to the object. Handles are assigned sequentially starting from 0x7E0000. The handles restart at 0x7E0000 when the stream is reset.

A class object is represented by the following:

  • Its ObjectStreamClass object.
An ObjectStreamClass object for a Class that is not a dynamic proxy class is represented by the following:

  • The Stream Unique Identifier (SUID) of compatible classes.
  • A flag indicating if the class had writeObject/readObject methods
  • The number of serializable fields
  • The array of fields of the class that are serialized by the default mechanismFor arrays and object fields, the type of the field is included as a string.
  • Optional block-data records or objects written by the annotateClass method
  • The ObjectStreamClass of its supertype (null if the superclass is not serializable)
An ObjectStreamClass object for a dynamic proxy class is represented by the following:

  • The number of interfaces that the dynamic proxy class implements
  • The names of all of the interfaces implemented by the dynamic proxy class, listed in the order that they are returned by invoking the getInterfaces method on the Class object.
  • Optional block-data records or objects written by the annotateProxyClass method.
  • The ObjectStreamClass of its supertype, java.lang.reflect.Proxy.
The representation of String objects depends on the length of the UTF encoded string. If the UTF encoding of the given String is less than 65536 bytes in length, the String is written in the standard Java UTF-8 format. Starting with the JavaTM 2 SDK, Standard Edition, v1.3, strings for which the UTF encoding length is greater than or equal to 65536 bytes are written in a variant "long" UTF format. The "long" UTF format is identical to the standard Java UTF-8 format, except that it uses 8 bytes to write the length of the UTF string, instead of 2 bytes. The typecode preceding the String in the serialization stream indicates which format was used to write the String.

Arrays are represented by the following:

  • Their ObjectStreamClass object.
  • The number of elements.
  • The sequence of values. The type of the values is implicit in the type of the array. for example the values of a byte array are of type byte.
New objects in the stream are represented by the following:

  • The most derived class of the object.
  • Data for each serializable class of the object, with the highest superclass first.For each class the stream contains the following:
  • The serializable fields.See Section 1.5, "Defining Serializable Fields for a Class."
  • If the class has writeObject/readObject methods, there may be optional objects and/or block-data records of primitive types written by the writeObject method followed by an endBlockData code.
All primitive data written by classes is buffered and wrapped in block-data records, regardless if the data is written to the stream within a writeObject method or written directly to the stream from outside a writeObject method. This data can only be read by the corresponding readObject methods or be read directly from the stream. Objects written by the writeObject method terminate any previous block-data record and are written either as regular objects or null or back references, as appropriate. The block-data records allow error recovery to discard any optional data. When called from within a class, the stream can discard any data or objects until the endBlockData.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


6 - Object Serialization Stream Protocol

CONTENTS | PREV | NEXT Java Object Serialization Specification

6.3 Stream Protocol Versions

It was necessary to make a change to the serialization stream format in JDKTM 1.2 that is not backwards compatible to all minor releases of JDKTM 1.1. To provide for cases where backwards compatibility is required, a capability has been added to indicate what PROTOCOL_VERSION to use when writing a serialization stream. The method ObjectOutputStream.useProtocolVersion takes as a parameter the protocol version to use to write the serialization stream.

The Stream Protocol Versions are as follows:

  • ObjectStreamConstants.PROTOCOL_VERSION_1

    • Indicates the initial stream format.

  • ObjectStreamConstants.PROTOCOL_VERSION_2

    • Indicates the new external data format. Primitive data is written in block data mode and is terminated with TC_ENDBLOCKDATA.

    Block data boundaries have been standardized. Primitive data written in block data mode is normalized to not exceed 1024 byte chunks. The benefit of this change was to tighten the specification of serialized data format within the stream. This change is fully backward and forward compatible.

JDKTM 1.2 defaults to writing PROTOCOL_VERSION_2.

JDKTM 1.1 defaults to writing PROTOCOL_VERSION_1.

JDKTM 1.1.7 and greater can read both versions.

Releases prior to JDKTM 1.1.7 can only read PROTOCOL_VERSION_1.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


6 - Object Serialization Stream Protocol

CONTENTS | PREV | NEXT Java Object Serialization Specification

6.4 Grammar for the Stream Format

The table below contains the grammar for the stream format. Nonterminal symbols are shown in italics. Terminal symbols in a fixed width font. Definitions of nonterminals are followed by a ":". The definition is followed by one or more alternatives, each on a separate line. The following table describes the notation:

Notation
 Meaning

(datatype)

This token has the data type specified, such as byte.

token[n]

A predefined number of occurrences of the token, that is an array.

x0001

A literal value expressed in hexadecimal. The number of hex digits reflects the size of the value.

<xxx>

A value read from the stream used to indicate the length of an array.

Note that the symbol (long-utf) is used to designate a string written in "long" UTF format. For details, refer to Section 6.2, "Stream Elements".

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


6 - Object Serialization Stream Protocol

CONTENTS | PREV | NEXT Java Object Serialization Specification

6.4.1 Rules of the Grammar

A Serialized stream is represented by any stream satisfying the stream rule.

stream:
  magic version contents

contents:
  content
  contents content

content:
  object
  blockdata

object:
  newObject
  newClass
  newArray
  newString
  newClassDesc
  prevObject
  nullReference
  exception
  TC_RESET

newClass:
  TC_CLASS classDesc newHandle

classDesc:
  newClassDesc
  nullReference
  (ClassDesc)prevObject      // an object required to be of type
                               // ClassDesc

superClassDesc:
  classDesc

newClassDesc:
  TC_CLASSDESC className serialVersionUID newHandle classDescInfo
  TC_PROXYCLASSDESC newHandle proxyClassDescInfo

classDescInfo:
  classDescFlags fields classAnnotation superClassDesc

className:
  (utf)

serialVersionUID:
  (long)

classDescFlags:
  (byte)                  // Defined in Terminal Symbols and
                            // Constants

proxyClassDescInfo:
  (int)<count> proxyInterfaceName[count] classAnnotation
      superClassDesc

proxyInterfaceName:

  (utf)

fields:
  (short)<count>  fieldDesc[count]

fieldDesc:
  primitiveDesc
  objectDesc

primitiveDesc:
  prim_typecode fieldName

objectDesc:
  obj_typecode fieldName className1

fieldName:
  (utf)

className1:
  (String)object             // String containing the field's type

classAnnotation:
  endBlockData
  contents endBlockData      // contents written by annotateClass

prim_typecode:
  `B'	// byte
  `C'	// char
  `D'	// double
  `F'	// float
  `I'	// integer
  `J'	// long
  `S'	// short
  `Z'	// boolean

obj_typecode:
  `[`	// array
  `L'	// object

newArray:
  TC_ARRAY classDesc newHandle (int)<size> values[size]

newObject:
  TC_OBJECT classDesc newHandle classdata[]  // data for each class

classdata:
  nowrclass                 // SC_SERIALIZABLE & classDescFlag &&
                            // !(SC_WRITE_METHOD & classDescFlags)
  wrclass objectAnnotation  // SC_SERIALIZABLE & classDescFlag &&
                            // SC_WRITE_METHOD & classDescFlags
  externalContents          // SC_EXTERNALIZABLE & classDescFlag &&
                            // !(SC_BLOCKDATA  & classDescFlags
  objectAnnotation          // SC_EXTERNALIZABLE & classDescFlag&&
                            // SC_BLOCKDATA & classDescFlags

nowrclass:
  values                    // fields in order of class descriptor

wrclass:
  nowrclass

objectAnnotation:
  endBlockData
  contents endBlockData     // contents written by writeObject
                            // or writeExternal PROTOCOL_VERSION_2.

blockdata:
  blockdatashort
  blockdatalong

blockdatashort:
  TC_BLOCKDATA (unsigned byte)<size> (byte)[size]

blockdatalong:
  TC_BLOCKDATALONG (int)<size> (byte)[size]

endBlockData	:
  TC_ENDBLOCKDATA

externalContent:          // Only parseable by readExternal
  ( bytes)                // primitive data
    object

externalContents:         // externalContent written by
  externalContent         // writeExternal in PROTOCOL_VERSION_1.
  externalContents externalContent

newString:
  TC_STRING newHandle (utf)
  TC_LONGSTRING newHandle (long-utf)

prevObject
  TC_REFERENCE (int)handle

nullReference
  TC_NULL

exception:
  TC_EXCEPTION reset (Throwable)object	 reset

magic:
  STREAM_MAGIC

version
  STREAM_VERSION

values:          // The size and types are described by the
                 // classDesc for the current object

newHandle:       // The next number in sequence is assigned
                 // to the object being serialized or deserialized

reset:           // The set of known objects is discarded
                 // so the objects of the exception do not
                 // overlap with the previously sent objects
                 // or with objects that may be sent after
                 // the exception

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


6 - Object Serialization Stream Protocol

CONTENTS | PREV | NEXT Java Object Serialization Specification

6.4.2 Terminal Symbols and Constants

The following symbols in java.io.ObjectStreamConstants define the terminal and constant values expected in a stream.

    final static short STREAM_MAGIC = (short)0xaced;
    final static short STREAM_VERSION = 5;
    final static byte TC_NULL = (byte)0x70;
    final static byte TC_REFERENCE = (byte)0x71;
    final static byte TC_CLASSDESC = (byte)0x72;
    final static byte TC_OBJECT = (byte)0x73;
    final static byte TC_STRING = (byte)0x74;
    final static byte TC_ARRAY = (byte)0x75;
    final static byte TC_CLASS = (byte)0x76;
    final static byte TC_BLOCKDATA = (byte)0x77;
    final static byte TC_ENDBLOCKDATA = (byte)0x78;
    final static byte TC_RESET = (byte)0x79;
    final static byte TC_BLOCKDATALONG = (byte)0x7A;
    final static byte TC_EXCEPTION = (byte)0x7B;
    final static byte TC_LONGSTRING = (byte) 0x7C;
    final static byte TC_PROXYCLASSDESC = (byte) 0x7D;
    final static  int   baseWireHandle = 0x7E0000;
The flag byte classDescFlags may include values of

    final static byte SC_WRITE_METHOD = 0x01; //if SC_SERIALIZABLE
     final static byte SC_BLOCK_DATA = 0x08;    //if SC_EXTERNALIZABLE
    final static byte SC_SERIALIZABLE = 0x02;
    final static byte SC_EXTERNALIZABLE = 0x04;
The flag SC_WRITE_METHOD is set if the Serializable class writing the stream had a writeObject method that may have written additional data to the stream. In this case a TC_ENDBLOCKDATA marker is always expected to terminate the data for that class.

The flag SC_BLOCKDATA is set if the Externalizable class is written into the stream using STREAM_PROTOCOL_2. By default, this is the protocol used to write Externalizable objects into the stream in JDKTM 1.2. JDKTM 1.1 writes STREAM_PROTOCOL_1.

The flag SC_SERIALIZABLE is set if the class that wrote the stream extended java.io.Serializable but not java.io.Externalizable, the class reading the stream must also extend java.io.Serializable and the default serialization mechanism is to be used.

The flag SC_EXTERNALIZABLE is set if the class that wrote the stream extended java.io.Externalizable, the class reading the data must also extend Externalizable and the data will be read using its writeExternal and readExternal methods.

Example

Consider the case of an original class and two instances in a linked list:

class List implements java.io.Serializable {
    int value;
    List next;
    public static void main(String[] args) {
        try {
            List list1 = new List();
            List list2 = new List();
            list1.value = 17;
            list1.next = list2;
            list2.value = 19;
            list2.next = null;

            ByteArrayOutputStream o = new ByteArrayOutputStream();
            ObjectOutputStream out = new ObjectOutputStream(o);
            out.writeObject(list1);
            out.writeObject(list2);
            out.flush();
            ...
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }
}
The resulting stream contains:

00: ac ed 00 05 73 72 00 04 4c 69 73 74 69 c8 8a 15 >....sr..Listi...<

10: 40 16 ae 68 02 00 02 49 00 05 76 61 6c 75 65 4c >Z......I..valueL<

20: 00 04 6e 65 78 74 74 00 06 4c 4c 69 73 74 3b 78 >..nextt..LList;x<

30: 70 00 00 00 11 73 71 00 7e 00 00 00 00 00 13 70 >p....sq.~......p<

40: 71 00 7e 00 03                                  >q.~..<

 CONTENTS | PREV
 | NEXT

Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


6 - Object Serialization Stream Protocol

CONTENTS | PREV | NEXT Java Object Serialization Specification

6.4.3 Example

Consider the case of an original class and two instances in a linked list:

class List implements java.io.Serializable {
    int value;
    List next;
    public static void main(String[] args) {
        try {
            List list1 = new List();
            List list2 = new List();
            list1.value = 17;
            list1.next = list2;
            list2.value = 19;
            list2.next = null;

            ByteArrayOutputStream o = new ByteArrayOutputStream();
            ObjectOutputStream out = new ObjectOutputStream(o);
            out.writeObject(list1);
            out.writeObject(list2);
            out.flush();
            ...
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }
}
The resulting stream contains:

00: ac ed 00 05 73 72 00 04 4c 69 73 74 69 c8 8a 15 >....sr..Listi...<

10: 40 16 ae 68 02 00 02 49 00 05 76 61 6c 75 65 4c >Z......I..valueL<

20: 00 04 6e 65 78 74 74 00 06 4c 4c 69 73 74 3b 78 >..nextt..LList;x<

30: 70 00 00 00 11 73 71 00 7e 00 00 00 00 00 13 70 >p....sq.~......p<

40: 71 00 7e 00 03                                  >q.~..<

 CONTENTS | PREV
 | NEXT

Copyright © 1997-1998 Sun Microsystems, Inc. All Rights Reserved.


- Security in Object Serialization

CONTENTS | PREV | NEXT Java Object Serialization Specification

Security in Object Serialization

APPENDIX A

Topics:

  • Overview
  • Design Goals
  • Security Issues
  • Preventing Serialization of Sensitive Data
  • Writing Class-Specific Serializing Methods
  • Guarding Unshared Deserialized Objects
  • Preventing Overwriting of Externalizable Objects
  • Encrypting a Bytestream

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


- Security in Object Serialization

CONTENTS | PREV | NEXT Java Object Serialization Specification

A.1 Overview

The object serialization system allows a bytestream to be produced from a graph of objects, sent out of the JavaTM environment (either saved to disk or transmitted over the network) and then used to recreate an equivalent set of new objects with the same state.

What happens to the state of the objects outside of the environment is outside of the control of the JavaTM system (by definition), and therefore is outside the control of the security provided by the system. The question then arises: once an object has been serialized, can the resulting byte array be examined and changed in a way that compromises the security of the Java program that deserializes it? The intent of this section is to address these security concerns.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


- Security in Object Serialization

CONTENTS | PREV | NEXT Java Object Serialization Specification

A.2 Design Goals

The goal for object serialization is to be as simple as possible and yet still be consistent with known security restrictions; the simpler the system is, the more likely it is to be secure. The following points summarize the security measures present in object serialization:

  • Only objects implementing the java.io.Serializable or java.io.Externalizable interfaces can be serialized. Mechanisms are provided which can be used to prevent the serialization of specific fields (typically, those containing sensitive or unneeded data).
  • The serialization package cannot be used to recreate or reinitialize objects. Deserializing a byte stream may result in the creation of new objects, but will not overwrite or modify the contents of existing objects.
  • Although deserializing an object may trigger downloading of code from a remote source, the downloaded code is restricted by all of the usual JavaTM code verification and security mechanisms. Classes loaded as a side-effect of deserialization are no more or less secure than those loaded in any other fashion.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


- Security in Object Serialization

CONTENTS | PREV | NEXT Java Object Serialization Specification

A.3 Security Issues

Naive use of object serialization may allow a malicious party with access to the serialization byte stream to read private data, create objects with illegal or dangerous state, or obtain references to the private fields of deserialized objects. Implementors concerned with security should be aware of the following implications of serialization:

  • Default serialization of an object writes the values of all fields of that object to the serialization stream, regardless of whether or not they are public. Malicious code can effectively read the values of private fields of a serializable object by serializing the object and then examining the resulting byte stream. Methods for avoiding this problem are described in Section A.4, "Preventing Serialization of Sensitive Data".
  • During deserialization, objects are created and initialized using data from the incoming serialization stream. If the stream was corrupted or tampered with prior to deserialization, the deserialized objects may have unexpected or illegal state. Methods for avoiding this problem are described in Section A.5, "Writing Class-Specific Serializing Methods".
  • By inserting extra wire handle references into a serialization byte stream, it is possible during deserialization to forge extra references to objects occurring earlier in the stream. Therefore, it is unsafe for developers to assume that references to private objects obtained via deserialization are unique. Techniques for dealing with this problem are discussed in section Section A.6, "Guarding Unshared Deserialized Objects".
  • Objects implementing the Externalizable interface are susceptible to overwriting, since the readExternal method is public. A caller can invoke the readExternal method at any time, passing it an arbitrary stream to read values from, causing the target object to be reinitialized. A means of preventing this is outlined in Section A.7, "Preventing Overwriting of Externalizable Objects".

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


- Security in Object Serialization

CONTENTS | PREV | NEXT Java Object Serialization Specification

A.4 Preventing Serialization of Sensitive Data

Fields containing sensitive data should not be serialized; doing so exposes their values to any party with access to the serialization stream. There are several methods for preventing a field from being serialized:

  • Declare the field as private transient.
  • Define the serialPersistentFields field of the class in question, and omit the field from the list of field descriptors.
  • Write a class-specific serialization method (i.e., writeObject or writeExternal) which does not write the field to the serialization stream (i.e., by not calling ObjectOutputStream.defaultWriteObject).

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


- Security in Object Serialization

CONTENTS | PREV | NEXT Java Object Serialization Specification

A.5 Writing Class-Specific Serializing Methods

To guarantee that a deserialized object does not have state which violates some set of invariants that need to be guaranteed, a class can define its own serializing and deserializing methods. If there is some set of invariants that need to be maintained between the data members of a class, only the class can know about these invariants, and it is up to the class author to provide a deserialization method that checks these invariants.

Security-conscious implementors should keep in mind that a serializable class' readObject method is effectively a public constructor, and should be treated as such. This is true whether the readObject method is implicit or explicit. It is not safe to assume that the byte stream that is provided to the readObject method was generated by serializing a properly constructed object of the correct type. It is good defensive programming to assume that the byte stream is provided by an adversary whose goal is to compromise the object under construction.

This is important even if you are not worried about security; it is possible that disk files can be corrupted and serialized data be invalid. So checking such invariants is more than just a security measure; it is a validity measure. However, the only place it can be done is in the code for the particular class, since there is no way the serialization package can determine what invariants should be maintained or checked.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


- Security in Object Serialization

CONTENTS | PREV | NEXT Java Object Serialization Specification

A.6 Guarding Unshared Deserialized Objects

If a class has any private or package private object reference fields, and the class depends on the fact that these object references are not available outside the class (or package), the referenced objects must be defensively copied as part of the deserialization process. That is to say, the sub-objects deserialized from the stream should be treated as "untrusted input": newly created objects, initialized to have the same value as the deserialized sub-objects, should be substituted for the sub-objects by the readObject method. For example, suppose an object has a private byte array field, b, that must remain private:

    private void readObject(ObjectInputStream s)
        throws IOException, ClassNotFoundException
    {
        s.defaultReadObject();

        b = (byte[])b.clone();

        if (<invariants are not satisfied>)
            throw new java.io.StreamCorruptedException();
    }
This issue is particularly important when considering serialization of immutable objects containing internal (necessarily private) references to mutable sub-objects. If no special measures are taken to copy the sub-objects during deserialization of the container object, then a malicious party with write access to the serialization stream may violate the container object's immutability by forging references to its mutable sub-objects, and using these references to change the internal state of the container object. Thus, in this case it is imperative that the immutable container class provide a class-specific deserialization method which makes private copies of each mutable component object it deserializes. Note that for the purpose of maintaining immutability, it is unnecessary to copy immutable component objects.

It is also important to note that calling clone may not always be the right way to defensively copy a sub-object. If the clone method cannot be counted on to produce an independent copy (and not to "steal" a reference to the copy), an alternative means should be used to produce the copy. An alternative means of copying should always be used if the class of the sub-object is not final, since the clone method or helper methods that it calls may be overridden by subclasses.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


- Security in Object Serialization

CONTENTS | PREV | NEXT Java Object Serialization Specification

A.7 Preventing Overwriting of Externalizable Objects

Objects which implement the Externalizable interface must provide a public readExternal method. Since this method is public, it can be called at arbitrary times by anyone with access to the object. To prevent overwriting of the object's internal state by multiple (illegal) calls to readExternal, implementors may choose to add checks to insure that internal values are only set when appropriate:

    public synchronized void readExternal(ObjectInput in)
        throws IOException, ClassNotFoundException
    {
        if (! initialized) {
            initialized = true;

            // read in and set field values ...
        } else {
            throw new IllegalStateException();
        }
    }

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


- Security in Object Serialization

CONTENTS | PREV | NEXT Java Object Serialization Specification

A.8 Encrypting a Bytestream

Another way of protecting a bytestream outside the virtual machine is to encrypt the stream produced by the serialization package. Encrypting the bytestream prevents the decoding and the reading of a serialized object's private state, and can help safeguard against tampering with stream contents.

Object serialization allows encryption, both by allowing classes to define their own methods for serialization and deserialization (inside which encryption can be used), and by adhering to the composable stream abstraction (allowing the output of a serialization stream to be channelled into another filter stream which encrypts the data).

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


1 - System Architecture

CONTENTS | PREV | NEXT Java Object Serialization Specification

System Architecture

CHAPTER 1

Topics:

  • Overview
  • Writing to an Object Stream
  • Reading from an Object Stream
  • Object Streams as Containers
  • Defining Serializable Fields for a Class
  • Documenting Serializable Fields and Data for a Class
  • Accessing Serializable Fields of a Class
  • The ObjectOutput Interface
  • The ObjectInput Interface
  • The Serializable Interface
  • The Externalizable Interface
  • Protecting Sensitive Information

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


1 - System Architecture

CONTENTS | PREV | NEXT Java Object Serialization Specification

1.1 Overview

The ability to store and retrieve JavaTM objects is essential to building all but the most transient applications. The key to storing and retrieving objects in a serialized form is representing the state of objects sufficient to reconstruct the object(s). Objects to be saved in the stream may support either the Serializable or the Externalizable interface. For JavaTM objects, the serialized form must be able to identify and verify the JavaTM class from which the contents of the object were saved and to restore the contents to a new instance. For serializable objects, the stream includes sufficient information to restore the fields in the stream to a compatible version of the class. For Externalizable objects, the class is solely responsible for the external format of its contents.

Objects to be stored and retrieved frequently refer to other objects. Those other objects must be stored and retrieved at the same time to maintain the relationships between the objects. When an object is stored, all of the objects that are reachable from that object are stored as well.

The goals for serializing JavaTM objects are to:

  • Have a simple yet extensible mechanism.
  • Maintain the JavaTM object type and safety properties in the serialized form.
  • Be extensible to support marshaling and unmarshaling as needed for remote objects.
  • Be extensible to support simple persistence of JavaTM objects.
  • Require per class implementation only for customization.
  • Allow the object to define its external format.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


1 - System Architecture

CONTENTS | PREV | NEXT Java Object Serialization Specification

1.2 Writing to an Object Stream

Writing objects and primitives to a stream is a straightforward process. For example:

// Serialize today's date to a file.
    FileOutputStream f = new FileOutputStream("tmp");
    ObjectOutput s = new ObjectOutputStream(f);
    s.writeObject("Today");
    s.writeObject(new Date());
    s.flush();
First an OutputStream, in this case a FileOutputStream, is needed to receive the bytes. Then an ObjectOutputStream is created that writes to the FileOutputStream. Next, the string "Today" and a Date object are written to the stream. More generally, objects are written with the writeObject method and primitives are written to the stream with the methods of DataOutput.

The writeObject method (see Section 2.3, "The writeObject Method") serializes the specified object and traverses its references to other objects in the object graph recursively to create a complete serialized representation of the graph. Within a stream, the first reference to any object results in the object being serialized or externalized and the assignment of a handle for that object. Subsequent references to that object are encoded as the handle. Using object handles preserves sharing and circular references that occur naturally in object graphs. Subsequent references to an object use only the handle allowing a very compact representation.

Special handling is required for objects of type Class, ObjectStreamClass, String, and arrays. Other objects must implement either the Serializable or the Externalizable interface to be saved in or restored from a stream.

Primitive data types are written to the stream with the methods in the DataOutput interface, such as writeInt, writeFloat, or writeUTF. Individual bytes and arrays of bytes are written with the methods of OutputStream. Except for serializable fields, primitive data is written to the stream in block-data records, with each record prefixed by a marker and an indication of the number of bytes in the record.

ObjectOutputStream can be extended to customize the information about classes in the stream or to replace objects to be serialized. Refer to the annotateClass and replaceObject method descriptions for details.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


1 - System Architecture

CONTENTS | PREV | NEXT Java Object Serialization Specification

1.3 Reading from an Object Stream

Reading an object from a stream, like writing, is straightforward:

// Deserialize a string and date from a file.
    FileInputStream in = new FileInputStream("tmp");
    ObjectInputStream s = new ObjectInputStream(in);
    String today = (String)s.readObject();
    Date date = (Date)s.readObject();
First an InputStream, in this case a FileInputStream, is needed as the source stream. Then an ObjectInputStream is created that reads from the InputStream. Next, the string "Today" and a Date object are read from the stream. Generally, objects are read with the readObject method and primitives are read from the stream with the methods of DataInput.

The readObject method deserializes the next object in the stream and traverses its references to other objects recursively to create the complete graph of objects serialized.

Primitive data types are read from the stream with the methods in the DataInput interface, such as readInt, readFloat, or readUTF. Individual bytes and arrays of bytes are read with the methods of InputStream. Except for serializable fields, primitive data is read from block-data records.

ObjectInputStream can be extended to utilize customized information in the stream about classes or to replace objects that have been deserialized. Refer to the resolveClass and resolveObject method descriptions for details.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


1 - System Architecture

CONTENTS | PREV | NEXT Java Object Serialization Specification

1.4 Object Streams as Containers

Object Serialization produces and consumes a stream of bytes that contain one or more primitives and objects. The objects written to the stream, in turn, refer to other objects, which are also represented in the stream. Object Serialization produces just one stream format that encodes and stores the contained objects.

Each object that acts as a container implements an interface which allows primitives and objects to be stored in or retrieved from it. These interfaces are the ObjectOutput and ObjectInput interfaces which:

  • Provide a stream to write to and to read from
  • Handle requests to write primitive types and objects to the stream
  • Handle requests to read primitive types and objects from the stream
Each object which is to be stored in a stream must explicitly allow itself to be stored and must implement the protocols needed to save and restore its state. Object Serialization defines two such protocols. The protocols allow the container to ask the object to write and read its state.

To be stored in an Object Stream, each object must implement either the Serializable or the Externalizable interface:

  • For a Serializable class, Object Serialization can automatically save and restore fields of each class of an object and automatically handle classes that evolve by adding fields or supertypes. A serializable class can declare which of its fields are saved or restored, and write and read optional values and objects.
  • For an Externalizable class, Object Serialization delegates to the class complete control over its external format and how the state of the supertype(s) is saved and restored.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


1 - System Architecture

CONTENTS | PREV | NEXT Java Object Serialization Specification

1.5 Defining Serializable Fields for a Class

The serializable fields of a class can be defined two different ways. Default serializable fields of a class are defined to be the non-transient and non-static fields. This default computation can be overridden by declaring a special field in the Serializable class, serialPersistentFields. This field must be initialized with an array of ObjectStreamField objects that list the names and types of the serializable fields. The modifiers for the field are required to be private, static, and final.

For example, the following declaration duplicates the default behavior.

class List implements Serializable {
    List next;

    private static final ObjectStreamField[] serialPersistentFields
                 = {new ObjectStreamField("next", List.class)};

}
By using serialPersistentFields to define the Serializable fields for a class, there no longer is a limitation that a serializable field must be a field within the current definition of the Serializable class. The writeObject and readObject methods of the Serializable class can map the current implementation of the class to the serializable fields of the class using the interface that is described in Section 1.7, "Accessing Serializable Fields of a Class." Therefore, the fields for a Serializable class can change in a later release, as long as it maintains the mapping back to its Serializable fields that must remain compatible across release boundaries.

Note - There is, however, a limitation to the use of this mechanism to specify serializable fields for inner classes. Inner classes can only contain final static fields that are initialized to constants or expressions built up from constants. Consequently, it is not possible to set serialPersistentFields for an inner class (though it is possible to set it for nested top-level classes).

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


1 - System Architecture

CONTENTS | PREV | NEXT Java Object Serialization Specification

1.6 Documenting Serializable Fields and Data for a Class

It is important to document the serializable state of a class to enable interoperability with alternative implementations of a Serializable class and to document class evolution. Documenting a serializable field gives one a final opportunity to review whether or not the field should be serializable. The serialization javadoc tags, @serial, @serialField, and @serialData, provide a way to document the serialized form for a Serializable class within the source code.

  • The @serial tag should be placed in the javadoc comment for a default serializable field. The syntax is as follows:@serial field-descriptionThe optional field-description describes the meaning of the field and its acceptable values. The field-description can span multiple lines. When a field is added after the initial release, a @since tag indicates the version the field was added. The field-description for @serial provides serialization-specific documentation and is appended to the javadoc comment for the field within the serialized form documentation.
  • The @serialField tag is used to document an ObjectStreamField component of a serialPersistentFields array. One of these tags should be used for each ObjectStreamField component. The syntax is as follows:@serialField field-name field-type field-description
  • The @serialData tag describes the sequences and types of data written or read. The tag describes the sequence and type of optional data written by writeObject or all data written by the Externalizable.writeExternal method. The syntax is as follows:@serialData data-description
The javadoc application recognizes the serialization javadoc tags and generates a specification for each Serializable and Externalizable class. See Section C.1, "Example Alternate Implementation of java.io.File" for an example that uses these tags.

When a class is declared Serializable, the serializable state of the object is defined by serializable fields (by name and type) plus optional data. Optional data can only be written explicitly by the writeObject method of a Serializable class. Optional data can be read by the Serializable class' readObject method or serialization will skip unread optional data.

When a class is declared Externalizable, the data that is written to the stream by the class itself defines the serialized state. The class must specify the order, types, and meaning of each datum that is written to the stream. The class must handle its own evolution, so that it can continue to read data written by and write data that can be read by previous versions. The class must coordinate with the superclass when saving and restoring data. The location of the superclasses data in the stream must be specified.

The designer of a Serializable class must ensure that the information saved for the class is appropriate for persistence and follows the serialization-specified rules for interoperability and evolution. Class evolution is explained in greater detail in Chapter 5, "Versioning of Serializable Objects."

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


1 - System Architecture

CONTENTS | PREV | NEXT Java Object Serialization Specification

1.7 Accessing Serializable Fields of a Class

Serialization provides two mechanisms for accessing the serializable fields in a stream:

  • The default mechanism requires no customization
  • The Serializable Fields API allows a class to explicitly access/set the serializable fields by name and type
The default mechanism is used automatically when reading or writing objects that implement the Serializable interface and do no further customization. The serializable fields are mapped to the corresponding fields of the class and values are either written to the stream from those fields or are read in and assigned respectively. If the class provides writeObject and readObject methods, the default mechanism can be invoked by calling defaultWriteObject and defaultReadObject. When the writeObject and readObject methods are implemented, the class has an opportunity to modify the serializable field values before they are written or after they are read.

When the default mechanism cannot be used, the serializable class can use the putFields method of ObjectOutputStream to put the values for the serializable fields into the stream. The writeFields method of ObjectOutputStream puts the values in the correct order, then writes them to the stream using the existing protocol for serialization. Correspondingly, the readFields method of ObjectInputStream reads the values from the stream and makes them available to the class by name in any order. See Section 2.2, "The ObjectOutputStream.PutField Class" and Section 3.2, "The ObjectInputStream.GetField Class." for a detailed description of the Serializable Fields API.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


1 - System Architecture

CONTENTS | PREV | NEXT Java Object Serialization Specification

1.8 The ObjectOutput Interface

The ObjectOutput interface provides an abstract, stream-based interface to object storage. It extends the DataOutput interface so those methods can be used for writing primitive data types. Objects that implement this interface can be used to store primitives and objects.

package java.io;

public interface ObjectOutput extends DataOutput
{
    public void writeObject(Object obj) throws IOException;
    public void write(int b) throws IOException;
    public void write(byte b[]) throws IOException;
     public void write(byte b[], int off, int len) throws IOException;
    public void flush() throws IOException;
    public void close() throws IOException;
}
The writeObject method is used to write an object. The exceptions thrown reflect errors while accessing the object or its fields, or exceptions that occur in writing to storage. If any exception is thrown, the underlying storage may be corrupted. If this occurs, refer to the object that is implementing this interface for more information.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


1 - System Architecture

CONTENTS | PREV | NEXT Java Object Serialization Specification

1.9 The ObjectInput Interface

The ObjectInput interface provides an abstract stream based interface to object retrieval. It extends the DataInput interface so those methods for reading primitive data types are accessible in this interface.

package java.io;

public interface ObjectInput extends DataInput
{
    public Object readObject()
        throws ClassNotFoundException, IOException;
    public int read() throws IOException;
    public int read(byte b[]) throws IOException;
    public int read(byte b[], int off, int len) throws IOException;
    public long skip(long n) throws IOException;
    public int available() throws IOException;
    public void close() throws IOException;
}
The readObject method is used to read and return an object. The exceptions thrown reflect errors while accessing the objects or its fields or exceptions that occur in reading from the storage. If any exception is thrown, the underlying storage may be corrupted. If this occurs, refer to the object implementing this interface for additional information.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


1 - System Architecture

CONTENTS | PREV | NEXT Java Object Serialization Specification

1.10 The Serializable Interface

Object Serialization produces a stream with information about the JavaTM classes for the objects which are being saved. For serializable objects, sufficient information is kept to restore those objects even if a different (but compatible) version of the implementation of the class is present. The Serializable interface is defined to identify classes which implement the serializable protocol:

package java.io;

public interface Serializable {};
A Serializable class must do the following:

  • Implement the java.io.Serializable interface
  • Identify the fields that should be serializable
(Use the serialPersistentFields member to explicitly declare them serializable or use the transient keyword to denote nonserializable fields.)

  • Have access to the no-arg constructor of its first nonserializable superclass
The class can optionally define the following methods:

  • A writeObject method to control what information is saved or to append additional information to the stream
  • A readObject method either to read the information written by the corresponding writeObject method or to update the state of the object after it has been restored
  • A writeReplace method to allow a class to nominate a replacement object to be written to the stream
(See Section 2.5, "The writeReplace Method" for additional information.)

  • A readResolve method to allow a class to designate a replacement object for the object just read from the stream
(See Section 3.6, "The readResolve Method" for additional information.)

ObjectOutputStream and ObjectInputStream allow the serializable classes on which they operate to evolve (allow changes to the classes that are compatible with the earlier versions of the classes). See Section 5.5, "Compatible JavaTM Type Evolution" for information about the mechanism which is used to allow compatible changes.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


1 - System Architecture

CONTENTS | PREV | NEXT Java Object Serialization Specification

1.11 The Externalizable Interface

For Externalizable objects, only the identity of the class of the object is saved by the container; the class must save and restore the contents. The Externalizable interface is defined as follows:

package java.io;

public interface Externalizable extends Serializable
{
    public void writeExternal(ObjectOutput out)
        throws IOException;

    public void readExternal(ObjectInput in)
        throws IOException, java.lang.ClassNotFoundException;
}
The class of an Externalizable object must do the following:

  • Implement the java.io.Externalizable interface
  • Implement a writeExternal method to save the state of the object
(It must explicitly coordinate with its supertype to save its state.)

  • Implement a readExternal method to read the data written by the writeExternal method from the stream and restore the state of the object
(It must explicitly coordinate with the supertype to save its state.)

  • Have the writeExternal and readExternal methods be solely responsible for the format, if an externally defined format is written
Note - The writeExternal and readExternal methods are public and raise the risk that a client may be able to write or read information in the object other than by using its methods and fields. These methods must be used only when the information held by the object is not sensitive or when exposing it does not present a security risk.
  • Have a public no-arg constructor
Note - Inner classes do not have no-arg constructors, since all inner class constructors implicitly take the enclosing instance as a prepended parameter. Consequently the Externalizable interface mechanism cannot be used for inner classes and they should implement the Serializable interface, if they need to be serialized.
An Externalizable class can optionally define the following methods:

  • A writeReplace method to allow a class to nominate a replacement object to be written to the stream
(See Section 2.5, "The writeReplace Method" for additional information.)

  • A readResolve method to allow a class to designate a replacement object for the object just read from the stream
(See Section 3.6, "The readResolve Method" for additional information.)

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


1 - System Architecture

CONTENTS | PREV | NEXT Java Object Serialization Specification

1.12 Protecting Sensitive Information

When developing a class that provides controlled access to resources, care must be taken to protect sensitive information and functions. During deserialization, the private state of the object is restored. For example, a file descriptor contains a handle that provides access to an operating system resource. Being able to forge a file descriptor would allow some forms of illegal access, since restoring state is done from a stream. Therefore, the serializing runtime must take the conservative approach and not trust the stream to contain only valid representations of objects. To avoid compromising a class, the sensitive state of an object must not be restored from the stream, or it must be reverified by the class. Several techniques are available to protect sensitive data in classes.

The easiest technique is to mark fields that contain sensitive data as private transient. Transient fields are not persistent and will not be saved by any persistence mechanism. Marking the field will prevent the state from appearing in the stream and from being restored during deserialization. Since writing and reading (of private fields) cannot be superseded outside of the class, the transient fields of the class are safe.

Particularly sensitive classes should not be serialized at all. To accomplish this, the object should not implement either the Serializable or the Externalizable interface.

Some classes may find it beneficial to allow writing and reading but specifically handle and revalidate the state as it is deserialized. The class should implement writeObject and readObject methods to save and restore only the appropriate state. If access should be denied, throwing a NotSerializableException will prevent further access.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


1 - System Architecture

CONTENTS | PREV | NEXT Java Object Serialization Specification

1.13 Protecting Sensitive Information

When developing a class that provides controlled access to resources, care must be taken to protect sensitive information and functions. During deserialization, the private state of the object is restored. For example, a file descriptor contains a handle that provides access to an operating system resource. Being able to forge a file descriptor would allow some forms of illegal access, since restoring state is done from a stream. Therefore, the serializing runtime must take the conservative approach and not trust the stream to contain only valid representations of objects. To avoid compromising a class, the sensitive state of an object must not be restored from the stream, or it must be reverified by the class. Several techniques are available to protect sensitive data in classes.

The easiest technique is to mark fields that contain sensitive data as private transient. Transient fields are not persistent and will not be saved by any persistence mechanism. Marking the field will prevent the state from appearing in the stream and from being restored during deserialization. Since writing and reading (of private fields) cannot be superseded outside of the class, the transient fields of the class are safe.

Particularly sensitive classes should not be serialized at all. To accomplish this, the object should not implement either the Serializable or the Externalizable interface.

Some classes may find it beneficial to allow writing and reading but specifically handle and revalidate the state as it is deserialized. The class should implement writeObject and readObject methods to save and restore only the appropriate state. If access should be denied, throwing a NotSerializableException will prevent further access.

CONTENTS | PREV | NEXT
Copyright © 1997-1998 Sun Microsystems, Inc. All Rights Reserved.


-

CONTENTS | PREV | NEXT Java Object Serialization Specification

Table of Contents

1 System Architecture
1.1 Overview
1.2 Writing to an Object Stream
1.3 Reading from an Object Stream
1.4 Object Streams as Containers
1.5 Defining Serializable Fields for a Class
1.6 Documenting Serializable Fields and Data for a Class
1.7 Accessing Serializable Fields of a Class
1.8 The ObjectOutput Interface
1.9 The ObjectInput Interface
1.10 The Serializable Interface
1.11 The Externalizable Interface
1.12 Protecting Sensitive Information

2 Object Output Classes
2.1 The ObjectOutputStream Class
2.2 The ObjectOutputStream.PutField Class
2.3 The writeObject Method
2.4 The writeExternal Method
2.5 The writeReplace Method
2.6 The useProtocolVersion Method

3 Object Input Classes
3.1 The ObjectInputStream Class
3.2 The ObjectInputStream.GetField Class
3.3 The ObjectInputValidation Interface
3.4 The readObject Method
3.5 The readExternal Method
3.6 The readResolve Method

4 Class Descriptors
4.1 The ObjectStreamClass Class
4.2 Dynamic Proxy Class Descriptors
4.3 Serialized Form
4.4 The ObjectStreamField Class
4.5 Inspecting Serializable Classes
4.6 Stream Unique Identifiers

5 Versioning of Serializable Objects
5.1 Overview
5.2 Goals
5.3 Assumptions
5.4 Who's Responsible for Versioning of Streams
5.5 Compatible JavaTM Type Evolution
5.6 Type Changes Affecting Serialization

6 Object Serialization Stream Protocol
6.1 Overview
6.2 Stream Elements
6.3 Stream Protocol Versions
6.4 Grammar for the Stream Format

A Security in Object Serialization
A.1 Overview
A.2 Design Goals
A.3 Security Issues
A.4 Preventing Serialization of Sensitive Data
A.5 Writing Class-Specific Serializing Methods
A.6 Guarding Unshared Deserialized Objects
A.7 Preventing Overwriting of Externalizable Objects
A.8 Encrypting a Bytestream

B Exceptions In Object Serialization

C Example of Serializable Fields
C.1 Example Alternate Implementation of java.io.File

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


5 - Versioning of Serializable Objects

CONTENTS | PREV | NEXT Java Object Serialization Specification

Versioning of Serializable Objects

CHAPTER 5

Topics:

  • Overview
  • Goals
  • Assumptions
  • Who's Responsible for Versioning of Streams
  • Compatible JavaTM Type Evolution
  • Type Changes Affecting Serialization

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


5 - Versioning of Serializable Objects

CONTENTS | PREV | NEXT Java Object Serialization Specification

5.1 Overview

When JavaTM objects use serialization to save state in files, or as blobs in databases, the potential arises that the version of a class reading the data is different than the version that wrote the data.

Versioning raises some fundamental questions about the identity of a class, including what constitutes a compatible change. A compatible change is a change that does not affect the contract between the class and its callers.

This section describes the goals, assumptions, and a solution that attempts to address this problem by restricting the kinds of changes allowed and by carefully choosing the mechanisms.

The proposed solution provides a mechanism for "automatic" handling of classes that evolve by adding fields and adding classes. Serialization will handle versioning without class-specific methods to be implemented for each version. The stream format can be traversed without invoking class-specific methods.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


5 - Versioning of Serializable Objects

CONTENTS | PREV | NEXT Java Object Serialization Specification

5.2 Goals

The goals are to:

  • Support bidirectional communication between different versions of a class operating in different virtual machines by:
  • Defining a mechanism that allows JavaTM classes to read streams written by older versions of the same class.
- Defining a mechanism that allows JavaTM classes to write streams intended to be read by older versions of the same class.
  • Provide default serialization for persistence and for RMI.
  • Perform well and produce compact streams in simple cases, so that RMI can use serialization.
  • Be able to identify and load classes that match the exact class used to write the stream.
  • Keep the overhead low for nonversioned classes.
  • Use a stream format that allows the traversal of the stream without having to invoke methods specific to the objects saved in the stream.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


5 - Versioning of Serializable Objects

CONTENTS | PREV | NEXT Java Object Serialization Specification

5.3 Assumptions

The assumptions are that:

  • Versioning will only apply to serializable classes since it must control the stream format to achieve it goals. Externalizable classes will be responsible for their own versioning which is tied to the external format.
  • All data and objects must be read from, or skipped in, the stream in the same order as they were written.
  • Classes evolve individually as well as in concert with supertypes and subtypes.
  • Classes are identified by name. Two classes with the same name may be different versions or completely different classes that can be distinguished only by comparing their interfaces or by comparing hashes of the interfaces.
  • Default serialization will not perform any type conversions.
  • The stream format only needs to support a linear sequence of type changes, not arbitrary branching of a type.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


5 - Versioning of Serializable Objects

CONTENTS | PREV | NEXT Java Object Serialization Specification

5.4 Who's Responsible for Versioning of Streams

In the evolution of classes, it is the responsibility of the evolved (later version) class to maintain the contract established by the nonevolved class. This takes two forms. First, the evolved class must not break the existing assumptions about the interface provided by the original version, so that the evolved class can be used in place of the original. Secondly, when communicating with the original (or previous) versions, the evolved class must provide sufficient and equivalent information to allow the earlier version to continue to satisfy the nonevolved contract.

For the purposes of the discussion here, each class implements and extends the interface or contract defined by its supertype. New versions of a class, for example foo', must continue to satisfy the contract for foo and may extend the interface or modify its implementation.

Communication between objects via serialization is not part of the contract defined by these interfaces. Serialization is a private protocol between the implementations. It is the responsibility of the implementations to communicate sufficiently to allow each implementation to continue to satisfy the contract expected by its clients.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


5 - Versioning of Serializable Objects

CONTENTS | PREV | NEXT Java Object Serialization Specification

5.5 Compatible JavaTM Type Evolution

In the JavaTM Language Specification, Chapter 13 discusses binary compatibility of JavaTM classes as those classes evolve. Most of the flexibility of binary compatibility comes from the use of late binding of symbolic references for the names of classes, interfaces, fields, methods, and so on.

The following are the principle aspects of the design for versioning of serialized object streams.

  • The default serialization mechanism will use a symbolic model for binding the fields in the stream to the fields in the corresponding class in the virtual machine.
  • Each class referenced in the stream will uniquely identify itself, its supertype, and the types and names of each serializable field written to the stream. The fields are ordered with the primitive types first sorted by field name, followed by the object fields sorted by field name.
  • Two types of data may occur in the stream for each class: required data (corresponding directly to the serializable fields of the object); and optional data (consisting of an arbitrary sequence of primitives and objects). The stream format defines how the required and optional data occur in the stream so that the whole class, the required, or the optional parts can be skipped if necessary.
  • The required data consists of the fields of the object in the order defined by the class descriptor.
- The optional data is written to the stream and does not correspond directly to fields of the class. The class itself is responsible for the length, types, and versioning of this optional information.
  • If defined for a class, the writeObject/readObject methods supersede the default mechanism to write/read the state of the class. These methods write and read the optional data for a class. The required data is written by calling defaultWriteObject and read by calling defaultReadObject.
  • The stream format of each class is identified by the use of a Stream Unique Identifier (SUID). By default, this is the hash of the class. All later versions of the class must declare the Stream Unique Identifier (SUID) that they are compatible with. This guards against classes with the same name that might inadvertently be identified as being versions of a single class.
  • Subtypes of ObjectOutputStream and ObjectInputStream may include their own information identifying the class using the annotateClass method; for example, MarshalOutputStream embeds the URL of the class.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


5 - Versioning of Serializable Objects

CONTENTS | PREV | NEXT Java Object Serialization Specification

5.6 Type Changes Affecting Serialization

With these concepts, we can now describe how the design will cope with the different cases of an evolving class. The cases are described in terms of a stream written by some version of a class. When the stream is read back by the same version of the class, there is no loss of information or functionality. The stream is the only source of information about the original class. Its class descriptions, while a subset of the original class description, are sufficient to match up the data in the stream with the version of the class being reconstituted.

The descriptions are from the perspective of the stream being read in order to reconstitute either an earlier or later version of the class. In the parlance of RPC systems, this is a "receiver makes right" system. The writer writes its data in the most suitable form and the receiver must interpret that information to extract the parts it needs and to fill in the parts that are not available.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


5 - Versioning of Serializable Objects

CONTENTS | PREV | NEXT Java Object Serialization Specification

5.6.1 Incompatible Changes

Incompatible changes to classes are those changes for which the guarantee of interoperability cannot be maintained. The incompatible changes that may occur while evolving a class are:

  • Deleting fields - If a field is deleted in a class, the stream written will not contain its value. When the stream is read by an earlier class, the value of the field will be set to the default value because no value is available in the stream. However, this default value may adversely impair the ability of the earlier version to fulfill its contract.
  • Moving classes up or down the hierarchy - This cannot be allowed since the data in the stream appears in the wrong sequence.
  • Changing a nonstatic field to static or a nontransient field to transient - When relying on default serialization, this change is equivalent to deleting a field from the class. This version of the class will not write that data to the stream, so it will not be available to be read by earlier versions of the class. As when deleting a field, the field of the earlier version will be initialized to the default value, which can cause the class to fail in unexpected ways.
  • Changing the declared type of a primitive field - Each version of the class writes the data with its declared type. Earlier versions of the class attempting to read the field will fail because the type of the data in the stream does not match the type of the field.
  • Changing the writeObject or readObject method so that it no longer writes or reads the default field data or changing it so that it attempts to write it or read it when the previous version did not. The default field data must consistently either appear or not appear in the stream.
  • Changing a class from Serializable to Externalizable or visa-versa is an incompatible change since the stream will contain data that is incompatible with the implementation in the available class.
  • Removing either Serializable or Externalizable is an incompatible change since when written it will no longer supply the fields needed by older versions of the class.
  • Adding the writeReplace or readResolve method to a class is incompatible if the behavior would produce an object that is incompatible with any older version of the class.

CONTENTS | PREV | NEXT
Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


5 - Versioning of Serializable Objects

CONTENTS | PREV | NEXT Java Object Serialization Specification

5.6.2 Compatible Changes

The compatible changes to a class are handled as follows:

  • Adding fields - When the class being reconstituted has a field that does not occur in the stream, that field in the object will be initialized to the default value for its type. If class-specific initialization is needed, the class may provide a readObject method that can initialize the field to nondefault values.
  • Adding classes - The stream will contain the type hierarchy of each object in the stream. Comparing this hierarchy in the stream with the current class can detect additional classes. Since there is no information in the stream from which to initialize the object, the class's fields will be initialized to the default values.
  • Removing classes - Comparing the class hierarchy in the stream with that of the current class can detect that a class has been deleted. In this case, the fields and objects corresponding to that class are read from the stream. Primitive fields are discarded, but the objects referenced by the deleted class are created, since they may be referred to later in the stream. They will be garbage-collected when the stream is garbage-collected or reset.
  • Adding writeObject/readObject methods - If the version reading the stream has these methods then readObject is expected, as usual, to read the required data written to the stream by the default serialization. It should call defaultReadObject first before reading any optional data. The writeObject method is expected as usual to call defaultWriteObject to write the required data and then may write optional data.
  • Removing writeObject/readObject methods - If the class reading the stream does not have these methods, the required data will be read by default serialization, and the optional data will be discarded.
  • Adding java.io.Serializable - This is equivalent to adding types. There will be no values in the stream for this class so its fields will be initialized to default values. The support for subclassing nonserializable classes requires that the class's supertype have a no-arg constructor and the class itself will be initialized to default values. If the no-arg constructor is not available, the InvalidClassException is thrown.
  • Changing the access to a field - The access modifiers public, package, protected, and private have no effect on the ability of serialization to assign values to the fields.
  • Changing a field from static to nonstatic or transient to nontransient - When relying on default serialization to compute the serializable fields, this change is equivalent to adding a field to the class. The new field will be written to the stream but earlier classes will ignore the value since serialization will not assign values to static or transient fields.
    •

 CONTENTS | PREV
 | NEXT

Copyright © 1997-1999 Sun Microsystems, Inc. All Rights Reserved.


Sound

 Documentation Contents
Version 1.3 of the JavaTM 2 Platform includes a powerful new API for capturing, processing, and playing back audio and MIDI (Musical Intstrument Digital Interface) data. This API is supported by an efficient sound engine which guarantees high-quality audio mixing and MIDI synthesis capabilities for the platform.

The provided reference implementation of this API supports the following features:

  • Audio file formats: AIFF, AU and WAV
  • Music file formats: MIDI Type 0, MIDI Type 1, and Rich Music Format (RMF)
  • Sound formats: 8- and 16-bit audio data, in mono and stereo, with sample rates from 8 kHz to 48 kHz
  • Linear, a-law, and mu-law encoded data in any of the supported audio file formats
  • MIDI wavetable synthesis and sequencing in software, and access to hardware MIDI devices
  • An all-software mixer that can mix and render up to 64 total channels of digital audio and synthesized MIDI music

The above list describes the reference implementation, not the API itself. The API permits flexible configuration of the audio and MIDI system, including ways for applications to ask the system exactly what resources are installed and available.

Additional information on the reference implementation is available from the Java Sound Home Page. This site also provides links to a selection of MIDI sound banks that may be used to enhance the sound quality of the MIDI synthesizer.

Java Sound Guide
  • API Programmer's Guide - also available in PDF and PS
Java Sound API Reference
(javadoc)
  • javax.sound.sampled Package
  • javax.sound.midi Package
  • javax.sound.sampled.spi Package
  • javax.sound.midi.spi Package
For More Information

Located on the Java Software website:
  • The Java Sound Home Page

Copyright © 1999, 2000 Sun Microsystems, Inc. All Rights Reserved.

Please send comments to: javasound-comments@sun.com 		Sun
Java Software


Project Swing (Java(TM) Foundation Classes) Software

Java

Project Swing (JavaTM Foundation Classes) Software

 Documentation Contents
Project Swing is the part of the JavaTM Foundation Classes (JFC) software that implements a set of GUI components with a pluggable look and feel. Project Swing is implemented entirely in the Java programming language, and is based on the JDKTM 1.1 Lightweight UI Framework. The pluggable look and feel lets you design a single set of GUI components that can automatically have the look and feel of any OS platform (Microsoft Windows, SolarisTM, Macintosh). Project Swing components include both 100% Pure JavaTM certified versions of the existing AWT component set (Button, Scrollbar, Label, etc.), plus a rich set of higher-level components (such as tree view, list box, and tabbed panes).

Changes and New Features

Contains detailed lists of changes to Swing API in Version 1.3 of the Java 2 SDK, Standard Edition.

API Specification
(javadoc)

  • javax.swing
  • javax.swing.border
  • javax.swing.colorchooser
  • javax.swing.event
  • javax.swing.filechooser
  • javax.swing.plaf
  • javax.swing.plaf.basic
  • javax.swing.plaf.metal
  • javax.swing.plaf.multi
  • javax.swing.table
  • javax.swing.text
  • javax.swing.text.html
  • javax.swing.text.html.parser
  • javax.swing.text.rtf
  • javax.swing.tree
  • javax.swing.undo

For More Information

Located on the Java Software website:
  • The Swing Connection
  • The Java Tutorial: Creating a GUI with JFC/Swing
  • The JFC Home Page

Copyright © 1995-99 Sun Microsystems, Inc. All Rights Reserved.

Please send comments to: swing-feedback@java.sun.com 		Sun Microsystems, Inc
Java Software


Package Version Identification

 Documentation Contents
Versioning introduces package level version control where applications and applets can identify at runtime the version of a specific Java Runtime Environment, VM, and class package.
Package Versioning Specification
  • Versioning Specification (HTML, PS, PDF)

Versioning API Reference
(javadoc)
  • java.lang.Class
  • java.lang.ClassLoader
  • java.lang.Package
  • java.lang.System

Copyright © 1995-99 Sun Microsystems, Inc. All Rights Reserved.

Please send comments to: java-versioning@java.sun.com 		Sun
Java Software


This directory contains some helper apps and scripts for setting
up Microsoft Access, SQL Server, or Sybase databases to use with
the examples in examples/Table.  For details see the online
documentation in:

    http://java.sun.com/products/jfc/swingdoc-current/db.html


FileChooserDemo demonstrates some of the capabilities of the
JFileChooser object.  It brings up a window displaying several
configuration controls that allow you to play with the
JFileChooser options dynamically.

To run the FileChooserDemo demo on 1.3:
  java -jar FileChooserDemo.jar


The classes for the Java2D demo are contained in the Java2Demo.jar file.
To run the Java2D demo:

% java -jar Java2Demo.jar
   - or -
% appletviewer Java2Demo.html

Although it's not necessary to unpack the Java2Demo.jar file to run
the demo, you may want to extract its contents if you plan to modify
any of the demo source code. To extract the contents of Java2Demo.jar,
run this command from the Java2D directory:

    jar xvf Java2Demo.jar

-----------------------------------------------------------------------
Introduction
-----------------------------------------------------------------------

This Java2D demo consists of a set of demos housed in one GUI
framework that uses a JTabbedPane.  You can access different groups of
demos by clicking the tabs at the top of the pane. There are demo
groups for Arcs_Curves, Clipping, Colors, Composite, Fonts, Images,
Lines, Mix, Paint, Paths and Transforms.  On the right-hand side of the
pane, the GUI framework features individual and global controls for
changing graphics attributes. There's also a memory-usage monitor, and
a monitor for tracking the performance, in frames per second, of
animation demos.

-----------------------------------------------------------------------
Tips on usage
-----------------------------------------------------------------------

Click on one of the tabs at the top of the pane to select a demo group.
When you select a group, a set of surfaces is displayed, each of which
contains one of the group's demos. At the bottom of each surface is
a set of tools for controlling the demo.  The tools can be displayed
by selecting the Tools checkbox in the Global Controls panel or
by clicking on the slim strip of gray bumps at the bottom of the demo
panel.

If you click on a demo surface, that demo is laid out by itself. A
new icon button will appear in the demo's tools toolbar one that enables
you to create new instances of that demo's surface.

To run the demo continuously without user interaction, select the
Run Window item in the Options menu and press the run button in the
new window that's displayed.  To do this from the command line:

    java -jar Java2Demo.jar -runs=10

To view all the command line options for customizing demo runs:

    java -jar Java2Demo.jar -help

Parameters that can be used in the Java2Demo.html file inside the applet
tag to customize demo runs:
              <param name="runs" value="10">
              <param name="delay" value="10">
              <param name="ccthread" value=" ">
              <param name="screen" value="5">
              <param name="antialias" value="true">
              <param name="rendering" value="true">
              <param name="texture" value="true">
              <param name="composite" value="true">
              <param name="verbose" value=" ">
              <param name="buffers" value="3,10">
              <param name="verbose" value=" ">
              <param name="zoom" value=" ">

You can run the demos in stand-alone mode by issuing a command like
this from the Java2D directory:

    java -cp Java2Demo.jar demos.Clipping.ClipAnim

You can run the demos in groups by issuing a command like this from
the Java2D directory:

    java -cp Java2Demo.jar DemoGroup Clipping

To recompile a demo, first extract the contents of the Java2Demo.jar
file, then issue this command from the Java2D directory:

    For Win32:

        javac src\demos\Clipping\ClipAnim.java -d .

    For Solaris:

        javac src/demos/Clipping/ClipAnim.java -d .

To increase or decrease the Memory Monitor sampling rate click on the
Memory Monitor's title border, a panel with a TextField will appear.

The Java2Demo Intro (the 'Java2D' tab) contains a scene table, click in
the gray border and a table will appear.

Animated demos have a slider to control the animation rate.  Bring up
the animated demo toolbar, then click in the gray area of the toolbar
panel, the toolbar goes away and the slider appears.

Demos that have Custom Controls can have their Custom Control Thread
activated and stopped by clicking in the gray area of the demos Custom
Control panel.

For less garbage collection and smoother animation for the Intro and
other animated demos run with command line argument:

    java -jar -ms48m Java2Demo.jar

To allow printing of surfaces while running the demo in applet mode,
you must first run policytool to change your .java.policy file.  In
policytool, add the permission for java.lang.RuntimePermission with a
target name of queuePrintJob.  The .java.policy file should then include
the following:

    grant {
        permission java.lang.RuntimePermission "queuePrintJob";
    };

-----------------------------------------------------------------------
NOTE about demo surfaces
-----------------------------------------------------------------------

The demo groups are in separate packages with their class files stored
in directories named according to the demo group name.  All drawing
demos extend either the Surface, AnimatingSurface, ControlsSurface or
AnimatingControlsSurface classes.  Surface is the base class, demos
must implement the Surface's render method.  All animated demos extend
either the AnimatingSurface or the AnimatingControlsSurface classes.
Animated demos must implement the reset and step methods.  The demos
with gui controls extend either the ControlsSurface or the
AnimatingControlsSurface classes.  Demos with controls must implement
the methods in the CustomControlsContext interface.

-----------------------------------------------------------------------
Known Issue
-----------------------------------------------------------------------

This problem is present on Microsoft Windows 95 with DirectX and
Windows 98 and 98SE operating systems. Solaris(TM) and Windows NT
operating systems are not affected.

Java2Demo exhibits random lockups in lengthy looping runs or in runs
having "custom Thread" activated specific tabs such as Transform.  This
lockup occurs mostly on slower machines, PII233 and below, but is also
seen less frequently on faster machines.  The cause is possibly
DirectDraw and/or videocard driver or combination thereof.  Please do
one of the following to either prevent or reduce the chances of a
lockup:

Run with following parameter: -Dsun.java2d.noddraw=true

   java -Dsun.java2d.noddraw=true -jar Java2Demo.jar

and/or visit Microsoft's DirectX and dnload the latest as well as the
latest of your videocard driver.

======================================================================

Most of the Java2Demo demos can be found as stand-alone Samples:

http://java.sun.com/products/java-media/2D/samples/index.html

For a Java2D API Guide & Tutorial:

http://java.sun.com/products/jdk/1.3/docs/guide/2d/spec/j2d-bookTOC.doc.html
http://java.sun.com/docs/books/tutorial/2d/

For the latest version of the Java2D demo:

http://java.sun.com/products/java-media/2D/

You may send comments via the java2d-comments@sun.com alias,
which is a one-way alias to Sun's Java 2D API developers, or via the
java2d-interest@sun.com alias, which is a public discussion list.


About Metalworks
================
Metalworks is a simple Swing-based simulated e-mail
application.  It shows off several features of Swing, including
JInternalFrame, JTabbedPane, JFileChooser, JEditorPane, and
JRadioButtonMenuItem.  Metalworks is optimized to work with the
Java look and feel (codenamed "Metal") and shows use of several
features, such as themes, that are specific to the Java look and
feel.

Running Metalworks
==================

To run the Metalworks demo on 1.3:

  java -jar Metalworks.jar

Metalworks Features
===================
The functionality of the Metalworks demo is minimal, and many
controls are non-functional.  They are intended only to show how
to construct the UI for such interfaces.  Things that do work in
the Metalworks demo include:

1. Choosing New from the File menu displays an e-mail
   composition window.

2. Choosing Open from the File menu brings up the file chooser.

3. Choosing Preferences from the Edit menu will bring up a
   dialog.  Most of this dialog is only for show.

4. Choosing About Metalworks from the Help menu brings up a
   JOptionPane with a brief description of the application.

5. Choosing Open Help Window from the Help menu brings up an
   internal frame that displays a set of HTML files containing
   all sorts of useful info.  Look through these for tips about
   using Metal.

6. The Theme menu allows you to change the color theme of the
   application.  The default theme (Steel) and several other
   demo themes are included.  Note that the themes can control
   not only the colors, but also the sizes of many controls.
   Also included with this demo is the PropertiesMetalTheme
   class, which allows you to read a theme's colors from a text
   file.  The Charcoal theme is an example of using this.


To run the Notepad demo on 1.3:
  java -jar Notepad.jar


SampleTree demonstrates JTree features.  Each node of SampleTree has 7
children, with each one drawn in a random font and color.  Each node is
named after its font.  While the data isn't interesting, the example
illustrates a number of features:

- Dynamically loading children (see DynamicTreeNode.java)
- Adding/removing/inserting/reloading (see the following inner
  classes in SampleTree.java: AddAction, RemoveAction, InsertAction,
  and ReloadAction)
- Creating a custom cell renderer (see SampleTreeCellRenderer.java)
- Subclassing JTreeModel for editing (see SampleTreeModel.java)

To run the SampleTree demo on 1.3:
  java -jar SampleTree.jar


SimpleExample is the "Hello, world" of the Swing release.  It brings up
a window displaying a regular button followed by three radio buttons.
The regular button does nothing; it's there for looks alone.  The other
three buttons let you choose the look and feel (L&F) that SimpleExample
uses.

To run the SimpleExample demo on 1.3:

  java -jar SimpleExample.jar


To run the Stylepad demo on 1.3:
  java -jar Stylepad.jar


SwingApplet illustrates how it's possible to run a Swing-based
applet, as long as the Swing classes are in the browser's class
path.  In Java 2 (including v 1.3), the Swing classes are core,
and thus are always in the class path.  For example, in 1.3
you can run SwingApplet with this command:

   appletviewer SwingApplet.html


This file tells you how to run SwingSet, both as an applet and
as an application.

=================================
TO RUN SWINGSET AS AN APPLICATION
=================================

  java -jar SwingSet2.jar

============================
TO RUN SWINGSET AS AN APPLET
============================

  appletviewer SwingSet2.html


The four examples in this directory show how to use some of the
features of the JTable component.

TableExample:
   Uses a JTable to show data from an SQL query input on the command
   line.
TableExample2:
   Is like the previous example, but has a UI for configuring the
   database connection and query.
 TableExample3:
   Is a minimal example showing how to plug a generic sorter into the
   JTable.
TableExample4:
   Uses specialized renderers and editors.

TableExample3 and TableExample4 do not depend on database connectivity
and can be compiled and run in the normal way.

The most interesting example is probably TableExample, which has a
TextArea that can be used as an editor for an SQL expression.  Pressing
the Fetch button sends the expression to the database.  The results are
displayed in the JTable underneath the text area.

To run TableExample and TableExample2, you need to find a driver for
your database and set the environment variable JDBCHOME to a directory
where the driver is installed.  See the following URL for a list of
JDBC drivers provided by third party vendors:

  http://java.sun.com/products/jdbc/drivers.html

Once you find the driver, you can run one of the database examples by
specifying a class path that includes the JDBC classes and the example
classes.

For example, to run TableExample using 1.3 on Solaris:

  java -classpath $(JDBCHOME):TableExample.jar TableExample


The classes for the Java Sound demo are contained in the JavaSound.jar
file.  Running the demo requires the Java 2 SDK, Standard Edition 1.3.
To run the Java Sound demo :

% java -jar JavaSound.jar

Although it's not necessary to unpack the JavaSound.jar file to run
the demo, you may want to extract its contents if you plan to modify
any of the demo source code. To extract the contents of JavaSound.jar,
run this command from the JavaSound directory :

    jar xvf JavaSound.jar

This JavaSound demo consists of a set of demos housed in one GUI
framework that uses a JTabbedPane.  You can access different groups of
demos by clicking the tabs at the top of the pane. There are demo
groups for Juke Box, Capture & Playback, Midi Synthesizer and Rhythm
Groove Box.

Juke Box :

    A Juke Box for sampled (au, wav, aif) and midi (rmf, midi) sound
    files.  Features duration progress, seek slider, pan and volume
    controls.

Capture & Playback :

    A Capture/Playback sample.  Record audio in different formats
    and then playback the recorded audio.  The captured audio can
    be saved either as a WAVE, AU or AIFF.  Or load an audio file
    for streaming playback.

Midi Synthesizer :

    Illustrates general MIDI melody instruments and MIDI controllers.
    A piano keyboard represents notes on and off.  Features capture
    and playback of note on and off events.

Rhythm Groove Box :

    Illustrates how to build a track of short events.  Features
    a tempo dial to increase or descrease the beats per minute.

You can run anyone of the samples in stand-alone mode by issuing a
commands like this from the JavaSound directory:

        java -cp JavaSound.jar Juke
        java -cp JavaSound.jar CapturePlayback
        java -cp JavaSound.jar MidiSynth
        java -cp JavaSound.jar Groove

When running the Java Sound demo as an applet these permissions
are necessary in order to load/save files and record audio :

grant {
  permission java.io.FilePermission "<<ALL FILES>>", "read, write";
  permission javax.sound.sampled.AudioPermission "record";
  permission java.util.PropertyPermission "user.dir", "read";
};

The permissions need to be added to the .java.policy file.

======================================================================

You may send comments via the javasound-comments@sun.com alias,
which is a one-way alias to Sun's Java Sound API developers, or via the
javasound-interest@sun.com alias, which is a public discussion list.


@author found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
@deprecated found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
@exception found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
@param found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
@return found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
@see found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
@serial found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
@serialData found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
@serialField found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
@since found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
@throws found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
@version found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


A found in:
Activating an object that does not extend java.rmi.activation.Activatable
Class MediaType.A
Class Tag.A
Creating an Activatable Remote Object
Making a UnicastRemoteObject Activatable
Using a MarshalledObject to create persistent data


A-Index found in:
A-Index
A-Index
A1 found in:
Activating an object that does not extend java.rmi.activation.Activatable
Class MediaType.A1
Creating an Activatable Remote Object
Making a UnicastRemoteObject Activatable
Using a MarshalledObject to create persistent data
A2 found in:
Activating an object that does not extend java.rmi.activation.Activatable
Class MediaType.A2
Creating an Activatable Remote Object
Making a UnicastRemoteObject Activatable
Using a MarshalledObject to create persistent data
A3 found in:
Activating an object that does not extend java.rmi.activation.Activatable
Class MediaType.A3
Creating an Activatable Remote Object
Making a UnicastRemoteObject Activatable
Using a MarshalledObject to create persistent data
A4 found in:
Class MediaType.A4
Creating an Activatable Remote Object
Making a UnicastRemoteObject Activatable
Using a MarshalledObject to create persistent data
A5 found in:
Class MediaType.A5
Using a MarshalledObject to create persistent data


abs found in:
Class BigDecimal.abs()
Class BigInteger.abs()
Class Math.abs(int)
Class StrictMath.abs(int)


accept found in:
Class AcceptAllFileFilter.accept(java.io.File)
Class FileFilter.accept(java.io.File)
Class JFileChooser.accept(java.io.File)
Class ServerSocket.accept()
Class SocketImpl.accept(java.net.SocketImpl)
Interface FileFilter.accept(java.io.File)
Interface FilenameFilter.accept(java.io.File, java.lang.String)
Interface ListeningConnector.accept(java.util.Map)


acceptDrag found in:
Class DropTargetContext.acceptDrag(int)
Class DropTargetDragEvent.acceptDrag(int)
acceptDrop found in:
Class DropTargetContext.acceptDrop(int)
Class DropTargetDropEvent.acceptDrop(int)


access found in:
Class ValueMember.access
New Features


Accessible found in:
Interface Accessible
Interface Accessible
Package javax.accessibility
AccessibleAction found in:
Interface AccessibleAction
Package javax.accessibility


AccessibleBundle found in:
Class AccessibleBundle
Package javax.accessibility
AccessibleComponent found in:
Interface AccessibleComponent
Package javax.accessibility
AccessibleContainerHandler found in:
Class AccessibleContainerHandler
Class AccessibleContainerHandler


accessibleContainerHandler found in:
Class AccessibleAWTContainer.accessibleContainerHandler
Class AccessibleJComponent.accessibleContainerHandler


AccessibleContext found in:
Class AccessibleContext
Package javax.accessibility


accessibleContext found in:
Class Box.accessibleContext
Class CellRendererPane.accessibleContext
Class Filler.accessibleContext
Class JApplet.accessibleContext
Class JColorChooser.accessibleContext
Class JComponent.accessibleContext
Class JDialog.accessibleContext
Class JFileChooser.accessibleContext
Class JFrame.accessibleContext
Class JWindow.accessibleContext


AccessibleHyperlink found in:
Class AccessibleHyperlink
Package javax.accessibility
AccessibleHypertext found in:
Interface AccessibleHypertext
Package javax.accessibility


AccessibleRole found in:
Class AccessibleRole
Package javax.accessibility
AccessibleSelection found in:
Interface AccessibleSelection
Package javax.accessibility
AccessibleState found in:
Class AccessibleState
Package javax.accessibility
AccessibleStateSet found in:
Class AccessibleStateSet
Package javax.accessibility
AccessibleText found in:
Interface AccessibleText
Package javax.accessibility
AccessibleValue found in:
Interface AccessibleValue
Package javax.accessibility


acos found in:
Class Math.acos(double)
Class StrictMath.acos(double)


actionCommand found in:
Class DefaultButtonModel.actionCommand
Class JComboBox.actionCommand


actionPerformed found in:
Class AccessibleAWTList.actionPerformed(java.awt.event.ActionEvent)
Class ActionScroller.actionPerformed(java.awt.event.ActionEvent)
Class AlignmentAction.actionPerformed(java.awt.event.ActionEvent)
Class ApproveSelectionAction.actionPerformed(java.awt.event.ActionEvent)
Class AWTEventMulticaster.actionPerformed(java.awt.event.ActionEvent)
Class BeepAction.actionPerformed(java.awt.event.ActionEvent)
Class BoldAction.actionPerformed(java.awt.event.ActionEvent)
Class ButtonActionListener.actionPerformed(java.awt.event.ActionEvent)
Class CancelSelectionAction.actionPerformed(java.awt.event.ActionEvent)
Class ChangeToParentDirectoryAction.actionPerformed(java.awt.event.ActionEvent)
Class CloseAction.actionPerformed(java.awt.event.ActionEvent)
Class CloseAction.actionPerformed(java.awt.event.ActionEvent)
Class ComponentHandler.actionPerformed(java.awt.event.ActionEvent)
Class CopyAction.actionPerformed(java.awt.event.ActionEvent)
Class CutAction.actionPerformed(java.awt.event.ActionEvent)
Class DefaultKeyTypedAction.actionPerformed(java.awt.event.ActionEvent)
Class DefaultTreeCellEditor.actionPerformed(java.awt.event.ActionEvent)
Class DirectoryComboBoxAction.actionPerformed(java.awt.event.ActionEvent)
Class DropTargetAutoScroller.actionPerformed(java.awt.event.ActionEvent)
Class EditorDelegate.actionPerformed(java.awt.event.ActionEvent)
Class FontFamilyAction.actionPerformed(java.awt.event.ActionEvent)
Class FontSizeAction.actionPerformed(java.awt.event.ActionEvent)
Class ForegroundAction.actionPerformed(java.awt.event.ActionEvent)
Class FormView.actionPerformed(java.awt.event.ActionEvent)
Class GoHomeAction.actionPerformed(java.awt.event.ActionEvent)
Class IconifyAction.actionPerformed(java.awt.event.ActionEvent)
Class InsertBreakAction.actionPerformed(java.awt.event.ActionEvent)
Class InsertContentAction.actionPerformed(java.awt.event.ActionEvent)
Class InsertHTMLTextAction.actionPerformed(java.awt.event.ActionEvent)
Class InsertTabAction.actionPerformed(java.awt.event.ActionEvent)
Class insideTimerAction.actionPerformed(java.awt.event.ActionEvent)
Class ItalicAction.actionPerformed(java.awt.event.ActionEvent)
Class JComboBox.actionPerformed(java.awt.event.ActionEvent)
Class KeyboardDownRightHandler.actionPerformed(java.awt.event.ActionEvent)
Class KeyboardEndHandler.actionPerformed(java.awt.event.ActionEvent)
Class KeyboardHomeHandler.actionPerformed(java.awt.event.ActionEvent)
Class KeyboardResizeToggleHandler.actionPerformed(java.awt.event.ActionEvent)
Class KeyboardUpLeftHandler.actionPerformed(java.awt.event.ActionEvent)
Class MaximizeAction.actionPerformed(java.awt.event.ActionEvent)
Class MaximizeAction.actionPerformed(java.awt.event.ActionEvent)
Class MinimizeAction.actionPerformed(java.awt.event.ActionEvent)
Class MoveAction.actionPerformed(java.awt.event.ActionEvent)
Class NavigateAction.actionPerformed(java.awt.event.ActionEvent)
Class NewFolderAction.actionPerformed(java.awt.event.ActionEvent)
Class OpenAction.actionPerformed(java.awt.event.ActionEvent)
Class outsideTimerAction.actionPerformed(java.awt.event.ActionEvent)
Class PasteAction.actionPerformed(java.awt.event.ActionEvent)
Class RestoreAction.actionPerformed(java.awt.event.ActionEvent)
Class ScrollListener.actionPerformed(java.awt.event.ActionEvent)
Class ScrollListener.actionPerformed(java.awt.event.ActionEvent)
Class SizeAction.actionPerformed(java.awt.event.ActionEvent)
Class stillInsideTimerAction.actionPerformed(java.awt.event.ActionEvent)
Class TreeCancelEditingAction.actionPerformed(java.awt.event.ActionEvent)
Class TreeHomeAction.actionPerformed(java.awt.event.ActionEvent)
Class TreeIncrementAction.actionPerformed(java.awt.event.ActionEvent)
Class TreePageAction.actionPerformed(java.awt.event.ActionEvent)
Class TreeToggleAction.actionPerformed(java.awt.event.ActionEvent)
Class TreeTraverseAction.actionPerformed(java.awt.event.ActionEvent)
Class UnderlineAction.actionPerformed(java.awt.event.ActionEvent)
Class UpdateAction.actionPerformed(java.awt.event.ActionEvent)
Interface ActionListener.actionPerformed(java.awt.event.ActionEvent)


activate found in:
Class ActivationID.activate(boolean)
Interface Activator.activate(java.rmi.activation.ActivationID, boolean)
Interface AppletInitializer.activate(java.applet.Applet)
Interface InputMethod.activate()


activateFrame found in:
Class BasicInternalFrameUI.activateFrame(javax.swing.JInternalFrame)
Class DefaultDesktopManager.activateFrame(javax.swing.JInternalFrame)
Interface DesktopManager.activateFrame(javax.swing.JInternalFrame)


activeCount found in:
Class Thread.activeCount()
Class ThreadGroup.activeCount()


activeObject found in:
Class ActivationGroup.activeObject(java.rmi.activation.ActivationID, java.rmi.Remote)
Interface ActivationMonitor.activeObject(java.rmi.activation.ActivationID, java.rmi.MarshalledObject)


add found in:
Class AbstractCollection.add(java.lang.Object)
Class AbstractList.add(java.lang.Object)
Class AbstractSequentialList.add(int, java.lang.Object)
Class AccessibleRelationSet.add(javax.accessibility.AccessibleRelation)
Class AccessibleStateSet.add(javax.accessibility.AccessibleState)
Class Area.add(java.awt.geom.Area)
Class ArrayList.add(java.lang.Object)
Class AWTEventMulticaster.add(java.awt.event.ComponentListener, java.awt.event.ComponentListener)
Class BasicAttribute.add(java.lang.Object)
Class BeanContextSupport.add(java.lang.Object)
Class BigDecimal.add(java.math.BigDecimal)
Class BigInteger.add(java.math.BigInteger)
Class ButtonGroup.add(javax.swing.AbstractButton)
Class Calendar.add(int, int)
Class Choice.add(java.lang.String)
Class Component.add(java.awt.PopupMenu)
Class CompositeName.add(java.lang.String)
Class CompoundName.add(java.lang.String)
Class Container.add(java.awt.Component)
Class ContextList.add(java.lang.String)
Class DefaultListModel.add(int, java.lang.Object)
Class DefaultMutableTreeNode.add(javax.swing.tree.MutableTreeNode)
Class EventListenerList.add(java.lang.Class, java.util.EventListener)
Class ExceptionList.add(org.omg.CORBA.TypeCode)
Class GregorianCalendar.add(int, int)
Class HashSet.add(java.lang.Object)
Class JMenu.add(javax.swing.JMenuItem)
Class JMenuBar.add(javax.swing.JMenu)
Class JPopupMenu.add(javax.swing.JMenuItem)
Class JTabbedPane.add(java.awt.Component)
Class JToolBar.add(javax.swing.Action)
Class LinkedList.add(java.lang.Object)
Class List.add(java.lang.String)
Class Menu.add(java.awt.MenuItem)
Class MenuBar.add(java.awt.Menu)
Class NVList.add(int)
Class ParameterBlock.add(java.lang.Object)
Class PermissionCollection.add(java.security.Permission)
Class Permissions.add(java.security.Permission)
Class Rectangle.add(int, int)
Class Rectangle2D.add(double, double)
Class Reference.add(javax.naming.RefAddr)
Class RenderingHints.add(java.awt.RenderingHints)
Class Track.add(javax.sound.midi.MidiEvent)
Class TreeSet.add(java.lang.Object)
Class Vector.add(java.lang.Object)
Interface Attribute.add(java.lang.Object)
Interface Collection.add(java.lang.Object)
Interface List.add(java.lang.Object)
Interface ListIterator.add(java.lang.Object)
Interface Name.add(java.lang.String)
Interface Set.add(java.lang.Object)
addAccessibleSelection found in:
Class AccessibleAWTList.addAccessibleSelection(int)
Class AccessibleAWTMenuComponent.addAccessibleSelection(int)
Class AccessibleJComboBox.addAccessibleSelection(int)
Class AccessibleJList.addAccessibleSelection(int)
Class AccessibleJMenu.addAccessibleSelection(int)
Class AccessibleJMenuBar.addAccessibleSelection(int)
Class AccessibleJTabbedPane.addAccessibleSelection(int)
Class AccessibleJTable.addAccessibleSelection(int)
Class AccessibleJTree.addAccessibleSelection(int)
Class AccessibleJTreeNode.addAccessibleSelection(int)
Interface AccessibleSelection.addAccessibleSelection(int)
addActionListener found in:
Class AbstractButton.addActionListener(java.awt.event.ActionListener)
Class BasicComboBoxEditor.addActionListener(java.awt.event.ActionListener)
Class Button.addActionListener(java.awt.event.ActionListener)
Class DefaultButtonModel.addActionListener(java.awt.event.ActionListener)
Class JComboBox.addActionListener(java.awt.event.ActionListener)
Class JFileChooser.addActionListener(java.awt.event.ActionListener)
Class JTextField.addActionListener(java.awt.event.ActionListener)
Class List.addActionListener(java.awt.event.ActionListener)
Class MenuItem.addActionListener(java.awt.event.ActionListener)
Class TextField.addActionListener(java.awt.event.ActionListener)
Class Timer.addActionListener(java.awt.event.ActionListener)
Interface ButtonModel.addActionListener(java.awt.event.ActionListener)
Interface ComboBoxEditor.addActionListener(java.awt.event.ActionListener)
addAdjustmentListener found in:
Class JScrollBar.addAdjustmentListener(java.awt.event.AdjustmentListener)
Class Scrollbar.addAdjustmentListener(java.awt.event.AdjustmentListener)
Interface Adjustable.addAdjustmentListener(java.awt.event.AdjustmentListener)
addAll found in:
Class AbstractCollection.addAll(java.util.Collection)
Class AbstractList.addAll(int, java.util.Collection)
Class AbstractSequentialList.addAll(int, java.util.Collection)
Class AccessibleRelationSet.addAll(javax.accessibility.AccessibleRelation[])
Class AccessibleStateSet.addAll(javax.accessibility.AccessibleState[])
Class ArrayList.addAll(java.util.Collection)
Class BeanContextSupport.addAll(java.util.Collection)
Class CompositeName.addAll(javax.naming.Name)
Class CompoundName.addAll(javax.naming.Name)
Class LinkedList.addAll(java.util.Collection)
Class TreeSet.addAll(java.util.Collection)
Class Vector.addAll(java.util.Collection)
Interface Collection.addAll(java.util.Collection)
Interface List.addAll(java.util.Collection)
Interface Name.addAll(javax.naming.Name)
Interface Set.addAll(java.util.Collection)
addAttribute found in:
Class AbstractElement.addAttribute(java.lang.Object, java.lang.Object)
Class AttributedString.addAttribute(java.text.AttributedCharacterIterator.Attribute, java.lang.Object)
Class NamedStyle.addAttribute(java.lang.Object, java.lang.Object)
Class SimpleAttributeSet.addAttribute(java.lang.Object, java.lang.Object)
Class StyleContext.addAttribute(javax.swing.text.AttributeSet, java.lang.Object, java.lang.Object)
Class StyleSheet.addAttribute(javax.swing.text.AttributeSet, java.lang.Object, java.lang.Object)
Interface AttributeContext.addAttribute(javax.swing.text.AttributeSet, java.lang.Object, java.lang.Object)
Interface MutableAttributeSet.addAttribute(java.lang.Object, java.lang.Object)
addAttributes found in:
Class AbstractElement.addAttributes(javax.swing.text.AttributeSet)
Class AttributedString.addAttributes(java.util.Map, int, int)
Class NamedStyle.addAttributes(javax.swing.text.AttributeSet)
Class SimpleAttributeSet.addAttributes(javax.swing.text.AttributeSet)
Class StyleContext.addAttributes(javax.swing.text.AttributeSet, javax.swing.text.AttributeSet)
Class StyleSheet.addAttributes(javax.swing.text.AttributeSet, javax.swing.text.AttributeSet)
Interface AttributeContext.addAttributes(javax.swing.text.AttributeSet, javax.swing.text.AttributeSet)
Interface MutableAttributeSet.addAttributes(javax.swing.text.AttributeSet)
addBatch found in:
Interface PreparedStatement.addBatch()
Interface Statement.addBatch(java.lang.String)
addBeanContextMembershipListener found in:
Class BeanContextSupport.addBeanContextMembershipListener(java.beans.beancontext.BeanContextMembershipListener)
Interface BeanContext.addBeanContextMembershipListener(java.beans.beancontext.BeanContextMembershipListener)
addBeanContextServicesListener found in:
Class BeanContextServicesSupport.addBeanContextServicesListener(java.beans.beancontext.BeanContextServicesListener)
Interface BeanContextServices.addBeanContextServicesListener(java.beans.beancontext.BeanContextServicesListener)
addCellEditorListener found in:
Class AbstractCellEditor.addCellEditorListener(javax.swing.event.CellEditorListener)
Class DefaultTreeCellEditor.addCellEditorListener(javax.swing.event.CellEditorListener)
Interface CellEditor.addCellEditorListener(javax.swing.event.CellEditorListener)
addChangeListener found in:
Class AbstractButton.addChangeListener(javax.swing.event.ChangeListener)
Class DefaultBoundedRangeModel.addChangeListener(javax.swing.event.ChangeListener)
Class DefaultButtonModel.addChangeListener(javax.swing.event.ChangeListener)
Class DefaultCaret.addChangeListener(javax.swing.event.ChangeListener)
Class DefaultColorSelectionModel.addChangeListener(javax.swing.event.ChangeListener)
Class DefaultSingleSelectionModel.addChangeListener(javax.swing.event.ChangeListener)
Class JProgressBar.addChangeListener(javax.swing.event.ChangeListener)
Class JSlider.addChangeListener(javax.swing.event.ChangeListener)
Class JTabbedPane.addChangeListener(javax.swing.event.ChangeListener)
Class JViewport.addChangeListener(javax.swing.event.ChangeListener)
Class MenuSelectionManager.addChangeListener(javax.swing.event.ChangeListener)
Class NamedStyle.addChangeListener(javax.swing.event.ChangeListener)
Class StyleContext.addChangeListener(javax.swing.event.ChangeListener)
Interface BoundedRangeModel.addChangeListener(javax.swing.event.ChangeListener)
Interface ButtonModel.addChangeListener(javax.swing.event.ChangeListener)
Interface Caret.addChangeListener(javax.swing.event.ChangeListener)
Interface ColorSelectionModel.addChangeListener(javax.swing.event.ChangeListener)
Interface SingleSelectionModel.addChangeListener(javax.swing.event.ChangeListener)
Interface Style.addChangeListener(javax.swing.event.ChangeListener)
addClassExclusionFilter found in:
Interface ClassPrepareRequest.addClassExclusionFilter(java.lang.String)
Interface ClassUnloadRequest.addClassExclusionFilter(java.lang.String)
Interface ExceptionRequest.addClassExclusionFilter(java.lang.String)
Interface MethodEntryRequest.addClassExclusionFilter(java.lang.String)
Interface MethodExitRequest.addClassExclusionFilter(java.lang.String)
Interface StepRequest.addClassExclusionFilter(java.lang.String)
Interface WatchpointRequest.addClassExclusionFilter(java.lang.String)
addClassFilter found in:
Interface ClassPrepareRequest.addClassFilter(com.sun.jdi.ReferenceType)
Interface ClassUnloadRequest.addClassFilter(java.lang.String)
Interface ExceptionRequest.addClassFilter(com.sun.jdi.ReferenceType)
Interface MethodEntryRequest.addClassFilter(com.sun.jdi.ReferenceType)
Interface MethodExitRequest.addClassFilter(com.sun.jdi.ReferenceType)
Interface StepRequest.addClassFilter(com.sun.jdi.ReferenceType)
Interface WatchpointRequest.addClassFilter(com.sun.jdi.ReferenceType)
addColumn found in:
Class DefaultTableColumnModel.addColumn(javax.swing.table.TableColumn)
Class DefaultTableModel.addColumn(java.lang.Object)
Class JTable.addColumn(javax.swing.table.TableColumn)
Interface TableColumnModel.addColumn(javax.swing.table.TableColumn)
addColumnModelListener found in:
Class DefaultTableColumnModel.addColumnModelListener(javax.swing.event.TableColumnModelListener)
Interface TableColumnModel.addColumnModelListener(javax.swing.event.TableColumnModelListener)
addConsumer found in:
Class FilteredImageSource.addConsumer(java.awt.image.ImageConsumer)
Class MemoryImageSource.addConsumer(java.awt.image.ImageConsumer)
Class RenderableImageProducer.addConsumer(java.awt.image.ImageConsumer)
Interface ImageProducer.addConsumer(java.awt.image.ImageConsumer)
addDocumentListener found in:
Class AbstractDocument.addDocumentListener(javax.swing.event.DocumentListener)
Class DefaultStyledDocument.addDocumentListener(javax.swing.event.DocumentListener)
Interface Document.addDocumentListener(javax.swing.event.DocumentListener)
addEdit found in:
Class AbstractUndoableEdit.addEdit(javax.swing.undo.UndoableEdit)
Class CompoundEdit.addEdit(javax.swing.undo.UndoableEdit)
Class DefaultDocumentEvent.addEdit(javax.swing.undo.UndoableEdit)
Class UndoManager.addEdit(javax.swing.undo.UndoableEdit)
Interface UndoableEdit.addEdit(javax.swing.undo.UndoableEdit)
addElement found in:
Class DefaultComboBoxModel.addElement(java.lang.Object)
Class DefaultListModel.addElement(java.lang.Object)
Class Vector.addElement(java.lang.Object)
Interface MutableComboBoxModel.addElement(java.lang.Object)


AddEntry found in:
Policy Tool - Policy File Creation and Management Tool
Policy Tool - Policy File Creation and Management Tool


addFocusListener found in:
Class AccessibleAWTComponent.addFocusListener(java.awt.event.FocusListener)
Class AccessibleAWTListChild.addFocusListener(java.awt.event.FocusListener)
Class AccessibleAWTMenuComponent.addFocusListener(java.awt.event.FocusListener)
Class AccessibleJListChild.addFocusListener(java.awt.event.FocusListener)
Class AccessibleJTableCell.addFocusListener(java.awt.event.FocusListener)
Class AccessibleJTableHeaderEntry.addFocusListener(java.awt.event.FocusListener)
Class AccessibleJTreeNode.addFocusListener(java.awt.event.FocusListener)
Class Component.addFocusListener(java.awt.event.FocusListener)
Interface AccessibleComponent.addFocusListener(java.awt.event.FocusListener)
addHighlight found in:
Class DefaultHighlighter.addHighlight(int, int, javax.swing.text.Highlighter.HighlightPainter)
Interface Highlighter.addHighlight(int, int, javax.swing.text.Highlighter.HighlightPainter)
addImpl found in:
Class CellRendererPane.addImpl(java.awt.Component, java.lang.Object, int)
Class Container.addImpl(java.awt.Component, java.lang.Object, int)
Class JApplet.addImpl(java.awt.Component, java.lang.Object, int)
Class JDialog.addImpl(java.awt.Component, java.lang.Object, int)
Class JFrame.addImpl(java.awt.Component, java.lang.Object, int)
Class JInternalFrame.addImpl(java.awt.Component, java.lang.Object, int)
Class JLayeredPane.addImpl(java.awt.Component, java.lang.Object, int)
Class JRootPane.addImpl(java.awt.Component, java.lang.Object, int)
Class JSplitPane.addImpl(java.awt.Component, java.lang.Object, int)
Class JToolBar.addImpl(java.awt.Component, java.lang.Object, int)
Class JViewport.addImpl(java.awt.Component, java.lang.Object, int)
Class JWindow.addImpl(java.awt.Component, java.lang.Object, int)
Class ScrollPane.addImpl(java.awt.Component, java.lang.Object, int)
adding found in:
Editing the font.properites Files
Font Overview
addInputMethodListener found in:
Class Component.addInputMethodListener(java.awt.event.InputMethodListener)
Class JTextComponent.addInputMethodListener(java.awt.event.InputMethodListener)
addItem found in:
Class Choice.addItem(java.lang.String)
Class JComboBox.addItem(java.lang.Object)
Class List.addItem(java.lang.String)
addItemListener found in:
Class AbstractButton.addItemListener(java.awt.event.ItemListener)
Class Checkbox.addItemListener(java.awt.event.ItemListener)
Class CheckboxMenuItem.addItemListener(java.awt.event.ItemListener)
Class Choice.addItemListener(java.awt.event.ItemListener)
Class DefaultButtonModel.addItemListener(java.awt.event.ItemListener)
Class JComboBox.addItemListener(java.awt.event.ItemListener)
Class List.addItemListener(java.awt.event.ItemListener)
Interface ButtonModel.addItemListener(java.awt.event.ItemListener)
Interface ItemSelectable.addItemListener(java.awt.event.ItemListener)
additional found in:
Java 2 SDK File Structure
Java 2 SDK File Structure
Java 2 SDK File Structure


addLayoutComponent found in:
Class BasicHorizontalLayoutManager.addLayoutComponent(java.lang.String, java.awt.Component)
Class BasicScrollBarUI.addLayoutComponent(java.lang.String, java.awt.Component)
Class BorderLayout.addLayoutComponent(java.awt.Component, java.lang.Object)
Class BoxLayout.addLayoutComponent(java.lang.String, java.awt.Component)
Class ButtonAreaLayout.addLayoutComponent(java.lang.String, java.awt.Component)
Class CardLayout.addLayoutComponent(java.awt.Component, java.lang.Object)
Class ComboBoxLayoutManager.addLayoutComponent(java.lang.String, java.awt.Component)
Class DividerLayout.addLayoutComponent(java.lang.String, java.awt.Component)
Class FlowLayout.addLayoutComponent(java.lang.String, java.awt.Component)
Class GridBagLayout.addLayoutComponent(java.lang.String, java.awt.Component)
Class GridLayout.addLayoutComponent(java.lang.String, java.awt.Component)
Class InternalFrameLayout.addLayoutComponent(java.lang.String, java.awt.Component)
Class OverlayLayout.addLayoutComponent(java.lang.String, java.awt.Component)
Class RootLayout.addLayoutComponent(java.lang.String, java.awt.Component)
Class ScrollPaneLayout.addLayoutComponent(java.lang.String, java.awt.Component)
Class TabbedPaneLayout.addLayoutComponent(java.lang.String, java.awt.Component)
Class TitlePaneLayout.addLayoutComponent(java.lang.String, java.awt.Component)
Class ViewportLayout.addLayoutComponent(java.lang.String, java.awt.Component)
Interface LayoutManager.addLayoutComponent(java.lang.String, java.awt.Component)
Interface LayoutManager2.addLayoutComponent(java.awt.Component, java.lang.Object)
addListDataListener found in:
Class AbstractListModel.addListDataListener(javax.swing.event.ListDataListener)
Interface ListModel.addListDataListener(javax.swing.event.ListDataListener)
addListSelectionListener found in:
Class DefaultListSelectionModel.addListSelectionListener(javax.swing.event.ListSelectionListener)
Class JList.addListSelectionListener(javax.swing.event.ListSelectionListener)
Interface ListSelectionModel.addListSelectionListener(javax.swing.event.ListSelectionListener)
addNamingListener found in:
Interface EventContext.addNamingListener(javax.naming.Name, int, javax.naming.event.NamingListener)
Interface EventDirContext.addNamingListener(javax.naming.Name, java.lang.String, javax.naming.directory.SearchControls, javax.naming.event.NamingListener)
addNotify found in:
Class BasicInternalFrameTitlePane.addNotify()
Class Button.addNotify()
Class Canvas.addNotify()
Class Checkbox.addNotify()
Class CheckboxMenuItem.addNotify()
Class Choice.addNotify()
Class Component.addNotify()
Class Container.addNotify()
Class Dialog.addNotify()
Class DropTarget.addNotify(java.awt.peer.ComponentPeer)
Class DropTargetContext.addNotify(java.awt.dnd.peer.DropTargetContextPeer)
Class FileDialog.addNotify()
Class Frame.addNotify()
Class JComponent.addNotify()
Class JMenuBar.addNotify()
Class JRootPane.addNotify()
Class JTable.addNotify()
Class Label.addNotify()
Class List.addNotify()
Class Menu.addNotify()
Class MenuBar.addNotify()
Class MenuItem.addNotify()
Class Panel.addNotify()
Class PopupMenu.addNotify()
Class Scrollbar.addNotify()
Class ScrollPane.addNotify()
Class TextArea.addNotify()
Class TextComponent.addNotify()
Class TextField.addNotify()
Class Window.addNotify()


AddPerm found in:
Policy Tool - Policy File Creation and Management Tool
Policy Tool - Policy File Creation and Management Tool


addPropertyChangeListener found in:
Class AbstractAction.addPropertyChangeListener(java.beans.PropertyChangeListener)
Class AccessibleAWTComponent.addPropertyChangeListener(java.beans.PropertyChangeListener)
Class AccessibleContext.addPropertyChangeListener(java.beans.PropertyChangeListener)
Class AccessibleJComponent.addPropertyChangeListener(java.beans.PropertyChangeListener)
Class AccessibleJListChild.addPropertyChangeListener(java.beans.PropertyChangeListener)
Class AccessibleJTableCell.addPropertyChangeListener(java.beans.PropertyChangeListener)
Class AccessibleJTableHeaderEntry.addPropertyChangeListener(java.beans.PropertyChangeListener)
Class AccessibleJTreeNode.addPropertyChangeListener(java.beans.PropertyChangeListener)
Class BeanContextChildSupport.addPropertyChangeListener(java.lang.String, java.beans.PropertyChangeListener)
Class Component.addPropertyChangeListener(java.beans.PropertyChangeListener)
Class DefaultTreeSelectionModel.addPropertyChangeListener(java.beans.PropertyChangeListener)
Class JComponent.addPropertyChangeListener(java.beans.PropertyChangeListener)
Class PropertyChangeSupport.addPropertyChangeListener(java.beans.PropertyChangeListener)
Class PropertyEditorSupport.addPropertyChangeListener(java.beans.PropertyChangeListener)
Class SwingPropertyChangeSupport.addPropertyChangeListener(java.beans.PropertyChangeListener)
Class TableColumn.addPropertyChangeListener(java.beans.PropertyChangeListener)
Class Toolkit.addPropertyChangeListener(java.lang.String, java.beans.PropertyChangeListener)
Class UIDefaults.addPropertyChangeListener(java.beans.PropertyChangeListener)
Class UIManager.addPropertyChangeListener(java.beans.PropertyChangeListener)
Interface Action.addPropertyChangeListener(java.beans.PropertyChangeListener)
Interface BeanContextChild.addPropertyChangeListener(java.lang.String, java.beans.PropertyChangeListener)
Interface Customizer.addPropertyChangeListener(java.beans.PropertyChangeListener)
Interface PropertyEditor.addPropertyChangeListener(java.beans.PropertyChangeListener)
Interface TreeSelectionModel.addPropertyChangeListener(java.beans.PropertyChangeListener)


addSelectionInterval found in:
Class DefaultListSelectionModel.addSelectionInterval(int, int)
Class JList.addSelectionInterval(int, int)
Class JTree.addSelectionInterval(int, int)
Interface ListSelectionModel.addSelectionInterval(int, int)
addSelectionPath found in:
Class DefaultTreeSelectionModel.addSelectionPath(javax.swing.tree.TreePath)
Class JTree.addSelectionPath(javax.swing.tree.TreePath)
Interface TreeSelectionModel.addSelectionPath(javax.swing.tree.TreePath)
addSelectionPaths found in:
Class DefaultTreeSelectionModel.addSelectionPaths(javax.swing.tree.TreePath[])
Class EmptySelectionModel.addSelectionPaths(javax.swing.tree.TreePath[])
Class JTree.addSelectionPaths(javax.swing.tree.TreePath[])
Interface TreeSelectionModel.addSelectionPaths(javax.swing.tree.TreePath[])
addSeparator found in:
Class JMenu.addSeparator()
Class JPopupMenu.addSeparator()
Class JToolBar.addSeparator()
Class Menu.addSeparator()
addService found in:
Class BeanContextServicesSupport.addService(java.lang.Class, java.beans.beancontext.BeanContextServiceProvider)
Interface BeanContextServices.addService(java.lang.Class, java.beans.beancontext.BeanContextServiceProvider)
addStyle found in:
Class DefaultStyledDocument.addStyle(java.lang.String, javax.swing.text.Style)
Class JTextPane.addStyle(java.lang.String, javax.swing.text.Style)
Class StyleContext.addStyle(java.lang.String, javax.swing.text.Style)
Interface StyledDocument.addStyle(java.lang.String, javax.swing.text.Style)
addSubComponents found in:
Class BasicInternalFrameTitlePane.addSubComponents()
Class MetalInternalFrameTitlePane.addSubComponents()
addSystemMenuItems found in:
Class BasicInternalFrameTitlePane.addSystemMenuItems(javax.swing.JMenu)
Class MetalInternalFrameTitlePane.addSystemMenuItems(javax.swing.JMenu)
addTableModelListener found in:
Class AbstractTableModel.addTableModelListener(javax.swing.event.TableModelListener)
Interface TableModel.addTableModelListener(javax.swing.event.TableModelListener)
addThreadFilter found in:
Interface BreakpointRequest.addThreadFilter(com.sun.jdi.ThreadReference)
Interface ExceptionRequest.addThreadFilter(com.sun.jdi.ThreadReference)
Interface MethodEntryRequest.addThreadFilter(com.sun.jdi.ThreadReference)
Interface MethodExitRequest.addThreadFilter(com.sun.jdi.ThreadReference)
Interface ThreadDeathRequest.addThreadFilter(com.sun.jdi.ThreadReference)
Interface ThreadStartRequest.addThreadFilter(com.sun.jdi.ThreadReference)
Interface WatchpointRequest.addThreadFilter(com.sun.jdi.ThreadReference)
addTileObserver found in:
Class BufferedImage.addTileObserver(java.awt.image.TileObserver)
Interface WritableRenderedImage.addTileObserver(java.awt.image.TileObserver)
addToEnvironment found in:
Class InitialContext.addToEnvironment(java.lang.String, java.lang.Object)
Interface Context.addToEnvironment(java.lang.String, java.lang.Object)
addTreeModelListener found in:
Class DefaultTreeModel.addTreeModelListener(javax.swing.event.TreeModelListener)
Interface TreeModel.addTreeModelListener(javax.swing.event.TreeModelListener)
addTreeSelectionListener found in:
Class DefaultTreeSelectionModel.addTreeSelectionListener(javax.swing.event.TreeSelectionListener)
Class JTree.addTreeSelectionListener(javax.swing.event.TreeSelectionListener)
Interface TreeSelectionModel.addTreeSelectionListener(javax.swing.event.TreeSelectionListener)
addUndoableEditListener found in:
Class AbstractDocument.addUndoableEditListener(javax.swing.event.UndoableEditListener)
Class UndoableEditSupport.addUndoableEditListener(javax.swing.event.UndoableEditListener)
Interface Document.addUndoableEditListener(javax.swing.event.UndoableEditListener)
addVetoableChangeListener found in:
Class BeanContextChildSupport.addVetoableChangeListener(java.lang.String, java.beans.VetoableChangeListener)
Class JComponent.addVetoableChangeListener(java.beans.VetoableChangeListener)
Class VetoableChangeSupport.addVetoableChangeListener(java.beans.VetoableChangeListener)
Interface BeanContextChild.addVetoableChangeListener(java.lang.String, java.beans.VetoableChangeListener)


adjustmentValueChanged found in:
Class AWTEventMulticaster.adjustmentValueChanged(java.awt.event.AdjustmentEvent)
Interface AdjustmentListener.adjustmentValueChanged(java.awt.event.AdjustmentEvent)


adjustRow found in:
Class FlowStrategy.adjustRow(javax.swing.text.FlowView, int, int, int)
Class ParagraphView.adjustRow(javax.swing.text.ParagraphView.Row, int, int)


after found in:
Class Calendar.after(java.lang.Object)
Class Date.after(java.util.Date)
Class Timestamp.after(java.sql.Timestamp)


AlgorithmParameterGenerator found in:
Class AlgorithmParameterGenerator
Java Cryptography Architecture
AlgorithmParameters found in:
Class AlgorithmParameters
Java Cryptography Architecture
AlgorithmParameterSpec found in:
How to Implement a Provider for the Java Cryptography Architecture
Interface AlgorithmParameterSpec
Java Cryptography Architecture


Alignment found in:
Class ParagraphConstants.Alignment
Class StyleConstants.Alignment


ALIGN_CENTER found in:
Class StyleConstants.ALIGN_CENTER
Class TabStop.ALIGN_CENTER
ALIGN_LEFT found in:
Class StyleConstants.ALIGN_LEFT
Class TabStop.ALIGN_LEFT
ALIGN_RIGHT found in:
Class StyleConstants.ALIGN_RIGHT
Class TabStop.ALIGN_RIGHT
All Classes found in:
All Classes
All Classes
All Classes
All Classes
All Classes


allClasses found in:
Interface PackageDoc.allClasses()
Interface VirtualMachine.allClasses()
allKeys found in:
Class ActionMap.allKeys()
Class InputMap.allKeys()
allLineLocations found in:
Interface Method.allLineLocations()
Interface ReferenceType.allLineLocations()


AllPermission found in:
Class AllPermission
Permissions in the Java(TM) 2 SDK


ALT_MASK found in:
Class ActionEvent.ALT_MASK
Class Event.ALT_MASK
Class InputEvent.ALT_MASK


ancestorMoved found in:
Class AWTEventMulticaster.ancestorMoved(java.awt.event.HierarchyEvent)
Class HierarchyBoundsAdapter.ancestorMoved(java.awt.event.HierarchyEvent)
Interface AncestorListener.ancestorMoved(javax.swing.event.AncestorEvent)
Interface HierarchyBoundsListener.ancestorMoved(java.awt.event.HierarchyEvent)
ancestorResized found in:
Class AWTEventMulticaster.ancestorResized(java.awt.event.HierarchyEvent)
Class HierarchyBoundsAdapter.ancestorResized(java.awt.event.HierarchyEvent)
Interface HierarchyBoundsListener.ancestorResized(java.awt.event.HierarchyEvent)


ANCESTOR_MOVED found in:
Class AncestorEvent.ANCESTOR_MOVED
Class HierarchyEvent.ANCESTOR_MOVED


and found in:
Class BigInteger.and(java.math.BigInteger)
Class BitSet.and(java.util.BitSet)
andNot found in:
Class BigInteger.andNot(java.math.BigInteger)
Class BitSet.andNot(java.util.BitSet)


api found in:
Accessibility - New Features
Doclet Overview
Dynamic Proxy Classes
Java Accessibility - Overview
Java(TM) 2 SDK Documentation


API found in:
API
API
API
API
API
API
Guidelines for LDAP Service Providers
JNDI/COS Naming Service Provider
JNDI/LDAP Service Provider
X.509 certificates
API Help found in:
API Help
API Help
API Help
API Help


apisignatures found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


AppA found in:
How to Implement a Provider for the Java Cryptography Architecture
Java Cryptography Architecture
AppB found in:
How to Implement a Provider for the Java Cryptography Architecture
Java Cryptography Architecture


append found in:
Class Book.append(java.awt.print.Printable, java.awt.print.PageFormat)
Class GeneralPath.append(java.awt.Shape, boolean)
Class JTextArea.append(java.lang.String)
Class StringBuffer.append(java.lang.Object)
Class TextArea.append(java.lang.String)
Class View.append(javax.swing.text.View)


appendRemainingComponent found in:
Class NamingException.appendRemainingComponent(java.lang.String)
Class ResolveResult.appendRemainingComponent(java.lang.String)
appendRemainingName found in:
Class NamingException.appendRemainingName(javax.naming.Name)
Class ResolveResult.appendRemainingName(javax.naming.Name)


applet found in:
Accessibility - New Features
Class DTD.applet
Java 2 SDK File Structure
Java 2 SDK File Structure
Java 2 SDK File Structure
New Features
Running the Hello World Application
The "Hello World" Example


APPLET found in:
Class Tag.APPLET
Interface Context.APPLET


applets found in:
Command Line Changes
Command Line Changes


appletviewer - The Java Applet Viewer found in:
appletviewer - The Java Applet Viewer
appletviewer - The Java Applet Viewer


application found in:
Example 2
Example 3
Example 4
The "Hello World" Example


applyLocalizedPattern found in:
Class DecimalFormat.applyLocalizedPattern(java.lang.String)
Class SimpleDateFormat.applyLocalizedPattern(java.lang.String)
applyPattern found in:
Class ChoiceFormat.applyPattern(java.lang.String)
Class DecimalFormat.applyPattern(java.lang.String)
Class MessageFormat.applyPattern(java.lang.String)
Class SimpleDateFormat.applyPattern(java.lang.String)


archeight found in:
Class Double.archeight
Class Float.archeight


arcwidth found in:
Class Double.arcwidth
Class Float.arcwidth


argumentfile found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
arguments found in:
Class Request.arguments()
Class ServerRequest.arguments(org.omg.CORBA.NVList)
Interface Method.arguments()


ARMED found in:
Class AccessibleState.ARMED
Class DefaultButtonModel.ARMED


array found in:
Class Segment.array
Frequently Asked Questions - RMI and Object Serialization


Array found in:
Class Array
Interface Array


asin found in:
Class Math.asin(double)
Class StrictMath.asin(double)
assembleSystemMenu found in:
Class BasicInternalFrameTitlePane.assembleSystemMenu()
Class MetalInternalFrameTitlePane.assembleSystemMenu()


atan found in:
Class Math.atan(double)
Class StrictMath.atan(double)
atan2 found in:
Class Math.atan2(double, double)
Class StrictMath.atan2(double, double)


Attribute found in:
Class Attribute
Class Attribute
Class Attribute
Interface Attribute


Attributes found in:
Class Attributes
Interface Attributes


AudioFormat found in:
Class AudioFormat
Sound Architecture Overview
AudioPermission found in:
Class AudioPermission
Permissions in the Java(TM) 2 SDK


author found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


available found in:
Class AudioInputStream.available()
Class BufferedInputStream.available()
Class ByteArrayInputStream.available()
Class FileInputStream.available()
Class FilterInputStream.available()
Class InflaterInputStream.available()
Class InputStream.available()
Class LineNumberInputStream.available()
Class ObjectInputStream.available()
Class PipedInputStream.available()
Class PushbackInputStream.available()
Class SequenceInputStream.available()
Class SocketImpl.available()
Class StringBufferInputStream.available()
Class ZipInputStream.available()
Interface DataLine.available()
Interface ObjectInput.available()
Java Plug-in
avoidingGui found in:
Class BeanContextSupport.avoidingGui()
Interface Visibility.avoidingGui()
awt found in:
Frequently Asked Questions - RMI and Object Serialization
New Features


AWTPermission found in:
Class AWTPermission
Permissions in the Java(TM) 2 SDK


B found in:
Activating an object that does not extend java.rmi.activation.Activatable
Class MediaType.B
Class Tag.B
Creating an Activatable Remote Object
Making a UnicastRemoteObject Activatable
Using a MarshalledObject to create persistent data


B1 found in:
Activating an object that does not extend java.rmi.activation.Activatable
Class MediaType.B1
Creating an Activatable Remote Object
Making a UnicastRemoteObject Activatable
Using a MarshalledObject to create persistent data


B2 found in:
Activating an object that does not extend java.rmi.activation.Activatable
Class MediaType.B2
Creating an Activatable Remote Object
Making a UnicastRemoteObject Activatable
Using a MarshalledObject to create persistent data
B3 found in:
Activating an object that does not extend java.rmi.activation.Activatable
Class MediaType.B3
Creating an Activatable Remote Object
Making a UnicastRemoteObject Activatable
Using a MarshalledObject to create persistent data
B4 found in:
Activating an object that does not extend java.rmi.activation.Activatable
Class MediaType.B4
Creating an Activatable Remote Object
Making a UnicastRemoteObject Activatable
Using a MarshalledObject to create persistent data
B5 found in:
Activating an object that does not extend java.rmi.activation.Activatable
Class MediaType.B5
Creating an Activatable Remote Object
Making a UnicastRemoteObject Activatable
Using a MarshalledObject to create persistent data
B6 found in:
Activating an object that does not extend java.rmi.activation.Activatable
Class MediaType.B6
Creating an Activatable Remote Object
Making a UnicastRemoteObject Activatable
Using a MarshalledObject to create persistent data
B7 found in:
Activating an object that does not extend java.rmi.activation.Activatable
Class MediaType.B7
Creating an Activatable Remote Object
Making a UnicastRemoteObject Activatable
Using a MarshalledObject to create persistent data


BACKGROUND found in:
Class Attribute.BACKGROUND
Class Attribute.BACKGROUND
Class TextAttribute.BACKGROUND
Background found in:
Class CharacterConstants.Background
Class ColorConstants.Background
Class StyleConstants.Background


bcsPreDeserializationHook found in:
Class BeanContextServicesSupport.bcsPreDeserializationHook(java.io.ObjectInputStream)
Class BeanContextSupport.bcsPreDeserializationHook(java.io.ObjectInputStream)
bcsPreSerializationHook found in:
Class BeanContextServicesSupport.bcsPreSerializationHook(java.io.ObjectOutputStream)
Class BeanContextSupport.bcsPreSerializationHook(java.io.ObjectOutputStream)


before found in:
Class Calendar.before(java.lang.Object)
Class Date.before(java.util.Date)
Class Timestamp.before(java.sql.Timestamp)


beginDraggingFrame found in:
Class DefaultDesktopManager.beginDraggingFrame(javax.swing.JComponent)
Interface DesktopManager.beginDraggingFrame(javax.swing.JComponent)
beginResizingFrame found in:
Class DefaultDesktopManager.beginResizingFrame(javax.swing.JComponent, int)
Interface DesktopManager.beginResizingFrame(javax.swing.JComponent, int)


BidiLevel found in:
Class CharacterConstants.BidiLevel
Class StyleConstants.BidiLevel


binarySearch found in:
Class Arrays.binarySearch(long[], long)
Class Collections.binarySearch(java.util.List, java.lang.Object)
bind found in:
Class DatagramSocketImpl.bind(int, java.net.InetAddress)
Class InitialContext.bind(java.lang.String, java.lang.Object)
Class InitialDirContext.bind(java.lang.String, java.lang.Object, javax.naming.directory.Attributes)
Class Naming.bind(java.lang.String, java.rmi.Remote)
Class SocketImpl.bind(java.net.InetAddress, int)
Class _NamingContextStub.bind(org.omg.CosNaming.NameComponent[], org.omg.CORBA.Object)
Frequently Asked Questions - RMI and Object Serialization
Interface Context.bind(javax.naming.Name, java.lang.Object)
Interface DirContext.bind(javax.naming.Name, java.lang.Object, javax.naming.directory.Attributes)
Interface NamingContextOperations.bind(org.omg.CosNaming.NameComponent[], org.omg.CORBA.Object)
Interface Registry.bind(java.lang.String, java.rmi.Remote)


Binding found in:
Class Binding
Class Binding


bind_context found in:
Class _NamingContextStub.bind_context(org.omg.CosNaming.NameComponent[], org.omg.CosNaming.NamingContext)
Interface NamingContextOperations.bind_context(org.omg.CosNaming.NameComponent[], org.omg.CosNaming.NamingContext)
bind_new_context found in:
Class _NamingContextStub.bind_new_context(org.omg.CosNaming.NameComponent[])
Interface NamingContextOperations.bind_new_context(org.omg.CosNaming.NameComponent[])


Blob found in:
Blob
Interface Blob


Bold found in:
Class CharacterConstants.Bold
Class FontConstants.Bold
Class StyleConstants.Bold


booleanValue found in:
Class Boolean.booleanValue()
Interface BooleanArgument.booleanValue()
Interface PrimitiveValue.booleanValue()


bootclasspath found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
bootcp found in:
Command Line Changes
Command Line Changes


border found in:
Class DefaultTextField.border
Class TitledBorder.border


BORDER found in:
Class Attribute.BORDER
Class Attribute.BORDER


borderInsets found in:
Class ButtonBorder.borderInsets
Class MenuBarBorder.borderInsets
Class MenuItemBorder.borderInsets
Class PopupMenuBorder.borderInsets


borderSelectionColor found in:
Class DefaultTreeCellEditor.borderSelectionColor
Class DefaultTreeCellRenderer.borderSelectionColor


bottom found in:
Class EmptyBorder.bottom
Class Insets.bottom
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


BOTTOM found in:
Class JSplitPane.BOTTOM
Class TitledBorder.BOTTOM
Interface SwingConstants.BOTTOM
BOTTOM_ALIGNMENT found in:
Class Component.BOTTOM_ALIGNMENT
Class GraphicAttribute.BOTTOM_ALIGNMENT
Bounds found in:
Class Bounds
Class Bounds


bounds found in:
Class Component.bounds()
Class Polygon.bounds


breaksFlow found in:
Class Tag.breaksFlow()
Class TagElement.breaksFlow()
breakView found in:
Class GlyphView.breakView(int, int, float, float)
Class ParagraphView.breakView(int, float, java.awt.Shape)
Class View.breakView(int, int, float, float)


buf found in:
Class BufferedInputStream.buf
Class BufferedOutputStream.buf
Class ByteArrayInputStream.buf
Class ByteArrayOutputStream.buf
Class CharArrayReader.buf
Class CharArrayWriter.buf
Class DeflaterOutputStream.buf
Class InflaterInputStream.buf
Class PushbackInputStream.buf
buffer found in:
Class DefaultStyledDocument.buffer
Class PipedInputStream.buffer
Class StringBufferInputStream.buffer


bumps found in:
Class MetalScrollBarUI.bumps
Class ToolBarBorder.bumps


ButtonBorder found in:
Class ButtonBorder
Class ButtonBorder


byteValue found in:
Class Byte.byteValue()
Class Double.byteValue()
Class Float.byteValue()
Class Integer.byteValue()
Class Long.byteValue()
Class Number.byteValue()
Class Short.byteValue()
Interface PrimitiveValue.byteValue()


C found in:
Activating an object that does not extend java.rmi.activation.Activatable
Class MediaType.C
Creating an Activatable Remote Object
Making a UnicastRemoteObject Activatable
Using a MarshalledObject to create persistent data
C-Index found in:
C-Index
C-Index
C1 found in:
Activating an object that does not extend java.rmi.activation.Activatable
Class MediaType.C1
Creating an Activatable Remote Object
Making a UnicastRemoteObject Activatable
Using a MarshalledObject to create persistent data
C2 found in:
Activating an object that does not extend java.rmi.activation.Activatable
Class MediaType.C2
Creating an Activatable Remote Object
Making a UnicastRemoteObject Activatable
Using a MarshalledObject to create persistent data
C3 found in:
Activating an object that does not extend java.rmi.activation.Activatable
Class MediaType.C3
Creating an Activatable Remote Object
Making a UnicastRemoteObject Activatable
Using a MarshalledObject to create persistent data
C4 found in:
Activating an object that does not extend java.rmi.activation.Activatable
Class MediaType.C4
Creating an Activatable Remote Object
Making a UnicastRemoteObject Activatable
Using a MarshalledObject to create persistent data
C5 found in:
Activating an object that does not extend java.rmi.activation.Activatable
Class MediaType.C5
Creating an Activatable Remote Object
Making a UnicastRemoteObject Activatable
Using a MarshalledObject to create persistent data
C6 found in:
Activating an object that does not extend java.rmi.activation.Activatable
Class MediaType.C6
Creating an Activatable Remote Object
Making a UnicastRemoteObject Activatable
Using a MarshalledObject to create persistent data


calculateMajorAxisRequirements found in:
Class BlockView.calculateMajorAxisRequirements(int, javax.swing.SizeRequirements)
Class BoxView.calculateMajorAxisRequirements(int, javax.swing.SizeRequirements)
calculateMaxTabHeight found in:
Class BasicTabbedPaneUI.calculateMaxTabHeight(int)
Class MetalTabbedPaneUI.calculateMaxTabHeight(int)
calculateMinorAxisRequirements found in:
Class BlockView.calculateMinorAxisRequirements(int, javax.swing.SizeRequirements)
Class BoxView.calculateMinorAxisRequirements(int, javax.swing.SizeRequirements)
Class FlowView.calculateMinorAxisRequirements(int, javax.swing.SizeRequirements)
Class ParagraphView.calculateMinorAxisRequirements(int, javax.swing.SizeRequirements)
Class TableView.calculateMinorAxisRequirements(int, javax.swing.SizeRequirements)


CallableStatement found in:
CallableStatement
Interface CallableStatement


cancel found in:
Class PrinterJob.cancel()
Class Timer.cancel()
Class TimerTask.cancel()
Interface Statement.cancel()
cancelCellEditing found in:
Class AbstractCellEditor.cancelCellEditing()
Class DefaultCellEditor.cancelCellEditing()
Class DefaultTreeCellEditor.cancelCellEditing()
Class EditorDelegate.cancelCellEditing()
Interface CellEditor.cancelCellEditing()
cancelEditing found in:
Class BasicTreeUI.cancelEditing(javax.swing.JTree)
Class JTree.cancelEditing()
Class MultiTreeUI.cancelEditing(javax.swing.JTree)
Class TreeUI.cancelEditing(javax.swing.JTree)
cancelLatestCommittedText found in:
Class ActiveClient.cancelLatestCommittedText(java.text.AttributedCharacterIterator.Attribute[])
Interface InputMethodRequests.cancelLatestCommittedText(java.text.AttributedCharacterIterator.Attribute[])


CANCEL_OPTION found in:
Class JFileChooser.CANCEL_OPTION
Class JOptionPane.CANCEL_OPTION


canRedo found in:
Class AbstractUndoableEdit.canRedo()
Class CompoundEdit.canRedo()
Class UndoManager.canRedo()
Interface UndoableEdit.canRedo()
canUndo found in:
Class AbstractUndoableEdit.canUndo()
Class CompoundEdit.canUndo()
Class UndoManager.canUndo()
Interface UndoableEdit.canUndo()


capacity found in:
Class DefaultListModel.capacity()
Class StringBuffer.capacity()
Class Vector.capacity()


caretPositionChanged found in:
Class ActiveClient.caretPositionChanged(java.awt.event.InputMethodEvent)
Class AWTEventMulticaster.caretPositionChanged(java.awt.event.InputMethodEvent)
Interface InputMethodListener.caretPositionChanged(java.awt.event.InputMethodEvent)
caretUpdate found in:
Class AccessibleJTextComponent.caretUpdate(javax.swing.event.CaretEvent)
Interface CaretListener.caretUpdate(javax.swing.event.CaretEvent)


ceil found in:
Class Math.ceil(double)
Class StrictMath.ceil(double)
cellEditor found in:
Class BasicTreeUI.cellEditor
Class JTable.cellEditor
Class JTree.cellEditor
Class TableColumn.cellEditor


cellRenderer found in:
Class JTree.cellRenderer
Class TableColumn.cellRenderer


CELL_RENDERER_PROPERTY found in:
Class JTree.CELL_RENDERER_PROPERTY
Class TableColumn.CELL_RENDERER_PROPERTY
CENATT found in:
Class ZipEntry.CENATT
Class ZipFile.CENATT
Class ZipInputStream.CENATT
Class ZipOutputStream.CENATT
CENATX found in:
Class ZipEntry.CENATX
Class ZipFile.CENATX
Class ZipInputStream.CENATX
Class ZipOutputStream.CENATX
CENCOM found in:
Class ZipEntry.CENCOM
Class ZipFile.CENCOM
Class ZipInputStream.CENCOM
Class ZipOutputStream.CENCOM
CENCRC found in:
Class ZipEntry.CENCRC
Class ZipFile.CENCRC
Class ZipInputStream.CENCRC
Class ZipOutputStream.CENCRC
CENDSK found in:
Class ZipEntry.CENDSK
Class ZipFile.CENDSK
Class ZipInputStream.CENDSK
Class ZipOutputStream.CENDSK
CENEXT found in:
Class ZipEntry.CENEXT
Class ZipFile.CENEXT
Class ZipInputStream.CENEXT
Class ZipOutputStream.CENEXT
CENFLG found in:
Class ZipEntry.CENFLG
Class ZipFile.CENFLG
Class ZipInputStream.CENFLG
Class ZipOutputStream.CENFLG
CENHDR found in:
Class ZipEntry.CENHDR
Class ZipFile.CENHDR
Class ZipInputStream.CENHDR
Class ZipOutputStream.CENHDR
CENHOW found in:
Class ZipEntry.CENHOW
Class ZipFile.CENHOW
Class ZipInputStream.CENHOW
Class ZipOutputStream.CENHOW
CENLEN found in:
Class ZipEntry.CENLEN
Class ZipFile.CENLEN
Class ZipInputStream.CENLEN
Class ZipOutputStream.CENLEN
CENNAM found in:
Class ZipEntry.CENNAM
Class ZipFile.CENNAM
Class ZipInputStream.CENNAM
Class ZipOutputStream.CENNAM
CENOFF found in:
Class ZipEntry.CENOFF
Class ZipFile.CENOFF
Class ZipInputStream.CENOFF
Class ZipOutputStream.CENOFF
CENSIG found in:
Class ZipEntry.CENSIG
Class ZipFile.CENSIG
Class ZipInputStream.CENSIG
Class ZipOutputStream.CENSIG
CENSIZ found in:
Class ZipEntry.CENSIZ
Class ZipFile.CENSIZ
Class ZipInputStream.CENSIZ
Class ZipOutputStream.CENSIZ
CENTER found in:
Class BorderLayout.CENTER
Class FlowLayout.CENTER
Class GridBagConstraints.CENTER
Class Label.CENTER
Class Tag.CENTER
Class TitledBorder.CENTER
Interface SwingConstants.CENTER


CENTER_BASELINE found in:
Class Font.CENTER_BASELINE
Class GraphicAttribute.CENTER_BASELINE
CENTIM found in:
Class ZipEntry.CENTIM
Class ZipFile.CENTIM
Class ZipInputStream.CENTIM
Class ZipOutputStream.CENTIM
CENVEM found in:
Class ZipEntry.CENVEM
Class ZipFile.CENVEM
Class ZipInputStream.CENVEM
Class ZipOutputStream.CENVEM
CENVER found in:
Class ZipEntry.CENVER
Class ZipFile.CENVER
Class ZipInputStream.CENVER
Class ZipOutputStream.CENVER
CertChains found in:
keytool-Key and Certificate Management Tool
keytool-Key and Certificate Management Tool
Certificate found in:
Class Certificate
Interface Certificate
CertificateFactory found in:
Class CertificateFactory
Java Cryptography Architecture
CertificateGeneration found in:
keytool-Key and Certificate Management Tool
keytool-Key and Certificate Management Tool
Certificates found in:
keytool-Key and Certificate Management Tool
keytool-Key and Certificate Management Tool


certreqCmd found in:
keytool-Key and Certificate Management Tool
keytool-Key and Certificate Management Tool


Change History found in:
Change History
Change History


changedUpdate found in:
Class AccessibleJTextComponent.changedUpdate(javax.swing.event.DocumentEvent)
Class BlockView.changedUpdate(javax.swing.event.DocumentEvent, java.awt.Shape, javax.swing.text.ViewFactory)
Class FlowStrategy.changedUpdate(javax.swing.text.FlowView, javax.swing.event.DocumentEvent, java.awt.Rectangle)
Class FlowView.changedUpdate(javax.swing.event.DocumentEvent, java.awt.Shape, javax.swing.text.ViewFactory)
Class GlyphView.changedUpdate(javax.swing.event.DocumentEvent, java.awt.Shape, javax.swing.text.ViewFactory)
Class InlineView.changedUpdate(javax.swing.event.DocumentEvent, java.awt.Shape, javax.swing.text.ViewFactory)
Class LabelView.changedUpdate(javax.swing.event.DocumentEvent, java.awt.Shape, javax.swing.text.ViewFactory)
Class ParagraphView.changedUpdate(javax.swing.event.DocumentEvent, java.awt.Shape, javax.swing.text.ViewFactory)
Class PlainView.changedUpdate(javax.swing.event.DocumentEvent, java.awt.Shape, javax.swing.text.ViewFactory)
Class View.changedUpdate(javax.swing.event.DocumentEvent, java.awt.Shape, javax.swing.text.ViewFactory)
Class WrappedPlainView.changedUpdate(javax.swing.event.DocumentEvent, java.awt.Shape, javax.swing.text.ViewFactory)
Interface DocumentListener.changedUpdate(javax.swing.event.DocumentEvent)


changeEvent found in:
Class AbstractButton.changeEvent
Class AbstractCellEditor.changeEvent
Class DefaultBoundedRangeModel.changeEvent
Class DefaultButtonModel.changeEvent
Class DefaultCaret.changeEvent
Class DefaultColorSelectionModel.changeEvent
Class DefaultSingleSelectionModel.changeEvent
Class DefaultTableColumnModel.changeEvent
Class JProgressBar.changeEvent
Class JSlider.changeEvent
Class JTabbedPane.changeEvent
Class MenuSelectionManager.changeEvent
Class NamedStyle.changeEvent


ChangeHandler found in:
Class ChangeHandler
Class ChangeHandler
Class ChangeHandler


changeHighlight found in:
Class DefaultHighlighter.changeHighlight(java.lang.Object, int, int)
Interface Highlighter.changeHighlight(java.lang.Object, int, int)


changeListener found in:
Class AbstractButton.changeListener
Class BasicMenuBarUI.changeListener
Class BasicMenuUI.changeListener
Class BasicProgressBarUI.changeListener
Class BasicSliderUI.changeListener
Class JProgressBar.changeListener
Class JSlider.changeListener
Class JTabbedPane.changeListener


changeSupport found in:
Class AbstractAction.changeSupport
Class DefaultTreeSelectionModel.changeSupport


channel found in:
Class VoiceStatus.channel
Java(tm) Platform Debugger Architecture


charAt found in:
Class String.charAt(int)
Class StringBuffer.charAt(int)


charset found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


charValue found in:
Class Character.charValue()
Interface PrimitiveValue.charValue()


checkAccess found in:
Class SecurityManager.checkAccess(java.lang.Thread)
Class Thread.checkAccess()
Class ThreadGroup.checkAccess()


CHECKED found in:
Class AccessibleState.CHECKED
Class Attribute.CHECKED


checkError found in:
Class PrintStream.checkError()
Class PrintWriter.checkError()
checkGuard found in:
Class Permission.checkGuard(java.lang.Object)
Interface Guard.checkGuard(java.lang.Object)
checkHorizontalKey found in:
Class AbstractButton.checkHorizontalKey(int, java.lang.String)
Class JLabel.checkHorizontalKey(int, java.lang.String)
checkImage found in:
Class Component.checkImage(java.awt.Image, java.awt.image.ImageObserver)
Class Toolkit.checkImage(java.awt.Image, int, int, java.awt.image.ImageObserver)
checkPermission found in:
Class AccessControlContext.checkPermission(java.security.Permission)
Class AccessController.checkPermission(java.security.Permission)
Class SecurityManager.checkPermission(java.security.Permission)
Interface Acl.checkPermission(java.security.Principal, java.security.acl.Permission)
Interface AclEntry.checkPermission(java.security.acl.Permission)


checkVerticalKey found in:
Class AbstractButton.checkVerticalKey(int, java.lang.String)
Class JLabel.checkVerticalKey(int, java.lang.String)


childAllocation found in:
Class BoxView.childAllocation(int, java.awt.Rectangle)
Class CompositeView.childAllocation(int, java.awt.Rectangle)
childJustRemovedHook found in:
Class BeanContextServicesSupport.childJustRemovedHook(java.lang.Object, java.beans.beancontext.BeanContextSupport.BCSChild)
Class BeanContextSupport.childJustRemovedHook(java.lang.Object, java.beans.beancontext.BeanContextSupport.BCSChild)


children found in:
Class AbstractElement.children()
Class BeanContextMembershipEvent.children
Class BeanContextSupport.children
Class BranchElement.children()
Class DefaultMutableTreeNode.children
Class DynamicUtilTreeNode.children()
Class LeafElement.children()
Class TreeModelEvent.children
Interface TreeNode.children()


childValue found in:
Class DynamicUtilTreeNode.childValue
Class InheritableThreadLocal.childValue(java.lang.Object)


choices found in:
Class DriverPropertyInfo.choices
Interface SelectedArgument.choices()


class found in:
Developing a Client Applet
Developing a Client Application
Developing the Hello World Server
Java(tm) Virtual Machine Debug Interface Reference


classexample found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


className found in:
Class ClassNotLoadedException.className()
Class Reference.className
Interface ClassUnloadEvent.className()


classpath found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
classpathenvironment found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


classtags found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


clear found in:
Class AbstractCollection.clear()
Class AbstractList.clear()
Class AbstractMap.clear()
Class AccessibleRelationSet.clear()
Class AccessibleStateSet.clear()
Class ActionMap.clear()
Class ArrayList.clear()
Class Attributes.clear()
Class BasicAttribute.clear()
Class BeanContextSupport.clear()
Class BitSet.clear(int)
Class Calendar.clear()
Class ComponentInputMap.clear()
Class DefaultListModel.clear()
Class Environment.clear()
Class HashMap.clear()
Class HashSet.clear()
Class Hashtable.clear()
Class InputMap.clear()
Class LinkedList.clear()
Class List.clear()
Class Manifest.clear()
Class Provider.clear()
Class Reference.clear()
Class Reference.clear()
Class RenderingHints.clear()
Class TreeMap.clear()
Class TreeSet.clear()
Class Vector.clear()
Class WeakHashMap.clear()
Interface Attribute.clear()
Interface Collection.clear()
Interface List.clear()
Interface Map.clear()
Interface Set.clear()


CLEAR found in:
Class AlphaComposite.CLEAR
Class Attribute.CLEAR
Class Attribute.CLEAR


clearAccessibleSelection found in:
Class AccessibleAWTList.clearAccessibleSelection()
Class AccessibleAWTMenuComponent.clearAccessibleSelection()
Class AccessibleJComboBox.clearAccessibleSelection()
Class AccessibleJList.clearAccessibleSelection()
Class AccessibleJMenu.clearAccessibleSelection()
Class AccessibleJMenuBar.clearAccessibleSelection()
Class AccessibleJTabbedPane.clearAccessibleSelection()
Class AccessibleJTable.clearAccessibleSelection()
Class AccessibleJTree.clearAccessibleSelection()
Class AccessibleJTreeNode.clearAccessibleSelection()
Interface AccessibleSelection.clearAccessibleSelection()


clearIconCache found in:
Class BasicFileChooserUI.clearIconCache()
Class BasicFileView.clearIconCache()
clearRect found in:
Class DebugGraphics.clearRect(int, int, int, int)
Class Graphics.clearRect(int, int, int, int)
clearSelection found in:
Class DefaultListSelectionModel.clearSelection()
Class DefaultSingleSelectionModel.clearSelection()
Class DefaultTreeSelectionModel.clearSelection()
Class JList.clearSelection()
Class JTable.clearSelection()
Class JTree.clearSelection()
Interface ListSelectionModel.clearSelection()
Interface SingleSelectionModel.clearSelection()
Interface TreeSelectionModel.clearSelection()
clearWarnings found in:
Interface Connection.clearWarnings()
Interface ResultSet.clearWarnings()
Interface Statement.clearWarnings()
client found in:
Distributed Application Concepts
Glossary
Java HotSpot(TM) Client and Server Virtual Machines


clipRect found in:
Class DebugGraphics.clipRect(int, int, int, int)
Class Graphics.clipRect(int, int, int, int)


Clob found in:
Clob
Interface Clob


clone found in:
Class AbstractAction.clone()
Class AffineTransform.clone()
Class Area.clone()
Class ArrayList.clone()
Class Attributes.clone()
Class BasicAttribute.clone()
Class BasicAttributes.clone()
Class BitSet.clone()
Class BreakIterator.clone()
Class Calendar.clone()
Class ChoiceFormat.clone()
Class Collator.clone()
Class CompositeName.clone()
Class CompoundName.clone()
Class CubicCurve2D.clone()
Class DataFlavor.clone()
Class Date.clone()
Class DateFormat.clone()
Class DateFormatSymbols.clone()
Class DecimalFormat.clone()
Class DecimalFormatSymbols.clone()
Class DefaultListSelectionModel.clone()
Class DefaultMutableTreeNode.clone()
Class DefaultTreeSelectionModel.clone()
Class Dimension2D.clone()
Class EditorKit.clone()
Class ElementBuffer.clone(javax.swing.text.Element, javax.swing.text.Element)
Class ElementIterator.clone()
Class Format.clone()
Class GeneralPath.clone()
Class GlyphView.clone()
Class GridBagConstraints.clone()
Class HashMap.clone()
Class HashSet.clone()
Class Hashtable.clone()
Class HTMLEditorKit.clone()
Class ImageFilter.clone()
Class Insets.clone()
Class JobAttributes.clone()
Class Kernel.clone()
Class Line2D.clone()
Class LinkedList.clone()
Class Locale.clone()
Class Manifest.clone()
Class MessageDigest.clone()
Class MessageDigestSpi.clone()
Class MessageFormat.clone()
Class MetaMessage.clone()
Class MidiMessage.clone()
Class NumberFormat.clone()
Class Object.clone()
Class PageAttributes.clone()
Class PageFormat.clone()
Class Paper.clone()
Class ParameterBlock.clone()
Class Point2D.clone()
Class QuadCurve2D.clone()
Class RectangularShape.clone()
Class Reference.clone()
Class RenderContext.clone()
Class RenderingHints.clone()
Class RTFEditorKit.clone()
Class RuleBasedCollator.clone()
Class Segment.clone()
Class ShortMessage.clone()
Class Signature.clone()
Class SignatureSpi.clone()
Class SimpleAttributeSet.clone()
Class SimpleDateFormat.clone()
Class SimpleTimeZone.clone()
Class SmallAttributeSet.clone()
Class StringCharacterIterator.clone()
Class StyledEditorKit.clone()
Class SysexMessage.clone()
Class TextLayout.clone()
Class TimeZone.clone()
Class TreeMap.clone()
Class TreeSet.clone()
Class UnicastRemoteObject.clone()
Class Vector.clone()
Class ZipEntry.clone()
Interface AclEntry.clone()
Interface Attribute.clone()
Interface Attributes.clone()
Interface CharacterIterator.clone()
Interface JPEGDecodeParam.clone()
Interface JPEGEncodeParam.clone()
Interface Name.clone()


close found in:
Class AudioInputStream.close()
Class BufferedInputStream.close()
Class BufferedReader.close()
Class BufferedWriter.close()
Class ByteArrayInputStream.close()
Class ByteArrayOutputStream.close()
Class CharArrayReader.close()
Class CharArrayWriter.close()
Class DatagramSocket.close()
Class DatagramSocketImpl.close()
Class DeflaterOutputStream.close()
Class FileInputStream.close()
Class FileOutputStream.close()
Class FilterInputStream.close()
Class FilterOutputStream.close()
Class FilterReader.close()
Class FilterWriter.close()
Class GZIPInputStream.close()
Class GZIPOutputStream.close()
Class InflaterInputStream.close()
Class InitialContext.close()
Class InputStream.close()
Class InputStreamReader.close()
Class ObjectInputStream.close()
Class ObjectOutputStream.close()
Class OutputStream.close()
Class OutputStreamWriter.close()
Class PipedInputStream.close()
Class PipedOutputStream.close()
Class PipedReader.close()
Class PipedWriter.close()
Class PrintStream.close()
Class PrintWriter.close()
Class ProgressMonitor.close()
Class ProgressMonitorInputStream.close()
Class PushbackInputStream.close()
Class PushbackReader.close()
Class RandomAccessFile.close()
Class Reader.close()
Class SequenceInputStream.close()
Class ServerSocket.close()
Class Socket.close()
Class SocketImpl.close()
Class StringReader.close()
Class StringWriter.close()
Class Writer.close()
Class ZipFile.close()
Class ZipInputStream.close()
Class ZipOutputStream.close()
Interface Connection.close()
Interface Context.close()
Interface Line.close()
Interface MidiDevice.close()
Interface NamingEnumeration.close()
Interface ObjectInput.close()
Interface ObjectOutput.close()
Interface Receiver.close()
Interface ResultSet.close()
Interface Statement.close()
Interface Transmitter.close()


CloseAction found in:
Class CloseAction
Class CloseAction


closeEntry found in:
Class ZipInputStream.closeEntry()
Class ZipOutputStream.closeEntry()
closeFrame found in:
Class BasicInternalFrameUI.closeFrame(javax.swing.JInternalFrame)
Class DefaultDesktopManager.closeFrame(javax.swing.JInternalFrame)
Interface DesktopManager.closeFrame(javax.swing.JInternalFrame)


clspath found in:
Command Line Changes
Command Line Changes


CODE found in:
Class Attribute.CODE
Class Tag.CODE


coerceData found in:
Class BufferedImage.coerceData(boolean)
Class ColorModel.coerceData(java.awt.image.WritableRaster, boolean)
Class ComponentColorModel.coerceData(java.awt.image.WritableRaster, boolean)
Class DirectColorModel.coerceData(java.awt.image.WritableRaster, boolean)


collections found in:
Enhancements in java.lang and java.util.*
New Features


COLOR found in:
Class Attribute.COLOR
Class Attribute.COLOR
Class ColorType.COLOR


columnAdded found in:
Class AccessibleJTable.columnAdded(javax.swing.event.TableColumnModelEvent)
Class JTable.columnAdded(javax.swing.event.TableColumnModelEvent)
Class JTableHeader.columnAdded(javax.swing.event.TableColumnModelEvent)
Interface TableColumnModelListener.columnAdded(javax.swing.event.TableColumnModelEvent)
columnAtPoint found in:
Class JTable.columnAtPoint(java.awt.Point)
Class JTableHeader.columnAtPoint(java.awt.Point)
columnMarginChanged found in:
Class AccessibleJTable.columnMarginChanged(javax.swing.event.ChangeEvent)
Class JTable.columnMarginChanged(javax.swing.event.ChangeEvent)
Class JTableHeader.columnMarginChanged(javax.swing.event.ChangeEvent)
Interface TableColumnModelListener.columnMarginChanged(javax.swing.event.ChangeEvent)
columnModel found in:
Class JTable.columnModel
Class JTableHeader.columnModel
columnMoved found in:
Class AccessibleJTable.columnMoved(javax.swing.event.TableColumnModelEvent)
Class JTable.columnMoved(javax.swing.event.TableColumnModelEvent)
Class JTableHeader.columnMoved(javax.swing.event.TableColumnModelEvent)
Interface TableColumnModelListener.columnMoved(javax.swing.event.TableColumnModelEvent)
columnNoNulls found in:
Interface DatabaseMetaData.columnNoNulls
Interface ResultSetMetaData.columnNoNulls
columnNullable found in:
Interface DatabaseMetaData.columnNullable
Interface ResultSetMetaData.columnNullable
columnNullableUnknown found in:
Interface DatabaseMetaData.columnNullableUnknown
Interface ResultSetMetaData.columnNullableUnknown
columnRemoved found in:
Class AccessibleJTable.columnRemoved(javax.swing.event.TableColumnModelEvent)
Class JTable.columnRemoved(javax.swing.event.TableColumnModelEvent)
Class JTableHeader.columnRemoved(javax.swing.event.TableColumnModelEvent)
Interface TableColumnModelListener.columnRemoved(javax.swing.event.TableColumnModelEvent)
columnSelectionChanged found in:
Class AccessibleJTable.columnSelectionChanged(javax.swing.event.ListSelectionEvent)
Class JTable.columnSelectionChanged(javax.swing.event.ListSelectionEvent)
Class JTableHeader.columnSelectionChanged(javax.swing.event.ListSelectionEvent)
Interface TableColumnModelListener.columnSelectionChanged(javax.swing.event.ListSelectionEvent)


COLUMN_HEADER found in:
Class AccessibleRole.COLUMN_HEADER
Interface ScrollPaneConstants.COLUMN_HEADER


com.sun.image.codec.jpeg found in:
Uses of Class com.sun.image.codec.jpeg.ImageFormatException
Uses of Class com.sun.image.codec.jpeg.JPEGHuffmanTable
Uses of Class com.sun.image.codec.jpeg.JPEGQTable
Uses of Interface com.sun.image.codec.jpeg.JPEGDecodeParam
Uses of Interface com.sun.image.codec.jpeg.JPEGEncodeParam
Uses of Interface com.sun.image.codec.jpeg.JPEGImageDecoder
Uses of Interface com.sun.image.codec.jpeg.JPEGImageEncoder
com.sun.jdi found in:
Uses of Class com.sun.jdi.AbsentInformationException
Uses of Class com.sun.jdi.ClassNotLoadedException
Uses of Class com.sun.jdi.IncompatibleThreadStateException
Uses of Class com.sun.jdi.InvalidTypeException
Uses of Class com.sun.jdi.InvocationException
Uses of Interface com.sun.jdi.Accessible
Uses of Interface com.sun.jdi.ArrayReference
Uses of Interface com.sun.jdi.BooleanValue
Uses of Interface com.sun.jdi.ByteValue
Uses of Interface com.sun.jdi.CharValue
Uses of Interface com.sun.jdi.ClassLoaderReference
Uses of Interface com.sun.jdi.ClassObjectReference
Uses of Interface com.sun.jdi.ClassType
Uses of Interface com.sun.jdi.connect.LaunchingConnector
Uses of Interface com.sun.jdi.DoubleValue
Uses of Interface com.sun.jdi.event.EventQueue
Uses of Interface com.sun.jdi.Field
Uses of Interface com.sun.jdi.FloatValue
Uses of Interface com.sun.jdi.IntegerValue
Uses of Interface com.sun.jdi.LocalVariable
Uses of Interface com.sun.jdi.Locatable
Uses of Interface com.sun.jdi.Location
Uses of Interface com.sun.jdi.LongValue
Uses of Interface com.sun.jdi.Method
Uses of Interface com.sun.jdi.Mirror
Uses of Interface com.sun.jdi.ObjectReference
Uses of Interface com.sun.jdi.PrimitiveType
Uses of Interface com.sun.jdi.PrimitiveValue
Uses of Interface com.sun.jdi.ReferenceType
Uses of Interface com.sun.jdi.request.EventRequestManager
Uses of Interface com.sun.jdi.ShortValue
Uses of Interface com.sun.jdi.StackFrame
Uses of Interface com.sun.jdi.StringReference
Uses of Interface com.sun.jdi.ThreadGroupReference
Uses of Interface com.sun.jdi.ThreadReference
Uses of Interface com.sun.jdi.Type
Uses of Interface com.sun.jdi.TypeComponent
Uses of Interface com.sun.jdi.Value
Uses of Interface com.sun.jdi.VirtualMachine
Uses of Interface com.sun.jdi.VirtualMachineManager
com.sun.jdi.connect found in:
Uses of Class com.sun.jdi.connect.IllegalConnectorArgumentsException
Uses of Class com.sun.jdi.connect.VMStartException
Uses of Interface com.sun.jdi.connect.Connector
Uses of Interface com.sun.jdi.connect.Connector.Argument
Uses of Interface com.sun.jdi.connect.Transport
Uses of Interface com.sun.jdi.VirtualMachine
com.sun.jdi.event found in:
Uses of Interface com.sun.jdi.event.Event
Uses of Interface com.sun.jdi.event.EventIterator
Uses of Interface com.sun.jdi.event.EventSet
Uses of Interface com.sun.jdi.event.LocatableEvent
Uses of Interface com.sun.jdi.event.WatchpointEvent
Uses of Interface com.sun.jdi.Field
Uses of Interface com.sun.jdi.Locatable
Uses of Interface com.sun.jdi.Location
Uses of Interface com.sun.jdi.Method
Uses of Interface com.sun.jdi.Mirror
Uses of Interface com.sun.jdi.ObjectReference
Uses of Interface com.sun.jdi.ReferenceType
Uses of Interface com.sun.jdi.request.EventRequest
Uses of Interface com.sun.jdi.ThreadReference
Uses of Interface com.sun.jdi.Value
com.sun.jdi.request found in:
Uses of Interface com.sun.jdi.Field
Uses of Interface com.sun.jdi.Locatable
Uses of Interface com.sun.jdi.Location
Uses of Interface com.sun.jdi.Mirror
Uses of Interface com.sun.jdi.ReferenceType
Uses of Interface com.sun.jdi.request.AccessWatchpointRequest
Uses of Interface com.sun.jdi.request.BreakpointRequest
Uses of Interface com.sun.jdi.request.ClassPrepareRequest
Uses of Interface com.sun.jdi.request.ClassUnloadRequest
Uses of Interface com.sun.jdi.request.EventRequest
Uses of Interface com.sun.jdi.request.ExceptionRequest
Uses of Interface com.sun.jdi.request.MethodEntryRequest
Uses of Interface com.sun.jdi.request.MethodExitRequest
Uses of Interface com.sun.jdi.request.ModificationWatchpointRequest
Uses of Interface com.sun.jdi.request.StepRequest
Uses of Interface com.sun.jdi.request.ThreadDeathRequest
Uses of Interface com.sun.jdi.request.ThreadStartRequest
Uses of Interface com.sun.jdi.request.WatchpointRequest
Uses of Interface com.sun.jdi.ThreadReference


comboBox found in:
Class BasicComboBoxUI.comboBox
Class BasicComboPopup.comboBox
Class MetalComboBoxButton.comboBox


Command Line Changes found in:
Command Line Changes
Command Line Changes


commandlineargfile found in:
javac - Java programming language compiler
javac - Java programming language compiler
commandlineexample found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


CommandNotes found in:
keytool-Key and Certificate Management Tool
keytool-Key and Certificate Management Tool
Commands found in:
keytool-Key and Certificate Management Tool
keytool-Key and Certificate Management Tool
COMMENT found in:
Class Attribute.COMMENT
Class Tag.COMMENT


comments found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


comparator found in:
Class TreeMap.comparator()
Class TreeSet.comparator()
Interface SortedMap.comparator()
Interface SortedSet.comparator()
compare found in:
Class Collator.compare(java.lang.String, java.lang.String)
Class RuleBasedCollator.compare(java.lang.String, java.lang.String)
Interface Comparator.compare(java.lang.Object, java.lang.Object)
compareTo found in:
Class BigDecimal.compareTo(java.math.BigDecimal)
Class BigInteger.compareTo(java.math.BigInteger)
Class Byte.compareTo(java.lang.Byte)
Class Character.compareTo(java.lang.Character)
Class CollationKey.compareTo(java.text.CollationKey)
Class CompositeName.compareTo(java.lang.Object)
Class CompoundName.compareTo(java.lang.Object)
Class Date.compareTo(java.util.Date)
Class Double.compareTo(java.lang.Double)
Class File.compareTo(java.io.File)
Class Float.compareTo(java.lang.Float)
Class Integer.compareTo(java.lang.Integer)
Class Long.compareTo(java.lang.Long)
Class ObjectStreamField.compareTo(java.lang.Object)
Class Short.compareTo(java.lang.Short)
Class String.compareTo(java.lang.String)
Interface Comparable.compareTo(java.lang.Object)
Interface Doc.compareTo(java.lang.Object)
Interface Name.compareTo(java.lang.Object)
Interface SerialFieldTag.compareTo(java.lang.Object)
compile found in:
Developing a Client Applet
Developing a Client Application
Developing the Hello World Server
Using Stringified Object References
compile&run found in:
Developing a Client Applet
Using Stringified Object References


component found in:
Class DragGestureRecognizer.component
Class ImageIcon.component


Component found in:
Class Component
Component


componentAdded found in:
Class AccessibleContainerHandler.componentAdded(java.awt.event.ContainerEvent)
Class AccessibleContainerHandler.componentAdded(java.awt.event.ContainerEvent)
Class AWTEventMulticaster.componentAdded(java.awt.event.ContainerEvent)
Class ContainerAdapter.componentAdded(java.awt.event.ContainerEvent)
Class MetalContainerListener.componentAdded(java.awt.event.ContainerEvent)
Class ToolBarContListener.componentAdded(java.awt.event.ContainerEvent)
Interface ContainerListener.componentAdded(java.awt.event.ContainerEvent)


ComponentAttribute found in:
Class CharacterConstants.ComponentAttribute
Class StyleConstants.ComponentAttribute


ComponentHandler found in:
Class ComponentHandler
Class ComponentHandler
Class ComponentHandler


componentHidden found in:
Class AccessibleAWTComponentHandler.componentHidden(java.awt.event.ComponentEvent)
Class AWTEventMulticaster.componentHidden(java.awt.event.ComponentEvent)
Class ComponentAdapter.componentHidden(java.awt.event.ComponentEvent)
Class ComponentHandler.componentHidden(java.awt.event.ComponentEvent)
Interface ComponentListener.componentHidden(java.awt.event.ComponentEvent)


componentListener found in:
Class BasicInternalFrameUI.componentListener
Class BasicSliderUI.componentListener


componentMoved found in:
Class AccessibleAWTComponentHandler.componentMoved(java.awt.event.ComponentEvent)
Class AWTEventMulticaster.componentMoved(java.awt.event.ComponentEvent)
Class ComponentAdapter.componentMoved(java.awt.event.ComponentEvent)
Class ComponentHandler.componentMoved(java.awt.event.ComponentEvent)
Class ComponentHandler.componentMoved(java.awt.event.ComponentEvent)
Interface ComponentListener.componentMoved(java.awt.event.ComponentEvent)


componentRemoved found in:
Class AccessibleContainerHandler.componentRemoved(java.awt.event.ContainerEvent)
Class AccessibleContainerHandler.componentRemoved(java.awt.event.ContainerEvent)
Class AWTEventMulticaster.componentRemoved(java.awt.event.ContainerEvent)
Class ContainerAdapter.componentRemoved(java.awt.event.ContainerEvent)
Class MetalContainerListener.componentRemoved(java.awt.event.ContainerEvent)
Class ToolBarContListener.componentRemoved(java.awt.event.ContainerEvent)
Interface ContainerListener.componentRemoved(java.awt.event.ContainerEvent)
componentResized found in:
Class AccessibleAWTComponentHandler.componentResized(java.awt.event.ComponentEvent)
Class AWTEventMulticaster.componentResized(java.awt.event.ComponentEvent)
Class ComponentAdapter.componentResized(java.awt.event.ComponentEvent)
Class ComponentHandler.componentResized(java.awt.event.ComponentEvent)
Class ComponentHandler.componentResized(java.awt.event.ComponentEvent)
Class ViewListener.componentResized(java.awt.event.ComponentEvent)
Interface ComponentListener.componentResized(java.awt.event.ComponentEvent)
components found in:
Class BasicHorizontalLayoutManager.components
Package javax.swing


componentShown found in:
Class AccessibleAWTComponentHandler.componentShown(java.awt.event.ComponentEvent)
Class AWTEventMulticaster.componentShown(java.awt.event.ComponentEvent)
Class ComponentAdapter.componentShown(java.awt.event.ComponentEvent)
Class ComponentHandler.componentShown(java.awt.event.ComponentEvent)
Interface ComponentListener.componentShown(java.awt.event.ComponentEvent)


composeName found in:
Class InitialContext.composeName(java.lang.String, java.lang.String)
Interface Context.composeName(javax.naming.Name, javax.naming.Name)


computeFields found in:
Class Calendar.computeFields()
Class GregorianCalendar.computeFields()
computeTime found in:
Class Calendar.computeTime()
Class GregorianCalendar.computeTime()


Concepts found in:
Concepts
Java Cryptography Architecture


CONF found in:
Guidelines for LDAP Service Providers
JNDI/COS Naming Service Provider


configureArrowButton found in:
Class BasicComboBoxUI.configureArrowButton()
Class MetalComboBoxUI.configureArrowButton()
configureEditor found in:
Class BasicComboBoxUI.configureEditor()
Class JComboBox.configureEditor(javax.swing.ComboBoxEditor, java.lang.Object)
Class MetalComboBoxUI.configureEditor()
configurePropertiesFromAction found in:
Class AbstractButton.configurePropertiesFromAction(javax.swing.Action)
Class JButton.configurePropertiesFromAction(javax.swing.Action)
Class JCheckBox.configurePropertiesFromAction(javax.swing.Action)
Class JComboBox.configurePropertiesFromAction(javax.swing.Action)
Class JMenuItem.configurePropertiesFromAction(javax.swing.Action)
Class JRadioButton.configurePropertiesFromAction(javax.swing.Action)
Class JTextField.configurePropertiesFromAction(javax.swing.Action)
configureScrollBarColors found in:
Class BasicScrollBarUI.configureScrollBarColors()
Class MetalScrollBarUI.configureScrollBarColors()


connect found in:
Class DatagramSocket.connect(java.net.InetAddress, int)
Class ORB.connect(org.omg.CORBA.Object)
Class PipedInputStream.connect(java.io.PipedOutputStream)
Class PipedOutputStream.connect(java.io.PipedInputStream)
Class PipedReader.connect(java.io.PipedWriter)
Class PipedWriter.connect(java.io.PipedReader)
Class PortableRemoteObject.connect(java.rmi.Remote, java.rmi.Remote)
Class SocketImpl.connect(java.lang.String, int)
Class Stub.connect(org.omg.CORBA.ORB)
Class URLConnection.connect()
Guidelines for LDAP Service Providers
Interface Driver.connect(java.lang.String, java.util.Properties)
Interface PortableRemoteObjectDelegate.connect(java.rmi.Remote, java.rmi.Remote)
Interface StubDelegate.connect(javax.rmi.CORBA.Stub, org.omg.CORBA.ORB)


ConnectException found in:
Class ConnectException
Class ConnectException
Connection found in:
Connection
Interface Connection


consume found in:
Class AWTEvent.consume()
Class InputEvent.consume()
Class InputMethodEvent.consume()


contains found in:
Class AbstractCollection.contains(java.lang.Object)
Class AccessibleAWTComponent.contains(java.awt.Point)
Class AccessibleAWTListChild.contains(java.awt.Point)
Class AccessibleAWTMenuComponent.contains(java.awt.Point)
Class AccessibleJListChild.contains(java.awt.Point)
Class AccessibleJTableCell.contains(java.awt.Point)
Class AccessibleJTableHeaderEntry.contains(java.awt.Point)
Class AccessibleJTreeNode.contains(java.awt.Point)
Class AccessibleRelationSet.contains(java.lang.String)
Class AccessibleStateSet.contains(javax.accessibility.AccessibleState)
Class Arc2D.contains(double, double)
Class Area.contains(double, double)
Class ArrayList.contains(java.lang.Object)
Class BasicAttribute.contains(java.lang.Object)
Class BasicDirectoryModel.contains(java.lang.Object)
Class BeanContextMembershipEvent.contains(java.lang.Object)
Class BeanContextSupport.contains(java.lang.Object)
Class Component.contains(int, int)
Class ComponentUI.contains(javax.swing.JComponent, int, int)
Class CubicCurve2D.contains(double, double)
Class DefaultListModel.contains(java.lang.Object)
Class Ellipse2D.contains(double, double)
Class GeneralPath.contains(double, double)
Class HashSet.contains(java.lang.Object)
Class Hashtable.contains(java.lang.Object)
Class JComponent.contains(int, int)
Class Line2D.contains(double, double)
Class LinkedList.contains(java.lang.Object)
Class MultiButtonUI.contains(javax.swing.JComponent, int, int)
Class MultiColorChooserUI.contains(javax.swing.JComponent, int, int)
Class MultiComboBoxUI.contains(javax.swing.JComponent, int, int)
Class MultiDesktopIconUI.contains(javax.swing.JComponent, int, int)
Class MultiDesktopPaneUI.contains(javax.swing.JComponent, int, int)
Class MultiFileChooserUI.contains(javax.swing.JComponent, int, int)
Class MultiInternalFrameUI.contains(javax.swing.JComponent, int, int)
Class MultiLabelUI.contains(javax.swing.JComponent, int, int)
Class MultiListUI.contains(javax.swing.JComponent, int, int)
Class MultiMenuBarUI.contains(javax.swing.JComponent, int, int)
Class MultiMenuItemUI.contains(javax.swing.JComponent, int, int)
Class MultiOptionPaneUI.contains(javax.swing.JComponent, int, int)
Class MultiPanelUI.contains(javax.swing.JComponent, int, int)
Class MultiPopupMenuUI.contains(javax.swing.JComponent, int, int)
Class MultiProgressBarUI.contains(javax.swing.JComponent, int, int)
Class MultiScrollBarUI.contains(javax.swing.JComponent, int, int)
Class MultiScrollPaneUI.contains(javax.swing.JComponent, int, int)
Class MultiSeparatorUI.contains(javax.swing.JComponent, int, int)
Class MultiSliderUI.contains(javax.swing.JComponent, int, int)
Class MultiSplitPaneUI.contains(javax.swing.JComponent, int, int)
Class MultiTabbedPaneUI.contains(javax.swing.JComponent, int, int)
Class MultiTableHeaderUI.contains(javax.swing.JComponent, int, int)
Class MultiTableUI.contains(javax.swing.JComponent, int, int)
Class MultiTextUI.contains(javax.swing.JComponent, int, int)
Class MultiToolBarUI.contains(javax.swing.JComponent, int, int)
Class MultiToolTipUI.contains(javax.swing.JComponent, int, int)
Class MultiTreeUI.contains(javax.swing.JComponent, int, int)
Class MultiViewportUI.contains(javax.swing.JComponent, int, int)
Class Polygon.contains(java.awt.Point)
Class QuadCurve2D.contains(double, double)
Class Rectangle.contains(java.awt.Point)
Class Rectangle2D.contains(double, double)
Class RectangularShape.contains(java.awt.geom.Point2D)
Class RoundRectangle2D.contains(double, double)
Class TreeSet.contains(java.lang.Object)
Class Vector.contains(java.lang.Object)
Interface AccessibleComponent.contains(java.awt.Point)
Interface Attribute.contains(java.lang.Object)
Interface Collection.contains(java.lang.Object)
Interface List.contains(java.lang.Object)
Interface Set.contains(java.lang.Object)
Interface Shape.contains(double, double)
containsAll found in:
Class AbstractCollection.containsAll(java.util.Collection)
Class BeanContextSupport.containsAll(java.util.Collection)
Class Vector.containsAll(java.util.Collection)
Interface Collection.containsAll(java.util.Collection)
Interface List.containsAll(java.util.Collection)
Interface Set.containsAll(java.util.Collection)
containsAttribute found in:
Class AbstractElement.containsAttribute(java.lang.Object, java.lang.Object)
Class NamedStyle.containsAttribute(java.lang.Object, java.lang.Object)
Class SimpleAttributeSet.containsAttribute(java.lang.Object, java.lang.Object)
Class SmallAttributeSet.containsAttribute(java.lang.Object, java.lang.Object)
Interface AttributeSet.containsAttribute(java.lang.Object, java.lang.Object)
containsAttributes found in:
Class AbstractElement.containsAttributes(javax.swing.text.AttributeSet)
Class NamedStyle.containsAttributes(javax.swing.text.AttributeSet)
Class SimpleAttributeSet.containsAttributes(javax.swing.text.AttributeSet)
Class SmallAttributeSet.containsAttributes(javax.swing.text.AttributeSet)
Interface AttributeSet.containsAttributes(javax.swing.text.AttributeSet)
containsCustomComponents found in:
Class BasicOptionPaneUI.containsCustomComponents(javax.swing.JOptionPane)
Class MultiOptionPaneUI.containsCustomComponents(javax.swing.JOptionPane)
Class OptionPaneUI.containsCustomComponents(javax.swing.JOptionPane)
containsKey found in:
Class AbstractMap.containsKey(java.lang.Object)
Class Attributes.containsKey(java.lang.Object)
Class BeanContextSupport.containsKey(java.lang.Object)
Class HashMap.containsKey(java.lang.Object)
Class Hashtable.containsKey(java.lang.Object)
Class RenderingHints.containsKey(java.lang.Object)
Class TreeMap.containsKey(java.lang.Object)
Class WeakHashMap.containsKey(java.lang.Object)
Interface Map.containsKey(java.lang.Object)
containsValue found in:
Class AbstractMap.containsValue(java.lang.Object)
Class Attributes.containsValue(java.lang.Object)
Class HashMap.containsValue(java.lang.Object)
Class Hashtable.containsValue(java.lang.Object)
Class RenderingHints.containsValue(java.lang.Object)
Class TreeMap.containsValue(java.lang.Object)
Interface Map.containsValue(java.lang.Object)


CONTENT found in:
Class Attribute.CONTENT
Class Tag.CONTENT


content found in:
Class ContentModel.content
Class Element.content


Contents found in:
Contents
Contents
Contents
Contents
Contents
Contents
Contents
Contents


contentsChanged found in:
Class AccessibleJList.contentsChanged(javax.swing.event.ListDataEvent)
Class JComboBox.contentsChanged(javax.swing.event.ListDataEvent)
Class ListDataHandler.contentsChanged(javax.swing.event.ListDataEvent)
Class ListDataHandler.contentsChanged(javax.swing.event.ListDataEvent)
Class ListDataHandler.contentsChanged(javax.swing.event.ListDataEvent)
Interface ListDataListener.contentsChanged(javax.swing.event.ListDataEvent)


Context found in:
Class Context
Interface Context


control found in:
Class SystemColor.control
Guidelines for LDAP Service Providers


Control found in:
Class Control
Interface Control
CONTROL found in:
Class Character.CONTROL
Class SystemColor.CONTROL


controlChange found in:
Interface ControllerEventListener.controlChange(javax.sound.midi.ShortMessage)
Interface MidiChannel.controlChange(int, int)


convertMouseEvent found in:
Class BasicComboPopup.convertMouseEvent(java.awt.event.MouseEvent)
Class SwingUtilities.convertMouseEvent(java.awt.Component, java.awt.event.MouseEvent, java.awt.Component)


copy found in:
Class AttributeUndoableEdit.copy
Class Collections.copy(java.util.List, java.util.List)
Class JPasswordField.copy()
Class JTextComponent.copy()
Class _PolicyStub.copy()
Interface DynAny.copy()
Interface PolicyOperations.copy()


copyArea found in:
Class DebugGraphics.copyArea(int, int, int, int, int, int)
Class Graphics.copyArea(int, int, int, int, int, int)
copyAttributes found in:
Class AbstractElement.copyAttributes()
Class NamedStyle.copyAttributes()
Class SimpleAttributeSet.copyAttributes()
Class SmallAttributeSet.copyAttributes()
Interface AttributeSet.copyAttributes()
copyData found in:
Class BufferedImage.copyData(java.awt.image.WritableRaster)
Interface RenderedImage.copyData(java.awt.image.WritableRaster)
copyInto found in:
Class DefaultListModel.copyInto(java.lang.Object[])
Class Vector.copyInto(java.lang.Object[])
copyObject found in:
Class Util.copyObject(java.lang.Object, org.omg.CORBA.ORB)
Interface UtilDelegate.copyObject(java.lang.Object, org.omg.CORBA.ORB)
copyObjects found in:
Class Util.copyObjects(java.lang.Object[], org.omg.CORBA.ORB)
Interface UtilDelegate.copyObjects(java.lang.Object[], org.omg.CORBA.ORB)


Copyright Page for Sun Microsystems, Inc. found in:
Copyright Page for Sun Microsystems, Inc.
Copyright Page for Sun Microsystems, Inc.


CORBA found in:
Frequently Asked Questions - RMI and Object Serialization
Glossary
JNDI/COS Naming Service Provider


cos found in:
Class Math.cos(double)
Class StrictMath.cos(double)
count found in:
Class BufferedInputStream.count
Class BufferedOutputStream.count
Class ByteArrayInputStream.count
Class ByteArrayOutputStream.count
Class CharArrayReader.count
Class CharArrayWriter.count
Class ContextList.count()
Class ExceptionList.count()
Class NVList.count()
Class Segment.count
Class StringBufferInputStream.count
countItems found in:
Class Choice.countItems()
Class List.countItems()
Class Menu.countItems()


crc found in:
Class GZIPInputStream.crc
Class GZIPOutputStream.crc


create found in:
Class BasicPasswordFieldUI.create(javax.swing.text.Element)
Class BasicTextAreaUI.create(javax.swing.text.Element)
Class BasicTextFieldUI.create(javax.swing.text.Element)
Class BasicTextUI.create(javax.swing.text.Element)
Class DatagramSocketImpl.create()
Class DebugGraphics.create()
Class DefaultStyledDocument.create(javax.swing.text.DefaultStyledDocument.ElementSpec[])
Class Graphics.create()
Class HTMLDocument.create(javax.swing.text.DefaultStyledDocument.ElementSpec[])
Class HTMLFactory.create(javax.swing.text.Element)
Class SocketImpl.create(boolean)
Developing a Client Applet
Developing a Client Application
Developing the Hello World Server
Interface ContextualRenderedImageFactory.create(java.awt.image.renderable.RenderContext, java.awt.image.renderable.ParameterBlock)
Interface RenderedImageFactory.create(java.awt.image.renderable.ParameterBlock, java.awt.RenderingHints)
Interface ViewFactory.create(javax.swing.text.Element)


Create found in:
Policy Tool - Policy File Creation and Management Tool
Policy Tool - Policy File Creation and Management Tool


createActionChangeListener found in:
Class JMenu.createActionChangeListener(javax.swing.JMenuItem)
Class JPopupMenu.createActionChangeListener(javax.swing.JMenuItem)
Class JToolBar.createActionChangeListener(javax.swing.JButton)
createActionComponent found in:
Class JMenu.createActionComponent(javax.swing.Action)
Class JPopupMenu.createActionComponent(javax.swing.Action)
Class JToolBar.createActionComponent(javax.swing.Action)
createActionPropertyChangeListener found in:
Class AbstractButton.createActionPropertyChangeListener(javax.swing.Action)
Class JCheckBox.createActionPropertyChangeListener(javax.swing.Action)
Class JComboBox.createActionPropertyChangeListener(javax.swing.Action)
Class JMenuItem.createActionPropertyChangeListener(javax.swing.Action)
Class JRadioButton.createActionPropertyChangeListener(javax.swing.Action)
Class JTextField.createActionPropertyChangeListener(javax.swing.Action)
createArrowButton found in:
Class BasicComboBoxUI.createArrowButton()
Class MetalComboBoxUI.createArrowButton()
createBCSChild found in:
Class BeanContextServicesSupport.createBCSChild(java.lang.Object, java.lang.Object)
Class BeanContextSupport.createBCSChild(java.lang.Object, java.lang.Object)
createBranchElement found in:
Class AbstractDocument.createBranchElement(javax.swing.text.Element, javax.swing.text.AttributeSet)
Class HTMLDocument.createBranchElement(javax.swing.text.Element, javax.swing.text.AttributeSet)
createButtonListener found in:
Class BasicButtonUI.createButtonListener(javax.swing.AbstractButton)
Class MetalButtonUI.createButtonListener(javax.swing.AbstractButton)
createButtons found in:
Class BasicInternalFrameTitlePane.createButtons()
Class MetalInternalFrameTitlePane.createButtons()
createCaret found in:
Class BasicTextFieldUI.createCaret()
Class BasicTextUI.createCaret()
Class DefaultEditorKit.createCaret()
Class EditorKit.createCaret()
createChangeListener found in:
Class AbstractButton.createChangeListener()
Class BasicMenuBarUI.createChangeListener()
Class BasicMenuUI.createChangeListener(javax.swing.JComponent)
Class BasicSliderUI.createChangeListener(javax.swing.JSlider)
Class BasicTabbedPaneUI.createChangeListener()
Class JProgressBar.createChangeListener()
Class JSlider.createChangeListener()
Class JTabbedPane.createChangeListener()
createCompatibleDestImage found in:
Class AffineTransformOp.createCompatibleDestImage(java.awt.image.BufferedImage, java.awt.image.ColorModel)
Class ColorConvertOp.createCompatibleDestImage(java.awt.image.BufferedImage, java.awt.image.ColorModel)
Class ConvolveOp.createCompatibleDestImage(java.awt.image.BufferedImage, java.awt.image.ColorModel)
Class LookupOp.createCompatibleDestImage(java.awt.image.BufferedImage, java.awt.image.ColorModel)
Class RescaleOp.createCompatibleDestImage(java.awt.image.BufferedImage, java.awt.image.ColorModel)
Interface BufferedImageOp.createCompatibleDestImage(java.awt.image.BufferedImage, java.awt.image.ColorModel)
createCompatibleDestRaster found in:
Class AffineTransformOp.createCompatibleDestRaster(java.awt.image.Raster)
Class BandCombineOp.createCompatibleDestRaster(java.awt.image.Raster)
Class ColorConvertOp.createCompatibleDestRaster(java.awt.image.Raster)
Class ConvolveOp.createCompatibleDestRaster(java.awt.image.Raster)
Class LookupOp.createCompatibleDestRaster(java.awt.image.Raster)
Class RescaleOp.createCompatibleDestRaster(java.awt.image.Raster)
Interface RasterOp.createCompatibleDestRaster(java.awt.image.Raster)
createCompatibleSampleModel found in:
Class BandedSampleModel.createCompatibleSampleModel(int, int)
Class ColorModel.createCompatibleSampleModel(int, int)
Class ComponentColorModel.createCompatibleSampleModel(int, int)
Class ComponentSampleModel.createCompatibleSampleModel(int, int)
Class IndexColorModel.createCompatibleSampleModel(int, int)
Class MultiPixelPackedSampleModel.createCompatibleSampleModel(int, int)
Class PackedColorModel.createCompatibleSampleModel(int, int)
Class PixelInterleavedSampleModel.createCompatibleSampleModel(int, int)
Class SampleModel.createCompatibleSampleModel(int, int)
Class SinglePixelPackedSampleModel.createCompatibleSampleModel(int, int)
createCompatibleWritableRaster found in:
Class ColorModel.createCompatibleWritableRaster(int, int)
Class ComponentColorModel.createCompatibleWritableRaster(int, int)
Class DirectColorModel.createCompatibleWritableRaster(int, int)
Class IndexColorModel.createCompatibleWritableRaster(int, int)
Class Raster.createCompatibleWritableRaster()
createComponent found in:
Class ComponentView.createComponent()
Class FormView.createComponent()
Class ObjectView.createComponent()
Class Toolkit.createComponent(java.awt.Component)
createComponentListener found in:
Class BasicInternalFrameUI.createComponentListener()
Class BasicSliderUI.createComponentListener(javax.swing.JSlider)
Class BasicTreeUI.createComponentListener()
createContainerListener found in:
Class BasicMenuBarUI.createContainerListener()
Class MetalToolBarUI.createContainerListener()
createContext found in:
Class AlphaComposite.createContext(java.awt.image.ColorModel, java.awt.image.ColorModel, java.awt.RenderingHints)
Class Color.createContext(java.awt.image.ColorModel, java.awt.Rectangle, java.awt.geom.Rectangle2D, java.awt.geom.AffineTransform, java.awt.RenderingHints)
Class GradientPaint.createContext(java.awt.image.ColorModel, java.awt.Rectangle, java.awt.geom.Rectangle2D, java.awt.geom.AffineTransform, java.awt.RenderingHints)
Class SystemColor.createContext(java.awt.image.ColorModel, java.awt.Rectangle, java.awt.geom.Rectangle2D, java.awt.geom.AffineTransform, java.awt.RenderingHints)
Class TexturePaint.createContext(java.awt.image.ColorModel, java.awt.Rectangle, java.awt.geom.Rectangle2D, java.awt.geom.AffineTransform, java.awt.RenderingHints)
Interface Composite.createContext(java.awt.image.ColorModel, java.awt.image.ColorModel, java.awt.RenderingHints)
Interface Paint.createContext(java.awt.image.ColorModel, java.awt.Rectangle, java.awt.geom.Rectangle2D, java.awt.geom.AffineTransform, java.awt.RenderingHints)
createDataBuffer found in:
Class BandedSampleModel.createDataBuffer()
Class ComponentSampleModel.createDataBuffer()
Class MultiPixelPackedSampleModel.createDataBuffer()
Class SampleModel.createDataBuffer()
Class SinglePixelPackedSampleModel.createDataBuffer()
createDecreaseButton found in:
Class BasicScrollBarUI.createDecreaseButton(int)
Class MetalScrollBarUI.createDecreaseButton(int)
createDefaultColumnModel found in:
Class JTable.createDefaultColumnModel()
Class JTableHeader.createDefaultColumnModel()
createDefaultDivider found in:
Class BasicSplitPaneUI.createDefaultDivider()
Class MetalSplitPaneUI.createDefaultDivider()
createDefaultDocument found in:
Class DefaultEditorKit.createDefaultDocument()
Class EditorKit.createDefaultDocument()
Class HTMLEditorKit.createDefaultDocument()
Class StyledEditorKit.createDefaultDocument()
createDefaultEditorKit found in:
Class JEditorPane.createDefaultEditorKit()
Class JTextPane.createDefaultEditorKit()
createDefaultModel found in:
Class JTextArea.createDefaultModel()
Class JTextField.createDefaultModel()
createDefaultRendering found in:
Class RenderableImageOp.createDefaultRendering()
Interface RenderableImage.createDefaultRendering()
createDefaultRoot found in:
Class DefaultStyledDocument.createDefaultRoot()
Class HTMLDocument.createDefaultRoot()
Class PlainDocument.createDefaultRoot()
createDialog found in:
Class JColorChooser.createDialog(java.awt.Component, java.lang.String, boolean, javax.swing.JColorChooser, java.awt.event.ActionListener, java.awt.event.ActionListener)
Class JOptionPane.createDialog(java.awt.Component, java.lang.String)
Class Toolkit.createDialog(java.awt.Dialog)
createDockingListener found in:
Class BasicToolBarUI.createDockingListener()
Class MetalToolBarUI.createDockingListener()
createDragGestureRecognizer found in:
Class DragSource.createDragGestureRecognizer(java.lang.Class, java.awt.Component, int, java.awt.dnd.DragGestureListener)
Class Toolkit.createDragGestureRecognizer(java.lang.Class, java.awt.dnd.DragSource, java.awt.Component, int, java.awt.dnd.DragGestureListener)
createEditor found in:
Class BasicComboBoxUI.createEditor()
Class MetalComboBoxUI.createEditor()
createFocusListener found in:
Class BasicComboBoxUI.createFocusListener()
Class BasicListUI.createFocusListener()
Class BasicSliderUI.createFocusListener(javax.swing.JSlider)
Class BasicSplitPaneUI.createFocusListener()
Class BasicTabbedPaneUI.createFocusListener()
Class BasicTableUI.createFocusListener()
Class BasicTreeUI.createFocusListener()
createFragment found in:
Class GlyphView.createFragment(int, int)
Class View.createFragment(int, int)
createGraphics found in:
Class BufferedImage.createGraphics()
Class GraphicsEnvironment.createGraphics(java.awt.image.BufferedImage)
createImage found in:
Class Component.createImage(java.awt.image.ImageProducer)
Class Toolkit.createImage(java.lang.String)
createIncreaseButton found in:
Class BasicScrollBarUI.createIncreaseButton(int)
Class MetalScrollBarUI.createIncreaseButton(int)
createInputAttributes found in:
Class HTMLEditorKit.createInputAttributes(javax.swing.text.Element, javax.swing.text.MutableAttributeSet)
Class StyledEditorKit.createInputAttributes(javax.swing.text.Element, javax.swing.text.MutableAttributeSet)
createIntersection found in:
Class Double.createIntersection(java.awt.geom.Rectangle2D)
Class Float.createIntersection(java.awt.geom.Rectangle2D)
Class Rectangle.createIntersection(java.awt.geom.Rectangle2D)
Class Rectangle2D.createIntersection(java.awt.geom.Rectangle2D)
createItemListener found in:
Class AbstractButton.createItemListener()
Class BasicComboBoxUI.createItemListener()
Class BasicComboPopup.createItemListener()
createKeyListener found in:
Class BasicComboBoxUI.createKeyListener()
Class BasicComboPopup.createKeyListener()
Class BasicTableUI.createKeyListener()
Class BasicTreeUI.createKeyListener()
createLargeAttributeSet found in:
Class StyleContext.createLargeAttributeSet(javax.swing.text.AttributeSet)
Class StyleSheet.createLargeAttributeSet(javax.swing.text.AttributeSet)
createLayout found in:
Class BasicInternalFrameTitlePane.createLayout()
Class MetalInternalFrameTitlePane.createLayout()
createLayoutManager found in:
Class BasicComboBoxUI.createLayoutManager()
Class BasicInternalFrameUI.createLayoutManager()
Class BasicOptionPaneUI.createLayoutManager()
Class BasicTabbedPaneUI.createLayoutManager()
Class JViewport.createLayoutManager()
Class MetalComboBoxUI.createLayoutManager()
Class MetalTabbedPaneUI.createLayoutManager()
createLeafElement found in:
Class AbstractDocument.createLeafElement(javax.swing.text.Element, javax.swing.text.AttributeSet, int, int)
Class HTMLDocument.createLeafElement(javax.swing.text.Element, javax.swing.text.AttributeSet, int, int)
createList found in:
Class BasicComboPopup.createList()
Class MetalFileChooserUI.createList(javax.swing.JFileChooser)
Class Toolkit.createList(java.awt.List)
createListDataListener found in:
Class BasicComboBoxUI.createListDataListener()
Class BasicComboPopup.createListDataListener()
Class BasicListUI.createListDataListener()
createListSelectionListener found in:
Class BasicComboPopup.createListSelectionListener()
Class BasicFileChooserUI.createListSelectionListener(javax.swing.JFileChooser)
Class BasicListUI.createListSelectionListener()
createMenuDragMouseListener found in:
Class BasicMenuItemUI.createMenuDragMouseListener(javax.swing.JComponent)
Class BasicMenuUI.createMenuDragMouseListener(javax.swing.JComponent)
createMenuKeyListener found in:
Class BasicMenuItemUI.createMenuKeyListener(javax.swing.JComponent)
Class BasicMenuUI.createMenuKeyListener(javax.swing.JComponent)
createMouseInputListener found in:
Class BasicDesktopIconUI.createMouseInputListener()
Class BasicListUI.createMouseInputListener()
Class BasicMenuItemUI.createMouseInputListener(javax.swing.JComponent)
Class BasicMenuUI.createMouseInputListener(javax.swing.JComponent)
Class BasicTableHeaderUI.createMouseInputListener()
Class BasicTableUI.createMouseInputListener()
createMouseListener found in:
Class BasicComboPopup.createMouseListener()
Class BasicTabbedPaneUI.createMouseListener()
Class BasicTreeUI.createMouseListener()
createNorthPane found in:
Class BasicInternalFrameUI.createNorthPane(javax.swing.JInternalFrame)
Class MetalInternalFrameUI.createNorthPane(javax.swing.JInternalFrame)
createPopup found in:
Class BasicComboBoxUI.createPopup()
Class MetalComboBoxUI.createPopup()
createPosition found in:
Class AbstractDocument.createPosition(int)
Class GapContent.createPosition(int)
Class StringContent.createPosition(int)
Interface Content.createPosition(int)
Interface Document.createPosition(int)
createPropertyChangeListener found in:
Class BasicColorChooserUI.createPropertyChangeListener()
Class BasicComboBoxUI.createPropertyChangeListener()
Class BasicComboPopup.createPropertyChangeListener()
Class BasicFileChooserUI.createPropertyChangeListener(javax.swing.JFileChooser)
Class BasicInternalFrameTitlePane.createPropertyChangeListener()
Class BasicInternalFrameUI.createPropertyChangeListener()
Class BasicListUI.createPropertyChangeListener()
Class BasicMenuUI.createPropertyChangeListener(javax.swing.JComponent)
Class BasicOptionPaneUI.createPropertyChangeListener()
Class BasicScrollBarUI.createPropertyChangeListener()
Class BasicScrollPaneUI.createPropertyChangeListener()
Class BasicSliderUI.createPropertyChangeListener(javax.swing.JSlider)
Class BasicSplitPaneUI.createPropertyChangeListener()
Class BasicTabbedPaneUI.createPropertyChangeListener()
Class BasicTreeUI.createPropertyChangeListener()
Class MetalComboBoxUI.createPropertyChangeListener()
Class MetalFileChooserUI.createPropertyChangeListener(javax.swing.JFileChooser)
Class MetalInternalFrameTitlePane.createPropertyChangeListener()
Class MetalScrollBarUI.createPropertyChangeListener()
Class MetalSliderUI.createPropertyChangeListener(javax.swing.JSlider)


createRendering found in:
Class RenderableImageOp.createRendering(java.awt.image.renderable.RenderContext)
Interface RenderableImage.createRendering(java.awt.image.renderable.RenderContext)
createRootPane found in:
Class JApplet.createRootPane()
Class JDialog.createRootPane()
Class JFrame.createRootPane()
Class JInternalFrame.createRootPane()
Class JWindow.createRootPane()
createRow found in:
Class FlowView.createRow()
Class ParagraphView.createRow()
createScaledRendering found in:
Class RenderableImageOp.createScaledRendering(int, int, java.awt.RenderingHints)
Interface RenderableImage.createScaledRendering(int, int, java.awt.RenderingHints)
createScrollListener found in:
Class BasicScrollBarUI.createScrollListener()
Class BasicSliderUI.createScrollListener(javax.swing.JSlider)
createSelectionModel found in:
Class DefaultTableColumnModel.createSelectionModel()
Class JList.createSelectionModel()
createServerSocket found in:
Class RMISocketFactory.createServerSocket(int)
Interface RMIServerSocketFactory.createServerSocket(int)
createSmallAttributeSet found in:
Class StyleContext.createSmallAttributeSet(javax.swing.text.AttributeSet)
Class StyleSheet.createSmallAttributeSet(javax.swing.text.AttributeSet)
createSocket found in:
Class RMISocketFactory.createSocket(java.lang.String, int)
Interface RMIClientSocketFactory.createSocket(java.lang.String, int)
createStrokedShape found in:
Class BasicStroke.createStrokedShape(java.awt.Shape)
Interface Stroke.createStrokedShape(java.awt.Shape)
createSubcontext found in:
Class InitialContext.createSubcontext(java.lang.String)
Class InitialDirContext.createSubcontext(java.lang.String, javax.naming.directory.Attributes)
Interface Context.createSubcontext(javax.naming.Name)
Interface DirContext.createSubcontext(javax.naming.Name, javax.naming.directory.Attributes)
createSubsetSampleModel found in:
Class BandedSampleModel.createSubsetSampleModel(int[])
Class ComponentSampleModel.createSubsetSampleModel(int[])
Class MultiPixelPackedSampleModel.createSubsetSampleModel(int[])
Class PixelInterleavedSampleModel.createSubsetSampleModel(int[])
Class SampleModel.createSubsetSampleModel(int[])
Class SinglePixelPackedSampleModel.createSubsetSampleModel(int[])


createTrackListener found in:
Class BasicScrollBarUI.createTrackListener()
Class BasicSliderUI.createTrackListener(javax.swing.JSlider)
createTransformedShape found in:
Class AffineTransform.createTransformedShape(java.awt.Shape)
Class GeneralPath.createTransformedShape(java.awt.geom.AffineTransform)
createTreeModelListener found in:
Class BasicTreeUI.createTreeModelListener()
Class JTree.createTreeModelListener()
createUI found in:
Class BasicButtonUI.createUI(javax.swing.JComponent)
Class BasicCheckBoxMenuItemUI.createUI(javax.swing.JComponent)
Class BasicCheckBoxUI.createUI(javax.swing.JComponent)
Class BasicColorChooserUI.createUI(javax.swing.JComponent)
Class BasicComboBoxUI.createUI(javax.swing.JComponent)
Class BasicDesktopIconUI.createUI(javax.swing.JComponent)
Class BasicDesktopPaneUI.createUI(javax.swing.JComponent)
Class BasicEditorPaneUI.createUI(javax.swing.JComponent)
Class BasicInternalFrameUI.createUI(javax.swing.JComponent)
Class BasicLabelUI.createUI(javax.swing.JComponent)
Class BasicListUI.createUI(javax.swing.JComponent)
Class BasicMenuBarUI.createUI(javax.swing.JComponent)
Class BasicMenuItemUI.createUI(javax.swing.JComponent)
Class BasicMenuUI.createUI(javax.swing.JComponent)
Class BasicOptionPaneUI.createUI(javax.swing.JComponent)
Class BasicPanelUI.createUI(javax.swing.JComponent)
Class BasicPasswordFieldUI.createUI(javax.swing.JComponent)
Class BasicPopupMenuSeparatorUI.createUI(javax.swing.JComponent)
Class BasicPopupMenuUI.createUI(javax.swing.JComponent)
Class BasicProgressBarUI.createUI(javax.swing.JComponent)
Class BasicRadioButtonMenuItemUI.createUI(javax.swing.JComponent)
Class BasicRadioButtonUI.createUI(javax.swing.JComponent)
Class BasicRootPaneUI.createUI(javax.swing.JComponent)
Class BasicScrollBarUI.createUI(javax.swing.JComponent)
Class BasicScrollPaneUI.createUI(javax.swing.JComponent)
Class BasicSeparatorUI.createUI(javax.swing.JComponent)
Class BasicSliderUI.createUI(javax.swing.JComponent)
Class BasicSplitPaneUI.createUI(javax.swing.JComponent)
Class BasicTabbedPaneUI.createUI(javax.swing.JComponent)
Class BasicTableHeaderUI.createUI(javax.swing.JComponent)
Class BasicTableUI.createUI(javax.swing.JComponent)
Class BasicTextAreaUI.createUI(javax.swing.JComponent)
Class BasicTextFieldUI.createUI(javax.swing.JComponent)
Class BasicTextPaneUI.createUI(javax.swing.JComponent)
Class BasicToggleButtonUI.createUI(javax.swing.JComponent)
Class BasicToolBarSeparatorUI.createUI(javax.swing.JComponent)
Class BasicToolBarUI.createUI(javax.swing.JComponent)
Class BasicToolTipUI.createUI(javax.swing.JComponent)
Class BasicTreeUI.createUI(javax.swing.JComponent)
Class BasicViewportUI.createUI(javax.swing.JComponent)
Class ComponentUI.createUI(javax.swing.JComponent)
Class MetalButtonUI.createUI(javax.swing.JComponent)
Class MetalCheckBoxUI.createUI(javax.swing.JComponent)
Class MetalComboBoxUI.createUI(javax.swing.JComponent)
Class MetalDesktopIconUI.createUI(javax.swing.JComponent)
Class MetalFileChooserUI.createUI(javax.swing.JComponent)
Class MetalInternalFrameUI.createUI(javax.swing.JComponent)
Class MetalLabelUI.createUI(javax.swing.JComponent)
Class MetalPopupMenuSeparatorUI.createUI(javax.swing.JComponent)
Class MetalProgressBarUI.createUI(javax.swing.JComponent)
Class MetalRadioButtonUI.createUI(javax.swing.JComponent)
Class MetalScrollBarUI.createUI(javax.swing.JComponent)
Class MetalScrollPaneUI.createUI(javax.swing.JComponent)
Class MetalSeparatorUI.createUI(javax.swing.JComponent)
Class MetalSliderUI.createUI(javax.swing.JComponent)
Class MetalSplitPaneUI.createUI(javax.swing.JComponent)
Class MetalTabbedPaneUI.createUI(javax.swing.JComponent)
Class MetalTextFieldUI.createUI(javax.swing.JComponent)
Class MetalToggleButtonUI.createUI(javax.swing.JComponent)
Class MetalToolBarUI.createUI(javax.swing.JComponent)
Class MetalToolTipUI.createUI(javax.swing.JComponent)
Class MetalTreeUI.createUI(javax.swing.JComponent)
Class MultiButtonUI.createUI(javax.swing.JComponent)
Class MultiColorChooserUI.createUI(javax.swing.JComponent)
Class MultiComboBoxUI.createUI(javax.swing.JComponent)
Class MultiDesktopIconUI.createUI(javax.swing.JComponent)
Class MultiDesktopPaneUI.createUI(javax.swing.JComponent)
Class MultiFileChooserUI.createUI(javax.swing.JComponent)
Class MultiInternalFrameUI.createUI(javax.swing.JComponent)
Class MultiLabelUI.createUI(javax.swing.JComponent)
Class MultiListUI.createUI(javax.swing.JComponent)
Class MultiMenuBarUI.createUI(javax.swing.JComponent)
Class MultiMenuItemUI.createUI(javax.swing.JComponent)
Class MultiOptionPaneUI.createUI(javax.swing.JComponent)
Class MultiPanelUI.createUI(javax.swing.JComponent)
Class MultiPopupMenuUI.createUI(javax.swing.JComponent)
Class MultiProgressBarUI.createUI(javax.swing.JComponent)
Class MultiScrollBarUI.createUI(javax.swing.JComponent)
Class MultiScrollPaneUI.createUI(javax.swing.JComponent)
Class MultiSeparatorUI.createUI(javax.swing.JComponent)
Class MultiSliderUI.createUI(javax.swing.JComponent)
Class MultiSplitPaneUI.createUI(javax.swing.JComponent)
Class MultiTabbedPaneUI.createUI(javax.swing.JComponent)
Class MultiTableHeaderUI.createUI(javax.swing.JComponent)
Class MultiTableUI.createUI(javax.swing.JComponent)
Class MultiTextUI.createUI(javax.swing.JComponent)
Class MultiToolBarUI.createUI(javax.swing.JComponent)
Class MultiToolTipUI.createUI(javax.swing.JComponent)
Class MultiTreeUI.createUI(javax.swing.JComponent)
Class MultiViewportUI.createUI(javax.swing.JComponent)
createUnion found in:
Class Double.createUnion(java.awt.geom.Rectangle2D)
Class Float.createUnion(java.awt.geom.Rectangle2D)
Class Rectangle.createUnion(java.awt.geom.Rectangle2D)
Class Rectangle2D.createUnion(java.awt.geom.Rectangle2D)
createValue found in:
Class LazyInputMap.createValue(javax.swing.UIDefaults)
Class ProxyLazyValue.createValue(javax.swing.UIDefaults)
Interface ActiveValue.createValue(javax.swing.UIDefaults)
Interface LazyValue.createValue(javax.swing.UIDefaults)
createValueHandler found in:
Class Util.createValueHandler()
Interface UtilDelegate.createValueHandler()
createZipEntry found in:
Class JarInputStream.createZipEntry(java.lang.String)
Class ZipInputStream.createZipEntry(java.lang.String)
create_input_stream found in:
Class Any.create_input_stream()
Class OutputStream.create_input_stream()
create_output_stream found in:
Class Any.create_output_stream()
Class ORB.create_output_stream()


cross-links found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
crosscomp-example found in:
javac - Java programming language compiler
javac - Java programming language compiler
crosscomp-options found in:
javac - Java programming language compiler
javac - Java programming language compiler


CROSSHAIR_CURSOR found in:
Class Cursor.CROSSHAIR_CURSOR
Class Frame.CROSSHAIR_CURSOR


ctrlx found in:
Class Double.ctrlx
Class Float.ctrlx
ctrlx1 found in:
Class Double.ctrlx1
Class Float.ctrlx1
ctrlx2 found in:
Class Double.ctrlx2
Class Float.ctrlx2
ctrly found in:
Class Double.ctrly
Class Float.ctrly
ctrly1 found in:
Class Double.ctrly1
Class Float.ctrly1
ctrly2 found in:
Class Double.ctrly2
Class Float.ctrly2


CTRL_MASK found in:
Class ActionEvent.CTRL_MASK
Class Event.CTRL_MASK
Class InputEvent.CTRL_MASK


ctx found in:
Class Request.ctx()
Class ServerRequest.ctx()


current found in:
Class BreakIterator.current()
Class ElementIterator.current()
Class Segment.current()
Class StringCharacterIterator.current()
Interface CharacterIterator.current()


currentMouseX found in:
Class TrackListener.currentMouseX
Class TrackListener.currentMouseX
currentMouseY found in:
Class TrackListener.currentMouseY
Class TrackListener.currentMouseY


currentSegment found in:
Class FlatteningPathIterator.currentSegment(float[])
Interface PathIterator.currentSegment(float[])
current_member_kind found in:
Interface DynStruct.current_member_kind()
Interface DynValue.current_member_kind()
current_member_name found in:
Interface DynStruct.current_member_name()
Interface DynValue.current_member_name()


cut found in:
Class JPasswordField.cut()
Class JTextComponent.cut()


d found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


D found in:
Activating an object that does not extend java.rmi.activation.Activatable
Class MediaType.D
Using a MarshalledObject to create persistent data
D-Index found in:
D-Index
D-Index


damageRange found in:
Class BasicTextUI.damageRange(javax.swing.text.JTextComponent, int, int)
Class MultiTextUI.damageRange(javax.swing.text.JTextComponent, int, int)
Class TextUI.damageRange(javax.swing.text.JTextComponent, int, int)


darkShadow found in:
Class BasicTabbedPaneUI.darkShadow
Class ButtonBorder.darkShadow
Class FieldBorder.darkShadow


data found in:
Class Element.data
Class Entity.data
Class MidiMessage.data
Distributed Application Concepts


DataInputStream found in:
Class DataInputStream
Interface DataInputStream


dataModel found in:
Class JComboBox.dataModel
Class JTable.dataModel


DataOutputStream found in:
Class DataOutputStream
Interface DataOutputStream


dataType found in:
Class DataBuffer.dataType
Class SampleModel.dataType


DATE found in:
Class Calendar.DATE
Class Types.DATE
Date found in:
Class Date
Class Date


deactivate found in:
Interface InputMethod.deactivate(boolean)
Interface Tie.deactivate()
deactivateFrame found in:
Class BasicInternalFrameUI.deactivateFrame(javax.swing.JInternalFrame)
Class DefaultDesktopManager.deactivateFrame(javax.swing.JInternalFrame)
Interface DesktopManager.deactivateFrame(javax.swing.JInternalFrame)


declaringType found in:
Interface Location.declaringType()
Interface TypeComponent.declaringType()
decode found in:
Class Byte.decode(java.lang.String)
Class Color.decode(java.lang.String)
Class Font.decode(java.lang.String)
Class Integer.decode(java.lang.String)
Class Long.decode(java.lang.String)
Class Short.decode(java.lang.String)
Class URLDecoder.decode(java.lang.String)
Interface Certificate.decode(java.io.InputStream)


default found in:
rmid - The Java RMI Activation System Daemon
rmid - The Java RMI Activation System Daemon


DEFAULT found in:
Class DateFormat.DEFAULT
Class DragSourceContext.DEFAULT
Interface Action.DEFAULT
Interface DTDConstants.DEFAULT
DefaultAlgs found in:
jarsigner-JAR Signing and Verification Tool
jarsigner-JAR Signing and Verification Tool
keytool-Key and Certificate Management Tool
keytool-Key and Certificate Management Tool


DefaultFiles found in:
Policy Tool - Policy File Creation and Management Tool
Policy Tool - Policy File Creation and Management Tool


defaultTextIconGap found in:
Class BasicButtonUI.defaultTextIconGap
Class BasicMenuItemUI.defaultTextIconGap


DEFAULT_CURSOR found in:
Class Cursor.DEFAULT_CURSOR
Class Frame.DEFAULT_CURSOR


defineClass found in:
Class ClassLoader.defineClass(byte[], int, int)
Class SecureClassLoader.defineClass(java.lang.String, byte[], int, int, java.security.CodeSource)
definePackage found in:
Class ClassLoader.definePackage(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.net.URL)
Class URLClassLoader.definePackage(java.lang.String, java.util.jar.Manifest, java.net.URL)


deflate found in:
Class Deflater.deflate(byte[], int, int)
Class DeflaterOutputStream.deflate()


DEFLATED found in:
Class Deflater.DEFLATED
Class ZipEntry.DEFLATED
Class ZipOutputStream.DEFLATED


def_kind found in:
Class _IDLTypeStub.def_kind()
Interface IRObjectOperations.def_kind()
deiconifyFrame found in:
Class BasicInternalFrameUI.deiconifyFrame(javax.swing.JInternalFrame)
Class DefaultDesktopManager.deiconifyFrame(javax.swing.JInternalFrame)
Interface DesktopManager.deiconifyFrame(javax.swing.JInternalFrame)
deinstall found in:
Class DefaultCaret.deinstall(javax.swing.text.JTextComponent)
Class DefaultHighlighter.deinstall(javax.swing.text.JTextComponent)
Class EditorKit.deinstall(javax.swing.JEditorPane)
Class HTMLEditorKit.deinstall(javax.swing.JEditorPane)
Class StyledEditorKit.deinstall(javax.swing.JEditorPane)
Interface Caret.deinstall(javax.swing.text.JTextComponent)
Interface Highlighter.deinstall(javax.swing.text.JTextComponent)


Delegate found in:
Class Delegate
Class Delegate


delegateFocus found in:
Class BasicComboPopup.delegateFocus(java.awt.event.MouseEvent)
Class MetalComboPopup.delegateFocus(java.awt.event.MouseEvent)


delete found in:
Class File.delete()
Class StringBuffer.delete(int, int)


DELETE found in:
Class Event.DELETE
Class TableModelEvent.DELETE
Interface AccessibleTableModelChange.DELETE


deleteChar found in:
Class LineBreakMeasurer.deleteChar(java.text.AttributedCharacterIterator, int)
Class TextMeasurer.deleteChar(java.text.AttributedCharacterIterator, int)
deleteCmd found in:
keytool-Key and Certificate Management Tool
keytool-Key and Certificate Management Tool
deleteShortcut found in:
Class MenuBar.deleteShortcut(java.awt.MenuShortcut)
Class MenuItem.deleteShortcut()


deliverEvent found in:
Class Component.deliverEvent(java.awt.Event)
Class Container.deliverEvent(java.awt.Event)


Deprecated List found in:
Deprecated List
Deprecated List


deprecated-list.html found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


depth found in:
Class ElementIterator.depth()
Interface StepRequest.depth()


description found in:
Class DriverPropertyInfo.description
Interface Argument.description()
Interface Connector.description()
Interface SerialFieldTag.description()
Interface VirtualMachine.description()
java - the Java application launcher
java - the Java application launcher
java - the Java application launcher
javac - Java programming language compiler
javac - Java programming language compiler
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
javald - the wrapper creator for java applications
jdb - The Java Debugger
jdb - The Java Debugger
oldjdb - The Old Java Debugger


desktop found in:
Class BasicDesktopPaneUI.desktop
Class SystemColor.desktop


desktopIcon found in:
Class BasicDesktopIconUI.desktopIcon
Class JInternalFrame.desktopIcon


destroy found in:
Class Applet.destroy()
Class ORB.destroy()
Class Process.destroy()
Class Thread.destroy()
Class ThreadGroup.destroy()
Class _BindingIteratorStub.destroy()
Class _IDLTypeStub.destroy()
Class _NamingContextStub.destroy()
Class _PolicyStub.destroy()
Interface BindingIteratorOperations.destroy()
Interface DynAny.destroy()
Interface IRObjectOperations.destroy()
Interface NamingContextOperations.destroy()
Interface PolicyOperations.destroy()


destroySubcontext found in:
Class InitialContext.destroySubcontext(java.lang.String)
Interface Context.destroySubcontext(javax.naming.Name)


detail found in:
Class ActivationException.detail
Class RemoteException.detail
Class ServerCloneException.detail
Class WriteAbortedException.detail


die found in:
Class AbstractUndoableEdit.die()
Class CompoundEdit.die()
Interface UndoableEdit.die()
digest found in:
Class DigestInputStream.digest
Class DigestOutputStream.digest
Class MessageDigest.digest()


DIR found in:
Class Attribute.DIR
Class Tag.DIR


direction found in:
Class BasicArrowButton.direction
Class TreeHomeAction.direction
Class TreeIncrementAction.direction
Class TreePageAction.direction
Class TreeTraverseAction.direction


disable found in:
Class Compiler.disable()
Class Component.disable()
Class JComponent.disable()
Class MenuItem.disable()
Interface EventRequest.disable()
disabledTextColor found in:
Class MetalButtonUI.disabledTextColor
Class MetalRadioButtonUI.disabledTextColor
Class MetalToggleButtonUI.disabledTextColor


disableEvents found in:
Class Component.disableEvents(long)
Class MenuItem.disableEvents(long)


disconnect found in:
Class DatagramSocket.disconnect()
Class HttpURLConnection.disconnect()
Class ORB.disconnect(org.omg.CORBA.Object)


dispatch found in:
Class InvocationEvent.dispatch()
Class NamingEvent.dispatch(javax.naming.event.NamingListener)
Class NamingExceptionEvent.dispatch(javax.naming.event.NamingListener)
Class UnsolicitedNotificationEvent.dispatch(javax.naming.ldap.UnsolicitedNotificationListener)
Interface ActiveEvent.dispatch()
Interface Skeleton.dispatch(java.rmi.Remote, java.rmi.server.RemoteCall, int, long)
dispatchEvent found in:
Class Component.dispatchEvent(java.awt.AWTEvent)
Class EventQueue.dispatchEvent(java.awt.AWTEvent)
Class InputContext.dispatchEvent(java.awt.AWTEvent)
Class MenuComponent.dispatchEvent(java.awt.AWTEvent)
Interface InputMethod.dispatchEvent(java.awt.AWTEvent)


DisplayCertificate found in:
keytool-Key and Certificate Management Tool
keytool-Key and Certificate Management Tool


dispose found in:
Class DebugGraphics.dispose()
Class Dialog.dispose()
Class Graphics.dispose()
Class InputContext.dispose()
Class JInternalFrame.dispose()
Class Window.dispose()
Interface CompositeContext.dispose()
Interface InputMethod.dispose()
Interface PaintContext.dispose()
Interface VirtualMachine.dispose()


divide found in:
Class BigDecimal.divide(java.math.BigDecimal, int, int)
Class BigInteger.divide(java.math.BigInteger)


dividerSize found in:
Class BasicSplitPaneDivider.dividerSize
Class BasicSplitPaneUI.dividerSize
Class JSplitPane.dividerSize


divisionType found in:
Class MidiFileFormat.divisionType
Class Sequence.divisionType


DName found in:
keytool-Key and Certificate Management Tool
keytool-Key and Certificate Management Tool


dnd found in:
Data Transfer
New Features
Supported Locales


doAccessibleAction found in:
Class AccessibleAbstractButton.doAccessibleAction(int)
Class AccessibleAWTButton.doAccessibleAction(int)
Class AccessibleAWTCheckbox.doAccessibleAction(int)
Class AccessibleAWTCheckboxMenuItem.doAccessibleAction(int)
Class AccessibleAWTChoice.doAccessibleAction(int)
Class AccessibleAWTMenuItem.doAccessibleAction(int)
Class AccessibleHyperlink.doAccessibleAction(int)
Class AccessibleJComboBox.doAccessibleAction(int)
Class AccessibleJTreeNode.doAccessibleAction(int)
Class HTMLLink.doAccessibleAction(int)
Interface AccessibleAction.doAccessibleAction(int)


doc-files found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
docencoding found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


doclet found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


Doclet Overview found in:
Doclet Overview
Doclet Overview


docletpath found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
doclets found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
doClick found in:
Class AbstractButton.doClick()
Class JMenu.doClick(int)
doctitle found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


documentation found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
documentationcomments found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
documentedclasses found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


documentingboth found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
documentingclasses found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
documentingpackages found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


doLayout found in:
Class Component.doLayout()
Class Container.doLayout()
Class EditorContainer.doLayout()
Class JTable.doLayout()
Class ScrollPane.doLayout()


done found in:
Interface RemoteCall.done()
Interface RemoteRef.done(java.rmi.server.RemoteCall)


DONE found in:
Class BreakIterator.DONE
Interface CharacterIterator.DONE


dontUseGui found in:
Class BeanContextSupport.dontUseGui()
Interface Visibility.dontUseGui()


Double found in:
Class Double
Class Double
Class Double
Class Double
Class Double
Class Double
Class Double
Class Double
Class Double


doubleValue found in:
Class BigDecimal.doubleValue()
Class BigInteger.doubleValue()
Class Byte.doubleValue()
Class Double.doubleValue()
Class Float.doubleValue()
Class Integer.doubleValue()
Class Long.doubleValue()
Class Number.doubleValue()
Class Short.doubleValue()
Interface PrimitiveValue.doubleValue()


downKey found in:
Class BasicSplitPaneUI.downKey
Class BasicTabbedPaneUI.downKey
Class BasicToolBarUI.downKey


dragDividerTo found in:
Class BasicSplitPaneDivider.dragDividerTo(int)
Class BasicSplitPaneUI.dragDividerTo(int)
dragDropEnd found in:
Class DragSourceContext.dragDropEnd(java.awt.dnd.DragSourceDropEvent)
Interface DragSourceListener.dragDropEnd(java.awt.dnd.DragSourceDropEvent)
dragEnter found in:
Class DragSourceContext.dragEnter(java.awt.dnd.DragSourceDragEvent)
Class DropTarget.dragEnter(java.awt.dnd.DropTargetDragEvent)
Interface DragSourceListener.dragEnter(java.awt.dnd.DragSourceDragEvent)
Interface DropTargetListener.dragEnter(java.awt.dnd.DropTargetDragEvent)
dragExit found in:
Class DragSourceContext.dragExit(java.awt.dnd.DragSourceEvent)
Class DropTarget.dragExit(java.awt.dnd.DropTargetEvent)
Interface DragSourceListener.dragExit(java.awt.dnd.DragSourceEvent)
Interface DropTargetListener.dragExit(java.awt.dnd.DropTargetEvent)
dragFrame found in:
Class DefaultDesktopManager.dragFrame(javax.swing.JComponent, int, int)
Interface DesktopManager.dragFrame(javax.swing.JComponent, int, int)


dragOver found in:
Class DragSourceContext.dragOver(java.awt.dnd.DragSourceDragEvent)
Class DropTarget.dragOver(java.awt.dnd.DropTargetDragEvent)
Interface DragSourceListener.dragOver(java.awt.dnd.DragSourceDragEvent)
Interface DropTargetListener.dragOver(java.awt.dnd.DropTargetDragEvent)


drain found in:
Class ObjectOutputStream.drain()
Interface DataLine.drain()
draw found in:
Class GraphicAttribute.draw(java.awt.Graphics2D, float, float)
Class Graphics2D.draw(java.awt.Shape)
Class ImageGraphicAttribute.draw(java.awt.Graphics2D, float, float)
Class ShapeGraphicAttribute.draw(java.awt.Graphics2D, float, float)
Class TextLayout.draw(java.awt.Graphics2D, float, float)
draw3DRect found in:
Class DebugGraphics.draw3DRect(int, int, int, int, boolean)
Class Graphics.draw3DRect(int, int, int, int, boolean)
Class Graphics2D.draw3DRect(int, int, int, int, boolean)
drawArc found in:
Class DebugGraphics.drawArc(int, int, int, int, int, int)
Class Graphics.drawArc(int, int, int, int, int, int)
drawBytes found in:
Class DebugGraphics.drawBytes(byte[], int, int, int, int)
Class Graphics.drawBytes(byte[], int, int, int, int)
drawChars found in:
Class DebugGraphics.drawChars(char[], int, int, int, int)
Class Graphics.drawChars(char[], int, int, int, int)
drawImage found in:
Class DebugGraphics.drawImage(java.awt.Image, int, int, java.awt.image.ImageObserver)
Class Graphics.drawImage(java.awt.Image, int, int, java.awt.image.ImageObserver)
Class Graphics2D.drawImage(java.awt.Image, java.awt.geom.AffineTransform, java.awt.image.ImageObserver)
drawLine found in:
Class DebugGraphics.drawLine(int, int, int, int)
Class Graphics.drawLine(int, int, int, int)
Class PlainView.drawLine(int, java.awt.Graphics, int, int)
Class WrappedPlainView.drawLine(int, int, java.awt.Graphics, int, int)
drawOval found in:
Class DebugGraphics.drawOval(int, int, int, int)
Class Graphics.drawOval(int, int, int, int)
drawPolygon found in:
Class DebugGraphics.drawPolygon(int[], int[], int)
Class Graphics.drawPolygon(int[], int[], int)
drawPolyline found in:
Class DebugGraphics.drawPolyline(int[], int[], int)
Class Graphics.drawPolyline(int[], int[], int)
drawRect found in:
Class DebugGraphics.drawRect(int, int, int, int)
Class Graphics.drawRect(int, int, int, int)
drawRoundRect found in:
Class DebugGraphics.drawRoundRect(int, int, int, int, int, int)
Class Graphics.drawRoundRect(int, int, int, int, int, int)
drawSelectedText found in:
Class PasswordView.drawSelectedText(java.awt.Graphics, int, int, int, int)
Class PlainView.drawSelectedText(java.awt.Graphics, int, int, int, int)
Class WrappedPlainView.drawSelectedText(java.awt.Graphics, int, int, int, int)
drawString found in:
Class BasicGraphicsUtils.drawString(java.awt.Graphics, java.lang.String, int, int, int)
Class DebugGraphics.drawString(java.lang.String, int, int)
Class Graphics.drawString(java.lang.String, int, int)
Class Graphics2D.drawString(java.lang.String, int, int)
drawUnselectedText found in:
Class PasswordView.drawUnselectedText(java.awt.Graphics, int, int, int, int)
Class PlainView.drawUnselectedText(java.awt.Graphics, int, int, int, int)
Class WrappedPlainView.drawUnselectedText(java.awt.Graphics, int, int, int, int)


DriverManager found in:
Class DriverManager
DriverManager


drop found in:
Class DropTarget.drop(java.awt.dnd.DropTargetDropEvent)
Interface DropTargetListener.drop(java.awt.dnd.DropTargetDropEvent)
dropActionChanged found in:
Class DragSourceContext.dropActionChanged(java.awt.dnd.DragSourceDragEvent)
Class DropTarget.dropActionChanged(java.awt.dnd.DropTargetDragEvent)
Interface DragSourceListener.dropActionChanged(java.awt.dnd.DragSourceDragEvent)
Interface DropTargetListener.dropActionChanged(java.awt.dnd.DropTargetDragEvent)
dropComplete found in:
Class DropTargetContext.dropComplete(boolean)
Class DropTargetDropEvent.dropComplete(boolean)


DSAKeyPairGenerator found in:
How to Implement a Provider for the Java Cryptography Architecture
Interface DSAKeyPairGenerator
DSAParameterSpec found in:
Class DSAParameterSpec
How to Implement a Provider for the Java Cryptography Architecture
Java Cryptography Architecture
DSAParams found in:
How to Implement a Provider for the Java Cryptography Architecture
Interface DSAParams
DSAPrivateKeySpec found in:
Class DSAPrivateKeySpec
How to Implement a Provider for the Java Cryptography Architecture
Java Cryptography Architecture
DSAPublicKeySpec found in:
Class DSAPublicKeySpec
How to Implement a Provider for the Java Cryptography Architecture
Java Cryptography Architecture
DSI found in:
Developing Servers
Glossary


dump found in:
Class AbstractDocument.dump(java.io.PrintStream)
Class AbstractElement.dump(java.io.PrintStream, int)


E found in:
Class Math.E
Class MediaType.E
Class StrictMath.E
E-Index found in:
E-Index
E-Index
EAST found in:
Class BorderLayout.EAST
Class GridBagConstraints.EAST
Interface SwingConstants.EAST


echoCharIsSet found in:
Class JPasswordField.echoCharIsSet()
Class TextField.echoCharIsSet()


EditEntry found in:
Policy Tool - Policy File Creation and Management Tool
Policy Tool - Policy File Creation and Management Tool


editingCanceled found in:
Class AccessibleJTable.editingCanceled(javax.swing.event.ChangeEvent)
Class CellEditorHandler.editingCanceled(javax.swing.event.ChangeEvent)
Class JTable.editingCanceled(javax.swing.event.ChangeEvent)
Interface CellEditorListener.editingCanceled(javax.swing.event.ChangeEvent)
editingComponent found in:
Class BasicTreeUI.editingComponent
Class DefaultTreeCellEditor.editingComponent
editingRow found in:
Class BasicTreeUI.editingRow
Class JTable.editingRow
editingStopped found in:
Class AccessibleJTable.editingStopped(javax.swing.event.ChangeEvent)
Class CellEditorHandler.editingStopped(javax.swing.event.ChangeEvent)
Class JTable.editingStopped(javax.swing.event.ChangeEvent)
Interface CellEditorListener.editingStopped(javax.swing.event.ChangeEvent)
editor found in:
Class BasicComboBoxEditor.editor
Class BasicComboBoxUI.editor
Class JComboBox.editor
editorBorderInsets found in:
Class MetalComboBoxEditor.editorBorderInsets
Class TableHeaderBorder.editorBorderInsets


EditPerm found in:
Policy Tool - Policy File Creation and Management Tool
Policy Tool - Policy File Creation and Management Tool


Element found in:
Class Element
Interface Element


elementAt found in:
Class DefaultListModel.elementAt(int)
Class Vector.elementAt(int)


elements found in:
Class DefaultListModel.elements()
Class Dictionary.elements()
Class DTD.elements
Class Hashtable.elements()
Class PermissionCollection.elements()
Class Permissions.elements()
Class Vector.elements()


EMPTY found in:
Class SimpleAttributeSet.EMPTY
Interface DTDConstants.EMPTY


empty found in:
Class ContentModel.empty()
Class Stack.empty()


enable found in:
Class Compiler.enable()
Class Component.enable()
Class JComponent.enable()
Class MenuItem.enable()
Interface EventRequest.enable()


ENABLED found in:
Class AccessibleState.ENABLED
Class DefaultButtonModel.ENABLED


enableEvents found in:
Class Component.enableEvents(long)
Class MenuItem.enableEvents(long)


enableInputMethods found in:
Class Component.enableInputMethods(boolean)
Class TextComponent.enableInputMethods(boolean)


encode found in:
Class URLEncoder.encode(java.lang.String)
Interface Certificate.encode(java.io.OutputStream)
Interface JPEGImageEncoder.encode(java.awt.image.BufferedImage)


EncodeCertificate found in:
keytool-Key and Certificate Management Tool
keytool-Key and Certificate Management Tool


EncodedKeySpec found in:
Class EncodedKeySpec
How to Implement a Provider for the Java Cryptography Architecture
Java Cryptography Architecture


encoding found in:
Class AudioFormat.encoding
Class Properties.encoding
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


end found in:
Class BlockAction.end(javax.swing.text.html.HTML.Tag)
Class CharacterAction.end(javax.swing.text.html.HTML.Tag)
Class CompoundEdit.end()
Class Deflater.end()
Class FormAction.end(javax.swing.text.html.HTML.Tag)
Class HiddenAction.end(javax.swing.text.html.HTML.Tag)
Class Inflater.end()
Class ParagraphAction.end(javax.swing.text.html.HTML.Tag)
Class PreAction.end(javax.swing.text.html.HTML.Tag)
Class PrintJob.end()
Class StateEdit.end()
Class TagAction.end(javax.swing.text.html.HTML.Tag)
Class UndoManager.end()


ENDCOM found in:
Class ZipEntry.ENDCOM
Class ZipFile.ENDCOM
Class ZipInputStream.ENDCOM
Class ZipOutputStream.ENDCOM


endComposition found in:
Class InputContext.endComposition()
Interface InputMethod.endComposition()
endDraggingFrame found in:
Class DefaultDesktopManager.endDraggingFrame(javax.swing.JComponent)
Interface DesktopManager.endDraggingFrame(javax.swing.JComponent)


ENDHDR found in:
Class ZipEntry.ENDHDR
Class ZipFile.ENDHDR
Class ZipInputStream.ENDHDR
Class ZipOutputStream.ENDHDR


ENDOFF found in:
Class ZipEntry.ENDOFF
Class ZipFile.ENDOFF
Class ZipInputStream.ENDOFF
Class ZipOutputStream.ENDOFF


endResizingFrame found in:
Class DefaultDesktopManager.endResizingFrame(javax.swing.JComponent)
Interface DesktopManager.endResizingFrame(javax.swing.JComponent)


ENDSIG found in:
Class ZipEntry.ENDSIG
Class ZipFile.ENDSIG
Class ZipInputStream.ENDSIG
Class ZipOutputStream.ENDSIG
ENDSIZ found in:
Class ZipEntry.ENDSIZ
Class ZipFile.ENDSIZ
Class ZipInputStream.ENDSIZ
Class ZipOutputStream.ENDSIZ
ENDSUB found in:
Class ZipEntry.ENDSUB
Class ZipFile.ENDSUB
Class ZipInputStream.ENDSUB
Class ZipOutputStream.ENDSUB


endsWith found in:
Class CompositeName.endsWith(javax.naming.Name)
Class CompoundName.endsWith(javax.naming.Name)
Class String.endsWith(java.lang.String)
Interface Name.endsWith(javax.naming.Name)
endTag found in:
Class HTMLWriter.endTag(javax.swing.text.Element)
Class Parser.endTag(boolean)


ENDTAG found in:
Class Attribute.ENDTAG
Interface DTDConstants.ENDTAG
ENDTOT found in:
Class ZipEntry.ENDTOT
Class ZipFile.ENDTOT
Class ZipInputStream.ENDTOT
Class ZipOutputStream.ENDTOT


Engine found in:
How to Implement a Provider for the Java Cryptography Architecture
Java Cryptography Architecture


engineInit found in:
Class AlgorithmParameterGeneratorSpi.engineInit(int, java.security.SecureRandom)
Class AlgorithmParametersSpi.engineInit(java.security.spec.AlgorithmParameterSpec)
engineUpdate found in:
Class MessageDigestSpi.engineUpdate(byte)
Class SignatureSpi.engineUpdate(byte)


ensureCapacity found in:
Class ArrayList.ensureCapacity(int)
Class DefaultListModel.ensureCapacity(int)
Class StringBuffer.ensureCapacity(int)
Class Vector.ensureCapacity(int)
ensureFileIsVisible found in:
Class BasicFileChooserUI.ensureFileIsVisible(javax.swing.JFileChooser, java.io.File)
Class FileChooserUI.ensureFileIsVisible(javax.swing.JFileChooser, java.io.File)
Class JFileChooser.ensureFileIsVisible(java.io.File)
Class MetalFileChooserUI.ensureFileIsVisible(javax.swing.JFileChooser, java.io.File)
Class MultiFileChooserUI.ensureFileIsVisible(javax.swing.JFileChooser, java.io.File)


ENTER found in:
Class DragSourceContext.ENTER
Class Event.ENTER


entries found in:
Class JarFile.entries()
Class ZipFile.entries()
Interface Acl.entries()


EntryDone found in:
Policy Tool - Policy File Creation and Management Tool
Policy Tool - Policy File Creation and Management Tool


entrySet found in:
Class AbstractMap.entrySet()
Class Attributes.entrySet()
Class HashMap.entrySet()
Class Hashtable.entrySet()
Class Provider.entrySet()
Class RenderingHints.entrySet()
Class TreeMap.entrySet()
Class WeakHashMap.entrySet()
Interface Map.entrySet()


enumerate found in:
Class Thread.enumerate(java.lang.Thread[])
Class ThreadGroup.enumerate(java.lang.Thread[])


env var found in:
Setting the class path
Setting the class path
environment found in:
Class CannotProceedException.environment
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
oldjdb - The Old Java Debugger


equal found in:
Class Any.equal(org.omg.CORBA.Any)
Class TypeCode.equal(org.omg.CORBA.TypeCode)
equals found in:
Class AbstractList.equals(java.lang.Object)
Class AbstractMap.equals(java.lang.Object)
Class AbstractSet.equals(java.lang.Object)
Class AccessControlContext.equals(java.lang.Object)
Class ActivationDesc.equals(java.lang.Object)
Class ActivationGroupDesc.equals(java.lang.Object)
Class ActivationGroupID.equals(java.lang.Object)
Class ActivationID.equals(java.lang.Object)
Class AffineTransform.equals(java.lang.Object)
Class AllPermission.equals(java.lang.Object)
Class AlphaComposite.equals(java.lang.Object)
Class Area.equals(java.awt.geom.Area)
Class Arrays.equals(long[], long[])
Class Attribute.equals(java.lang.Object)
Class Attributes.equals(java.lang.Object)
Class BasicAttribute.equals(java.lang.Object)
Class BasicAttributes.equals(java.lang.Object)
Class BasicPermission.equals(java.lang.Object)
Class BasicStroke.equals(java.lang.Object)
Class BigDecimal.equals(java.lang.Object)
Class BigInteger.equals(java.lang.Object)
Class BinaryRefAddr.equals(java.lang.Object)
Class BitSet.equals(java.lang.Object)
Class Boolean.equals(java.lang.Object)
Class Byte.equals(java.lang.Object)
Class Calendar.equals(java.lang.Object)
Class Certificate.equals(java.lang.Object)
Class Character.equals(java.lang.Object)
Class ChoiceFormat.equals(java.lang.Object)
Class CodeSource.equals(java.lang.Object)
Class CollationKey.equals(java.lang.Object)
Class Collator.equals(java.lang.String, java.lang.String)
Class Color.equals(java.lang.Object)
Class ColorModel.equals(java.lang.Object)
Class CommandEnvironment.equals(java.lang.Object)
Class ComponentColorModel.equals(java.lang.Object)
Class CompositeName.equals(java.lang.Object)
Class CompoundName.equals(java.lang.Object)
Class Constructor.equals(java.lang.Object)
Class DataFlavor.equals(java.lang.Object)
Class Date.equals(java.lang.Object)
Class DateFormat.equals(java.lang.Object)
Class DateFormatSymbols.equals(java.lang.Object)
Class DecimalFormat.equals(java.lang.Object)
Class DecimalFormatSymbols.equals(java.lang.Object)
Class DefaultCaret.equals(java.lang.Object)
Class Delegate.equals(org.omg.CORBA.Object, java.lang.Object)
Class Dimension.equals(java.lang.Object)
Class Double.equals(java.lang.Object)
Class Encoding.equals(java.lang.Object)
Class Field.equals(java.lang.Object)
Class FieldPosition.equals(java.lang.Object)
Class File.equals(java.lang.Object)
Class FilePermission.equals(java.lang.Object)
Class Float.equals(java.lang.Object)
Class Font.equals(java.lang.Object)
Class GlyphVector.equals(java.awt.font.GlyphVector)
Class GregorianCalendar.equals(java.lang.Object)
Class Hashtable.equals(java.lang.Object)
Class Identity.equals(java.lang.Object)
Class ImageGraphicAttribute.equals(java.lang.Object)
Class InetAddress.equals(java.lang.Object)
Class Info.equals(java.lang.Object)
Class Info.equals(java.lang.Object)
Class Info.equals(java.lang.Object)
Class Insets.equals(java.lang.Object)
Class Integer.equals(java.lang.Object)
Class JobAttributes.equals(java.lang.Object)
Class Key.equals(java.lang.Object)
Class KeyStroke.equals(java.lang.Object)
Class Locale.equals(java.lang.Object)
Class Long.equals(java.lang.Object)
Class Manifest.equals(java.lang.Object)
Class MarshalledObject.equals(java.lang.Object)
Class MenuShortcut.equals(java.awt.MenuShortcut)
Class MessageFormat.equals(java.lang.Object)
Class Method.equals(java.lang.Object)
Class Name.equals(java.lang.Object)
Class NumberFormat.equals(java.lang.Object)
Class Object.equals(java.lang.Object)
Class ObjectImpl.equals(java.lang.Object)
Class ObjID.equals(java.lang.Object)
Class PackedColorModel.equals(java.lang.Object)
Class PageAttributes.equals(java.lang.Object)
Class ParsePosition.equals(java.lang.Object)
Class Permission.equals(java.lang.Object)
Class Point.equals(java.lang.Object)
Class Point2D.equals(java.lang.Object)
Class PropertyPermission.equals(java.lang.Object)
Class Rectangle.equals(java.lang.Object)
Class Rectangle2D.equals(java.lang.Object)
Class RefAddr.equals(java.lang.Object)
Class Reference.equals(java.lang.Object)
Class RemoteObject.equals(java.lang.Object)
Class RenderingHints.equals(java.lang.Object)
Class ReverbType.equals(java.lang.Object)
Class RuleBasedCollator.equals(java.lang.Object)
Class ShapeGraphicAttribute.equals(java.lang.Object)
Class Short.equals(java.lang.Object)
Class SimpleAttributeSet.equals(java.lang.Object)
Class SimpleDateFormat.equals(java.lang.Object)
Class SimpleTimeZone.equals(java.lang.Object)
Class SmallAttributeSet.equals(java.lang.Object)
Class SocketPermission.equals(java.lang.Object)
Class String.equals(java.lang.Object)
Class StringCharacterIterator.equals(java.lang.Object)
Class Stub.equals(java.lang.Object)
Class Subset.equals(java.lang.Object)
Class SyncMode.equals(java.lang.Object)
Class TabStop.equals(java.lang.Object)
Class TextHitInfo.equals(java.lang.Object)
Class TextLayout.equals(java.lang.Object)
Class Timestamp.equals(java.sql.Timestamp)
Class TreePath.equals(java.lang.Object)
Class Type.equals(java.lang.Object)
Class Type.equals(java.lang.Object)
Class Type.equals(java.lang.Object)
Class UID.equals(java.lang.Object)
Class UnknownTag.equals(java.lang.Object)
Class UnresolvedPermission.equals(java.lang.Object)
Class URL.equals(java.lang.Object)
Class URLStreamHandler.equals(java.net.URL, java.net.URL)
Class Vector.equals(java.lang.Object)
Class VMID.equals(java.lang.Object)
Class X509CRL.equals(java.lang.Object)
Class X509CRLEntry.equals(java.lang.Object)
Interface BooleanValue.equals(java.lang.Object)
Interface ByteValue.equals(java.lang.Object)
Interface CharValue.equals(java.lang.Object)
Interface Collection.equals(java.lang.Object)
Interface Comparator.equals(java.lang.Object)
Interface DoubleValue.equals(java.lang.Object)
Interface Entry.equals(java.lang.Object)
Interface Field.equals(java.lang.Object)
Interface FloatValue.equals(java.lang.Object)
Interface IntegerValue.equals(java.lang.Object)
Interface List.equals(java.lang.Object)
Interface LocalVariable.equals(java.lang.Object)
Interface Location.equals(java.lang.Object)
Interface LongValue.equals(java.lang.Object)
Interface Map.equals(java.lang.Object)
Interface Method.equals(java.lang.Object)
Interface ObjectReference.equals(java.lang.Object)
Interface Permission.equals(java.lang.Object)
Interface Principal.equals(java.lang.Object)
Interface ReferenceType.equals(java.lang.Object)
Interface Set.equals(java.lang.Object)
Interface ShortValue.equals(java.lang.Object)
Interface StubDelegate.equals(javax.rmi.CORBA.Stub, java.lang.Object)
Interface VoidValue.equals(java.lang.Object)


err found in:
Class FileDescriptor.err
Class System.err


Error found in:
Class Error
Java(tm) Debug Wire Protocol


errors found in:
Interface PackageDoc.errors()
Java(TM) IDL FAQ
Java(tm) Virtual Machine Debug Interface Reference


EVENT found in:
Guidelines for LDAP Service Providers
JNDI/LDAP Service Provider
Event found in:
Class Event
Interface Event


EventQueue found in:
Class EventQueue
Interface EventQueue


events found in:
Class DragGestureRecognizer.events
Class Track.events
Java(tm) Virtual Machine Debug Interface Reference


EventType found in:
Class EventType
Class EventType


ExAddEntry found in:
Policy Tool - Policy File Creation and Management Tool
Policy Tool - Policy File Creation and Management Tool
ExAddSignedByEntry found in:
Policy Tool - Policy File Creation and Management Tool
Policy Tool - Policy File Creation and Management Tool


examples found in:
Dynamic Proxy Classes
jar-The Java Archive Tool
jar-The Java Archive Tool
javac - Java programming language compiler
javac - Java programming language compiler
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
javald - the wrapper creator for java applications


EXAMPLES found in:
keytool-Key and Certificate Management Tool
keytool-Key and Certificate Management Tool
Examples found in:
Default Policy Implementation and Policy File Syntax
Java Cryptography Architecture
Policy Tool - Policy File Creation and Management Tool
Policy Tool - Policy File Creation and Management Tool


except found in:
Class ServerRequest.except(org.omg.CORBA.Any)
Class UnknownUserException.except
Developing a Client Applet
Developing a Client Application
Developing the Hello World Server


exception found in:
Class Environment.exception()
Class InvocationException.exception()
Interface ExceptionEvent.exception()
Interface ExceptionRequest.exception()
Interface ThrowsTag.exception()


exceptions found in:
Class Request.exceptions()
Interface PackageDoc.exceptions()


ExecOptionPermission found in:
rmid - The Java RMI Activation System Daemon
rmid - The Java RMI Activation System Daemon
ExecPermission found in:
rmid - The Java RMI Activation System Daemon
rmid - The Java RMI Activation System Daemon
ExecPolicyOption found in:
rmid - The Java RMI Activation System Daemon
rmid - The Java RMI Activation System Daemon


execute found in:
Interface PreparedStatement.execute()
Interface Statement.execute(java.lang.String)
executeQuery found in:
Interface PreparedStatement.executeQuery()
Interface Statement.executeQuery(java.lang.String)
executeUpdate found in:
Interface PreparedStatement.executeUpdate()
Interface Statement.executeUpdate(java.lang.String)


ExExit found in:
Policy Tool - Policy File Creation and Management Tool
Policy Tool - Policy File Creation and Management Tool


exit found in:
Class Runtime.exit(int)
Class System.exit(int)
Interface VirtualMachine.exit(int)


ExitTool found in:
Policy Tool - Policy File Creation and Management Tool
Policy Tool - Policy File Creation and Management Tool


exp found in:
Class Math.exp(double)
Class StrictMath.exp(double)


ExportCertificate found in:
keytool-Key and Certificate Management Tool
keytool-Key and Certificate Management Tool


exportCmd found in:
keytool-Key and Certificate Management Tool
keytool-Key and Certificate Management Tool


exportObject found in:
Class Activatable.exportObject(java.rmi.Remote, java.lang.String, java.rmi.MarshalledObject, boolean, int)
Class PortableRemoteObject.exportObject(java.rmi.Remote)
Class UnicastRemoteObject.exportObject(java.rmi.Remote)
Interface PortableRemoteObjectDelegate.exportObject(java.rmi.Remote)
Interface ServerRef.exportObject(java.rmi.Remote, java.lang.Object)


ExSaveFile found in:
Policy Tool - Policy File Creation and Management Tool
Policy Tool - Policy File Creation and Management Tool
ExSpecifyKeystore found in:
Policy Tool - Policy File Creation and Management Tool
Policy Tool - Policy File Creation and Management Tool
ExStartingCreation found in:
Policy Tool - Policy File Creation and Management Tool
Policy Tool - Policy File Creation and Management Tool


extcheck - Jar conflict detection utility found in:
extcheck - Jar conflict detection utility
extcheck - Jar conflict detection utility


EXTCRC found in:
Class ZipEntry.EXTCRC
Class ZipFile.EXTCRC
Class ZipInputStream.EXTCRC
Class ZipOutputStream.EXTCRC


extdirs found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
extendedOperation found in:
Class InitialLdapContext.extendedOperation(javax.naming.ldap.ExtendedRequest)
Interface LdapContext.extendedOperation(javax.naming.ldap.ExtendedRequest)


extent found in:
Class Double.extent
Class Float.extent


Externalization with an Externalizable SuperClass found in:
Externalization with an Externalizable SuperClass
Externalization with an Externalizable SuperClass
Externalization with an Externalizable SuperClass
Externalization with an NonExternalizable SuperClass found in:
Externalization with an NonExternalizable SuperClass
Externalization with an NonExternalizable SuperClass
Externalization with an NonExternalizable SuperClass


externalreferencedclasses found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


EXTHDR found in:
Class ZipEntry.EXTHDR
Class ZipFile.EXTHDR
Class ZipInputStream.EXTHDR
Class ZipOutputStream.EXTHDR
EXTLEN found in:
Class ZipEntry.EXTLEN
Class ZipFile.EXTLEN
Class ZipInputStream.EXTLEN
Class ZipOutputStream.EXTLEN


extract found in:
Class AlreadyBoundHelper.extract(org.omg.CORBA.Any)
Class AnySeqHelper.extract(org.omg.CORBA.Any)
Class BindingHelper.extract(org.omg.CORBA.Any)
Class BindingIteratorHelper.extract(org.omg.CORBA.Any)
Class BindingListHelper.extract(org.omg.CORBA.Any)
Class BindingTypeHelper.extract(org.omg.CORBA.Any)
Class BooleanSeqHelper.extract(org.omg.CORBA.Any)
Class CannotProceedHelper.extract(org.omg.CORBA.Any)
Class CharSeqHelper.extract(org.omg.CORBA.Any)
Class CompletionStatusHelper.extract(org.omg.CORBA.Any)
Class CurrentHelper.extract(org.omg.CORBA.Any)
Class DefinitionKindHelper.extract(org.omg.CORBA.Any)
Class DoubleSeqHelper.extract(org.omg.CORBA.Any)
Class FieldNameHelper.extract(org.omg.CORBA.Any)
Class FloatSeqHelper.extract(org.omg.CORBA.Any)
Class IdentifierHelper.extract(org.omg.CORBA.Any)
Class IDLTypeHelper.extract(org.omg.CORBA.Any)
Class InvalidNameHelper.extract(org.omg.CORBA.Any)
Class IstringHelper.extract(org.omg.CORBA.Any)
Class LongLongSeqHelper.extract(org.omg.CORBA.Any)
Class LongSeqHelper.extract(org.omg.CORBA.Any)
Class NameComponentHelper.extract(org.omg.CORBA.Any)
Class NameHelper.extract(org.omg.CORBA.Any)
Class NameValuePairHelper.extract(org.omg.CORBA.Any)
Class NamingContextHelper.extract(org.omg.CORBA.Any)
Class NotEmptyHelper.extract(org.omg.CORBA.Any)
Class NotFoundHelper.extract(org.omg.CORBA.Any)
Class NotFoundReasonHelper.extract(org.omg.CORBA.Any)
Class ObjectHelper.extract(org.omg.CORBA.Any)
Class OctetSeqHelper.extract(org.omg.CORBA.Any)
Class PolicyHelper.extract(org.omg.CORBA.Any)
Class PolicyListHelper.extract(org.omg.CORBA.Any)
Class PolicyTypeHelper.extract(org.omg.CORBA.Any)
Class RepositoryIdHelper.extract(org.omg.CORBA.Any)
Class ServiceDetailHelper.extract(org.omg.CORBA.Any)
Class ServiceInformationHelper.extract(org.omg.CORBA.Any)
Class SetOverrideTypeHelper.extract(org.omg.CORBA.Any)
Class ShortSeqHelper.extract(org.omg.CORBA.Any)
Class StringValueHelper.extract(org.omg.CORBA.Any)
Class StructMemberHelper.extract(org.omg.CORBA.Any)
Class ULongLongSeqHelper.extract(org.omg.CORBA.Any)
Class ULongSeqHelper.extract(org.omg.CORBA.Any)
Class UnionMemberHelper.extract(org.omg.CORBA.Any)
Class UShortSeqHelper.extract(org.omg.CORBA.Any)
Class ValueBaseHelper.extract(org.omg.CORBA.Any)
Class ValueMemberHelper.extract(org.omg.CORBA.Any)
Class VersionSpecHelper.extract(org.omg.CORBA.Any)
Class VisibilityHelper.extract(org.omg.CORBA.Any)
Class WCharSeqHelper.extract(org.omg.CORBA.Any)
Class WStringValueHelper.extract(org.omg.CORBA.Any)


EXTSIG found in:
Class ZipEntry.EXTSIG
Class ZipFile.EXTSIG
Class ZipInputStream.EXTSIG
Class ZipOutputStream.EXTSIG
EXTSIZ found in:
Class ZipEntry.EXTSIZ
Class ZipFile.EXTSIZ
Class ZipInputStream.EXTSIZ
Class ZipOutputStream.EXTSIZ
E_RESIZE_CURSOR found in:
Class Cursor.E_RESIZE_CURSOR
Class Frame.E_RESIZE_CURSOR


F4 found in:
Class Event.F4
Class RSAKeyGenParameterSpec.F4


Family found in:
Class CharacterConstants.Family
Class FontConstants.Family


fd found in:
Class DatagramSocketImpl.fd
Class SocketImpl.fd


field found in:
Interface WatchpointEvent.field()
Interface WatchpointRequest.field()
Java(tm) Virtual Machine Debug Interface Reference


Field found in:
Class Field
Interface Field


fieldexample found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


fields found in:
Class Calendar.fields
Interface ClassDoc.fields()
Interface ReferenceType.fields()
fieldtags found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


FileContents found in:
Policy Tool - Policy File Creation and Management Tool
Policy Tool - Policy File Creation and Management Tool
FileFilter found in:
Class FileFilter
Interface FileFilter


FilePermission found in:
Class FilePermission
Permissions in the Java(TM) 2 SDK


filestructure found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
What's New in Javadoc 1.2


fill found in:
Class Arrays.fill(long[], long)
Class Collections.fill(java.util.List, java.lang.Object)
Class Graphics2D.fill(java.awt.Shape)
Class GridBagConstraints.fill
Class InflaterInputStream.fill()
fill3DRect found in:
Class DebugGraphics.fill3DRect(int, int, int, int, boolean)
Class Graphics.fill3DRect(int, int, int, int, boolean)
Class Graphics2D.fill3DRect(int, int, int, int, boolean)
fillArc found in:
Class DebugGraphics.fillArc(int, int, int, int, int, int)
Class Graphics.fillArc(int, int, int, int, int, int)


fillOval found in:
Class DebugGraphics.fillOval(int, int, int, int)
Class Graphics.fillOval(int, int, int, int)
fillPolygon found in:
Class DebugGraphics.fillPolygon(int[], int[], int)
Class Graphics.fillPolygon(int[], int[], int)
fillRect found in:
Class DebugGraphics.fillRect(int, int, int, int)
Class Graphics.fillRect(int, int, int, int)
fillRoundRect found in:
Class DebugGraphics.fillRoundRect(int, int, int, int, int, int)
Class Graphics.fillRoundRect(int, int, int, int, int, int)
filter found in:
Class AffineTransformOp.filter(java.awt.image.BufferedImage, java.awt.image.BufferedImage)
Class BandCombineOp.filter(java.awt.image.Raster, java.awt.image.WritableRaster)
Class ColorConvertOp.filter(java.awt.image.BufferedImage, java.awt.image.BufferedImage)
Class ConvolveOp.filter(java.awt.image.BufferedImage, java.awt.image.BufferedImage)
Class LookupOp.filter(java.awt.image.BufferedImage, java.awt.image.BufferedImage)
Class RescaleOp.filter(java.awt.image.BufferedImage, java.awt.image.BufferedImage)
Interface BufferedImageOp.filter(java.awt.image.BufferedImage, java.awt.image.BufferedImage)
Interface RasterOp.filter(java.awt.image.Raster, java.awt.image.WritableRaster)


filterRGB found in:
Class GrayFilter.filterRGB(int, int, int)
Class RGBImageFilter.filterRGB(int, int, int)


finalize found in:
Class AbstractElement.finalize()
Class AWTEvent.finalize()
Class ColorModel.finalize()
Class Cursor.finalize()
Class Deflater.finalize()
Class FileInputStream.finalize()
Class FileOutputStream.finalize()
Class Font.finalize()
Class Frame.finalize()
Class Graphics.finalize()
Class ICC_Profile.finalize()
Class IndexColorModel.finalize()
Class Inflater.finalize()
Class Object.finalize()
Class PrintJob.finalize()
Class Window.finalize()
Class ZipFile.finalize()
findClass found in:
Class ClassLoader.findClass(java.lang.String)
Class URLClassLoader.findClass(java.lang.String)
Interface ClassDoc.findClass(java.lang.String)
Interface PackageDoc.findClass(java.lang.String)


findColumn found in:
Class AbstractTableModel.findColumn(java.lang.String)
Interface ResultSet.findColumn(java.lang.String)
findResource found in:
Class ClassLoader.findResource(java.lang.String)
Class URLClassLoader.findResource(java.lang.String)
findResources found in:
Class ClassLoader.findResources(java.lang.String)
Class URLClassLoader.findResources(java.lang.String)
finish found in:
Class Deflater.finish()
Class DeflaterOutputStream.finish()
Class GZIPOutputStream.finish()
Class ZipOutputStream.finish()
finishDraggingTo found in:
Class BasicSplitPaneDivider.finishDraggingTo(int)
Class BasicSplitPaneUI.finishDraggingTo(int)
finished found in:
Class Deflater.finished()
Class Inflater.finished()
finishedPaintingChildren found in:
Class BasicSplitPaneUI.finishedPaintingChildren(javax.swing.JSplitPane, java.awt.Graphics)
Class MultiSplitPaneUI.finishedPaintingChildren(javax.swing.JSplitPane, java.awt.Graphics)
Class SplitPaneUI.finishedPaintingChildren(javax.swing.JSplitPane, java.awt.Graphics)
fireActionPerformed found in:
Class AbstractButton.fireActionPerformed(java.awt.event.ActionEvent)
Class DefaultButtonModel.fireActionPerformed(java.awt.event.ActionEvent)
Class JFileChooser.fireActionPerformed(java.lang.String)
Class JTextField.fireActionPerformed()
Class Timer.fireActionPerformed(java.awt.event.ActionEvent)
fireChangedUpdate found in:
Class AbstractDocument.fireChangedUpdate(javax.swing.event.DocumentEvent)
Class HTMLDocument.fireChangedUpdate(javax.swing.event.DocumentEvent)
fireContentsChanged found in:
Class AbstractListModel.fireContentsChanged(java.lang.Object, int, int)
Class BasicDirectoryModel.fireContentsChanged()
fireItemStateChanged found in:
Class AbstractButton.fireItemStateChanged(java.awt.event.ItemEvent)
Class DefaultButtonModel.fireItemStateChanged(java.awt.event.ItemEvent)
Class JComboBox.fireItemStateChanged(java.awt.event.ItemEvent)
firePropertyChange found in:
Class AbstractAction.firePropertyChange(java.lang.String, java.lang.Object, java.lang.Object)
Class AccessibleContext.firePropertyChange(java.lang.String, java.lang.Object, java.lang.Object)
Class BeanContextChildSupport.firePropertyChange(java.lang.String, java.lang.Object, java.lang.Object)
Class Component.firePropertyChange(java.lang.String, java.lang.Object, java.lang.Object)
Class DefaultListCellRenderer.firePropertyChange(java.lang.String, java.lang.Object, java.lang.Object)
Class DefaultTableCellRenderer.firePropertyChange(java.lang.String, java.lang.Object, java.lang.Object)
Class DefaultTreeCellRenderer.firePropertyChange(java.lang.String, java.lang.Object, java.lang.Object)
Class JComponent.firePropertyChange(java.lang.String, java.lang.Object, java.lang.Object)
Class JViewport.firePropertyChange(java.lang.String, java.lang.Object, java.lang.Object)
Class PropertyChangeSupport.firePropertyChange(java.lang.String, java.lang.Object, java.lang.Object)
Class PropertyEditorSupport.firePropertyChange()
Class SwingPropertyChangeSupport.firePropertyChange(java.lang.String, java.lang.Object, java.lang.Object)
Class UIDefaults.firePropertyChange(java.lang.String, java.lang.Object, java.lang.Object)
fireStateChanged found in:
Class AbstractButton.fireStateChanged()
Class DefaultBoundedRangeModel.fireStateChanged()
Class DefaultButtonModel.fireStateChanged()
Class DefaultCaret.fireStateChanged()
Class DefaultColorSelectionModel.fireStateChanged()
Class DefaultSingleSelectionModel.fireStateChanged()
Class JProgressBar.fireStateChanged()
Class JSlider.fireStateChanged()
Class JTabbedPane.fireStateChanged()
Class JViewport.fireStateChanged()
Class MenuSelectionManager.fireStateChanged()
Class NamedStyle.fireStateChanged()
fireUndoableEditUpdate found in:
Class AbstractDocument.fireUndoableEditUpdate(javax.swing.event.UndoableEditEvent)
Class HTMLDocument.fireUndoableEditUpdate(javax.swing.event.UndoableEditEvent)
fireValueChanged found in:
Class DefaultListSelectionModel.fireValueChanged(boolean)
Class DefaultTreeSelectionModel.fireValueChanged(javax.swing.event.TreeSelectionEvent)
Class JTree.fireValueChanged(javax.swing.event.TreeSelectionEvent)
fireVetoableChange found in:
Class BeanContextChildSupport.fireVetoableChange(java.lang.String, java.lang.Object, java.lang.Object)
Class JComponent.fireVetoableChange(java.lang.String, java.lang.Object, java.lang.Object)
Class VetoableChangeSupport.fireVetoableChange(java.lang.String, java.lang.Object, java.lang.Object)
first found in:
Class BreakIterator.first()
Class CardLayout.first(java.awt.Container)
Class ContentModel.first(java.lang.Object)
Class ElementIterator.first()
Class Segment.first()
Class StringCharacterIterator.first()
Class TreeSet.first()
Interface CharacterIterator.first()
Interface ResultSet.first()
Interface SortedSet.first()
Using CORBA
firstElement found in:
Class DefaultListModel.firstElement()
Class Vector.firstElement()
firstKey found in:
Class TreeMap.firstKey()
Interface SortedMap.firstKey()


FirstLineIndent found in:
Class ParagraphConstants.FirstLineIndent
Class StyleConstants.FirstLineIndent


firstRow found in:
Class AccessibleJTableModelChange.firstRow
Class TableModelEvent.firstRow
firstSentenceTags found in:
Interface Doc.firstSentenceTags()
Interface Tag.firstSentenceTags()


flipEastAndWestAtEnds found in:
Class BoxView.flipEastAndWestAtEnds(int, javax.swing.text.Position.Bias)
Class CompositeView.flipEastAndWestAtEnds(int, javax.swing.text.Position.Bias)
Class ParagraphView.flipEastAndWestAtEnds(int, javax.swing.text.Position.Bias)


FLOAT found in:
Class Attribute.FLOAT
Class Types.FLOAT
Float found in:
Class Float
Class Float
Class Float
Class Float
Class Float
Class Float
Class Float
Class Float
Class Float


floatValue found in:
Class BigDecimal.floatValue()
Class BigInteger.floatValue()
Class Byte.floatValue()
Class Double.floatValue()
Class Float.floatValue()
Class Integer.floatValue()
Class Long.floatValue()
Class Number.floatValue()
Class Short.floatValue()
Interface PrimitiveValue.floatValue()


floor found in:
Class Math.floor(double)
Class StrictMath.floor(double)


flush found in:
Class BufferedImage.flush()
Class BufferedOutputStream.flush()
Class BufferedWriter.flush()
Class CharArrayWriter.flush()
Class DataOutputStream.flush()
Class FilterOutputStream.flush()
Class FilterWriter.flush()
Class HTMLReader.flush()
Class Image.flush()
Class ObjectOutputStream.flush()
Class OutputStream.flush()
Class OutputStreamWriter.flush()
Class ParserCallback.flush()
Class PipedOutputStream.flush()
Class PipedWriter.flush()
Class PrintStream.flush()
Class PrintWriter.flush()
Class StringWriter.flush()
Class Writer.flush()
Interface DataLine.flush()
Interface ObjectOutput.flush()


focus found in:
Class BasicTabbedPaneUI.focus
Mouseless Operation


focusColor found in:
Class MetalButtonUI.focusColor
Class MetalRadioButtonUI.focusColor
Class MetalToggleButtonUI.focusColor


focusGained found in:
Class AccessibleAWTFocusHandler.focusGained(java.awt.event.FocusEvent)
Class AccessibleFocusHandler.focusGained(java.awt.event.FocusEvent)
Class AWTEventMulticaster.focusGained(java.awt.event.FocusEvent)
Class BasicButtonListener.focusGained(java.awt.event.FocusEvent)
Class BasicComboBoxEditor.focusGained(java.awt.event.FocusEvent)
Class DefaultCaret.focusGained(java.awt.event.FocusEvent)
Class FocusAdapter.focusGained(java.awt.event.FocusEvent)
Class FocusHandler.focusGained(java.awt.event.FocusEvent)
Class FocusHandler.focusGained(java.awt.event.FocusEvent)
Class FocusHandler.focusGained(java.awt.event.FocusEvent)
Class FocusHandler.focusGained(java.awt.event.FocusEvent)
Class FocusHandler.focusGained(java.awt.event.FocusEvent)
Class FocusHandler.focusGained(java.awt.event.FocusEvent)
Class LWTextComponent.focusGained(java.awt.event.FocusEvent)
Class ToolBarFocusListener.focusGained(java.awt.event.FocusEvent)
Interface FocusListener.focusGained(java.awt.event.FocusEvent)


FocusHandler found in:
Class FocusHandler
Class FocusHandler
Class FocusHandler
Class FocusHandler
Class FocusHandler
Class FocusHandler
Class FocusHandler


focusListener found in:
Class BasicComboBoxUI.focusListener
Class BasicListUI.focusListener
Class BasicSliderUI.focusListener
Class BasicSplitPaneUI.focusListener
Class BasicTabbedPaneUI.focusListener
Class BasicTableUI.focusListener


focusLost found in:
Class AccessibleAWTFocusHandler.focusLost(java.awt.event.FocusEvent)
Class AccessibleFocusHandler.focusLost(java.awt.event.FocusEvent)
Class AWTEventMulticaster.focusLost(java.awt.event.FocusEvent)
Class BasicButtonListener.focusLost(java.awt.event.FocusEvent)
Class BasicComboBoxEditor.focusLost(java.awt.event.FocusEvent)
Class DefaultCaret.focusLost(java.awt.event.FocusEvent)
Class FocusAdapter.focusLost(java.awt.event.FocusEvent)
Class FocusHandler.focusLost(java.awt.event.FocusEvent)
Class FocusHandler.focusLost(java.awt.event.FocusEvent)
Class FocusHandler.focusLost(java.awt.event.FocusEvent)
Class FocusHandler.focusLost(java.awt.event.FocusEvent)
Class FocusHandler.focusLost(java.awt.event.FocusEvent)
Class FocusHandler.focusLost(java.awt.event.FocusEvent)
Class FocusHandler.focusLost(java.awt.event.FocusEvent)
Class LWTextComponent.focusLost(java.awt.event.FocusEvent)
Class ToolBarFocusListener.focusLost(java.awt.event.FocusEvent)
Interface FocusListener.focusLost(java.awt.event.FocusEvent)


focusNextComponent found in:
Class DefaultFocusManager.focusNextComponent(java.awt.Component)
Class FocusManager.focusNextComponent(java.awt.Component)
focusPreviousComponent found in:
Class DefaultFocusManager.focusPreviousComponent(java.awt.Component)
Class FocusManager.focusPreviousComponent(java.awt.Component)


font found in:
Class DefaultTreeCellEditor.font
Class FontMetrics.font
Frequently Asked Questions - RMI and Object Serialization


FONT found in:
Class Attribute.FONT
Class Tag.FONT
Class TextAttribute.FONT


foot1 found in:
-
-
-
-
footer found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


Foreground found in:
Class CharacterConstants.Foreground
Class ColorConstants.Foreground
Class StyleConstants.Foreground
FORM found in:
Class Tag.FORM
JNDI/RMI Registry Service Provider


format found in:
Class AudioInputStream.format
Class ChoiceFormat.format(long, java.lang.StringBuffer, java.text.FieldPosition)
Class DateFormat.format(java.lang.Object, java.lang.StringBuffer, java.text.FieldPosition)
Class DecimalFormat.format(double, java.lang.StringBuffer, java.text.FieldPosition)
Class Format.format(java.lang.Object)
Class MessageFormat.format(java.lang.Object[], java.lang.StringBuffer, java.text.FieldPosition)
Class NumberFormat.format(java.lang.Object, java.lang.StringBuffer, java.text.FieldPosition)
Class SimpleDateFormat.format(java.util.Date, java.lang.StringBuffer, java.text.FieldPosition)


forwardUpdate found in:
Class BoxView.forwardUpdate(javax.swing.event.DocumentEvent.ElementChange, javax.swing.event.DocumentEvent, java.awt.Shape, javax.swing.text.ViewFactory)
Class TableView.forwardUpdate(javax.swing.event.DocumentEvent.ElementChange, javax.swing.event.DocumentEvent, java.awt.Shape, javax.swing.text.ViewFactory)
Class View.forwardUpdate(javax.swing.event.DocumentEvent.ElementChange, javax.swing.event.DocumentEvent, java.awt.Shape, javax.swing.text.ViewFactory)


FRAME found in:
Class AccessibleRole.FRAME
Class Tag.FRAME


frame found in:
Class BasicDesktopIconUI.frame
Class BasicInternalFrameTitlePane.frame
Class BasicInternalFrameUI.frame
Interface ThreadReference.frame(int)


frameSize found in:
Class AudioFormat.frameSize
Class AudioInputStream.frameSize


fromCIEXYZ found in:
Class ColorSpace.fromCIEXYZ(float[])
Class ICC_ColorSpace.fromCIEXYZ(float[])


fromRGB found in:
Class ColorSpace.fromRGB(float[])
Class ICC_ColorSpace.fromRGB(float[])
from_int found in:
Class BindingType.from_int(int)
Class CompletionStatus.from_int(int)
Class DefinitionKind.from_int(int)
Class NotFoundReason.from_int(int)
Class SetOverrideType.from_int(int)
Class TCKind.from_int(int)


future found in:
What's New in Javadoc 1.2
What's New in Javadoc 1.3


G-Index found in:
G-Index
G-Index


gc found in:
Class Runtime.gc()
Class System.gc()


Generated Documentation (Untitled) found in:
Generated Documentation (Untitled)
Generated Documentation (Untitled)


generateddocument found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
generatedfiles found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
generateKeyPair found in:
Class KeyPairGenerator.generateKeyPair()
Class KeyPairGeneratorSpi.generateKeyPair()
genkeyCmd found in:
keytool-Key and Certificate Management Tool
keytool-Key and Certificate Management Tool


get found in:
Class AbstractList.get(int)
Class AbstractMap.get(java.lang.Object)
Class AbstractSequentialList.get(int)
Class AccessibleRelationSet.get(java.lang.String)
Class ActionMap.get(java.lang.Object)
Class Array.get(java.lang.Object, int)
Class ArrayList.get(int)
Class Attributes.get(java.lang.Object)
Class BasicAttribute.get()
Class BasicAttributes.get(java.lang.String)
Class BitSet.get(int)
Class Calendar.get(int)
Class CompositeName.get(int)
Class CompoundName.get(int)
Class DefaultListModel.get(int)
Class Dictionary.get(java.lang.Object)
Class Field.get(java.lang.Object)
Class GetField.get(java.lang.String, boolean)
Class HashMap.get(java.lang.Object)
Class Hashtable.get(java.lang.Object)
Class InheritableThreadLocal.get()
Class InputMap.get(javax.swing.KeyStroke)
Class LinkedList.get(int)
Class MarshalledObject.get()
Class PhantomReference.get()
Class Reference.get()
Class Reference.get(java.lang.String)
Class RenderingHints.get(java.lang.Object)
Class SoftReference.get()
Class ThreadLocal.get()
Class Track.get(int)
Class TreeMap.get(java.lang.Object)
Class UIDefaults.get(java.lang.Object)
Class UIManager.get(java.lang.Object)
Class Vector.get(int)
Class WeakHashMap.get(java.lang.Object)
Interface Attribute.get()
Interface Attributes.get(java.lang.String)
Interface List.get(int)
Interface Map.get(java.lang.Object)
Interface Name.get(int)
Using Stringified Object References
getAcceleratorForeground found in:
Class MetalLookAndFeel.getAcceleratorForeground()
Class MetalTheme.getAcceleratorForeground()
getAcceleratorSelectedForeground found in:
Class MetalLookAndFeel.getAcceleratorSelectedForeground()
Class MetalTheme.getAcceleratorSelectedForeground()
getAcceptAllFileFilter found in:
Class BasicFileChooserUI.getAcceptAllFileFilter(javax.swing.JFileChooser)
Class FileChooserUI.getAcceptAllFileFilter(javax.swing.JFileChooser)
Class JFileChooser.getAcceptAllFileFilter()
Class MultiFileChooserUI.getAcceptAllFileFilter(javax.swing.JFileChooser)
getAccessibleAction found in:
Class AccessibleAbstractButton.getAccessibleAction()
Class AccessibleAWTButton.getAccessibleAction()
Class AccessibleAWTCheckbox.getAccessibleAction()
Class AccessibleAWTCheckboxMenuItem.getAccessibleAction()
Class AccessibleAWTChoice.getAccessibleAction()
Class AccessibleAWTMenuItem.getAccessibleAction()
Class AccessibleContext.getAccessibleAction()
Class AccessibleJComboBox.getAccessibleAction()
Class AccessibleJListChild.getAccessibleAction()
Class AccessibleJTableCell.getAccessibleAction()
Class AccessibleJTableHeaderEntry.getAccessibleAction()
Class AccessibleJTreeNode.getAccessibleAction()
getAccessibleActionAnchor found in:
Class AccessibleHyperlink.getAccessibleActionAnchor(int)
Class HTMLLink.getAccessibleActionAnchor(int)
getAccessibleActionCount found in:
Class AccessibleAbstractButton.getAccessibleActionCount()
Class AccessibleAWTButton.getAccessibleActionCount()
Class AccessibleAWTCheckbox.getAccessibleActionCount()
Class AccessibleAWTCheckboxMenuItem.getAccessibleActionCount()
Class AccessibleAWTChoice.getAccessibleActionCount()
Class AccessibleAWTMenuItem.getAccessibleActionCount()
Class AccessibleHyperlink.getAccessibleActionCount()
Class AccessibleJComboBox.getAccessibleActionCount()
Class AccessibleJTreeNode.getAccessibleActionCount()
Class HTMLLink.getAccessibleActionCount()
Interface AccessibleAction.getAccessibleActionCount()
getAccessibleActionDescription found in:
Class AccessibleAbstractButton.getAccessibleActionDescription(int)
Class AccessibleAWTButton.getAccessibleActionDescription(int)
Class AccessibleAWTCheckbox.getAccessibleActionDescription(int)
Class AccessibleAWTCheckboxMenuItem.getAccessibleActionDescription(int)
Class AccessibleAWTChoice.getAccessibleActionDescription(int)
Class AccessibleAWTMenuItem.getAccessibleActionDescription(int)
Class AccessibleHyperlink.getAccessibleActionDescription(int)
Class AccessibleJComboBox.getAccessibleActionDescription(int)
Class AccessibleJTreeNode.getAccessibleActionDescription(int)
Class HTMLLink.getAccessibleActionDescription(int)
Interface AccessibleAction.getAccessibleActionDescription(int)
getAccessibleActionObject found in:
Class AccessibleHyperlink.getAccessibleActionObject(int)
Class HTMLLink.getAccessibleActionObject(int)
getAccessibleAt found in:
Class AccessibleAWTComponent.getAccessibleAt(java.awt.Point)
Class AccessibleAWTContainer.getAccessibleAt(java.awt.Point)
Class AccessibleAWTList.getAccessibleAt(java.awt.Point)
Class AccessibleAWTListChild.getAccessibleAt(java.awt.Point)
Class AccessibleAWTMenuComponent.getAccessibleAt(java.awt.Point)
Class AccessibleJList.getAccessibleAt(java.awt.Point)
Class AccessibleJListChild.getAccessibleAt(java.awt.Point)
Class AccessibleJTabbedPane.getAccessibleAt(java.awt.Point)
Class AccessibleJTable.getAccessibleAt(java.awt.Point)
Class AccessibleJTableCell.getAccessibleAt(java.awt.Point)
Class AccessibleJTableHeader.getAccessibleAt(java.awt.Point)
Class AccessibleJTableHeaderEntry.getAccessibleAt(java.awt.Point)
Class AccessibleJTree.getAccessibleAt(java.awt.Point)
Class AccessibleJTreeNode.getAccessibleAt(java.awt.Point)
Class SwingUtilities.getAccessibleAt(java.awt.Component, java.awt.Point)
Interface AccessibleComponent.getAccessibleAt(java.awt.Point)
Interface AccessibleTable.getAccessibleAt(int, int)
getAccessibleCaption found in:
Class AccessibleJTable.getAccessibleCaption()
Interface AccessibleTable.getAccessibleCaption()
getAccessibleChild found in:
Class AccessibleAWTComponent.getAccessibleChild(int)
Class AccessibleAWTContainer.getAccessibleChild(int)
Class AccessibleAWTList.getAccessibleChild(int)
Class AccessibleAWTListChild.getAccessibleChild(int)
Class AccessibleAWTMenuComponent.getAccessibleChild(int)
Class AccessibleContext.getAccessibleChild(int)
Class AccessibleImageIcon.getAccessibleChild(int)
Class AccessibleJComboBox.getAccessibleChild(int)
Class AccessibleJComponent.getAccessibleChild(int)
Class AccessibleJList.getAccessibleChild(int)
Class AccessibleJListChild.getAccessibleChild(int)
Class AccessibleJMenu.getAccessibleChild(int)
Class AccessibleJTabbedPane.getAccessibleChild(int)
Class AccessibleJTable.getAccessibleChild(int)
Class AccessibleJTableCell.getAccessibleChild(int)
Class AccessibleJTableHeader.getAccessibleChild(int)
Class AccessibleJTableHeaderEntry.getAccessibleChild(int)
Class AccessibleJTree.getAccessibleChild(int)
Class AccessibleJTreeNode.getAccessibleChild(int)
Class BasicComboBoxUI.getAccessibleChild(javax.swing.JComponent, int)
Class ComponentUI.getAccessibleChild(javax.swing.JComponent, int)
Class MultiButtonUI.getAccessibleChild(javax.swing.JComponent, int)
Class MultiColorChooserUI.getAccessibleChild(javax.swing.JComponent, int)
Class MultiComboBoxUI.getAccessibleChild(javax.swing.JComponent, int)
Class MultiDesktopIconUI.getAccessibleChild(javax.swing.JComponent, int)
Class MultiDesktopPaneUI.getAccessibleChild(javax.swing.JComponent, int)
Class MultiFileChooserUI.getAccessibleChild(javax.swing.JComponent, int)
Class MultiInternalFrameUI.getAccessibleChild(javax.swing.JComponent, int)
Class MultiLabelUI.getAccessibleChild(javax.swing.JComponent, int)
Class MultiListUI.getAccessibleChild(javax.swing.JComponent, int)
Class MultiMenuBarUI.getAccessibleChild(javax.swing.JComponent, int)
Class MultiMenuItemUI.getAccessibleChild(javax.swing.JComponent, int)
Class MultiOptionPaneUI.getAccessibleChild(javax.swing.JComponent, int)
Class MultiPanelUI.getAccessibleChild(javax.swing.JComponent, int)
Class MultiPopupMenuUI.getAccessibleChild(javax.swing.JComponent, int)
Class MultiProgressBarUI.getAccessibleChild(javax.swing.JComponent, int)
Class MultiScrollBarUI.getAccessibleChild(javax.swing.JComponent, int)
Class MultiScrollPaneUI.getAccessibleChild(javax.swing.JComponent, int)
Class MultiSeparatorUI.getAccessibleChild(javax.swing.JComponent, int)
Class MultiSliderUI.getAccessibleChild(javax.swing.JComponent, int)
Class MultiSplitPaneUI.getAccessibleChild(javax.swing.JComponent, int)
Class MultiTabbedPaneUI.getAccessibleChild(javax.swing.JComponent, int)
Class MultiTableHeaderUI.getAccessibleChild(javax.swing.JComponent, int)
Class MultiTableUI.getAccessibleChild(javax.swing.JComponent, int)
Class MultiTextUI.getAccessibleChild(javax.swing.JComponent, int)
Class MultiToolBarUI.getAccessibleChild(javax.swing.JComponent, int)
Class MultiToolTipUI.getAccessibleChild(javax.swing.JComponent, int)
Class MultiTreeUI.getAccessibleChild(javax.swing.JComponent, int)
Class MultiViewportUI.getAccessibleChild(javax.swing.JComponent, int)
Class SwingUtilities.getAccessibleChild(java.awt.Component, int)
getAccessibleChildrenCount found in:
Class AccessibleAWTComponent.getAccessibleChildrenCount()
Class AccessibleAWTContainer.getAccessibleChildrenCount()
Class AccessibleAWTList.getAccessibleChildrenCount()
Class AccessibleAWTListChild.getAccessibleChildrenCount()
Class AccessibleAWTMenuComponent.getAccessibleChildrenCount()
Class AccessibleContext.getAccessibleChildrenCount()
Class AccessibleImageIcon.getAccessibleChildrenCount()
Class AccessibleJComboBox.getAccessibleChildrenCount()
Class AccessibleJComponent.getAccessibleChildrenCount()
Class AccessibleJList.getAccessibleChildrenCount()
Class AccessibleJListChild.getAccessibleChildrenCount()
Class AccessibleJMenu.getAccessibleChildrenCount()
Class AccessibleJTabbedPane.getAccessibleChildrenCount()
Class AccessibleJTable.getAccessibleChildrenCount()
Class AccessibleJTableCell.getAccessibleChildrenCount()
Class AccessibleJTableHeader.getAccessibleChildrenCount()
Class AccessibleJTableHeaderEntry.getAccessibleChildrenCount()
Class AccessibleJTree.getAccessibleChildrenCount()
Class AccessibleJTreeNode.getAccessibleChildrenCount()
Class BasicComboBoxUI.getAccessibleChildrenCount(javax.swing.JComponent)
Class ComponentUI.getAccessibleChildrenCount(javax.swing.JComponent)
Class MultiButtonUI.getAccessibleChildrenCount(javax.swing.JComponent)
Class MultiColorChooserUI.getAccessibleChildrenCount(javax.swing.JComponent)
Class MultiComboBoxUI.getAccessibleChildrenCount(javax.swing.JComponent)
Class MultiDesktopIconUI.getAccessibleChildrenCount(javax.swing.JComponent)
Class MultiDesktopPaneUI.getAccessibleChildrenCount(javax.swing.JComponent)
Class MultiFileChooserUI.getAccessibleChildrenCount(javax.swing.JComponent)
Class MultiInternalFrameUI.getAccessibleChildrenCount(javax.swing.JComponent)
Class MultiLabelUI.getAccessibleChildrenCount(javax.swing.JComponent)
Class MultiListUI.getAccessibleChildrenCount(javax.swing.JComponent)
Class MultiMenuBarUI.getAccessibleChildrenCount(javax.swing.JComponent)
Class MultiMenuItemUI.getAccessibleChildrenCount(javax.swing.JComponent)
Class MultiOptionPaneUI.getAccessibleChildrenCount(javax.swing.JComponent)
Class MultiPanelUI.getAccessibleChildrenCount(javax.swing.JComponent)
Class MultiPopupMenuUI.getAccessibleChildrenCount(javax.swing.JComponent)
Class MultiProgressBarUI.getAccessibleChildrenCount(javax.swing.JComponent)
Class MultiScrollBarUI.getAccessibleChildrenCount(javax.swing.JComponent)
Class MultiScrollPaneUI.getAccessibleChildrenCount(javax.swing.JComponent)
Class MultiSeparatorUI.getAccessibleChildrenCount(javax.swing.JComponent)
Class MultiSliderUI.getAccessibleChildrenCount(javax.swing.JComponent)
Class MultiSplitPaneUI.getAccessibleChildrenCount(javax.swing.JComponent)
Class MultiTabbedPaneUI.getAccessibleChildrenCount(javax.swing.JComponent)
Class MultiTableHeaderUI.getAccessibleChildrenCount(javax.swing.JComponent)
Class MultiTableUI.getAccessibleChildrenCount(javax.swing.JComponent)
Class MultiTextUI.getAccessibleChildrenCount(javax.swing.JComponent)
Class MultiToolBarUI.getAccessibleChildrenCount(javax.swing.JComponent)
Class MultiToolTipUI.getAccessibleChildrenCount(javax.swing.JComponent)
Class MultiTreeUI.getAccessibleChildrenCount(javax.swing.JComponent)
Class MultiViewportUI.getAccessibleChildrenCount(javax.swing.JComponent)
Class SwingUtilities.getAccessibleChildrenCount(java.awt.Component)
getAccessibleColumnCount found in:
Class AccessibleJTable.getAccessibleColumnCount()
Interface AccessibleTable.getAccessibleColumnCount()
getAccessibleColumnDescription found in:
Class AccessibleJTable.getAccessibleColumnDescription(int)
Interface AccessibleTable.getAccessibleColumnDescription(int)
getAccessibleColumnExtentAt found in:
Class AccessibleJTable.getAccessibleColumnExtentAt(int, int)
Interface AccessibleTable.getAccessibleColumnExtentAt(int, int)
getAccessibleColumnHeader found in:
Class AccessibleJTable.getAccessibleColumnHeader()
Interface AccessibleTable.getAccessibleColumnHeader()
getAccessibleComponent found in:
Class AccessibleAWTComponent.getAccessibleComponent()
Class AccessibleAWTMenuComponent.getAccessibleComponent()
Class AccessibleContext.getAccessibleComponent()
Class AccessibleJListChild.getAccessibleComponent()
Class AccessibleJTableCell.getAccessibleComponent()
Class AccessibleJTableHeaderEntry.getAccessibleComponent()
Class AccessibleJTreeNode.getAccessibleComponent()
getAccessibleContext found in:
Class AccessibleAWTListChild.getAccessibleContext()
Class AccessibleJListChild.getAccessibleContext()
Class AccessibleJTableCell.getAccessibleContext()
Class AccessibleJTableHeaderEntry.getAccessibleContext()
Class AccessibleJTreeNode.getAccessibleContext()
Class Applet.getAccessibleContext()
Class Box.getAccessibleContext()
Class Button.getAccessibleContext()
Class Canvas.getAccessibleContext()
Class CellRendererPane.getAccessibleContext()
Class Checkbox.getAccessibleContext()
Class CheckboxMenuItem.getAccessibleContext()
Class Choice.getAccessibleContext()
Class Component.getAccessibleContext()
Class Dialog.getAccessibleContext()
Class Filler.getAccessibleContext()
Class Frame.getAccessibleContext()
Class ImageIcon.getAccessibleContext()
Class JApplet.getAccessibleContext()
Class JButton.getAccessibleContext()
Class JCheckBox.getAccessibleContext()
Class JCheckBoxMenuItem.getAccessibleContext()
Class JColorChooser.getAccessibleContext()
Class JComboBox.getAccessibleContext()
Class JComponent.getAccessibleContext()
Class JDesktopIcon.getAccessibleContext()
Class JDesktopPane.getAccessibleContext()
Class JDialog.getAccessibleContext()
Class JEditorPane.getAccessibleContext()
Class JFileChooser.getAccessibleContext()
Class JFrame.getAccessibleContext()
Class JInternalFrame.getAccessibleContext()
Class JLabel.getAccessibleContext()
Class JLayeredPane.getAccessibleContext()
Class JList.getAccessibleContext()
Class JMenu.getAccessibleContext()
Class JMenuBar.getAccessibleContext()
Class JMenuItem.getAccessibleContext()
Class JOptionPane.getAccessibleContext()
Class JPanel.getAccessibleContext()
Class JPasswordField.getAccessibleContext()
Class JPopupMenu.getAccessibleContext()
Class JProgressBar.getAccessibleContext()
Class JRadioButton.getAccessibleContext()
Class JRadioButtonMenuItem.getAccessibleContext()
Class JRootPane.getAccessibleContext()
Class JScrollBar.getAccessibleContext()
Class JScrollPane.getAccessibleContext()
Class JSeparator.getAccessibleContext()
Class JSlider.getAccessibleContext()
Class JSplitPane.getAccessibleContext()
Class JTabbedPane.getAccessibleContext()
Class JTable.getAccessibleContext()
Class JTableHeader.getAccessibleContext()
Class JTextArea.getAccessibleContext()
Class JTextComponent.getAccessibleContext()
Class JTextField.getAccessibleContext()
Class JToggleButton.getAccessibleContext()
Class JToolBar.getAccessibleContext()
Class JToolTip.getAccessibleContext()
Class JTree.getAccessibleContext()
Class JViewport.getAccessibleContext()
Class JWindow.getAccessibleContext()
Class Label.getAccessibleContext()
Class List.getAccessibleContext()
Class Menu.getAccessibleContext()
Class MenuBar.getAccessibleContext()
Class MenuComponent.getAccessibleContext()
Class MenuItem.getAccessibleContext()
Class Panel.getAccessibleContext()
Class PopupMenu.getAccessibleContext()
Class Scrollbar.getAccessibleContext()
Class ScrollPane.getAccessibleContext()
Class TextArea.getAccessibleContext()
Class TextComponent.getAccessibleContext()
Class TextField.getAccessibleContext()
Class Window.getAccessibleContext()
Interface Accessible.getAccessibleContext()
getAccessibleDescription found in:
Class AccessibleAWTComponent.getAccessibleDescription()
Class AccessibleAWTMenuComponent.getAccessibleDescription()
Class AccessibleContext.getAccessibleDescription()
Class AccessibleJComponent.getAccessibleDescription()
Class AccessibleJEditorPane.getAccessibleDescription()
Class AccessibleJListChild.getAccessibleDescription()
Class AccessibleJTableCell.getAccessibleDescription()
Class AccessibleJTableHeaderEntry.getAccessibleDescription()
Class AccessibleJToolTip.getAccessibleDescription()
Class AccessibleJTreeNode.getAccessibleDescription()
getAccessibleIcon found in:
Class AccessibleAbstractButton.getAccessibleIcon()
Class AccessibleContext.getAccessibleIcon()
Class AccessibleJLabel.getAccessibleIcon()
getAccessibleIconDescription found in:
Class AccessibleImageIcon.getAccessibleIconDescription()
Interface AccessibleIcon.getAccessibleIconDescription()
getAccessibleIconHeight found in:
Class AccessibleImageIcon.getAccessibleIconHeight()
Interface AccessibleIcon.getAccessibleIconHeight()
getAccessibleIconWidth found in:
Class AccessibleImageIcon.getAccessibleIconWidth()
Interface AccessibleIcon.getAccessibleIconWidth()
getAccessibleIndexInParent found in:
Class AccessibleAWTComponent.getAccessibleIndexInParent()
Class AccessibleAWTListChild.getAccessibleIndexInParent()
Class AccessibleAWTMenuComponent.getAccessibleIndexInParent()
Class AccessibleContext.getAccessibleIndexInParent()
Class AccessibleImageIcon.getAccessibleIndexInParent()
Class AccessibleJListChild.getAccessibleIndexInParent()
Class AccessibleJTableCell.getAccessibleIndexInParent()
Class AccessibleJTableHeaderEntry.getAccessibleIndexInParent()
Class AccessibleJTree.getAccessibleIndexInParent()
Class AccessibleJTreeNode.getAccessibleIndexInParent()
Class SwingUtilities.getAccessibleIndexInParent(java.awt.Component)
getAccessibleName found in:
Class AccessibleAbstractButton.getAccessibleName()
Class AccessibleAWTButton.getAccessibleName()
Class AccessibleAWTComponent.getAccessibleName()
Class AccessibleAWTLabel.getAccessibleName()
Class AccessibleAWTMenuComponent.getAccessibleName()
Class AccessibleAWTMenuItem.getAccessibleName()
Class AccessibleContext.getAccessibleName()
Class AccessibleJComponent.getAccessibleName()
Class AccessibleJDialog.getAccessibleName()
Class AccessibleJFrame.getAccessibleName()
Class AccessibleJInternalFrame.getAccessibleName()
Class AccessibleJLabel.getAccessibleName()
Class AccessibleJListChild.getAccessibleName()
Class AccessibleJTableCell.getAccessibleName()
Class AccessibleJTableHeaderEntry.getAccessibleName()
Class AccessibleJTreeNode.getAccessibleName()
getAccessibleParent found in:
Class AccessibleAWTComponent.getAccessibleParent()
Class AccessibleAWTMenuComponent.getAccessibleParent()
Class AccessibleContext.getAccessibleParent()
Class AccessibleImageIcon.getAccessibleParent()
Class AccessibleJTableCell.getAccessibleParent()
Class AccessibleJTreeNode.getAccessibleParent()
getAccessibleRelationSet found in:
Class AccessibleAbstractButton.getAccessibleRelationSet()
Class AccessibleContext.getAccessibleRelationSet()
Class AccessibleJLabel.getAccessibleRelationSet()
getAccessibleRole found in:
Class AccessibleApplet.getAccessibleRole()
Class AccessibleAWTButton.getAccessibleRole()
Class AccessibleAWTCanvas.getAccessibleRole()
Class AccessibleAWTCheckbox.getAccessibleRole()
Class AccessibleAWTCheckboxMenuItem.getAccessibleRole()
Class AccessibleAWTChoice.getAccessibleRole()
Class AccessibleAWTComponent.getAccessibleRole()
Class AccessibleAWTDialog.getAccessibleRole()
Class AccessibleAWTFrame.getAccessibleRole()
Class AccessibleAWTLabel.getAccessibleRole()
Class AccessibleAWTList.getAccessibleRole()
Class AccessibleAWTListChild.getAccessibleRole()
Class AccessibleAWTMenu.getAccessibleRole()
Class AccessibleAWTMenuBar.getAccessibleRole()
Class AccessibleAWTMenuComponent.getAccessibleRole()
Class AccessibleAWTMenuItem.getAccessibleRole()
Class AccessibleAWTPanel.getAccessibleRole()
Class AccessibleAWTPopupMenu.getAccessibleRole()
Class AccessibleAWTScrollBar.getAccessibleRole()
Class AccessibleAWTScrollPane.getAccessibleRole()
Class AccessibleAWTTextComponent.getAccessibleRole()
Class AccessibleAWTWindow.getAccessibleRole()
Class AccessibleBox.getAccessibleRole()
Class AccessibleBoxFiller.getAccessibleRole()
Class AccessibleCellRendererPane.getAccessibleRole()
Class AccessibleContext.getAccessibleRole()
Class AccessibleImageIcon.getAccessibleRole()
Class AccessibleJButton.getAccessibleRole()
Class AccessibleJCheckBox.getAccessibleRole()
Class AccessibleJCheckBoxMenuItem.getAccessibleRole()
Class AccessibleJColorChooser.getAccessibleRole()
Class AccessibleJComboBox.getAccessibleRole()
Class AccessibleJComponent.getAccessibleRole()
Class AccessibleJDesktopIcon.getAccessibleRole()
Class AccessibleJDesktopPane.getAccessibleRole()
Class AccessibleJFileChooser.getAccessibleRole()
Class AccessibleJInternalFrame.getAccessibleRole()
Class AccessibleJLabel.getAccessibleRole()
Class AccessibleJLayeredPane.getAccessibleRole()
Class AccessibleJList.getAccessibleRole()
Class AccessibleJListChild.getAccessibleRole()
Class AccessibleJMenu.getAccessibleRole()
Class AccessibleJMenuBar.getAccessibleRole()
Class AccessibleJMenuItem.getAccessibleRole()
Class AccessibleJOptionPane.getAccessibleRole()
Class AccessibleJPanel.getAccessibleRole()
Class AccessibleJPasswordField.getAccessibleRole()
Class AccessibleJPopupMenu.getAccessibleRole()
Class AccessibleJProgressBar.getAccessibleRole()
Class AccessibleJRadioButton.getAccessibleRole()
Class AccessibleJRadioButtonMenuItem.getAccessibleRole()
Class AccessibleJRootPane.getAccessibleRole()
Class AccessibleJScrollBar.getAccessibleRole()
Class AccessibleJScrollPane.getAccessibleRole()
Class AccessibleJSeparator.getAccessibleRole()
Class AccessibleJSlider.getAccessibleRole()
Class AccessibleJSplitPane.getAccessibleRole()
Class AccessibleJTabbedPane.getAccessibleRole()
Class AccessibleJTable.getAccessibleRole()
Class AccessibleJTableCell.getAccessibleRole()
Class AccessibleJTableHeader.getAccessibleRole()
Class AccessibleJTableHeaderEntry.getAccessibleRole()
Class AccessibleJTextComponent.getAccessibleRole()
Class AccessibleJToggleButton.getAccessibleRole()
Class AccessibleJToolBar.getAccessibleRole()
Class AccessibleJToolTip.getAccessibleRole()
Class AccessibleJTree.getAccessibleRole()
Class AccessibleJTreeNode.getAccessibleRole()
Class AccessibleJViewport.getAccessibleRole()
getAccessibleRowCount found in:
Class AccessibleJTable.getAccessibleRowCount()
Interface AccessibleTable.getAccessibleRowCount()
getAccessibleRowDescription found in:
Class AccessibleJTable.getAccessibleRowDescription(int)
Interface AccessibleTable.getAccessibleRowDescription(int)
getAccessibleRowExtentAt found in:
Class AccessibleJTable.getAccessibleRowExtentAt(int, int)
Interface AccessibleTable.getAccessibleRowExtentAt(int, int)
getAccessibleRowHeader found in:
Class AccessibleJTable.getAccessibleRowHeader()
Interface AccessibleTable.getAccessibleRowHeader()
getAccessibleSelection found in:
Class AccessibleAWTList.getAccessibleSelection()
Class AccessibleAWTMenuComponent.getAccessibleSelection()
Class AccessibleContext.getAccessibleSelection()
Class AccessibleJComboBox.getAccessibleSelection()
Class AccessibleJList.getAccessibleSelection()
Class AccessibleJListChild.getAccessibleSelection()
Class AccessibleJMenu.getAccessibleSelection()
Class AccessibleJMenuBar.getAccessibleSelection()
Class AccessibleJTabbedPane.getAccessibleSelection()
Class AccessibleJTable.getAccessibleSelection()
Class AccessibleJTableCell.getAccessibleSelection()
Class AccessibleJTableHeaderEntry.getAccessibleSelection()
Class AccessibleJTree.getAccessibleSelection()
Class AccessibleJTreeNode.getAccessibleSelection()
Interface AccessibleSelection.getAccessibleSelection(int)
getAccessibleSelectionCount found in:
Class AccessibleAWTList.getAccessibleSelectionCount()
Class AccessibleAWTMenuComponent.getAccessibleSelectionCount()
Class AccessibleJComboBox.getAccessibleSelectionCount()
Class AccessibleJList.getAccessibleSelectionCount()
Class AccessibleJMenu.getAccessibleSelectionCount()
Class AccessibleJMenuBar.getAccessibleSelectionCount()
Class AccessibleJTabbedPane.getAccessibleSelectionCount()
Class AccessibleJTable.getAccessibleSelectionCount()
Class AccessibleJTree.getAccessibleSelectionCount()
Class AccessibleJTreeNode.getAccessibleSelectionCount()
Interface AccessibleSelection.getAccessibleSelectionCount()
getAccessibleStateSet found in:
Class AccessibleAbstractButton.getAccessibleStateSet()
Class AccessibleApplet.getAccessibleStateSet()
Class AccessibleAWTCheckbox.getAccessibleStateSet()
Class AccessibleAWTComponent.getAccessibleStateSet()
Class AccessibleAWTDialog.getAccessibleStateSet()
Class AccessibleAWTFrame.getAccessibleStateSet()
Class AccessibleAWTList.getAccessibleStateSet()
Class AccessibleAWTListChild.getAccessibleStateSet()
Class AccessibleAWTMenuComponent.getAccessibleStateSet()
Class AccessibleAWTScrollBar.getAccessibleStateSet()
Class AccessibleAWTTextArea.getAccessibleStateSet()
Class AccessibleAWTTextComponent.getAccessibleStateSet()
Class AccessibleAWTTextField.getAccessibleStateSet()
Class AccessibleAWTWindow.getAccessibleStateSet()
Class AccessibleContext.getAccessibleStateSet()
Class AccessibleImageIcon.getAccessibleStateSet()
Class AccessibleJComponent.getAccessibleStateSet()
Class AccessibleJDialog.getAccessibleStateSet()
Class AccessibleJEditorPane.getAccessibleStateSet()
Class AccessibleJFrame.getAccessibleStateSet()
Class AccessibleJList.getAccessibleStateSet()
Class AccessibleJListChild.getAccessibleStateSet()
Class AccessibleJMenuBar.getAccessibleStateSet()
Class AccessibleJProgressBar.getAccessibleStateSet()
Class AccessibleJScrollBar.getAccessibleStateSet()
Class AccessibleJSlider.getAccessibleStateSet()
Class AccessibleJSplitPane.getAccessibleStateSet()
Class AccessibleJTableCell.getAccessibleStateSet()
Class AccessibleJTableHeaderEntry.getAccessibleStateSet()
Class AccessibleJTextArea.getAccessibleStateSet()
Class AccessibleJTextComponent.getAccessibleStateSet()
Class AccessibleJTextField.getAccessibleStateSet()
Class AccessibleJToolBar.getAccessibleStateSet()
Class AccessibleJTreeNode.getAccessibleStateSet()
Class SwingUtilities.getAccessibleStateSet(java.awt.Component)
getAccessibleSummary found in:
Class AccessibleJTable.getAccessibleSummary()
Interface AccessibleTable.getAccessibleSummary()
getAccessibleTable found in:
Class AccessibleContext.getAccessibleTable()
Class AccessibleJTable.getAccessibleTable()
getAccessibleText found in:
Class AccessibleAbstractButton.getAccessibleText()
Class AccessibleAWTTextComponent.getAccessibleText()
Class AccessibleContext.getAccessibleText()
Class AccessibleJEditorPaneHTML.getAccessibleText()
Class AccessibleJLabel.getAccessibleText()
Class AccessibleJListChild.getAccessibleText()
Class AccessibleJTableCell.getAccessibleText()
Class AccessibleJTableHeaderEntry.getAccessibleText()
Class AccessibleJTextComponent.getAccessibleText()
Class AccessibleJTreeNode.getAccessibleText()
getAccessibleValue found in:
Class AccessibleAbstractButton.getAccessibleValue()
Class AccessibleAWTButton.getAccessibleValue()
Class AccessibleAWTCheckbox.getAccessibleValue()
Class AccessibleAWTCheckboxMenuItem.getAccessibleValue()
Class AccessibleAWTMenuItem.getAccessibleValue()
Class AccessibleAWTScrollBar.getAccessibleValue()
Class AccessibleContext.getAccessibleValue()
Class AccessibleJDesktopIcon.getAccessibleValue()
Class AccessibleJInternalFrame.getAccessibleValue()
Class AccessibleJListChild.getAccessibleValue()
Class AccessibleJProgressBar.getAccessibleValue()
Class AccessibleJScrollBar.getAccessibleValue()
Class AccessibleJSlider.getAccessibleValue()
Class AccessibleJSplitPane.getAccessibleValue()
Class AccessibleJTableCell.getAccessibleValue()
Class AccessibleJTableHeaderEntry.getAccessibleValue()
Class AccessibleJTreeNode.getAccessibleValue()
getAction found in:
Class AbstractButton.getAction()
Class JComboBox.getAction()
Class JTextField.getAction()
Interface Keymap.getAction(javax.swing.KeyStroke)
getActionCommand found in:
Class AbstractButton.getActionCommand()
Class ActionEvent.getActionCommand()
Class Button.getActionCommand()
Class DefaultButtonModel.getActionCommand()
Class JComboBox.getActionCommand()
Class MenuItem.getActionCommand()
Interface ButtonModel.getActionCommand()
getActionMap found in:
Class JComponent.getActionMap()
Class MetalFileChooserUI.getActionMap()
getActions found in:
Class AllPermission.getActions()
Class BasicPermission.getActions()
Class DefaultEditorKit.getActions()
Class EditorKit.getActions()
Class FilePermission.getActions()
Class HTMLEditorKit.getActions()
Class JTextComponent.getActions()
Class JTextField.getActions()
Class Permission.getActions()
Class PropertyPermission.getActions()
Class SocketPermission.getActions()
Class StyledEditorKit.getActions()
Class UnresolvedPermission.getActions()
getActualMaximum found in:
Class Calendar.getActualMaximum(int)
Class GregorianCalendar.getActualMaximum(int)
getActualMinimum found in:
Class Calendar.getActualMinimum(int)
Class GregorianCalendar.getActualMinimum(int)
getAdditionalBeanInfo found in:
Class SimpleBeanInfo.getAdditionalBeanInfo()
Interface BeanInfo.getAdditionalBeanInfo()
getAdditionalHeight found in:
Class FileIcon16.getAdditionalHeight()
Class FolderIcon16.getAdditionalHeight()
Class TreeFolderIcon.getAdditionalHeight()
Class TreeLeafIcon.getAdditionalHeight()
getAddress found in:
Class DatagramPacket.getAddress()
Class InetAddress.getAddress()
getAdler found in:
Class Deflater.getAdler()
Class Inflater.getAdler()
getAdvance found in:
Class GlyphMetrics.getAdvance()
Class GraphicAttribute.getAdvance()
Class ImageGraphicAttribute.getAdvance()
Class ShapeGraphicAttribute.getAdvance()
Class TextLayout.getAdvance()
getAfterIndex found in:
Class AccessibleAbstractButton.getAfterIndex(int, int)
Class AccessibleAWTTextComponent.getAfterIndex(int, int)
Class AccessibleJLabel.getAfterIndex(int, int)
Class AccessibleJTextComponent.getAfterIndex(int, int)
Interface AccessibleText.getAfterIndex(int, int)
getAlgorithm found in:
Class AlgorithmParameterGenerator.getAlgorithm()
Class AlgorithmParameters.getAlgorithm()
Class KeyFactory.getAlgorithm()
Class KeyPairGenerator.getAlgorithm()
Class MessageDigest.getAlgorithm()
Class Signature.getAlgorithm()
Class SignedObject.getAlgorithm()
Interface Key.getAlgorithm()
getAlignment found in:
Class BlockView.getAlignment(int)
Class BoxView.getAlignment(int)
Class ComponentView.getAlignment(int)
Class FlowLayout.getAlignment()
Class GlyphView.getAlignment(int)
Class GraphicAttribute.getAlignment()
Class IconView.getAlignment(int)
Class Label.getAlignment()
Class ListView.getAlignment(int)
Class ParagraphView.getAlignment(int)
Class StyleConstants.getAlignment(javax.swing.text.AttributeSet)
Class TabStop.getAlignment()
Class View.getAlignment(int)
getAlignmentX found in:
Class Component.getAlignmentX()
Class Container.getAlignmentX()
Class JComponent.getAlignmentX()
getAlignmentY found in:
Class Component.getAlignmentY()
Class Container.getAlignmentY()
Class JComponent.getAlignmentY()
getAll found in:
Class BasicAttribute.getAll()
Class BasicAttributes.getAll()
Class CompositeName.getAll()
Class CompoundName.getAll()
Class Reference.getAll()
Interface Attribute.getAll()
Interface Attributes.getAll()
Interface Name.getAll()
getAllAttributeKeys found in:
Class CSS.getAllAttributeKeys()
Class HTML.getAllAttributeKeys()
Interface AttributedCharacterIterator.getAllAttributeKeys()
getAllowsChildren found in:
Class AbstractElement.getAllowsChildren()
Class BranchElement.getAllowsChildren()
Class DefaultMutableTreeNode.getAllowsChildren()
Class LeafElement.getAllowsChildren()
Interface TreeNode.getAllowsChildren()


getAlpha found in:
Class AlphaComposite.getAlpha()
Class Color.getAlpha()
Class ColorModel.getAlpha(int)
Class ComponentColorModel.getAlpha(int)
Class DirectColorModel.getAlpha(int)
Class IndexColorModel.getAlpha(int)
getAlphaRaster found in:
Class BufferedImage.getAlphaRaster()
Class ColorModel.getAlphaRaster(java.awt.image.WritableRaster)
Class ComponentColorModel.getAlphaRaster(java.awt.image.WritableRaster)
Class PackedColorModel.getAlphaRaster(java.awt.image.WritableRaster)
getAnchorSelectionIndex found in:
Class DefaultListSelectionModel.getAnchorSelectionIndex()
Class JList.getAnchorSelectionIndex()
Interface ListSelectionModel.getAnchorSelectionIndex()
getAngleExtent found in:
Class Arc2D.getAngleExtent()
Class Double.getAngleExtent()
Class Float.getAngleExtent()
getAngleStart found in:
Class Arc2D.getAngleStart()
Class Double.getAngleStart()
Class Float.getAngleStart()
getAppletContext found in:
Class Applet.getAppletContext()
Interface AppletStub.getAppletContext()
getApproveButton found in:
Class BasicFileChooserUI.getApproveButton(javax.swing.JFileChooser)
Class MetalFileChooserUI.getApproveButton(javax.swing.JFileChooser)
getApproveButtonMnemonic found in:
Class BasicFileChooserUI.getApproveButtonMnemonic(javax.swing.JFileChooser)
Class JFileChooser.getApproveButtonMnemonic()
getApproveButtonText found in:
Class BasicFileChooserUI.getApproveButtonText(javax.swing.JFileChooser)
Class FileChooserUI.getApproveButtonText(javax.swing.JFileChooser)
Class JFileChooser.getApproveButtonText()
Class MultiFileChooserUI.getApproveButtonText(javax.swing.JFileChooser)
getApproveButtonToolTipText found in:
Class BasicFileChooserUI.getApproveButtonToolTipText(javax.swing.JFileChooser)
Class JFileChooser.getApproveButtonToolTipText()
getArcHeight found in:
Class Double.getArcHeight()
Class Float.getArcHeight()
Class RoundRectangle2D.getArcHeight()
getArcWidth found in:
Class Double.getArcWidth()
Class Float.getArcWidth()
Class RoundRectangle2D.getArcWidth()


getArray found in:
Class ElementSpec.getArray()
Class GapContent.getArray()
Interface Array.getArray()
Interface CallableStatement.getArray(int)
Interface ResultSet.getArray(int)
getAscent found in:
Class FontMetrics.getAscent()
Class GlyphPainter.getAscent(javax.swing.text.GlyphView)
Class GraphicAttribute.getAscent()
Class ImageGraphicAttribute.getAscent()
Class LineMetrics.getAscent()
Class ShapeGraphicAttribute.getAscent()
Class TextLayout.getAscent()
getAsciiStream found in:
Interface Clob.getAsciiStream()
Interface ResultSet.getAsciiStream(int)
getAsText found in:
Class PropertyEditorSupport.getAsText()
Interface PropertyEditor.getAsText()
getAtIndex found in:
Class AccessibleAbstractButton.getAtIndex(int, int)
Class AccessibleAWTTextComponent.getAtIndex(int, int)
Class AccessibleJLabel.getAtIndex(int, int)
Class AccessibleJTextComponent.getAtIndex(int, int)
Interface AccessibleText.getAtIndex(int, int)
getAttribute found in:
Class AbstractElement.getAttribute(java.lang.Object)
Class CSS.getAttribute(java.lang.String)
Class Element.getAttribute(java.lang.String)
Class ModificationItem.getAttribute()
Class NamedStyle.getAttribute(java.lang.Object)
Class SimpleAttributeSet.getAttribute(java.lang.Object)
Class SmallAttributeSet.getAttribute(java.lang.Object)
Interface AttributedCharacterIterator.getAttribute(java.text.AttributedCharacterIterator.Attribute)
Interface AttributeSet.getAttribute(java.lang.Object)
getAttributeCount found in:
Class AbstractElement.getAttributeCount()
Class NamedStyle.getAttributeCount()
Class SimpleAttributeSet.getAttributeCount()
Class SmallAttributeSet.getAttributeCount()
Interface AttributeSet.getAttributeCount()
getAttributeDefinition found in:
Class BasicAttribute.getAttributeDefinition()
Interface Attribute.getAttributeDefinition()
getAttributeNames found in:
Class AbstractElement.getAttributeNames()
Class NamedStyle.getAttributeNames()
Class SimpleAttributeSet.getAttributeNames()
Class SmallAttributeSet.getAttributeNames()
Interface AttributeSet.getAttributeNames()
getAttributes found in:
Class AbstractElement.getAttributes()
Class BlockView.getAttributes()
Class Element.getAttributes()
Class ElementSpec.getAttributes()
Class Font.getAttributes()
Class InitialDirContext.getAttributes(java.lang.String)
Class InlineView.getAttributes()
Class Iterator.getAttributes()
Class JarEntry.getAttributes()
Class JarURLConnection.getAttributes()
Class Manifest.getAttributes(java.lang.String)
Class Option.getAttributes()
Class ParagraphView.getAttributes()
Class Parser.getAttributes()
Class Result.getAttributes()
Class SearchResult.getAttributes()
Class View.getAttributes()
Interface AttributedCharacterIterator.getAttributes()
Interface DirContext.getAttributes(javax.naming.Name)
Interface Element.getAttributes()
Interface Struct.getAttributes()
getAttributeSyntaxDefinition found in:
Class BasicAttribute.getAttributeSyntaxDefinition()
Interface Attribute.getAttributeSyntaxDefinition()
getAudioClip found in:
Class Applet.getAudioClip(java.net.URL)
Interface AppletContext.getAudioClip(java.net.URL)
getAudioFileFormat found in:
Class AudioFileReader.getAudioFileFormat(java.io.InputStream)
Class AudioSystem.getAudioFileFormat(java.io.InputStream)
getAudioFileTypes found in:
Class AudioFileWriter.getAudioFileTypes()
Class AudioSystem.getAudioFileTypes()
getAudioInputStream found in:
Class AudioFileReader.getAudioInputStream(java.io.InputStream)
Class AudioSystem.getAudioInputStream(javax.sound.sampled.AudioFormat.Encoding, javax.sound.sampled.AudioInputStream)
Class FormatConversionProvider.getAudioInputStream(javax.sound.sampled.AudioFormat.Encoding, javax.sound.sampled.AudioInputStream)
getAvailableLocales found in:
Class BreakIterator.getAvailableLocales()
Class Calendar.getAvailableLocales()
Class Collator.getAvailableLocales()
Class DateFormat.getAvailableLocales()
Class Locale.getAvailableLocales()
Class NumberFormat.getAvailableLocales()
Interface InputMethodDescriptor.getAvailableLocales()
getBackground found in:
Class AccessibleAWTComponent.getBackground()
Class AccessibleAWTListChild.getBackground()
Class AccessibleAWTMenuComponent.getBackground()
Class AccessibleJListChild.getBackground()
Class AccessibleJTableCell.getBackground()
Class AccessibleJTableHeaderEntry.getBackground()
Class AccessibleJTreeNode.getBackground()
Class Component.getBackground()
Class DefaultStyledDocument.getBackground(javax.swing.text.AttributeSet)
Class GlyphView.getBackground()
Class Graphics2D.getBackground()
Class LabelView.getBackground()
Class StyleConstants.getBackground(javax.swing.text.AttributeSet)
Class StyleContext.getBackground(javax.swing.text.AttributeSet)
Class StyleSheet.getBackground(javax.swing.text.AttributeSet)
Class TextComponent.getBackground()
Interface AccessibleComponent.getBackground()
Interface StyledDocument.getBackground(javax.swing.text.AttributeSet)
getBankData found in:
Class DataBufferByte.getBankData()
Class DataBufferInt.getBankData()
Class DataBufferShort.getBankData()
Class DataBufferUShort.getBankData()
getBase found in:
Class HTMLDocument.getBase()
Class StyleSheet.getBase()
getBaselineOffsets found in:
Class LineMetrics.getBaselineOffsets()
Class TextLayout.getBaselineOffsets()
getBaseTypeName found in:
Interface Array.getBaseTypeName()
Interface Ref.getBaseTypeName()
getBeanContext found in:
Class BeanContextChildSupport.getBeanContext()
Class BeanContextEvent.getBeanContext()
Interface BeanContextChild.getBeanContext()
getBeanDescriptor found in:
Class SimpleBeanInfo.getBeanDescriptor()
Interface BeanInfo.getBeanDescriptor()
getBeforeIndex found in:
Class AccessibleAbstractButton.getBeforeIndex(int, int)
Class AccessibleAWTTextComponent.getBeforeIndex(int, int)
Class AccessibleJLabel.getBeforeIndex(int, int)
Class AccessibleJTextComponent.getBeforeIndex(int, int)
Interface AccessibleText.getBeforeIndex(int, int)
getBeginIndex found in:
Class FieldPosition.getBeginIndex()
Class Segment.getBeginIndex()
Class StringCharacterIterator.getBeginIndex()
Interface CharacterIterator.getBeginIndex()
getBestConfiguration found in:
Class GraphicsConfigTemplate.getBestConfiguration(java.awt.GraphicsConfiguration[])
Class GraphicsDevice.getBestConfiguration(java.awt.GraphicsConfigTemplate)
getBigDecimal found in:
Interface CallableStatement.getBigDecimal(int, int)
Interface ResultSet.getBigDecimal(int, int)
getBinaryStream found in:
Interface Blob.getBinaryStream()
Interface ResultSet.getBinaryStream(int)
getBlack found in:
Class MetalLookAndFeel.getBlack()
Class MetalTheme.getBlack()
getBlinkRate found in:
Class DefaultCaret.getBlinkRate()
Interface Caret.getBlinkRate()
getBlob found in:
Interface CallableStatement.getBlob(int)
Interface ResultSet.getBlob(int)
getBlockIncrement found in:
Class JScrollBar.getBlockIncrement(int)
Class Scrollbar.getBlockIncrement()
Class ScrollBar.getBlockIncrement(int)
Interface Adjustable.getBlockIncrement()
getBlue found in:
Class Color.getBlue()
Class ColorModel.getBlue(int)
Class ComponentColorModel.getBlue(int)
Class DirectColorModel.getBlue(int)
Class IndexColorModel.getBlue(int)
getBoolean found in:
Class Array.getBoolean(java.lang.Object, int)
Class Boolean.getBoolean(java.lang.String)
Class Field.getBoolean(java.lang.Object)
Interface CallableStatement.getBoolean(int)
Interface ResultSet.getBoolean(int)
getBorder found in:
Class BasicSplitPaneDivider.getBorder()
Class DefaultTextField.getBorder()
Class JComponent.getBorder()
Class TitledBorder.getBorder()
Class UIDefaults.getBorder(java.lang.Object)
Class UIManager.getBorder(java.lang.Object)
getBorderInsets found in:
Class AbstractBorder.getBorderInsets(java.awt.Component)
Class BevelBorder.getBorderInsets(java.awt.Component)
Class BorderUIResource.getBorderInsets(java.awt.Component)
Class ButtonBorder.getBorderInsets(java.awt.Component)
Class ButtonBorder.getBorderInsets(java.awt.Component)
Class CompoundBorder.getBorderInsets(java.awt.Component, java.awt.Insets)
Class EmptyBorder.getBorderInsets(java.awt.Component)
Class EtchedBorder.getBorderInsets(java.awt.Component)
Class FieldBorder.getBorderInsets(java.awt.Component)
Class Flush3DBorder.getBorderInsets(java.awt.Component)
Class InternalFrameBorder.getBorderInsets(java.awt.Component)
Class LineBorder.getBorderInsets(java.awt.Component)
Class MarginBorder.getBorderInsets(java.awt.Component)
Class MatteBorder.getBorderInsets(java.awt.Component)
Class MenuBarBorder.getBorderInsets(java.awt.Component)
Class MenuBarBorder.getBorderInsets(java.awt.Component)
Class MenuItemBorder.getBorderInsets(java.awt.Component)
Class OptionDialogBorder.getBorderInsets(java.awt.Component)
Class PaletteBorder.getBorderInsets(java.awt.Component)
Class PopupMenuBorder.getBorderInsets(java.awt.Component)
Class RadioButtonBorder.getBorderInsets(java.awt.Component)
Class ScrollPaneBorder.getBorderInsets(java.awt.Component)
Class SoftBevelBorder.getBorderInsets(java.awt.Component)
Class SplitPaneBorder.getBorderInsets(java.awt.Component)
Class TableHeaderBorder.getBorderInsets(java.awt.Component)
Class TitledBorder.getBorderInsets(java.awt.Component)
Class ToggleButtonBorder.getBorderInsets(java.awt.Component)
Class ToolBarBorder.getBorderInsets(java.awt.Component)
Interface Border.getBorderInsets(java.awt.Component)
getBorderSelectionColor found in:
Class DefaultTreeCellEditor.getBorderSelectionColor()
Class DefaultTreeCellRenderer.getBorderSelectionColor()
getBottomInset found in:
Class AsyncBoxView.getBottomInset()
Class CompositeView.getBottomInset()
getBounds found in:
Class AbstractLayoutCache.getBounds(javax.swing.tree.TreePath, java.awt.Rectangle)
Class AccessibleAWTComponent.getBounds()
Class AccessibleAWTListChild.getBounds()
Class AccessibleAWTMenuComponent.getBounds()
Class AccessibleJListChild.getBounds()
Class AccessibleJTableCell.getBounds()
Class AccessibleJTableHeaderEntry.getBounds()
Class AccessibleJTreeNode.getBounds()
Class Area.getBounds()
Class Component.getBounds()
Class CubicCurve2D.getBounds()
Class FixedHeightLayoutCache.getBounds(javax.swing.tree.TreePath, java.awt.Rectangle)
Class GeneralPath.getBounds()
Class GraphicAttribute.getBounds()
Class GraphicsConfiguration.getBounds()
Class ImageGraphicAttribute.getBounds()
Class JComponent.getBounds(java.awt.Rectangle)
Class Line2D.getBounds()
Class Polygon.getBounds()
Class QuadCurve2D.getBounds()
Class Raster.getBounds()
Class Rectangle.getBounds()
Class RectangularShape.getBounds()
Class ShapeGraphicAttribute.getBounds()
Class TextLayout.getBounds()
Class VariableHeightLayoutCache.getBounds(javax.swing.tree.TreePath, java.awt.Rectangle)
Interface AccessibleComponent.getBounds()
Interface Shape.getBounds()
getBounds2D found in:
Class AffineTransformOp.getBounds2D(java.awt.image.BufferedImage)
Class Arc2D.getBounds2D()
Class Area.getBounds2D()
Class BandCombineOp.getBounds2D(java.awt.image.Raster)
Class ColorConvertOp.getBounds2D(java.awt.image.BufferedImage)
Class ConvolveOp.getBounds2D(java.awt.image.BufferedImage)
Class Double.getBounds2D()
Class Double.getBounds2D()
Class Double.getBounds2D()
Class Double.getBounds2D()
Class Double.getBounds2D()
Class Double.getBounds2D()
Class Float.getBounds2D()
Class Float.getBounds2D()
Class Float.getBounds2D()
Class Float.getBounds2D()
Class Float.getBounds2D()
Class Float.getBounds2D()
Class GeneralPath.getBounds2D()
Class GlyphMetrics.getBounds2D()
Class LookupOp.getBounds2D(java.awt.image.BufferedImage)
Class Polygon.getBounds2D()
Class Rectangle.getBounds2D()
Class Rectangle2D.getBounds2D()
Class RescaleOp.getBounds2D(java.awt.image.BufferedImage)
Interface BufferedImageOp.getBounds2D(java.awt.image.BufferedImage)
Interface ContextualRenderedImageFactory.getBounds2D(java.awt.image.renderable.ParameterBlock)
Interface RasterOp.getBounds2D(java.awt.image.Raster)
Interface Shape.getBounds2D()
getBreakWeight found in:
Class GlyphView.getBreakWeight(int, float, float)
Class InlineView.getBreakWeight(int, float, float)
Class ParagraphView.getBreakWeight(int, float)
Class View.getBreakWeight(int, float, float)
getButtonBorder found in:
Class BasicBorders.getButtonBorder()
Class MetalBorders.getButtonBorder()
getByte found in:
Class Array.getByte(java.lang.Object, int)
Class Field.getByte(java.lang.Object)
Interface CallableStatement.getByte(int)
Interface ResultSet.getByte(int)


getByteLength found in:
Class AudioFileFormat.getByteLength()
Class MidiFileFormat.getByteLength()
getBytes found in:
Class String.getBytes(int, int, byte[], int)
Interface Blob.getBytes(long, int)
Interface CallableStatement.getBytes(int)
Interface ResultSet.getBytes(int)


getCaret found in:
Class ActiveClient.getCaret()
Class InputMethodEvent.getCaret()
Class JTextComponent.getCaret()
Class LWTextComponent.getCaret()
getCaretPosition found in:
Class AccessibleAbstractButton.getCaretPosition()
Class AccessibleAWTTextComponent.getCaretPosition()
Class AccessibleJLabel.getCaretPosition()
Class AccessibleJTextComponent.getCaretPosition()
Class JTextComponent.getCaretPosition()
Class TextComponent.getCaretPosition()
Interface AccessibleText.getCaretPosition()
getCellBounds found in:
Class BasicListUI.getCellBounds(javax.swing.JList, int, int)
Class JList.getCellBounds(int, int)
Class ListUI.getCellBounds(javax.swing.JList, int, int)
Class MultiListUI.getCellBounds(javax.swing.JList, int, int)
getCellEditor found in:
Class BasicTreeUI.getCellEditor()
Class JTable.getCellEditor()
Class JTree.getCellEditor()
Class TableColumn.getCellEditor()
getCellEditorValue found in:
Class DefaultCellEditor.getCellEditorValue()
Class DefaultTreeCellEditor.getCellEditorValue()
Class EditorDelegate.getCellEditorValue()
Interface CellEditor.getCellEditorValue()
getCellRenderer found in:
Class BasicTreeUI.getCellRenderer()
Class JList.getCellRenderer()
Class JTable.getCellRenderer(int, int)
Class JTree.getCellRenderer()
Class TableColumn.getCellRenderer()
getCertificates found in:
Class CodeSource.getCertificates()
Class JarEntry.getCertificates()
Class JarURLConnection.getCertificates()
getChange found in:
Class DefaultDocumentEvent.getChange(javax.swing.text.Element)
Interface DocumentEvent.getChange(javax.swing.text.Element)
getChannels found in:
Class AudioFormat.getChannels()
Interface Synthesizer.getChannels()
getChar found in:
Class Array.getChar(java.lang.Object, int)
Class Field.getChar(java.lang.Object)
getCharacterAttribute found in:
Class AccessibleAbstractButton.getCharacterAttribute(int)
Class AccessibleAWTTextComponent.getCharacterAttribute(int)
Class AccessibleJLabel.getCharacterAttribute(int)
Class AccessibleJTextComponent.getCharacterAttribute(int)
Interface AccessibleText.getCharacterAttribute(int)
getCharacterBounds found in:
Class AccessibleAbstractButton.getCharacterBounds(int)
Class AccessibleAWTTextComponent.getCharacterBounds(int)
Class AccessibleJLabel.getCharacterBounds(int)
Class AccessibleJTextComponent.getCharacterBounds(int)
Interface AccessibleText.getCharacterBounds(int)
getCharacterElement found in:
Class DefaultStyledDocument.getCharacterElement(int)
Interface StyledDocument.getCharacterElement(int)
getCharacterStream found in:
Interface Clob.getCharacterStream()
Interface ResultSet.getCharacterStream(int)
getCharCount found in:
Class AccessibleAbstractButton.getCharCount()
Class AccessibleAWTTextComponent.getCharCount()
Class AccessibleJLabel.getCharCount()
Class AccessibleJTextComponent.getCharCount()
Interface AccessibleText.getCharCount()
getChars found in:
Class GapContent.getChars(int, int, javax.swing.text.Segment)
Class String.getChars(int, int, char[], int)
Class StringBuffer.getChars(int, int, char[], int)
Class StringContent.getChars(int, int, javax.swing.text.Segment)
Interface Content.getChars(int, int, javax.swing.text.Segment)
getCheckBoxIcon found in:
Class BasicIconFactory.getCheckBoxIcon()
Class MetalIconFactory.getCheckBoxIcon()
getCheckBoxMenuItemIcon found in:
Class BasicIconFactory.getCheckBoxMenuItemIcon()
Class MetalIconFactory.getCheckBoxMenuItemIcon()
getChecksum found in:
Class CheckedInputStream.getChecksum()
Class CheckedOutputStream.getChecksum()
getChild found in:
Class ContainerEvent.getChild()
Class DefaultTreeModel.getChild(java.lang.Object, int)
Interface TreeModel.getChild(java.lang.Object, int)
getChildAllocation found in:
Class AsyncBoxView.getChildAllocation(int, java.awt.Shape)
Class BoxView.getChildAllocation(int, java.awt.Shape)
Class ChildLocator.getChildAllocation(int, java.awt.Shape)
Class CompositeView.getChildAllocation(int, java.awt.Shape)
Class View.getChildAllocation(int, java.awt.Shape)
getChildAt found in:
Class AbstractElement.getChildAt(int)
Class DefaultMutableTreeNode.getChildAt(int)
Class DynamicUtilTreeNode.getChildAt(int)
Interface TreeNode.getChildAt(int)
getChildCount found in:
Class AbstractElement.getChildCount()
Class DefaultMutableTreeNode.getChildCount()
Class DefaultTreeModel.getChildCount(java.lang.Object)
Class DynamicUtilTreeNode.getChildCount()
Interface TreeModel.getChildCount(java.lang.Object)
Interface TreeNode.getChildCount()
getChildrenAdded found in:
Class ElementEdit.getChildrenAdded()
Interface ElementChange.getChildrenAdded()
getChildrenRemoved found in:
Class ElementEdit.getChildrenRemoved()
Interface ElementChange.getChildrenRemoved()


getClassLoader found in:
Class Class.getClassLoader()
Class RMIClassLoader.getClassLoader(java.lang.String)


getClassName found in:
Class ActivationDesc.getClassName()
Class ActivationGroupDesc.getClassName()
Class Binding.getClassName()
Class LookAndFeelInfo.getClassName()
Class MissingResourceException.getClassName()
Class NameClassPair.getClassName()
Class Reference.getClassName()


getClientHost found in:
Class RemoteServer.getClientHost()
Interface ServerRef.getClientHost()
getClip found in:
Class DebugGraphics.getClip()
Class Graphics.getClip()
getClipBounds found in:
Class DebugGraphics.getClipBounds()
Class Graphics.getClipBounds()
getClob found in:
Interface CallableStatement.getClob(int)
Interface ResultSet.getClob(int)
getClosestPathForLocation found in:
Class BasicTreeUI.getClosestPathForLocation(javax.swing.JTree, int, int)
Class JTree.getClosestPathForLocation(int, int)
Class MultiTreeUI.getClosestPathForLocation(javax.swing.JTree, int, int)
Class TreeUI.getClosestPathForLocation(javax.swing.JTree, int, int)
getCodebase found in:
Class Util.getCodebase(java.lang.Class)
Interface UtilDelegate.getCodebase(java.lang.Class)
getCodeBase found in:
Class Applet.getCodeBase()
Interface AppletStub.getCodeBase()
getCollationKey found in:
Class Collator.getCollationKey(java.lang.String)
Class RuleBasedCollator.getCollationKey(java.lang.String)
getColor found in:
Class Color.getColor(java.lang.String)
Class DebugGraphics.getColor()
Class DefaultHighlightPainter.getColor()
Class Graphics.getColor()
Class JColorChooser.getColor()
Class PageAttributes.getColor()
Class UIDefaults.getColor(java.lang.Object)
Class UIManager.getColor(java.lang.Object)
getColorModel found in:
Class BufferedImage.getColorModel()
Class Component.getColorModel()
Class GraphicsConfiguration.getColorModel()
Class PixelGrabber.getColorModel()
Class Toolkit.getColorModel()
Interface PaintContext.getColorModel()
Interface RenderedImage.getColorModel()
getColorSpace found in:
Class Color.getColorSpace()
Class ColorModel.getColorSpace()
getColumn found in:
Class DefaultTableColumnModel.getColumn(int)
Class JTable.getColumn(java.lang.Object)
Class TableModelEvent.getColumn()
Interface TableColumnModel.getColumn(int)
getColumnClass found in:
Class AbstractTableModel.getColumnClass(int)
Class JTable.getColumnClass(int)
Interface TableModel.getColumnClass(int)
getColumnCount found in:
Class DefaultTableColumnModel.getColumnCount()
Class DefaultTableModel.getColumnCount()
Class JTable.getColumnCount()
Class TableCell.getColumnCount()
Interface ResultSetMetaData.getColumnCount()
Interface TableColumnModel.getColumnCount()
Interface TableModel.getColumnCount()
getColumnHeader found in:
Class JScrollPane.getColumnHeader()
Class ScrollPaneLayout.getColumnHeader()
getColumnIndex found in:
Class DefaultTableColumnModel.getColumnIndex(java.lang.Object)
Interface TableColumnModel.getColumnIndex(java.lang.Object)
getColumnIndexAtX found in:
Class DefaultTableColumnModel.getColumnIndexAtX(int)
Interface TableColumnModel.getColumnIndexAtX(int)
getColumnMargin found in:
Class DefaultTableColumnModel.getColumnMargin()
Interface TableColumnModel.getColumnMargin()
getColumnModel found in:
Class JTable.getColumnModel()
Class JTableHeader.getColumnModel()
getColumnName found in:
Class AbstractTableModel.getColumnName(int)
Class DefaultTableModel.getColumnName(int)
Class JTable.getColumnName(int)
Interface ResultSetMetaData.getColumnName(int)
Interface TableModel.getColumnName(int)
getColumns found in:
Class DefaultTableColumnModel.getColumns()
Class GridLayout.getColumns()
Class JTextArea.getColumns()
Class JTextField.getColumns()
Class TextArea.getColumns()
Class TextField.getColumns()
Interface DatabaseMetaData.getColumns(java.lang.String, java.lang.String, java.lang.String, java.lang.String)
Interface TableColumnModel.getColumns()
getColumnSelectionAllowed found in:
Class DefaultTableColumnModel.getColumnSelectionAllowed()
Class JTable.getColumnSelectionAllowed()
Interface TableColumnModel.getColumnSelectionAllowed()
getColumnWidth found in:
Class JTextArea.getColumnWidth()
Class JTextField.getColumnWidth()
getCommittedText found in:
Class ActiveClient.getCommittedText(int, int, java.text.AttributedCharacterIterator.Attribute[])
Class LWTextComponent.getCommittedText()
Interface InputMethodRequests.getCommittedText(int, int, java.text.AttributedCharacterIterator.Attribute[])
getCommittedTextLength found in:
Class LWTextComponent.getCommittedTextLength()
Interface InputMethodRequests.getCommittedTextLength()
getComponent found in:
Class AncestorEvent.getComponent()
Class BasicTextUI.getComponent()
Class ComponentEvent.getComponent()
Class ComponentInputMap.getComponent()
Class ComponentView.getComponent()
Class Container.getComponent(int)
Class DefaultCaret.getComponent()
Class DefaultCellEditor.getComponent()
Class DragGestureEvent.getComponent()
Class DragGestureRecognizer.getComponent()
Class DragSourceContext.getComponent()
Class DropTarget.getComponent()
Class DropTargetContext.getComponent()
Class HierarchyEvent.getComponent()
Class JMenu.getComponent()
Class JMenuBar.getComponent()
Class JMenuItem.getComponent()
Class JPopupMenu.getComponent()
Class JToolTip.getComponent()
Class StyleConstants.getComponent(javax.swing.text.AttributeSet)
Interface BeanContextChildComponentProxy.getComponent()
Interface MenuElement.getComponent()
Interface Renderer.getComponent()
getComponentAt found in:
Class Component.getComponentAt(int, int)
Class Container.getComponentAt(int, int)
Class JTabbedPane.getComponentAt(int)
getComponentAtIndex found in:
Class JMenuBar.getComponentAtIndex(int)
Class JPopupMenu.getComponentAtIndex(int)
Class JToolBar.getComponentAtIndex(int)
getComponentIndex found in:
Class JMenuBar.getComponentIndex(java.awt.Component)
Class JPopupMenu.getComponentIndex(java.awt.Component)
Class JToolBar.getComponentIndex(java.awt.Component)
getComponents found in:
Class Color.getComponents(float[])
Class ColorModel.getComponents(int, int[], int)
Class ComponentColorModel.getComponents(int, int[], int)
Class Container.getComponents()
Class DirectColorModel.getComponents(int, int[], int)
Class IndexColorModel.getComponents(int, int[], int)
getComponentSize found in:
Class ColorModel.getComponentSize(int)
Class IndexColorModel.getComponentSize()
getConnectControls found in:
Class InitialLdapContext.getConnectControls()
Interface LdapContext.getConnectControls()
getConnection found in:
Class DriverManager.getConnection(java.lang.String, java.util.Properties)
Interface DatabaseMetaData.getConnection()
Interface Statement.getConnection()
getContainer found in:
Class ContainerEvent.getContainer()
Class View.getContainer()
Interface BeanContextContainerProxy.getContainer()
getContent found in:
Class AbstractDocument.getContent()
Class BinaryRefAddr.getContent()
Class ContentHandler.getContent(java.net.URLConnection)
Class Element.getContent()
Class RefAddr.getContent()
Class StringRefAddr.getContent()
Class URL.getContent()
Class URLConnection.getContent()
getContentPane found in:
Class JApplet.getContentPane()
Class JDialog.getContentPane()
Class JFrame.getContentPane()
Class JInternalFrame.getContentPane()
Class JRootPane.getContentPane()
Class JWindow.getContentPane()
Interface RootPaneContainer.getContentPane()
getContents found in:
Class AccessibleResourceBundle.getContents()
Class Clipboard.getContents(java.lang.Object)
Class ListResourceBundle.getContents()
getContentType found in:
Class DefaultEditorKit.getContentType()
Class EditorKit.getContentType()
Class HTMLEditorKit.getContentType()
Class JEditorPane.getContentType()
Class RTFEditorKit.getContentType()
Class URLConnection.getContentType()
getControl found in:
Class MetalLookAndFeel.getControl()
Class MetalTheme.getControl()
Interface Line.getControl(javax.sound.sampled.Control.Type)
getControlDarkShadow found in:
Class MetalLookAndFeel.getControlDarkShadow()
Class MetalTheme.getControlDarkShadow()
getControlDisabled found in:
Class MetalLookAndFeel.getControlDisabled()
Class MetalTheme.getControlDisabled()
getControlHighlight found in:
Class MetalLookAndFeel.getControlHighlight()
Class MetalTheme.getControlHighlight()
getControlInfo found in:
Class MetalLookAndFeel.getControlInfo()
Class MetalTheme.getControlInfo()
getControls found in:
Interface HasControls.getControls()
Interface Line.getControls()
getControlShadow found in:
Class MetalLookAndFeel.getControlShadow()
Class MetalTheme.getControlShadow()
getControlTextColor found in:
Class MetalLookAndFeel.getControlTextColor()
Class MetalTheme.getControlTextColor()
getControlTextFont found in:
Class DefaultMetalTheme.getControlTextFont()
Class MetalLookAndFeel.getControlTextFont()
Class MetalTheme.getControlTextFont()
getCopies found in:
Class JobAttributes.getCopies()
Class PrinterJob.getCopies()
getCorner found in:
Class JScrollPane.getCorner(java.lang.String)
Class ScrollPaneLayout.getCorner(java.lang.String)
getCrtCoefficient found in:
Class RSAPrivateCrtKeySpec.getCrtCoefficient()
Interface RSAPrivateCrtKey.getCrtCoefficient()
getCtrlP1 found in:
Class CubicCurve2D.getCtrlP1()
Class Double.getCtrlP1()
Class Float.getCtrlP1()
getCtrlP2 found in:
Class CubicCurve2D.getCtrlP2()
Class Double.getCtrlP2()
Class Float.getCtrlP2()
getCtrlPt found in:
Class Double.getCtrlPt()
Class Float.getCtrlPt()
Class QuadCurve2D.getCtrlPt()
getCtrlX found in:
Class Double.getCtrlX()
Class Float.getCtrlX()
Class QuadCurve2D.getCtrlX()
getCtrlX1 found in:
Class CubicCurve2D.getCtrlX1()
Class Double.getCtrlX1()
Class Float.getCtrlX1()
getCtrlX2 found in:
Class CubicCurve2D.getCtrlX2()
Class Double.getCtrlX2()
Class Float.getCtrlX2()
getCtrlY found in:
Class Double.getCtrlY()
Class Float.getCtrlY()
Class QuadCurve2D.getCtrlY()
getCtrlY1 found in:
Class CubicCurve2D.getCtrlY1()
Class Double.getCtrlY1()
Class Float.getCtrlY1()
getCtrlY2 found in:
Class CubicCurve2D.getCtrlY2()
Class Double.getCtrlY2()
Class Float.getCtrlY2()
getCurrentAccessibleValue found in:
Class AccessibleAbstractButton.getCurrentAccessibleValue()
Class AccessibleAWTButton.getCurrentAccessibleValue()
Class AccessibleAWTCheckbox.getCurrentAccessibleValue()
Class AccessibleAWTCheckboxMenuItem.getCurrentAccessibleValue()
Class AccessibleAWTMenuItem.getCurrentAccessibleValue()
Class AccessibleAWTScrollBar.getCurrentAccessibleValue()
Class AccessibleJDesktopIcon.getCurrentAccessibleValue()
Class AccessibleJInternalFrame.getCurrentAccessibleValue()
Class AccessibleJProgressBar.getCurrentAccessibleValue()
Class AccessibleJScrollBar.getCurrentAccessibleValue()
Class AccessibleJSlider.getCurrentAccessibleValue()
Class AccessibleJSplitPane.getCurrentAccessibleValue()
Interface AccessibleValue.getCurrentAccessibleValue()


getCurrentDataFlavors found in:
Class DropTargetContext.getCurrentDataFlavors()
Class DropTargetDragEvent.getCurrentDataFlavors()
Class DropTargetDropEvent.getCurrentDataFlavors()
getCurrentDataFlavorsAsList found in:
Class DropTargetContext.getCurrentDataFlavorsAsList()
Class DropTargetDragEvent.getCurrentDataFlavorsAsList()
Class DropTargetDropEvent.getCurrentDataFlavorsAsList()


getCurrentServiceClasses found in:
Class BeanContextServicesSupport.getCurrentServiceClasses()
Interface BeanContextServices.getCurrentServiceClasses()
getCurrentServiceSelectors found in:
Class BCSSProxyServiceProvider.getCurrentServiceSelectors(java.beans.beancontext.BeanContextServices, java.lang.Class)
Class BeanContextServiceAvailableEvent.getCurrentServiceSelectors()
Class BeanContextServicesSupport.getCurrentServiceSelectors(java.lang.Class)
Interface BeanContextServiceProvider.getCurrentServiceSelectors(java.beans.beancontext.BeanContextServices, java.lang.Class)
Interface BeanContextServices.getCurrentServiceSelectors(java.lang.Class)


getCursor found in:
Class AccessibleAWTComponent.getCursor()
Class AccessibleAWTListChild.getCursor()
Class AccessibleAWTMenuComponent.getCursor()
Class AccessibleJListChild.getCursor()
Class AccessibleJTableCell.getCursor()
Class AccessibleJTableHeaderEntry.getCursor()
Class AccessibleJTreeNode.getCursor()
Class Component.getCursor()
Class DragSourceContext.getCursor()
Interface AccessibleComponent.getCursor()
getCustomEditor found in:
Class PropertyEditorSupport.getCustomEditor()
Interface PropertyEditor.getCustomEditor()
getData found in:
Class ActivationDesc.getData()
Class ActivationGroupDesc.getData()
Class BufferedImage.getData()
Class DataBufferByte.getData()
Class DataBufferInt.getData()
Class DataBufferShort.getData()
Class DataBufferUShort.getData()
Class DatagramPacket.getData()
Class Entity.getData()
Class ICC_Profile.getData()
Class MetaMessage.getData()
Class SoundbankResource.getData()
Class SysexMessage.getData()
Interface RenderedImage.getData()
getDataElement found in:
Class ColorModel.getDataElement(int[], int)
Class ComponentColorModel.getDataElement(int[], int)
Class DirectColorModel.getDataElement(int[], int)
Class IndexColorModel.getDataElement(int[], int)
getDataElements found in:
Class BandedSampleModel.getDataElements(int, int, java.lang.Object, java.awt.image.DataBuffer)
Class ColorModel.getDataElements(int, java.lang.Object)
Class ComponentColorModel.getDataElements(int, java.lang.Object)
Class ComponentSampleModel.getDataElements(int, int, java.lang.Object, java.awt.image.DataBuffer)
Class DirectColorModel.getDataElements(int, java.lang.Object)
Class IndexColorModel.getDataElements(int, java.lang.Object)
Class MultiPixelPackedSampleModel.getDataElements(int, int, java.lang.Object, java.awt.image.DataBuffer)
Class Raster.getDataElements(int, int, java.lang.Object)
Class SampleModel.getDataElements(int, int, java.lang.Object, java.awt.image.DataBuffer)
Class SinglePixelPackedSampleModel.getDataElements(int, int, java.lang.Object, java.awt.image.DataBuffer)
getDataType found in:
Class DataBuffer.getDataType()
Class SampleModel.getDataType()
getDate found in:
Class Date.getDate()
Class Time.getDate()
Class URLConnection.getDate()
Interface CallableStatement.getDate(int)
Interface ResultSet.getDate(int)
getDay found in:
Class Date.getDay()
Class Time.getDay()
getDeclaringClass found in:
Class Class.getDeclaringClass()
Class Constructor.getDeclaringClass()
Class Field.getDeclaringClass()
Class Method.getDeclaringClass()
Interface Member.getDeclaringClass()
getDefault found in:
Class Locale.getDefault()
Class TimeZone.getDefault()
getDefaultCloseOperation found in:
Class JDialog.getDefaultCloseOperation()
Class JFrame.getDefaultCloseOperation()
Class JInternalFrame.getDefaultCloseOperation()
getDefaultCursor found in:
Class Cursor.getDefaultCursor()
Class HTMLEditorKit.getDefaultCursor()
getDefaultEventIndex found in:
Class SimpleBeanInfo.getDefaultEventIndex()
Interface BeanInfo.getDefaultEventIndex()
getDefaultJPEGEncodeParam found in:
Class JPEGCodec.getDefaultJPEGEncodeParam(java.awt.image.BufferedImage)
Interface JPEGImageEncoder.getDefaultJPEGEncodeParam(java.awt.image.BufferedImage)
getDefaultPropertyIndex found in:
Class SimpleBeanInfo.getDefaultPropertyIndex()
Interface BeanInfo.getDefaultPropertyIndex()
getDefaultRenderer found in:
Class JTable.getDefaultRenderer(java.lang.Class)
Class JTableHeader.getDefaultRenderer()
getDefaultRootElement found in:
Class AbstractDocument.getDefaultRootElement()
Class DefaultStyledDocument.getDefaultRootElement()
Class PlainDocument.getDefaultRootElement()
Interface Document.getDefaultRootElement()
getDefaults found in:
Class BasicLookAndFeel.getDefaults()
Class LookAndFeel.getDefaults()
Class MetalLookAndFeel.getDefaults()
Class MultiLookAndFeel.getDefaults()
Class UIManager.getDefaults()
getDelay found in:
Class JMenu.getDelay()
Class Timer.getDelay()
getDescent found in:
Class FontMetrics.getDescent()
Class GlyphPainter.getDescent(javax.swing.text.GlyphView)
Class GraphicAttribute.getDescent()
Class ImageGraphicAttribute.getDescent()
Class LineMetrics.getDescent()
Class ShapeGraphicAttribute.getDescent()
Class TextLayout.getDescent()
getDescription found in:
Class AcceptAllFileFilter.getDescription()
Class BasicFileView.getDescription(java.io.File)
Class FileFilter.getDescription()
Class FileView.getDescription(java.io.File)
Class HyperlinkEvent.getDescription()
Class ImageIcon.getDescription()
Class Info.getDescription()
Class Info.getDescription()
Class JFileChooser.getDescription(java.io.File)
Class LookAndFeel.getDescription()
Class MetalLookAndFeel.getDescription()
Class MultiLookAndFeel.getDescription()
Interface Soundbank.getDescription()
getDesktopColor found in:
Class MetalLookAndFeel.getDesktopColor()
Class MetalTheme.getDesktopColor()
getDesktopManager found in:
Class BasicInternalFrameUI.getDesktopManager()
Class JDesktopPane.getDesktopManager()
getDesktopPane found in:
Class JDesktopIcon.getDesktopPane()
Class JInternalFrame.getDesktopPane()
getDevice found in:
Class GraphicsConfiguration.getDevice()
Class MidiDeviceProvider.getDevice(javax.sound.midi.MidiDevice.Info)
getDeviceInfo found in:
Class MidiDeviceProvider.getDeviceInfo()
Interface MidiDevice.getDeviceInfo()
getDialogTitle found in:
Class BasicFileChooserUI.getDialogTitle(javax.swing.JFileChooser)
Class FileChooserUI.getDialogTitle(javax.swing.JFileChooser)
Class JFileChooser.getDialogTitle()
Class MultiFileChooserUI.getDialogTitle(javax.swing.JFileChooser)
getDimension found in:
Class UIDefaults.getDimension(java.lang.Object)
Class UIManager.getDimension(java.lang.Object)
getDirection found in:
Class BasicArrowButton.getDirection()
Class ElementSpec.getDirection()
getDirectoryName found in:
Class BasicFileChooserUI.getDirectoryName()
Class MetalFileChooserUI.getDirectoryName()
getDisabledIcon found in:
Class AbstractButton.getDisabledIcon()
Class JLabel.getDisabledIcon()
getDisabledTextColor found in:
Class JTextComponent.getDisabledTextColor()
Class MetalButtonUI.getDisabledTextColor()
Class MetalRadioButtonUI.getDisabledTextColor()
Class MetalToggleButtonUI.getDisabledTextColor()
getDisplayName found in:
Class AbstractColorChooserPanel.getDisplayName()
Class FeatureDescriptor.getDisplayName()
Class Locale.getDisplayName()
Class TimeZone.getDisplayName()
getDisplayText found in:
Class ActiveClient.getDisplayText()
Class LWTextComponent.getDisplayText()
getDividerLocation found in:
Class BasicSplitPaneUI.getDividerLocation(javax.swing.JSplitPane)
Class JSplitPane.getDividerLocation()
Class MultiSplitPaneUI.getDividerLocation(javax.swing.JSplitPane)
Class SplitPaneUI.getDividerLocation(javax.swing.JSplitPane)
getDividerSize found in:
Class BasicSplitPaneDivider.getDividerSize()
Class JSplitPane.getDividerSize()
getDivisionType found in:
Class MidiFileFormat.getDivisionType()
Class Sequence.getDivisionType()
getDocument found in:
Class AbstractElement.getDocument()
Class AbstractWriter.getDocument()
Class DefaultDocumentEvent.getDocument()
Class JTextComponent.getDocument()
Class View.getDocument()
Interface DocumentEvent.getDocument()
Interface Element.getDocument()
getDocumentBase found in:
Class Applet.getDocumentBase()
Interface AppletStub.getDocumentBase()
getDot found in:
Class CaretEvent.getDot()
Class DefaultCaret.getDot()
Interface Caret.getDot()
getDouble found in:
Class Array.getDouble(java.lang.Object, int)
Class Field.getDouble(java.lang.Object)
Interface CallableStatement.getDouble(int)
Interface ResultSet.getDouble(int)
getDragSource found in:
Class DragGestureEvent.getDragSource()
Class DragGestureRecognizer.getDragSource()
Class DragSourceContext.getDragSource()
getDropAction found in:
Class DragSourceDragEvent.getDropAction()
Class DragSourceDropEvent.getDropAction()
Class DropTargetDragEvent.getDropAction()
Class DropTargetDropEvent.getDropAction()
getDropTarget found in:
Class Component.getDropTarget()
Class DropTargetContext.getDropTarget()
getDropTargetContext found in:
Class DropTarget.getDropTargetContext()
Class DropTargetEvent.getDropTargetContext()
getEchoChar found in:
Class JPasswordField.getEchoChar()
Class TextField.getEchoChar()
getEditingPath found in:
Class BasicTreeUI.getEditingPath(javax.swing.JTree)
Class JTree.getEditingPath()
Class MultiTreeUI.getEditingPath(javax.swing.JTree)
Class TreeUI.getEditingPath(javax.swing.JTree)
getEditor found in:
Class JComboBox.getEditor()
Class StyledTextAction.getEditor(java.awt.event.ActionEvent)
getEditorComponent found in:
Class BasicComboBoxEditor.getEditorComponent()
Class JTable.getEditorComponent()
Interface ComboBoxEditor.getEditorComponent()
getEditorKit found in:
Class BasicEditorPaneUI.getEditorKit(javax.swing.text.JTextComponent)
Class BasicTextPaneUI.getEditorKit(javax.swing.text.JTextComponent)
Class BasicTextUI.getEditorKit(javax.swing.text.JTextComponent)
Class JEditorPane.getEditorKit()
Class MultiTextUI.getEditorKit(javax.swing.text.JTextComponent)
Class TextUI.getEditorKit(javax.swing.text.JTextComponent)
getElem found in:
Class DataBuffer.getElem(int)
Class DataBufferByte.getElem(int)
Class DataBufferInt.getElem(int)
Class DataBufferShort.getElem(int)
Class DataBufferUShort.getElem(int)
getElement found in:
Class AbstractElement.getElement(int)
Class BranchElement.getElement(int)
Class DTD.getElement(java.lang.String)
Class ElementEdit.getElement()
Class HTMLDocument.getElement(java.lang.String)
Class LeafElement.getElement(int)
Class TagElement.getElement()
Class View.getElement()
Interface Element.getElement(int)
Interface ElementChange.getElement()
getElementAt found in:
Class BasicDirectoryModel.getElementAt(int)
Class DefaultComboBoxModel.getElementAt(int)
Class DefaultListModel.getElementAt(int)
Class DirectoryComboBoxModel.getElementAt(int)
Class FilterComboBoxModel.getElementAt(int)
Interface ListModel.getElementAt(int)
getElementCount found in:
Class AbstractElement.getElementCount()
Class BranchElement.getElementCount()
Class LeafElement.getElementCount()
Interface Element.getElementCount()
getElementIndex found in:
Class AbstractElement.getElementIndex(int)
Class BranchElement.getElementIndex(int)
Class LeafElement.getElementIndex(int)
Interface Element.getElementIndex(int)
getElements found in:
Class ButtonGroup.getElements()
Class ContentModel.getElements(java.util.Vector)
getEmptySet found in:
Class StyleContext.getEmptySet()
Interface AttributeContext.getEmptySet()
getEncoded found in:
Class AlgorithmParameters.getEncoded()
Class Certificate.getEncoded()
Class EncodedKeySpec.getEncoded()
Class PKCS8EncodedKeySpec.getEncoded()
Class X509CRL.getEncoded()
Class X509CRLEntry.getEncoded()
Class X509EncodedKeySpec.getEncoded()
Interface Key.getEncoded()
getEncodedValue found in:
Interface Control.getEncodedValue()
Interface ExtendedRequest.getEncodedValue()
Interface ExtendedResponse.getEncodedValue()
getEncoding found in:
Class AudioFormat.getEncoding()
Class InputStreamReader.getEncoding()
Class OutputStreamWriter.getEncoding()
getEndIndex found in:
Class AccessibleHyperlink.getEndIndex()
Class FieldPosition.getEndIndex()
Class HTMLLink.getEndIndex()
Class Segment.getEndIndex()
Class StringCharacterIterator.getEndIndex()
Interface CharacterIterator.getEndIndex()
getEndOffset found in:
Class AbstractElement.getEndOffset()
Class AbstractWriter.getEndOffset()
Class BranchElement.getEndOffset()
Class GlyphView.getEndOffset()
Class Iterator.getEndOffset()
Class LeafElement.getEndOffset()
Class View.getEndOffset()
Interface Element.getEndOffset()
Interface Highlight.getEndOffset()
getEndPosition found in:
Class AbstractDocument.getEndPosition()
Interface Document.getEndPosition()
getEntry found in:
Class JarFile.getEntry(java.lang.String)
Class ZipFile.getEntry(java.lang.String)


getEnvironment found in:
Class CannotProceedException.getEnvironment()
Class InitialContext.getEnvironment()
Interface Context.getEnvironment()
getErrorStream found in:
Class HttpURLConnection.getErrorStream()
Class Process.getErrorStream()
getEventContext found in:
Class NamingEvent.getEventContext()
Class NamingExceptionEvent.getEventContext()
getEventSetDescriptors found in:
Class SimpleBeanInfo.getEventSetDescriptors()
Interface BeanInfo.getEventSetDescriptors()
getException found in:
Class ClassNotFoundException.getException()
Class ExceptionInInitializerError.getException()
Class InvocationEvent.getException()
Class NamingExceptionEvent.getException()
Class PrivilegedActionException.getException()
Interface UnsolicitedNotification.getException()


getExceptionTypes found in:
Class Constructor.getExceptionTypes()
Class Method.getExceptionTypes()
getExpandedState found in:
Class AbstractLayoutCache.getExpandedState(javax.swing.tree.TreePath)
Class FixedHeightLayoutCache.getExpandedState(javax.swing.tree.TreePath)
Class VariableHeightLayoutCache.getExpandedState(javax.swing.tree.TreePath)
getExtent found in:
Class DefaultBoundedRangeModel.getExtent()
Class JSlider.getExtent()
Interface BoundedRangeModel.getExtent()
getFD found in:
Class FileInputStream.getFD()
Class FileOutputStream.getFD()
Class RandomAccessFile.getFD()
getFetchDirection found in:
Interface ResultSet.getFetchDirection()
Interface Statement.getFetchDirection()
getFetchSize found in:
Interface ResultSet.getFetchSize()
Interface Statement.getFetchSize()
getField found in:
Class Class.getField(java.lang.String)
Class FieldPosition.getField()
Class ObjectStreamClass.getField(java.lang.String)


getFields found in:
Class Class.getFields()
Class ObjectStreamClass.getFields()
getFile found in:
Class FileDialog.getFile()
Class URL.getFile()
getFileDescriptor found in:
Class DatagramSocketImpl.getFileDescriptor()
Class SocketImpl.getFileDescriptor()
getFileName found in:
Class BasicFileChooserUI.getFileName()
Class JobAttributes.getFileName()
Class MetalFileChooserUI.getFileName()
getFiles found in:
Class BasicDirectoryModel.getFiles()
Class FileSystemView.getFiles(java.io.File, boolean)
getFileSystemView found in:
Class FileSystemView.getFileSystemView()
Class JFileChooser.getFileSystemView()
getFileView found in:
Class BasicFileChooserUI.getFileView(javax.swing.JFileChooser)
Class FileChooserUI.getFileView(javax.swing.JFileChooser)
Class JFileChooser.getFileView()
Class MultiFileChooserUI.getFileView(javax.swing.JFileChooser)
getFirstColumn found in:
Class AccessibleJTableModelChange.getFirstColumn()
Interface AccessibleTableModelChange.getFirstColumn()
getFirstRow found in:
Class AccessibleJTableModelChange.getFirstRow()
Class TableModelEvent.getFirstRow()
Interface AccessibleTableModelChange.getFirstRow()
getFlatness found in:
Class CubicCurve2D.getFlatness(double, double, double, double, double, double, double, double)
Class FlatteningPathIterator.getFlatness()
Class QuadCurve2D.getFlatness(double, double, double, double, double, double)
getFlatnessSq found in:
Class CubicCurve2D.getFlatnessSq(double, double, double, double, double, double, double, double)
Class QuadCurve2D.getFlatnessSq(double, double, double, double, double, double)
getFlavorMap found in:
Class DragSource.getFlavorMap()
Class DropTarget.getFlavorMap()
getFlavorsForNatives found in:
Class SystemFlavorMap.getFlavorsForNatives(java.lang.String[])
Interface FlavorMap.getFlavorsForNatives(java.lang.String[])
getFloat found in:
Class Array.getFloat(java.lang.Object, int)
Class Field.getFloat(java.lang.Object)
Interface CallableStatement.getFloat(int)
Interface ResultSet.getFloat(int)
getFlowSpan found in:
Class FlowView.getFlowSpan(int)
Class ParagraphView.getFlowSpan(int)
getFlowStart found in:
Class FlowView.getFlowStart(int)
Class ParagraphView.getFlowStart(int)
getFocusColor found in:
Class BasicSliderUI.getFocusColor()
Class MetalButtonUI.getFocusColor()
Class MetalLookAndFeel.getFocusColor()
Class MetalRadioButtonUI.getFocusColor()
Class MetalTheme.getFocusColor()
Class MetalToggleButtonUI.getFocusColor()
getFocusOwner found in:
Class JInternalFrame.getFocusOwner()
Class Window.getFocusOwner()
getFont found in:
Class AccessibleAWTComponent.getFont()
Class AccessibleAWTListChild.getFont()
Class AccessibleAWTMenuComponent.getFont()
Class AccessibleJListChild.getFont()
Class AccessibleJTableCell.getFont()
Class AccessibleJTableHeaderEntry.getFont()
Class AccessibleJTreeNode.getFont()
Class Component.getFont()
Class DebugGraphics.getFont()
Class DefaultStyledDocument.getFont(javax.swing.text.AttributeSet)
Class DefaultTextField.getFont()
Class DefaultTreeCellEditor.getFont()
Class Font.getFont(java.util.Map)
Class FontMetrics.getFont()
Class GlyphVector.getFont()
Class GlyphView.getFont()
Class Graphics.getFont()
Class LabelView.getFont()
Class MenuComponent.getFont()
Class StyleContext.getFont(javax.swing.text.AttributeSet)
Class StyleSheet.getFont(javax.swing.text.AttributeSet)
Class TitledBorder.getFont(java.awt.Component)
Class UIDefaults.getFont(java.lang.Object)
Class UIManager.getFont(java.lang.Object)
Interface AccessibleComponent.getFont()
Interface MenuContainer.getFont()
Interface StyledDocument.getFont(javax.swing.text.AttributeSet)
getFontMetrics found in:
Class AccessibleAWTComponent.getFontMetrics(java.awt.Font)
Class AccessibleAWTListChild.getFontMetrics(java.awt.Font)
Class AccessibleAWTMenuComponent.getFontMetrics(java.awt.Font)
Class AccessibleJListChild.getFontMetrics(java.awt.Font)
Class AccessibleJTableCell.getFontMetrics(java.awt.Font)
Class AccessibleJTableHeaderEntry.getFontMetrics(java.awt.Font)
Class AccessibleJTreeNode.getFontMetrics(java.awt.Font)
Class BasicTabbedPaneUI.getFontMetrics()
Class Component.getFontMetrics(java.awt.Font)
Class DebugGraphics.getFontMetrics()
Class FieldView.getFontMetrics()
Class Graphics.getFontMetrics()
Class LabelView.getFontMetrics()
Class StyleContext.getFontMetrics(java.awt.Font)
Class Toolkit.getFontMetrics(java.awt.Font)
Interface AccessibleComponent.getFontMetrics(java.awt.Font)
getFontRenderContext found in:
Class GlyphVector.getFontRenderContext()
Class Graphics2D.getFontRenderContext()
getForeground found in:
Class AccessibleAWTComponent.getForeground()
Class AccessibleAWTListChild.getForeground()
Class AccessibleAWTMenuComponent.getForeground()
Class AccessibleJListChild.getForeground()
Class AccessibleJTableCell.getForeground()
Class AccessibleJTableHeaderEntry.getForeground()
Class AccessibleJTreeNode.getForeground()
Class Component.getForeground()
Class DefaultStyledDocument.getForeground(javax.swing.text.AttributeSet)
Class GlyphView.getForeground()
Class LabelView.getForeground()
Class StyleConstants.getForeground(javax.swing.text.AttributeSet)
Class StyleContext.getForeground(javax.swing.text.AttributeSet)
Class StyleSheet.getForeground(javax.swing.text.AttributeSet)
Interface AccessibleComponent.getForeground()
Interface StyledDocument.getForeground(javax.swing.text.AttributeSet)
getFormat found in:
Class AudioFileFormat.getFormat()
Class AudioInputStream.getFormat()
Class EncodedKeySpec.getFormat()
Class PKCS8EncodedKeySpec.getFormat()
Class X509EncodedKeySpec.getFormat()
Interface Certificate.getFormat()
Interface DataLine.getFormat()
Interface Key.getFormat()
getFormats found in:
Class ChoiceFormat.getFormats()
Class Info.getFormats()
Class MessageFormat.getFormats()


getFrameLength found in:
Class AudioFileFormat.getFrameLength()
Class AudioInputStream.getFrameLength()
Interface Clip.getFrameLength()


getFramePosition found in:
Class LineEvent.getFramePosition()
Interface DataLine.getFramePosition()
getG found in:
Class DSAParameterSpec.getG()
Class DSAPrivateKeySpec.getG()
Class DSAPublicKeySpec.getG()
Interface DSAParams.getG()
getGamma found in:
Class ICC_ProfileGray.getGamma()
Class ICC_ProfileRGB.getGamma(int)
getGlassPane found in:
Class JApplet.getGlassPane()
Class JDialog.getGlassPane()
Class JFrame.getGlassPane()
Class JInternalFrame.getGlassPane()
Class JRootPane.getGlassPane()
Class JWindow.getGlassPane()
Interface RootPaneContainer.getGlassPane()
getGraphics found in:
Class BufferedImage.getGraphics()
Class Component.getGraphics()
Class Image.getGraphics()
Class JComponent.getGraphics()
Class PrintJob.getGraphics()
Class View.getGraphics()
getGraphicsConfiguration found in:
Class Component.getGraphicsConfiguration()
Class Window.getGraphicsConfiguration()
getGreatestMinimum found in:
Class Calendar.getGreatestMinimum(int)
Class GregorianCalendar.getGreatestMinimum(int)
getGreen found in:
Class Color.getGreen()
Class ColorModel.getGreen(int)
Class ComponentColorModel.getGreen(int)
Class DirectColorModel.getGreen(int)
Class IndexColorModel.getGreen(int)
getHeaderFieldDate found in:
Class HttpURLConnection.getHeaderFieldDate(java.lang.String, long)
Class URLConnection.getHeaderFieldDate(java.lang.String, long)
getHeight found in:
Class BoxView.getHeight()
Class BufferedImage.getHeight()
Class Component.getHeight()
Class Dimension.getHeight()
Class Dimension2D.getHeight()
Class Double.getHeight()
Class Double.getHeight()
Class Double.getHeight()
Class Double.getHeight()
Class Float.getHeight()
Class Float.getHeight()
Class Float.getHeight()
Class Float.getHeight()
Class FontMetrics.getHeight()
Class GlyphPainter.getHeight(javax.swing.text.GlyphView)
Class Image.getHeight(java.awt.image.ImageObserver)
Class JComponent.getHeight()
Class Kernel.getHeight()
Class LineMetrics.getHeight()
Class PageFormat.getHeight()
Class Paper.getHeight()
Class PixelGrabber.getHeight()
Class Raster.getHeight()
Class Rectangle.getHeight()
Class RectangularShape.getHeight()
Class RenderableImageOp.getHeight()
Class SampleModel.getHeight()
Interface JPEGDecodeParam.getHeight()
Interface RenderableImage.getHeight()
Interface RenderedImage.getHeight()
getHelpMenu found in:
Class JMenuBar.getHelpMenu()
Class MenuBar.getHelpMenu()
getHgap found in:
Class BorderLayout.getHgap()
Class CardLayout.getHgap()
Class FlowLayout.getHgap()
Class GridLayout.getHgap()
getHighlightColor found in:
Class BasicSliderUI.getHighlightColor()
Class EtchedBorder.getHighlightColor(java.awt.Component)
getHighlightedTextColor found in:
Class MetalLookAndFeel.getHighlightedTextColor()
Class MetalTheme.getHighlightedTextColor()
getHighlights found in:
Class DefaultHighlighter.getHighlights()
Interface Highlighter.getHighlights()
getHorizontalAlignment found in:
Class AbstractButton.getHorizontalAlignment()
Class JLabel.getHorizontalAlignment()
Class JTextField.getHorizontalAlignment()
getHorizontalLegBuffer found in:
Class BasicTreeUI.getHorizontalLegBuffer()
Class MetalTreeUI.getHorizontalLegBuffer()
getHorizontalScrollBar found in:
Class JScrollPane.getHorizontalScrollBar()
Class ScrollPaneLayout.getHorizontalScrollBar()
getHorizontalScrollBarPolicy found in:
Class JScrollPane.getHorizontalScrollBarPolicy()
Class ScrollPaneLayout.getHorizontalScrollBarPolicy()
getHorizontalTextPosition found in:
Class AbstractButton.getHorizontalTextPosition()
Class JLabel.getHorizontalTextPosition()
getHostAddress found in:
Class InetAddress.getHostAddress()
Class URLStreamHandler.getHostAddress(java.net.URL)
getHours found in:
Class Date.getHours()
Class Date.getHours()
getIcon found in:
Class AbstractButton.getIcon()
Class BasicFileView.getIcon(java.io.File)
Class BasicOptionPaneUI.getIcon()
Class FileView.getIcon(java.io.File)
Class JFileChooser.getIcon(java.io.File)
Class JLabel.getIcon()
Class JOptionPane.getIcon()
Class SimpleBeanInfo.getIcon(int)
Class StyleConstants.getIcon(javax.swing.text.AttributeSet)
Class UIDefaults.getIcon(java.lang.Object)
Class UIManager.getIcon(java.lang.Object)
Interface BeanInfo.getIcon(int)
getIconHeight found in:
Class FileIcon16.getIconHeight()
Class FolderIcon16.getIconHeight()
Class IconUIResource.getIconHeight()
Class ImageIcon.getIconHeight()
Class MetalCheckBoxIcon.getIconHeight()
Class MetalComboBoxIcon.getIconHeight()
Class PaletteCloseIcon.getIconHeight()
Class TreeControlIcon.getIconHeight()
Interface Icon.getIconHeight()
getIconWidth found in:
Class FileIcon16.getIconWidth()
Class FolderIcon16.getIconWidth()
Class IconUIResource.getIconWidth()
Class ImageIcon.getIconWidth()
Class MetalCheckBoxIcon.getIconWidth()
Class MetalComboBoxIcon.getIconWidth()
Class PaletteCloseIcon.getIconWidth()
Class TreeControlIcon.getIconWidth()
Interface Icon.getIconWidth()
getID found in:
Class Activatable.getID()
Class AWTEvent.getID()
Class BasicAttribute.getID()
Class LookAndFeel.getID()
Class MetalLookAndFeel.getID()
Class MultiLookAndFeel.getID()
Class TimeZone.getID()
Interface Attribute.getID()
Interface Control.getID()
Interface ExtendedRequest.getID()
Interface ExtendedResponse.getID()
getIDs found in:
Class BasicAttributes.getIDs()
Interface Attributes.getIDs()
getImage found in:
Class Applet.getImage(java.net.URL)
Class ImageIcon.getImage()
Class TexturePaint.getImage()
Class Toolkit.getImage(java.lang.String)
Interface AppletContext.getImage(java.net.URL)
getImageableHeight found in:
Class PageFormat.getImageableHeight()
Class Paper.getImageableHeight()
getImageableWidth found in:
Class PageFormat.getImageableWidth()
Class Paper.getImageableWidth()
getImageableX found in:
Class PageFormat.getImageableX()
Class Paper.getImageableX()
getImageableY found in:
Class PageFormat.getImageableY()
Class Paper.getImageableY()


getInactiveControlTextColor found in:
Class MetalLookAndFeel.getInactiveControlTextColor()
Class MetalTheme.getInactiveControlTextColor()
getInactiveSystemTextColor found in:
Class MetalLookAndFeel.getInactiveSystemTextColor()
Class MetalTheme.getInactiveSystemTextColor()
getIndex found in:
Class AbstractElement.getIndex(javax.swing.tree.TreeNode)
Class DataTruncation.getIndex()
Class DefaultMutableTreeNode.getIndex(javax.swing.tree.TreeNode)
Class Element.getIndex()
Class ElementEdit.getIndex()
Class ParsePosition.getIndex()
Class Segment.getIndex()
Class SizeSequence.getIndex(int)
Class StringCharacterIterator.getIndex()
Interface CharacterIterator.getIndex()
Interface ElementChange.getIndex()
Interface TreeNode.getIndex(javax.swing.tree.TreeNode)
getIndexAtPoint found in:
Class AccessibleAbstractButton.getIndexAtPoint(java.awt.Point)
Class AccessibleAWTTextComponent.getIndexAtPoint(java.awt.Point)
Class AccessibleJLabel.getIndexAtPoint(java.awt.Point)
Class AccessibleJTextComponent.getIndexAtPoint(java.awt.Point)
Interface AccessibleText.getIndexAtPoint(java.awt.Point)
getIndexOf found in:
Class DefaultComboBoxModel.getIndexOf(java.lang.Object)
Class JLayeredPane.getIndexOf(java.awt.Component)
getIndexOfChild found in:
Class DefaultTreeModel.getIndexOfChild(java.lang.Object, java.lang.Object)
Interface TreeModel.getIndexOfChild(java.lang.Object, java.lang.Object)
getInetAddress found in:
Class DatagramSocket.getInetAddress()
Class ServerSocket.getInetAddress()
Class Socket.getInetAddress()
Class SocketImpl.getInetAddress()
getInfo found in:
Class Identity.getInfo()
Class Provider.getInfo()
getInitialContext found in:
Class NamingManager.getInitialContext(java.util.Hashtable)
Interface InitialContextFactory.getInitialContext(java.util.Hashtable)
getInitialDelay found in:
Class Timer.getInitialDelay()
Class ToolTipManager.getInitialDelay()
getInputAttributes found in:
Class HTMLEditorKit.getInputAttributes()
Class JTextPane.getInputAttributes()
Class StyledEditorKit.getInputAttributes()
getInputContext found in:
Class Component.getInputContext()
Class Window.getInputContext()
getInputMethodRequests found in:
Class ActiveClient.getInputMethodRequests()
Class Component.getInputMethodRequests()
Class JTextComponent.getInputMethodRequests()
getInputStream found in:
Class ApplicationException.getInputStream()
Class JarFile.getInputStream(java.util.zip.ZipEntry)
Class Process.getInputStream()
Class Socket.getInputStream()
Class SocketImpl.getInputStream()
Class URLConnection.getInputStream()
Class ZipFile.getInputStream(java.util.zip.ZipEntry)
Interface JPEGImageDecoder.getInputStream()
Interface RemoteCall.getInputStream()
getInsertPositionOffset found in:
Class ActiveClient.getInsertPositionOffset()
Interface InputMethodRequests.getInsertPositionOffset()
getInsets found in:
Class BasicComboBoxUI.getInsets()
Class BasicDesktopIconUI.getInsets(javax.swing.JComponent)
Class BasicSplitPaneDivider.getInsets()
Class BasicSplitPaneUI.getInsets(javax.swing.JComponent)
Class Container.getInsets()
Class DragWindow.getInsets()
Class JComponent.getInsets()
Class JViewport.getInsets()
Class UIDefaults.getInsets(java.lang.Object)
Class UIManager.getInsets(java.lang.Object)
getInstance found in:
Class AlgorithmParameterGenerator.getInstance(java.lang.String)
Class AlgorithmParameters.getInstance(java.lang.String)
Class AlphaComposite.getInstance(int)
Class Calendar.getInstance()
Class CertificateFactory.getInstance(java.lang.String)
Class Collator.getInstance()
Class ColorSpace.getInstance(int)
Class DateFormat.getInstance()
Class ICC_Profile.getInstance(byte[])
Class InputContext.getInstance()
Class KeyFactory.getInstance(java.lang.String)
Class KeyPairGenerator.getInstance(java.lang.String)
Class KeyStore.getInstance(java.lang.String)
Class MessageDigest.getInstance(java.lang.String)
Class NumberFormat.getInstance()
Class SecureRandom.getInstance(java.lang.String)
Class Signature.getInstance(java.lang.String)
getInt found in:
Class Array.getInt(java.lang.Object, int)
Class Field.getInt(java.lang.Object)
Class UIDefaults.getInt(java.lang.Object)
Class UIManager.getInt(java.lang.Object)
Interface CallableStatement.getInt(int)
Interface ResultSet.getInt(int)
getInternalFrame found in:
Class InternalFrameEvent.getInternalFrame()
Class JDesktopIcon.getInternalFrame()
getIssuerDN found in:
Class X509Certificate.getIssuerDN()
Class X509CRL.getIssuerDN()
getItem found in:
Class BasicComboBoxEditor.getItem()
Class Choice.getItem(int)
Class ItemEvent.getItem()
Class JMenu.getItem(int)
Class List.getItem(int)
Class Menu.getItem(int)
Interface ComboBoxEditor.getItem()
getItemCount found in:
Class Choice.getItemCount()
Class JComboBox.getItemCount()
Class JMenu.getItemCount()
Class List.getItemCount()
Class Menu.getItemCount()
getIterator found in:
Class AttributedString.getIterator()
Class HTMLDocument.getIterator(javax.swing.text.html.HTML.Tag)
getJarEntry found in:
Class JarFile.getJarEntry(java.lang.String)
Class JarURLConnection.getJarEntry()
getJavaInitializationString found in:
Class PropertyEditorSupport.getJavaInitializationString()
Interface PropertyEditor.getJavaInitializationString()
getJMenuBar found in:
Class JApplet.getJMenuBar()
Class JDialog.getJMenuBar()
Class JFrame.getJMenuBar()
Class JInternalFrame.getJMenuBar()
Class JRootPane.getJMenuBar()
getKey found in:
Class AccessibleRelation.getKey()
Class KeyStore.getKey(java.lang.String, char[])
Class MenuShortcut.getKey()
Class MissingResourceException.getKey()
Interface Entry.getKey()
getKeyChar found in:
Class KeyEvent.getKeyChar()
Class KeyStroke.getKeyChar()
getKeyCode found in:
Class KeyEvent.getKeyCode()
Class KeyStroke.getKeyCode()
getKeyListener found in:
Class BasicComboPopup.getKeyListener()
Interface ComboPopup.getKeyListener()
getKeys found in:
Class AbstractAction.getKeys()
Class ListResourceBundle.getKeys()
Class PropertyResourceBundle.getKeys()
Class ResourceBundle.getKeys()
getLabel found in:
Class AbstractButton.getLabel()
Class Button.getLabel()
Class Checkbox.getLabel()
Class JPopupMenu.getLabel()
Class MenuItem.getLabel()
Class Option.getLabel()
getLastColumn found in:
Class AccessibleJTableModelChange.getLastColumn()
Interface AccessibleTableModelChange.getLastColumn()
getLastRow found in:
Class AccessibleJTableModelChange.getLastRow()
Class TableModelEvent.getLastRow()
Interface AccessibleTableModelChange.getLastRow()
getLayer found in:
Class JInternalFrame.getLayer()
Class JLayeredPane.getLayer(javax.swing.JComponent)
getLayeredPane found in:
Class JApplet.getLayeredPane()
Class JDialog.getLayeredPane()
Class JFrame.getLayeredPane()
Class JInternalFrame.getLayeredPane()
Class JRootPane.getLayeredPane()
Class JWindow.getLayeredPane()
Interface RootPaneContainer.getLayeredPane()
getLayout found in:
Class Container.getLayout()
Class TextMeasurer.getLayout(int, int)
getLayoutAlignmentX found in:
Class BasicHorizontalLayoutManager.getLayoutAlignmentX(java.awt.Container)
Class BorderLayout.getLayoutAlignmentX(java.awt.Container)
Class BoxLayout.getLayoutAlignmentX(java.awt.Container)
Class CardLayout.getLayoutAlignmentX(java.awt.Container)
Class GridBagLayout.getLayoutAlignmentX(java.awt.Container)
Class OverlayLayout.getLayoutAlignmentX(java.awt.Container)
Class RootLayout.getLayoutAlignmentX(java.awt.Container)
Interface LayoutManager2.getLayoutAlignmentX(java.awt.Container)
getLayoutAlignmentY found in:
Class BasicHorizontalLayoutManager.getLayoutAlignmentY(java.awt.Container)
Class BorderLayout.getLayoutAlignmentY(java.awt.Container)
Class BoxLayout.getLayoutAlignmentY(java.awt.Container)
Class CardLayout.getLayoutAlignmentY(java.awt.Container)
Class GridBagLayout.getLayoutAlignmentY(java.awt.Container)
Class OverlayLayout.getLayoutAlignmentY(java.awt.Container)
Class RootLayout.getLayoutAlignmentY(java.awt.Container)
Interface LayoutManager2.getLayoutAlignmentY(java.awt.Container)


getLeading found in:
Class FontMetrics.getLeading()
Class LineMetrics.getLeading()
Class TextLayout.getLeading()
getLeadSelectionIndex found in:
Class DefaultListSelectionModel.getLeadSelectionIndex()
Class JList.getLeadSelectionIndex()
Interface ListSelectionModel.getLeadSelectionIndex()
getLeadSelectionPath found in:
Class DefaultTreeSelectionModel.getLeadSelectionPath()
Class JTree.getLeadSelectionPath()
Interface TreeSelectionModel.getLeadSelectionPath()
getLeadSelectionRow found in:
Class DefaultTreeSelectionModel.getLeadSelectionRow()
Class JTree.getLeadSelectionRow()
Interface TreeSelectionModel.getLeadSelectionRow()
getLeastMaximum found in:
Class Calendar.getLeastMaximum(int)
Class GregorianCalendar.getLeastMaximum(int)
getLeftInset found in:
Class AsyncBoxView.getLeftInset()
Class CompositeView.getLeftInset()
getLength found in:
Class AbstractDocument.getLength()
Class Array.getLength(java.lang.Object)
Class DatagramPacket.getLength()
Class DefaultDocumentEvent.getLength()
Class ElementSpec.getLength()
Class MidiMessage.getLength()
Interface Document.getLength()
Interface DocumentEvent.getLength()
getLevel found in:
Class DefaultMutableTreeNode.getLevel()
Interface DataLine.getLevel()
getLine found in:
Class AudioSystem.getLine(javax.sound.sampled.Line.Info)
Class LineEvent.getLine()
Interface Mixer.getLine(javax.sound.sampled.Line.Info)
getLineBuffer found in:
Class PlainView.getLineBuffer()
Class WrappedPlainView.getLineBuffer()
getLineMetrics found in:
Class Font.getLineMetrics(java.lang.String, java.awt.font.FontRenderContext)
Class FontMetrics.getLineMetrics(java.lang.String, java.awt.Graphics)
getLineNumber found in:
Class LineNumberInputStream.getLineNumber()
Class LineNumberReader.getLineNumber()


getLink found in:
Class JEditorPaneAccessibleHypertextSupport.getLink(int)
Interface AccessibleHypertext.getLink(int)
getLinkCount found in:
Class JEditorPaneAccessibleHypertextSupport.getLinkCount()
Interface AccessibleHypertext.getLinkCount()
getLinkIndex found in:
Class JEditorPaneAccessibleHypertextSupport.getLinkIndex(int)
Interface AccessibleHypertext.getLinkIndex(int)
getList found in:
Class BasicComboPopup.getList()
Interface ComboPopup.getList()
getListCellRendererComponent found in:
Class BasicComboBoxRenderer.getListCellRendererComponent(javax.swing.JList, java.lang.Object, int, boolean, boolean)
Class DefaultListCellRenderer.getListCellRendererComponent(javax.swing.JList, java.lang.Object, int, boolean, boolean)
Class FileRenderer.getListCellRendererComponent(javax.swing.JList, java.lang.Object, int, boolean, boolean)
Class FilterComboBoxRenderer.getListCellRendererComponent(javax.swing.JList, java.lang.Object, int, boolean, boolean)
Interface ListCellRenderer.getListCellRendererComponent(javax.swing.JList, java.lang.Object, int, boolean, boolean)
getListeners found in:
Class AbstractDocument.getListeners(java.lang.Class)
Class AbstractListModel.getListeners(java.lang.Class)
Class AbstractTableModel.getListeners(java.lang.Class)
Class Button.getListeners(java.lang.Class)
Class Checkbox.getListeners(java.lang.Class)
Class CheckboxMenuItem.getListeners(java.lang.Class)
Class Choice.getListeners(java.lang.Class)
Class Component.getListeners(java.lang.Class)
Class Container.getListeners(java.lang.Class)
Class DefaultBoundedRangeModel.getListeners(java.lang.Class)
Class DefaultButtonModel.getListeners(java.lang.Class)
Class DefaultCaret.getListeners(java.lang.Class)
Class DefaultListSelectionModel.getListeners(java.lang.Class)
Class DefaultSingleSelectionModel.getListeners(java.lang.Class)
Class DefaultTableColumnModel.getListeners(java.lang.Class)
Class DefaultTreeModel.getListeners(java.lang.Class)
Class DefaultTreeSelectionModel.getListeners(java.lang.Class)
Class EventListenerList.getListeners(java.lang.Class)
Class JComponent.getListeners(java.lang.Class)
Class List.getListeners(java.lang.Class)
Class MenuItem.getListeners(java.lang.Class)
Class NamedStyle.getListeners(java.lang.Class)
Class Scrollbar.getListeners(java.lang.Class)
Class TextComponent.getListeners(java.lang.Class)
Class TextField.getListeners(java.lang.Class)
Class Timer.getListeners(java.lang.Class)
Class Window.getListeners(java.lang.Class)


getLocalAddress found in:
Class DatagramSocket.getLocalAddress()
Class Socket.getLocalAddress()
getLocale found in:
Class AccessibleAWTComponent.getLocale()
Class AccessibleAWTListChild.getLocale()
Class AccessibleAWTMenuComponent.getLocale()
Class AccessibleContext.getLocale()
Class AccessibleImageIcon.getLocale()
Class AccessibleJListChild.getLocale()
Class AccessibleJTableCell.getLocale()
Class AccessibleJTableHeaderEntry.getLocale()
Class AccessibleJTreeNode.getLocale()
Class Applet.getLocale()
Class BeanContextSupport.getLocale()
Class Component.getLocale()
Class InputContext.getLocale()
Class MessageFormat.getLocale()
Class ResourceBundle.getLocale()
Class Window.getLocale()
Interface InputMethod.getLocale()
getLocalPort found in:
Class DatagramSocket.getLocalPort()
Class DatagramSocketImpl.getLocalPort()
Class ServerSocket.getLocalPort()
Class Socket.getLocalPort()
Class SocketImpl.getLocalPort()


getLocation found in:
Class AccessibleAWTComponent.getLocation()
Class AccessibleAWTListChild.getLocation()
Class AccessibleAWTMenuComponent.getLocation()
Class AccessibleJListChild.getLocation()
Class AccessibleJTableCell.getLocation()
Class AccessibleJTableHeaderEntry.getLocation()
Class AccessibleJTreeNode.getLocation()
Class ActivationDesc.getLocation()
Class ActivationGroupDesc.getLocation()
Class CodeSource.getLocation()
Class Component.getLocation()
Class DropTargetDragEvent.getLocation()
Class DropTargetDropEvent.getLocation()
Class JComponent.getLocation(java.awt.Point)
Class Point.getLocation()
Class Rectangle.getLocation()
Interface AccessibleComponent.getLocation()
getLocationOffset found in:
Class ActiveClient.getLocationOffset(int, int)
Interface InputMethodRequests.getLocationOffset(int, int)
getLocationOnScreen found in:
Class AccessibleAWTComponent.getLocationOnScreen()
Class AccessibleAWTListChild.getLocationOnScreen()
Class AccessibleAWTMenuComponent.getLocationOnScreen()
Class AccessibleJListChild.getLocationOnScreen()
Class AccessibleJTableCell.getLocationOnScreen()
Class AccessibleJTableHeaderEntry.getLocationOnScreen()
Class AccessibleJTreeNode.getLocationOnScreen()
Class Component.getLocationOnScreen()
Interface AccessibleComponent.getLocationOnScreen()
getLogicalStyle found in:
Class DefaultStyledDocument.getLogicalStyle(int)
Class JTextPane.getLogicalStyle()
Interface StyledDocument.getLogicalStyle(int)
getLong found in:
Class Array.getLong(java.lang.Object, int)
Class Field.getLong(java.lang.Object)
Class Long.getLong(java.lang.String)
Interface CallableStatement.getLong(int)
Interface ResultSet.getLong(int)
getMagicCaretPosition found in:
Class DefaultCaret.getMagicCaretPosition()
Interface Caret.getMagicCaretPosition()
getMainAttributes found in:
Class JarURLConnection.getMainAttributes()
Class Manifest.getMainAttributes()
getMajorVersion found in:
Class ICC_Profile.getMajorVersion()
Interface Driver.getMajorVersion()
getManifest found in:
Class JarFile.getManifest()
Class JarInputStream.getManifest()
Class JarURLConnection.getManifest()
getMargin found in:
Class AbstractButton.getMargin()
Class JMenuBar.getMargin()
Class JPopupMenu.getMargin()
Class JTextComponent.getMargin()
Class JToolBar.getMargin()
getMark found in:
Class CaretEvent.getMark()
Class DefaultCaret.getMark()
Interface Caret.getMark()
getMatrix found in:
Class AffineTransform.getMatrix(double[])
Class BandCombineOp.getMatrix()
Class ICC_ProfileRGB.getMatrix()
Class PageFormat.getMatrix()
getMaxCharactersPerLineCount found in:
Class BasicOptionPaneUI.getMaxCharactersPerLineCount()
Class JOptionPane.getMaxCharactersPerLineCount()
getMaxCharBounds found in:
Class Font.getMaxCharBounds(java.awt.font.FontRenderContext)
Class FontMetrics.getMaxCharBounds(java.awt.Graphics)
getMaximum found in:
Class Calendar.getMaximum(int)
Class DefaultBoundedRangeModel.getMaximum()
Class FloatControl.getMaximum()
Class GregorianCalendar.getMaximum(int)
Class JProgressBar.getMaximum()
Class JScrollBar.getMaximum()
Class JSlider.getMaximum()
Class ProgressMonitor.getMaximum()
Class Scrollbar.getMaximum()
Interface Adjustable.getMaximum()
Interface BoundedRangeModel.getMaximum()
getMaximumAccessibleValue found in:
Class AccessibleAbstractButton.getMaximumAccessibleValue()
Class AccessibleAWTButton.getMaximumAccessibleValue()
Class AccessibleAWTCheckbox.getMaximumAccessibleValue()
Class AccessibleAWTCheckboxMenuItem.getMaximumAccessibleValue()
Class AccessibleAWTMenuItem.getMaximumAccessibleValue()
Class AccessibleAWTScrollBar.getMaximumAccessibleValue()
Class AccessibleJDesktopIcon.getMaximumAccessibleValue()
Class AccessibleJInternalFrame.getMaximumAccessibleValue()
Class AccessibleJProgressBar.getMaximumAccessibleValue()
Class AccessibleJScrollBar.getMaximumAccessibleValue()
Class AccessibleJSlider.getMaximumAccessibleValue()
Class AccessibleJSplitPane.getMaximumAccessibleValue()
Interface AccessibleValue.getMaximumAccessibleValue()
getMaximumDividerLocation found in:
Class BasicSplitPaneUI.getMaximumDividerLocation(javax.swing.JSplitPane)
Class JSplitPane.getMaximumDividerLocation()
Class MultiSplitPaneUI.getMaximumDividerLocation(javax.swing.JSplitPane)
Class SplitPaneUI.getMaximumDividerLocation(javax.swing.JSplitPane)
getMaximumSize found in:
Class BasicArrowButton.getMaximumSize()
Class BasicButtonUI.getMaximumSize(javax.swing.JComponent)
Class BasicComboBoxUI.getMaximumSize(javax.swing.JComponent)
Class BasicDesktopIconUI.getMaximumSize(javax.swing.JComponent)
Class BasicDesktopPaneUI.getMaximumSize(javax.swing.JComponent)
Class BasicInternalFrameUI.getMaximumSize(javax.swing.JComponent)
Class BasicLabelUI.getMaximumSize(javax.swing.JComponent)
Class BasicListUI.getMaximumSize(javax.swing.JComponent)
Class BasicMenuBarUI.getMaximumSize(javax.swing.JComponent)
Class BasicMenuItemUI.getMaximumSize(javax.swing.JComponent)
Class BasicMenuUI.getMaximumSize(javax.swing.JComponent)
Class BasicOptionPaneUI.getMaximumSize(javax.swing.JComponent)
Class BasicPopupMenuUI.getMaximumSize(javax.swing.JComponent)
Class BasicProgressBarUI.getMaximumSize(javax.swing.JComponent)
Class BasicScrollBarUI.getMaximumSize(javax.swing.JComponent)
Class BasicScrollPaneUI.getMaximumSize(javax.swing.JComponent)
Class BasicSeparatorUI.getMaximumSize(javax.swing.JComponent)
Class BasicSliderUI.getMaximumSize(javax.swing.JComponent)
Class BasicSplitPaneUI.getMaximumSize(javax.swing.JComponent)
Class BasicTabbedPaneUI.getMaximumSize(javax.swing.JComponent)
Class BasicTableHeaderUI.getMaximumSize(javax.swing.JComponent)
Class BasicTableUI.getMaximumSize(javax.swing.JComponent)
Class BasicTextUI.getMaximumSize(javax.swing.JComponent)
Class BasicToolBarSeparatorUI.getMaximumSize(javax.swing.JComponent)
Class BasicToolBarUI.getMaximumSize(javax.swing.JComponent)
Class BasicToolTipUI.getMaximumSize(javax.swing.JComponent)
Class BasicTreeUI.getMaximumSize(javax.swing.JComponent)
Class Component.getMaximumSize()
Class ComponentUI.getMaximumSize(javax.swing.JComponent)
Class Container.getMaximumSize()
Class Filler.getMaximumSize()
Class JComponent.getMaximumSize()
Class JScrollBar.getMaximumSize()
Class MetalFileChooserUI.getMaximumSize(javax.swing.JComponent)
Class MetalScrollButton.getMaximumSize()
Class MultiButtonUI.getMaximumSize(javax.swing.JComponent)
Class MultiColorChooserUI.getMaximumSize(javax.swing.JComponent)
Class MultiComboBoxUI.getMaximumSize(javax.swing.JComponent)
Class MultiDesktopIconUI.getMaximumSize(javax.swing.JComponent)
Class MultiDesktopPaneUI.getMaximumSize(javax.swing.JComponent)
Class MultiFileChooserUI.getMaximumSize(javax.swing.JComponent)
Class MultiInternalFrameUI.getMaximumSize(javax.swing.JComponent)
Class MultiLabelUI.getMaximumSize(javax.swing.JComponent)
Class MultiListUI.getMaximumSize(javax.swing.JComponent)
Class MultiMenuBarUI.getMaximumSize(javax.swing.JComponent)
Class MultiMenuItemUI.getMaximumSize(javax.swing.JComponent)
Class MultiOptionPaneUI.getMaximumSize(javax.swing.JComponent)
Class MultiPanelUI.getMaximumSize(javax.swing.JComponent)
Class MultiPopupMenuUI.getMaximumSize(javax.swing.JComponent)
Class MultiProgressBarUI.getMaximumSize(javax.swing.JComponent)
Class MultiScrollBarUI.getMaximumSize(javax.swing.JComponent)
Class MultiScrollPaneUI.getMaximumSize(javax.swing.JComponent)
Class MultiSeparatorUI.getMaximumSize(javax.swing.JComponent)
Class MultiSliderUI.getMaximumSize(javax.swing.JComponent)
Class MultiSplitPaneUI.getMaximumSize(javax.swing.JComponent)
Class MultiTabbedPaneUI.getMaximumSize(javax.swing.JComponent)
Class MultiTableHeaderUI.getMaximumSize(javax.swing.JComponent)
Class MultiTableUI.getMaximumSize(javax.swing.JComponent)
Class MultiTextUI.getMaximumSize(javax.swing.JComponent)
Class MultiToolBarUI.getMaximumSize(javax.swing.JComponent)
Class MultiToolTipUI.getMaximumSize(javax.swing.JComponent)
Class MultiTreeUI.getMaximumSize(javax.swing.JComponent)
Class MultiViewportUI.getMaximumSize(javax.swing.JComponent)
Class Separator.getMaximumSize()
getMaximumSpan found in:
Class AsyncBoxView.getMaximumSpan(int)
Class BoxView.getMaximumSpan(int)
Class ComponentView.getMaximumSpan(int)
Class ParagraphView.getMaximumSpan(int)
Class View.getMaximumSpan(int)
Class WrappedPlainView.getMaximumSpan(int)


getMaxSelectionIndex found in:
Class DefaultListSelectionModel.getMaxSelectionIndex()
Class JList.getMaxSelectionIndex()
Interface ListSelectionModel.getMaxSelectionIndex()
getMaxSelectionRow found in:
Class DefaultTreeSelectionModel.getMaxSelectionRow()
Class JTree.getMaxSelectionRow()
Interface TreeSelectionModel.getMaxSelectionRow()


getMediaWhitePoint found in:
Class ICC_ProfileGray.getMediaWhitePoint()
Class ICC_ProfileRGB.getMediaWhitePoint()
getMenu found in:
Class JMenuBar.getMenu(int)
Class MenuBar.getMenu(int)
getMenuArrowIcon found in:
Class BasicIconFactory.getMenuArrowIcon()
Class MetalIconFactory.getMenuArrowIcon()
getMenuBackground found in:
Class MetalLookAndFeel.getMenuBackground()
Class MetalTheme.getMenuBackground()
getMenuBar found in:
Class Frame.getMenuBar()
Class JInternalFrame.getMenuBar()
Class JRootPane.getMenuBar()
getMenuCount found in:
Class JMenuBar.getMenuCount()
Class MenuBar.getMenuCount()
getMenuDisabledForeground found in:
Class MetalLookAndFeel.getMenuDisabledForeground()
Class MetalTheme.getMenuDisabledForeground()
getMenuForeground found in:
Class MetalLookAndFeel.getMenuForeground()
Class MetalTheme.getMenuForeground()
getMenuItemArrowIcon found in:
Class BasicIconFactory.getMenuItemArrowIcon()
Class MetalIconFactory.getMenuItemArrowIcon()
getMenuItemCheckIcon found in:
Class BasicIconFactory.getMenuItemCheckIcon()
Class MetalIconFactory.getMenuItemCheckIcon()
getMenuSelectedBackground found in:
Class MetalLookAndFeel.getMenuSelectedBackground()
Class MetalTheme.getMenuSelectedBackground()
getMenuSelectedForeground found in:
Class MetalLookAndFeel.getMenuSelectedForeground()
Class MetalTheme.getMenuSelectedForeground()
getMenuSelectionManager found in:
Class MenuDragMouseEvent.getMenuSelectionManager()
Class MenuKeyEvent.getMenuSelectionManager()
getMenuTextFont found in:
Class DefaultMetalTheme.getMenuTextFont()
Class MetalLookAndFeel.getMenuTextFont()
Class MetalTheme.getMenuTextFont()
getMessage found in:
Class ActivationException.getMessage()
Class BasicOptionPaneUI.getMessage()
Class InvalidClassException.getMessage()
Class JOptionPane.getMessage()
Class MidiEvent.getMessage()
Class MidiMessage.getMessage()
Class RemoteException.getMessage()
Class ServerCloneException.getMessage()
Class Throwable.getMessage()
Class WriteAbortedException.getMessage()
getMessageDigest found in:
Class DigestInputStream.getMessageDigest()
Class DigestOutputStream.getMessageDigest()
getMetaData found in:
Interface Connection.getMetaData()
Interface PreparedStatement.getMetaData()
Interface ResultSet.getMetaData()
getMethod found in:
Class Class.getMethod(java.lang.String, java.lang.Class[])
Class MethodDescriptor.getMethod()
Class ZipEntry.getMethod()


getMethodDescriptors found in:
Class SimpleBeanInfo.getMethodDescriptors()
Interface BeanInfo.getMethodDescriptors()


getMicrosecondLength found in:
Class MidiFileFormat.getMicrosecondLength()
Class Sequence.getMicrosecondLength()
Interface Clip.getMicrosecondLength()
Interface Sequencer.getMicrosecondLength()
getMicrosecondPosition found in:
Interface DataLine.getMicrosecondPosition()
Interface MidiDevice.getMicrosecondPosition()
Interface Sequencer.getMicrosecondPosition()
getMidiFileFormat found in:
Class MidiFileReader.getMidiFileFormat(java.io.InputStream)
Class MidiSystem.getMidiFileFormat(java.io.InputStream)
getMidiFileTypes found in:
Class MidiFileWriter.getMidiFileTypes()
Class MidiSystem.getMidiFileTypes()
getMinimum found in:
Class Calendar.getMinimum(int)
Class DefaultBoundedRangeModel.getMinimum()
Class FloatControl.getMinimum()
Class GregorianCalendar.getMinimum(int)
Class JProgressBar.getMinimum()
Class JScrollBar.getMinimum()
Class JSlider.getMinimum()
Class ProgressMonitor.getMinimum()
Class Scrollbar.getMinimum()
Interface Adjustable.getMinimum()
Interface BoundedRangeModel.getMinimum()
getMinimumAccessibleValue found in:
Class AccessibleAbstractButton.getMinimumAccessibleValue()
Class AccessibleAWTButton.getMinimumAccessibleValue()
Class AccessibleAWTCheckbox.getMinimumAccessibleValue()
Class AccessibleAWTCheckboxMenuItem.getMinimumAccessibleValue()
Class AccessibleAWTMenuItem.getMinimumAccessibleValue()
Class AccessibleAWTScrollBar.getMinimumAccessibleValue()
Class AccessibleJDesktopIcon.getMinimumAccessibleValue()
Class AccessibleJInternalFrame.getMinimumAccessibleValue()
Class AccessibleJProgressBar.getMinimumAccessibleValue()
Class AccessibleJScrollBar.getMinimumAccessibleValue()
Class AccessibleJSlider.getMinimumAccessibleValue()
Class AccessibleJSplitPane.getMinimumAccessibleValue()
Interface AccessibleValue.getMinimumAccessibleValue()
getMinimumDividerLocation found in:
Class BasicSplitPaneUI.getMinimumDividerLocation(javax.swing.JSplitPane)
Class JSplitPane.getMinimumDividerLocation()
Class MultiSplitPaneUI.getMinimumDividerLocation(javax.swing.JSplitPane)
Class SplitPaneUI.getMinimumDividerLocation(javax.swing.JSplitPane)
getMinimumSize found in:
Class BasicArrowButton.getMinimumSize()
Class BasicButtonUI.getMinimumSize(javax.swing.JComponent)
Class BasicComboBoxUI.getMinimumSize(javax.swing.JComponent)
Class BasicDesktopIconUI.getMinimumSize(javax.swing.JComponent)
Class BasicDesktopPaneUI.getMinimumSize(javax.swing.JComponent)
Class BasicInternalFrameUI.getMinimumSize(javax.swing.JComponent)
Class BasicLabelUI.getMinimumSize(javax.swing.JComponent)
Class BasicListUI.getMinimumSize(javax.swing.JComponent)
Class BasicMenuBarUI.getMinimumSize(javax.swing.JComponent)
Class BasicMenuItemUI.getMinimumSize(javax.swing.JComponent)
Class BasicOptionPaneUI.getMinimumSize(javax.swing.JComponent)
Class BasicPopupMenuUI.getMinimumSize(javax.swing.JComponent)
Class BasicProgressBarUI.getMinimumSize(javax.swing.JComponent)
Class BasicScrollBarUI.getMinimumSize(javax.swing.JComponent)
Class BasicScrollPaneUI.getMinimumSize(javax.swing.JComponent)
Class BasicSeparatorUI.getMinimumSize(javax.swing.JComponent)
Class BasicSliderUI.getMinimumSize(javax.swing.JComponent)
Class BasicSplitPaneDivider.getMinimumSize()
Class BasicSplitPaneUI.getMinimumSize(javax.swing.JComponent)
Class BasicTabbedPaneUI.getMinimumSize(javax.swing.JComponent)
Class BasicTableHeaderUI.getMinimumSize(javax.swing.JComponent)
Class BasicTableUI.getMinimumSize(javax.swing.JComponent)
Class BasicTextUI.getMinimumSize(javax.swing.JComponent)
Class BasicToolBarSeparatorUI.getMinimumSize(javax.swing.JComponent)
Class BasicToolBarUI.getMinimumSize(javax.swing.JComponent)
Class BasicToolTipUI.getMinimumSize(javax.swing.JComponent)
Class BasicTreeUI.getMinimumSize(javax.swing.JComponent)
Class Component.getMinimumSize()
Class ComponentUI.getMinimumSize(javax.swing.JComponent)
Class Container.getMinimumSize()
Class Filler.getMinimumSize()
Class JComponent.getMinimumSize()
Class JScrollBar.getMinimumSize()
Class List.getMinimumSize(int)
Class MetalComboBoxUI.getMinimumSize(javax.swing.JComponent)
Class MetalFileChooserUI.getMinimumSize(javax.swing.JComponent)
Class MetalScrollButton.getMinimumSize()
Class MultiButtonUI.getMinimumSize(javax.swing.JComponent)
Class MultiColorChooserUI.getMinimumSize(javax.swing.JComponent)
Class MultiComboBoxUI.getMinimumSize(javax.swing.JComponent)
Class MultiDesktopIconUI.getMinimumSize(javax.swing.JComponent)
Class MultiDesktopPaneUI.getMinimumSize(javax.swing.JComponent)
Class MultiFileChooserUI.getMinimumSize(javax.swing.JComponent)
Class MultiInternalFrameUI.getMinimumSize(javax.swing.JComponent)
Class MultiLabelUI.getMinimumSize(javax.swing.JComponent)
Class MultiListUI.getMinimumSize(javax.swing.JComponent)
Class MultiMenuBarUI.getMinimumSize(javax.swing.JComponent)
Class MultiMenuItemUI.getMinimumSize(javax.swing.JComponent)
Class MultiOptionPaneUI.getMinimumSize(javax.swing.JComponent)
Class MultiPanelUI.getMinimumSize(javax.swing.JComponent)
Class MultiPopupMenuUI.getMinimumSize(javax.swing.JComponent)
Class MultiProgressBarUI.getMinimumSize(javax.swing.JComponent)
Class MultiScrollBarUI.getMinimumSize(javax.swing.JComponent)
Class MultiScrollPaneUI.getMinimumSize(javax.swing.JComponent)
Class MultiSeparatorUI.getMinimumSize(javax.swing.JComponent)
Class MultiSliderUI.getMinimumSize(javax.swing.JComponent)
Class MultiSplitPaneUI.getMinimumSize(javax.swing.JComponent)
Class MultiTabbedPaneUI.getMinimumSize(javax.swing.JComponent)
Class MultiTableHeaderUI.getMinimumSize(javax.swing.JComponent)
Class MultiTableUI.getMinimumSize(javax.swing.JComponent)
Class MultiTextUI.getMinimumSize(javax.swing.JComponent)
Class MultiToolBarUI.getMinimumSize(javax.swing.JComponent)
Class MultiToolTipUI.getMinimumSize(javax.swing.JComponent)
Class MultiTreeUI.getMinimumSize(javax.swing.JComponent)
Class MultiViewportUI.getMinimumSize(javax.swing.JComponent)
Class Separator.getMinimumSize()
Class TextArea.getMinimumSize(int, int)
Class TextField.getMinimumSize(int)
Class TitledBorder.getMinimumSize(java.awt.Component)
getMinimumSpan found in:
Class AsyncBoxView.getMinimumSpan(int)
Class BoxView.getMinimumSpan(int)
Class ComponentView.getMinimumSpan(int)
Class ParagraphView.getMinimumSpan(int)
Class View.getMinimumSpan(int)
Class WrappedPlainView.getMinimumSpan(int)
getMinimumThumbSize found in:
Class BasicScrollBarUI.getMinimumThumbSize()
Class MetalScrollBarUI.getMinimumThumbSize()
getMinorVersion found in:
Class ICC_Profile.getMinorVersion()
Interface Driver.getMinorVersion()
getMinSelectionIndex found in:
Class DefaultListSelectionModel.getMinSelectionIndex()
Class JList.getMinSelectionIndex()
Interface ListSelectionModel.getMinSelectionIndex()
getMinSelectionRow found in:
Class DefaultTreeSelectionModel.getMinSelectionRow()
Class JTree.getMinSelectionRow()
Interface TreeSelectionModel.getMinSelectionRow()


getMinTileX found in:
Class BufferedImage.getMinTileX()
Interface RenderedImage.getMinTileX()
getMinTileY found in:
Class BufferedImage.getMinTileY()
Interface RenderedImage.getMinTileY()
getMinutes found in:
Class Date.getMinutes()
Class Date.getMinutes()
getMinX found in:
Class BufferedImage.getMinX()
Class Raster.getMinX()
Class RectangularShape.getMinX()
Class RenderableImageOp.getMinX()
Interface RenderableImage.getMinX()
Interface RenderedImage.getMinX()
getMinY found in:
Class BufferedImage.getMinY()
Class Raster.getMinY()
Class RectangularShape.getMinY()
Class RenderableImageOp.getMinY()
Interface RenderableImage.getMinY()
Interface RenderedImage.getMinY()
getMixer found in:
Class AudioSystem.getMixer(javax.sound.sampled.Mixer.Info)
Class MixerProvider.getMixer(javax.sound.sampled.Mixer.Info)
getMixerInfo found in:
Class AudioSystem.getMixerInfo()
Class MixerProvider.getMixerInfo()
Interface Mixer.getMixerInfo()
getMnemonic found in:
Class AbstractButton.getMnemonic()
Class DefaultButtonModel.getMnemonic()
Interface ButtonModel.getMnemonic()
getModel found in:
Class AbstractButton.getModel()
Class AbstractLayoutCache.getModel()
Class BasicFileChooserUI.getModel()
Class BasicTreeUI.getModel()
Class JComboBox.getModel()
Class JList.getModel()
Class JProgressBar.getModel()
Class JScrollBar.getModel()
Class JSlider.getModel()
Class JTabbedPane.getModel()
Class JTable.getModel()
Class JTree.getModel()
getModifiers found in:
Class ActionEvent.getModifiers()
Class Class.getModifiers()
Class Constructor.getModifiers()
Class Field.getModifiers()
Class InputEvent.getModifiers()
Class KeyStroke.getModifiers()
Class Method.getModifiers()
Interface Member.getModifiers()
getModulus found in:
Class RSAPrivateKeySpec.getModulus()
Class RSAPublicKeySpec.getModulus()
Interface RSAKey.getModulus()


getMonth found in:
Class Date.getMonth()
Class Time.getMonth()
getMouseListener found in:
Class BasicComboPopup.getMouseListener()
Interface ComboPopup.getMouseListener()
getMouseMotionListener found in:
Class BasicComboPopup.getMouseMotionListener()
Interface ComboPopup.getMouseMotionListener()
getName found in:
Class AbstractElement.getName()
Class Attribute.getName()
Class AttributeList.getName()
Class BasicFileView.getName(java.io.File)
Class BlockElement.getName()
Class BranchElement.getName()
Class Class.getName()
Class Clipboard.getName()
Class ColorSpace.getName(int)
Class Component.getName()
Class Constructor.getName()
Class Cursor.getName()
Class DefaultMetalTheme.getName()
Class DTD.getName()
Class Element.getName()
Class Entity.getName()
Class FeatureDescriptor.getName()
Class Field.getName()
Class File.getName()
Class FileView.getName(java.io.File)
Class Font.getName()
Class Identity.getName()
Class Info.getName()
Class Info.getName()
Class Info.getName()
Class JFileChooser.getName(java.io.File)
Class LeafElement.getName()
Class LookAndFeel.getName()
Class LookAndFeelInfo.getName()
Class MenuComponent.getName()
Class MetalLookAndFeel.getName()
Class MetalTheme.getName()
Class Method.getName()
Class MultiLookAndFeel.getName()
Class NameClassPair.getName()
Class NamedStyle.getName()
Class ObjectStreamClass.getName()
Class ObjectStreamField.getName()
Class Package.getName()
Class Permission.getName()
Class Provider.getName()
Class RunElement.getName()
Class SectionElement.getName()
Class SoundbankResource.getName()
Class Thread.getName()
Class ThreadGroup.getName()
Class ZipEntry.getName()
Class ZipFile.getName()
Interface Acl.getName()
Interface Element.getName()
Interface Keymap.getName()
Interface Member.getName()
Interface Principal.getName()
Interface Soundbank.getName()
Interface Style.getName()
getNameInNamespace found in:
Class InitialContext.getNameInNamespace()
Interface Context.getNameInNamespace()
getNameParser found in:
Class InitialContext.getNameParser(java.lang.String)
Interface Context.getNameParser(javax.naming.Name)
getNativesForFlavors found in:
Class SystemFlavorMap.getNativesForFlavors(java.awt.datatransfer.DataFlavor[])
Interface FlavorMap.getNativesForFlavors(java.awt.datatransfer.DataFlavor[])
getNeededLocation found in:
Class DragController.getNeededLocation(int, int)
Class VerticalDragController.getNeededLocation(int, int)
getNextEntry found in:
Class JarInputStream.getNextEntry()
Class ZipInputStream.getNextEntry()
getNextNorthSouthVisualPositionFrom found in:
Class CompositeView.getNextNorthSouthVisualPositionFrom(int, javax.swing.text.Position.Bias, java.awt.Shape, int, javax.swing.text.Position.Bias[])
Class ParagraphView.getNextNorthSouthVisualPositionFrom(int, javax.swing.text.Position.Bias, java.awt.Shape, int, javax.swing.text.Position.Bias[])
getNextVisualPositionFrom found in:
Class BasicTextUI.getNextVisualPositionFrom(javax.swing.text.JTextComponent, int, javax.swing.text.Position.Bias, int, javax.swing.text.Position.Bias[])
Class CompositeView.getNextVisualPositionFrom(int, javax.swing.text.Position.Bias, java.awt.Shape, int, javax.swing.text.Position.Bias[])
Class GlyphPainter.getNextVisualPositionFrom(javax.swing.text.GlyphView, int, javax.swing.text.Position.Bias, java.awt.Shape, int, javax.swing.text.Position.Bias[])
Class GlyphView.getNextVisualPositionFrom(int, javax.swing.text.Position.Bias, java.awt.Shape, int, javax.swing.text.Position.Bias[])
Class MultiTextUI.getNextVisualPositionFrom(javax.swing.text.JTextComponent, int, javax.swing.text.Position.Bias, int, javax.swing.text.Position.Bias[])
Class TextUI.getNextVisualPositionFrom(javax.swing.text.JTextComponent, int, javax.swing.text.Position.Bias, int, javax.swing.text.Position.Bias[])
Class View.getNextVisualPositionFrom(int, javax.swing.text.Position.Bias, java.awt.Shape, int, javax.swing.text.Position.Bias[])
getNodeDimensions found in:
Class AbstractLayoutCache.getNodeDimensions()
Class NodeDimensions.getNodeDimensions(java.lang.Object, int, int, boolean, java.awt.Rectangle)
Class NodeDimensionsHandler.getNodeDimensions(java.lang.Object, int, int, boolean, java.awt.Rectangle)
getNumBands found in:
Class Raster.getNumBands()
Class SampleModel.getNumBands()
getNumberOfPages found in:
Class Book.getNumberOfPages()
Interface Pageable.getNumberOfPages()
getNumComponents found in:
Class ColorModel.getNumComponents()
Class ColorSpace.getNumComponents()
Class ICC_Profile.getNumComponents()
Class LookupTable.getNumComponents()
Interface JPEGDecodeParam.getNumComponents()
getNumDataElements found in:
Class ComponentSampleModel.getNumDataElements()
Class MultiPixelPackedSampleModel.getNumDataElements()
Class Raster.getNumDataElements()
Class SampleModel.getNumDataElements()
Class SinglePixelPackedSampleModel.getNumDataElements()
getNumGlyphs found in:
Class Font.getNumGlyphs()
Class GlyphVector.getNumGlyphs()
getNumXTiles found in:
Class BufferedImage.getNumXTiles()
Interface RenderedImage.getNumXTiles()
getNumYTiles found in:
Class BufferedImage.getNumYTiles()
Interface RenderedImage.getNumYTiles()
getObject found in:
Class Binding.getObject()
Class GuardedObject.getObject()
Class ResourceBundle.getObject(java.lang.String)
Class Result.getObject()
Class SignedObject.getObject()
Interface CallableStatement.getObject(int)
Interface ResultSet.getObject(int)


getObjectInstance found in:
Class DirectoryManager.getObjectInstance(java.lang.Object, javax.naming.Name, javax.naming.Context, java.util.Hashtable, javax.naming.directory.Attributes)
Class NamingManager.getObjectInstance(java.lang.Object, javax.naming.Name, javax.naming.Context, java.util.Hashtable)
Interface DirObjectFactory.getObjectInstance(java.lang.Object, javax.naming.Name, javax.naming.Context, java.util.Hashtable, javax.naming.directory.Attributes)
Interface ObjectFactory.getObjectInstance(java.lang.Object, javax.naming.Name, javax.naming.Context, java.util.Hashtable)
getOffset found in:
Class BoxView.getOffset(int, int)
Class CollationElementIterator.getOffset()
Class ComponentSampleModel.getOffset(int, int)
Class DataBuffer.getOffset()
Class DatagramPacket.getOffset()
Class DefaultDocumentEvent.getOffset()
Class DragWindow.getOffset()
Class ElementSpec.getOffset()
Class LookupTable.getOffset()
Class MultiPixelPackedSampleModel.getOffset(int, int)
Class ObjectStreamField.getOffset()
Class SimpleTimeZone.getOffset(int, int, int, int, int, int)
Class SinglePixelPackedSampleModel.getOffset(int, int)
Class TimeZone.getOffset(int, int, int, int, int, int)
Interface DocumentEvent.getOffset()
Interface Position.getOffset()
getOffsets found in:
Class DataBuffer.getOffsets()
Class RescaleOp.getOffsets(float[])
getOrientation found in:
Class BasicSplitPaneUI.getOrientation()
Class ComponentOrientation.getOrientation(java.util.Locale)
Class JProgressBar.getOrientation()
Class JScrollBar.getOrientation()
Class JSeparator.getOrientation()
Class JSlider.getOrientation()
Class JSplitPane.getOrientation()
Class JToolBar.getOrientation()
Class PageFormat.getOrientation()
Class Scrollbar.getOrientation()
Interface Adjustable.getOrientation()
getOutline found in:
Class GlyphVector.getOutline()
Class TextLayout.getOutline(java.awt.geom.AffineTransform)
getOutputStream found in:
Class LogStream.getOutputStream()
Class Process.getOutputStream()
Class Socket.getOutputStream()
Class SocketImpl.getOutputStream()
Class URLConnection.getOutputStream()
Interface JPEGImageEncoder.getOutputStream()
Interface RemoteCall.getOutputStream()


getP found in:
Class DSAParameterSpec.getP()
Class DSAPrivateKeySpec.getP()
Class DSAPublicKeySpec.getP()
Interface DSAParams.getP()
getP1 found in:
Class CubicCurve2D.getP1()
Class Double.getP1()
Class Double.getP1()
Class Double.getP1()
Class Float.getP1()
Class Float.getP1()
Class Float.getP1()
Class Line2D.getP1()
Class QuadCurve2D.getP1()
getP2 found in:
Class CubicCurve2D.getP2()
Class Double.getP2()
Class Double.getP2()
Class Double.getP2()
Class Float.getP2()
Class Float.getP2()
Class Float.getP2()
Class Line2D.getP2()
Class QuadCurve2D.getP2()
getPackage found in:
Class Class.getPackage()
Class ClassLoader.getPackage(java.lang.String)
Class Package.getPackage(java.lang.String)
getPackages found in:
Class ClassLoader.getPackages()
Class Package.getPackages()
getPageFormat found in:
Class Book.getPageFormat(int)
Interface Pageable.getPageFormat(int)
getPainter found in:
Class GlyphPainter.getPainter(javax.swing.text.GlyphView, int, int)
Interface Highlight.getPainter()
getParagraphElement found in:
Class AbstractDocument.getParagraphElement(int)
Class DefaultStyledDocument.getParagraphElement(int)
Class PlainDocument.getParagraphElement(int)
Class Utilities.getParagraphElement(javax.swing.text.JTextComponent, int)
Interface StyledDocument.getParagraphElement(int)
getParameter found in:
Class Applet.getParameter(java.lang.String)
Class DataFlavor.getParameter(java.lang.String)
Class DataTruncation.getParameter()
Class Signature.getParameter(java.lang.String)
Interface AppletStub.getParameter(java.lang.String)
getParameterTypes found in:
Class Constructor.getParameterTypes()
Class Method.getParameterTypes()
getParent found in:
Class AbstractElement.getParent()
Class ActionMap.getParent()
Class ClassLoader.getParent()
Class Component.getParent()
Class DefaultMutableTreeNode.getParent()
Class File.getParent()
Class InputMap.getParent()
Class MenuComponent.getParent()
Class Raster.getParent()
Class ThreadGroup.getParent()
Class View.getParent()
Interface TreeNode.getParent()
getParentElement found in:
Class AbstractElement.getParentElement()
Interface Element.getParentElement()
getParser found in:
Class HTMLDocument.getParser()
Class HTMLEditorKit.getParser()
getPartialSpan found in:
Class GlyphView.getPartialSpan(int, int)
Interface TabableView.getPartialSpan(int, int)
getPassword found in:
Class JPasswordField.getPassword()
Class PasswordAuthentication.getPassword()
getPath found in:
Class BasicMenuItemUI.getPath()
Class DefaultMutableTreeNode.getPath()
Class File.getPath()
Class MenuDragMouseEvent.getPath()
Class MenuKeyEvent.getPath()
Class TreeExpansionEvent.getPath()
Class TreeModelEvent.getPath()
Class TreePath.getPath()
Class TreeSelectionEvent.getPath()
Class URL.getPath()
getPathBounds found in:
Class BasicTreeUI.getPathBounds(javax.swing.JTree, javax.swing.tree.TreePath)
Class JTree.getPathBounds(javax.swing.tree.TreePath)
Class MultiTreeUI.getPathBounds(javax.swing.JTree, javax.swing.tree.TreePath)
Class TreeUI.getPathBounds(javax.swing.JTree, javax.swing.tree.TreePath)
getPathClosestTo found in:
Class AbstractLayoutCache.getPathClosestTo(int, int)
Class FixedHeightLayoutCache.getPathClosestTo(int, int)
Class VariableHeightLayoutCache.getPathClosestTo(int, int)
getPathForRow found in:
Class AbstractLayoutCache.getPathForRow(int)
Class BasicTreeUI.getPathForRow(javax.swing.JTree, int)
Class FixedHeightLayoutCache.getPathForRow(int)
Class JTree.getPathForRow(int)
Class MultiTreeUI.getPathForRow(javax.swing.JTree, int)
Class TreeUI.getPathForRow(javax.swing.JTree, int)
Class VariableHeightLayoutCache.getPathForRow(int)
getPathIterator found in:
Class Arc2D.getPathIterator(java.awt.geom.AffineTransform)
Class Area.getPathIterator(java.awt.geom.AffineTransform)
Class CubicCurve2D.getPathIterator(java.awt.geom.AffineTransform)
Class Ellipse2D.getPathIterator(java.awt.geom.AffineTransform)
Class GeneralPath.getPathIterator(java.awt.geom.AffineTransform)
Class Line2D.getPathIterator(java.awt.geom.AffineTransform)
Class Polygon.getPathIterator(java.awt.geom.AffineTransform)
Class QuadCurve2D.getPathIterator(java.awt.geom.AffineTransform)
Class Rectangle2D.getPathIterator(java.awt.geom.AffineTransform)
Class RectangularShape.getPathIterator(java.awt.geom.AffineTransform, double)
Class RoundRectangle2D.getPathIterator(java.awt.geom.AffineTransform)
Interface Shape.getPathIterator(java.awt.geom.AffineTransform)
getPathToRoot found in:
Class DefaultMutableTreeNode.getPathToRoot(javax.swing.tree.TreeNode, int)
Class DefaultTreeModel.getPathToRoot(javax.swing.tree.TreeNode)
getPeer found in:
Class Component.getPeer()
Class Font.getPeer()
Class MenuComponent.getPeer()
getPermission found in:
Class AccessControlException.getPermission()
Class HttpURLConnection.getPermission()
Class URLConnection.getPermission()
getPermissions found in:
Class Policy.getPermissions(java.security.CodeSource)
Class ProtectionDomain.getPermissions()
Class SecureClassLoader.getPermissions(java.security.CodeSource)
Class URLClassLoader.getPermissions(java.security.CodeSource)
Interface Acl.getPermissions(java.security.Principal)
getPixel found in:
Class BandedSampleModel.getPixel(int, int, int[], java.awt.image.DataBuffer)
Class ComponentSampleModel.getPixel(int, int, int[], java.awt.image.DataBuffer)
Class MultiPixelPackedSampleModel.getPixel(int, int, int[], java.awt.image.DataBuffer)
Class Raster.getPixel(int, int, int[])
Class SampleModel.getPixel(int, int, int[], java.awt.image.DataBuffer)
Class SinglePixelPackedSampleModel.getPixel(int, int, int[], java.awt.image.DataBuffer)
getPixels found in:
Class BandedSampleModel.getPixels(int, int, int, int, int[], java.awt.image.DataBuffer)
Class ComponentSampleModel.getPixels(int, int, int, int, int[], java.awt.image.DataBuffer)
Class PixelGrabber.getPixels()
Class Raster.getPixels(int, int, int, int, int[])
Class SampleModel.getPixels(int, int, int, int, int[], java.awt.image.DataBuffer)
Class SinglePixelPackedSampleModel.getPixels(int, int, int, int, int[], java.awt.image.DataBuffer)
getPoint2D found in:
Class AffineTransformOp.getPoint2D(java.awt.geom.Point2D, java.awt.geom.Point2D)
Class BandCombineOp.getPoint2D(java.awt.geom.Point2D, java.awt.geom.Point2D)
Class ColorConvertOp.getPoint2D(java.awt.geom.Point2D, java.awt.geom.Point2D)
Class ConvolveOp.getPoint2D(java.awt.geom.Point2D, java.awt.geom.Point2D)
Class LookupOp.getPoint2D(java.awt.geom.Point2D, java.awt.geom.Point2D)
Class RescaleOp.getPoint2D(java.awt.geom.Point2D, java.awt.geom.Point2D)
Interface BufferedImageOp.getPoint2D(java.awt.geom.Point2D, java.awt.geom.Point2D)
Interface RasterOp.getPoint2D(java.awt.geom.Point2D, java.awt.geom.Point2D)
getPort found in:
Class DatagramPacket.getPort()
Class DatagramSocket.getPort()
Class Socket.getPort()
Class SocketImpl.getPort()
Class URL.getPort()
getPosition found in:
Class JLayeredPane.getPosition(java.awt.Component)
Class LineBreakMeasurer.getPosition()
Class SizeSequence.getPosition(int)
Class TabStop.getPosition()
getPositionsInRange found in:
Class GapContent.getPositionsInRange(java.util.Vector, int, int)
Class StringContent.getPositionsInRange(java.util.Vector, int, int)
getPrecision found in:
Class FloatControl.getPrecision()
Interface ResultSetMetaData.getPrecision(int)
getPreferredHeight found in:
Class AbstractLayoutCache.getPreferredHeight()
Class VariableHeightLayoutCache.getPreferredHeight()
getPreferredScrollableViewportSize found in:
Class JList.getPreferredScrollableViewportSize()
Class JTable.getPreferredScrollableViewportSize()
Class JTextArea.getPreferredScrollableViewportSize()
Class JTextComponent.getPreferredScrollableViewportSize()
Class JTree.getPreferredScrollableViewportSize()
Interface Scrollable.getPreferredScrollableViewportSize()
getPreferredSize found in:
Class BasicArrowButton.getPreferredSize()
Class BasicButtonUI.getPreferredSize(javax.swing.JComponent)
Class BasicComboBoxRenderer.getPreferredSize()
Class BasicComboBoxUI.getPreferredSize(javax.swing.JComponent)
Class BasicDesktopIconUI.getPreferredSize(javax.swing.JComponent)
Class BasicDesktopPaneUI.getPreferredSize(javax.swing.JComponent)
Class BasicInternalFrameUI.getPreferredSize(javax.swing.JComponent)
Class BasicLabelUI.getPreferredSize(javax.swing.JComponent)
Class BasicListUI.getPreferredSize(javax.swing.JComponent)
Class BasicMenuBarUI.getPreferredSize(javax.swing.JComponent)
Class BasicMenuItemUI.getPreferredSize(javax.swing.JComponent)
Class BasicOptionPaneUI.getPreferredSize(javax.swing.JComponent)
Class BasicPopupMenuSeparatorUI.getPreferredSize(javax.swing.JComponent)
Class BasicPopupMenuUI.getPreferredSize(javax.swing.JComponent)
Class BasicProgressBarUI.getPreferredSize(javax.swing.JComponent)
Class BasicRadioButtonUI.getPreferredSize(javax.swing.JComponent)
Class BasicScrollBarUI.getPreferredSize(javax.swing.JComponent)
Class BasicScrollPaneUI.getPreferredSize(javax.swing.JComponent)
Class BasicSeparatorUI.getPreferredSize(javax.swing.JComponent)
Class BasicSliderUI.getPreferredSize(javax.swing.JComponent)
Class BasicSplitPaneDivider.getPreferredSize()
Class BasicSplitPaneUI.getPreferredSize(javax.swing.JComponent)
Class BasicTabbedPaneUI.getPreferredSize(javax.swing.JComponent)
Class BasicTableHeaderUI.getPreferredSize(javax.swing.JComponent)
Class BasicTableUI.getPreferredSize(javax.swing.JComponent)
Class BasicTextUI.getPreferredSize(javax.swing.JComponent)
Class BasicToolBarSeparatorUI.getPreferredSize(javax.swing.JComponent)
Class BasicToolBarUI.getPreferredSize(javax.swing.JComponent)
Class BasicToolTipUI.getPreferredSize(javax.swing.JComponent)
Class BasicTreeUI.getPreferredSize(javax.swing.JComponent)
Class Component.getPreferredSize()
Class ComponentUI.getPreferredSize(javax.swing.JComponent)
Class Container.getPreferredSize()
Class DefaultTextField.getPreferredSize()
Class DefaultTreeCellRenderer.getPreferredSize()
Class EditorContainer.getPreferredSize()
Class Filler.getPreferredSize()
Class JComponent.getPreferredSize()
Class JEditorPane.getPreferredSize()
Class JTextArea.getPreferredSize()
Class JTextField.getPreferredSize()
Class List.getPreferredSize(int)
Class MetalDesktopIconUI.getPreferredSize(javax.swing.JComponent)
Class MetalFileChooserUI.getPreferredSize(javax.swing.JComponent)
Class MetalPopupMenuSeparatorUI.getPreferredSize(javax.swing.JComponent)
Class MetalScrollBarUI.getPreferredSize(javax.swing.JComponent)
Class MetalScrollButton.getPreferredSize()
Class MetalSeparatorUI.getPreferredSize(javax.swing.JComponent)
Class MetalToolTipUI.getPreferredSize(javax.swing.JComponent)
Class MultiButtonUI.getPreferredSize(javax.swing.JComponent)
Class MultiColorChooserUI.getPreferredSize(javax.swing.JComponent)
Class MultiComboBoxUI.getPreferredSize(javax.swing.JComponent)
Class MultiDesktopIconUI.getPreferredSize(javax.swing.JComponent)
Class MultiDesktopPaneUI.getPreferredSize(javax.swing.JComponent)
Class MultiFileChooserUI.getPreferredSize(javax.swing.JComponent)
Class MultiInternalFrameUI.getPreferredSize(javax.swing.JComponent)
Class MultiLabelUI.getPreferredSize(javax.swing.JComponent)
Class MultiListUI.getPreferredSize(javax.swing.JComponent)
Class MultiMenuBarUI.getPreferredSize(javax.swing.JComponent)
Class MultiMenuItemUI.getPreferredSize(javax.swing.JComponent)
Class MultiOptionPaneUI.getPreferredSize(javax.swing.JComponent)
Class MultiPanelUI.getPreferredSize(javax.swing.JComponent)
Class MultiPopupMenuUI.getPreferredSize(javax.swing.JComponent)
Class MultiProgressBarUI.getPreferredSize(javax.swing.JComponent)
Class MultiScrollBarUI.getPreferredSize(javax.swing.JComponent)
Class MultiScrollPaneUI.getPreferredSize(javax.swing.JComponent)
Class MultiSeparatorUI.getPreferredSize(javax.swing.JComponent)
Class MultiSliderUI.getPreferredSize(javax.swing.JComponent)
Class MultiSplitPaneUI.getPreferredSize(javax.swing.JComponent)
Class MultiTabbedPaneUI.getPreferredSize(javax.swing.JComponent)
Class MultiTableHeaderUI.getPreferredSize(javax.swing.JComponent)
Class MultiTableUI.getPreferredSize(javax.swing.JComponent)
Class MultiTextUI.getPreferredSize(javax.swing.JComponent)
Class MultiToolBarUI.getPreferredSize(javax.swing.JComponent)
Class MultiToolTipUI.getPreferredSize(javax.swing.JComponent)
Class MultiTreeUI.getPreferredSize(javax.swing.JComponent)
Class MultiViewportUI.getPreferredSize(javax.swing.JComponent)
Class Separator.getPreferredSize()
Class TextArea.getPreferredSize(int, int)
Class TextField.getPreferredSize(int)
getPreferredSpan found in:
Class AsyncBoxView.getPreferredSpan(int)
Class BoxView.getPreferredSpan(int)
Class ComponentView.getPreferredSpan(int)
Class FieldView.getPreferredSpan(int)
Class GlyphView.getPreferredSpan(int)
Class IconView.getPreferredSpan(int)
Class ParagraphView.getPreferredSpan(int)
Class PlainView.getPreferredSpan(int)
Class View.getPreferredSpan(int)
Class WrappedPlainView.getPreferredSpan(int)
getPreferredWidth found in:
Class AbstractLayoutCache.getPreferredWidth(java.awt.Rectangle)
Class TableColumn.getPreferredWidth()
Class VariableHeightLayoutCache.getPreferredWidth(java.awt.Rectangle)
getPrefix found in:
Class CompositeName.getPrefix(int)
Class CompoundName.getPrefix(int)
Interface Name.getPrefix(int)
getPresentationName found in:
Class AbstractUndoableEdit.getPresentationName()
Class CompoundEdit.getPresentationName()
Class DefaultDocumentEvent.getPresentationName()
Class StateEdit.getPresentationName()
Interface UndoableEdit.getPresentationName()
getPreviewPanel found in:
Class ColorChooserComponentFactory.getPreviewPanel()
Class JColorChooser.getPreviewPanel()
getPrimary1 found in:
Class DefaultMetalTheme.getPrimary1()
Class MetalTheme.getPrimary1()
getPrimary2 found in:
Class DefaultMetalTheme.getPrimary2()
Class MetalTheme.getPrimary2()
getPrimary3 found in:
Class DefaultMetalTheme.getPrimary3()
Class MetalTheme.getPrimary3()
getPrimaryControl found in:
Class MetalLookAndFeel.getPrimaryControl()
Class MetalTheme.getPrimaryControl()
getPrimaryControlDarkShadow found in:
Class MetalLookAndFeel.getPrimaryControlDarkShadow()
Class MetalTheme.getPrimaryControlDarkShadow()
getPrimaryControlHighlight found in:
Class MetalLookAndFeel.getPrimaryControlHighlight()
Class MetalTheme.getPrimaryControlHighlight()
getPrimaryControlInfo found in:
Class MetalLookAndFeel.getPrimaryControlInfo()
Class MetalTheme.getPrimaryControlInfo()
getPrimaryControlShadow found in:
Class MetalLookAndFeel.getPrimaryControlShadow()
Class MetalTheme.getPrimaryControlShadow()
getPrimeExponentP found in:
Class RSAPrivateCrtKeySpec.getPrimeExponentP()
Interface RSAPrivateCrtKey.getPrimeExponentP()
getPrimeExponentQ found in:
Class RSAPrivateCrtKeySpec.getPrimeExponentQ()
Interface RSAPrivateCrtKey.getPrimeExponentQ()
getPrimeP found in:
Class RSAPrivateCrtKeySpec.getPrimeP()
Interface RSAPrivateCrtKey.getPrimeP()
getPrimeQ found in:
Class RSAPrivateCrtKeySpec.getPrimeQ()
Interface RSAPrivateCrtKey.getPrimeQ()


getPrincipal found in:
Interface AclEntry.getPrincipal()
Interface Certificate.getPrincipal()
getPrintable found in:
Class Book.getPrintable(int)
Interface Pageable.getPrintable(int)
getPrinterJob found in:
Class PrinterJob.getPrinterJob()
Interface PrinterGraphics.getPrinterJob()
getPrintJob found in:
Class Toolkit.getPrintJob(java.awt.Frame, java.lang.String, java.util.Properties)
Interface PrintGraphics.getPrintJob()
getPrivateExponent found in:
Class RSAPrivateKeySpec.getPrivateExponent()
Interface RSAPrivateKey.getPrivateExponent()
getProgram found in:
Class Patch.getProgram()
Interface MidiChannel.getProgram()
getProperty found in:
Class AbstractDocument.getProperty(java.lang.Object)
Class BufferedImage.getProperty(java.lang.String, java.awt.image.ImageObserver)
Class Image.getProperty(java.lang.String, java.awt.image.ImageObserver)
Class Properties.getProperty(java.lang.String)
Class RenderableImageOp.getProperty(java.lang.String)
Class Security.getProperty(java.lang.String)
Class System.getProperty(java.lang.String)
Class Toolkit.getProperty(java.lang.String, java.lang.String)
Interface ContextualRenderedImageFactory.getProperty(java.awt.image.renderable.ParameterBlock, java.lang.String)
Interface Document.getProperty(java.lang.Object)
Interface EventRequest.getProperty(java.lang.Object)
Interface RenderableImage.getProperty(java.lang.String)
Interface RenderedImage.getProperty(java.lang.String)
getPropertyDescriptors found in:
Class SimpleBeanInfo.getPropertyDescriptors()
Interface BeanInfo.getPropertyDescriptors()
getPropertyNames found in:
Class BufferedImage.getPropertyNames()
Class RenderableImageOp.getPropertyNames()
Interface ContextualRenderedImageFactory.getPropertyNames()
Interface RenderableImage.getPropertyNames()
Interface RenderedImage.getPropertyNames()
getPropertyPrefix found in:
Class BasicButtonUI.getPropertyPrefix()
Class BasicCheckBoxMenuItemUI.getPropertyPrefix()
Class BasicCheckBoxUI.getPropertyPrefix()
Class BasicEditorPaneUI.getPropertyPrefix()
Class BasicMenuItemUI.getPropertyPrefix()
Class BasicMenuUI.getPropertyPrefix()
Class BasicPasswordFieldUI.getPropertyPrefix()
Class BasicRadioButtonMenuItemUI.getPropertyPrefix()
Class BasicRadioButtonUI.getPropertyPrefix()
Class BasicTextAreaUI.getPropertyPrefix()
Class BasicTextFieldUI.getPropertyPrefix()
Class BasicTextPaneUI.getPropertyPrefix()
Class BasicTextUI.getPropertyPrefix()
Class BasicToggleButtonUI.getPropertyPrefix()
Class MetalCheckBoxUI.getPropertyPrefix()
getProvider found in:
Class AlgorithmParameterGenerator.getProvider()
Class AlgorithmParameters.getProvider()
Class CertificateFactory.getProvider()
Class KeyFactory.getProvider()
Class KeyPairGenerator.getProvider()
Class KeyStore.getProvider()
Class MessageDigest.getProvider()
Class SecureRandom.getProvider()
Class Security.getProvider(java.lang.String)
Class Signature.getProvider()
getPublicExponent found in:
Class RSAKeyGenParameterSpec.getPublicExponent()
Class RSAPrivateCrtKeySpec.getPublicExponent()
Class RSAPublicKeySpec.getPublicExponent()
Interface RSAPrivateCrtKey.getPublicExponent()
Interface RSAPublicKey.getPublicExponent()
getPublicKey found in:
Class Certificate.getPublicKey()
Class Identity.getPublicKey()
Interface Certificate.getPublicKey()
getQ found in:
Class DSAParameterSpec.getQ()
Class DSAPrivateKeySpec.getQ()
Class DSAPublicKeySpec.getQ()
Interface DSAParams.getQ()
getRadioButtonIcon found in:
Class BasicIconFactory.getRadioButtonIcon()
Class MetalIconFactory.getRadioButtonIcon()
getRadioButtonMenuItemIcon found in:
Class BasicIconFactory.getRadioButtonMenuItemIcon()
Class MetalIconFactory.getRadioButtonMenuItemIcon()
getRaster found in:
Class BufferedImage.getRaster()
Class TruncatedFileException.getRaster()
Interface PaintContext.getRaster(int, int, int, int)
getRawOffset found in:
Class SimpleTimeZone.getRawOffset()
Class TimeZone.getRawOffset()
getReceiveBufferSize found in:
Class DatagramSocket.getReceiveBufferSize()
Class Socket.getReceiveBufferSize()
getReceiver found in:
Class MidiSystem.getReceiver()
Interface MidiDevice.getReceiver()
Interface Transmitter.getReceiver()
getRed found in:
Class Color.getRed()
Class ColorModel.getRed(int)
Class ComponentColorModel.getRed(int)
Class DirectColorModel.getRed(int)
Class IndexColorModel.getRed(int)
getRedoPresentationName found in:
Class AbstractUndoableEdit.getRedoPresentationName()
Class CompoundEdit.getRedoPresentationName()
Class DefaultDocumentEvent.getRedoPresentationName()
Class UndoManager.getRedoPresentationName()
Interface UndoableEdit.getRedoPresentationName()
getRef found in:
Class RemoteObject.getRef()
Class URL.getRef()
Interface CallableStatement.getRef(int)
Interface ResultSet.getRef(int)
getReferralContext found in:
Class LdapReferralException.getReferralContext()
Class ReferralException.getReferralContext()
getRemainingName found in:
Class NamingException.getRemainingName()
Class ResolveResult.getRemainingName()
getRenderingHints found in:
Class AffineTransformOp.getRenderingHints()
Class BandCombineOp.getRenderingHints()
Class ColorConvertOp.getRenderingHints()
Class ConvolveOp.getRenderingHints()
Class Graphics2D.getRenderingHints()
Class LookupOp.getRenderingHints()
Class RenderContext.getRenderingHints()
Class RescaleOp.getRenderingHints()
Interface BufferedImageOp.getRenderingHints()
Interface RasterOp.getRenderingHints()
getRequestControls found in:
Class InitialLdapContext.getRequestControls()
Interface LdapContext.getRequestControls()
getResizeWeight found in:
Class BlockView.getResizeWeight(int)
Class BoxView.getResizeWeight(int)
Class FieldView.getResizeWeight(int)
Class JSplitPane.getResizeWeight()
Class TableRow.getResizeWeight(int)
Class View.getResizeWeight(int)
getResolution found in:
Class MidiFileFormat.getResolution()
Class Sequence.getResolution()
getResolvedObj found in:
Class NamingException.getResolvedObj()
Class ResolveResult.getResolvedObj()
getResolveParent found in:
Class AbstractElement.getResolveParent()
Class BlockElement.getResolveParent()
Class NamedStyle.getResolveParent()
Class RunElement.getResolveParent()
Class SimpleAttributeSet.getResolveParent()
Class SmallAttributeSet.getResolveParent()
Interface AttributeSet.getResolveParent()
Interface Keymap.getResolveParent()
getResource found in:
Class BeanContextSupport.getResource(java.lang.String, java.beans.beancontext.BeanContextChild)
Class Class.getResource(java.lang.String)
Class ClassLoader.getResource(java.lang.String)
Interface BeanContext.getResource(java.lang.String, java.beans.beancontext.BeanContextChild)
getResourceAsStream found in:
Class BeanContextSupport.getResourceAsStream(java.lang.String, java.beans.beancontext.BeanContextChild)
Class Class.getResourceAsStream(java.lang.String)
Class ClassLoader.getResourceAsStream(java.lang.String)
Interface BeanContext.getResourceAsStream(java.lang.String, java.beans.beancontext.BeanContextChild)
getResources found in:
Class ClassLoader.getResources(java.lang.String)
Interface Soundbank.getResources()
getResponseControls found in:
Class InitialLdapContext.getResponseControls()
Interface LdapContext.getResponseControls()
getResultSet found in:
Interface Array.getResultSet()
Interface Statement.getResultSet()
getRGB found in:
Class BufferedImage.getRGB(int, int)
Class Color.getRGB()
Class ColorModel.getRGB(int)
Class ComponentColorModel.getRGB(int)
Class DirectColorModel.getRGB(int)
Class IndexColorModel.getRGB(int)
Class SystemColor.getRGB()
getRightInset found in:
Class AsyncBoxView.getRightInset()
Class CompositeView.getRightInset()
getRoot found in:
Class DefaultMutableTreeNode.getRoot()
Class DefaultTreeModel.getRoot()
Class SwingUtilities.getRoot(java.awt.Component)
Interface TreeModel.getRoot()
getRootElements found in:
Class AbstractDocument.getRootElements()
Interface Document.getRootElements()
getRootPane found in:
Class JApplet.getRootPane()
Class JComponent.getRootPane()
Class JDialog.getRootPane()
Class JFrame.getRootPane()
Class JInternalFrame.getRootPane()
Class JWindow.getRootPane()
Class SwingUtilities.getRootPane(java.awt.Component)
Interface RootPaneContainer.getRootPane()
getRootView found in:
Class BasicTextUI.getRootView(javax.swing.text.JTextComponent)
Class MultiTextUI.getRootView(javax.swing.text.JTextComponent)
Class TextUI.getRootView(javax.swing.text.JTextComponent)
getRowCount found in:
Class AbstractLayoutCache.getRowCount()
Class BasicTreeUI.getRowCount(javax.swing.JTree)
Class DefaultTableModel.getRowCount()
Class FixedHeightLayoutCache.getRowCount()
Class JTable.getRowCount()
Class JTree.getRowCount()
Class MultiTreeUI.getRowCount(javax.swing.JTree)
Class TableCell.getRowCount()
Class TreeUI.getRowCount(javax.swing.JTree)
Class VariableHeightLayoutCache.getRowCount()
Interface TableModel.getRowCount()
getRowForPath found in:
Class AbstractLayoutCache.getRowForPath(javax.swing.tree.TreePath)
Class BasicTreeUI.getRowForPath(javax.swing.JTree, javax.swing.tree.TreePath)
Class FixedHeightLayoutCache.getRowForPath(javax.swing.tree.TreePath)
Class JTree.getRowForPath(javax.swing.tree.TreePath)
Class MultiTreeUI.getRowForPath(javax.swing.JTree, javax.swing.tree.TreePath)
Class TreeUI.getRowForPath(javax.swing.JTree, javax.swing.tree.TreePath)
Class VariableHeightLayoutCache.getRowForPath(javax.swing.tree.TreePath)
getRowHeader found in:
Class JScrollPane.getRowHeader()
Class ScrollPaneLayout.getRowHeader()
getRowHeight found in:
Class AbstractLayoutCache.getRowHeight()
Class BasicListUI.getRowHeight(int)
Class BasicTreeUI.getRowHeight()
Class JTable.getRowHeight()
Class JTextArea.getRowHeight()
Class JTree.getRowHeight()
getRowMapper found in:
Class DefaultTreeSelectionModel.getRowMapper()
Interface TreeSelectionModel.getRowMapper()
getRows found in:
Class GridLayout.getRows()
Class JTextArea.getRows()
Class List.getRows()
Class TextArea.getRows()
getRowsForPaths found in:
Class AbstractLayoutCache.getRowsForPaths(javax.swing.tree.TreePath[])
Interface RowMapper.getRowsForPaths(javax.swing.tree.TreePath[])
getRule found in:
Class AlphaComposite.getRule()
Class StyleSheet.getRule(javax.swing.text.html.HTML.Tag, javax.swing.text.Element)
getSample found in:
Class BandedSampleModel.getSample(int, int, int, java.awt.image.DataBuffer)
Class ComponentSampleModel.getSample(int, int, int, java.awt.image.DataBuffer)
Class MultiPixelPackedSampleModel.getSample(int, int, int, java.awt.image.DataBuffer)
Class Raster.getSample(int, int, int)
Class SampleModel.getSample(int, int, int, java.awt.image.DataBuffer)
Class SinglePixelPackedSampleModel.getSample(int, int, int, java.awt.image.DataBuffer)
getSampleDouble found in:
Class BandedSampleModel.getSampleDouble(int, int, int, java.awt.image.DataBuffer)
Class ComponentSampleModel.getSampleDouble(int, int, int, java.awt.image.DataBuffer)
Class Raster.getSampleDouble(int, int, int)
Class SampleModel.getSampleDouble(int, int, int, java.awt.image.DataBuffer)
getSampleFloat found in:
Class BandedSampleModel.getSampleFloat(int, int, int, java.awt.image.DataBuffer)
Class ComponentSampleModel.getSampleFloat(int, int, int, java.awt.image.DataBuffer)
Class Raster.getSampleFloat(int, int, int)
Class SampleModel.getSampleFloat(int, int, int, java.awt.image.DataBuffer)
getSampleModel found in:
Class BufferedImage.getSampleModel()
Class Raster.getSampleModel()
Interface RenderedImage.getSampleModel()
getSamples found in:
Class BandedSampleModel.getSamples(int, int, int, int, int, int[], java.awt.image.DataBuffer)
Class ComponentSampleModel.getSamples(int, int, int, int, int, int[], java.awt.image.DataBuffer)
Class Raster.getSamples(int, int, int, int, int, int[])
Class SampleModel.getSamples(int, int, int, int, int, int[], java.awt.image.DataBuffer)
Class SinglePixelPackedSampleModel.getSamples(int, int, int, int, int, int[], java.awt.image.DataBuffer)
getSampleSize found in:
Class ComponentSampleModel.getSampleSize()
Class MultiPixelPackedSampleModel.getSampleSize()
Class SampleModel.getSampleSize()
Class SinglePixelPackedSampleModel.getSampleSize()
getScaledInstance found in:
Class Image.getScaledInstance(int, int, int)
Class JPEGQTable.getScaledInstance(float, boolean)
getScanlineStride found in:
Class ComponentSampleModel.getScanlineStride()
Class MultiPixelPackedSampleModel.getScanlineStride()
Class SinglePixelPackedSampleModel.getScanlineStride()
getSchema found in:
Class InitialDirContext.getSchema(java.lang.String)
Interface DirContext.getSchema(javax.naming.Name)
getSchemaClassDefinition found in:
Class InitialDirContext.getSchemaClassDefinition(java.lang.String)
Interface DirContext.getSchemaClassDefinition(javax.naming.Name)
getScrollableBlockIncrement found in:
Class JList.getScrollableBlockIncrement(java.awt.Rectangle, int, int)
Class JTable.getScrollableBlockIncrement(java.awt.Rectangle, int, int)
Class JTextComponent.getScrollableBlockIncrement(java.awt.Rectangle, int, int)
Class JTree.getScrollableBlockIncrement(java.awt.Rectangle, int, int)
Interface Scrollable.getScrollableBlockIncrement(java.awt.Rectangle, int, int)
getScrollableTracksViewportHeight found in:
Class JEditorPane.getScrollableTracksViewportHeight()
Class JList.getScrollableTracksViewportHeight()
Class JTable.getScrollableTracksViewportHeight()
Class JTextComponent.getScrollableTracksViewportHeight()
Class JTree.getScrollableTracksViewportHeight()
Interface Scrollable.getScrollableTracksViewportHeight()
getScrollableTracksViewportWidth found in:
Class JEditorPane.getScrollableTracksViewportWidth()
Class JList.getScrollableTracksViewportWidth()
Class JTable.getScrollableTracksViewportWidth()
Class JTextArea.getScrollableTracksViewportWidth()
Class JTextComponent.getScrollableTracksViewportWidth()
Class JTree.getScrollableTracksViewportWidth()
Interface Scrollable.getScrollableTracksViewportWidth()
getScrollableUnitIncrement found in:
Class JList.getScrollableUnitIncrement(java.awt.Rectangle, int, int)
Class JTable.getScrollableUnitIncrement(java.awt.Rectangle, int, int)
Class JTextArea.getScrollableUnitIncrement(java.awt.Rectangle, int, int)
Class JTextComponent.getScrollableUnitIncrement(java.awt.Rectangle, int, int)
Class JTree.getScrollableUnitIncrement(java.awt.Rectangle, int, int)
Interface Scrollable.getScrollableUnitIncrement(java.awt.Rectangle, int, int)
getSecondary1 found in:
Class DefaultMetalTheme.getSecondary1()
Class MetalTheme.getSecondary1()
getSecondary2 found in:
Class DefaultMetalTheme.getSecondary2()
Class MetalTheme.getSecondary2()
getSecondary3 found in:
Class DefaultMetalTheme.getSecondary3()
Class MetalTheme.getSecondary3()
getSeconds found in:
Class Date.getSeconds()
Class Date.getSeconds()
getSecurityContext found in:
Class RMIClassLoader.getSecurityContext(java.lang.ClassLoader)
Class SecurityManager.getSecurityContext()
Interface LoaderHandler.getSecurityContext(java.lang.ClassLoader)
getSelectColor found in:
Class MetalButtonUI.getSelectColor()
Class MetalRadioButtonUI.getSelectColor()
Class MetalToggleButtonUI.getSelectColor()
getSelectedAccessibleColumns found in:
Class AccessibleJTable.getSelectedAccessibleColumns()
Interface AccessibleTable.getSelectedAccessibleColumns()
getSelectedAccessibleRows found in:
Class AccessibleJTable.getSelectedAccessibleRows()
Interface AccessibleTable.getSelectedAccessibleRows()
getSelectedColor found in:
Class DefaultColorSelectionModel.getSelectedColor()
Interface ColorSelectionModel.getSelectedColor()
getSelectedColumnCount found in:
Class DefaultTableColumnModel.getSelectedColumnCount()
Class JTable.getSelectedColumnCount()
Interface TableColumnModel.getSelectedColumnCount()
getSelectedColumns found in:
Class DefaultTableColumnModel.getSelectedColumns()
Class JTable.getSelectedColumns()
Interface TableColumnModel.getSelectedColumns()
getSelectedIndex found in:
Class Choice.getSelectedIndex()
Class DefaultSingleSelectionModel.getSelectedIndex()
Class JComboBox.getSelectedIndex()
Class JList.getSelectedIndex()
Class JTabbedPane.getSelectedIndex()
Class List.getSelectedIndex()
Interface SingleSelectionModel.getSelectedIndex()
getSelectedItem found in:
Class Choice.getSelectedItem()
Class DefaultComboBoxModel.getSelectedItem()
Class DirectoryComboBoxModel.getSelectedItem()
Class FilterComboBoxModel.getSelectedItem()
Class JComboBox.getSelectedItem()
Class List.getSelectedItem()
Interface ComboBoxModel.getSelectedItem()
getSelectedObjects found in:
Class AbstractButton.getSelectedObjects()
Class Checkbox.getSelectedObjects()
Class CheckboxMenuItem.getSelectedObjects()
Class Choice.getSelectedObjects()
Class DefaultButtonModel.getSelectedObjects()
Class JCheckBoxMenuItem.getSelectedObjects()
Class JComboBox.getSelectedObjects()
Class List.getSelectedObjects()
Interface ItemSelectable.getSelectedObjects()
getSelectedText found in:
Class AccessibleAbstractButton.getSelectedText()
Class AccessibleAWTTextComponent.getSelectedText()
Class AccessibleJLabel.getSelectedText()
Class AccessibleJTextComponent.getSelectedText()
Class ActiveClient.getSelectedText(java.text.AttributedCharacterIterator.Attribute[])
Class JTextComponent.getSelectedText()
Class TextComponent.getSelectedText()
Interface AccessibleText.getSelectedText()
Interface InputMethodRequests.getSelectedText(java.text.AttributedCharacterIterator.Attribute[])
getSelectionBackground found in:
Class BasicProgressBarUI.getSelectionBackground()
Class JList.getSelectionBackground()
Class JTable.getSelectionBackground()
getSelectionCount found in:
Class DefaultTreeSelectionModel.getSelectionCount()
Class JTree.getSelectionCount()
Interface TreeSelectionModel.getSelectionCount()
getSelectionEnd found in:
Class AccessibleAbstractButton.getSelectionEnd()
Class AccessibleAWTTextComponent.getSelectionEnd()
Class AccessibleJLabel.getSelectionEnd()
Class AccessibleJTextComponent.getSelectionEnd()
Class JTextComponent.getSelectionEnd()
Class TextComponent.getSelectionEnd()
Interface AccessibleText.getSelectionEnd()
getSelectionForeground found in:
Class BasicProgressBarUI.getSelectionForeground()
Class JList.getSelectionForeground()
Class JTable.getSelectionForeground()
getSelectionMode found in:
Class DefaultListSelectionModel.getSelectionMode()
Class DefaultTreeSelectionModel.getSelectionMode()
Class JList.getSelectionMode()
Interface ListSelectionModel.getSelectionMode()
Interface TreeSelectionModel.getSelectionMode()
getSelectionModel found in:
Class AbstractLayoutCache.getSelectionModel()
Class BasicTreeUI.getSelectionModel()
Class DefaultTableColumnModel.getSelectionModel()
Class JColorChooser.getSelectionModel()
Class JList.getSelectionModel()
Class JMenuBar.getSelectionModel()
Class JPopupMenu.getSelectionModel()
Class JTable.getSelectionModel()
Class JTree.getSelectionModel()
Interface TableColumnModel.getSelectionModel()
getSelectionPath found in:
Class DefaultTreeSelectionModel.getSelectionPath()
Class JTree.getSelectionPath()
Interface TreeSelectionModel.getSelectionPath()
getSelectionPaths found in:
Class DefaultTreeSelectionModel.getSelectionPaths()
Class JTree.getSelectionPaths()
Interface TreeSelectionModel.getSelectionPaths()
getSelectionRows found in:
Class DefaultTreeSelectionModel.getSelectionRows()
Class JTree.getSelectionRows()
Interface TreeSelectionModel.getSelectionRows()
getSelectionStart found in:
Class AccessibleAbstractButton.getSelectionStart()
Class AccessibleAWTTextComponent.getSelectionStart()
Class AccessibleJLabel.getSelectionStart()
Class AccessibleJTextComponent.getSelectionStart()
Class JTextComponent.getSelectionStart()
Class TextComponent.getSelectionStart()
Interface AccessibleText.getSelectionStart()
getSendBufferSize found in:
Class DatagramSocket.getSendBufferSize()
Class Socket.getSendBufferSize()
getSeparatorBackground found in:
Class MetalLookAndFeel.getSeparatorBackground()
Class MetalTheme.getSeparatorBackground()
getSeparatorForeground found in:
Class MetalLookAndFeel.getSeparatorForeground()
Class MetalTheme.getSeparatorForeground()
getSequence found in:
Class MidiFileReader.getSequence(java.io.InputStream)
Class MidiSystem.getSequence(java.io.InputStream)
Interface Sequencer.getSequence()
getSerialNumber found in:
Class X509Certificate.getSerialNumber()
Class X509CRLEntry.getSerialNumber()
getService found in:
Class BCSSProxyServiceProvider.getService(java.beans.beancontext.BeanContextServices, java.lang.Object, java.lang.Class, java.lang.Object)
Class BeanContextServicesSupport.getService(java.beans.beancontext.BeanContextChild, java.lang.Object, java.lang.Class, java.lang.Object, java.beans.beancontext.BeanContextServiceRevokedListener)
Interface BeanContextServiceProvider.getService(java.beans.beancontext.BeanContextServices, java.lang.Object, java.lang.Class, java.lang.Object)
Interface BeanContextServices.getService(java.beans.beancontext.BeanContextChild, java.lang.Object, java.lang.Class, java.lang.Object, java.beans.beancontext.BeanContextServiceRevokedListener)
getServiceClass found in:
Class BeanContextServiceAvailableEvent.getServiceClass()
Class BeanContextServiceRevokedEvent.getServiceClass()
getShadowColor found in:
Class BasicSliderUI.getShadowColor()
Class EtchedBorder.getShadowColor(java.awt.Component)
getShift found in:
Class FileIcon16.getShift()
Class FolderIcon16.getShift()
Class TreeFolderIcon.getShift()
Class TreeLeafIcon.getShift()
getShort found in:
Class Array.getShort(java.lang.Object, int)
Class Field.getShort(java.lang.Object)
Interface CallableStatement.getShort(int)
Interface ResultSet.getShort(int)
getShowsRootHandles found in:
Class BasicTreeUI.getShowsRootHandles()
Class JTree.getShowsRootHandles()
getSigAlgName found in:
Class X509Certificate.getSigAlgName()
Class X509CRL.getSigAlgName()
getSigAlgOID found in:
Class X509Certificate.getSigAlgOID()
Class X509CRL.getSigAlgOID()
getSigAlgParams found in:
Class X509Certificate.getSigAlgParams()
Class X509CRL.getSigAlgParams()
getSignature found in:
Class SignedObject.getSignature()
Class X509Certificate.getSignature()
Class X509CRL.getSignature()
getSize found in:
Class AccessibleAWTComponent.getSize()
Class AccessibleAWTListChild.getSize()
Class AccessibleAWTMenuComponent.getSize()
Class AccessibleJListChild.getSize()
Class AccessibleJTableCell.getSize()
Class AccessibleJTableHeaderEntry.getSize()
Class AccessibleJTreeNode.getSize()
Class BasicDirectoryModel.getSize()
Class Component.getSize()
Class DataBuffer.getSize()
Class DefaultComboBoxModel.getSize()
Class DefaultListModel.getSize()
Class Dimension.getSize()
Class DirectoryComboBoxModel.getSize()
Class FilterComboBoxModel.getSize()
Class Font.getSize()
Class JComponent.getSize(java.awt.Dimension)
Class Rectangle.getSize()
Class SizeSequence.getSize(int)
Class ZipEntry.getSize()
Interface AccessibleComponent.getSize()
Interface ListModel.getSize()
getSizes found in:
Class BasicHorizontalLayoutManager.getSizes()
Class SizeSequence.getSizes()
getSoTimeout found in:
Class DatagramSocket.getSoTimeout()
Class ServerSocket.getSoTimeout()
Class Socket.getSoTimeout()
getSoundbank found in:
Class MidiSystem.getSoundbank(java.io.InputStream)
Class SoundbankReader.getSoundbank(java.net.URL)
Class SoundbankResource.getSoundbank()
getSource found in:
Class BufferedImage.getSource()
Class EventObject.getSource()
Class Image.getSource()
Class ParameterBlock.getSource(int)
getSourceActions found in:
Class DragGestureRecognizer.getSourceActions()
Class DragSourceContext.getSourceActions()
Class DropTargetDragEvent.getSourceActions()
Class DropTargetDropEvent.getSourceActions()
getSourceAsBeanContextServices found in:
Class BeanContextServiceAvailableEvent.getSourceAsBeanContextServices()
Class BeanContextServiceRevokedEvent.getSourceAsBeanContextServices()


getSourceLineInfo found in:
Class AudioSystem.getSourceLineInfo(javax.sound.sampled.Line.Info)
Interface Mixer.getSourceLineInfo()
getSources found in:
Class BufferedImage.getSources()
Class ParameterBlock.getSources()
Class RenderableImageOp.getSources()
Interface RenderableImage.getSources()
Interface RenderedImage.getSources()
getSpan found in:
Class BoxView.getSpan(int, int)
Class GlyphPainter.getSpan(javax.swing.text.GlyphView, int, int, javax.swing.text.TabExpander, float)
getSQLTypeName found in:
Interface SQLData.getSQLTypeName()
Interface Struct.getSQLTypeName()
getStartIndex found in:
Class AccessibleHyperlink.getStartIndex()
Class HTMLLink.getStartIndex()
getStartOffset found in:
Class AbstractElement.getStartOffset()
Class AbstractWriter.getStartOffset()
Class BranchElement.getStartOffset()
Class GlyphView.getStartOffset()
Class Iterator.getStartOffset()
Class LeafElement.getStartOffset()
Class View.getStartOffset()
Interface Element.getStartOffset()
Interface Highlight.getStartOffset()
getStartPosition found in:
Class AbstractDocument.getStartPosition()
Interface Document.getStartPosition()
getState found in:
Class Checkbox.getState()
Class CheckboxMenuItem.getState()
Class Frame.getState()
Class InputMethodHighlight.getState()
Class JCheckBoxMenuItem.getState()
getStateToBind found in:
Class DirectoryManager.getStateToBind(java.lang.Object, javax.naming.Name, javax.naming.Context, java.util.Hashtable, javax.naming.directory.Attributes)
Class NamingManager.getStateToBind(java.lang.Object, javax.naming.Name, javax.naming.Context, java.util.Hashtable)
Interface DirStateFactory.getStateToBind(java.lang.Object, javax.naming.Name, javax.naming.Context, java.util.Hashtable, javax.naming.directory.Attributes)
Interface StateFactory.getStateToBind(java.lang.Object, javax.naming.Name, javax.naming.Context, java.util.Hashtable)
getStatus found in:
Class MidiMessage.getStatus()
Class PixelGrabber.getStatus()
getString found in:
Class Entity.getString()
Class GapContent.getString(int, int)
Class JProgressBar.getString()
Class ResourceBundle.getString(java.lang.String)
Class StringContent.getString(int, int)
Class UIDefaults.getString(java.lang.Object)
Class UIManager.getString(java.lang.Object)
Interface CallableStatement.getString(int)
Interface Content.getString(int, int)
Interface ResultSet.getString(int)
getStringBounds found in:
Class Font.getStringBounds(java.lang.String, java.awt.font.FontRenderContext)
Class FontMetrics.getStringBounds(java.lang.String, java.awt.Graphics)


getStyle found in:
Class DefaultStyledDocument.getStyle(java.lang.String)
Class Font.getStyle()
Class InputMethodHighlight.getStyle()
Class JTextPane.getStyle(java.lang.String)
Class StyleContext.getStyle(java.lang.String)
Interface StyledDocument.getStyle(java.lang.String)
getStyledDocument found in:
Class JTextPane.getStyledDocument()
Class StyledTextAction.getStyledDocument(javax.swing.JEditorPane)
getStyledEditorKit found in:
Class JTextPane.getStyledEditorKit()
Class StyledTextAction.getStyledEditorKit(javax.swing.JEditorPane)
getStyleNames found in:
Class DefaultStyledDocument.getStyleNames()
Class StyleContext.getStyleNames()
getStyleSheet found in:
Class BlockView.getStyleSheet()
Class HTMLDocument.getStyleSheet()
Class HTMLEditorKit.getStyleSheet()
Class InlineView.getStyleSheet()
Class ParagraphView.getStyleSheet()
getSubElements found in:
Class JMenu.getSubElements()
Class JMenuBar.getSubElements()
Class JMenuItem.getSubElements()
Class JPopupMenu.getSubElements()
Interface MenuElement.getSubElements()
getSubTextFont found in:
Class DefaultMetalTheme.getSubTextFont()
Class MetalLookAndFeel.getSubTextFont()
Class MetalTheme.getSubTextFont()
getSuffix found in:
Class CompositeName.getSuffix(int)
Class CompoundName.getSuffix(int)
Interface Name.getSuffix(int)
getSystem found in:
Class ActivationGroup.getSystem()
Class ActivationGroupID.getSystem()
getSystemTextColor found in:
Class MetalLookAndFeel.getSystemTextColor()
Class MetalTheme.getSystemTextColor()
getSystemTextFont found in:
Class DefaultMetalTheme.getSystemTextFont()
Class MetalLookAndFeel.getSystemTextFont()
Class MetalTheme.getSystemTextFont()
getTabbedSpan found in:
Class GlyphView.getTabbedSpan(float, javax.swing.text.TabExpander)
Interface TabableView.getTabbedSpan(float, javax.swing.text.TabExpander)
getTabBounds found in:
Class BasicTabbedPaneUI.getTabBounds(javax.swing.JTabbedPane, int)
Class MultiTabbedPaneUI.getTabBounds(javax.swing.JTabbedPane, int)
Class TabbedPaneUI.getTabBounds(javax.swing.JTabbedPane, int)
getTabCount found in:
Class JTabbedPane.getTabCount()
Class TabSet.getTabCount()
getTabLabelShiftX found in:
Class BasicTabbedPaneUI.getTabLabelShiftX(int, int, boolean)
Class MetalTabbedPaneUI.getTabLabelShiftX(int, int, boolean)
getTabLabelShiftY found in:
Class BasicTabbedPaneUI.getTabLabelShiftY(int, int, boolean)
Class MetalTabbedPaneUI.getTabLabelShiftY(int, int, boolean)
getTable found in:
Class ByteLookupTable.getTable()
Class JPEGQTable.getTable()
Class JTableHeader.getTable()
Class LookupOp.getTable()
Class ShortLookupTable.getTable()
getTableCellEditorComponent found in:
Class DefaultCellEditor.getTableCellEditorComponent(javax.swing.JTable, java.lang.Object, boolean, int, int)
Interface TableCellEditor.getTableCellEditorComponent(javax.swing.JTable, java.lang.Object, boolean, int, int)
getTableCellRendererComponent found in:
Class DefaultTableCellRenderer.getTableCellRendererComponent(javax.swing.JTable, java.lang.Object, boolean, boolean, int, int)
Interface TableCellRenderer.getTableCellRendererComponent(javax.swing.JTable, java.lang.Object, boolean, boolean, int, int)
getTabRunCount found in:
Class BasicTabbedPaneUI.getTabRunCount(javax.swing.JTabbedPane)
Class JTabbedPane.getTabRunCount()
Class MultiTabbedPaneUI.getTabRunCount(javax.swing.JTabbedPane)
Class TabbedPaneUI.getTabRunCount(javax.swing.JTabbedPane)
getTabRunOverlay found in:
Class BasicTabbedPaneUI.getTabRunOverlay(int)
Class MetalTabbedPaneUI.getTabRunOverlay(int)
getTabSet found in:
Class ParagraphView.getTabSet()
Class StyleConstants.getTabSet(javax.swing.text.AttributeSet)
getTabSize found in:
Class JTextArea.getTabSize()
Class PlainView.getTabSize()
Class WrappedPlainView.getTabSize()
getTag found in:
Class HTML.getTag(java.lang.String)
Class Iterator.getTag()
getTags found in:
Class PropertyEditorSupport.getTags()
Interface PropertyEditor.getTags()
getTarget found in:
Class AccessibleRelation.getTarget()
Class HTMLFrameHyperlinkEvent.getTarget()
Interface Tie.getTarget()
getTargetActions found in:
Class DragSourceDragEvent.getTargetActions()
Class DropTargetContext.getTargetActions()
getTargetEncodings found in:
Class AudioSystem.getTargetEncodings(javax.sound.sampled.AudioFormat.Encoding)
Class FormatConversionProvider.getTargetEncodings()
getTargetFormats found in:
Class AudioSystem.getTargetFormats(javax.sound.sampled.AudioFormat.Encoding, javax.sound.sampled.AudioFormat)
Class FormatConversionProvider.getTargetFormats(javax.sound.sampled.AudioFormat.Encoding, javax.sound.sampled.AudioFormat)
getTargetLineInfo found in:
Class AudioSystem.getTargetLineInfo(javax.sound.sampled.Line.Info)
Interface Mixer.getTargetLineInfo()
getText found in:
Class AbstractButton.getText()
Class AbstractDocument.getText(int, int)
Class AbstractWriter.getText(javax.swing.text.Element)
Class BreakIterator.getText()
Class GlyphView.getText(int, int)
Class InputMethodEvent.getText()
Class JEditorPane.getText()
Class JLabel.getText()
Class JPasswordField.getText()
Class JTextComponent.getText(int, int)
Class Label.getText()
Class TextComponent.getText()
Interface Document.getText(int, int)
getTextFieldBorder found in:
Class BasicBorders.getTextFieldBorder()
Class MetalBorders.getTextFieldBorder()
getTextHighlightColor found in:
Class MetalLookAndFeel.getTextHighlightColor()
Class MetalTheme.getTextHighlightColor()
getTextLocation found in:
Class ActiveClient.getTextLocation(java.awt.font.TextHitInfo)
Interface InputMethodRequests.getTextLocation(java.awt.font.TextHitInfo)
getThreadGroup found in:
Class SecurityManager.getThreadGroup()
Class Thread.getThreadGroup()


GetThreadStatus found in:
Java(tm) Virtual Machine Debug Interface Reference
The Java Virtual Machine Profiler Interface (JVMPI)


getThumbSize found in:
Class BasicSliderUI.getThumbSize()
Class MetalSliderUI.getThumbSize()
getTickLength found in:
Class BasicSliderUI.getTickLength()
Class MetalSliderUI.getTickLength()
Class Sequence.getTickLength()
Interface Sequencer.getTickLength()
getTie found in:
Class Util.getTie(java.rmi.Remote)
Interface UtilDelegate.getTie(java.rmi.Remote)
getTile found in:
Class BufferedImage.getTile(int, int)
Interface RenderedImage.getTile(int, int)
getTileGridXOffset found in:
Class BufferedImage.getTileGridXOffset()
Interface RenderedImage.getTileGridXOffset()
getTileGridYOffset found in:
Class BufferedImage.getTileGridYOffset()
Interface RenderedImage.getTileGridYOffset()
getTileHeight found in:
Class BufferedImage.getTileHeight()
Interface RenderedImage.getTileHeight()
getTileWidth found in:
Class BufferedImage.getTileWidth()
Interface RenderedImage.getTileWidth()
getTime found in:
Class Calendar.getTime()
Class Date.getTime()
Class ZipEntry.getTime()
Interface CallableStatement.getTime(int)
Interface ResultSet.getTime(int)
getTimestamp found in:
Interface CallableStatement.getTimestamp(int)
Interface ResultSet.getTimestamp(int)
getTimeToLive found in:
Class DatagramSocketImpl.getTimeToLive()
Class MulticastSocket.getTimeToLive()
getTimeZone found in:
Class Calendar.getTimeZone()
Class DateFormat.getTimeZone()
Class TimeZone.getTimeZone(java.lang.String)


Getting Started with Java IDL found in:
Getting Started with Java IDL
Getting Started with Java IDL


getTitle found in:
Class Dialog.getTitle()
Class Frame.getTitle()
Class JInternalFrame.getTitle()
Class TitledBorder.getTitle()
getToggleButtonBorder found in:
Class BasicBorders.getToggleButtonBorder()
Class MetalBorders.getToggleButtonBorder()
getToolkit found in:
Class Component.getToolkit()
Class Window.getToolkit()
getToolTipText found in:
Class JComponent.getToolTipText()
Class JTabbedPane.getToolTipText(java.awt.event.MouseEvent)
Class JTable.getToolTipText(java.awt.event.MouseEvent)
Class JTableHeader.getToolTipText(java.awt.event.MouseEvent)
Class JTree.getToolTipText(java.awt.event.MouseEvent)
getTopInset found in:
Class AsyncBoxView.getTopInset()
Class CompositeView.getTopInset()


getTotalColumnWidth found in:
Class DefaultTableColumnModel.getTotalColumnWidth()
Interface TableColumnModel.getTotalColumnWidth()
getTotalIn found in:
Class Deflater.getTotalIn()
Class Inflater.getTotalIn()
getTotalOut found in:
Class Deflater.getTotalOut()
Class Inflater.getTotalOut()
getTransferable found in:
Class DragSourceContext.getTransferable()
Class DropTargetContext.getTransferable()
Class DropTargetDropEvent.getTransferable()
getTransferData found in:
Class StringSelection.getTransferData(java.awt.datatransfer.DataFlavor)
Class TransferableProxy.getTransferData(java.awt.datatransfer.DataFlavor)
Interface Transferable.getTransferData(java.awt.datatransfer.DataFlavor)
getTransferDataFlavors found in:
Class StringSelection.getTransferDataFlavors()
Class TransferableProxy.getTransferDataFlavors()
Interface Transferable.getTransferDataFlavors()
getTransferType found in:
Class ColorModel.getTransferType()
Class MultiPixelPackedSampleModel.getTransferType()
Class Raster.getTransferType()
Class SampleModel.getTransferType()
getTransform found in:
Class AffineTransformOp.getTransform()
Class Font.getTransform()
Class FontRenderContext.getTransform()
Class Graphics2D.getTransform()
Class RenderContext.getTransform()
Class TransformAttribute.getTransform()
getTransmitter found in:
Class MidiSystem.getTransmitter()
Interface MidiDevice.getTransmitter()
getTransparency found in:
Class Color.getTransparency()
Class ColorModel.getTransparency()
Class GradientPaint.getTransparency()
Class IndexColorModel.getTransparency()
Class TexturePaint.getTransparency()
Interface Transparency.getTransparency()
getTRC found in:
Class ICC_ProfileGray.getTRC()
Class ICC_ProfileRGB.getTRC(int)
getTreeCellEditorComponent found in:
Class DefaultCellEditor.getTreeCellEditorComponent(javax.swing.JTree, java.lang.Object, boolean, boolean, boolean, int)
Class DefaultTreeCellEditor.getTreeCellEditorComponent(javax.swing.JTree, java.lang.Object, boolean, boolean, boolean, int)
Interface TreeCellEditor.getTreeCellEditorComponent(javax.swing.JTree, java.lang.Object, boolean, boolean, boolean, int)
getTreeCellRendererComponent found in:
Class DefaultTreeCellRenderer.getTreeCellRendererComponent(javax.swing.JTree, java.lang.Object, boolean, boolean, boolean, int, boolean)
Interface TreeCellRenderer.getTreeCellRendererComponent(javax.swing.JTree, java.lang.Object, boolean, boolean, boolean, int, boolean)
getTreeLock found in:
Class Component.getTreeLock()
Class MenuComponent.getTreeLock()
getTriggerEvent found in:
Class DragGestureEvent.getTriggerEvent()
Class DragGestureRecognizer.getTriggerEvent()
getTTL found in:
Class DatagramSocketImpl.getTTL()
Class MulticastSocket.getTTL()
getType found in:
Class AccessibleJTableModelChange.getType()
Class AffineTransform.getType()
Class AttributeList.getType()
Class AudioFileFormat.getType()
Class BufferedImage.getType()
Class Certificate.getType()
Class CertificateFactory.getType()
Class Character.getType(char)
Class ColorSpace.getType()
Class Control.getType()
Class CRL.getType()
Class Cursor.getType()
Class DefaultDocumentEvent.getType()
Class Element.getType()
Class ElementSpec.getType()
Class Entity.getType()
Class Field.getType()
Class GlyphMetrics.getType()
Class GraphicsDevice.getType()
Class KeyStore.getType()
Class LineEvent.getType()
Class ListDataEvent.getType()
Class MetaMessage.getType()
Class MidiFileFormat.getType()
Class NamingEvent.getType()
Class ObjectStreamField.getType()
Class RefAddr.getType()
Class TableModelEvent.getType()
Interface AccessibleTableModelChange.getType()
Interface DocumentEvent.getType()
Interface ResultSet.getType()
getTypeDescription found in:
Class BasicFileView.getTypeDescription(java.io.File)
Class FileView.getTypeDescription(java.io.File)
Class JFileChooser.getTypeDescription(java.io.File)
getUI found in:
Class AbstractButton.getUI()
Class JColorChooser.getUI()
Class JComboBox.getUI()
Class JDesktopIcon.getUI()
Class JDesktopPane.getUI()
Class JFileChooser.getUI()
Class JInternalFrame.getUI()
Class JLabel.getUI()
Class JList.getUI()
Class JMenuBar.getUI()
Class JOptionPane.getUI()
Class JPopupMenu.getUI()
Class JProgressBar.getUI()
Class JRootPane.getUI()
Class JScrollBar.getUI()
Class JScrollPane.getUI()
Class JSeparator.getUI()
Class JSlider.getUI()
Class JSplitPane.getUI()
Class JTabbedPane.getUI()
Class JTable.getUI()
Class JTableHeader.getUI()
Class JTextComponent.getUI()
Class JToolBar.getUI()
Class JToolTip.getUI()
Class JTree.getUI()
Class JViewport.getUI()
Class UIDefaults.getUI(javax.swing.JComponent)
Class UIManager.getUI(javax.swing.JComponent)
getUIClassID found in:
Class JButton.getUIClassID()
Class JCheckBox.getUIClassID()
Class JCheckBoxMenuItem.getUIClassID()
Class JColorChooser.getUIClassID()
Class JComboBox.getUIClassID()
Class JComponent.getUIClassID()
Class JDesktopIcon.getUIClassID()
Class JDesktopPane.getUIClassID()
Class JEditorPane.getUIClassID()
Class JFileChooser.getUIClassID()
Class JInternalFrame.getUIClassID()
Class JLabel.getUIClassID()
Class JList.getUIClassID()
Class JMenu.getUIClassID()
Class JMenuBar.getUIClassID()
Class JMenuItem.getUIClassID()
Class JOptionPane.getUIClassID()
Class JPanel.getUIClassID()
Class JPasswordField.getUIClassID()
Class JPopupMenu.getUIClassID()
Class JProgressBar.getUIClassID()
Class JRadioButton.getUIClassID()
Class JRadioButtonMenuItem.getUIClassID()
Class JRootPane.getUIClassID()
Class JScrollBar.getUIClassID()
Class JScrollPane.getUIClassID()
Class JSeparator.getUIClassID()
Class JSlider.getUIClassID()
Class JSplitPane.getUIClassID()
Class JTabbedPane.getUIClassID()
Class JTable.getUIClassID()
Class JTableHeader.getUIClassID()
Class JTextArea.getUIClassID()
Class JTextField.getUIClassID()
Class JTextPane.getUIClassID()
Class JToggleButton.getUIClassID()
Class JToolBar.getUIClassID()
Class JToolTip.getUIClassID()
Class JTree.getUIClassID()
Class JViewport.getUIClassID()
Class Separator.getUIClassID()
Class Separator.getUIClassID()
getUIs found in:
Class MultiButtonUI.getUIs()
Class MultiColorChooserUI.getUIs()
Class MultiComboBoxUI.getUIs()
Class MultiDesktopIconUI.getUIs()
Class MultiDesktopPaneUI.getUIs()
Class MultiFileChooserUI.getUIs()
Class MultiInternalFrameUI.getUIs()
Class MultiLabelUI.getUIs()
Class MultiListUI.getUIs()
Class MultiMenuBarUI.getUIs()
Class MultiMenuItemUI.getUIs()
Class MultiOptionPaneUI.getUIs()
Class MultiPanelUI.getUIs()
Class MultiPopupMenuUI.getUIs()
Class MultiProgressBarUI.getUIs()
Class MultiScrollBarUI.getUIs()
Class MultiScrollPaneUI.getUIs()
Class MultiSeparatorUI.getUIs()
Class MultiSliderUI.getUIs()
Class MultiSplitPaneUI.getUIs()
Class MultiTabbedPaneUI.getUIs()
Class MultiTableHeaderUI.getUIs()
Class MultiTableUI.getUIs()
Class MultiTextUI.getUIs()
Class MultiToolBarUI.getUIs()
Class MultiToolTipUI.getUIs()
Class MultiTreeUI.getUIs()
Class MultiViewportUI.getUIs()
getUndoPresentationName found in:
Class AbstractUndoableEdit.getUndoPresentationName()
Class CompoundEdit.getUndoPresentationName()
Class DefaultDocumentEvent.getUndoPresentationName()
Class UndoManager.getUndoPresentationName()
Interface UndoableEdit.getUndoPresentationName()
getUnitIncrement found in:
Class JScrollBar.getUnitIncrement(int)
Class Scrollbar.getUnitIncrement()
Class ScrollBar.getUnitIncrement(int)
Interface Adjustable.getUnitIncrement()
getURL found in:
Class HyperlinkEvent.getURL()
Class URLConnection.getURL()
Interface DatabaseMetaData.getURL()
getUserName found in:
Class PasswordAuthentication.getUserName()
Class PrinterJob.getUserName()
Interface DatabaseMetaData.getUserName()
getUserTextColor found in:
Class MetalLookAndFeel.getUserTextColor()
Class MetalTheme.getUserTextColor()
getUserTextFont found in:
Class DefaultMetalTheme.getUserTextFont()
Class MetalLookAndFeel.getUserTextFont()
Class MetalTheme.getUserTextFont()
getValue found in:
Class AbstractAction.getValue(java.lang.String)
Class AdjustmentEvent.getValue()
Class Adler32.getValue()
Class Annotation.getValue()
Class AttributeList.getValue()
Class Attributes.getValue(java.lang.String)
Class BooleanControl.getValue()
Class CRC32.getValue()
Class DefaultBoundedRangeModel.getValue()
Class EnumControl.getValue()
Class FeatureDescriptor.getValue(java.lang.String)
Class FloatControl.getValue()
Class JOptionPane.getValue()
Class JProgressBar.getValue()
Class JScrollBar.getValue()
Class JSlider.getValue()
Class Lease.getValue()
Class Option.getValue()
Class PropertyEditorSupport.getValue()
Class Scrollbar.getValue()
Interface Action.getValue(java.lang.String)
Interface Adjustable.getValue()
Interface ArrayReference.getValue(int)
Interface BoundedRangeModel.getValue()
Interface Checksum.getValue()
Interface Entry.getValue()
Interface ObjectReference.getValue(com.sun.jdi.Field)
Interface PropertyEditor.getValue()
Interface ReferenceType.getValue(com.sun.jdi.Field)
Interface StackFrame.getValue(com.sun.jdi.LocalVariable)
getValueAt found in:
Class DefaultTableModel.getValueAt(int, int)
Class JTable.getValueAt(int, int)
Interface TableModel.getValueAt(int, int)
getValueIsAdjusting found in:
Class DefaultBoundedRangeModel.getValueIsAdjusting()
Class DefaultListSelectionModel.getValueIsAdjusting()
Class JList.getValueIsAdjusting()
Class JScrollBar.getValueIsAdjusting()
Class JSlider.getValueIsAdjusting()
Class ListSelectionEvent.getValueIsAdjusting()
Interface BoundedRangeModel.getValueIsAdjusting()
Interface ListSelectionModel.getValueIsAdjusting()
getValues found in:
Class AttributeList.getValues()
Class EnumControl.getValues()
Interface ArrayReference.getValues()
Interface ObjectReference.getValues(java.util.List)
Interface ReferenceType.getValues(java.util.List)
Interface StackFrame.getValues(java.util.List)
getVendor found in:
Class Info.getVendor()
Class Info.getVendor()
Interface Soundbank.getVendor()
getVersion found in:
Class Info.getVersion()
Class Info.getVersion()
Class Provider.getVersion()
Class X509Certificate.getVersion()
Class X509CRL.getVersion()
Interface OpenType.getVersion()
Interface Soundbank.getVersion()


getVerticalAlignment found in:
Class AbstractButton.getVerticalAlignment()
Class JLabel.getVerticalAlignment()
getVerticalScrollBar found in:
Class JScrollPane.getVerticalScrollBar()
Class ScrollPaneLayout.getVerticalScrollBar()
getVerticalScrollBarPolicy found in:
Class JScrollPane.getVerticalScrollBarPolicy()
Class ScrollPaneLayout.getVerticalScrollBarPolicy()
getVerticalTextPosition found in:
Class AbstractButton.getVerticalTextPosition()
Class JLabel.getVerticalTextPosition()
getVgap found in:
Class BorderLayout.getVgap()
Class CardLayout.getVgap()
Class FlowLayout.getVgap()
Class GridLayout.getVgap()
getView found in:
Class AsyncBoxView.getView(int)
Class CompositeView.getView(int)
Class JViewport.getView()
Class View.getView(int)
getViewAtPoint found in:
Class BoxView.getViewAtPoint(int, int, java.awt.Rectangle)
Class CompositeView.getViewAtPoint(int, int, java.awt.Rectangle)
getViewAtPosition found in:
Class CompositeView.getViewAtPosition(int, java.awt.Rectangle)
Class TableRow.getViewAtPosition(int, java.awt.Rectangle)
Class TableView.getViewAtPosition(int, java.awt.Rectangle)
getViewCount found in:
Class AsyncBoxView.getViewCount()
Class CompositeView.getViewCount()
Class View.getViewCount()
getViewFactory found in:
Class DefaultEditorKit.getViewFactory()
Class EditorKit.getViewFactory()
Class HTMLEditorKit.getViewFactory()
Class StyledEditorKit.getViewFactory()
Class View.getViewFactory()
getViewIndex found in:
Class AsyncBoxView.getViewIndex(int, javax.swing.text.Position.Bias)
Class CompositeView.getViewIndex(int, javax.swing.text.Position.Bias)
Class View.getViewIndex(int, javax.swing.text.Position.Bias)
getViewIndexAtPosition found in:
Class AsyncBoxView.getViewIndexAtPosition(int, javax.swing.text.Position.Bias)
Class CompositeView.getViewIndexAtPosition(int)
Class FlowView.getViewIndexAtPosition(int)
Class ZoneView.getViewIndexAtPosition(int)
getViewport found in:
Class JScrollPane.getViewport()
Class ScrollPaneLayout.getViewport()
getViewportBorderBounds found in:
Class JScrollPane.getViewportBorderBounds()
Class ScrollPaneLayout.getViewportBorderBounds(javax.swing.JScrollPane)
getVisibleAmount found in:
Class JScrollBar.getVisibleAmount()
Class Scrollbar.getVisibleAmount()
Interface Adjustable.getVisibleAmount()
getVisibleChildCount found in:
Class AbstractLayoutCache.getVisibleChildCount(javax.swing.tree.TreePath)
Class FixedHeightLayoutCache.getVisibleChildCount(javax.swing.tree.TreePath)
Class VariableHeightLayoutCache.getVisibleChildCount(javax.swing.tree.TreePath)
getVisiblePathsFrom found in:
Class AbstractLayoutCache.getVisiblePathsFrom(javax.swing.tree.TreePath)
Class FixedHeightLayoutCache.getVisiblePathsFrom(javax.swing.tree.TreePath)
Class VariableHeightLayoutCache.getVisiblePathsFrom(javax.swing.tree.TreePath)
getVisibleRowCount found in:
Class JList.getVisibleRowCount()
Class JTree.getVisibleRowCount()
getWarnings found in:
Interface Connection.getWarnings()
Interface ResultSet.getWarnings()
Interface Statement.getWarnings()
getWarningString found in:
Class JInternalFrame.getWarningString()
Class Window.getWarningString()
getWhite found in:
Class MetalLookAndFeel.getWhite()
Class MetalTheme.getWhite()
getWidth found in:
Class BoxView.getWidth()
Class BufferedImage.getWidth()
Class Component.getWidth()
Class Dimension.getWidth()
Class Dimension2D.getWidth()
Class Double.getWidth()
Class Double.getWidth()
Class Double.getWidth()
Class Double.getWidth()
Class Float.getWidth()
Class Float.getWidth()
Class Float.getWidth()
Class Float.getWidth()
Class Image.getWidth(java.awt.image.ImageObserver)
Class JComponent.getWidth()
Class Kernel.getWidth()
Class PageFormat.getWidth()
Class Paper.getWidth()
Class PixelGrabber.getWidth()
Class Raster.getWidth()
Class Rectangle.getWidth()
Class RectangularShape.getWidth()
Class RenderableImageOp.getWidth()
Class SampleModel.getWidth()
Class TableColumn.getWidth()
Interface JPEGDecodeParam.getWidth()
Interface RenderableImage.getWidth()
Interface RenderedImage.getWidth()
getWindingRule found in:
Class FlatteningPathIterator.getWindingRule()
Class GeneralPath.getWindingRule()
Interface PathIterator.getWindingRule()
getWindowBackground found in:
Class MetalLookAndFeel.getWindowBackground()
Class MetalTheme.getWindowBackground()
getWindowTitleBackground found in:
Class MetalLookAndFeel.getWindowTitleBackground()
Class MetalTheme.getWindowTitleBackground()
getWindowTitleFont found in:
Class DefaultMetalTheme.getWindowTitleFont()
Class MetalLookAndFeel.getWindowTitleFont()
Class MetalTheme.getWindowTitleFont()
getWindowTitleForeground found in:
Class MetalLookAndFeel.getWindowTitleForeground()
Class MetalTheme.getWindowTitleForeground()
getWindowTitleInactiveBackground found in:
Class MetalLookAndFeel.getWindowTitleInactiveBackground()
Class MetalTheme.getWindowTitleInactiveBackground()
getWindowTitleInactiveForeground found in:
Class MetalLookAndFeel.getWindowTitleInactiveForeground()
Class MetalTheme.getWindowTitleInactiveForeground()
getWritableTile found in:
Class BufferedImage.getWritableTile(int, int)
Interface WritableRenderedImage.getWritableTile(int, int)
getWritableTileIndices found in:
Class BufferedImage.getWritableTileIndices()
Interface WritableRenderedImage.getWritableTileIndices()
getX found in:
Class Component.getX()
Class Double.getX()
Class Double.getX()
Class Double.getX()
Class Double.getX()
Class Double.getX()
Class DSAPrivateKeySpec.getX()
Class Float.getX()
Class Float.getX()
Class Float.getX()
Class Float.getX()
Class Float.getX()
Class JComponent.getX()
Class MouseEvent.getX()
Class Point.getX()
Class Point2D.getX()
Class Rectangle.getX()
Class RectangularShape.getX()
Interface DSAPrivateKey.getX()
getX1 found in:
Class CubicCurve2D.getX1()
Class Double.getX1()
Class Double.getX1()
Class Double.getX1()
Class Float.getX1()
Class Float.getX1()
Class Float.getX1()
Class Line2D.getX1()
Class QuadCurve2D.getX1()
getX2 found in:
Class CubicCurve2D.getX2()
Class Double.getX2()
Class Double.getX2()
Class Double.getX2()
Class Float.getX2()
Class Float.getX2()
Class Float.getX2()
Class Line2D.getX2()
Class QuadCurve2D.getX2()
getY found in:
Class Component.getY()
Class Double.getY()
Class Double.getY()
Class Double.getY()
Class Double.getY()
Class Double.getY()
Class DSAPublicKeySpec.getY()
Class Float.getY()
Class Float.getY()
Class Float.getY()
Class Float.getY()
Class Float.getY()
Class JComponent.getY()
Class MouseEvent.getY()
Class Point.getY()
Class Point2D.getY()
Class Rectangle.getY()
Class RectangularShape.getY()
Interface DSAPublicKey.getY()
getY1 found in:
Class CubicCurve2D.getY1()
Class Double.getY1()
Class Double.getY1()
Class Double.getY1()
Class Float.getY1()
Class Float.getY1()
Class Float.getY1()
Class Line2D.getY1()
Class QuadCurve2D.getY1()
getY2 found in:
Class CubicCurve2D.getY2()
Class Double.getY2()
Class Double.getY2()
Class Double.getY2()
Class Float.getY2()
Class Float.getY2()
Class Float.getY2()
Class Line2D.getY2()
Class QuadCurve2D.getY2()
getYear found in:
Class Date.getYear()
Class Time.getYear()
get_elements found in:
Interface DynArray.get_elements()
Interface DynSequence.get_elements()
get_id found in:
Class StringValueHelper.get_id()
Class WStringValueHelper.get_id()
Interface BoxedValueHelper.get_id()
get_members found in:
Interface DynStruct.get_members()
Interface DynValue.get_members()


group found in:
Class DefaultButtonModel.group
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


guide found in:
Java(TM) 2 SDK Documentation
Java(TM) 2 SDK Documentation


handleComment found in:
Class DocumentParser.handleComment(char[])
Class HTMLReader.handleComment(char[], int)
Class Parser.handleComment(char[])
Class ParserCallback.handleComment(char[], int)
handleEmptyTag found in:
Class DocumentParser.handleEmptyTag(javax.swing.text.html.parser.TagElement)
Class Parser.handleEmptyTag(javax.swing.text.html.parser.TagElement)
handleEndOfLineString found in:
Class HTMLReader.handleEndOfLineString(java.lang.String)
Class ParserCallback.handleEndOfLineString(java.lang.String)
handleEndTag found in:
Class DocumentParser.handleEndTag(javax.swing.text.html.parser.TagElement)
Class HTMLReader.handleEndTag(javax.swing.text.html.HTML.Tag, int)
Class Parser.handleEndTag(javax.swing.text.html.parser.TagElement)
Class ParserCallback.handleEndTag(javax.swing.text.html.HTML.Tag, int)
handleError found in:
Class DocumentParser.handleError(int, java.lang.String)
Class Parser.handleError(int, java.lang.String)
Class ParserCallback.handleError(java.lang.String, int)
handleGetObject found in:
Class ListResourceBundle.handleGetObject(java.lang.String)
Class PropertyResourceBundle.handleGetObject(java.lang.String)
Class ResourceBundle.handleGetObject(java.lang.String)
handleSimpleTag found in:
Class HTMLReader.handleSimpleTag(javax.swing.text.html.HTML.Tag, javax.swing.text.MutableAttributeSet, int)
Class ParserCallback.handleSimpleTag(javax.swing.text.html.HTML.Tag, javax.swing.text.MutableAttributeSet, int)
handleStartTag found in:
Class DocumentParser.handleStartTag(javax.swing.text.html.parser.TagElement)
Class HTMLReader.handleStartTag(javax.swing.text.html.HTML.Tag, javax.swing.text.MutableAttributeSet, int)
Class Parser.handleStartTag(javax.swing.text.html.parser.TagElement)
Class ParserCallback.handleStartTag(javax.swing.text.html.HTML.Tag, javax.swing.text.MutableAttributeSet, int)
handleText found in:
Class DocumentParser.handleText(char[])
Class HTMLReader.handleText(char[], int)
Class Parser.handleText(char[])
Class ParserCallback.handleText(char[], int)


HAND_CURSOR found in:
Class Cursor.HAND_CURSOR
Class Frame.HAND_CURSOR
HANGING_BASELINE found in:
Class Font.HANGING_BASELINE
Class GraphicAttribute.HANGING_BASELINE


hasFocus found in:
Class BasicComboBoxUI.hasFocus
Class Component.hasFocus()
Class DefaultTreeCellRenderer.hasFocus
Class JComponent.hasFocus()
hashCode found in:
Class AbstractList.hashCode()
Class AbstractMap.hashCode()
Class AbstractSet.hashCode()
Class AccessControlContext.hashCode()
Class ActivationDesc.hashCode()
Class ActivationGroupDesc.hashCode()
Class ActivationGroupID.hashCode()
Class ActivationID.hashCode()
Class AffineTransform.hashCode()
Class AllPermission.hashCode()
Class AlphaComposite.hashCode()
Class Attribute.hashCode()
Class Attributes.hashCode()
Class BasicAttribute.hashCode()
Class BasicAttributes.hashCode()
Class BasicPermission.hashCode()
Class BasicStroke.hashCode()
Class BigDecimal.hashCode()
Class BigInteger.hashCode()
Class BinaryRefAddr.hashCode()
Class BitSet.hashCode()
Class Boolean.hashCode()
Class Byte.hashCode()
Class Calendar.hashCode()
Class Certificate.hashCode()
Class Character.hashCode()
Class ChoiceFormat.hashCode()
Class CodeSource.hashCode()
Class CollationKey.hashCode()
Class Collator.hashCode()
Class Color.hashCode()
Class ColorModel.hashCode()
Class ColorType.hashCode()
Class CommandEnvironment.hashCode()
Class CompositeName.hashCode()
Class CompoundName.hashCode()
Class Constructor.hashCode()
Class DataFlavor.hashCode()
Class Date.hashCode()
Class DateFormat.hashCode()
Class DateFormatSymbols.hashCode()
Class DecimalFormat.hashCode()
Class DecimalFormatSymbols.hashCode()
Class DefaultSelectionType.hashCode()
Class Delegate.hashCode(org.omg.CORBA.Object)
Class DestinationType.hashCode()
Class DialogType.hashCode()
Class Dimension.hashCode()
Class Double.hashCode()
Class Encoding.hashCode()
Class Field.hashCode()
Class FieldPosition.hashCode()
Class File.hashCode()
Class FilePermission.hashCode()
Class Float.hashCode()
Class Font.hashCode()
Class GregorianCalendar.hashCode()
Class Hashtable.hashCode()
Class Identity.hashCode()
Class ImageGraphicAttribute.hashCode()
Class InetAddress.hashCode()
Class Info.hashCode()
Class Info.hashCode()
Class Info.hashCode()
Class Insets.hashCode()
Class Integer.hashCode()
Class JobAttributes.hashCode()
Class Key.hashCode()
Class KeyStroke.hashCode()
Class Locale.hashCode()
Class Long.hashCode()
Class Manifest.hashCode()
Class MarshalledObject.hashCode()
Class MediaType.hashCode()
Class MenuShortcut.hashCode()
Class MessageFormat.hashCode()
Class Method.hashCode()
Class MultipleDocumentHandlingType.hashCode()
Class Name.hashCode()
Class NumberFormat.hashCode()
Class Object.hashCode()
Class ObjectImpl.hashCode()
Class ObjID.hashCode()
Class OrientationRequestedType.hashCode()
Class OriginType.hashCode()
Class Package.hashCode()
Class PageAttributes.hashCode()
Class ParsePosition.hashCode()
Class Permission.hashCode()
Class Point2D.hashCode()
Class PrintQualityType.hashCode()
Class PropertyPermission.hashCode()
Class Rectangle2D.hashCode()
Class RefAddr.hashCode()
Class Reference.hashCode()
Class RemoteObject.hashCode()
Class RenderingHints.hashCode()
Class ReverbType.hashCode()
Class RuleBasedCollator.hashCode()
Class ShapeGraphicAttribute.hashCode()
Class Short.hashCode()
Class SidesType.hashCode()
Class SimpleAttributeSet.hashCode()
Class SimpleDateFormat.hashCode()
Class SimpleTimeZone.hashCode()
Class SmallAttributeSet.hashCode()
Class SocketPermission.hashCode()
Class String.hashCode()
Class StringCharacterIterator.hashCode()
Class Stub.hashCode()
Class Subset.hashCode()
Class SyncMode.hashCode()
Class TabStop.hashCode()
Class TextHitInfo.hashCode()
Class TextLayout.hashCode()
Class TreePath.hashCode()
Class Type.hashCode()
Class Type.hashCode()
Class Type.hashCode()
Class UID.hashCode()
Class UnknownTag.hashCode()
Class UnresolvedPermission.hashCode()
Class URL.hashCode()
Class URLStreamHandler.hashCode(java.net.URL)
Class Vector.hashCode()
Class VMID.hashCode()
Class X509CRL.hashCode()
Class X509CRLEntry.hashCode()
Class ZipEntry.hashCode()
Interface BooleanValue.hashCode()
Interface ByteValue.hashCode()
Interface CharValue.hashCode()
Interface Collection.hashCode()
Interface DoubleValue.hashCode()
Interface Entry.hashCode()
Interface Field.hashCode()
Interface FloatValue.hashCode()
Interface IntegerValue.hashCode()
Interface List.hashCode()
Interface LocalVariable.hashCode()
Interface Location.hashCode()
Interface LongValue.hashCode()
Interface Map.hashCode()
Interface Method.hashCode()
Interface ObjectReference.hashCode()
Interface Principal.hashCode()
Interface ReferenceType.hashCode()
Interface Set.hashCode()
Interface ShortValue.hashCode()
Interface StubDelegate.hashCode(javax.rmi.CORBA.Stub)
Interface VoidValue.hashCode()


hasListeners found in:
Class PropertyChangeSupport.hasListeners(java.lang.String)
Class SwingPropertyChangeSupport.hasListeners(java.lang.String)
Class VetoableChangeSupport.hasListeners(java.lang.String)
hasMoreElements found in:
Class StringTokenizer.hasMoreElements()
Interface Enumeration.hasMoreElements()
hasNext found in:
Class BCSIterator.hasNext()
Interface Iterator.hasNext()
Interface ListIterator.hasNext()
hasSameRules found in:
Class SimpleTimeZone.hasSameRules(java.util.TimeZone)
Class TimeZone.hasSameRules(java.util.TimeZone)
hasService found in:
Class BeanContextServicesSupport.hasService(java.lang.Class)
Interface BeanContextServices.hasService(java.lang.Class)
hasTileWriters found in:
Class BufferedImage.hasTileWriters()
Interface WritableRenderedImage.hasTileWriters()
hasUniformLineMetrics found in:
Class Font.hasUniformLineMetrics()
Class FontMetrics.hasUniformLineMetrics()


header found in:
Class BasicTableHeaderUI.header
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


headMap found in:
Class TreeMap.headMap(java.lang.Object)
Interface SortedMap.headMap(java.lang.Object)


headSet found in:
Class TreeSet.headSet(java.lang.Object)
Interface SortedSet.headSet(java.lang.Object)


height found in:
Class Dimension.height
Class Double.height
Class Double.height
Class Double.height
Class Double.height
Class Float.height
Class Float.height
Class Float.height
Class Float.height
Class Raster.height
Class Rectangle.height
Class SampleModel.height


HEIGHT found in:
Class Attribute.HEIGHT
Class Attribute.HEIGHT
Interface ImageObserver.HEIGHT


hello found in:
Developing a Client Applet
Developing a Client Application


help found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
help-doc.html found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
helpfile found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


hide found in:
Class BasicComboPopup.hide()
Class Component.hide()
Class Dialog.hide()
Class JComponent.hide()
Class Window.hide()
Interface ComboPopup.hide()


Hierarchy found in:
Class Hierarchy
Class Hierarchy
Class Hierarchy
Class Hierarchy
Class Hierarchy


hierarchyChanged found in:
Class AWTEventMulticaster.hierarchyChanged(java.awt.event.HierarchyEvent)
Interface HierarchyListener.hierarchyChanged(java.awt.event.HierarchyEvent)


highlight found in:
Class BasicSeparatorUI.highlight
Class BasicTabbedPaneUI.highlight
Class ButtonBorder.highlight
Class EtchedBorder.highlight
Class FieldBorder.highlight
Class SplitPaneBorder.highlight


HORIZONTAL found in:
Class AccessibleState.HORIZONTAL
Class GridBagConstraints.HORIZONTAL
Class Scrollbar.HORIZONTAL
Interface Adjustable.HORIZONTAL
Interface SwingConstants.HORIZONTAL


howaclassmustbereferenced found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


HTML found in:
Class HTML
Class Tag.HTML


html found in:
Class DTD.html
Class InsertHTMLTextAction.html
Developing a Client Applet


htmlframes found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


I-Index found in:
I-Index
I-Index


icon found in:
Accessibility - New Features
Class BasicRadioButtonUI.icon
Class JOptionPane.icon


IconAttribute found in:
Class CharacterConstants.IconAttribute
Class StyleConstants.IconAttribute


ICONIFIED found in:
Class AccessibleState.ICONIFIED
Class Frame.ICONIFIED


iconifyFrame found in:
Class BasicInternalFrameUI.iconifyFrame(javax.swing.JInternalFrame)
Class DefaultDesktopManager.iconifyFrame(javax.swing.JInternalFrame)
Interface DesktopManager.iconifyFrame(javax.swing.JInternalFrame)


ID found in:
Class Attribute.ID
Interface DTDConstants.ID


id found in:
Class AlreadyBoundHelper.id()
Class AnySeqHelper.id()
Class AWTEvent.id
Class BindingHelper.id()
Class BindingIteratorHelper.id()
Class BindingListHelper.id()
Class BindingTypeHelper.id()
Class BooleanSeqHelper.id()
Class CannotProceedHelper.id()
Class CharSeqHelper.id()
Class CompletionStatusHelper.id()
Class CurrentHelper.id()
Class DefinitionKindHelper.id()
Class DoubleSeqHelper.id()
Class Event.id
Class FieldNameHelper.id()
Class FloatSeqHelper.id()
Class IdentifierHelper.id()
Class IDLTypeHelper.id()
Class InvalidNameHelper.id()
Class IstringHelper.id()
Class LongLongSeqHelper.id()
Class LongSeqHelper.id()
Class NameComponent.id
Class NameComponentHelper.id()
Class NameHelper.id()
Class NameValuePair.id
Class NameValuePairHelper.id()
Class NamingContextHelper.id()
Class NotEmptyHelper.id()
Class NotFoundHelper.id()
Class NotFoundReasonHelper.id()
Class ObjectHelper.id()
Class OctetSeqHelper.id()
Class PolicyHelper.id()
Class PolicyListHelper.id()
Class PolicyTypeHelper.id()
Class RepositoryIdHelper.id()
Class ServiceDetailHelper.id()
Class ServiceInformationHelper.id()
Class SetOverrideTypeHelper.id()
Class ShortSeqHelper.id()
Class StringValueHelper.id()
Class StructMemberHelper.id()
Class TypeCode.id()
Class ULongLongSeqHelper.id()
Class ULongSeqHelper.id()
Class UnionMemberHelper.id()
Class UShortSeqHelper.id()
Class ValueBaseHelper.id()
Class ValueMember.id
Class ValueMemberHelper.id()
Class VersionSpecHelper.id()
Class VisibilityHelper.id()
Class WCharSeqHelper.id()
Class WStringValueHelper.id()


identitydbCmd found in:
keytool-Key and Certificate Management Tool
keytool-Key and Certificate Management Tool


IDL found in:
Example 2
Example 3
Example 4
Glossary
The "Hello World" Example


idl found in:
CORBA and JavaTM technologies
SDK Development Tools


idlj found in:
Glossary
RMI-IIOP Programmer's Guide


IEEEremainder found in:
Class Math.IEEEremainder(double, double)
Class StrictMath.IEEEremainder(double, double)


iiop found in:
New Features
rmic - The Java RMI Stub Compiler
rmic - The Java RMI Stub Compiler


imageComplete found in:
Class BufferedImageFilter.imageComplete(int)
Class ImageFilter.imageComplete(int)
Class PixelGrabber.imageComplete(int)
Interface ImageConsumer.imageComplete(int)


imageUpdate found in:
Class AbstractButton.imageUpdate(java.awt.Image, int, int, int, int, int)
Class Component.imageUpdate(java.awt.Image, int, int, int, int, int)
Class JLabel.imageUpdate(java.awt.Image, int, int, int, int, int)
Interface ImageObserver.imageUpdate(java.awt.Image, int, int, int, int, int)


IMPLIED found in:
Class ParserCallback.IMPLIED
Class Tag.IMPLIED
Interface DTDConstants.IMPLIED


implies found in:
Class AllPermission.implies(java.security.Permission)
Class BasicPermission.implies(java.security.Permission)
Class CodeSource.implies(java.security.CodeSource)
Class FilePermission.implies(java.security.Permission)
Class Permission.implies(java.security.Permission)
Class PermissionCollection.implies(java.security.Permission)
Class Permissions.implies(java.security.Permission)
Class PropertyPermission.implies(java.security.Permission)
Class ProtectionDomain.implies(java.security.Permission)
Class SocketPermission.implies(java.security.Permission)
Class UnresolvedPermission.implies(java.security.Permission)
implsearch found in:
Command Line Changes
Command Line Changes
import found in:
Developing a Client Applet
Developing a Client Application
Developing the Hello World Server


ImportCertificate found in:
keytool-Key and Certificate Management Tool
keytool-Key and Certificate Management Tool


importCmd found in:
keytool-Key and Certificate Management Tool
keytool-Key and Certificate Management Tool


in found in:
Class FileDescriptor.in
Class FilterInputStream.in
Class FilterReader.in
Class PipedInputStream.in
Class System.in
inactiveGroup found in:
Class ActivationGroup.inactiveGroup()
Interface ActivationMonitor.inactiveGroup(java.rmi.activation.ActivationGroupID, long)
inactiveObject found in:
Class ActivationGroup.inactiveObject(java.rmi.activation.ActivationID)
Interface ActivationMonitor.inactiveObject(java.rmi.activation.ActivationID)


inDaylightTime found in:
Class SimpleTimeZone.inDaylightTime(java.util.Date)
Class TimeZone.inDaylightTime(java.util.Date)


Index found in:
Index
Index
Index
Index
Index


Info found in:
Class Info
Class Info
Class Info
Class Info
Class Info


info found in:
Class SystemColor.info
Writing the IDL file
information found in:
Developing a Client Applet
Developing a Client Application
Developing the Hello World Server
Using Stringified Object References


inheritingcomments found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
init found in:
Class AbstractButton.init(java.lang.String, javax.swing.Icon)
Class AlgorithmParameterGenerator.init(int)
Class AlgorithmParameters.init(java.security.spec.AlgorithmParameterSpec)
Class Applet.init()
Class InitialContext.init(java.util.Hashtable)
Class JMenuItem.init(java.lang.String, javax.swing.Icon)
Class ORB.init()
Class StateEdit.init(javax.swing.undo.StateEditable, java.lang.String)
Developing a Client Applet
initClassDefaults found in:
Class BasicLookAndFeel.initClassDefaults(javax.swing.UIDefaults)
Class MetalLookAndFeel.initClassDefaults(javax.swing.UIDefaults)
initComponentDefaults found in:
Class BasicLookAndFeel.initComponentDefaults(javax.swing.UIDefaults)
Class MetalLookAndFeel.initComponentDefaults(javax.swing.UIDefaults)


initialize found in:
Class BeanContextServicesSupport.initialize()
Class BeanContextSupport.initialize()
Class KeyPairGenerator.initialize(int)
Class KeyPairGeneratorSpi.initialize(int, java.security.SecureRandom)
Class LookAndFeel.initialize()
Interface AppletInitializer.initialize(java.applet.Applet, java.beans.beancontext.BeanContext)
Interface DSAKeyPairGenerator.initialize(java.security.interfaces.DSAParams, java.security.SecureRandom)
initializeBeanContextResources found in:
Class BeanContextChildSupport.initializeBeanContextResources()
Class BeanContextServicesSupport.initializeBeanContextResources()
initializeLocalVars found in:
Class JTable.initializeLocalVars()
Class JTableHeader.initializeLocalVars()


initialValue found in:
Class JOptionPane.initialValue
Class ThreadLocal.initialValue()


initSystemColorDefaults found in:
Class BasicLookAndFeel.initSystemColorDefaults(javax.swing.UIDefaults)
Class MetalLookAndFeel.initSystemColorDefaults(javax.swing.UIDefaults)
inlineTags found in:
Interface Doc.inlineTags()
Interface Tag.inlineTags()


inputMethodTextChanged found in:
Class ActiveClient.inputMethodTextChanged(java.awt.event.InputMethodEvent)
Class AWTEventMulticaster.inputMethodTextChanged(java.awt.event.InputMethodEvent)
Interface InputMethodListener.inputMethodTextChanged(java.awt.event.InputMethodEvent)


InputStream found in:
Class InputStream
Class InputStream
Class InputStream


INSERT found in:
Class Event.INSERT
Class EventType.INSERT
Class TableModelEvent.INSERT
Interface AccessibleTableModelChange.INSERT


insert found in:
Class AlreadyBoundHelper.insert(org.omg.CORBA.Any, org.omg.CosNaming.NamingContextPackage.AlreadyBound)
Class AnySeqHelper.insert(org.omg.CORBA.Any, org.omg.CORBA.Any[])
Class BindingHelper.insert(org.omg.CORBA.Any, org.omg.CosNaming.Binding)
Class BindingIteratorHelper.insert(org.omg.CORBA.Any, org.omg.CosNaming.BindingIterator)
Class BindingListHelper.insert(org.omg.CORBA.Any, org.omg.CosNaming.Binding[])
Class BindingTypeHelper.insert(org.omg.CORBA.Any, org.omg.CosNaming.BindingType)
Class BooleanSeqHelper.insert(org.omg.CORBA.Any, boolean[])
Class CannotProceedHelper.insert(org.omg.CORBA.Any, org.omg.CosNaming.NamingContextPackage.CannotProceed)
Class CharSeqHelper.insert(org.omg.CORBA.Any, char[])
Class Choice.insert(java.lang.String, int)
Class CompletionStatusHelper.insert(org.omg.CORBA.Any, org.omg.CORBA.CompletionStatus)
Class CurrentHelper.insert(org.omg.CORBA.Any, org.omg.CORBA.Current)
Class DefaultMutableTreeNode.insert(javax.swing.tree.MutableTreeNode, int)
Class DefaultStyledDocument.insert(int, javax.swing.text.DefaultStyledDocument.ElementSpec[])
Class DefinitionKindHelper.insert(org.omg.CORBA.Any, org.omg.CORBA.DefinitionKind)
Class DoubleSeqHelper.insert(org.omg.CORBA.Any, double[])
Class ElementBuffer.insert(int, int, javax.swing.text.DefaultStyledDocument.ElementSpec[], javax.swing.text.AbstractDocument.DefaultDocumentEvent)
Class FieldNameHelper.insert(org.omg.CORBA.Any, java.lang.String)
Class FloatSeqHelper.insert(org.omg.CORBA.Any, float[])
Class HTMLDocument.insert(int, javax.swing.text.DefaultStyledDocument.ElementSpec[])
Class IdentifierHelper.insert(org.omg.CORBA.Any, java.lang.String)
Class IDLTypeHelper.insert(org.omg.CORBA.Any, org.omg.CORBA.IDLType)
Class InvalidNameHelper.insert(org.omg.CORBA.Any, org.omg.CosNaming.NamingContextPackage.InvalidName)
Class IstringHelper.insert(org.omg.CORBA.Any, java.lang.String)
Class JMenu.insert(java.lang.String, int)
Class JPopupMenu.insert(javax.swing.Action, int)
Class JTextArea.insert(java.lang.String, int)
Class LongLongSeqHelper.insert(org.omg.CORBA.Any, long[])
Class LongSeqHelper.insert(org.omg.CORBA.Any, int[])
Class Menu.insert(java.awt.MenuItem, int)
Class NameComponentHelper.insert(org.omg.CORBA.Any, org.omg.CosNaming.NameComponent)
Class NameHelper.insert(org.omg.CORBA.Any, org.omg.CosNaming.NameComponent[])
Class NameValuePairHelper.insert(org.omg.CORBA.Any, org.omg.CORBA.NameValuePair)
Class NamingContextHelper.insert(org.omg.CORBA.Any, org.omg.CosNaming.NamingContext)
Class NotEmptyHelper.insert(org.omg.CORBA.Any, org.omg.CosNaming.NamingContextPackage.NotEmpty)
Class NotFoundHelper.insert(org.omg.CORBA.Any, org.omg.CosNaming.NamingContextPackage.NotFound)
Class NotFoundReasonHelper.insert(org.omg.CORBA.Any, org.omg.CosNaming.NamingContextPackage.NotFoundReason)
Class ObjectHelper.insert(org.omg.CORBA.Any, org.omg.CORBA.Object)
Class OctetSeqHelper.insert(org.omg.CORBA.Any, byte[])
Class PolicyHelper.insert(org.omg.CORBA.Any, org.omg.CORBA.Policy)
Class PolicyListHelper.insert(org.omg.CORBA.Any, org.omg.CORBA.Policy[])
Class PolicyTypeHelper.insert(org.omg.CORBA.Any, int)
Class RepositoryIdHelper.insert(org.omg.CORBA.Any, java.lang.String)
Class ServiceDetailHelper.insert(org.omg.CORBA.Any, org.omg.CORBA.ServiceDetail)
Class ServiceInformationHelper.insert(org.omg.CORBA.Any, org.omg.CORBA.ServiceInformation)
Class SetOverrideTypeHelper.insert(org.omg.CORBA.Any, org.omg.CORBA.SetOverrideType)
Class ShortSeqHelper.insert(org.omg.CORBA.Any, short[])
Class StringBuffer.insert(int, char[], int, int)
Class StringValueHelper.insert(org.omg.CORBA.Any, java.lang.String)
Class StructMemberHelper.insert(org.omg.CORBA.Any, org.omg.CORBA.StructMember)
Class TextArea.insert(java.lang.String, int)
Class ULongLongSeqHelper.insert(org.omg.CORBA.Any, long[])
Class ULongSeqHelper.insert(org.omg.CORBA.Any, int[])
Class UnionMemberHelper.insert(org.omg.CORBA.Any, org.omg.CORBA.UnionMember)
Class UShortSeqHelper.insert(org.omg.CORBA.Any, short[])
Class ValueBaseHelper.insert(org.omg.CORBA.Any, java.io.Serializable)
Class ValueMemberHelper.insert(org.omg.CORBA.Any, org.omg.CORBA.ValueMember)
Class VersionSpecHelper.insert(org.omg.CORBA.Any, java.lang.String)
Class View.insert(int, javax.swing.text.View)
Class VisibilityHelper.insert(org.omg.CORBA.Any, short)
Class WCharSeqHelper.insert(org.omg.CORBA.Any, char[])
Class WStringValueHelper.insert(org.omg.CORBA.Any, java.lang.String)
Interface MutableTreeNode.insert(javax.swing.tree.MutableTreeNode, int)


insertChar found in:
Class LineBreakMeasurer.insertChar(java.text.AttributedCharacterIterator, int)
Class TextMeasurer.insertChar(java.text.AttributedCharacterIterator, int)


insertElementAt found in:
Class DefaultComboBoxModel.insertElementAt(java.lang.Object, int)
Class DefaultListModel.insertElementAt(java.lang.Object, int)
Class Vector.insertElementAt(java.lang.Object, int)
Interface MutableComboBoxModel.insertElementAt(java.lang.Object, int)
insertHTML found in:
Class HTMLEditorKit.insertHTML(javax.swing.text.html.HTMLDocument, int, java.lang.String, int, int, javax.swing.text.html.HTML.Tag)
Class InsertHTMLTextAction.insertHTML(javax.swing.JEditorPane, javax.swing.text.html.HTMLDocument, int, java.lang.String, int, int, javax.swing.text.html.HTML.Tag)


insertIndexInterval found in:
Class DefaultListSelectionModel.insertIndexInterval(int, int, boolean)
Interface ListSelectionModel.insertIndexInterval(int, int, boolean)
insertRow found in:
Class DefaultTableModel.insertRow(int, java.util.Vector)
Interface ResultSet.insertRow()
insertSeparator found in:
Class JMenu.insertSeparator(int)
Class Menu.insertSeparator(int)
insertString found in:
Class AbstractDocument.insertString(int, java.lang.String, javax.swing.text.AttributeSet)
Class GapContent.insertString(int, java.lang.String)
Class StringContent.insertString(int, java.lang.String)
Interface Content.insertString(int, java.lang.String)
Interface Document.insertString(int, java.lang.String, javax.swing.text.AttributeSet)


insertUpdate found in:
Class AbstractDocument.insertUpdate(javax.swing.text.AbstractDocument.DefaultDocumentEvent, javax.swing.text.AttributeSet)
Class AccessibleJTextComponent.insertUpdate(javax.swing.event.DocumentEvent)
Class DefaultStyledDocument.insertUpdate(javax.swing.text.AbstractDocument.DefaultDocumentEvent, javax.swing.text.AttributeSet)
Class ElementBuffer.insertUpdate(javax.swing.text.DefaultStyledDocument.ElementSpec[])
Class FieldView.insertUpdate(javax.swing.event.DocumentEvent, java.awt.Shape, javax.swing.text.ViewFactory)
Class FlowStrategy.insertUpdate(javax.swing.text.FlowView, javax.swing.event.DocumentEvent, java.awt.Rectangle)
Class FlowView.insertUpdate(javax.swing.event.DocumentEvent, java.awt.Shape, javax.swing.text.ViewFactory)
Class GlyphView.insertUpdate(javax.swing.event.DocumentEvent, java.awt.Shape, javax.swing.text.ViewFactory)
Class HTMLDocument.insertUpdate(javax.swing.text.AbstractDocument.DefaultDocumentEvent, javax.swing.text.AttributeSet)
Class PlainDocument.insertUpdate(javax.swing.text.AbstractDocument.DefaultDocumentEvent, javax.swing.text.AttributeSet)
Class PlainView.insertUpdate(javax.swing.event.DocumentEvent, java.awt.Shape, javax.swing.text.ViewFactory)
Class View.insertUpdate(javax.swing.event.DocumentEvent, java.awt.Shape, javax.swing.text.ViewFactory)
Class WrappedPlainView.insertUpdate(javax.swing.event.DocumentEvent, java.awt.Shape, javax.swing.text.ViewFactory)
Class ZoneView.insertUpdate(javax.swing.event.DocumentEvent, java.awt.Shape, javax.swing.text.ViewFactory)
Interface DocumentListener.insertUpdate(javax.swing.event.DocumentEvent)
insert_any found in:
Class Any.insert_any(org.omg.CORBA.Any)
Interface DynAny.insert_any(org.omg.CORBA.Any)
insert_boolean found in:
Class Any.insert_boolean(boolean)
Interface DynAny.insert_boolean(boolean)
insert_char found in:
Class Any.insert_char(char)
Interface DynAny.insert_char(char)
insert_double found in:
Class Any.insert_double(double)
Interface DynAny.insert_double(double)
insert_float found in:
Class Any.insert_float(float)
Interface DynAny.insert_float(float)
insert_long found in:
Class Any.insert_long(int)
Interface DynAny.insert_long(int)
insert_longlong found in:
Class Any.insert_longlong(long)
Interface DynAny.insert_longlong(long)
insert_octet found in:
Class Any.insert_octet(byte)
Interface DynAny.insert_octet(byte)
insert_short found in:
Class Any.insert_short(short)
Interface DynAny.insert_short(short)
insert_string found in:
Class Any.insert_string(java.lang.String)
Interface DynAny.insert_string(java.lang.String)
insert_ulong found in:
Class Any.insert_ulong(int)
Interface DynAny.insert_ulong(int)
insert_ulonglong found in:
Class Any.insert_ulonglong(long)
Interface DynAny.insert_ulonglong(long)
insert_ushort found in:
Class Any.insert_ushort(short)
Interface DynAny.insert_ushort(short)
insert_wchar found in:
Class Any.insert_wchar(char)
Interface DynAny.insert_wchar(char)
insert_wstring found in:
Class Any.insert_wstring(java.lang.String)
Interface DynAny.insert_wstring(java.lang.String)


insets found in:
Class Container.insets()
Class GridBagConstraints.insets


inside found in:
Class Component.inside(int, int)
Class Polygon.inside(int, int)
Class Rectangle.inside(int, int)
X.509 certificates
install found in:
Class DefaultCaret.install(javax.swing.text.JTextComponent)
Class DefaultHighlighter.install(javax.swing.text.JTextComponent)
Class EditorKit.install(javax.swing.JEditorPane)
Class HTMLEditorKit.install(javax.swing.JEditorPane)
Class StyledEditorKit.install(javax.swing.JEditorPane)
Interface Caret.install(javax.swing.text.JTextComponent)
Interface Highlighter.install(javax.swing.text.JTextComponent)
installComponents found in:
Class BasicComboBoxUI.installComponents()
Class BasicDesktopIconUI.installComponents()
Class BasicFileChooserUI.installComponents(javax.swing.JFileChooser)
Class BasicInternalFrameUI.installComponents()
Class BasicLabelUI.installComponents(javax.swing.JLabel)
Class BasicMenuItemUI.installComponents(javax.swing.JMenuItem)
Class BasicOptionPaneUI.installComponents()
Class BasicRootPaneUI.installComponents(javax.swing.JRootPane)
Class BasicScrollBarUI.installComponents()
Class BasicToolBarUI.installComponents()
Class BasicTreeUI.installComponents()
Class MetalDesktopIconUI.installComponents()
Class MetalFileChooserUI.installComponents(javax.swing.JFileChooser)
installDefaults found in:
Class BasicButtonUI.installDefaults(javax.swing.AbstractButton)
Class BasicCheckBoxMenuItemUI.installDefaults()
Class BasicColorChooserUI.installDefaults()
Class BasicComboBoxUI.installDefaults()
Class BasicDesktopIconUI.installDefaults()
Class BasicDesktopPaneUI.installDefaults()
Class BasicFileChooserUI.installDefaults(javax.swing.JFileChooser)
Class BasicInternalFrameTitlePane.installDefaults()
Class BasicInternalFrameUI.installDefaults()
Class BasicLabelUI.installDefaults(javax.swing.JLabel)
Class BasicListUI.installDefaults()
Class BasicMenuBarUI.installDefaults()
Class BasicMenuItemUI.installDefaults()
Class BasicMenuUI.installDefaults()
Class BasicOptionPaneUI.installDefaults()
Class BasicPanelUI.installDefaults(javax.swing.JPanel)
Class BasicPopupMenuUI.installDefaults()
Class BasicProgressBarUI.installDefaults()
Class BasicRadioButtonMenuItemUI.installDefaults()
Class BasicRadioButtonUI.installDefaults(javax.swing.AbstractButton)
Class BasicRootPaneUI.installDefaults(javax.swing.JRootPane)
Class BasicScrollBarUI.installDefaults()
Class BasicScrollPaneUI.installDefaults(javax.swing.JScrollPane)
Class BasicSeparatorUI.installDefaults(javax.swing.JSeparator)
Class BasicSliderUI.installDefaults(javax.swing.JSlider)
Class BasicSplitPaneUI.installDefaults()
Class BasicTabbedPaneUI.installDefaults()
Class BasicTableHeaderUI.installDefaults()
Class BasicTableUI.installDefaults()
Class BasicTextUI.installDefaults()
Class BasicToolBarSeparatorUI.installDefaults(javax.swing.JSeparator)
Class BasicToolBarUI.installDefaults()
Class BasicToolTipUI.installDefaults(javax.swing.JComponent)
Class BasicTreeUI.installDefaults()
Class BasicViewportUI.installDefaults(javax.swing.JComponent)
Class MetalButtonUI.installDefaults(javax.swing.AbstractButton)
Class MetalCheckBoxUI.installDefaults(javax.swing.AbstractButton)
Class MetalDesktopIconUI.installDefaults()
Class MetalInternalFrameTitlePane.installDefaults()
Class MetalRadioButtonUI.installDefaults(javax.swing.AbstractButton)
Class MetalScrollBarUI.installDefaults()
Class MetalSeparatorUI.installDefaults(javax.swing.JSeparator)
Class MetalTabbedPaneUI.installDefaults()
Class MetalToggleButtonUI.installDefaults(javax.swing.AbstractButton)
installed found in:
Optional Package Overview
The Extension Mechanism


installKeyboardActions found in:
Class BasicButtonListener.installKeyboardActions(javax.swing.JComponent)
Class BasicButtonUI.installKeyboardActions(javax.swing.AbstractButton)
Class BasicComboBoxUI.installKeyboardActions()
Class BasicComboPopup.installKeyboardActions()
Class BasicDesktopPaneUI.installKeyboardActions()
Class BasicEditorPaneUI.installKeyboardActions()
Class BasicInternalFrameUI.installKeyboardActions()
Class BasicLabelUI.installKeyboardActions(javax.swing.JLabel)
Class BasicListUI.installKeyboardActions()
Class BasicMenuBarUI.installKeyboardActions()
Class BasicMenuItemUI.installKeyboardActions()
Class BasicMenuUI.installKeyboardActions()
Class BasicOptionPaneUI.installKeyboardActions()
Class BasicPopupMenuUI.installKeyboardActions()
Class BasicRootPaneUI.installKeyboardActions(javax.swing.JRootPane)
Class BasicScrollBarUI.installKeyboardActions()
Class BasicScrollPaneUI.installKeyboardActions(javax.swing.JScrollPane)
Class BasicSliderUI.installKeyboardActions(javax.swing.JSlider)
Class BasicSplitPaneUI.installKeyboardActions()
Class BasicTabbedPaneUI.installKeyboardActions()
Class BasicTableHeaderUI.installKeyboardActions()
Class BasicTableUI.installKeyboardActions()
Class BasicTextUI.installKeyboardActions()
Class BasicToolBarUI.installKeyboardActions()
Class BasicTreeUI.installKeyboardActions()
Class MetalInternalFrameUI.installKeyboardActions()
installListeners found in:
Class BasicButtonUI.installListeners(javax.swing.AbstractButton)
Class BasicColorChooserUI.installListeners()
Class BasicComboBoxUI.installListeners()
Class BasicDesktopIconUI.installListeners()
Class BasicFileChooserUI.installListeners(javax.swing.JFileChooser)
Class BasicInternalFrameTitlePane.installListeners()
Class BasicInternalFrameUI.installListeners()
Class BasicLabelUI.installListeners(javax.swing.JLabel)
Class BasicListUI.installListeners()
Class BasicMenuBarUI.installListeners()
Class BasicMenuItemUI.installListeners()
Class BasicMenuUI.installListeners()
Class BasicOptionPaneUI.installListeners()
Class BasicPopupMenuUI.installListeners()
Class BasicProgressBarUI.installListeners()
Class BasicRootPaneUI.installListeners(javax.swing.JRootPane)
Class BasicScrollBarUI.installListeners()
Class BasicScrollPaneUI.installListeners(javax.swing.JScrollPane)
Class BasicSeparatorUI.installListeners(javax.swing.JSeparator)
Class BasicSliderUI.installListeners(javax.swing.JSlider)
Class BasicSplitPaneUI.installListeners()
Class BasicTabbedPaneUI.installListeners()
Class BasicTableHeaderUI.installListeners()
Class BasicTableUI.installListeners()
Class BasicTextUI.installListeners()
Class BasicToolBarUI.installListeners()
Class BasicToolTipUI.installListeners(javax.swing.JComponent)
Class BasicTreeUI.installListeners()
Class MetalComboBoxUI.installListeners()
Class MetalFileChooserUI.installListeners(javax.swing.JFileChooser)
Class MetalScrollBarUI.installListeners()
Class MetalScrollPaneUI.installListeners(javax.swing.JScrollPane)
Class MetalToolBarUI.installListeners()
installStrings found in:
Class BasicFileChooserUI.installStrings(javax.swing.JFileChooser)
Class MetalFileChooserUI.installStrings(javax.swing.JFileChooser)
installUI found in:
Class BasicButtonUI.installUI(javax.swing.JComponent)
Class BasicColorChooserUI.installUI(javax.swing.JComponent)
Class BasicComboBoxUI.installUI(javax.swing.JComponent)
Class BasicDesktopIconUI.installUI(javax.swing.JComponent)
Class BasicDesktopPaneUI.installUI(javax.swing.JComponent)
Class BasicFileChooserUI.installUI(javax.swing.JComponent)
Class BasicInternalFrameUI.installUI(javax.swing.JComponent)
Class BasicLabelUI.installUI(javax.swing.JComponent)
Class BasicListUI.installUI(javax.swing.JComponent)
Class BasicMenuBarUI.installUI(javax.swing.JComponent)
Class BasicMenuItemUI.installUI(javax.swing.JComponent)
Class BasicOptionPaneUI.installUI(javax.swing.JComponent)
Class BasicPanelUI.installUI(javax.swing.JComponent)
Class BasicPopupMenuUI.installUI(javax.swing.JComponent)
Class BasicProgressBarUI.installUI(javax.swing.JComponent)
Class BasicRootPaneUI.installUI(javax.swing.JComponent)
Class BasicScrollBarUI.installUI(javax.swing.JComponent)
Class BasicScrollPaneUI.installUI(javax.swing.JComponent)
Class BasicSeparatorUI.installUI(javax.swing.JComponent)
Class BasicSliderUI.installUI(javax.swing.JComponent)
Class BasicSplitPaneUI.installUI(javax.swing.JComponent)
Class BasicTabbedPaneUI.installUI(javax.swing.JComponent)
Class BasicTableHeaderUI.installUI(javax.swing.JComponent)
Class BasicTableUI.installUI(javax.swing.JComponent)
Class BasicTextUI.installUI(javax.swing.JComponent)
Class BasicToolBarUI.installUI(javax.swing.JComponent)
Class BasicToolTipUI.installUI(javax.swing.JComponent)
Class BasicTreeUI.installUI(javax.swing.JComponent)
Class BasicViewportUI.installUI(javax.swing.JComponent)
Class ComponentUI.installUI(javax.swing.JComponent)
Class MetalComboBoxUI.installUI(javax.swing.JComponent)
Class MetalFileChooserUI.installUI(javax.swing.JComponent)
Class MetalInternalFrameUI.installUI(javax.swing.JComponent)
Class MetalScrollPaneUI.installUI(javax.swing.JComponent)
Class MetalSliderUI.installUI(javax.swing.JComponent)
Class MetalTextFieldUI.installUI(javax.swing.JComponent)
Class MetalToolBarUI.installUI(javax.swing.JComponent)
Class MetalToolTipUI.installUI(javax.swing.JComponent)
Class MetalTreeUI.installUI(javax.swing.JComponent)
Class MultiButtonUI.installUI(javax.swing.JComponent)
Class MultiColorChooserUI.installUI(javax.swing.JComponent)
Class MultiComboBoxUI.installUI(javax.swing.JComponent)
Class MultiDesktopIconUI.installUI(javax.swing.JComponent)
Class MultiDesktopPaneUI.installUI(javax.swing.JComponent)
Class MultiFileChooserUI.installUI(javax.swing.JComponent)
Class MultiInternalFrameUI.installUI(javax.swing.JComponent)
Class MultiLabelUI.installUI(javax.swing.JComponent)
Class MultiListUI.installUI(javax.swing.JComponent)
Class MultiMenuBarUI.installUI(javax.swing.JComponent)
Class MultiMenuItemUI.installUI(javax.swing.JComponent)
Class MultiOptionPaneUI.installUI(javax.swing.JComponent)
Class MultiPanelUI.installUI(javax.swing.JComponent)
Class MultiPopupMenuUI.installUI(javax.swing.JComponent)
Class MultiProgressBarUI.installUI(javax.swing.JComponent)
Class MultiScrollBarUI.installUI(javax.swing.JComponent)
Class MultiScrollPaneUI.installUI(javax.swing.JComponent)
Class MultiSeparatorUI.installUI(javax.swing.JComponent)
Class MultiSliderUI.installUI(javax.swing.JComponent)
Class MultiSplitPaneUI.installUI(javax.swing.JComponent)
Class MultiTabbedPaneUI.installUI(javax.swing.JComponent)
Class MultiTableHeaderUI.installUI(javax.swing.JComponent)
Class MultiTableUI.installUI(javax.swing.JComponent)
Class MultiTextUI.installUI(javax.swing.JComponent)
Class MultiToolBarUI.installUI(javax.swing.JComponent)
Class MultiToolTipUI.installUI(javax.swing.JComponent)
Class MultiTreeUI.installUI(javax.swing.JComponent)
Class MultiViewportUI.installUI(javax.swing.JComponent)
instantiateChild found in:
Class BeanContextSupport.instantiateChild(java.lang.String)
Interface BeanContext.instantiateChild(java.lang.String)


instructions found in:
Example 2
Example 3
Example 4
The "Hello World" Example


interfaces found in:
Interface ClassDoc.interfaces()
Interface ClassType.interfaces()
Interface PackageDoc.interfaces()
Java(tm) Platform Debugger Architecture


internalFrameActivated found in:
Class BasicInternalFrameListener.internalFrameActivated(javax.swing.event.InternalFrameEvent)
Class InternalFrameAdapter.internalFrameActivated(javax.swing.event.InternalFrameEvent)
Interface InternalFrameListener.internalFrameActivated(javax.swing.event.InternalFrameEvent)


internalFrameClosed found in:
Class BasicInternalFrameListener.internalFrameClosed(javax.swing.event.InternalFrameEvent)
Class InternalFrameAdapter.internalFrameClosed(javax.swing.event.InternalFrameEvent)
Interface InternalFrameListener.internalFrameClosed(javax.swing.event.InternalFrameEvent)
internalFrameClosing found in:
Class BasicInternalFrameListener.internalFrameClosing(javax.swing.event.InternalFrameEvent)
Class InternalFrameAdapter.internalFrameClosing(javax.swing.event.InternalFrameEvent)
Interface InternalFrameListener.internalFrameClosing(javax.swing.event.InternalFrameEvent)
internalFrameDeactivated found in:
Class BasicInternalFrameListener.internalFrameDeactivated(javax.swing.event.InternalFrameEvent)
Class InternalFrameAdapter.internalFrameDeactivated(javax.swing.event.InternalFrameEvent)
Interface InternalFrameListener.internalFrameDeactivated(javax.swing.event.InternalFrameEvent)
internalFrameDeiconified found in:
Class BasicInternalFrameListener.internalFrameDeiconified(javax.swing.event.InternalFrameEvent)
Class InternalFrameAdapter.internalFrameDeiconified(javax.swing.event.InternalFrameEvent)
Interface InternalFrameListener.internalFrameDeiconified(javax.swing.event.InternalFrameEvent)


internalFrameIconified found in:
Class BasicInternalFrameListener.internalFrameIconified(javax.swing.event.InternalFrameEvent)
Class InternalFrameAdapter.internalFrameIconified(javax.swing.event.InternalFrameEvent)
Interface InternalFrameListener.internalFrameIconified(javax.swing.event.InternalFrameEvent)


internalFrameOpened found in:
Class BasicInternalFrameListener.internalFrameOpened(javax.swing.event.InternalFrameEvent)
Class InternalFrameAdapter.internalFrameOpened(javax.swing.event.InternalFrameEvent)
Interface InternalFrameListener.internalFrameOpened(javax.swing.event.InternalFrameEvent)


interrupt found in:
Class Thread.interrupt()
Class ThreadGroup.interrupt()
Interface ThreadReference.interrupt()


intersect found in:
Class Area.intersect(java.awt.geom.Area)
Class Rectangle2D.intersect(java.awt.geom.Rectangle2D, java.awt.geom.Rectangle2D, java.awt.geom.Rectangle2D)
intersects found in:
Class Arc2D.intersects(double, double, double, double)
Class Area.intersects(double, double, double, double)
Class CubicCurve2D.intersects(double, double, double, double)
Class Ellipse2D.intersects(double, double, double, double)
Class GeneralPath.intersects(double, double, double, double)
Class Line2D.intersects(double, double, double, double)
Class Polygon.intersects(double, double, double, double)
Class QuadCurve2D.intersects(double, double, double, double)
Class Rectangle.intersects(java.awt.Rectangle)
Class Rectangle2D.intersects(double, double, double, double)
Class RectangularShape.intersects(java.awt.geom.Rectangle2D)
Class RoundRectangle2D.intersects(double, double, double, double)
Interface Shape.intersects(double, double, double, double)
intersectsLine found in:
Class Line2D.intersectsLine(double, double, double, double)
Class Rectangle2D.intersectsLine(double, double, double, double)
intervalAdded found in:
Class AccessibleJList.intervalAdded(javax.swing.event.ListDataEvent)
Class BasicDirectoryModel.intervalAdded(javax.swing.event.ListDataEvent)
Class JComboBox.intervalAdded(javax.swing.event.ListDataEvent)
Class ListDataHandler.intervalAdded(javax.swing.event.ListDataEvent)
Class ListDataHandler.intervalAdded(javax.swing.event.ListDataEvent)
Class ListDataHandler.intervalAdded(javax.swing.event.ListDataEvent)
Interface ListDataListener.intervalAdded(javax.swing.event.ListDataEvent)
intervalRemoved found in:
Class AccessibleJList.intervalRemoved(javax.swing.event.ListDataEvent)
Class BasicDirectoryModel.intervalRemoved(javax.swing.event.ListDataEvent)
Class JComboBox.intervalRemoved(javax.swing.event.ListDataEvent)
Class ListDataHandler.intervalRemoved(javax.swing.event.ListDataEvent)
Class ListDataHandler.intervalRemoved(javax.swing.event.ListDataEvent)
Class ListDataHandler.intervalRemoved(javax.swing.event.ListDataEvent)
Interface ListDataListener.intervalRemoved(javax.swing.event.ListDataEvent)


INTRO found in:
Guidelines for LDAP Service Providers
JNDI/COS Naming Service Provider
JNDI/LDAP Service Provider
JNDI/RMI Registry Service Provider


intro found in:
Command Line Changes
Command Line Changes
Dynamic Proxy Classes
Java(tm) Virtual Machine Debug Interface Reference
The Extension Mechanism
X.509 certificates


Intro found in:
How to Implement a Provider for the Java Cryptography Architecture
JAR File Specification
RMI-IIOP Programmer's Guide
Introduction found in:
Input Method Engine SPI Tutorial
Input Method Framework Overview
Introduction
Java Cryptography Architecture
Policy Tool - Policy File Creation and Management Tool
Policy Tool - Policy File Creation and Management Tool
Security Managers and the Java 2 SDK
Versioning Specification


intValue found in:
Class BigDecimal.intValue()
Class BigInteger.intValue()
Class Byte.intValue()
Class Double.intValue()
Class Float.intValue()
Class Integer.intValue()
Class Long.intValue()
Class Number.intValue()
Class Short.intValue()
Interface IntegerArgument.intValue()
Interface PrimitiveValue.intValue()


invalidate found in:
Class CellRendererPane.invalidate()
Class Component.invalidate()
Class Container.invalidate()
invalidateLayout found in:
Class BasicHorizontalLayoutManager.invalidateLayout(java.awt.Container)
Class BorderLayout.invalidateLayout(java.awt.Container)
Class BoxLayout.invalidateLayout(java.awt.Container)
Class CardLayout.invalidateLayout(java.awt.Container)
Class GridBagLayout.invalidateLayout(java.awt.Container)
Class OverlayLayout.invalidateLayout(java.awt.Container)
Class RootLayout.invalidateLayout(java.awt.Container)
Interface LayoutManager2.invalidateLayout(java.awt.Container)
invalidatePathBounds found in:
Class AbstractLayoutCache.invalidatePathBounds(javax.swing.tree.TreePath)
Class FixedHeightLayoutCache.invalidatePathBounds(javax.swing.tree.TreePath)
Class VariableHeightLayoutCache.invalidatePathBounds(javax.swing.tree.TreePath)
invalidateSizes found in:
Class AbstractLayoutCache.invalidateSizes()
Class FixedHeightLayoutCache.invalidateSizes()
Class VariableHeightLayoutCache.invalidateSizes()


InvalidName found in:
Class InvalidName
Class InvalidName


invoke found in:
Class Delegate.invoke(org.omg.CORBA.Object, org.omg.CORBA.portable.OutputStream)
Class DynamicImplementation.invoke(org.omg.CORBA.ServerRequest)
Class Method.invoke(java.lang.Object, java.lang.Object[])
Class Request.invoke()
Class _BindingIteratorImplBase.invoke(org.omg.CORBA.ServerRequest)
Class _NamingContextImplBase.invoke(org.omg.CORBA.ServerRequest)
Developing a Client Applet
Developing a Client Application
Developing the Hello World Server
Interface InvocationHandler.invoke(java.lang.Object, java.lang.reflect.Method, java.lang.Object[])
Interface RemoteRef.invoke(java.rmi.Remote, java.lang.reflect.Method, java.lang.Object[], long)
invokeAndWait found in:
Class EventQueue.invokeAndWait(java.lang.Runnable)
Class SwingUtilities.invokeAndWait(java.lang.Runnable)


invokeLater found in:
Class EventQueue.invokeLater(java.lang.Runnable)
Class SwingUtilities.invokeLater(java.lang.Runnable)
invokeMethod found in:
Interface ClassType.invokeMethod(com.sun.jdi.ThreadReference, com.sun.jdi.Method, java.util.List, int)
Interface ObjectReference.invokeMethod(com.sun.jdi.ThreadReference, com.sun.jdi.Method, java.util.List, int)


INVOKE_SINGLE_THREADED found in:
Interface ClassType.INVOKE_SINGLE_THREADED
Interface ObjectReference.INVOKE_SINGLE_THREADED


isAbstract found in:
Class Modifier.isAbstract(int)
Interface ClassDoc.isAbstract()
Interface Method.isAbstract()
Interface MethodDoc.isAbstract()
Interface ReferenceType.isAbstract()
isAccessibleChildSelected found in:
Class AccessibleAWTList.isAccessibleChildSelected(int)
Class AccessibleAWTMenuComponent.isAccessibleChildSelected(int)
Class AccessibleJComboBox.isAccessibleChildSelected(int)
Class AccessibleJList.isAccessibleChildSelected(int)
Class AccessibleJMenu.isAccessibleChildSelected(int)
Class AccessibleJMenuBar.isAccessibleChildSelected(int)
Class AccessibleJTabbedPane.isAccessibleChildSelected(int)
Class AccessibleJTable.isAccessibleChildSelected(int)
Class AccessibleJTree.isAccessibleChildSelected(int)
Class AccessibleJTreeNode.isAccessibleChildSelected(int)
Interface AccessibleSelection.isAccessibleChildSelected(int)
isAccessibleColumnSelected found in:
Class AccessibleJTable.isAccessibleColumnSelected(int)
Interface AccessibleTable.isAccessibleColumnSelected(int)
isAccessibleRowSelected found in:
Class AccessibleJTable.isAccessibleRowSelected(int)
Interface AccessibleTable.isAccessibleRowSelected(int)
isAccessibleSelected found in:
Class AccessibleJTable.isAccessibleSelected(int, int)
Interface AccessibleTable.isAccessibleSelected(int, int)
isActive found in:
Class Applet.isActive()
Class DropTarget.isActive()
Interface AppletStub.isActive()
Interface DataLine.isActive()
isAfter found in:
Class BoxView.isAfter(int, int, java.awt.Rectangle)
Class CompositeView.isAfter(int, int, java.awt.Rectangle)
isAlphaPremultiplied found in:
Class BufferedImage.isAlphaPremultiplied()
Class ColorModel.isAlphaPremultiplied()
isArmed found in:
Class DefaultButtonModel.isArmed()
Class JMenuItem.isArmed()
Interface ButtonModel.isArmed()


isBefore found in:
Class BoxView.isBefore(int, int, java.awt.Rectangle)
Class CompositeView.isBefore(int, int, java.awt.Rectangle)
isBold found in:
Class Font.isBold()
Class StyleConstants.isBold(javax.swing.text.AttributeSet)
isBorderOpaque found in:
Class AbstractBorder.isBorderOpaque()
Class BevelBorder.isBorderOpaque()
Class BorderUIResource.isBorderOpaque()
Class CompoundBorder.isBorderOpaque()
Class EmptyBorder.isBorderOpaque()
Class EtchedBorder.isBorderOpaque()
Class LineBorder.isBorderOpaque()
Class MatteBorder.isBorderOpaque()
Class SoftBevelBorder.isBorderOpaque()
Class SplitPaneBorder.isBorderOpaque()
Class TitledBorder.isBorderOpaque()
Interface Border.isBorderOpaque()
isBorderPainted found in:
Class AbstractButton.isBorderPainted()
Class JMenuBar.isBorderPainted()
Class JPopupMenu.isBorderPainted()
Class JProgressBar.isBorderPainted()
Class JToolBar.isBorderPainted()
isCaseIgnored found in:
Class BasicAttributes.isCaseIgnored()
Interface Attributes.isCaseIgnored()
isCellEditable found in:
Class AbstractCellEditor.isCellEditable(java.util.EventObject)
Class AbstractTableModel.isCellEditable(int, int)
Class DefaultCellEditor.isCellEditable(java.util.EventObject)
Class DefaultTableModel.isCellEditable(int, int)
Class DefaultTreeCellEditor.isCellEditable(java.util.EventObject)
Class EditorDelegate.isCellEditable(java.util.EventObject)
Class JTable.isCellEditable(int, int)
Interface CellEditor.isCellEditable(java.util.EventObject)
Interface TableModel.isCellEditable(int, int)
isClosed found in:
Class JInternalFrame.isClosed
Interface Connection.isClosed()
isCompatibleRaster found in:
Class ColorModel.isCompatibleRaster(java.awt.image.Raster)
Class ComponentColorModel.isCompatibleRaster(java.awt.image.Raster)
Class DirectColorModel.isCompatibleRaster(java.awt.image.Raster)
Class IndexColorModel.isCompatibleRaster(java.awt.image.Raster)
isCompatibleSampleModel found in:
Class ColorModel.isCompatibleSampleModel(java.awt.image.SampleModel)
Class ComponentColorModel.isCompatibleSampleModel(java.awt.image.SampleModel)
Class IndexColorModel.isCompatibleSampleModel(java.awt.image.SampleModel)
Class PackedColorModel.isCompatibleSampleModel(java.awt.image.SampleModel)
isCompositionEnabled found in:
Class InputContext.isCompositionEnabled()
Interface InputMethod.isCompositionEnabled()
isConstructor found in:
Interface Doc.isConstructor()
Interface Method.isConstructor()
isConsumed found in:
Class AWTEvent.isConsumed()
Class InputEvent.isConsumed()
Class InputMethodEvent.isConsumed()
isConsumer found in:
Class FilteredImageSource.isConsumer(java.awt.image.ImageConsumer)
Class MemoryImageSource.isConsumer(java.awt.image.ImageConsumer)
Class RenderableImageProducer.isConsumer(java.awt.image.ImageConsumer)
Interface ImageProducer.isConsumer(java.awt.image.ImageConsumer)
isContinuousLayout found in:
Class BasicSplitPaneUI.isContinuousLayout()
Class JSplitPane.isContinuousLayout()
isConversionSupported found in:
Class AudioSystem.isConversionSupported(javax.sound.sampled.AudioFormat.Encoding, javax.sound.sampled.AudioFormat)
Class FormatConversionProvider.isConversionSupported(javax.sound.sampled.AudioFormat.Encoding, javax.sound.sampled.AudioFormat)
isDaemon found in:
Class Thread.isDaemon()
Class ThreadGroup.isDaemon()
isDataFlavorSupported found in:
Class DropTargetContext.isDataFlavorSupported(java.awt.datatransfer.DataFlavor)
Class DropTargetDragEvent.isDataFlavorSupported(java.awt.datatransfer.DataFlavor)
Class DropTargetDropEvent.isDataFlavorSupported(java.awt.datatransfer.DataFlavor)
Class StringSelection.isDataFlavorSupported(java.awt.datatransfer.DataFlavor)
Class TransferableProxy.isDataFlavorSupported(java.awt.datatransfer.DataFlavor)
Interface Transferable.isDataFlavorSupported(java.awt.datatransfer.DataFlavor)
isDefined found in:
Class AbstractElement.isDefined(java.lang.Object)
Class Character.isDefined(char)
Class NamedStyle.isDefined(java.lang.Object)
Class SimpleAttributeSet.isDefined(java.lang.Object)
Class SmallAttributeSet.isDefined(java.lang.Object)
Interface AttributeSet.isDefined(java.lang.Object)
isDesignTime found in:
Class BeanContextSupport.isDesignTime()
Class Beans.isDesignTime()
Interface DesignMode.isDesignTime()
isDirectory found in:
Class File.isDirectory()
Class ZipEntry.isDirectory()
isDone found in:
Class FlatteningPathIterator.isDone()
Interface PathIterator.isDone()
isDoubleBuffered found in:
Class Component.isDoubleBuffered()
Class JComponent.isDoubleBuffered()
isDragging found in:
Class BasicScrollBarUI.isDragging
Class DockingListener.isDragging
isDynamic found in:
Class RenderableImageOp.isDynamic()
Interface ContextualRenderedImageFactory.isDynamic()
Interface RenderableImage.isDynamic()
isEditable found in:
Class BasicTreeUI.isEditable()
Class JComboBox.isEditable
Class JTextComponent.isEditable()
Class JTree.isEditable()
Class TextComponent.isEditable()
isEditing found in:
Class BasicTreeUI.isEditing(javax.swing.JTree)
Class JTable.isEditing()
Class JTree.isEditing()
Class MultiTreeUI.isEditing(javax.swing.JTree)
Class TreeUI.isEditing(javax.swing.JTree)
isEmpty found in:
Class AbstractCollection.isEmpty()
Class AbstractMap.isEmpty()
Class Area.isEmpty()
Class ArrayList.isEmpty()
Class Attributes.isEmpty()
Class BeanContextSupport.isEmpty()
Class CompositeName.isEmpty()
Class CompoundName.isEmpty()
Class DefaultListModel.isEmpty()
Class Dictionary.isEmpty()
Class Double.isEmpty()
Class Double.isEmpty()
Class Double.isEmpty()
Class Double.isEmpty()
Class Element.isEmpty()
Class Float.isEmpty()
Class Float.isEmpty()
Class Float.isEmpty()
Class Float.isEmpty()
Class HashMap.isEmpty()
Class HashSet.isEmpty()
Class Hashtable.isEmpty()
Class Rectangle.isEmpty()
Class RectangularShape.isEmpty()
Class RenderingHints.isEmpty()
Class SimpleAttributeSet.isEmpty()
Class TreeSet.isEmpty()
Class Vector.isEmpty()
Class WeakHashMap.isEmpty()
Interface Collection.isEmpty()
Interface List.isEmpty()
Interface Map.isEmpty()
Interface Name.isEmpty()
Interface Set.isEmpty()
isEnabled found in:
Class AbstractAction.isEnabled()
Class AccessibleAWTComponent.isEnabled()
Class AccessibleAWTListChild.isEnabled()
Class AccessibleAWTMenuComponent.isEnabled()
Class AccessibleJListChild.isEnabled()
Class AccessibleJTableCell.isEnabled()
Class AccessibleJTableHeaderEntry.isEnabled()
Class AccessibleJTreeNode.isEnabled()
Class ActionScroller.isEnabled()
Class CloseAction.isEnabled()
Class Component.isEnabled()
Class DefaultButtonModel.isEnabled()
Class MaximizeAction.isEnabled()
Class MenuItem.isEnabled()
Class MinimizeAction.isEnabled()
Class NavigateAction.isEnabled()
Class OpenAction.isEnabled()
Class ToolTipManager.isEnabled()
Class TreeCancelEditingAction.isEnabled()
Class TreeHomeAction.isEnabled()
Class TreeIncrementAction.isEnabled()
Class TreePageAction.isEnabled()
Class TreeToggleAction.isEnabled()
Class TreeTraverseAction.isEnabled()
Interface AccessibleComponent.isEnabled()
Interface Action.isEnabled()
Interface ButtonModel.isEnabled()
Interface EventRequest.isEnabled()
isEqual found in:
Class AbstractElement.isEqual(javax.swing.text.AttributeSet)
Class MessageDigest.isEqual(byte[], byte[])
Class NamedStyle.isEqual(javax.swing.text.AttributeSet)
Class SimpleAttributeSet.isEqual(javax.swing.text.AttributeSet)
Class SmallAttributeSet.isEqual(javax.swing.text.AttributeSet)
Interface AttributeSet.isEqual(javax.swing.text.AttributeSet)
isExpanded found in:
Class AbstractLayoutCache.isExpanded(javax.swing.tree.TreePath)
Class FixedHeightLayoutCache.isExpanded(javax.swing.tree.TreePath)
Class JTree.isExpanded(javax.swing.tree.TreePath)
Class VariableHeightLayoutCache.isExpanded(javax.swing.tree.TreePath)


isFileTypeSupported found in:
Class AudioFileWriter.isFileTypeSupported(javax.sound.sampled.AudioFileFormat.Type)
Class AudioSystem.isFileTypeSupported(javax.sound.sampled.AudioFileFormat.Type)
Class MidiFileWriter.isFileTypeSupported(int)
Class MidiSystem.isFileTypeSupported(int)
isFinal found in:
Class Modifier.isFinal(int)
Interface ProgramElementDoc.isFinal()
Interface ReferenceType.isFinal()
Interface TypeComponent.isFinal()
isFixedRowHeight found in:
Class AbstractLayoutCache.isFixedRowHeight()
Class JTree.isFixedRowHeight()
isFocusCycleRoot found in:
Class JComponent.isFocusCycleRoot()
Class JEditorPane.isFocusCycleRoot()
Class JRootPane.isFocusCycleRoot()
isFocusTraversable found in:
Class AbstractButton.isFocusTraversable()
Class AccessibleAWTComponent.isFocusTraversable()
Class AccessibleAWTListChild.isFocusTraversable()
Class AccessibleAWTMenuComponent.isFocusTraversable()
Class AccessibleJListChild.isFocusTraversable()
Class AccessibleJTableCell.isFocusTraversable()
Class AccessibleJTableHeaderEntry.isFocusTraversable()
Class AccessibleJTreeNode.isFocusTraversable()
Class BasicArrowButton.isFocusTraversable()
Class BasicComboBoxUI.isFocusTraversable(javax.swing.JComboBox)
Class BasicComboPopup.isFocusTraversable()
Class ComboBoxUI.isFocusTraversable(javax.swing.JComboBox)
Class Component.isFocusTraversable()
Class JComboBox.isFocusTraversable()
Class JComponent.isFocusTraversable()
Class JScrollBar.isFocusTraversable()
Class JSeparator.isFocusTraversable()
Class JTable.isFocusTraversable()
Class JTextComponent.isFocusTraversable()
Class MetalComboBoxButton.isFocusTraversable()
Class MetalComboBoxUI.isFocusTraversable(javax.swing.JComboBox)
Class MultiComboBoxUI.isFocusTraversable(javax.swing.JComboBox)
Class SystemMenuBar.isFocusTraversable()
Interface AccessibleComponent.isFocusTraversable()
isHidden found in:
Class BasicFileView.isHidden(java.io.File)
Class FeatureDescriptor.isHidden()
Class File.isHidden()


isInfinite found in:
Class Double.isInfinite(double)
Class Float.isInfinite(float)
isInterface found in:
Class Class.isInterface()
Class Modifier.isInterface(int)
Interface Doc.isInterface()


isItalic found in:
Class Font.isItalic()
Class StyleConstants.isItalic(javax.swing.text.AttributeSet)
isLargeModel found in:
Class BasicTreeUI.isLargeModel()
Class JTree.isLargeModel()
isLeaf found in:
Class AbstractElement.isLeaf()
Class BasicTreeUI.isLeaf(int)
Class BranchElement.isLeaf()
Class DefaultMutableTreeNode.isLeaf()
Class DefaultTreeModel.isLeaf(java.lang.Object)
Class DynamicUtilTreeNode.isLeaf()
Class LeafElement.isLeaf()
Interface Element.isLeaf()
Interface TreeModel.isLeaf(java.lang.Object)
Interface TreeNode.isLeaf()
isLeftToRight found in:
Class ComponentOrientation.isLeftToRight()
Class TextLayout.isLeftToRight()
isLenient found in:
Class Calendar.isLenient()
Class DateFormat.isLenient()
isLightWeightPopupEnabled found in:
Class JComboBox.isLightWeightPopupEnabled()
Class JPopupMenu.isLightWeightPopupEnabled()
Class ToolTipManager.isLightWeightPopupEnabled()
isLineSupported found in:
Class AudioSystem.isLineSupported(javax.sound.sampled.Line.Info)
Interface Mixer.isLineSupported(javax.sound.sampled.Line.Info)
isLocal found in:
Class TransferableProxy.isLocal
Class Util.isLocal(javax.rmi.CORBA.Stub)
Interface UtilDelegate.isLocal(javax.rmi.CORBA.Stub)
isLocationInExpandControl found in:
Class BasicTreeUI.isLocationInExpandControl(javax.swing.tree.TreePath, int, int)
Class MetalTreeUI.isLocationInExpandControl(int, int, int, int)
isManagingFocus found in:
Class JComponent.isManagingFocus()
Class JEditorPane.isManagingFocus()
Class JMenuBar.isManagingFocus()
Class JTable.isManagingFocus()
Class JTextArea.isManagingFocus()


isNaN found in:
Class Double.isNaN(double)
Class Float.isNaN(float)
isNative found in:
Class Modifier.isNative(int)
Interface ExecutableMemberDoc.isNative()
Interface Method.isNative()
isNativeLookAndFeel found in:
Class LookAndFeel.isNativeLookAndFeel()
Class MetalLookAndFeel.isNativeLookAndFeel()
Class MultiLookAndFeel.isNativeLookAndFeel()
isOpaque found in:
Class Component.isOpaque()
Class JComponent.isOpaque()
Class JDesktopPane.isOpaque()
Class SystemMenuBar.isOpaque()
isOpen found in:
Interface Line.isOpen()
Interface MidiDevice.isOpen()
isOptimizedDrawingEnabled found in:
Class JComponent.isOptimizedDrawingEnabled()
Class JLayeredPane.isOptimizedDrawingEnabled()
Class JRootPane.isOptimizedDrawingEnabled()
Class JViewport.isOptimizedDrawingEnabled()
isOrdered found in:
Class BasicAttribute.isOrdered()
Interface Attribute.isOrdered()


isPackagePrivate found in:
Interface Accessible.isPackagePrivate()
Interface ProgramElementDoc.isPackagePrivate()
isPaintable found in:
Class PropertyEditorSupport.isPaintable()
Interface PropertyEditor.isPaintable()
isPathSelected found in:
Class DefaultTreeSelectionModel.isPathSelected(javax.swing.tree.TreePath)
Class JTree.isPathSelected(javax.swing.tree.TreePath)
Interface TreeSelectionModel.isPathSelected(javax.swing.tree.TreePath)
isPopupTrigger found in:
Class BasicPopupMenuUI.isPopupTrigger(java.awt.event.MouseEvent)
Class JPopupMenu.isPopupTrigger(java.awt.event.MouseEvent)
Class MouseEvent.isPopupTrigger()
Class PopupMenuUI.isPopupTrigger(java.awt.event.MouseEvent)
isPopupVisible found in:
Class BasicComboBoxUI.isPopupVisible(javax.swing.JComboBox)
Class ComboBoxUI.isPopupVisible(javax.swing.JComboBox)
Class JComboBox.isPopupVisible()
Class MultiComboBoxUI.isPopupVisible(javax.swing.JComboBox)
isPreformatted found in:
Class Tag.isPreformatted()
Class TagElement.isPreformatted()
isPressed found in:
Class DefaultButtonModel.isPressed()
Interface ButtonModel.isPressed()
isPrimitive found in:
Class Class.isPrimitive()
Class ObjectStreamField.isPrimitive()
isPrivate found in:
Class Modifier.isPrivate(int)
Interface Accessible.isPrivate()
Interface ProgramElementDoc.isPrivate()
isProtected found in:
Class Modifier.isProtected(int)
Interface Accessible.isProtected()
Interface ProgramElementDoc.isProtected()
isPublic found in:
Class Modifier.isPublic(int)
Interface Accessible.isPublic()
Interface ProgramElementDoc.isPublic()
isReadOnly found in:
Class PermissionCollection.isReadOnly()
Interface Connection.isReadOnly()
Interface DatabaseMetaData.isReadOnly()
Interface ResultSetMetaData.isReadOnly(int)
isResizable found in:
Class Dialog.isResizable()
Class Frame.isResizable()
Class JInternalFrame.isResizable()
Class TableColumn.isResizable
isRollover found in:
Class DefaultButtonModel.isRollover()
Interface ButtonModel.isRollover()
isRoot found in:
Class DefaultMutableTreeNode.isRoot()
Class FileSystemView.isRoot(java.io.File)
isRootPaneCheckingEnabled found in:
Class JApplet.isRootPaneCheckingEnabled()
Class JDialog.isRootPaneCheckingEnabled()
Class JFrame.isRootPaneCheckingEnabled()
Class JInternalFrame.isRootPaneCheckingEnabled()
Class JWindow.isRootPaneCheckingEnabled()
isRootVisible found in:
Class AbstractLayoutCache.isRootVisible()
Class BasicTreeUI.isRootVisible()
Class JTree.isRootVisible()
isRowSelected found in:
Class DefaultTreeSelectionModel.isRowSelected(int)
Class JTable.isRowSelected(int)
Class JTree.isRowSelected(int)
Interface TreeSelectionModel.isRowSelected(int)
isRunning found in:
Class Timer.isRunning()
Interface DataLine.isRunning()
Interface Sequencer.isRunning()
isSelected found in:
Class AbstractButton.isSelected()
Class ButtonGroup.isSelected(javax.swing.ButtonModel)
Class ChangeHandler.isSelected
Class DefaultButtonModel.isSelected()
Class DefaultSingleSelectionModel.isSelected()
Class InputMethodHighlight.isSelected()
Class JInternalFrame.isSelected
Class JMenu.isSelected()
Class JMenuBar.isSelected()
Class List.isSelected(int)
Class Option.isSelected()
Class ToggleButtonModel.isSelected()
Interface ButtonModel.isSelected()
Interface SingleSelectionModel.isSelected()
isSelectedIndex found in:
Class DefaultListSelectionModel.isSelectedIndex(int)
Class JList.isSelectedIndex(int)
Interface ListSelectionModel.isSelectedIndex(int)
isSelectionEmpty found in:
Class DefaultListSelectionModel.isSelectionEmpty()
Class DefaultTreeSelectionModel.isSelectionEmpty()
Class JList.isSelectionEmpty()
Class JTree.isSelectionEmpty()
Interface ListSelectionModel.isSelectionEmpty()
Interface TreeSelectionModel.isSelectionEmpty()
isSelectionVisible found in:
Class DefaultCaret.isSelectionVisible()
Interface Caret.isSelectionVisible()
isShowing found in:
Class AccessibleAWTComponent.isShowing()
Class AccessibleAWTListChild.isShowing()
Class AccessibleAWTMenuComponent.isShowing()
Class AccessibleJListChild.isShowing()
Class AccessibleJTableCell.isShowing()
Class AccessibleJTableHeaderEntry.isShowing()
Class AccessibleJTreeNode.isShowing()
Class Component.isShowing()
Class Window.isShowing()
Interface AccessibleComponent.isShowing()
isSignificant found in:
Class AbstractUndoableEdit.isSignificant()
Class CompoundEdit.isSignificant()
Class DefaultDocumentEvent.isSignificant()
Interface UndoableEdit.isSignificant()
isStatic found in:
Class Modifier.isStatic(int)
Interface ProgramElementDoc.isStatic()
Interface ReferenceType.isStatic()
Interface TypeComponent.isStatic()
isStrikeThrough found in:
Class GlyphView.isStrikeThrough()
Class LabelView.isStrikeThrough()
Class StyleConstants.isStrikeThrough(javax.swing.text.AttributeSet)
isSubscript found in:
Class GlyphView.isSubscript()
Class LabelView.isSubscript()
Class StyleConstants.isSubscript(javax.swing.text.AttributeSet)


isSuperscript found in:
Class GlyphView.isSuperscript()
Class LabelView.isSuperscript()
Class StyleConstants.isSuperscript(javax.swing.text.AttributeSet)
isSupportedLookAndFeel found in:
Class LookAndFeel.isSupportedLookAndFeel()
Class MetalLookAndFeel.isSupportedLookAndFeel()
Class MultiLookAndFeel.isSupportedLookAndFeel()
isSynchronized found in:
Class Modifier.isSynchronized(int)
Interface ExecutableMemberDoc.isSynchronized()
Interface Method.isSynchronized()
isSynthetic found in:
Interface MemberDoc.isSynthetic()
Interface TypeComponent.isSynthetic()
isTearOff found in:
Class JMenu.isTearOff()
Class Menu.isTearOff()
isTileWritable found in:
Class BufferedImage.isTileWritable(int, int)
Interface WritableRenderedImage.isTileWritable(int, int)
isTransient found in:
Class Modifier.isTransient(int)
Interface Field.isTransient()
Interface FieldDoc.isTransient()
isTraversable found in:
Class BasicFileView.isTraversable(java.io.File)
Class FileView.isTraversable(java.io.File)
Class JFileChooser.isTraversable(java.io.File)


isUnderline found in:
Class GlyphView.isUnderline()
Class LabelView.isUnderline()
Class StyleConstants.isUnderline(javax.swing.text.AttributeSet)
isValid found in:
Class AccessibleHyperlink.isValid()
Class Component.isValid()
Class DragController.isValid()
Class HTMLLink.isValid()
Class IndexColorModel.isValid(int)
Class Iterator.isValid()
Interface Argument.isValid(java.lang.String)
Interface BooleanArgument.isValid(java.lang.String)
Interface IntegerArgument.isValid(java.lang.String)
Interface SelectedArgument.isValid(java.lang.String)
Interface StringArgument.isValid(java.lang.String)
isValidateRoot found in:
Class JComponent.isValidateRoot()
Class JRootPane.isValidateRoot()
Class JScrollPane.isValidateRoot()
Class JSplitPane.isValidateRoot()
Class JTextField.isValidateRoot()
isVisible found in:
Class AccessibleAWTComponent.isVisible()
Class AccessibleAWTListChild.isVisible()
Class AccessibleAWTMenuComponent.isVisible()
Class AccessibleJListChild.isVisible()
Class AccessibleJTableCell.isVisible()
Class AccessibleJTableHeaderEntry.isVisible()
Class AccessibleJTreeNode.isVisible()
Class Component.isVisible()
Class DefaultCaret.isVisible()
Class JPopupMenu.isVisible()
Class JTree.isVisible(javax.swing.tree.TreePath)
Class ParagraphView.isVisible()
Class View.isVisible()
Interface AccessibleComponent.isVisible()
Interface Caret.isVisible()
Interface ComboPopup.isVisible()
Interface LocalVariable.isVisible(com.sun.jdi.StackFrame)
isVolatile found in:
Class Modifier.isVolatile(int)
Interface Field.isVolatile()
Interface FieldDoc.isVolatile()
isWhitespace found in:
Class Character.isWhitespace(char)
Class GlyphMetrics.isWhitespace()


Italic found in:
Class CharacterConstants.Italic
Class FontConstants.Italic
Class StyleConstants.Italic
ITALY found in:
Class Locale.ITALY
Class MediaType.ITALY


item found in:
Class ContextList.item(int)
Class ExceptionList.item(int)
Class NVList.item(int)


ItemHandler found in:
Class ItemHandler
Class ItemHandler


itemListener found in:
Class AbstractButton.itemListener
Class BasicComboBoxUI.itemListener
Class BasicComboPopup.itemListener


itemStateChanged found in:
Class AccessibleAWTCheckbox.itemStateChanged(java.awt.event.ItemEvent)
Class AccessibleAWTList.itemStateChanged(java.awt.event.ItemEvent)
Class AccessibleJToggleButton.itemStateChanged(java.awt.event.ItemEvent)
Class AWTEventMulticaster.itemStateChanged(java.awt.event.ItemEvent)
Class EditorDelegate.itemStateChanged(java.awt.event.ItemEvent)
Class ItemHandler.itemStateChanged(java.awt.event.ItemEvent)
Class ItemHandler.itemStateChanged(java.awt.event.ItemEvent)
Interface ItemListener.itemStateChanged(java.awt.event.ItemEvent)


Iterator found in:
Class Iterator
Interface Iterator


iterator found in:
Class AbstractCollection.iterator()
Class AbstractList.iterator()
Class AbstractSequentialList.iterator()
Class BeanContextMembershipEvent.iterator()
Class BeanContextSupport.iterator()
Class DragGestureEvent.iterator()
Class HashSet.iterator()
Class TreeSet.iterator()
Interface Collection.iterator()
Interface List.iterator()
Interface Set.iterator()


J found in:
javac - Java programming language compiler
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
J-Index found in:
J-Index
J-Index
JApplet found in:
Class JApplet
Component
Java L&F
Motif
Win32


jar-The Java Archive Tool found in:
jar-The Java Archive Tool
jar-The Java Archive Tool


jarsigner-JAR Signing and Verification Tool found in:
jarsigner-JAR Signing and Verification Tool
jarsigner-JAR Signing and Verification Tool


java - the Java application launcher found in:
java - the Java application launcher
java - the Java application launcher
java - the Java application launcher


Java 2 Platform SE v1.3.1 found in:
Java 2 Platform SE v1.3.1
Java 2 Platform SE v1.3.1
Java 2 SDK File Structure found in:
Java 2 SDK File Structure
Java 2 SDK File Structure
Java 2 SDK File Structure
Java 2D API found in:
Java 2D API
Java 2D API
Java 2D API
Java 2D API
Java 2D API
Java 2D API
Java 2D API
Java 2D API
Java Core Reflection found in:
Java Core Reflection
Java Core Reflection
Java Debug Interface found in:
Java Debug Interface
Java Debug Interface


Java Plug-in found in:
Java Plug-in
Java Plug-in
Java(TM) 2 SDK Documentation found in:
Java(TM) 2 SDK Documentation
Java(TM) 2 SDK Documentation
Java(tm) Debug Wire Protocol found in:
Java(tm) Debug Wire Protocol
Java(tm) Debug Wire Protocol
Java(tm) Platform Debugger Architecture found in:
Java(tm) Platform Debugger Architecture
Java(tm) Platform Debugger Architecture


java.applet found in:
Uses of Class java.applet.Applet
Uses of Class java.awt.Component
Uses of Class java.awt.Component.AccessibleAWTComponent
Uses of Class java.awt.Container
Uses of Class java.awt.Container.AccessibleAWTContainer
Uses of Class java.awt.Dimension
Uses of Class java.awt.Image
Uses of Class java.awt.Panel
Uses of Class java.awt.Panel.AccessibleAWTPanel
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.net.URL
Uses of Class java.util.Locale
Uses of Class javax.accessibility.AccessibleContext
Uses of Class javax.accessibility.AccessibleRole
Uses of Class javax.accessibility.AccessibleStateSet
Uses of Interface java.applet.AppletContext
Uses of Interface java.applet.AppletStub
Uses of Interface java.applet.AudioClip
Uses of Interface java.awt.image.ImageObserver
Uses of Interface java.awt.MenuContainer
Uses of Interface java.io.Serializable
Uses of Interface java.util.Enumeration
Uses of Interface javax.accessibility.Accessible
Uses of Interface javax.accessibility.AccessibleComponent
java.awt found in:
Uses of Class java.awt.AlphaComposite
Uses of Class java.awt.AWTEvent
Uses of Class java.awt.AWTException
Uses of Class java.awt.Button
Uses of Class java.awt.Canvas
Uses of Class java.awt.Checkbox
Uses of Class java.awt.CheckboxGroup
Uses of Class java.awt.CheckboxMenuItem
Uses of Class java.awt.Choice
Uses of Class java.awt.Color
Uses of Class java.awt.color.ColorSpace
Uses of Class java.awt.Component
Uses of Class java.awt.Component.AccessibleAWTComponent
Uses of Class java.awt.ComponentOrientation
Uses of Class java.awt.Container
Uses of Class java.awt.Container.AccessibleAWTContainer
Uses of Class java.awt.Cursor
Uses of Class java.awt.datatransfer.Clipboard
Uses of Class java.awt.Dialog
Uses of Class java.awt.Dimension
Uses of Class java.awt.dnd.DragGestureEvent
Uses of Class java.awt.dnd.DragGestureRecognizer
Uses of Class java.awt.dnd.DragSource
Uses of Class java.awt.dnd.DropTarget
Uses of Class java.awt.dnd.InvalidDnDOperationException
Uses of Class java.awt.Event
Uses of Class java.awt.event.ActionEvent
Uses of Class java.awt.event.AdjustmentEvent
Uses of Class java.awt.event.ComponentEvent
Uses of Class java.awt.event.ContainerEvent
Uses of Class java.awt.event.FocusEvent
Uses of Class java.awt.event.HierarchyEvent
Uses of Class java.awt.event.InputMethodEvent
Uses of Class java.awt.event.ItemEvent
Uses of Class java.awt.event.KeyEvent
Uses of Class java.awt.event.MouseEvent
Uses of Class java.awt.event.TextEvent
Uses of Class java.awt.event.WindowEvent
Uses of Class java.awt.EventQueue
Uses of Class java.awt.FileDialog
Uses of Class java.awt.Font
Uses of Class java.awt.font.FontRenderContext
Uses of Class java.awt.font.GlyphVector
Uses of Class java.awt.font.LineMetrics
Uses of Class java.awt.FontFormatException
Uses of Class java.awt.FontMetrics
Uses of Class java.awt.Frame
Uses of Class java.awt.geom.AffineTransform
Uses of Class java.awt.geom.Dimension2D
Uses of Class java.awt.geom.Point2D
Uses of Class java.awt.geom.Rectangle2D
Uses of Class java.awt.geom.RectangularShape
Uses of Class java.awt.Graphics
Uses of Class java.awt.Graphics2D
Uses of Class java.awt.GraphicsConfigTemplate
Uses of Class java.awt.GraphicsConfiguration
Uses of Class java.awt.GraphicsDevice
Uses of Class java.awt.GraphicsEnvironment
Uses of Class java.awt.GridBagConstraints
Uses of Class java.awt.im.InputContext
Uses of Class java.awt.im.InputMethodHighlight
Uses of Class java.awt.Image
Uses of Class java.awt.image.BufferedImage
Uses of Class java.awt.image.ColorModel
Uses of Class java.awt.image.Raster
Uses of Class java.awt.image.WritableRaster
Uses of Class java.awt.Insets
Uses of Class java.awt.JobAttributes
Uses of Class java.awt.JobAttributes.DefaultSelectionType
Uses of Class java.awt.JobAttributes.DestinationType
Uses of Class java.awt.JobAttributes.DialogType
Uses of Class java.awt.JobAttributes.MultipleDocumentHandlingType
Uses of Class java.awt.JobAttributes.SidesType
Uses of Class java.awt.Label
Uses of Class java.awt.List
Uses of Class java.awt.List.AccessibleAWTList
Uses of Class java.awt.Menu
Uses of Class java.awt.Menu.AccessibleAWTMenu
Uses of Class java.awt.MenuBar
Uses of Class java.awt.MenuComponent
Uses of Class java.awt.MenuComponent.AccessibleAWTMenuComponent
Uses of Class java.awt.MenuItem
Uses of Class java.awt.MenuItem.AccessibleAWTMenuItem
Uses of Class java.awt.MenuShortcut
Uses of Class java.awt.PageAttributes
Uses of Class java.awt.PageAttributes.ColorType
Uses of Class java.awt.PageAttributes.MediaType
Uses of Class java.awt.PageAttributes.OrientationRequestedType
Uses of Class java.awt.PageAttributes.OriginType
Uses of Class java.awt.PageAttributes.PrintQualityType
Uses of Class java.awt.Panel
Uses of Class java.awt.Point
Uses of Class java.awt.Polygon
Uses of Class java.awt.PopupMenu
Uses of Class java.awt.PrintJob
Uses of Class java.awt.Rectangle
Uses of Class java.awt.RenderingHints
Uses of Class java.awt.RenderingHints.Key
Uses of Class java.awt.Scrollbar
Uses of Class java.awt.ScrollPane
Uses of Class java.awt.SystemColor
Uses of Class java.awt.TextArea
Uses of Class java.awt.TextComponent
Uses of Class java.awt.TextComponent.AccessibleAWTTextComponent
Uses of Class java.awt.TextField
Uses of Class java.awt.Toolkit
Uses of Class java.awt.Window
Uses of Class java.awt.Window.AccessibleAWTWindow
Uses of Class java.beans.PropertyChangeSupport
Uses of Class java.io.InputStream
Uses of Class java.io.IOException
Uses of Class java.io.ObjectOutputStream
Uses of Class java.io.PrintStream
Uses of Class java.io.PrintWriter
Uses of Class java.lang.Class
Uses of Class java.lang.Error
Uses of Class java.lang.Exception
Uses of Class java.lang.IllegalStateException
Uses of Class java.lang.IndexOutOfBoundsException
Uses of Class java.lang.InterruptedException
Uses of Class java.lang.Number
Uses of Class java.lang.NumberFormatException
Uses of Class java.lang.Object
Uses of Class java.lang.reflect.InvocationTargetException
Uses of Class java.lang.RuntimeException
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Class java.net.URL
Uses of Class java.security.BasicPermission
Uses of Class java.security.Permission
Uses of Class java.text.AttributedCharacterIterator.Attribute
Uses of Class java.util.EmptyStackException
Uses of Class java.util.EventObject
Uses of Class java.util.Hashtable
Uses of Class java.util.Locale
Uses of Class java.util.Properties
Uses of Class java.util.ResourceBundle
Uses of Class javax.accessibility.AccessibleContext
Uses of Class javax.accessibility.AccessibleRole
Uses of Class javax.accessibility.AccessibleStateSet
Uses of Interface java.awt.Adjustable
Uses of Interface java.awt.Composite
Uses of Interface java.awt.CompositeContext
Uses of Interface java.awt.dnd.DragGestureListener
Uses of Interface java.awt.event.ActionListener
Uses of Interface java.awt.event.AdjustmentListener
Uses of Interface java.awt.event.AWTEventListener
Uses of Interface java.awt.event.ComponentListener
Uses of Interface java.awt.event.ContainerListener
Uses of Interface java.awt.event.FocusListener
Uses of Interface java.awt.event.HierarchyBoundsListener
Uses of Interface java.awt.event.HierarchyListener
Uses of Interface java.awt.event.InputMethodListener
Uses of Interface java.awt.event.ItemListener
Uses of Interface java.awt.event.KeyListener
Uses of Interface java.awt.event.MouseListener
Uses of Interface java.awt.event.MouseMotionListener
Uses of Interface java.awt.event.TextListener
Uses of Interface java.awt.event.WindowListener
Uses of Interface java.awt.geom.PathIterator
Uses of Interface java.awt.im.InputMethodRequests
Uses of Interface java.awt.image.BufferedImageOp
Uses of Interface java.awt.image.ImageObserver
Uses of Interface java.awt.image.ImageProducer
Uses of Interface java.awt.image.renderable.RenderableImage
Uses of Interface java.awt.image.RenderedImage
Uses of Interface java.awt.ItemSelectable
Uses of Interface java.awt.LayoutManager
Uses of Interface java.awt.LayoutManager2
Uses of Interface java.awt.MenuContainer
Uses of Interface java.awt.Paint
Uses of Interface java.awt.PaintContext
Uses of Interface java.awt.Shape
Uses of Interface java.awt.Stroke
Uses of Interface java.awt.Transparency
Uses of Interface java.beans.PropertyChangeListener
Uses of Interface java.io.FilenameFilter
Uses of Interface java.io.Serializable
Uses of Interface java.lang.Cloneable
Uses of Interface java.lang.Runnable
Uses of Interface java.security.Guard
Uses of Interface java.text.AttributedCharacterIterator
Uses of Interface java.text.CharacterIterator
Uses of Interface java.util.Collection
Uses of Interface java.util.Enumeration
Uses of Interface java.util.EventListener
Uses of Interface java.util.Map
Uses of Interface java.util.Set
Uses of Interface javax.accessibility.Accessible
Uses of Interface javax.accessibility.AccessibleAction
Uses of Interface javax.accessibility.AccessibleComponent
Uses of Interface javax.accessibility.AccessibleSelection
Uses of Interface javax.accessibility.AccessibleText
Uses of Interface javax.accessibility.AccessibleValue
Uses of Interface javax.swing.text.AttributeSet
java.awt.color found in:
Uses of Class java.awt.color.ColorSpace
Uses of Class java.awt.color.ICC_Profile
Uses of Class java.io.InputStream
Uses of Class java.io.IOException
Uses of Class java.io.ObjectStreamException
Uses of Class java.io.OutputStream
Uses of Class java.lang.Exception
Uses of Class java.lang.Object
Uses of Class java.lang.RuntimeException
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Interface java.io.Serializable
java.awt.datatransfer found in:
Uses of Class java.awt.datatransfer.Clipboard
Uses of Class java.awt.datatransfer.DataFlavor
Uses of Class java.awt.datatransfer.UnsupportedFlavorException
Uses of Class java.io.IOException
Uses of Class java.io.Reader
Uses of Class java.lang.Class
Uses of Class java.lang.ClassLoader
Uses of Class java.lang.ClassNotFoundException
Uses of Class java.lang.CloneNotSupportedException
Uses of Class java.lang.Exception
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Interface java.awt.datatransfer.ClipboardOwner
Uses of Interface java.awt.datatransfer.FlavorMap
Uses of Interface java.awt.datatransfer.Transferable
Uses of Interface java.io.Externalizable
Uses of Interface java.io.ObjectInput
Uses of Interface java.io.ObjectOutput
Uses of Interface java.io.Serializable
Uses of Interface java.lang.Cloneable
Uses of Interface java.util.Map
java.awt.dnd found in:
Uses of Class java.awt.Component
Uses of Class java.awt.Cursor
Uses of Class java.awt.datatransfer.DataFlavor
Uses of Class java.awt.datatransfer.UnsupportedFlavorException
Uses of Class java.awt.dnd.DragGestureEvent
Uses of Class java.awt.dnd.DragGestureRecognizer
Uses of Class java.awt.dnd.DragSource
Uses of Class java.awt.dnd.DragSourceContext
Uses of Class java.awt.dnd.DragSourceDragEvent
Uses of Class java.awt.dnd.DragSourceDropEvent
Uses of Class java.awt.dnd.DragSourceEvent
Uses of Class java.awt.dnd.DropTarget
Uses of Class java.awt.dnd.DropTarget.DropTargetAutoScroller
Uses of Class java.awt.dnd.DropTargetContext
Uses of Class java.awt.dnd.DropTargetDragEvent
Uses of Class java.awt.dnd.DropTargetDropEvent
Uses of Class java.awt.dnd.DropTargetEvent
Uses of Class java.awt.dnd.InvalidDnDOperationException
Uses of Class java.awt.event.ActionEvent
Uses of Class java.awt.event.InputEvent
Uses of Class java.awt.event.MouseEvent
Uses of Class java.awt.Image
Uses of Class java.awt.Insets
Uses of Class java.awt.Point
Uses of Class java.io.IOException
Uses of Class java.lang.Class
Uses of Class java.lang.Exception
Uses of Class java.lang.IllegalStateException
Uses of Class java.lang.Object
Uses of Class java.lang.RuntimeException
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Class java.util.ArrayList
Uses of Class java.util.EventObject
Uses of Class java.util.TooManyListenersException
Uses of Interface java.awt.datatransfer.FlavorMap
Uses of Interface java.awt.datatransfer.Transferable
Uses of Interface java.awt.dnd.DragGestureListener
Uses of Interface java.awt.dnd.DragSourceListener
Uses of Interface java.awt.dnd.DropTargetListener
Uses of Interface java.awt.event.ActionListener
Uses of Interface java.awt.event.MouseListener
Uses of Interface java.awt.event.MouseMotionListener
Uses of Interface java.io.Serializable
Uses of Interface java.util.EventListener
Uses of Interface java.util.Iterator
Uses of Interface java.util.List
java.awt.event found in:
Uses of Class java.awt.AWTEvent
Uses of Class java.awt.Component
Uses of Class java.awt.Container
Uses of Class java.awt.event.ActionEvent
Uses of Class java.awt.event.AdjustmentEvent
Uses of Class java.awt.event.ComponentEvent
Uses of Class java.awt.event.ContainerEvent
Uses of Class java.awt.event.FocusEvent
Uses of Class java.awt.event.HierarchyEvent
Uses of Class java.awt.event.InputEvent
Uses of Class java.awt.event.InputMethodEvent
Uses of Class java.awt.event.ItemEvent
Uses of Class java.awt.event.KeyEvent
Uses of Class java.awt.event.MouseEvent
Uses of Class java.awt.event.TextEvent
Uses of Class java.awt.event.WindowEvent
Uses of Class java.awt.font.TextHitInfo
Uses of Class java.awt.Point
Uses of Class java.awt.Rectangle
Uses of Class java.awt.Window
Uses of Class java.lang.Exception
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.util.EventObject
Uses of Interface java.awt.ActiveEvent
Uses of Interface java.awt.Adjustable
Uses of Interface java.awt.event.ComponentListener
Uses of Interface java.awt.event.ContainerListener
Uses of Interface java.awt.event.FocusListener
Uses of Interface java.awt.event.HierarchyBoundsListener
Uses of Interface java.awt.event.KeyListener
Uses of Interface java.awt.event.MouseListener
Uses of Interface java.awt.event.MouseMotionListener
Uses of Interface java.awt.event.WindowListener
Uses of Interface java.awt.ItemSelectable
Uses of Interface java.io.Serializable
Uses of Interface java.lang.Runnable
Uses of Interface java.text.AttributedCharacterIterator
Uses of Interface java.util.EventListener
java.awt.font found in:
Uses of Class java.awt.Font
Uses of Class java.awt.font.FontRenderContext
Uses of Class java.awt.font.GlyphJustificationInfo
Uses of Class java.awt.font.GlyphMetrics
Uses of Class java.awt.font.GlyphVector
Uses of Class java.awt.font.GraphicAttribute
Uses of Class java.awt.font.ImageGraphicAttribute
Uses of Class java.awt.font.ShapeGraphicAttribute
Uses of Class java.awt.font.TextAttribute
Uses of Class java.awt.font.TextHitInfo
Uses of Class java.awt.font.TextLayout
Uses of Class java.awt.font.TextLayout.CaretPolicy
Uses of Class java.awt.geom.AffineTransform
Uses of Class java.awt.geom.Point2D
Uses of Class java.awt.geom.Rectangle2D
Uses of Class java.awt.Graphics2D
Uses of Class java.awt.Image
Uses of Class java.io.InvalidObjectException
Uses of Class java.lang.Boolean
Uses of Class java.lang.Float
Uses of Class java.lang.Integer
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.text.AttributedCharacterIterator.Attribute
Uses of Class java.text.BreakIterator
Uses of Interface java.awt.Shape
Uses of Interface java.io.Serializable
Uses of Interface java.lang.Cloneable
Uses of Interface java.text.AttributedCharacterIterator
Uses of Interface java.util.Map
java.awt.geom found in:
Uses of Class java.awt.geom.AffineTransform
Uses of Class java.awt.geom.Arc2D
Uses of Class java.awt.geom.Area
Uses of Class java.awt.geom.CubicCurve2D
Uses of Class java.awt.geom.Dimension2D
Uses of Class java.awt.geom.Ellipse2D
Uses of Class java.awt.geom.Line2D
Uses of Class java.awt.geom.NoninvertibleTransformException
Uses of Class java.awt.geom.Point2D
Uses of Class java.awt.geom.QuadCurve2D
Uses of Class java.awt.geom.Rectangle2D
Uses of Class java.awt.geom.RectangularShape
Uses of Class java.awt.geom.RoundRectangle2D
Uses of Class java.awt.Rectangle
Uses of Class java.lang.Exception
Uses of Class java.lang.Object
Uses of Class java.lang.RuntimeException
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Interface java.awt.geom.PathIterator
Uses of Interface java.awt.Shape
Uses of Interface java.io.Serializable
Uses of Interface java.lang.Cloneable
java.awt.im found in:
Uses of Class java.awt.AWTEvent
Uses of Class java.awt.Component
Uses of Class java.awt.font.TextHitInfo
Uses of Class java.awt.im.InputContext
Uses of Class java.awt.im.InputMethodHighlight
Uses of Class java.awt.im.InputSubset
Uses of Class java.awt.Rectangle
Uses of Class java.lang.Character.Subset
Uses of Class java.lang.Object
Uses of Class java.text.AttributedCharacterIterator.Attribute
Uses of Class java.util.Locale
Uses of Interface java.text.AttributedCharacterIterator
Uses of Interface java.util.Map
java.awt.im.spi found in:
Uses of Class java.awt.AWTEvent
Uses of Class java.awt.AWTException
Uses of Class java.awt.font.TextHitInfo
Uses of Class java.awt.Image
Uses of Class java.awt.Rectangle
Uses of Class java.awt.Window
Uses of Class java.lang.Character.Subset
Uses of Class java.lang.Exception
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.util.Locale
Uses of Interface java.awt.im.InputMethodRequests
Uses of Interface java.awt.im.spi.InputMethod
Uses of Interface java.awt.im.spi.InputMethodContext
Uses of Interface java.text.AttributedCharacterIterator
java.awt.image found in:
Uses of Class java.awt.color.ColorSpace
Uses of Class java.awt.color.ICC_Profile
Uses of Class java.awt.geom.AffineTransform
Uses of Class java.awt.geom.Point2D
Uses of Class java.awt.geom.Rectangle2D
Uses of Class java.awt.Graphics
Uses of Class java.awt.Graphics2D
Uses of Class java.awt.Image
Uses of Class java.awt.image.BufferedImage
Uses of Class java.awt.image.ColorModel
Uses of Class java.awt.image.ComponentSampleModel
Uses of Class java.awt.image.DataBuffer
Uses of Class java.awt.image.ImageFilter
Uses of Class java.awt.image.IndexColorModel
Uses of Class java.awt.image.Kernel
Uses of Class java.awt.image.LookupTable
Uses of Class java.awt.image.PackedColorModel
Uses of Class java.awt.image.Raster
Uses of Class java.awt.image.ReplicateScaleFilter
Uses of Class java.awt.image.SampleModel
Uses of Class java.awt.image.WritableRaster
Uses of Class java.awt.Point
Uses of Class java.awt.Rectangle
Uses of Class java.awt.RenderingHints
Uses of Class java.lang.Exception
Uses of Class java.lang.InterruptedException
Uses of Class java.lang.Object
Uses of Class java.lang.RuntimeException
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Class java.math.BigInteger
Uses of Class java.util.Hashtable
Uses of Class java.util.Vector
Uses of Interface java.awt.image.BufferedImageOp
Uses of Interface java.awt.image.ImageConsumer
Uses of Interface java.awt.image.ImageObserver
Uses of Interface java.awt.image.ImageProducer
Uses of Interface java.awt.image.RasterOp
Uses of Interface java.awt.image.RenderedImage
Uses of Interface java.awt.image.TileObserver
Uses of Interface java.awt.image.WritableRenderedImage
Uses of Interface java.awt.Transparency
Uses of Interface java.io.Serializable
Uses of Interface java.lang.Cloneable
java.awt.image.renderable found in:
Uses of Class java.awt.geom.AffineTransform
Uses of Class java.awt.geom.Rectangle2D
Uses of Class java.awt.image.renderable.ParameterBlock
Uses of Class java.awt.image.renderable.RenderContext
Uses of Class java.awt.RenderingHints
Uses of Class java.lang.Class
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.util.Vector
Uses of Interface java.awt.image.ImageConsumer
Uses of Interface java.awt.image.ImageProducer
Uses of Interface java.awt.image.renderable.ContextualRenderedImageFactory
Uses of Interface java.awt.image.renderable.RenderableImage
Uses of Interface java.awt.image.renderable.RenderedImageFactory
Uses of Interface java.awt.image.RenderedImage
Uses of Interface java.awt.Shape
Uses of Interface java.io.Serializable
Uses of Interface java.lang.Cloneable
Uses of Interface java.lang.Runnable
java.awt.print found in:
Uses of Class java.awt.Graphics
Uses of Class java.awt.print.PageFormat
Uses of Class java.awt.print.Paper
Uses of Class java.awt.print.PrinterException
Uses of Class java.awt.print.PrinterJob
Uses of Class java.io.IOException
Uses of Class java.lang.Exception
Uses of Class java.lang.IllegalArgumentException
Uses of Class java.lang.IndexOutOfBoundsException
Uses of Class java.lang.NullPointerException
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Interface java.awt.print.Pageable
Uses of Interface java.awt.print.Printable
Uses of Interface java.io.Serializable
Uses of Interface java.lang.Cloneable
java.beans found in:
Uses of Class java.applet.Applet
Uses of Class java.awt.Component
Uses of Class java.awt.Graphics
Uses of Class java.awt.Image
Uses of Class java.awt.Rectangle
Uses of Class java.beans.BeanDescriptor
Uses of Class java.beans.EventSetDescriptor
Uses of Class java.beans.FeatureDescriptor
Uses of Class java.beans.IntrospectionException
Uses of Class java.beans.MethodDescriptor
Uses of Class java.beans.ParameterDescriptor
Uses of Class java.beans.PropertyChangeEvent
Uses of Class java.beans.PropertyDescriptor
Uses of Class java.beans.PropertyVetoException
Uses of Class java.io.IOException
Uses of Class java.lang.Class
Uses of Class java.lang.ClassLoader
Uses of Class java.lang.ClassNotFoundException
Uses of Class java.lang.Exception
Uses of Class java.lang.IllegalArgumentException
Uses of Class java.lang.Object
Uses of Class java.lang.reflect.Method
Uses of Class java.lang.SecurityException
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Class java.util.EventObject
Uses of Interface java.beans.AppletInitializer
Uses of Interface java.beans.beancontext.BeanContext
Uses of Interface java.beans.BeanInfo
Uses of Interface java.beans.PropertyChangeListener
Uses of Interface java.beans.PropertyEditor
Uses of Interface java.beans.VetoableChangeListener
Uses of Interface java.io.Serializable
Uses of Interface java.util.Enumeration
Uses of Interface java.util.EventListener
java.beans.beancontext found in:
Uses of Class java.awt.Component
Uses of Class java.awt.Container
Uses of Class java.beans.beancontext.BeanContextChildSupport
Uses of Class java.beans.beancontext.BeanContextEvent
Uses of Class java.beans.beancontext.BeanContextMembershipEvent
Uses of Class java.beans.beancontext.BeanContextServiceAvailableEvent
Uses of Class java.beans.beancontext.BeanContextServiceRevokedEvent
Uses of Class java.beans.beancontext.BeanContextServicesSupport.BCSSProxyServiceProvider
Uses of Class java.beans.beancontext.BeanContextServicesSupport.BCSSServiceProvider
Uses of Class java.beans.beancontext.BeanContextSupport
Uses of Class java.beans.beancontext.BeanContextSupport.BCSChild
Uses of Class java.beans.PropertyChangeEvent
Uses of Class java.beans.PropertyChangeSupport
Uses of Class java.beans.PropertyVetoException
Uses of Class java.beans.VetoableChangeSupport
Uses of Class java.io.InputStream
Uses of Class java.io.IOException
Uses of Class java.io.ObjectInputStream
Uses of Class java.io.ObjectOutputStream
Uses of Class java.lang.Class
Uses of Class java.lang.ClassNotFoundException
Uses of Class java.lang.IllegalArgumentException
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.net.URL
Uses of Class java.util.ArrayList
Uses of Class java.util.EventObject
Uses of Class java.util.HashMap
Uses of Class java.util.Locale
Uses of Class java.util.TooManyListenersException
Uses of Interface java.beans.beancontext.BeanContext
Uses of Interface java.beans.beancontext.BeanContextChild
Uses of Interface java.beans.beancontext.BeanContextMembershipListener
Uses of Interface java.beans.beancontext.BeanContextServiceProvider
Uses of Interface java.beans.beancontext.BeanContextServiceRevokedListener
Uses of Interface java.beans.beancontext.BeanContextServices
Uses of Interface java.beans.beancontext.BeanContextServicesListener
Uses of Interface java.beans.BeanInfo
Uses of Interface java.beans.DesignMode
Uses of Interface java.beans.PropertyChangeListener
Uses of Interface java.beans.VetoableChangeListener
Uses of Interface java.beans.Visibility
Uses of Interface java.io.Serializable
Uses of Interface java.util.Collection
Uses of Interface java.util.EventListener
Uses of Interface java.util.Iterator
java.io found in:
Uses of Class java.io.BufferedReader
Uses of Class java.io.File
Uses of Class java.io.FileDescriptor
Uses of Class java.io.FileNotFoundException
Uses of Class java.io.FilterInputStream
Uses of Class java.io.FilterOutputStream
Uses of Class java.io.FilterReader
Uses of Class java.io.InputStream
Uses of Class java.io.InputStreamReader
Uses of Class java.io.InvalidObjectException
Uses of Class java.io.IOException
Uses of Class java.io.NotActiveException
Uses of Class java.io.ObjectInputStream.GetField
Uses of Class java.io.ObjectOutputStream.PutField
Uses of Class java.io.ObjectStreamClass
Uses of Class java.io.ObjectStreamException
Uses of Class java.io.ObjectStreamField
Uses of Class java.io.OptionalDataException
Uses of Class java.io.OutputStream
Uses of Class java.io.OutputStreamWriter
Uses of Class java.io.PipedInputStream
Uses of Class java.io.PipedOutputStream
Uses of Class java.io.PipedReader
Uses of Class java.io.PipedWriter
Uses of Class java.io.Reader
Uses of Class java.io.SerializablePermission
Uses of Class java.io.StreamCorruptedException
Uses of Class java.io.SyncFailedException
Uses of Class java.io.UnsupportedEncodingException
Uses of Class java.io.Writer
Uses of Class java.lang.Class
Uses of Class java.lang.ClassNotFoundException
Uses of Class java.lang.Exception
Uses of Class java.lang.IllegalArgumentException
Uses of Class java.lang.Object
Uses of Class java.lang.SecurityException
Uses of Class java.lang.String
Uses of Class java.lang.StringBuffer
Uses of Class java.lang.Throwable
Uses of Class java.net.MalformedURLException
Uses of Class java.net.URL
Uses of Class java.security.BasicPermission
Uses of Class java.security.Permission
Uses of Class java.security.PermissionCollection
Uses of Interface java.io.DataInput
Uses of Interface java.io.DataOutput
Uses of Interface java.io.FileFilter
Uses of Interface java.io.FilenameFilter
Uses of Interface java.io.ObjectInput
Uses of Interface java.io.ObjectInputValidation
Uses of Interface java.io.ObjectOutput
Uses of Interface java.io.ObjectStreamConstants
Uses of Interface java.io.Serializable
Uses of Interface java.lang.Comparable
Uses of Interface java.security.Guard
Uses of Interface java.util.Enumeration
java.lang found in:
Uses of Class java.io.File
Uses of Class java.io.FileDescriptor
Uses of Class java.io.InputStream
Uses of Class java.io.IOException
Uses of Class java.io.OutputStream
Uses of Class java.io.PrintStream
Uses of Class java.io.PrintWriter
Uses of Class java.io.UnsupportedEncodingException
Uses of Class java.lang.Boolean
Uses of Class java.lang.Byte
Uses of Class java.lang.Character
Uses of Class java.lang.Character.Subset
Uses of Class java.lang.Character.UnicodeBlock
Uses of Class java.lang.Class
Uses of Class java.lang.ClassFormatError
Uses of Class java.lang.ClassLoader
Uses of Class java.lang.ClassNotFoundException
Uses of Class java.lang.CloneNotSupportedException
Uses of Class java.lang.Double
Uses of Class java.lang.Error
Uses of Class java.lang.Exception
Uses of Class java.lang.Float
Uses of Class java.lang.IllegalAccessException
Uses of Class java.lang.IllegalArgumentException
Uses of Class java.lang.IncompatibleClassChangeError
Uses of Class java.lang.IndexOutOfBoundsException
Uses of Class java.lang.InstantiationException
Uses of Class java.lang.Integer
Uses of Class java.lang.InterruptedException
Uses of Class java.lang.LinkageError
Uses of Class java.lang.Long
Uses of Class java.lang.NoSuchFieldException
Uses of Class java.lang.NoSuchMethodException
Uses of Class java.lang.Number
Uses of Class java.lang.NumberFormatException
Uses of Class java.lang.Object
Uses of Class java.lang.Package
Uses of Class java.lang.Process
Uses of Class java.lang.reflect.Constructor
Uses of Class java.lang.reflect.Field
Uses of Class java.lang.reflect.Method
Uses of Class java.lang.Runtime
Uses of Class java.lang.RuntimeException
Uses of Class java.lang.SecurityException
Uses of Class java.lang.SecurityManager
Uses of Class java.lang.Short
Uses of Class java.lang.String
Uses of Class java.lang.StringBuffer
Uses of Class java.lang.Thread
Uses of Class java.lang.ThreadGroup
Uses of Class java.lang.ThreadLocal
Uses of Class java.lang.Throwable
Uses of Class java.lang.VirtualMachineError
Uses of Class java.net.InetAddress
Uses of Class java.net.URL
Uses of Class java.security.BasicPermission
Uses of Class java.security.Permission
Uses of Class java.security.ProtectionDomain
Uses of Class java.util.Locale
Uses of Class java.util.Properties
Uses of Interface java.io.Serializable
Uses of Interface java.lang.Comparable
Uses of Interface java.lang.Runnable
Uses of Interface java.security.Guard
Uses of Interface java.util.Comparator
Uses of Interface java.util.Enumeration
java.lang.ref found in:
Uses of Class java.lang.IllegalArgumentException
Uses of Class java.lang.InterruptedException
Uses of Class java.lang.Object
Uses of Class java.lang.ref.Reference
Uses of Class java.lang.ref.ReferenceQueue
java.lang.reflect found in:
Uses of Class java.io.PrintStream
Uses of Class java.io.PrintWriter
Uses of Class java.lang.ArrayIndexOutOfBoundsException
Uses of Class java.lang.Class
Uses of Class java.lang.ClassLoader
Uses of Class java.lang.Exception
Uses of Class java.lang.IllegalAccessException
Uses of Class java.lang.IllegalArgumentException
Uses of Class java.lang.InstantiationException
Uses of Class java.lang.NegativeArraySizeException
Uses of Class java.lang.Object
Uses of Class java.lang.reflect.AccessibleObject
Uses of Class java.lang.reflect.InvocationTargetException
Uses of Class java.lang.reflect.Method
Uses of Class java.lang.RuntimeException
Uses of Class java.lang.SecurityException
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Class java.security.BasicPermission
Uses of Class java.security.Permission
Uses of Interface java.io.Serializable
Uses of Interface java.lang.reflect.InvocationHandler
Uses of Interface java.lang.reflect.Member
Uses of Interface java.security.Guard
java.math found in:
Uses of Class java.lang.Number
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.math.BigDecimal
Uses of Class java.math.BigInteger
Uses of Class java.util.Random
Uses of Interface java.io.Serializable
Uses of Interface java.lang.Comparable
java.net found in:
Uses of Class java.io.FileDescriptor
Uses of Class java.io.InputStream
Uses of Class java.io.IOException
Uses of Class java.io.OutputStream
Uses of Class java.lang.Class
Uses of Class java.lang.ClassLoader
Uses of Class java.lang.ClassNotFoundException
Uses of Class java.lang.Exception
Uses of Class java.lang.IllegalArgumentException
Uses of Class java.lang.Object
Uses of Class java.lang.Package
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Class java.net.Authenticator
Uses of Class java.net.ContentHandler
Uses of Class java.net.DatagramPacket
Uses of Class java.net.DatagramSocket
Uses of Class java.net.DatagramSocketImpl
Uses of Class java.net.InetAddress
Uses of Class java.net.MalformedURLException
Uses of Class java.net.PasswordAuthentication
Uses of Class java.net.ProtocolException
Uses of Class java.net.Socket
Uses of Class java.net.SocketException
Uses of Class java.net.SocketImpl
Uses of Class java.net.UnknownHostException
Uses of Class java.net.URL
Uses of Class java.net.URLClassLoader
Uses of Class java.net.URLConnection
Uses of Class java.net.URLStreamHandler
Uses of Class java.security.BasicPermission
Uses of Class java.security.cert.Certificate
Uses of Class java.security.CodeSource
Uses of Class java.security.Permission
Uses of Class java.security.PermissionCollection
Uses of Class java.security.SecureClassLoader
Uses of Class java.util.jar.Attributes
Uses of Class java.util.jar.JarEntry
Uses of Class java.util.jar.JarFile
Uses of Class java.util.jar.Manifest
Uses of Interface java.io.Serializable
Uses of Interface java.net.ContentHandlerFactory
Uses of Interface java.net.DatagramSocketImplFactory
Uses of Interface java.net.FileNameMap
Uses of Interface java.net.SocketImplFactory
Uses of Interface java.net.SocketOptions
Uses of Interface java.net.URLStreamHandlerFactory
Uses of Interface java.security.Guard
Uses of Interface java.util.Enumeration
java.rmi found in:
Uses of Class java.io.IOException
Uses of Class java.io.PrintStream
Uses of Class java.io.PrintWriter
Uses of Class java.lang.ClassNotFoundException
Uses of Class java.lang.Error
Uses of Class java.lang.Exception
Uses of Class java.lang.Object
Uses of Class java.lang.RuntimeException
Uses of Class java.lang.SecurityException
Uses of Class java.lang.SecurityManager
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Class java.net.MalformedURLException
Uses of Class java.rmi.AlreadyBoundException
Uses of Class java.rmi.NotBoundException
Uses of Class java.rmi.RemoteException
Uses of Interface java.io.Serializable
Uses of Interface java.rmi.Remote
java.rmi.activation found in:
Uses of Class java.io.IOException
Uses of Class java.io.PrintStream
Uses of Class java.io.PrintWriter
Uses of Class java.lang.Exception
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Class java.rmi.activation.ActivationDesc
Uses of Class java.rmi.activation.ActivationException
Uses of Class java.rmi.activation.ActivationGroup
Uses of Class java.rmi.activation.ActivationGroupDesc
Uses of Class java.rmi.activation.ActivationGroupDesc.CommandEnvironment
Uses of Class java.rmi.activation.ActivationGroupID
Uses of Class java.rmi.activation.ActivationID
Uses of Class java.rmi.activation.UnknownGroupException
Uses of Class java.rmi.activation.UnknownObjectException
Uses of Class java.rmi.MarshalledObject
Uses of Class java.rmi.NoSuchObjectException
Uses of Class java.rmi.RemoteException
Uses of Class java.rmi.server.RemoteObject
Uses of Class java.rmi.server.RemoteServer
Uses of Class java.rmi.server.UnicastRemoteObject
Uses of Class java.util.Properties
Uses of Interface java.io.Serializable
Uses of Interface java.rmi.activation.ActivationInstantiator
Uses of Interface java.rmi.activation.ActivationMonitor
Uses of Interface java.rmi.activation.ActivationSystem
Uses of Interface java.rmi.activation.Activator
Uses of Interface java.rmi.Remote
Uses of Interface java.rmi.server.RMIClientSocketFactory
Uses of Interface java.rmi.server.RMIServerSocketFactory
java.rmi.dgc found in:
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.rmi.dgc.Lease
Uses of Class java.rmi.dgc.VMID
Uses of Class java.rmi.RemoteException
Uses of Class java.rmi.server.ObjID
Uses of Interface java.io.Serializable
Uses of Interface java.rmi.Remote
java.rmi.registry found in:
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.rmi.AccessException
Uses of Class java.rmi.AlreadyBoundException
Uses of Class java.rmi.NotBoundException
Uses of Class java.rmi.RemoteException
Uses of Class java.rmi.UnknownHostException
Uses of Interface java.rmi.registry.Registry
Uses of Interface java.rmi.Remote
Uses of Interface java.rmi.server.RMIClientSocketFactory
Uses of Interface java.rmi.server.RMIServerSocketFactory
java.rmi.server found in:
Uses of Class java.io.FilterOutputStream
Uses of Class java.io.IOException
Uses of Class java.io.OutputStream
Uses of Class java.io.PrintStream
Uses of Class java.io.PrintWriter
Uses of Class java.io.StreamCorruptedException
Uses of Class java.lang.Class
Uses of Class java.lang.ClassLoader
Uses of Class java.lang.ClassNotFoundException
Uses of Class java.lang.CloneNotSupportedException
Uses of Class java.lang.Exception
Uses of Class java.lang.Object
Uses of Class java.lang.reflect.Method
Uses of Class java.lang.SecurityException
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Class java.net.MalformedURLException
Uses of Class java.net.ServerSocket
Uses of Class java.net.Socket
Uses of Class java.net.URL
Uses of Class java.rmi.NoSuchObjectException
Uses of Class java.rmi.RemoteException
Uses of Class java.rmi.server.ExportException
Uses of Class java.rmi.server.LogStream
Uses of Class java.rmi.server.ObjID
Uses of Class java.rmi.server.Operation
Uses of Class java.rmi.server.RemoteObject
Uses of Class java.rmi.server.RemoteServer
Uses of Class java.rmi.server.RemoteStub
Uses of Class java.rmi.server.RMISocketFactory
Uses of Class java.rmi.server.ServerNotActiveException
Uses of Class java.rmi.server.UID
Uses of Interface java.io.DataInput
Uses of Interface java.io.DataOutput
Uses of Interface java.io.Externalizable
Uses of Interface java.io.ObjectInput
Uses of Interface java.io.ObjectOutput
Uses of Interface java.io.Serializable
Uses of Interface java.rmi.Remote
Uses of Interface java.rmi.server.RemoteCall
Uses of Interface java.rmi.server.RemoteRef
Uses of Interface java.rmi.server.RMIClientSocketFactory
Uses of Interface java.rmi.server.RMIFailureHandler
Uses of Interface java.rmi.server.RMIServerSocketFactory
java.security found in:
Uses of Class java.io.FilterInputStream
Uses of Class java.io.FilterOutputStream
Uses of Class java.io.InputStream
Uses of Class java.io.IOException
Uses of Class java.io.OutputStream
Uses of Class java.io.PrintStream
Uses of Class java.io.PrintWriter
Uses of Class java.lang.Class
Uses of Class java.lang.ClassLoader
Uses of Class java.lang.ClassNotFoundException
Uses of Class java.lang.CloneNotSupportedException
Uses of Class java.lang.Exception
Uses of Class java.lang.IllegalArgumentException
Uses of Class java.lang.Object
Uses of Class java.lang.RuntimeException
Uses of Class java.lang.SecurityException
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Class java.net.URL
Uses of Class java.security.AccessControlContext
Uses of Class java.security.AccessControlException
Uses of Class java.security.AlgorithmParameterGenerator
Uses of Class java.security.AlgorithmParameterGeneratorSpi
Uses of Class java.security.AlgorithmParameters
Uses of Class java.security.AlgorithmParametersSpi
Uses of Class java.security.BasicPermission
Uses of Class java.security.cert.Certificate
Uses of Class java.security.cert.CertificateException
Uses of Class java.security.CodeSource
Uses of Class java.security.DigestException
Uses of Class java.security.GeneralSecurityException
Uses of Class java.security.Identity
Uses of Class java.security.IdentityScope
Uses of Class java.security.InvalidAlgorithmParameterException
Uses of Class java.security.InvalidKeyException
Uses of Class java.security.InvalidParameterException
Uses of Class java.security.KeyException
Uses of Class java.security.KeyFactory
Uses of Class java.security.KeyFactorySpi
Uses of Class java.security.KeyManagementException
Uses of Class java.security.KeyPair
Uses of Class java.security.KeyPairGenerator
Uses of Class java.security.KeyPairGeneratorSpi
Uses of Class java.security.KeyStore
Uses of Class java.security.KeyStoreException
Uses of Class java.security.KeyStoreSpi
Uses of Class java.security.MessageDigest
Uses of Class java.security.MessageDigestSpi
Uses of Class java.security.NoSuchAlgorithmException
Uses of Class java.security.NoSuchProviderException
Uses of Class java.security.Permission
Uses of Class java.security.PermissionCollection
Uses of Class java.security.Policy
Uses of Class java.security.PrivilegedActionException
Uses of Class java.security.ProtectionDomain
Uses of Class java.security.Provider
Uses of Class java.security.SecureRandom
Uses of Class java.security.SecureRandomSpi
Uses of Class java.security.Signature
Uses of Class java.security.SignatureException
Uses of Class java.security.SignatureSpi
Uses of Class java.security.spec.InvalidKeySpecException
Uses of Class java.security.spec.InvalidParameterSpecException
Uses of Class java.security.UnrecoverableKeyException
Uses of Class java.util.Date
Uses of Class java.util.Dictionary
Uses of Class java.util.Hashtable
Uses of Class java.util.Properties
Uses of Class java.util.Random
Uses of Interface java.io.Serializable
Uses of Interface java.lang.Cloneable
Uses of Interface java.security.Certificate
Uses of Interface java.security.DomainCombiner
Uses of Interface java.security.Guard
Uses of Interface java.security.Key
Uses of Interface java.security.Principal
Uses of Interface java.security.PrivateKey
Uses of Interface java.security.PrivilegedAction
Uses of Interface java.security.PrivilegedExceptionAction
Uses of Interface java.security.PublicKey
Uses of Interface java.security.spec.AlgorithmParameterSpec
Uses of Interface java.security.spec.KeySpec
Uses of Interface java.util.Collection
Uses of Interface java.util.Enumeration
Uses of Interface java.util.Map
Uses of Interface java.util.Set
java.security.acl found in:
Uses of Class java.lang.Exception
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Class java.security.acl.LastOwnerException
Uses of Class java.security.acl.NotOwnerException
Uses of Interface java.io.Serializable
Uses of Interface java.lang.Cloneable
Uses of Interface java.security.acl.AclEntry
Uses of Interface java.security.acl.Owner
Uses of Interface java.security.acl.Permission
Uses of Interface java.security.Principal
Uses of Interface java.util.Enumeration
java.security.cert found in:
Uses of Class java.io.InputStream
Uses of Class java.io.ObjectStreamException
Uses of Class java.lang.Exception
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Class java.math.BigInteger
Uses of Class java.security.cert.Certificate
Uses of Class java.security.cert.CertificateEncodingException
Uses of Class java.security.cert.CertificateException
Uses of Class java.security.cert.CertificateExpiredException
Uses of Class java.security.cert.CertificateFactory
Uses of Class java.security.cert.CertificateFactorySpi
Uses of Class java.security.cert.CertificateNotYetValidException
Uses of Class java.security.cert.CRL
Uses of Class java.security.cert.CRLException
Uses of Class java.security.cert.X509CRLEntry
Uses of Class java.security.GeneralSecurityException
Uses of Class java.security.InvalidKeyException
Uses of Class java.security.NoSuchAlgorithmException
Uses of Class java.security.NoSuchProviderException
Uses of Class java.security.Provider
Uses of Class java.security.SignatureException
Uses of Class java.util.Date
Uses of Interface java.io.Serializable
Uses of Interface java.security.cert.X509Extension
Uses of Interface java.security.Principal
Uses of Interface java.security.PublicKey
Uses of Interface java.util.Collection
Uses of Interface java.util.Set
java.security.interfaces found in:
Uses of Class java.math.BigInteger
Uses of Class java.security.InvalidParameterException
Uses of Class java.security.SecureRandom
Uses of Interface java.io.Serializable
Uses of Interface java.security.interfaces.DSAKey
Uses of Interface java.security.interfaces.DSAParams
Uses of Interface java.security.interfaces.RSAKey
Uses of Interface java.security.interfaces.RSAPrivateKey
Uses of Interface java.security.Key
Uses of Interface java.security.PrivateKey
Uses of Interface java.security.PublicKey
java.security.spec found in:
Uses of Class java.lang.Exception
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Class java.math.BigInteger
Uses of Class java.security.GeneralSecurityException
Uses of Class java.security.spec.EncodedKeySpec
Uses of Class java.security.spec.RSAPrivateKeySpec
Uses of Interface java.io.Serializable
Uses of Interface java.security.interfaces.DSAParams
Uses of Interface java.security.spec.AlgorithmParameterSpec
Uses of Interface java.security.spec.KeySpec
java.sql found in:
Uses of Class java.io.InputStream
Uses of Class java.io.PrintStream
Uses of Class java.io.PrintWriter
Uses of Class java.io.Reader
Uses of Class java.lang.Exception
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Class java.math.BigDecimal
Uses of Class java.security.BasicPermission
Uses of Class java.security.Permission
Uses of Class java.sql.Date
Uses of Class java.sql.DriverPropertyInfo
Uses of Class java.sql.SQLException
Uses of Class java.sql.SQLWarning
Uses of Class java.sql.Time
Uses of Class java.sql.Timestamp
Uses of Class java.util.Calendar
Uses of Class java.util.Date
Uses of Class java.util.Properties
Uses of Interface java.io.Serializable
Uses of Interface java.lang.Cloneable
Uses of Interface java.lang.Comparable
Uses of Interface java.security.Guard
Uses of Interface java.sql.Array
Uses of Interface java.sql.Blob
Uses of Interface java.sql.CallableStatement
Uses of Interface java.sql.Clob
Uses of Interface java.sql.Connection
Uses of Interface java.sql.DatabaseMetaData
Uses of Interface java.sql.Driver
Uses of Interface java.sql.PreparedStatement
Uses of Interface java.sql.Ref
Uses of Interface java.sql.ResultSet
Uses of Interface java.sql.ResultSetMetaData
Uses of Interface java.sql.SQLData
Uses of Interface java.sql.SQLInput
Uses of Interface java.sql.SQLOutput
Uses of Interface java.sql.Statement
Uses of Interface java.sql.Struct
Uses of Interface java.util.Enumeration
Uses of Interface java.util.Map
java.text found in:
Uses of Class java.io.InvalidObjectException
Uses of Class java.lang.Exception
Uses of Class java.lang.Number
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.lang.StringBuffer
Uses of Class java.lang.Throwable
Uses of Class java.text.AttributedCharacterIterator.Attribute
Uses of Class java.text.BreakIterator
Uses of Class java.text.CollationElementIterator
Uses of Class java.text.CollationKey
Uses of Class java.text.Collator
Uses of Class java.text.DateFormat
Uses of Class java.text.DateFormatSymbols
Uses of Class java.text.DecimalFormatSymbols
Uses of Class java.text.FieldPosition
Uses of Class java.text.Format
Uses of Class java.text.NumberFormat
Uses of Class java.text.ParseException
Uses of Class java.text.ParsePosition
Uses of Class java.util.Calendar
Uses of Class java.util.Date
Uses of Class java.util.Locale
Uses of Class java.util.TimeZone
Uses of Interface java.io.Serializable
Uses of Interface java.lang.Cloneable
Uses of Interface java.lang.Comparable
Uses of Interface java.text.AttributedCharacterIterator
Uses of Interface java.text.CharacterIterator
Uses of Interface java.util.Comparator
Uses of Interface java.util.Map
Uses of Interface java.util.Set
java.util found in:
Uses of Class java.io.InputStream
Uses of Class java.io.IOException
Uses of Class java.io.OutputStream
Uses of Class java.io.PrintStream
Uses of Class java.io.PrintWriter
Uses of Class java.lang.ClassLoader
Uses of Class java.lang.Exception
Uses of Class java.lang.Object
Uses of Class java.lang.RuntimeException
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Class java.security.BasicPermission
Uses of Class java.security.Permission
Uses of Class java.security.PermissionCollection
Uses of Class java.util.AbstractCollection
Uses of Class java.util.AbstractList
Uses of Class java.util.AbstractMap
Uses of Class java.util.AbstractSequentialList
Uses of Class java.util.AbstractSet
Uses of Class java.util.BitSet
Uses of Class java.util.Calendar
Uses of Class java.util.Date
Uses of Class java.util.Dictionary
Uses of Class java.util.Hashtable
Uses of Class java.util.Locale
Uses of Class java.util.MissingResourceException
Uses of Class java.util.Observable
Uses of Class java.util.Properties
Uses of Class java.util.Random
Uses of Class java.util.ResourceBundle
Uses of Class java.util.TimerTask
Uses of Class java.util.TimeZone
Uses of Class java.util.Vector
Uses of Interface java.io.Serializable
Uses of Interface java.lang.Cloneable
Uses of Interface java.lang.Comparable
Uses of Interface java.lang.Runnable
Uses of Interface java.security.Guard
Uses of Interface java.util.Collection
Uses of Interface java.util.Comparator
Uses of Interface java.util.Enumeration
Uses of Interface java.util.Iterator
Uses of Interface java.util.List
Uses of Interface java.util.ListIterator
Uses of Interface java.util.Map
Uses of Interface java.util.Observer
Uses of Interface java.util.Set
Uses of Interface java.util.SortedMap
Uses of Interface java.util.SortedSet
java.util.jar found in:
Uses of Class java.io.File
Uses of Class java.io.FilterInputStream
Uses of Class java.io.FilterOutputStream
Uses of Class java.io.InputStream
Uses of Class java.io.IOException
Uses of Class java.io.OutputStream
Uses of Class java.lang.Exception
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Class java.security.cert.Certificate
Uses of Class java.util.jar.Attributes
Uses of Class java.util.jar.Attributes.Name
Uses of Class java.util.jar.JarEntry
Uses of Class java.util.jar.Manifest
Uses of Class java.util.zip.DeflaterOutputStream
Uses of Class java.util.zip.InflaterInputStream
Uses of Class java.util.zip.ZipEntry
Uses of Class java.util.zip.ZipException
Uses of Class java.util.zip.ZipFile
Uses of Class java.util.zip.ZipInputStream
Uses of Class java.util.zip.ZipOutputStream
Uses of Interface java.io.Serializable
Uses of Interface java.lang.Cloneable
Uses of Interface java.util.Collection
Uses of Interface java.util.Enumeration
Uses of Interface java.util.Map
Uses of Interface java.util.Set
java.util.zip found in:
Uses of Class java.io.File
Uses of Class java.io.FilterInputStream
Uses of Class java.io.FilterOutputStream
Uses of Class java.io.InputStream
Uses of Class java.io.IOException
Uses of Class java.io.OutputStream
Uses of Class java.lang.Exception
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Class java.util.zip.CRC32
Uses of Class java.util.zip.DataFormatException
Uses of Class java.util.zip.Deflater
Uses of Class java.util.zip.DeflaterOutputStream
Uses of Class java.util.zip.Inflater
Uses of Class java.util.zip.InflaterInputStream
Uses of Class java.util.zip.ZipEntry
Uses of Class java.util.zip.ZipException
Uses of Interface java.io.Serializable
Uses of Interface java.lang.Cloneable
Uses of Interface java.util.Enumeration
Uses of Interface java.util.zip.Checksum


javac - Java programming language compiler found in:
javac - Java programming language compiler
javac - Java programming language compiler


javadoc-The Java API Documentation Generator found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
javadocflags found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
javadocoptions found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
javadoctags found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
javah - C Header and Stub File Generator found in:
javah - C Header and Stub File Generator
javah - C Header and Stub File Generator


javap - The Java Class File Disassembler found in:
javap - The Java Class File Disassembler
javap - The Java Class File Disassembler
javasourcefiles found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


javax.accessibility found in:
Uses of Class java.awt.Color
Uses of Class java.awt.Cursor
Uses of Class java.awt.Dimension
Uses of Class java.awt.Font
Uses of Class java.awt.FontMetrics
Uses of Class java.awt.IllegalComponentStateException
Uses of Class java.awt.Point
Uses of Class java.awt.Rectangle
Uses of Class java.lang.Number
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.util.ListResourceBundle
Uses of Class java.util.Locale
Uses of Class java.util.ResourceBundle
Uses of Class java.util.Vector
Uses of Class javax.accessibility.AccessibleBundle
Uses of Class javax.accessibility.AccessibleContext
Uses of Class javax.accessibility.AccessibleHyperlink
Uses of Class javax.accessibility.AccessibleRelation
Uses of Class javax.accessibility.AccessibleRelationSet
Uses of Class javax.accessibility.AccessibleRole
Uses of Class javax.accessibility.AccessibleState
Uses of Class javax.accessibility.AccessibleStateSet
Uses of Interface java.awt.event.FocusListener
Uses of Interface java.beans.PropertyChangeListener
Uses of Interface javax.accessibility.Accessible
Uses of Interface javax.accessibility.AccessibleAction
Uses of Interface javax.accessibility.AccessibleComponent
Uses of Interface javax.accessibility.AccessibleIcon
Uses of Interface javax.accessibility.AccessibleSelection
Uses of Interface javax.accessibility.AccessibleTable
Uses of Interface javax.accessibility.AccessibleText
Uses of Interface javax.accessibility.AccessibleValue
Uses of Interface javax.swing.text.AttributeSet
javax.naming found in:
Uses of Class java.io.PrintStream
Uses of Class java.io.PrintWriter
Uses of Class java.lang.Exception
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Class java.util.Hashtable
Uses of Class java.util.Properties
Uses of Class java.util.Vector
Uses of Class javax.naming.InvalidNameException
Uses of Class javax.naming.LimitExceededException
Uses of Class javax.naming.LinkException
Uses of Class javax.naming.NameClassPair
Uses of Class javax.naming.NamingException
Uses of Class javax.naming.NamingSecurityException
Uses of Class javax.naming.RefAddr
Uses of Class javax.naming.Reference
Uses of Interface java.io.Serializable
Uses of Interface java.lang.Cloneable
Uses of Interface java.util.Enumeration
Uses of Interface javax.naming.Context
Uses of Interface javax.naming.Name
Uses of Interface javax.naming.NameParser
Uses of Interface javax.naming.NamingEnumeration
javax.naming.directory found in:
Uses of Class java.lang.Exception
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Class java.util.Hashtable
Uses of Class java.util.Vector
Uses of Class javax.naming.Binding
Uses of Class javax.naming.directory.ModificationItem
Uses of Class javax.naming.directory.SearchControls
Uses of Class javax.naming.InitialContext
Uses of Class javax.naming.NameClassPair
Uses of Class javax.naming.NamingException
Uses of Interface java.io.Serializable
Uses of Interface java.lang.Cloneable
Uses of Interface javax.naming.Context
Uses of Interface javax.naming.directory.Attribute
Uses of Interface javax.naming.directory.Attributes
Uses of Interface javax.naming.directory.DirContext
Uses of Interface javax.naming.Name
Uses of Interface javax.naming.NamingEnumeration
javax.naming.event found in:
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.util.EventObject
Uses of Class javax.naming.Binding
Uses of Class javax.naming.directory.SearchControls
Uses of Class javax.naming.event.NamingEvent
Uses of Class javax.naming.event.NamingExceptionEvent
Uses of Class javax.naming.NamingException
Uses of Interface java.io.Serializable
Uses of Interface java.util.EventListener
Uses of Interface javax.naming.Context
Uses of Interface javax.naming.directory.DirContext
Uses of Interface javax.naming.event.EventContext
Uses of Interface javax.naming.event.NamingListener
Uses of Interface javax.naming.Name
javax.naming.ldap found in:
Uses of Class java.lang.Exception
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Class java.util.EventObject
Uses of Class java.util.Hashtable
Uses of Class javax.naming.directory.InitialDirContext
Uses of Class javax.naming.InitialContext
Uses of Class javax.naming.ldap.UnsolicitedNotificationEvent
Uses of Class javax.naming.NamingException
Uses of Class javax.naming.ReferralException
Uses of Interface java.io.Serializable
Uses of Interface java.util.EventListener
Uses of Interface javax.naming.Context
Uses of Interface javax.naming.directory.DirContext
Uses of Interface javax.naming.event.NamingListener
Uses of Interface javax.naming.ldap.Control
Uses of Interface javax.naming.ldap.ExtendedRequest
Uses of Interface javax.naming.ldap.ExtendedResponse
Uses of Interface javax.naming.ldap.HasControls
Uses of Interface javax.naming.ldap.LdapContext
Uses of Interface javax.naming.ldap.UnsolicitedNotification
Uses of Interface javax.naming.ldap.UnsolicitedNotificationListener
javax.naming.spi found in:
Uses of Class java.lang.Class
Uses of Class java.lang.Exception
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.util.Hashtable
Uses of Class javax.naming.CannotProceedException
Uses of Class javax.naming.NamingException
Uses of Class javax.naming.spi.DirStateFactory.Result
Uses of Class javax.naming.spi.NamingManager
Uses of Class javax.naming.spi.ResolveResult
Uses of Interface java.io.Serializable
Uses of Interface javax.naming.Context
Uses of Interface javax.naming.directory.Attributes
Uses of Interface javax.naming.directory.DirContext
Uses of Interface javax.naming.Name
Uses of Interface javax.naming.spi.InitialContextFactory
Uses of Interface javax.naming.spi.InitialContextFactoryBuilder
Uses of Interface javax.naming.spi.ObjectFactory
Uses of Interface javax.naming.spi.ObjectFactoryBuilder
Uses of Interface javax.naming.spi.StateFactory
javax.rmi found in:
Uses of Class java.lang.Class
Uses of Class java.lang.ClassCastException
Uses of Class java.lang.Object
Uses of Class java.rmi.NoSuchObjectException
Uses of Class java.rmi.RemoteException
Uses of Interface java.rmi.Remote
javax.rmi.CORBA found in:
Uses of Class java.io.IOException
Uses of Class java.io.ObjectInputStream
Uses of Class java.io.ObjectOutputStream
Uses of Class java.lang.Class
Uses of Class java.lang.ClassCastException
Uses of Class java.lang.ClassLoader
Uses of Class java.lang.ClassNotFoundException
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Class java.rmi.NoSuchObjectException
Uses of Class java.rmi.RemoteException
Uses of Class javax.rmi.CORBA.Stub
Uses of Class org.omg.CORBA.ORB
Uses of Class org.omg.CORBA.portable.InputStream
Uses of Class org.omg.CORBA.portable.ObjectImpl
Uses of Class org.omg.CORBA.portable.OutputStream
Uses of Class org.omg.CORBA.SystemException
Uses of Class org.omg.CORBA_2_3.portable.ObjectImpl
Uses of Interface java.io.Serializable
Uses of Interface java.rmi.Remote
Uses of Interface javax.rmi.CORBA.Tie
Uses of Interface javax.rmi.CORBA.ValueHandler
Uses of Interface org.omg.CORBA.Object
Uses of Interface org.omg.CORBA.portable.InvokeHandler
Uses of Interface org.omg.SendingContext.RunTime
javax.sound.midi found in:
Uses of Class java.io.File
Uses of Class java.io.InputStream
Uses of Class java.io.IOException
Uses of Class java.io.OutputStream
Uses of Class java.lang.ArrayIndexOutOfBoundsException
Uses of Class java.lang.Class
Uses of Class java.lang.Exception
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Class java.net.URL
Uses of Class java.util.Vector
Uses of Class javax.sound.midi.Instrument
Uses of Class javax.sound.midi.InvalidMidiDataException
Uses of Class javax.sound.midi.MetaMessage
Uses of Class javax.sound.midi.MidiDevice.Info
Uses of Class javax.sound.midi.MidiEvent
Uses of Class javax.sound.midi.MidiFileFormat
Uses of Class javax.sound.midi.MidiMessage
Uses of Class javax.sound.midi.MidiUnavailableException
Uses of Class javax.sound.midi.Patch
Uses of Class javax.sound.midi.Sequence
Uses of Class javax.sound.midi.Sequencer.SyncMode
Uses of Class javax.sound.midi.ShortMessage
Uses of Class javax.sound.midi.SoundbankResource
Uses of Class javax.sound.midi.Track
Uses of Class javax.sound.midi.VoiceStatus
Uses of Interface java.io.Serializable
Uses of Interface java.lang.Cloneable
Uses of Interface java.util.EventListener
Uses of Interface javax.sound.midi.ControllerEventListener
Uses of Interface javax.sound.midi.MetaEventListener
Uses of Interface javax.sound.midi.MidiChannel
Uses of Interface javax.sound.midi.MidiDevice
Uses of Interface javax.sound.midi.Receiver
Uses of Interface javax.sound.midi.Sequencer
Uses of Interface javax.sound.midi.Soundbank
Uses of Interface javax.sound.midi.Synthesizer
Uses of Interface javax.sound.midi.Transmitter
javax.sound.midi.spi found in:
Uses of Class java.io.File
Uses of Class java.io.InputStream
Uses of Class java.io.IOException
Uses of Class java.io.OutputStream
Uses of Class java.lang.Object
Uses of Class java.net.URL
Uses of Class javax.sound.midi.InvalidMidiDataException
Uses of Class javax.sound.midi.MidiDevice.Info
Uses of Class javax.sound.midi.MidiFileFormat
Uses of Class javax.sound.midi.Sequence
Uses of Interface javax.sound.midi.MidiDevice
Uses of Interface javax.sound.midi.Soundbank
javax.sound.sampled found in:
Uses of Class java.io.File
Uses of Class java.io.InputStream
Uses of Class java.io.IOException
Uses of Class java.io.OutputStream
Uses of Class java.lang.Class
Uses of Class java.lang.Exception
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Class java.net.URL
Uses of Class java.security.BasicPermission
Uses of Class java.security.Permission
Uses of Class java.util.EventObject
Uses of Class javax.sound.sampled.AudioFileFormat
Uses of Class javax.sound.sampled.AudioFileFormat.Type
Uses of Class javax.sound.sampled.AudioFormat
Uses of Class javax.sound.sampled.AudioFormat.Encoding
Uses of Class javax.sound.sampled.AudioInputStream
Uses of Class javax.sound.sampled.BooleanControl.Type
Uses of Class javax.sound.sampled.CompoundControl.Type
Uses of Class javax.sound.sampled.Control
Uses of Class javax.sound.sampled.Control.Type
Uses of Class javax.sound.sampled.EnumControl.Type
Uses of Class javax.sound.sampled.FloatControl.Type
Uses of Class javax.sound.sampled.Line.Info
Uses of Class javax.sound.sampled.LineEvent
Uses of Class javax.sound.sampled.LineEvent.Type
Uses of Class javax.sound.sampled.LineUnavailableException
Uses of Class javax.sound.sampled.Mixer.Info
Uses of Class javax.sound.sampled.Port.Info
Uses of Class javax.sound.sampled.UnsupportedAudioFileException
Uses of Interface java.io.Serializable
Uses of Interface java.security.Guard
Uses of Interface java.util.EventListener
Uses of Interface javax.sound.sampled.DataLine
Uses of Interface javax.sound.sampled.Line
Uses of Interface javax.sound.sampled.LineListener
Uses of Interface javax.sound.sampled.Mixer
Uses of Interface javax.sound.sampled.TargetDataLine
javax.sound.sampled.spi found in:
Uses of Class java.io.File
Uses of Class java.io.InputStream
Uses of Class java.io.IOException
Uses of Class java.io.OutputStream
Uses of Class java.lang.Object
Uses of Class java.net.URL
Uses of Class javax.sound.sampled.AudioFileFormat
Uses of Class javax.sound.sampled.AudioFileFormat.Type
Uses of Class javax.sound.sampled.AudioFormat
Uses of Class javax.sound.sampled.AudioFormat.Encoding
Uses of Class javax.sound.sampled.AudioInputStream
Uses of Class javax.sound.sampled.Mixer.Info
Uses of Class javax.sound.sampled.UnsupportedAudioFileException
Uses of Interface javax.sound.sampled.Mixer
javax.swing found in:
Uses of Class java.applet.Applet
Uses of Class java.applet.Applet.AccessibleApplet
Uses of Class java.awt.Color
Uses of Class java.awt.Component
Uses of Class java.awt.Component.AccessibleAWTComponent
Uses of Class java.awt.ComponentOrientation
Uses of Class java.awt.Container
Uses of Class java.awt.Container.AccessibleAWTContainer
Uses of Class java.awt.Cursor
Uses of Class java.awt.Dialog
Uses of Class java.awt.Dialog.AccessibleAWTDialog
Uses of Class java.awt.Dimension
Uses of Class java.awt.event.ActionEvent
Uses of Class java.awt.event.ComponentAdapter
Uses of Class java.awt.event.ComponentEvent
Uses of Class java.awt.event.ContainerEvent
Uses of Class java.awt.event.FocusEvent
Uses of Class java.awt.event.ItemEvent
Uses of Class java.awt.event.KeyEvent
Uses of Class java.awt.event.MouseAdapter
Uses of Class java.awt.event.MouseEvent
Uses of Class java.awt.event.WindowAdapter
Uses of Class java.awt.event.WindowEvent
Uses of Class java.awt.Font
Uses of Class java.awt.FontMetrics
Uses of Class java.awt.Frame
Uses of Class java.awt.Frame.AccessibleAWTFrame
Uses of Class java.awt.Graphics
Uses of Class java.awt.GraphicsConfiguration
Uses of Class java.awt.IllegalComponentStateException
Uses of Class java.awt.Image
Uses of Class java.awt.image.ImageFilter
Uses of Class java.awt.image.RGBImageFilter
Uses of Class java.awt.Insets
Uses of Class java.awt.MediaTracker
Uses of Class java.awt.Panel
Uses of Class java.awt.Panel.AccessibleAWTPanel
Uses of Class java.awt.Point
Uses of Class java.awt.Rectangle
Uses of Class java.awt.Window
Uses of Class java.awt.Window.AccessibleAWTWindow
Uses of Class java.beans.PropertyChangeEvent
Uses of Class java.beans.PropertyVetoException
Uses of Class java.io.File
Uses of Class java.io.FilterInputStream
Uses of Class java.io.InputStream
Uses of Class java.io.IOException
Uses of Class java.io.PrintStream
Uses of Class java.lang.Boolean
Uses of Class java.lang.Character
Uses of Class java.lang.Class
Uses of Class java.lang.ClassLoader
Uses of Class java.lang.ClassNotFoundException
Uses of Class java.lang.CloneNotSupportedException
Uses of Class java.lang.Exception
Uses of Class java.lang.IllegalAccessException
Uses of Class java.lang.InstantiationException
Uses of Class java.lang.Integer
Uses of Class java.lang.InterruptedException
Uses of Class java.lang.Number
Uses of Class java.lang.Object
Uses of Class java.lang.reflect.InvocationTargetException
Uses of Class java.lang.SecurityException
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Class java.net.URL
Uses of Class java.util.Dictionary
Uses of Class java.util.EventObject
Uses of Class java.util.Hashtable
Uses of Class java.util.Locale
Uses of Class java.util.Vector
Uses of Class javax.accessibility.AccessibleContext
Uses of Class javax.accessibility.AccessibleHyperlink
Uses of Class javax.accessibility.AccessibleRelationSet
Uses of Class javax.accessibility.AccessibleRole
Uses of Class javax.accessibility.AccessibleStateSet
Uses of Class javax.swing.AbstractButton
Uses of Class javax.swing.AbstractButton.AccessibleAbstractButton
Uses of Class javax.swing.AbstractCellEditor
Uses of Class javax.swing.AbstractListModel
Uses of Class javax.swing.ActionMap
Uses of Class javax.swing.border.CompoundBorder
Uses of Class javax.swing.border.MatteBorder
Uses of Class javax.swing.border.TitledBorder
Uses of Class javax.swing.Box
Uses of Class javax.swing.Box.Filler
Uses of Class javax.swing.ButtonGroup
Uses of Class javax.swing.CellRendererPane
Uses of Class javax.swing.colorchooser.AbstractColorChooserPanel
Uses of Class javax.swing.ComponentInputMap
Uses of Class javax.swing.DefaultButtonModel
Uses of Class javax.swing.DefaultCellEditor
Uses of Class javax.swing.DefaultCellEditor.EditorDelegate
Uses of Class javax.swing.DefaultListCellRenderer
Uses of Class javax.swing.event.ChangeEvent
Uses of Class javax.swing.event.EventListenerList
Uses of Class javax.swing.event.HyperlinkEvent
Uses of Class javax.swing.event.ListDataEvent
Uses of Class javax.swing.event.ListSelectionEvent
Uses of Class javax.swing.event.MenuDragMouseEvent
Uses of Class javax.swing.event.MenuKeyEvent
Uses of Class javax.swing.event.SwingPropertyChangeSupport
Uses of Class javax.swing.event.TableColumnModelEvent
Uses of Class javax.swing.event.TableModelEvent
Uses of Class javax.swing.event.TreeExpansionEvent
Uses of Class javax.swing.event.TreeModelEvent
Uses of Class javax.swing.event.TreeSelectionEvent
Uses of Class javax.swing.filechooser.FileFilter
Uses of Class javax.swing.filechooser.FileSystemView
Uses of Class javax.swing.filechooser.FileView
Uses of Class javax.swing.FocusManager
Uses of Class javax.swing.ImageIcon
Uses of Class javax.swing.InputMap
Uses of Class javax.swing.InputVerifier
Uses of Class javax.swing.JApplet
Uses of Class javax.swing.JButton
Uses of Class javax.swing.JCheckBox
Uses of Class javax.swing.JCheckBoxMenuItem
Uses of Class javax.swing.JColorChooser
Uses of Class javax.swing.JComboBox
Uses of Class javax.swing.JComponent
Uses of Class javax.swing.JComponent.AccessibleJComponent
Uses of Class javax.swing.JDesktopPane
Uses of Class javax.swing.JDialog
Uses of Class javax.swing.JEditorPane
Uses of Class javax.swing.JEditorPane.AccessibleJEditorPane
Uses of Class javax.swing.JEditorPane.JEditorPaneAccessibleHypertextSupport
Uses of Class javax.swing.JFileChooser
Uses of Class javax.swing.JFrame
Uses of Class javax.swing.JInternalFrame
Uses of Class javax.swing.JInternalFrame.JDesktopIcon
Uses of Class javax.swing.JLabel
Uses of Class javax.swing.JLayeredPane
Uses of Class javax.swing.JList
Uses of Class javax.swing.JList.AccessibleJList
Uses of Class javax.swing.JMenu
Uses of Class javax.swing.JMenu.WinListener
Uses of Class javax.swing.JMenuBar
Uses of Class javax.swing.JMenuItem
Uses of Class javax.swing.JMenuItem.AccessibleJMenuItem
Uses of Class javax.swing.JOptionPane
Uses of Class javax.swing.JPanel
Uses of Class javax.swing.JPasswordField
Uses of Class javax.swing.JPopupMenu
Uses of Class javax.swing.JProgressBar
Uses of Class javax.swing.JRadioButton
Uses of Class javax.swing.JRadioButtonMenuItem
Uses of Class javax.swing.JRootPane
Uses of Class javax.swing.JScrollBar
Uses of Class javax.swing.JScrollPane
Uses of Class javax.swing.JSeparator
Uses of Class javax.swing.JSlider
Uses of Class javax.swing.JSplitPane
Uses of Class javax.swing.JTabbedPane
Uses of Class javax.swing.JTable
Uses of Class javax.swing.JTable.AccessibleJTable
Uses of Class javax.swing.JTextArea
Uses of Class javax.swing.JTextField
Uses of Class javax.swing.JTextField.AccessibleJTextField
Uses of Class javax.swing.JToggleButton
Uses of Class javax.swing.JToggleButton.AccessibleJToggleButton
Uses of Class javax.swing.JToolBar
Uses of Class javax.swing.JToolTip
Uses of Class javax.swing.JTree
Uses of Class javax.swing.JTree.AccessibleJTree
Uses of Class javax.swing.JTree.EmptySelectionModel
Uses of Class javax.swing.JTree.TreeSelectionRedirector
Uses of Class javax.swing.JViewport
Uses of Class javax.swing.JViewport.ViewListener
Uses of Class javax.swing.JWindow
Uses of Class javax.swing.KeyStroke
Uses of Class javax.swing.LookAndFeel
Uses of Class javax.swing.MenuSelectionManager
Uses of Class javax.swing.plaf.ButtonUI
Uses of Class javax.swing.plaf.ColorChooserUI
Uses of Class javax.swing.plaf.ComboBoxUI
Uses of Class javax.swing.plaf.ComponentUI
Uses of Class javax.swing.plaf.DesktopIconUI
Uses of Class javax.swing.plaf.DesktopPaneUI
Uses of Class javax.swing.plaf.FileChooserUI
Uses of Class javax.swing.plaf.InternalFrameUI
Uses of Class javax.swing.plaf.LabelUI
Uses of Class javax.swing.plaf.ListUI
Uses of Class javax.swing.plaf.MenuBarUI
Uses of Class javax.swing.plaf.MenuItemUI
Uses of Class javax.swing.plaf.OptionPaneUI
Uses of Class javax.swing.plaf.PopupMenuUI
Uses of Class javax.swing.plaf.ProgressBarUI
Uses of Class javax.swing.plaf.RootPaneUI
Uses of Class javax.swing.plaf.ScrollBarUI
Uses of Class javax.swing.plaf.ScrollPaneUI
Uses of Class javax.swing.plaf.SeparatorUI
Uses of Class javax.swing.plaf.SliderUI
Uses of Class javax.swing.plaf.SplitPaneUI
Uses of Class javax.swing.plaf.TabbedPaneUI
Uses of Class javax.swing.plaf.TableUI
Uses of Class javax.swing.plaf.ToolBarUI
Uses of Class javax.swing.plaf.ToolTipUI
Uses of Class javax.swing.plaf.TreeUI
Uses of Class javax.swing.plaf.ViewportUI
Uses of Class javax.swing.ProgressMonitor
Uses of Class javax.swing.RepaintManager
Uses of Class javax.swing.ScrollPaneLayout
Uses of Class javax.swing.SizeRequirements
Uses of Class javax.swing.table.JTableHeader
Uses of Class javax.swing.table.TableColumn
Uses of Class javax.swing.text.BadLocationException
Uses of Class javax.swing.text.EditorKit
Uses of Class javax.swing.text.JTextComponent
Uses of Class javax.swing.text.JTextComponent.AccessibleJTextComponent
Uses of Class javax.swing.text.JTextComponent.KeyBinding
Uses of Class javax.swing.text.StyledEditorKit
Uses of Class javax.swing.ToolTipManager
Uses of Class javax.swing.tree.DefaultMutableTreeNode
Uses of Class javax.swing.tree.DefaultTreeSelectionModel
Uses of Class javax.swing.tree.ExpandVetoException
Uses of Class javax.swing.tree.TreePath
Uses of Class javax.swing.UIDefaults
Uses of Class javax.swing.UIManager.LookAndFeelInfo
Uses of Class javax.swing.UnsupportedLookAndFeelException
Uses of Interface java.awt.Adjustable
Uses of Interface java.awt.event.ActionListener
Uses of Interface java.awt.event.AdjustmentListener
Uses of Interface java.awt.event.ComponentListener
Uses of Interface java.awt.event.ContainerListener
Uses of Interface java.awt.event.FocusListener
Uses of Interface java.awt.event.ItemListener
Uses of Interface java.awt.event.MouseListener
Uses of Interface java.awt.event.MouseMotionListener
Uses of Interface java.awt.event.WindowListener
Uses of Interface java.awt.image.ImageConsumer
Uses of Interface java.awt.image.ImageObserver
Uses of Interface java.awt.ItemSelectable
Uses of Interface java.awt.LayoutManager
Uses of Interface java.awt.LayoutManager2
Uses of Interface java.awt.MenuContainer
Uses of Interface java.awt.Shape
Uses of Interface java.beans.PropertyChangeListener
Uses of Interface java.beans.VetoableChangeListener
Uses of Interface java.io.Serializable
Uses of Interface java.lang.Cloneable
Uses of Interface java.lang.Runnable
Uses of Interface java.text.AttributedCharacterIterator
Uses of Interface java.util.Enumeration
Uses of Interface java.util.EventListener
Uses of Interface java.util.Map
Uses of Interface javax.accessibility.Accessible
Uses of Interface javax.accessibility.AccessibleAction
Uses of Interface javax.accessibility.AccessibleComponent
Uses of Interface javax.accessibility.AccessibleHypertext
Uses of Interface javax.accessibility.AccessibleIcon
Uses of Interface javax.accessibility.AccessibleSelection
Uses of Interface javax.accessibility.AccessibleTable
Uses of Interface javax.accessibility.AccessibleTableModelChange
Uses of Interface javax.accessibility.AccessibleText
Uses of Interface javax.accessibility.AccessibleValue
Uses of Interface javax.swing.Action
Uses of Interface javax.swing.border.Border
Uses of Interface javax.swing.BoundedRangeModel
Uses of Interface javax.swing.ButtonModel
Uses of Interface javax.swing.CellEditor
Uses of Interface javax.swing.colorchooser.ColorSelectionModel
Uses of Interface javax.swing.ComboBoxEditor
Uses of Interface javax.swing.ComboBoxModel
Uses of Interface javax.swing.DesktopManager
Uses of Interface javax.swing.event.AncestorListener
Uses of Interface javax.swing.event.CaretListener
Uses of Interface javax.swing.event.CellEditorListener
Uses of Interface javax.swing.event.ChangeListener
Uses of Interface javax.swing.event.DocumentListener
Uses of Interface javax.swing.event.HyperlinkListener
Uses of Interface javax.swing.event.InternalFrameListener
Uses of Interface javax.swing.event.ListDataListener
Uses of Interface javax.swing.event.ListSelectionListener
Uses of Interface javax.swing.event.MenuDragMouseListener
Uses of Interface javax.swing.event.MenuKeyListener
Uses of Interface javax.swing.event.MenuListener
Uses of Interface javax.swing.event.PopupMenuListener
Uses of Interface javax.swing.event.TableColumnModelListener
Uses of Interface javax.swing.event.TableModelListener
Uses of Interface javax.swing.event.TreeExpansionListener
Uses of Interface javax.swing.event.TreeModelListener
Uses of Interface javax.swing.event.TreeSelectionListener
Uses of Interface javax.swing.event.TreeWillExpandListener
Uses of Interface javax.swing.Icon
Uses of Interface javax.swing.JComboBox.KeySelectionManager
Uses of Interface javax.swing.ListCellRenderer
Uses of Interface javax.swing.ListModel
Uses of Interface javax.swing.ListSelectionModel
Uses of Interface javax.swing.MenuElement
Uses of Interface javax.swing.MutableComboBoxModel
Uses of Interface javax.swing.plaf.UIResource
Uses of Interface javax.swing.RootPaneContainer
Uses of Interface javax.swing.Scrollable
Uses of Interface javax.swing.ScrollPaneConstants
Uses of Interface javax.swing.SingleSelectionModel
Uses of Interface javax.swing.SwingConstants
Uses of Interface javax.swing.table.TableCellEditor
Uses of Interface javax.swing.table.TableCellRenderer
Uses of Interface javax.swing.table.TableColumnModel
Uses of Interface javax.swing.table.TableModel
Uses of Interface javax.swing.text.AttributeSet
Uses of Interface javax.swing.text.Document
Uses of Interface javax.swing.text.Element
Uses of Interface javax.swing.text.MutableAttributeSet
Uses of Interface javax.swing.text.Style
Uses of Interface javax.swing.text.StyledDocument
Uses of Interface javax.swing.tree.MutableTreeNode
Uses of Interface javax.swing.tree.TreeCellEditor
Uses of Interface javax.swing.tree.TreeCellRenderer
Uses of Interface javax.swing.tree.TreeModel
Uses of Interface javax.swing.tree.TreeNode
Uses of Interface javax.swing.tree.TreeSelectionModel
Uses of Interface javax.swing.UIDefaults.LazyValue
Uses of Interface javax.swing.WindowConstants
javax.swing.border found in:
Uses of Class java.awt.Color
Uses of Class java.awt.Component
Uses of Class java.awt.Dimension
Uses of Class java.awt.Font
Uses of Class java.awt.Graphics
Uses of Class java.awt.Insets
Uses of Class java.awt.Rectangle
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class javax.swing.border.AbstractBorder
Uses of Class javax.swing.border.BevelBorder
Uses of Class javax.swing.border.EmptyBorder
Uses of Interface java.io.Serializable
Uses of Interface javax.swing.border.Border
Uses of Interface javax.swing.Icon
javax.swing.colorchooser found in:
Uses of Class java.awt.Color
Uses of Class java.awt.Component
Uses of Class java.awt.Container
Uses of Class java.awt.Graphics
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class javax.swing.colorchooser.AbstractColorChooserPanel
Uses of Class javax.swing.event.ChangeEvent
Uses of Class javax.swing.event.EventListenerList
Uses of Class javax.swing.JColorChooser
Uses of Class javax.swing.JComponent
Uses of Class javax.swing.JPanel
Uses of Interface java.awt.image.ImageObserver
Uses of Interface java.awt.MenuContainer
Uses of Interface java.io.Serializable
Uses of Interface javax.accessibility.Accessible
Uses of Interface javax.swing.colorchooser.ColorSelectionModel
Uses of Interface javax.swing.event.ChangeListener
Uses of Interface javax.swing.Icon
javax.swing.event found in:
Uses of Class java.awt.AWTEvent
Uses of Class java.awt.Component
Uses of Class java.awt.Container
Uses of Class java.awt.event.ComponentEvent
Uses of Class java.awt.event.InputEvent
Uses of Class java.awt.event.KeyEvent
Uses of Class java.awt.event.MouseEvent
Uses of Class java.beans.PropertyChangeEvent
Uses of Class java.beans.PropertyChangeSupport
Uses of Class java.lang.Class
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.net.URL
Uses of Class java.util.EventObject
Uses of Class javax.swing.event.AncestorEvent
Uses of Class javax.swing.event.CaretEvent
Uses of Class javax.swing.event.ChangeEvent
Uses of Class javax.swing.event.DocumentEvent.EventType
Uses of Class javax.swing.event.HyperlinkEvent
Uses of Class javax.swing.event.HyperlinkEvent.EventType
Uses of Class javax.swing.event.InternalFrameEvent
Uses of Class javax.swing.event.ListDataEvent
Uses of Class javax.swing.event.ListSelectionEvent
Uses of Class javax.swing.event.MenuDragMouseEvent
Uses of Class javax.swing.event.MenuEvent
Uses of Class javax.swing.event.MenuKeyEvent
Uses of Class javax.swing.event.PopupMenuEvent
Uses of Class javax.swing.event.TableColumnModelEvent
Uses of Class javax.swing.event.TableModelEvent
Uses of Class javax.swing.event.TreeExpansionEvent
Uses of Class javax.swing.event.TreeModelEvent
Uses of Class javax.swing.event.TreeSelectionEvent
Uses of Class javax.swing.event.UndoableEditEvent
Uses of Class javax.swing.JComponent
Uses of Class javax.swing.JInternalFrame
Uses of Class javax.swing.MenuSelectionManager
Uses of Class javax.swing.tree.ExpandVetoException
Uses of Class javax.swing.tree.TreePath
Uses of Interface java.awt.event.MouseListener
Uses of Interface java.awt.event.MouseMotionListener
Uses of Interface java.beans.PropertyChangeListener
Uses of Interface java.io.Serializable
Uses of Interface java.util.EventListener
Uses of Interface javax.swing.event.DocumentEvent
Uses of Interface javax.swing.event.DocumentEvent.ElementChange
Uses of Interface javax.swing.event.InternalFrameListener
Uses of Interface javax.swing.event.MouseInputListener
Uses of Interface javax.swing.MenuElement
Uses of Interface javax.swing.table.TableColumnModel
Uses of Interface javax.swing.table.TableModel
Uses of Interface javax.swing.text.Document
Uses of Interface javax.swing.text.Element
Uses of Interface javax.swing.undo.UndoableEdit
javax.swing.filechooser found in:
Uses of Class java.io.File
Uses of Class java.io.IOException
Uses of Class java.lang.Boolean
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class javax.swing.filechooser.FileSystemView
Uses of Interface javax.swing.Icon
javax.swing.plaf found in:
Uses of Class java.awt.Color
Uses of Class java.awt.Component
Uses of Class java.awt.Dimension
Uses of Class java.awt.event.MouseEvent
Uses of Class java.awt.Font
Uses of Class java.awt.geom.Dimension2D
Uses of Class java.awt.Graphics
Uses of Class java.awt.Insets
Uses of Class java.awt.Point
Uses of Class java.awt.Rectangle
Uses of Class java.io.File
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class javax.swing.ActionMap
Uses of Class javax.swing.border.AbstractBorder
Uses of Class javax.swing.border.BevelBorder
Uses of Class javax.swing.border.CompoundBorder
Uses of Class javax.swing.border.EmptyBorder
Uses of Class javax.swing.border.EtchedBorder
Uses of Class javax.swing.border.LineBorder
Uses of Class javax.swing.border.MatteBorder
Uses of Class javax.swing.border.TitledBorder
Uses of Class javax.swing.ComponentInputMap
Uses of Class javax.swing.filechooser.FileFilter
Uses of Class javax.swing.filechooser.FileView
Uses of Class javax.swing.InputMap
Uses of Class javax.swing.JComboBox
Uses of Class javax.swing.JComponent
Uses of Class javax.swing.JFileChooser
Uses of Class javax.swing.JList
Uses of Class javax.swing.JOptionPane
Uses of Class javax.swing.JSplitPane
Uses of Class javax.swing.JTabbedPane
Uses of Class javax.swing.JTree
Uses of Class javax.swing.plaf.ButtonUI
Uses of Class javax.swing.plaf.ComponentUI
Uses of Class javax.swing.text.BadLocationException
Uses of Class javax.swing.text.EditorKit
Uses of Class javax.swing.text.JTextComponent
Uses of Class javax.swing.text.Position.Bias
Uses of Class javax.swing.text.View
Uses of Class javax.swing.tree.TreePath
Uses of Interface java.awt.Paint
Uses of Interface java.awt.Transparency
Uses of Interface java.io.Serializable
Uses of Interface java.lang.Cloneable
Uses of Interface javax.accessibility.Accessible
Uses of Interface javax.swing.border.Border
Uses of Interface javax.swing.Icon
Uses of Interface javax.swing.plaf.UIResource
javax.swing.plaf.basic found in:
Uses of Class java.awt.Color
Uses of Class java.awt.Component
Uses of Class java.awt.Container
Uses of Class java.awt.Dimension
Uses of Class java.awt.event.ActionEvent
Uses of Class java.awt.event.ComponentAdapter
Uses of Class java.awt.event.ComponentEvent
Uses of Class java.awt.event.ContainerEvent
Uses of Class java.awt.event.FocusAdapter
Uses of Class java.awt.event.FocusEvent
Uses of Class java.awt.event.ItemEvent
Uses of Class java.awt.event.KeyAdapter
Uses of Class java.awt.event.KeyEvent
Uses of Class java.awt.event.MouseAdapter
Uses of Class java.awt.event.MouseEvent
Uses of Class java.awt.event.MouseMotionAdapter
Uses of Class java.awt.event.WindowAdapter
Uses of Class java.awt.event.WindowEvent
Uses of Class java.awt.Font
Uses of Class java.awt.FontMetrics
Uses of Class java.awt.geom.Rectangle2D
Uses of Class java.awt.geom.RectangularShape
Uses of Class java.awt.Graphics
Uses of Class java.awt.GridBagConstraints
Uses of Class java.awt.Insets
Uses of Class java.awt.Point
Uses of Class java.awt.Rectangle
Uses of Class java.awt.Window
Uses of Class java.beans.PropertyChangeEvent
Uses of Class java.io.File
Uses of Class java.lang.Boolean
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.util.Hashtable
Uses of Class java.util.Vector
Uses of Class javax.swing.AbstractAction
Uses of Class javax.swing.AbstractButton
Uses of Class javax.swing.AbstractListModel
Uses of Class javax.swing.border.AbstractBorder
Uses of Class javax.swing.BoxLayout
Uses of Class javax.swing.CellRendererPane
Uses of Class javax.swing.colorchooser.AbstractColorChooserPanel
Uses of Class javax.swing.event.ChangeEvent
Uses of Class javax.swing.event.InternalFrameEvent
Uses of Class javax.swing.event.ListDataEvent
Uses of Class javax.swing.event.ListSelectionEvent
Uses of Class javax.swing.event.MouseInputAdapter
Uses of Class javax.swing.event.TreeExpansionEvent
Uses of Class javax.swing.event.TreeModelEvent
Uses of Class javax.swing.event.TreeSelectionEvent
Uses of Class javax.swing.filechooser.FileFilter
Uses of Class javax.swing.filechooser.FileView
Uses of Class javax.swing.JButton
Uses of Class javax.swing.JComboBox
Uses of Class javax.swing.JComponent
Uses of Class javax.swing.JDesktopPane
Uses of Class javax.swing.JFileChooser
Uses of Class javax.swing.JFrame
Uses of Class javax.swing.JInternalFrame
Uses of Class javax.swing.JInternalFrame.JDesktopIcon
Uses of Class javax.swing.JLabel
Uses of Class javax.swing.JList
Uses of Class javax.swing.JMenu
Uses of Class javax.swing.JMenuBar
Uses of Class javax.swing.JMenuItem
Uses of Class javax.swing.JOptionPane
Uses of Class javax.swing.JPanel
Uses of Class javax.swing.JPopupMenu
Uses of Class javax.swing.JProgressBar
Uses of Class javax.swing.JRootPane
Uses of Class javax.swing.JScrollBar
Uses of Class javax.swing.JScrollPane
Uses of Class javax.swing.JSeparator
Uses of Class javax.swing.JSlider
Uses of Class javax.swing.JSplitPane
Uses of Class javax.swing.JTabbedPane
Uses of Class javax.swing.JTable
Uses of Class javax.swing.JTextField
Uses of Class javax.swing.JToolBar
Uses of Class javax.swing.JTree
Uses of Class javax.swing.KeyStroke
Uses of Class javax.swing.LookAndFeel
Uses of Class javax.swing.MenuSelectionManager
Uses of Class javax.swing.plaf.basic.BasicBorders.ButtonBorder
Uses of Class javax.swing.plaf.basic.BasicButtonListener
Uses of Class javax.swing.plaf.basic.BasicButtonUI
Uses of Class javax.swing.plaf.basic.BasicColorChooserUI
Uses of Class javax.swing.plaf.basic.BasicComboBoxEditor
Uses of Class javax.swing.plaf.basic.BasicComboBoxRenderer
Uses of Class javax.swing.plaf.basic.BasicComboBoxUI
Uses of Class javax.swing.plaf.basic.BasicComboPopup
Uses of Class javax.swing.plaf.basic.BasicDesktopIconUI
Uses of Class javax.swing.plaf.basic.BasicDesktopPaneUI
Uses of Class javax.swing.plaf.basic.BasicDirectoryModel
Uses of Class javax.swing.plaf.basic.BasicEditorPaneUI
Uses of Class javax.swing.plaf.basic.BasicFileChooserUI
Uses of Class javax.swing.plaf.basic.BasicInternalFrameTitlePane
Uses of Class javax.swing.plaf.basic.BasicInternalFrameUI
Uses of Class javax.swing.plaf.basic.BasicLabelUI
Uses of Class javax.swing.plaf.basic.BasicListUI
Uses of Class javax.swing.plaf.basic.BasicMenuItemUI
Uses of Class javax.swing.plaf.basic.BasicMenuUI
Uses of Class javax.swing.plaf.basic.BasicOptionPaneUI
Uses of Class javax.swing.plaf.basic.BasicProgressBarUI
Uses of Class javax.swing.plaf.basic.BasicRadioButtonUI
Uses of Class javax.swing.plaf.basic.BasicScrollBarUI
Uses of Class javax.swing.plaf.basic.BasicScrollBarUI.ArrowButtonListener
Uses of Class javax.swing.plaf.basic.BasicScrollBarUI.ModelListener
Uses of Class javax.swing.plaf.basic.BasicScrollBarUI.ScrollListener
Uses of Class javax.swing.plaf.basic.BasicScrollBarUI.TrackListener
Uses of Class javax.swing.plaf.basic.BasicScrollPaneUI
Uses of Class javax.swing.plaf.basic.BasicSeparatorUI
Uses of Class javax.swing.plaf.basic.BasicSliderUI
Uses of Class javax.swing.plaf.basic.BasicSliderUI.ScrollListener
Uses of Class javax.swing.plaf.basic.BasicSliderUI.TrackListener
Uses of Class javax.swing.plaf.basic.BasicSplitPaneDivider
Uses of Class javax.swing.plaf.basic.BasicSplitPaneDivider.DragController
Uses of Class javax.swing.plaf.basic.BasicSplitPaneDivider.MouseHandler
Uses of Class javax.swing.plaf.basic.BasicSplitPaneUI
Uses of Class javax.swing.plaf.basic.BasicSplitPaneUI.BasicHorizontalLayoutManager
Uses of Class javax.swing.plaf.basic.BasicTabbedPaneUI
Uses of Class javax.swing.plaf.basic.BasicTableHeaderUI
Uses of Class javax.swing.plaf.basic.BasicTableUI
Uses of Class javax.swing.plaf.basic.BasicTextFieldUI
Uses of Class javax.swing.plaf.basic.BasicTextUI
Uses of Class javax.swing.plaf.basic.BasicToggleButtonUI
Uses of Class javax.swing.plaf.basic.BasicToolBarUI
Uses of Class javax.swing.plaf.basic.BasicToolBarUI.DragWindow
Uses of Class javax.swing.plaf.basic.BasicTreeUI
Uses of Class javax.swing.plaf.ButtonUI
Uses of Class javax.swing.plaf.ColorChooserUI
Uses of Class javax.swing.plaf.ComboBoxUI
Uses of Class javax.swing.plaf.ComponentUI
Uses of Class javax.swing.plaf.DesktopIconUI
Uses of Class javax.swing.plaf.DesktopPaneUI
Uses of Class javax.swing.plaf.FileChooserUI
Uses of Class javax.swing.plaf.InternalFrameUI
Uses of Class javax.swing.plaf.LabelUI
Uses of Class javax.swing.plaf.ListUI
Uses of Class javax.swing.plaf.MenuBarUI
Uses of Class javax.swing.plaf.MenuItemUI
Uses of Class javax.swing.plaf.OptionPaneUI
Uses of Class javax.swing.plaf.PanelUI
Uses of Class javax.swing.plaf.PopupMenuUI
Uses of Class javax.swing.plaf.ProgressBarUI
Uses of Class javax.swing.plaf.RootPaneUI
Uses of Class javax.swing.plaf.ScrollBarUI
Uses of Class javax.swing.plaf.ScrollPaneUI
Uses of Class javax.swing.plaf.SeparatorUI
Uses of Class javax.swing.plaf.SliderUI
Uses of Class javax.swing.plaf.SplitPaneUI
Uses of Class javax.swing.plaf.TabbedPaneUI
Uses of Class javax.swing.plaf.TableHeaderUI
Uses of Class javax.swing.plaf.TableUI
Uses of Class javax.swing.plaf.TextUI
Uses of Class javax.swing.plaf.ToolBarUI
Uses of Class javax.swing.plaf.ToolTipUI
Uses of Class javax.swing.plaf.TreeUI
Uses of Class javax.swing.plaf.ViewportUI
Uses of Class javax.swing.table.JTableHeader
Uses of Class javax.swing.text.BadLocationException
Uses of Class javax.swing.text.DefaultCaret
Uses of Class javax.swing.text.DefaultHighlighter
Uses of Class javax.swing.text.EditorKit
Uses of Class javax.swing.text.JTextComponent
Uses of Class javax.swing.text.LayeredHighlighter
Uses of Class javax.swing.text.Position.Bias
Uses of Class javax.swing.text.View
Uses of Class javax.swing.Timer
Uses of Class javax.swing.tree.AbstractLayoutCache
Uses of Class javax.swing.tree.AbstractLayoutCache.NodeDimensions
Uses of Class javax.swing.tree.TreePath
Uses of Class javax.swing.UIDefaults
Uses of Interface java.awt.event.ActionListener
Uses of Interface java.awt.event.ComponentListener
Uses of Interface java.awt.event.ContainerListener
Uses of Interface java.awt.event.FocusListener
Uses of Interface java.awt.event.ItemListener
Uses of Interface java.awt.event.KeyListener
Uses of Interface java.awt.event.MouseListener
Uses of Interface java.awt.event.MouseMotionListener
Uses of Interface java.awt.event.WindowListener
Uses of Interface java.awt.image.ImageObserver
Uses of Interface java.awt.ItemSelectable
Uses of Interface java.awt.LayoutManager
Uses of Interface java.awt.LayoutManager2
Uses of Interface java.awt.MenuContainer
Uses of Interface java.awt.Shape
Uses of Interface java.beans.PropertyChangeListener
Uses of Interface java.io.Serializable
Uses of Interface java.lang.Cloneable
Uses of Interface java.util.EventListener
Uses of Interface javax.accessibility.Accessible
Uses of Interface javax.swing.Action
Uses of Interface javax.swing.border.Border
Uses of Interface javax.swing.ComboBoxEditor
Uses of Interface javax.swing.ComboBoxModel
Uses of Interface javax.swing.DesktopManager
Uses of Interface javax.swing.event.CellEditorListener
Uses of Interface javax.swing.event.ChangeListener
Uses of Interface javax.swing.event.InternalFrameListener
Uses of Interface javax.swing.event.ListDataListener
Uses of Interface javax.swing.event.ListSelectionListener
Uses of Interface javax.swing.event.MenuDragMouseListener
Uses of Interface javax.swing.event.MenuKeyListener
Uses of Interface javax.swing.event.MenuListener
Uses of Interface javax.swing.event.MouseInputListener
Uses of Interface javax.swing.event.TreeExpansionListener
Uses of Interface javax.swing.event.TreeModelListener
Uses of Interface javax.swing.event.TreeSelectionListener
Uses of Interface javax.swing.Icon
Uses of Interface javax.swing.ListCellRenderer
Uses of Interface javax.swing.ListModel
Uses of Interface javax.swing.ListSelectionModel
Uses of Interface javax.swing.MenuElement
Uses of Interface javax.swing.plaf.basic.ComboPopup
Uses of Interface javax.swing.plaf.UIResource
Uses of Interface javax.swing.ScrollPaneConstants
Uses of Interface javax.swing.SwingConstants
Uses of Interface javax.swing.text.Caret
Uses of Interface javax.swing.text.Element
Uses of Interface javax.swing.text.Highlighter
Uses of Interface javax.swing.text.Keymap
Uses of Interface javax.swing.text.ViewFactory
Uses of Interface javax.swing.tree.TreeCellEditor
Uses of Interface javax.swing.tree.TreeCellRenderer
Uses of Interface javax.swing.tree.TreeModel
Uses of Interface javax.swing.tree.TreeSelectionModel
javax.swing.plaf.metal found in:
Uses of Class java.awt.Color
Uses of Class java.awt.Component
Uses of Class java.awt.Container
Uses of Class java.awt.Dimension
Uses of Class java.awt.event.ActionEvent
Uses of Class java.awt.event.ContainerEvent
Uses of Class java.awt.event.MouseAdapter
Uses of Class java.awt.event.MouseEvent
Uses of Class java.awt.Graphics
Uses of Class java.awt.Insets
Uses of Class java.awt.Point
Uses of Class java.awt.Rectangle
Uses of Class java.beans.PropertyChangeEvent
Uses of Class java.io.File
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class javax.swing.AbstractAction
Uses of Class javax.swing.AbstractButton
Uses of Class javax.swing.AbstractListModel
Uses of Class javax.swing.ActionMap
Uses of Class javax.swing.border.AbstractBorder
Uses of Class javax.swing.CellRendererPane
Uses of Class javax.swing.DefaultListCellRenderer
Uses of Class javax.swing.event.ListSelectionEvent
Uses of Class javax.swing.filechooser.FileFilter
Uses of Class javax.swing.JButton
Uses of Class javax.swing.JComboBox
Uses of Class javax.swing.JComponent
Uses of Class javax.swing.JFileChooser
Uses of Class javax.swing.JInternalFrame
Uses of Class javax.swing.JLabel
Uses of Class javax.swing.JList
Uses of Class javax.swing.JMenu
Uses of Class javax.swing.JPanel
Uses of Class javax.swing.JPopupMenu
Uses of Class javax.swing.JScrollPane
Uses of Class javax.swing.JSeparator
Uses of Class javax.swing.JSlider
Uses of Class javax.swing.JToolBar
Uses of Class javax.swing.LookAndFeel
Uses of Class javax.swing.plaf.basic.BasicArrowButton
Uses of Class javax.swing.plaf.basic.BasicButtonListener
Uses of Class javax.swing.plaf.basic.BasicButtonUI
Uses of Class javax.swing.plaf.basic.BasicComboBoxEditor
Uses of Class javax.swing.plaf.basic.BasicComboBoxUI
Uses of Class javax.swing.plaf.basic.BasicComboBoxUI.ComboBoxLayoutManager
Uses of Class javax.swing.plaf.basic.BasicComboBoxUI.PropertyChangeHandler
Uses of Class javax.swing.plaf.basic.BasicComboPopup
Uses of Class javax.swing.plaf.basic.BasicDesktopIconUI
Uses of Class javax.swing.plaf.basic.BasicFileChooserUI
Uses of Class javax.swing.plaf.basic.BasicInternalFrameTitlePane
Uses of Class javax.swing.plaf.basic.BasicInternalFrameUI
Uses of Class javax.swing.plaf.basic.BasicLabelUI
Uses of Class javax.swing.plaf.basic.BasicLookAndFeel
Uses of Class javax.swing.plaf.basic.BasicProgressBarUI
Uses of Class javax.swing.plaf.basic.BasicRadioButtonUI
Uses of Class javax.swing.plaf.basic.BasicScrollBarUI
Uses of Class javax.swing.plaf.basic.BasicScrollPaneUI
Uses of Class javax.swing.plaf.basic.BasicSeparatorUI
Uses of Class javax.swing.plaf.basic.BasicSliderUI
Uses of Class javax.swing.plaf.basic.BasicSliderUI.PropertyChangeHandler
Uses of Class javax.swing.plaf.basic.BasicSplitPaneDivider
Uses of Class javax.swing.plaf.basic.BasicSplitPaneUI
Uses of Class javax.swing.plaf.basic.BasicTabbedPaneUI
Uses of Class javax.swing.plaf.basic.BasicTabbedPaneUI.TabbedPaneLayout
Uses of Class javax.swing.plaf.basic.BasicTextFieldUI
Uses of Class javax.swing.plaf.basic.BasicTextUI
Uses of Class javax.swing.plaf.basic.BasicToggleButtonUI
Uses of Class javax.swing.plaf.basic.BasicToolBarUI
Uses of Class javax.swing.plaf.basic.BasicToolBarUI.DockingListener
Uses of Class javax.swing.plaf.basic.BasicToolTipUI
Uses of Class javax.swing.plaf.basic.BasicTreeUI
Uses of Class javax.swing.plaf.ButtonUI
Uses of Class javax.swing.plaf.ColorUIResource
Uses of Class javax.swing.plaf.ComboBoxUI
Uses of Class javax.swing.plaf.ComponentUI
Uses of Class javax.swing.plaf.DesktopIconUI
Uses of Class javax.swing.plaf.FileChooserUI
Uses of Class javax.swing.plaf.FontUIResource
Uses of Class javax.swing.plaf.InternalFrameUI
Uses of Class javax.swing.plaf.LabelUI
Uses of Class javax.swing.plaf.metal.MetalBorders.ButtonBorder
Uses of Class javax.swing.plaf.metal.MetalBorders.Flush3DBorder
Uses of Class javax.swing.plaf.metal.MetalComboBoxEditor
Uses of Class javax.swing.plaf.metal.MetalComboBoxUI
Uses of Class javax.swing.plaf.metal.MetalComboBoxUI.MetalComboBoxLayoutManager
Uses of Class javax.swing.plaf.metal.MetalFileChooserUI
Uses of Class javax.swing.plaf.metal.MetalFileChooserUI.DirectoryComboBoxModel
Uses of Class javax.swing.plaf.metal.MetalFileChooserUI.FilterComboBoxModel
Uses of Class javax.swing.plaf.metal.MetalFileChooserUI.FilterComboBoxRenderer
Uses of Class javax.swing.plaf.metal.MetalIconFactory.FileIcon16
Uses of Class javax.swing.plaf.metal.MetalIconFactory.FolderIcon16
Uses of Class javax.swing.plaf.metal.MetalLabelUI
Uses of Class javax.swing.plaf.metal.MetalRadioButtonUI
Uses of Class javax.swing.plaf.metal.MetalScrollButton
Uses of Class javax.swing.plaf.metal.MetalSeparatorUI
Uses of Class javax.swing.plaf.metal.MetalSliderUI
Uses of Class javax.swing.plaf.metal.MetalTabbedPaneUI
Uses of Class javax.swing.plaf.metal.MetalTheme
Uses of Class javax.swing.plaf.metal.MetalToolBarUI
Uses of Class javax.swing.plaf.ProgressBarUI
Uses of Class javax.swing.plaf.ScrollBarUI
Uses of Class javax.swing.plaf.ScrollPaneUI
Uses of Class javax.swing.plaf.SeparatorUI
Uses of Class javax.swing.plaf.SliderUI
Uses of Class javax.swing.plaf.SplitPaneUI
Uses of Class javax.swing.plaf.TabbedPaneUI
Uses of Class javax.swing.plaf.TextUI
Uses of Class javax.swing.plaf.ToolBarUI
Uses of Class javax.swing.plaf.ToolTipUI
Uses of Class javax.swing.plaf.TreeUI
Uses of Class javax.swing.tree.TreePath
Uses of Class javax.swing.UIDefaults
Uses of Interface java.awt.event.ActionListener
Uses of Interface java.awt.event.ContainerListener
Uses of Interface java.awt.event.FocusListener
Uses of Interface java.awt.event.MouseListener
Uses of Interface java.awt.event.MouseMotionListener
Uses of Interface java.awt.image.ImageObserver
Uses of Interface java.awt.ItemSelectable
Uses of Interface java.awt.LayoutManager
Uses of Interface java.awt.MenuContainer
Uses of Interface java.beans.PropertyChangeListener
Uses of Interface java.io.Serializable
Uses of Interface java.lang.Cloneable
Uses of Interface java.util.EventListener
Uses of Interface javax.accessibility.Accessible
Uses of Interface javax.swing.Action
Uses of Interface javax.swing.border.Border
Uses of Interface javax.swing.ComboBoxEditor
Uses of Interface javax.swing.ComboBoxModel
Uses of Interface javax.swing.event.MouseInputListener
Uses of Interface javax.swing.Icon
Uses of Interface javax.swing.ListCellRenderer
Uses of Interface javax.swing.ListModel
Uses of Interface javax.swing.MenuElement
Uses of Interface javax.swing.plaf.basic.ComboPopup
Uses of Interface javax.swing.plaf.UIResource
Uses of Interface javax.swing.ScrollPaneConstants
Uses of Interface javax.swing.SwingConstants
Uses of Interface javax.swing.text.ViewFactory
javax.swing.plaf.multi found in:
Uses of Class java.awt.Dimension
Uses of Class java.awt.Graphics
Uses of Class java.awt.Point
Uses of Class java.awt.Rectangle
Uses of Class java.io.File
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.util.Vector
Uses of Class javax.swing.filechooser.FileFilter
Uses of Class javax.swing.filechooser.FileView
Uses of Class javax.swing.JComboBox
Uses of Class javax.swing.JComponent
Uses of Class javax.swing.JFileChooser
Uses of Class javax.swing.JList
Uses of Class javax.swing.JOptionPane
Uses of Class javax.swing.JSplitPane
Uses of Class javax.swing.JTabbedPane
Uses of Class javax.swing.JTree
Uses of Class javax.swing.LookAndFeel
Uses of Class javax.swing.plaf.ButtonUI
Uses of Class javax.swing.plaf.ColorChooserUI
Uses of Class javax.swing.plaf.ComboBoxUI
Uses of Class javax.swing.plaf.ComponentUI
Uses of Class javax.swing.plaf.DesktopIconUI
Uses of Class javax.swing.plaf.DesktopPaneUI
Uses of Class javax.swing.plaf.FileChooserUI
Uses of Class javax.swing.plaf.InternalFrameUI
Uses of Class javax.swing.plaf.LabelUI
Uses of Class javax.swing.plaf.ListUI
Uses of Class javax.swing.plaf.MenuBarUI
Uses of Class javax.swing.plaf.MenuItemUI
Uses of Class javax.swing.plaf.OptionPaneUI
Uses of Class javax.swing.plaf.PanelUI
Uses of Class javax.swing.plaf.PopupMenuUI
Uses of Class javax.swing.plaf.ProgressBarUI
Uses of Class javax.swing.plaf.ScrollBarUI
Uses of Class javax.swing.plaf.ScrollPaneUI
Uses of Class javax.swing.plaf.SeparatorUI
Uses of Class javax.swing.plaf.SliderUI
Uses of Class javax.swing.plaf.SplitPaneUI
Uses of Class javax.swing.plaf.TabbedPaneUI
Uses of Class javax.swing.plaf.TableHeaderUI
Uses of Class javax.swing.plaf.TableUI
Uses of Class javax.swing.plaf.TextUI
Uses of Class javax.swing.plaf.ToolBarUI
Uses of Class javax.swing.plaf.ToolTipUI
Uses of Class javax.swing.plaf.TreeUI
Uses of Class javax.swing.plaf.ViewportUI
Uses of Class javax.swing.text.BadLocationException
Uses of Class javax.swing.text.EditorKit
Uses of Class javax.swing.text.JTextComponent
Uses of Class javax.swing.text.Position.Bias
Uses of Class javax.swing.text.View
Uses of Class javax.swing.tree.TreePath
Uses of Class javax.swing.UIDefaults
Uses of Interface javax.accessibility.Accessible
javax.swing.table found in:
Uses of Class java.awt.Color
Uses of Class java.awt.Component
Uses of Class java.awt.Component.AccessibleAWTComponent
Uses of Class java.awt.Container
Uses of Class java.awt.Container.AccessibleAWTContainer
Uses of Class java.awt.Cursor
Uses of Class java.awt.Dimension
Uses of Class java.awt.event.MouseEvent
Uses of Class java.awt.Font
Uses of Class java.awt.FontMetrics
Uses of Class java.awt.Point
Uses of Class java.awt.Rectangle
Uses of Class java.beans.PropertyChangeEvent
Uses of Class java.lang.Class
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.util.Locale
Uses of Class java.util.Vector
Uses of Class javax.accessibility.AccessibleContext
Uses of Class javax.accessibility.AccessibleRole
Uses of Class javax.accessibility.AccessibleStateSet
Uses of Class javax.swing.event.ChangeEvent
Uses of Class javax.swing.event.EventListenerList
Uses of Class javax.swing.event.ListSelectionEvent
Uses of Class javax.swing.event.TableColumnModelEvent
Uses of Class javax.swing.event.TableModelEvent
Uses of Class javax.swing.JComponent
Uses of Class javax.swing.JComponent.AccessibleJComponent
Uses of Class javax.swing.JLabel
Uses of Class javax.swing.JTable
Uses of Class javax.swing.plaf.TableHeaderUI
Uses of Class javax.swing.table.AbstractTableModel
Uses of Class javax.swing.table.DefaultTableCellRenderer
Uses of Class javax.swing.table.JTableHeader
Uses of Class javax.swing.table.JTableHeader.AccessibleJTableHeader
Uses of Class javax.swing.table.TableColumn
Uses of Interface java.awt.event.FocusListener
Uses of Interface java.awt.image.ImageObserver
Uses of Interface java.awt.MenuContainer
Uses of Interface java.beans.PropertyChangeListener
Uses of Interface java.io.Serializable
Uses of Interface java.util.Enumeration
Uses of Interface java.util.EventListener
Uses of Interface javax.accessibility.Accessible
Uses of Interface javax.accessibility.AccessibleAction
Uses of Interface javax.accessibility.AccessibleComponent
Uses of Interface javax.accessibility.AccessibleSelection
Uses of Interface javax.accessibility.AccessibleText
Uses of Interface javax.accessibility.AccessibleValue
Uses of Interface javax.swing.border.Border
Uses of Interface javax.swing.CellEditor
Uses of Interface javax.swing.event.ListSelectionListener
Uses of Interface javax.swing.event.TableColumnModelListener
Uses of Interface javax.swing.event.TableModelListener
Uses of Interface javax.swing.ListSelectionModel
Uses of Interface javax.swing.plaf.UIResource
Uses of Interface javax.swing.SwingConstants
Uses of Interface javax.swing.table.TableCellEditor
Uses of Interface javax.swing.table.TableCellRenderer
Uses of Interface javax.swing.table.TableColumnModel
Uses of Interface javax.swing.table.TableModel
javax.swing.text found in:
Uses of Class java.awt.Color
Uses of Class java.awt.Component
Uses of Class java.awt.Component.AccessibleAWTComponent
Uses of Class java.awt.Container
Uses of Class java.awt.Container.AccessibleAWTContainer
Uses of Class java.awt.Dimension
Uses of Class java.awt.event.ActionEvent
Uses of Class java.awt.event.FocusEvent
Uses of Class java.awt.event.InputMethodEvent
Uses of Class java.awt.event.MouseEvent
Uses of Class java.awt.Font
Uses of Class java.awt.FontMetrics
Uses of Class java.awt.geom.Rectangle2D
Uses of Class java.awt.geom.RectangularShape
Uses of Class java.awt.Graphics
Uses of Class java.awt.Insets
Uses of Class java.awt.Point
Uses of Class java.awt.Rectangle
Uses of Class java.io.InputStream
Uses of Class java.io.IOException
Uses of Class java.io.ObjectInputStream
Uses of Class java.io.ObjectOutputStream
Uses of Class java.io.OutputStream
Uses of Class java.io.PrintStream
Uses of Class java.io.Reader
Uses of Class java.io.Writer
Uses of Class java.lang.Class
Uses of Class java.lang.ClassNotFoundException
Uses of Class java.lang.Exception
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.lang.Thread
Uses of Class java.lang.Throwable
Uses of Class java.util.Dictionary
Uses of Class java.util.Vector
Uses of Class javax.accessibility.AccessibleContext
Uses of Class javax.accessibility.AccessibleRole
Uses of Class javax.accessibility.AccessibleStateSet
Uses of Class javax.swing.AbstractAction
Uses of Class javax.swing.event.CaretEvent
Uses of Class javax.swing.event.ChangeEvent
Uses of Class javax.swing.event.DocumentEvent.EventType
Uses of Class javax.swing.event.EventListenerList
Uses of Class javax.swing.event.UndoableEditEvent
Uses of Class javax.swing.JComponent
Uses of Class javax.swing.JComponent.AccessibleJComponent
Uses of Class javax.swing.JEditorPane
Uses of Class javax.swing.KeyStroke
Uses of Class javax.swing.plaf.basic.BasicTextUI
Uses of Class javax.swing.plaf.ComponentUI
Uses of Class javax.swing.plaf.TextUI
Uses of Class javax.swing.SizeRequirements
Uses of Class javax.swing.text.AbstractDocument
Uses of Class javax.swing.text.AbstractDocument.AbstractElement
Uses of Class javax.swing.text.AbstractDocument.BranchElement
Uses of Class javax.swing.text.AbstractDocument.DefaultDocumentEvent
Uses of Class javax.swing.text.AsyncBoxView
Uses of Class javax.swing.text.AsyncBoxView.ChildLocator
Uses of Class javax.swing.text.AsyncBoxView.ChildState
Uses of Class javax.swing.text.BadLocationException
Uses of Class javax.swing.text.BoxView
Uses of Class javax.swing.text.CompositeView
Uses of Class javax.swing.text.DefaultEditorKit
Uses of Class javax.swing.text.DefaultStyledDocument
Uses of Class javax.swing.text.DefaultStyledDocument.ElementBuffer
Uses of Class javax.swing.text.DefaultStyledDocument.ElementSpec
Uses of Class javax.swing.text.EditorKit
Uses of Class javax.swing.text.ElementIterator
Uses of Class javax.swing.text.FieldView
Uses of Class javax.swing.text.FlowView
Uses of Class javax.swing.text.FlowView.FlowStrategy
Uses of Class javax.swing.text.GlyphView
Uses of Class javax.swing.text.GlyphView.GlyphPainter
Uses of Class javax.swing.text.JTextComponent
Uses of Class javax.swing.text.JTextComponent.KeyBinding
Uses of Class javax.swing.text.LayeredHighlighter
Uses of Class javax.swing.text.LayeredHighlighter.LayerPainter
Uses of Class javax.swing.text.LayoutQueue
Uses of Class javax.swing.text.PlainView
Uses of Class javax.swing.text.Position.Bias
Uses of Class javax.swing.text.Segment
Uses of Class javax.swing.text.StyleConstants
Uses of Class javax.swing.text.StyleContext
Uses of Class javax.swing.text.StyleContext.SmallAttributeSet
Uses of Class javax.swing.text.StyledEditorKit
Uses of Class javax.swing.text.StyledEditorKit.StyledTextAction
Uses of Class javax.swing.text.TableView
Uses of Class javax.swing.text.TableView.TableCell
Uses of Class javax.swing.text.TableView.TableRow
Uses of Class javax.swing.text.TabSet
Uses of Class javax.swing.text.TabStop
Uses of Class javax.swing.text.TextAction
Uses of Class javax.swing.text.View
Uses of Class javax.swing.undo.AbstractUndoableEdit
Uses of Class javax.swing.undo.CannotRedoException
Uses of Class javax.swing.undo.CannotUndoException
Uses of Class javax.swing.undo.CompoundEdit
Uses of Interface java.awt.event.ActionListener
Uses of Interface java.awt.event.FocusListener
Uses of Interface java.awt.event.InputMethodListener
Uses of Interface java.awt.event.MouseListener
Uses of Interface java.awt.event.MouseMotionListener
Uses of Interface java.awt.im.InputMethodRequests
Uses of Interface java.awt.image.ImageObserver
Uses of Interface java.awt.MenuContainer
Uses of Interface java.awt.Shape
Uses of Interface java.io.Serializable
Uses of Interface java.lang.Cloneable
Uses of Interface java.lang.Runnable
Uses of Interface java.text.CharacterIterator
Uses of Interface java.util.Enumeration
Uses of Interface java.util.EventListener
Uses of Interface javax.accessibility.Accessible
Uses of Interface javax.accessibility.AccessibleComponent
Uses of Interface javax.accessibility.AccessibleText
Uses of Interface javax.swing.Action
Uses of Interface javax.swing.event.CaretListener
Uses of Interface javax.swing.event.ChangeListener
Uses of Interface javax.swing.event.DocumentEvent
Uses of Interface javax.swing.event.DocumentEvent.ElementChange
Uses of Interface javax.swing.event.DocumentListener
Uses of Interface javax.swing.event.UndoableEditListener
Uses of Interface javax.swing.Icon
Uses of Interface javax.swing.Scrollable
Uses of Interface javax.swing.SwingConstants
Uses of Interface javax.swing.text.AbstractDocument.AttributeContext
Uses of Interface javax.swing.text.AbstractDocument.Content
Uses of Interface javax.swing.text.AttributeSet
Uses of Interface javax.swing.text.AttributeSet.CharacterAttribute
Uses of Interface javax.swing.text.AttributeSet.ColorAttribute
Uses of Interface javax.swing.text.AttributeSet.FontAttribute
Uses of Interface javax.swing.text.AttributeSet.ParagraphAttribute
Uses of Interface javax.swing.text.Caret
Uses of Interface javax.swing.text.Document
Uses of Interface javax.swing.text.Element
Uses of Interface javax.swing.text.Highlighter
Uses of Interface javax.swing.text.Highlighter.Highlight
Uses of Interface javax.swing.text.Highlighter.HighlightPainter
Uses of Interface javax.swing.text.Keymap
Uses of Interface javax.swing.text.MutableAttributeSet
Uses of Interface javax.swing.text.Position
Uses of Interface javax.swing.text.Style
Uses of Interface javax.swing.text.StyledDocument
Uses of Interface javax.swing.text.TabableView
Uses of Interface javax.swing.text.TabExpander
Uses of Interface javax.swing.text.ViewFactory
Uses of Interface javax.swing.tree.TreeNode
Uses of Interface javax.swing.undo.UndoableEdit
javax.swing.text.html found in:
Uses of Class java.awt.Color
Uses of Class java.awt.Component
Uses of Class java.awt.Cursor
Uses of Class java.awt.event.ActionEvent
Uses of Class java.awt.event.MouseAdapter
Uses of Class java.awt.event.MouseEvent
Uses of Class java.awt.Font
Uses of Class java.awt.Graphics
Uses of Class java.awt.Rectangle
Uses of Class java.io.IOException
Uses of Class java.io.Reader
Uses of Class java.io.Writer
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.net.URL
Uses of Class java.util.EventObject
Uses of Class java.util.Vector
Uses of Class javax.swing.AbstractAction
Uses of Class javax.swing.event.HyperlinkEvent
Uses of Class javax.swing.event.HyperlinkEvent.EventType
Uses of Class javax.swing.event.UndoableEditEvent
Uses of Class javax.swing.JEditorPane
Uses of Class javax.swing.SizeRequirements
Uses of Class javax.swing.text.AbstractDocument
Uses of Class javax.swing.text.AbstractDocument.AbstractElement
Uses of Class javax.swing.text.AbstractDocument.BranchElement
Uses of Class javax.swing.text.AbstractDocument.DefaultDocumentEvent
Uses of Class javax.swing.text.AbstractDocument.LeafElement
Uses of Class javax.swing.text.AbstractWriter
Uses of Class javax.swing.text.BadLocationException
Uses of Class javax.swing.text.BoxView
Uses of Class javax.swing.text.ComponentView
Uses of Class javax.swing.text.CompositeView
Uses of Class javax.swing.text.DefaultEditorKit
Uses of Class javax.swing.text.DefaultStyledDocument
Uses of Class javax.swing.text.DefaultStyledDocument.ElementSpec
Uses of Class javax.swing.text.EditorKit
Uses of Class javax.swing.text.GlyphView
Uses of Class javax.swing.text.html.BlockView
Uses of Class javax.swing.text.html.CSS.Attribute
Uses of Class javax.swing.text.html.FormView
Uses of Class javax.swing.text.html.HTML.Attribute
Uses of Class javax.swing.text.html.HTML.Tag
Uses of Class javax.swing.text.html.HTMLDocument
Uses of Class javax.swing.text.html.HTMLDocument.HTMLReader
Uses of Class javax.swing.text.html.HTMLDocument.HTMLReader.BlockAction
Uses of Class javax.swing.text.html.HTMLDocument.HTMLReader.SpecialAction
Uses of Class javax.swing.text.html.HTMLDocument.HTMLReader.TagAction
Uses of Class javax.swing.text.html.HTMLDocument.Iterator
Uses of Class javax.swing.text.html.HTMLEditorKit
Uses of Class javax.swing.text.html.HTMLEditorKit.HTMLTextAction
Uses of Class javax.swing.text.html.HTMLEditorKit.Parser
Uses of Class javax.swing.text.html.HTMLEditorKit.ParserCallback
Uses of Class javax.swing.text.html.HTMLFrameHyperlinkEvent
Uses of Class javax.swing.text.html.Option
Uses of Class javax.swing.text.html.StyleSheet
Uses of Class javax.swing.text.html.StyleSheet.BoxPainter
Uses of Class javax.swing.text.html.StyleSheet.ListPainter
Uses of Class javax.swing.text.LabelView
Uses of Class javax.swing.text.ParagraphView
Uses of Class javax.swing.text.StyleContext
Uses of Class javax.swing.text.StyleContext.SmallAttributeSet
Uses of Class javax.swing.text.StyledEditorKit
Uses of Class javax.swing.text.StyledEditorKit.StyledTextAction
Uses of Class javax.swing.text.TextAction
Uses of Class javax.swing.text.View
Uses of Interface java.awt.event.ActionListener
Uses of Interface java.awt.event.MouseListener
Uses of Interface java.awt.event.MouseMotionListener
Uses of Interface java.awt.Shape
Uses of Interface java.io.Serializable
Uses of Interface java.lang.Cloneable
Uses of Interface java.util.Enumeration
Uses of Interface java.util.EventListener
Uses of Interface javax.swing.Action
Uses of Interface javax.swing.event.DocumentEvent
Uses of Interface javax.swing.SwingConstants
Uses of Interface javax.swing.text.AbstractDocument.AttributeContext
Uses of Interface javax.swing.text.AbstractDocument.Content
Uses of Interface javax.swing.text.AttributeSet
Uses of Interface javax.swing.text.Document
Uses of Interface javax.swing.text.Element
Uses of Interface javax.swing.text.MutableAttributeSet
Uses of Interface javax.swing.text.Style
Uses of Interface javax.swing.text.StyledDocument
Uses of Interface javax.swing.text.TabableView
Uses of Interface javax.swing.text.ViewFactory
Uses of Interface javax.swing.tree.TreeNode
javax.swing.text.html.parser found in:
Uses of Class java.io.DataInputStream
Uses of Class java.io.IOException
Uses of Class java.io.Reader
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.lang.StringBuffer
Uses of Class java.util.BitSet
Uses of Class java.util.Hashtable
Uses of Class java.util.Vector
Uses of Class javax.swing.text.ChangedCharSetException
Uses of Class javax.swing.text.html.HTML.Tag
Uses of Class javax.swing.text.html.HTMLEditorKit.Parser
Uses of Class javax.swing.text.html.HTMLEditorKit.ParserCallback
Uses of Class javax.swing.text.html.parser.AttributeList
Uses of Class javax.swing.text.html.parser.ContentModel
Uses of Class javax.swing.text.html.parser.DTD
Uses of Class javax.swing.text.html.parser.Element
Uses of Class javax.swing.text.html.parser.Entity
Uses of Class javax.swing.text.html.parser.Parser
Uses of Class javax.swing.text.html.parser.TagElement
Uses of Class javax.swing.text.SimpleAttributeSet
Uses of Interface java.io.Serializable
Uses of Interface java.util.Enumeration
Uses of Interface javax.swing.text.html.parser.DTDConstants
javax.swing.text.rtf found in:
Uses of Class java.io.InputStream
Uses of Class java.io.IOException
Uses of Class java.io.OutputStream
Uses of Class java.io.Reader
Uses of Class java.io.Writer
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class javax.swing.text.BadLocationException
Uses of Class javax.swing.text.DefaultEditorKit
Uses of Class javax.swing.text.EditorKit
Uses of Class javax.swing.text.StyledEditorKit
Uses of Interface java.io.Serializable
Uses of Interface java.lang.Cloneable
Uses of Interface javax.swing.text.Document
javax.swing.tree found in:
Uses of Class java.awt.Color
Uses of Class java.awt.Component
Uses of Class java.awt.Container
Uses of Class java.awt.Dimension
Uses of Class java.awt.event.ActionEvent
Uses of Class java.awt.Font
Uses of Class java.awt.Graphics
Uses of Class java.awt.Rectangle
Uses of Class java.lang.Class
Uses of Class java.lang.CloneNotSupportedException
Uses of Class java.lang.Exception
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Class java.util.EventObject
Uses of Class java.util.Vector
Uses of Class javax.swing.DefaultListSelectionModel
Uses of Class javax.swing.event.EventListenerList
Uses of Class javax.swing.event.SwingPropertyChangeSupport
Uses of Class javax.swing.event.TreeExpansionEvent
Uses of Class javax.swing.event.TreeModelEvent
Uses of Class javax.swing.event.TreeSelectionEvent
Uses of Class javax.swing.JComponent
Uses of Class javax.swing.JLabel
Uses of Class javax.swing.JTextField
Uses of Class javax.swing.JTree
Uses of Class javax.swing.text.JTextComponent
Uses of Class javax.swing.Timer
Uses of Class javax.swing.tree.AbstractLayoutCache
Uses of Class javax.swing.tree.AbstractLayoutCache.NodeDimensions
Uses of Class javax.swing.tree.DefaultMutableTreeNode
Uses of Class javax.swing.tree.DefaultTreeCellEditor
Uses of Class javax.swing.tree.DefaultTreeCellRenderer
Uses of Class javax.swing.tree.TreePath
Uses of Interface java.awt.event.ActionListener
Uses of Interface java.awt.image.ImageObserver
Uses of Interface java.awt.MenuContainer
Uses of Interface java.beans.PropertyChangeListener
Uses of Interface java.io.Serializable
Uses of Interface java.lang.Cloneable
Uses of Interface java.util.Enumeration
Uses of Interface java.util.EventListener
Uses of Interface javax.accessibility.Accessible
Uses of Interface javax.swing.border.Border
Uses of Interface javax.swing.CellEditor
Uses of Interface javax.swing.event.CellEditorListener
Uses of Interface javax.swing.event.TreeModelListener
Uses of Interface javax.swing.event.TreeSelectionListener
Uses of Interface javax.swing.Icon
Uses of Interface javax.swing.Scrollable
Uses of Interface javax.swing.SwingConstants
Uses of Interface javax.swing.tree.MutableTreeNode
Uses of Interface javax.swing.tree.RowMapper
Uses of Interface javax.swing.tree.TreeCellEditor
Uses of Interface javax.swing.tree.TreeCellRenderer
Uses of Interface javax.swing.tree.TreeModel
Uses of Interface javax.swing.tree.TreeNode
Uses of Interface javax.swing.tree.TreeSelectionModel
javax.swing.undo found in:
Uses of Class java.lang.Exception
Uses of Class java.lang.Object
Uses of Class java.lang.RuntimeException
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Class java.util.Hashtable
Uses of Class java.util.Vector
Uses of Class javax.swing.event.UndoableEditEvent
Uses of Class javax.swing.undo.AbstractUndoableEdit
Uses of Class javax.swing.undo.CannotRedoException
Uses of Class javax.swing.undo.CannotUndoException
Uses of Class javax.swing.undo.CompoundEdit
Uses of Interface java.io.Serializable
Uses of Interface java.util.EventListener
Uses of Interface javax.swing.event.UndoableEditListener
Uses of Interface javax.swing.undo.StateEditable
Uses of Interface javax.swing.undo.UndoableEdit
javax.transaction found in:
Uses of Class java.io.IOException
Uses of Class java.lang.Exception
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Class java.rmi.RemoteException
Uses of Interface java.io.Serializable


JButton found in:
Class JButton
Component
Java L&F
Motif
Win32
JCheckBox found in:
Class JCheckBox
Component
Java L&F
Motif
Win32
JCheckBoxMenuItem found in:
Class JCheckBoxMenuItem
Component
Java L&F
Motif
Win32
JComboBox found in:
Class JComboBox
Component
Java L&F
Motif
Win32


jdb - The Java Debugger found in:
jdb - The Java Debugger
jdb - The Java Debugger


JDesktopPane found in:
Class JDesktopPane
Component
Java L&F
Motif
Win32


JDialog found in:
Class JDialog
Component
Java L&F
Motif
Win32


JEditorPane found in:
Class JEditorPane
Component
Java L&F
Motif
Win32


JFileChooser found in:
Class JFileChooser
JFileChooser
JFrame found in:
Class JFrame
Component
Java L&F
JFrame
Motif
Win32
JInternalFrame found in:
Class JInternalFrame
Component
Java L&F
Motif
Win32


JList found in:
Class JList
Component
Java L&F
Motif
Win32
JMenu found in:
Class JMenu
Component
Java L&F
Motif
Win32
JMenuBar found in:
Class JMenuBar
Component
Java L&F
Motif
Win32
JMenuItem found in:
Class JMenuItem
Component
Java L&F
Motif
Win32


JNDI Change History found in:
JNDI Change History
JNDI Change History
JNDIPROPS found in:
Guidelines for LDAP Service Providers
JNDI/LDAP Service Provider


join found in:
Class DatagramSocketImpl.join(java.net.InetAddress)
Class Thread.join(long)


JOption found in:
rmid - The Java RMI Activation System Daemon
rmid - The Java RMI Activation System Daemon
JOptionPane found in:
Class JOptionPane
Component
Java L&F
Motif
Win32
JPasswordField found in:
Class JPasswordField
Component
Java L&F
Motif
Win32


JPopupMenu found in:
Class JPopupMenu
Component
Java L&F
Motif
Win32
JRadioButton found in:
Class JRadioButton
Component
Java L&F
Motif
Win32
JRadioButtonMenuItem found in:
Class JRadioButtonMenuItem
Component
Java L&F
Motif
Win32


JScrollPane found in:
Class JScrollPane
Component
Java L&F
Motif
Win32
JSlider found in:
Class JSlider
Component
Java L&F
Motif
Win32
JSplitPane found in:
Class JSplitPane
Component
Java L&F
JSplitPane
Motif
Win32
JTabbedPane found in:
Class JTabbedPane
Component
Java L&F
JTabbedPane
Motif
Win32
JTable found in:
Class JTable
Component
Java L&F
JTable
Motif
Win32
JTextArea found in:
Class JTextArea
Component
Java L&F
Motif
Win32
JTextField found in:
Class JTextField
Component
Java L&F
Motif
Win32
JTextPane found in:
Class JTextPane
Component
Java L&F
Motif
Win32
JToggleButton found in:
Class JToggleButton
Component
Java L&F
Motif
Win32
JToolBar found in:
Class JToolBar
Component
Java L&F
JToolBar
Motif
Win32
JToolTip found in:
Class JToolTip
Component
Java L&F
Motif
Win32
JTree found in:
Class JTree
Component
Java L&F
JTree
Motif
Win32


JWindow found in:
Class JWindow
Component
Java L&F
Motif
Win32


Key found in:
Class Key
Interface Key
Java Cryptography Architecture


key found in:
Class AccessibleBundle.key
Class Event.key
Class KeyBinding.key


keycloneCmd found in:
keytool-Key and Certificate Management Tool
keytool-Key and Certificate Management Tool


KeyFactory found in:
Class KeyFactory
Java Cryptography Architecture
KeyHandler found in:
Class KeyHandler
Class KeyHandler
Class KeyHandler


keyListener found in:
Class BasicComboBoxUI.keyListener
Class BasicComboPopup.keyListener
Class BasicTableUI.keyListener


KeyPair found in:
Class KeyPair
Java Cryptography Architecture


keyPressed found in:
Class AWTEventMulticaster.keyPressed(java.awt.event.KeyEvent)
Class KeyAdapter.keyPressed(java.awt.event.KeyEvent)
Class KeyHandler.keyPressed(java.awt.event.KeyEvent)
Class KeyHandler.keyPressed(java.awt.event.KeyEvent)
Class KeyHandler.keyPressed(java.awt.event.KeyEvent)
Class LWTextComponent.keyPressed(java.awt.event.KeyEvent)
Interface KeyListener.keyPressed(java.awt.event.KeyEvent)
keyReleased found in:
Class AWTEventMulticaster.keyReleased(java.awt.event.KeyEvent)
Class InvocationKeyHandler.keyReleased(java.awt.event.KeyEvent)
Class KeyAdapter.keyReleased(java.awt.event.KeyEvent)
Class KeyHandler.keyReleased(java.awt.event.KeyEvent)
Class KeyHandler.keyReleased(java.awt.event.KeyEvent)
Class LWTextComponent.keyReleased(java.awt.event.KeyEvent)
Interface KeyListener.keyReleased(java.awt.event.KeyEvent)
keys found in:
Class ActionMap.keys()
Class Dictionary.keys()
Class Hashtable.keys()
Class InputMap.keys()
Package javax.swing


keySet found in:
Class AbstractMap.keySet()
Class Attributes.keySet()
Class HashMap.keySet()
Class Hashtable.keySet()
Class Provider.keySet()
Class RenderingHints.keySet()
Class TreeMap.keySet()
Interface Map.keySet()


KeySpec found in:
How to Implement a Provider for the Java Cryptography Architecture
Interface KeySpec
Java Cryptography Architecture
KeySpecs found in:
How to Implement a Provider for the Java Cryptography Architecture
Java Cryptography Architecture
KeyStore found in:
Class KeyStore
Java Cryptography Architecture
KeystoreImplementation found in:
jarsigner-JAR Signing and Verification Tool
jarsigner-JAR Signing and Verification Tool
Java Cryptography Architecture
keytool-Key and Certificate Management Tool
keytool-Key and Certificate Management Tool
KeystoreLoc found in:
jarsigner-JAR Signing and Verification Tool
keytool-Key and Certificate Management Tool


keytool-Key and Certificate Management Tool found in:
keytool-Key and Certificate Management Tool
keytool-Key and Certificate Management Tool
keyTyped found in:
Class AWTEventMulticaster.keyTyped(java.awt.event.KeyEvent)
Class KeyAdapter.keyTyped(java.awt.event.KeyEvent)
Class KeyHandler.keyTyped(java.awt.event.KeyEvent)
Class LWTextComponent.keyTyped(java.awt.event.KeyEvent)
Interface KeyListener.keyTyped(java.awt.event.KeyEvent)


kind found in:
Class NameComponent.kind
Class TypeCode.kind()
Interface Tag.kind()


label found in:
Class UnionMember.label
Interface Argument.label()
Interface SeeTag.label()


LANDSCAPE found in:
Class OrientationRequestedType.LANDSCAPE
Class PageFormat.LANDSCAPE


LANGUAGE found in:
Class Attribute.LANGUAGE
Class Attribute.LANGUAGE
Interface Context.LANGUAGE


largeModel found in:
Class BasicTreeUI.largeModel
Class JTree.largeModel


last found in:
Class BreakIterator.last()
Class CardLayout.last(java.awt.Container)
Class Segment.last()
Class StringCharacterIterator.last()
Class TreeSet.last()
Interface CharacterIterator.last()
Interface ResultSet.last()
Interface SortedSet.last()
lastElement found in:
Class DefaultListModel.lastElement()
Class Vector.lastElement()
lastIndexOf found in:
Class AbstractList.lastIndexOf(java.lang.Object)
Class ArrayList.lastIndexOf(java.lang.Object)
Class DefaultListModel.lastIndexOf(java.lang.Object)
Class LinkedList.lastIndexOf(java.lang.Object)
Class String.lastIndexOf(int)
Class Vector.lastIndexOf(java.lang.Object)
Interface List.lastIndexOf(java.lang.Object)
lastKey found in:
Class TreeMap.lastKey()
Interface SortedMap.lastKey()


lastRow found in:
Class AccessibleJTableModelChange.lastRow
Class DefaultTreeCellEditor.lastRow
Class TableModelEvent.lastRow


layout found in:
Class BoxView.layout(int, int)
Class Component.layout()
Class Container.layout()
Class FlowStrategy.layout(javax.swing.text.FlowView)
Class FlowView.layout(int, int)
Class ScrollPane.layout()
layoutContainer found in:
Class BasicHorizontalLayoutManager.layoutContainer(java.awt.Container)
Class BasicScrollBarUI.layoutContainer(java.awt.Container)
Class BorderLayout.layoutContainer(java.awt.Container)
Class BoxLayout.layoutContainer(java.awt.Container)
Class ButtonAreaLayout.layoutContainer(java.awt.Container)
Class CardLayout.layoutContainer(java.awt.Container)
Class ComboBoxLayoutManager.layoutContainer(java.awt.Container)
Class DividerLayout.layoutContainer(java.awt.Container)
Class FlowLayout.layoutContainer(java.awt.Container)
Class GridBagLayout.layoutContainer(java.awt.Container)
Class GridLayout.layoutContainer(java.awt.Container)
Class InternalFrameLayout.layoutContainer(java.awt.Container)
Class MetalComboBoxLayoutManager.layoutContainer(java.awt.Container)
Class OverlayLayout.layoutContainer(java.awt.Container)
Class RootLayout.layoutContainer(java.awt.Container)
Class ScrollPaneLayout.layoutContainer(java.awt.Container)
Class TabbedPaneLayout.layoutContainer(java.awt.Container)
Class TitlePaneLayout.layoutContainer(java.awt.Container)
Class ViewportLayout.layoutContainer(java.awt.Container)
Interface LayoutManager.layoutContainer(java.awt.Container)
layoutMajorAxis found in:
Class BoxView.layoutMajorAxis(int, int, int[], int[])
Class TableRow.layoutMajorAxis(int, int, int[], int[])


layoutMinorAxis found in:
Class BlockView.layoutMinorAxis(int, int, int[], int[])
Class BoxView.layoutMinorAxis(int, int, int[], int[])
Class TableRow.layoutMinorAxis(int, int, int[], int[])
Class TableView.layoutMinorAxis(int, int, int[], int[])


LDAPPROPS found in:
Guidelines for LDAP Service Providers
JNDI/LDAP Service Provider


LEADING found in:
Class FlowLayout.LEADING
Class TitledBorder.LEADING
Interface SwingConstants.LEADING


LEFT found in:
Class Event.LEFT
Class FlowLayout.LEFT
Class JSplitPane.LEFT
Class Label.LEFT
Class TitledBorder.LEFT
Interface SwingConstants.LEFT


left found in:
Class EmptyBorder.left
Class Insets.left


LeftIndent found in:
Class ParagraphConstants.LeftIndent
Class StyleConstants.LeftIndent


leftKey found in:
Class BasicSplitPaneUI.leftKey
Class BasicTabbedPaneUI.leftKey
Class BasicToolBarUI.leftKey


Legend for Class Diagram found in:
Legend for Class Diagram
Legend for Class Diagram


length found in:
Class BitSet.length()
Class File.length()
Class GapContent.length()
Class MidiMessage.length
Class OptionalDataException.length
Class RandomAccessFile.length()
Class String.length()
Class StringBuffer.length()
Class StringContent.length()
Class TypeCode.length()
Interface ArrayReference.length()
Interface Blob.length()
Interface Clob.length()
Interface Content.length()
Interface DynSequence.length()


lightHighlight found in:
Class BasicTabbedPaneUI.lightHighlight
Class ButtonBorder.lightHighlight
Class FieldBorder.lightHighlight


lightWeightPopupEnabled found in:
Class JComboBox.lightWeightPopupEnabled
Class ToolTipManager.lightWeightPopupEnabled


LineSpacing found in:
Class ParagraphConstants.LineSpacing
Class StyleConstants.LineSpacing


LINK found in:
Class Attribute.LINK
Class Tag.LINK


link found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


linkoffline found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
linkpackagelist found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


list found in:
Class BasicComboPopup.list
Class BasicListUI.list
Class Component.list()
Class Container.list(java.io.PrintStream, int)
Class File.list()
Class InitialContext.list(java.lang.String)
Class Naming.list(java.lang.String)
Class Properties.list(java.io.PrintStream)
Class ThreadGroup.list()
Class _NamingContextStub.list(int, org.omg.CosNaming.BindingListHolder, org.omg.CosNaming.BindingIteratorHolder)
Interface Context.list(javax.naming.Name)
Interface NamingContextOperations.list(int, org.omg.CosNaming.BindingListHolder, org.omg.CosNaming.BindingIteratorHolder)
Interface Registry.list()


List found in:
Class List
Interface List


listBindings found in:
Class InitialContext.listBindings(java.lang.String)
Interface Context.listBindings(javax.naming.Name)
listBox found in:
Class BasicComboBoxUI.listBox
Class MetalComboBoxButton.listBox


listCmd found in:
keytool-Key and Certificate Management Tool
keytool-Key and Certificate Management Tool


ListDataHandler found in:
Class ListDataHandler
Class ListDataHandler
Class ListDataHandler


listDataListener found in:
Class BasicComboBoxUI.listDataListener
Class BasicComboPopup.listDataListener
Class BasicListUI.listDataListener


listenerList found in:
Class AbstractCellEditor.listenerList
Class AbstractDocument.listenerList
Class AbstractListModel.listenerList
Class AbstractTableModel.listenerList
Class DefaultBoundedRangeModel.listenerList
Class DefaultButtonModel.listenerList
Class DefaultCaret.listenerList
Class DefaultColorSelectionModel.listenerList
Class DefaultListSelectionModel.listenerList
Class DefaultSingleSelectionModel.listenerList
Class DefaultTableColumnModel.listenerList
Class DefaultTreeModel.listenerList
Class DefaultTreeSelectionModel.listenerList
Class EventListenerList.listenerList
Class JComponent.listenerList
Class MenuSelectionManager.listenerList
Class NamedStyle.listenerList
Class Timer.listenerList


listIterator found in:
Class AbstractList.listIterator()
Class AbstractSequentialList.listIterator(int)
Class LinkedList.listIterator(int)
Interface List.listIterator()


ListSelectionHandler found in:
Class ListSelectionHandler
Class ListSelectionHandler


listSelectionListener found in:
Class BasicComboPopup.listSelectionListener
Class BasicListUI.listSelectionListener


load found in:
Class KeyStore.load(java.io.InputStream, char[])
Class Properties.load(java.io.InputStream)
Class Provider.load(java.io.InputStream)
Class Runtime.load(java.lang.String)
Class System.load(java.lang.String)


loadChildren found in:
Class AsyncBoxView.loadChildren(javax.swing.text.ViewFactory)
Class CompositeView.loadChildren(javax.swing.text.ViewFactory)
Class DynamicUtilTreeNode.loadChildren()
Class FlowView.loadChildren(javax.swing.text.ViewFactory)
Class WrappedPlainView.loadChildren(javax.swing.text.ViewFactory)
Class ZoneView.loadChildren(javax.swing.text.ViewFactory)
loadClass found in:
Class ClassLoader.loadClass(java.lang.String)
Class RMIClassLoader.loadClass(java.lang.String)
Class Util.loadClass(java.lang.String, java.lang.String, java.lang.ClassLoader)
Interface LoaderHandler.loadClass(java.lang.String)
Interface UtilDelegate.loadClass(java.lang.String, java.lang.String, java.lang.ClassLoader)


loadImage found in:
Class ImageIcon.loadImage(java.awt.Image)
Class SimpleBeanInfo.loadImage(java.lang.String)


loadLibrary found in:
Class Runtime.loadLibrary(java.lang.String)
Class System.loadLibrary(java.lang.String)
loadSystemColors found in:
Class BasicLookAndFeel.loadSystemColors(javax.swing.UIDefaults, java.lang.String[], boolean)
Class Toolkit.loadSystemColors(int[])


local found in:
Frequently Asked Questions - RMI and Object Serialization
Java(tm) Virtual Machine Debug Interface Reference
locale found in:
Class BeanContextSupport.locale
Editing the font.properites Files
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


locate found in:
Class Component.locate(int, int)
Class Container.locate(int, int)


location found in:
Class Component.location()
Class GridBagLayout.location(int, int)
Font Overview
Interface BreakpointRequest.location()
Interface Locatable.location()
Interface StackFrame.location()
Java(TM) 2 SDK Documentation
Java(TM) 2 SDK Documentation
locationsOfLine found in:
Interface Method.locationsOfLine(int)
Interface ReferenceType.locationsOfLine(int)
locationToIndex found in:
Class BasicListUI.locationToIndex(javax.swing.JList, java.awt.Point)
Class JList.locationToIndex(java.awt.Point)
Class ListUI.locationToIndex(javax.swing.JList, java.awt.Point)
Class MultiListUI.locationToIndex(javax.swing.JList, java.awt.Point)


LOCCRC found in:
Class ZipEntry.LOCCRC
Class ZipFile.LOCCRC
Class ZipInputStream.LOCCRC
Class ZipOutputStream.LOCCRC
LOCEXT found in:
Class ZipEntry.LOCEXT
Class ZipFile.LOCEXT
Class ZipInputStream.LOCEXT
Class ZipOutputStream.LOCEXT
LOCFLG found in:
Class ZipEntry.LOCFLG
Class ZipFile.LOCFLG
Class ZipInputStream.LOCFLG
Class ZipOutputStream.LOCFLG
LOCHDR found in:
Class ZipEntry.LOCHDR
Class ZipFile.LOCHDR
Class ZipInputStream.LOCHDR
Class ZipOutputStream.LOCHDR
LOCHOW found in:
Class ZipEntry.LOCHOW
Class ZipFile.LOCHOW
Class ZipInputStream.LOCHOW
Class ZipOutputStream.LOCHOW


lock found in:
Class Reader.lock
Class Writer.lock


LOCLEN found in:
Class ZipEntry.LOCLEN
Class ZipFile.LOCLEN
Class ZipInputStream.LOCLEN
Class ZipOutputStream.LOCLEN
LOCNAM found in:
Class ZipEntry.LOCNAM
Class ZipFile.LOCNAM
Class ZipInputStream.LOCNAM
Class ZipOutputStream.LOCNAM
LOCSIG found in:
Class ZipEntry.LOCSIG
Class ZipFile.LOCSIG
Class ZipInputStream.LOCSIG
Class ZipOutputStream.LOCSIG
LOCSIZ found in:
Class ZipEntry.LOCSIZ
Class ZipFile.LOCSIZ
Class ZipInputStream.LOCSIZ
Class ZipOutputStream.LOCSIZ
LOCTIM found in:
Class ZipEntry.LOCTIM
Class ZipFile.LOCTIM
Class ZipInputStream.LOCTIM
Class ZipOutputStream.LOCTIM
LOCVER found in:
Class ZipEntry.LOCVER
Class ZipFile.LOCVER
Class ZipInputStream.LOCVER
Class ZipOutputStream.LOCVER


log found in:
Class LogStream.log(java.lang.String)
Class Math.log(double)
Class StrictMath.log(double)


Log found in:
Policy Tool - Policy File Creation and Management Tool
Policy Tool - Policy File Creation and Management Tool
LogOption found in:
rmid - The Java RMI Activation System Daemon
rmid - The Java RMI Activation System Daemon


LONG found in:
Class DateFormat.LONG
Class TimeZone.LONG


longValue found in:
Class BigDecimal.longValue()
Class BigInteger.longValue()
Class Byte.longValue()
Class Double.longValue()
Class Float.longValue()
Class Integer.longValue()
Class Long.longValue()
Class Number.longValue()
Class Short.longValue()
Interface PrimitiveValue.longValue()


lookup found in:
Class InitialContext.lookup(java.lang.String)
Class Naming.lookup(java.lang.String)
Class ObjectStreamClass.lookup(java.lang.Class)
Interface Context.lookup(javax.naming.Name)
Interface Registry.lookup(java.lang.String)
lookupLink found in:
Class InitialContext.lookupLink(java.lang.String)
Interface Context.lookupLink(javax.naming.Name)


lookupPixel found in:
Class ByteLookupTable.lookupPixel(int[], int[])
Class LookupTable.lookupPixel(int[], int[])
Class ShortLookupTable.lookupPixel(int[], int[])


loop found in:
Interface AudioClip.loop()
Interface Clip.loop(int)


lostOwnership found in:
Class StringSelection.lostOwnership(java.awt.datatransfer.Clipboard, java.awt.datatransfer.Transferable)
Interface ClipboardOwner.lostOwnership(java.awt.datatransfer.Clipboard, java.awt.datatransfer.Transferable)


LOWERED found in:
Class BevelBorder.LOWERED
Class EtchedBorder.LOWERED


lowerLeft found in:
Class JScrollPane.lowerLeft
Class ScrollPaneLayout.lowerLeft
lowerRight found in:
Class JScrollPane.lowerRight
Class ScrollPaneLayout.lowerRight


main found in:
Developing a Client Application
Developing the Hello World Server


makeBounds found in:
Class Arc2D.makeBounds(double, double, double, double)
Class Double.makeBounds(double, double, double, double)
Class Float.makeBounds(double, double, double, double)
makefileexample found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
makeVisible found in:
Class JTree.makeVisible(javax.swing.tree.TreePath)
Class List.makeVisible(int)


MAP found in:
Class Tag.MAP
JNDI/RMI Registry Service Provider


mapSystemException found in:
Class Util.mapSystemException(org.omg.CORBA.SystemException)
Interface UtilDelegate.mapSystemException(org.omg.CORBA.SystemException)


mark found in:
Class AudioInputStream.mark(int)
Class BufferedInputStream.mark(int)
Class BufferedReader.mark(int)
Class ByteArrayInputStream.mark
Class CharArrayReader.mark(int)
Class FilterInputStream.mark(int)
Class FilterReader.mark(int)
Class InputStream.mark(int)
Class LineNumberInputStream.mark(int)
Class LineNumberReader.mark(int)
Class PushbackReader.mark(int)
Class Reader.mark(int)
Class StringReader.mark(int)
markSupported found in:
Class AudioInputStream.markSupported()
Class BufferedInputStream.markSupported()
Class BufferedReader.markSupported()
Class ByteArrayInputStream.markSupported()
Class CharArrayReader.markSupported()
Class FilterInputStream.markSupported()
Class FilterReader.markSupported()
Class InputStream.markSupported()
Class PushbackInputStream.markSupported()
Class PushbackReader.markSupported()
Class Reader.markSupported()
Class StringReader.markSupported()


matches found in:
Class AudioFormat.matches(javax.sound.sampled.AudioFormat)
Class Info.matches(javax.sound.sampled.Line.Info)
Class Info.matches(javax.sound.sampled.Line.Info)
Class Info.matches(javax.sound.sampled.Line.Info)


math found in:
Enhancements in java.lang and java.util.*
New Features


max found in:
Class BigDecimal.max(java.math.BigDecimal)
Class BigInteger.max(java.math.BigInteger)
Class Collections.max(java.util.Collection)
Class Math.max(int, int)
Class StrictMath.max(int, int)
Interface IntegerArgument.max()


MaximizeAction found in:
Class MaximizeAction
Class MaximizeAction


maximizeFrame found in:
Class BasicInternalFrameUI.maximizeFrame(javax.swing.JInternalFrame)
Class DefaultDesktopManager.maximizeFrame(javax.swing.JInternalFrame)
Interface DesktopManager.maximizeFrame(javax.swing.JInternalFrame)


maximumLayoutSize found in:
Class BasicHorizontalLayoutManager.maximumLayoutSize(java.awt.Container)
Class BorderLayout.maximumLayoutSize(java.awt.Container)
Class BoxLayout.maximumLayoutSize(java.awt.Container)
Class CardLayout.maximumLayoutSize(java.awt.Container)
Class GridBagLayout.maximumLayoutSize(java.awt.Container)
Class OverlayLayout.maximumLayoutSize(java.awt.Container)
Class RootLayout.maximumLayoutSize(java.awt.Container)
Interface LayoutManager2.maximumLayoutSize(java.awt.Container)


MAX_VALUE found in:
Class Byte.MAX_VALUE
Class Character.MAX_VALUE
Class Double.MAX_VALUE
Class Float.MAX_VALUE
Class Integer.MAX_VALUE
Class Long.MAX_VALUE
Class Short.MAX_VALUE


members found in:
Class Initializer.members
Interface Group.members()
member_name found in:
Class TypeCode.member_name(int)
Interface DynUnion.member_name()


menu found in:
Class ChangeHandler.menu
Class SystemColor.menu


MENU found in:
Class AccessibleRole.MENU
Class SystemColor.MENU
Class Tag.MENU


menuBar found in:
Class BasicInternalFrameTitlePane.menuBar
Class BasicMenuBarUI.menuBar
Class JRootPane.menuBar


MenuBarBorder found in:
Class MenuBarBorder
Class MenuBarBorder


menuSelectionChanged found in:
Class JMenu.menuSelectionChanged(boolean)
Class JMenuBar.menuSelectionChanged(boolean)
Class JMenuItem.menuSelectionChanged(boolean)
Class JPopupMenu.menuSelectionChanged(boolean)
Interface MenuElement.menuSelectionChanged(boolean)


MessageDigest found in:
Class MessageDigest
Java Cryptography Architecture


META found in:
Class MetaMessage.META
Class Tag.META


meta found in:
Class DTD.meta
Interface MetaEventListener.meta(javax.sound.midi.MetaMessage)


META_MASK found in:
Class ActionEvent.META_MASK
Class Event.META_MASK
Class InputEvent.META_MASK
Method found in:
Class Method
Interface Method


method found in:
Class HttpURLConnection.method
Interface Location.method()
Interface MethodEntryEvent.method()
Interface MethodExitEvent.method()
Java(tm) Virtual Machine Debug Interface Reference


methodexample found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


methodtags found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


MIDI_TIME_CODE found in:
Class ShortMessage.MIDI_TIME_CODE
Class SyncMode.MIDI_TIME_CODE


min found in:
Class BigDecimal.min(java.math.BigDecimal)
Class BigInteger.min(java.math.BigInteger)
Class Collections.min(java.util.Collection)
Class Math.min(int, int)
Class StrictMath.min(int, int)
Interface IntegerArgument.min()


minimizeFrame found in:
Class BasicInternalFrameUI.minimizeFrame(javax.swing.JInternalFrame)
Class DefaultDesktopManager.minimizeFrame(javax.swing.JInternalFrame)
Interface DesktopManager.minimizeFrame(javax.swing.JInternalFrame)


minimumLayoutSize found in:
Class BasicHorizontalLayoutManager.minimumLayoutSize(java.awt.Container)
Class BasicScrollBarUI.minimumLayoutSize(java.awt.Container)
Class BorderLayout.minimumLayoutSize(java.awt.Container)
Class BoxLayout.minimumLayoutSize(java.awt.Container)
Class ButtonAreaLayout.minimumLayoutSize(java.awt.Container)
Class CardLayout.minimumLayoutSize(java.awt.Container)
Class ComboBoxLayoutManager.minimumLayoutSize(java.awt.Container)
Class DividerLayout.minimumLayoutSize(java.awt.Container)
Class FlowLayout.minimumLayoutSize(java.awt.Container)
Class GridBagLayout.minimumLayoutSize(java.awt.Container)
Class GridLayout.minimumLayoutSize(java.awt.Container)
Class InternalFrameLayout.minimumLayoutSize(java.awt.Container)
Class OverlayLayout.minimumLayoutSize(java.awt.Container)
Class RootLayout.minimumLayoutSize(java.awt.Container)
Class ScrollPaneLayout.minimumLayoutSize(java.awt.Container)
Class TabbedPaneLayout.minimumLayoutSize(java.awt.Container)
Class TitlePaneLayout.minimumLayoutSize(java.awt.Container)
Class ViewportLayout.minimumLayoutSize(java.awt.Container)
Interface LayoutManager.minimumLayoutSize(java.awt.Container)
minimumSize found in:
Class BasicOptionPaneUI.minimumSize
Class Component.minimumSize()
Class Container.minimumSize()
Class List.minimumSize(int)
Class TextArea.minimumSize(int, int)
Class TextField.minimumSize(int)


MIN_VALUE found in:
Class Byte.MIN_VALUE
Class Character.MIN_VALUE
Class Double.MIN_VALUE
Class Float.MIN_VALUE
Class Integer.MIN_VALUE
Class Long.MIN_VALUE
Class Short.MIN_VALUE


model found in:
Accessibility - New Features
Class AbstractButton.model
Class JProgressBar.model
Class JScrollBar.model
Class JTabbedPane.model


modelChanged found in:
Class BasicListUI.modelChanged
Class BasicTextUI.modelChanged()


ModelListener found in:
Class ModelListener
Class ModelListener


modelToView found in:
Class AsyncBoxView.modelToView(int, java.awt.Shape, javax.swing.text.Position.Bias)
Class BasicTextUI.modelToView(javax.swing.text.JTextComponent, int)
Class BoxView.modelToView(int, java.awt.Shape, javax.swing.text.Position.Bias)
Class ComponentView.modelToView(int, java.awt.Shape, javax.swing.text.Position.Bias)
Class CompositeView.modelToView(int, java.awt.Shape, javax.swing.text.Position.Bias)
Class FieldView.modelToView(int, java.awt.Shape, javax.swing.text.Position.Bias)
Class GlyphPainter.modelToView(javax.swing.text.GlyphView, int, javax.swing.text.Position.Bias, java.awt.Shape)
Class GlyphView.modelToView(int, java.awt.Shape, javax.swing.text.Position.Bias)
Class IconView.modelToView(int, java.awt.Shape, javax.swing.text.Position.Bias)
Class JTextComponent.modelToView(int)
Class MultiTextUI.modelToView(javax.swing.text.JTextComponent, int)
Class PasswordView.modelToView(int, java.awt.Shape, javax.swing.text.Position.Bias)
Class PlainView.modelToView(int, java.awt.Shape, javax.swing.text.Position.Bias)
Class TextUI.modelToView(javax.swing.text.JTextComponent, int)
Class View.modelToView(int, java.awt.Shape, javax.swing.text.Position.Bias)


modifiers found in:
Class Event.modifiers
Interface Accessible.modifiers()
Interface ProgramElementDoc.modifiers()


modifyAttributes found in:
Class InitialDirContext.modifyAttributes(java.lang.String, int, javax.naming.directory.Attributes)
Interface DirContext.modifyAttributes(javax.naming.Name, int, javax.naming.directory.Attributes)


mouseClicked found in:
Class AWTEventMulticaster.mouseClicked(java.awt.event.MouseEvent)
Class BasicButtonListener.mouseClicked(java.awt.event.MouseEvent)
Class BorderListener.mouseClicked(java.awt.event.MouseEvent)
Class DefaultCaret.mouseClicked(java.awt.event.MouseEvent)
Class DockingListener.mouseClicked(java.awt.event.MouseEvent)
Class DoubleClickListener.mouseClicked(java.awt.event.MouseEvent)
Class GlassPaneDispatcher.mouseClicked(java.awt.event.MouseEvent)
Class LinkController.mouseClicked(java.awt.event.MouseEvent)
Class MouseAdapter.mouseClicked(java.awt.event.MouseEvent)
Class MouseDragGestureRecognizer.mouseClicked(java.awt.event.MouseEvent)
Class MouseInputAdapter.mouseClicked(java.awt.event.MouseEvent)
Class MouseInputHandler.mouseClicked(java.awt.event.MouseEvent)
Class MouseInputHandler.mouseClicked(java.awt.event.MouseEvent)
Class MouseInputHandler.mouseClicked(java.awt.event.MouseEvent)
Class MouseInputHandler.mouseClicked(java.awt.event.MouseEvent)
Class MouseInputHandler.mouseClicked(java.awt.event.MouseEvent)
Class SingleClickListener.mouseClicked(java.awt.event.MouseEvent)
Interface MouseListener.mouseClicked(java.awt.event.MouseEvent)
mouseDragged found in:
Class AWTEventMulticaster.mouseDragged(java.awt.event.MouseEvent)
Class BasicButtonListener.mouseDragged(java.awt.event.MouseEvent)
Class BorderListener.mouseDragged(java.awt.event.MouseEvent)
Class DefaultCaret.mouseDragged(java.awt.event.MouseEvent)
Class DockingListener.mouseDragged(java.awt.event.MouseEvent)
Class GlassPaneDispatcher.mouseDragged(java.awt.event.MouseEvent)
Class InvocationMouseMotionHandler.mouseDragged(java.awt.event.MouseEvent)
Class LinkController.mouseDragged(java.awt.event.MouseEvent)
Class MetalDockingListener.mouseDragged(java.awt.event.MouseEvent)
Class MouseDragGestureRecognizer.mouseDragged(java.awt.event.MouseEvent)
Class MouseHandler.mouseDragged(java.awt.event.MouseEvent)
Class MouseInputAdapter.mouseDragged(java.awt.event.MouseEvent)
Class MouseInputHandler.mouseDragged(java.awt.event.MouseEvent)
Class MouseInputHandler.mouseDragged(java.awt.event.MouseEvent)
Class MouseInputHandler.mouseDragged(java.awt.event.MouseEvent)
Class MouseInputHandler.mouseDragged(java.awt.event.MouseEvent)
Class MouseInputHandler.mouseDragged(java.awt.event.MouseEvent)
Class MouseInputHandler.mouseDragged(java.awt.event.MouseEvent)
Class MouseMotionAdapter.mouseDragged(java.awt.event.MouseEvent)
Class ToolTipManager.mouseDragged(java.awt.event.MouseEvent)
Class TrackListener.mouseDragged(java.awt.event.MouseEvent)
Class TrackListener.mouseDragged(java.awt.event.MouseEvent)
Interface MouseMotionListener.mouseDragged(java.awt.event.MouseEvent)


mouseEntered found in:
Class AWTEventMulticaster.mouseEntered(java.awt.event.MouseEvent)
Class BasicButtonListener.mouseEntered(java.awt.event.MouseEvent)
Class DefaultCaret.mouseEntered(java.awt.event.MouseEvent)
Class DockingListener.mouseEntered(java.awt.event.MouseEvent)
Class GlassPaneDispatcher.mouseEntered(java.awt.event.MouseEvent)
Class MouseAdapter.mouseEntered(java.awt.event.MouseEvent)
Class MouseDragGestureRecognizer.mouseEntered(java.awt.event.MouseEvent)
Class MouseInputAdapter.mouseEntered(java.awt.event.MouseEvent)
Class MouseInputHandler.mouseEntered(java.awt.event.MouseEvent)
Class MouseInputHandler.mouseEntered(java.awt.event.MouseEvent)
Class MouseInputHandler.mouseEntered(java.awt.event.MouseEvent)
Class MouseInputHandler.mouseEntered(java.awt.event.MouseEvent)
Class MouseInputHandler.mouseEntered(java.awt.event.MouseEvent)
Class ToolTipManager.mouseEntered(java.awt.event.MouseEvent)
Interface MouseListener.mouseEntered(java.awt.event.MouseEvent)


mouseExited found in:
Class AWTEventMulticaster.mouseExited(java.awt.event.MouseEvent)
Class BasicButtonListener.mouseExited(java.awt.event.MouseEvent)
Class BorderListener.mouseExited(java.awt.event.MouseEvent)
Class DefaultCaret.mouseExited(java.awt.event.MouseEvent)
Class DockingListener.mouseExited(java.awt.event.MouseEvent)
Class GlassPaneDispatcher.mouseExited(java.awt.event.MouseEvent)
Class MouseAdapter.mouseExited(java.awt.event.MouseEvent)
Class MouseDragGestureRecognizer.mouseExited(java.awt.event.MouseEvent)
Class MouseInputAdapter.mouseExited(java.awt.event.MouseEvent)
Class MouseInputHandler.mouseExited(java.awt.event.MouseEvent)
Class MouseInputHandler.mouseExited(java.awt.event.MouseEvent)
Class MouseInputHandler.mouseExited(java.awt.event.MouseEvent)
Class MouseInputHandler.mouseExited(java.awt.event.MouseEvent)
Class MouseInputHandler.mouseExited(java.awt.event.MouseEvent)
Class ToolTipManager.mouseExited(java.awt.event.MouseEvent)
Interface MouseListener.mouseExited(java.awt.event.MouseEvent)


MouseHandler found in:
Class MouseHandler
Class MouseHandler
Class MouseHandler


MouseInputHandler found in:
Class MouseInputHandler
Class MouseInputHandler
Class MouseInputHandler
Class MouseInputHandler
Class MouseInputHandler
Class MouseInputHandler


mouseInputListener found in:
Class BasicListUI.mouseInputListener
Class BasicMenuItemUI.mouseInputListener
Class BasicTableHeaderUI.mouseInputListener
Class BasicTableUI.mouseInputListener


mouseListener found in:
Class BasicComboPopup.mouseListener
Class BasicTabbedPaneUI.mouseListener


mouseMove found in:
Class Component.mouseMove(java.awt.Event, int, int)
Class Robot.mouseMove(int, int)
mouseMoved found in:
Class AWTEventMulticaster.mouseMoved(java.awt.event.MouseEvent)
Class BasicButtonListener.mouseMoved(java.awt.event.MouseEvent)
Class BorderListener.mouseMoved(java.awt.event.MouseEvent)
Class DefaultCaret.mouseMoved(java.awt.event.MouseEvent)
Class DockingListener.mouseMoved(java.awt.event.MouseEvent)
Class GlassPaneDispatcher.mouseMoved(java.awt.event.MouseEvent)
Class LinkController.mouseMoved(java.awt.event.MouseEvent)
Class ListMouseMotionHandler.mouseMoved(java.awt.event.MouseEvent)
Class MouseDragGestureRecognizer.mouseMoved(java.awt.event.MouseEvent)
Class MouseHandler.mouseMoved(java.awt.event.MouseEvent)
Class MouseInputAdapter.mouseMoved(java.awt.event.MouseEvent)
Class MouseInputHandler.mouseMoved(java.awt.event.MouseEvent)
Class MouseInputHandler.mouseMoved(java.awt.event.MouseEvent)
Class MouseInputHandler.mouseMoved(java.awt.event.MouseEvent)
Class MouseInputHandler.mouseMoved(java.awt.event.MouseEvent)
Class MouseInputHandler.mouseMoved(java.awt.event.MouseEvent)
Class MouseInputHandler.mouseMoved(java.awt.event.MouseEvent)
Class MouseMotionAdapter.mouseMoved(java.awt.event.MouseEvent)
Class ToolTipManager.mouseMoved(java.awt.event.MouseEvent)
Class TrackListener.mouseMoved(java.awt.event.MouseEvent)
Class TrackListener.mouseMoved(java.awt.event.MouseEvent)
Interface MouseMotionListener.mouseMoved(java.awt.event.MouseEvent)
mousePressed found in:
Class ArrowButtonListener.mousePressed(java.awt.event.MouseEvent)
Class AWTEventMulticaster.mousePressed(java.awt.event.MouseEvent)
Class BasicButtonListener.mousePressed(java.awt.event.MouseEvent)
Class BorderListener.mousePressed(java.awt.event.MouseEvent)
Class DefaultCaret.mousePressed(java.awt.event.MouseEvent)
Class DockingListener.mousePressed(java.awt.event.MouseEvent)
Class GlassPaneDispatcher.mousePressed(java.awt.event.MouseEvent)
Class InvocationMouseHandler.mousePressed(java.awt.event.MouseEvent)
Class ListMouseHandler.mousePressed(java.awt.event.MouseEvent)
Class MetalDockingListener.mousePressed(java.awt.event.MouseEvent)
Class MouseAdapter.mousePressed(java.awt.event.MouseEvent)
Class MouseDragGestureRecognizer.mousePressed(java.awt.event.MouseEvent)
Class MouseHandler.mousePressed(java.awt.event.MouseEvent)
Class MouseHandler.mousePressed(java.awt.event.MouseEvent)
Class MouseHandler.mousePressed(java.awt.event.MouseEvent)
Class MouseInputAdapter.mousePressed(java.awt.event.MouseEvent)
Class MouseInputHandler.mousePressed(java.awt.event.MouseEvent)
Class MouseInputHandler.mousePressed(java.awt.event.MouseEvent)
Class MouseInputHandler.mousePressed(java.awt.event.MouseEvent)
Class MouseInputHandler.mousePressed(java.awt.event.MouseEvent)
Class MouseInputHandler.mousePressed(java.awt.event.MouseEvent)
Class MouseInputHandler.mousePressed(java.awt.event.MouseEvent)
Class ToolTipManager.mousePressed(java.awt.event.MouseEvent)
Class TrackListener.mousePressed(java.awt.event.MouseEvent)
Class TrackListener.mousePressed(java.awt.event.MouseEvent)
Interface MouseListener.mousePressed(java.awt.event.MouseEvent)
mouseReleased found in:
Class ArrowButtonListener.mouseReleased(java.awt.event.MouseEvent)
Class AWTEventMulticaster.mouseReleased(java.awt.event.MouseEvent)
Class BasicButtonListener.mouseReleased(java.awt.event.MouseEvent)
Class BorderListener.mouseReleased(java.awt.event.MouseEvent)
Class DefaultCaret.mouseReleased(java.awt.event.MouseEvent)
Class DockingListener.mouseReleased(java.awt.event.MouseEvent)
Class GlassPaneDispatcher.mouseReleased(java.awt.event.MouseEvent)
Class InvocationMouseHandler.mouseReleased(java.awt.event.MouseEvent)
Class ListMouseHandler.mouseReleased(java.awt.event.MouseEvent)
Class MouseAdapter.mouseReleased(java.awt.event.MouseEvent)
Class MouseDragGestureRecognizer.mouseReleased(java.awt.event.MouseEvent)
Class MouseEventListener.mouseReleased(java.awt.event.MouseEvent)
Class MouseHandler.mouseReleased(java.awt.event.MouseEvent)
Class MouseInputAdapter.mouseReleased(java.awt.event.MouseEvent)
Class MouseInputHandler.mouseReleased(java.awt.event.MouseEvent)
Class MouseInputHandler.mouseReleased(java.awt.event.MouseEvent)
Class MouseInputHandler.mouseReleased(java.awt.event.MouseEvent)
Class MouseInputHandler.mouseReleased(java.awt.event.MouseEvent)
Class MouseInputHandler.mouseReleased(java.awt.event.MouseEvent)
Class MouseInputHandler.mouseReleased(java.awt.event.MouseEvent)
Class TrackListener.mouseReleased(java.awt.event.MouseEvent)
Class TrackListener.mouseReleased(java.awt.event.MouseEvent)
Interface MouseListener.mouseReleased(java.awt.event.MouseEvent)


move found in:
Class Component.move(int, int)
Class Point.move(int, int)
Class Rectangle.move(int, int)


moveColumn found in:
Class DefaultTableColumnModel.moveColumn(int, int)
Class JTable.moveColumn(int, int)
Interface TableColumnModel.moveColumn(int, int)
moveDot found in:
Class DefaultCaret.moveDot(int)
Interface Caret.moveDot(int)
moveToBack found in:
Class JInternalFrame.moveToBack()
Class JLayeredPane.moveToBack(java.awt.Component)
moveToFront found in:
Class JInternalFrame.moveToFront()
Class JLayeredPane.moveToFront(java.awt.Component)


MOVE_CURSOR found in:
Class Cursor.MOVE_CURSOR
Class Frame.MOVE_CURSOR


multiple-example found in:
javac - Java programming language compiler
javac - Java programming language compiler


multiply found in:
Class BigDecimal.multiply(java.math.BigDecimal)
Class BigInteger.multiply(java.math.BigInteger)


N-Index found in:
N-Index
N-Index
NAME found in:
Class Attribute.NAME
Guidelines for LDAP Service Providers
Interface Action.NAME
Interface DTDConstants.NAME
JNDI/LDAP Service Provider
JNDI/RMI Registry Service Provider
Name found in:
Class Name
Interface Name


name found in:
Class AttributeList.name
Class Cursor.name
Class DriverPropertyInfo.name
Class DTD.name
Class Element.name
Class Entity.name
Class Font.name
Class NamedValue.name()
Class Principal.name(byte[])
Class StructMember.name
Class TypeCode.name()
Class UnionMember.name
Class ValueMember.name
Interface Argument.name()
Interface Connector.name()
Interface Doc.name()
Interface LocalVariable.name()
Interface Parameter.name()
Interface ReferenceType.name()
Interface Tag.name()
Interface ThreadGroupReference.name()
Interface ThreadReference.name()
Interface Transport.name()
Interface Type.name()
Interface TypeComponent.name()
Interface VirtualMachine.name()
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


name2type found in:
Class AttributeList.name2type(java.lang.String)
Class Element.name2type(java.lang.String)
Class Entity.name2type(java.lang.String)


NameAttribute found in:
Class StyleConstants.NameAttribute
Interface AttributeSet.NameAttribute


naming found in:
Developing the Hello World Server
Editing the font.properites Files


namingservice found in:
Developing the Hello World Server
Java(TM) IDL FAQ


NaN found in:
Class Double.NaN
Class Float.NaN


narrow found in:
Class BindingIteratorHelper.narrow(org.omg.CORBA.Object)
Class CurrentHelper.narrow(org.omg.CORBA.Object)
Class IDLTypeHelper.narrow(org.omg.CORBA.Object)
Class NamingContextHelper.narrow(org.omg.CORBA.Object)
Class PolicyHelper.narrow(org.omg.CORBA.Object)
Class PortableRemoteObject.narrow(java.lang.Object, java.lang.Class)
Developing a Client Applet
Developing a Client Application
Developing the Hello World Server
Interface PortableRemoteObjectDelegate.narrow(java.lang.Object, java.lang.Class)


NATIVE found in:
Class DialogType.NATIVE
Class Modifier.NATIVE


Native-to-ASCII Converter found in:
Native-to-ASCII Converter
Native-to-ASCII Converter


needsGui found in:
Class BeanContextSupport.needsGui()
Interface Visibility.needsGui()
needsInput found in:
Class Deflater.needsInput()
Class Inflater.needsInput()
negate found in:
Class BigDecimal.negate()
Class BigInteger.negate()


NEGATIVE_INFINITY found in:
Class Double.NEGATIVE_INFINITY
Class Float.NEGATIVE_INFINITY


NetPermission found in:
Class NetPermission
Permissions in the Java(TM) 2 SDK


Networking Features found in:
Networking Features
Networking Features


newInstance found in:
Class Array.newInstance(java.lang.Class, int)
Class Class.newInstance()
Class Constructor.newInstance(java.lang.Object[])
Class InitialLdapContext.newInstance(javax.naming.ldap.Control[])
Class URLClassLoader.newInstance(java.net.URL[], java.lang.ClassLoader)
Interface ActivationInstantiator.newInstance(java.rmi.activation.ActivationID, java.rmi.activation.ActivationDesc)
Interface ArrayType.newInstance(int)
Interface ClassType.newInstance(com.sun.jdi.ThreadReference, com.sun.jdi.Method, java.util.List, int)
Interface LdapContext.newInstance(javax.naming.ldap.Control[])


newPermissionCollection found in:
Class AllPermission.newPermissionCollection()
Class BasicPermission.newPermissionCollection()
Class FilePermission.newPermissionCollection()
Class Permission.newPermissionCollection()
Class PropertyPermission.newPermissionCollection()
Class SocketPermission.newPermissionCollection()
Class UnresolvedPermission.newPermissionCollection()


new_context found in:
Class _NamingContextStub.new_context()
Interface NamingContextOperations.new_context()
next found in:
Class AttributeList.next
Class BCSIterator.next()
Class BreakIterator.next(int)
Class CardLayout.next(java.awt.Container)
Class CollationElementIterator.next()
Class ContentModel.next
Class ElementIterator.next()
Class FlatteningPathIterator.next()
Class Iterator.next()
Class Random.next(int)
Class SecureRandom.next(int)
Class Segment.next()
Class StringCharacterIterator.next()
Interface CharacterIterator.next()
Interface DynAny.next()
Interface Iterator.next()
Interface ListIterator.next()
Interface NamingEnumeration.next()
Interface PathIterator.next()
Interface ResultSet.next()
nextBytes found in:
Class Random.nextBytes(byte[])
Class SecureRandom.nextBytes(byte[])
nextDouble found in:
Class ChoiceFormat.nextDouble(double)
Class Random.nextDouble()
nextElement found in:
Class StringTokenizer.nextElement()
Interface Enumeration.nextElement()
nextTabStop found in:
Class ParagraphView.nextTabStop(float, int)
Class PlainView.nextTabStop(float, int)
Class WrappedPlainView.nextTabStop(float, int)
Interface TabExpander.nextTabStop(float, int)
nextToken found in:
Class StreamTokenizer.nextToken()
Class StringTokenizer.nextToken()
next_n found in:
Class _BindingIteratorStub.next_n(int, org.omg.CosNaming.BindingListHolder)
Interface BindingIteratorOperations.next_n(int, org.omg.CosNaming.BindingListHolder)
next_one found in:
Class _BindingIteratorStub.next_one(org.omg.CosNaming.BindingHolder)
Interface BindingIteratorOperations.next_one(org.omg.CosNaming.BindingHolder)


NE_RESIZE_CURSOR found in:
Class Cursor.NE_RESIZE_CURSOR
Class Frame.NE_RESIZE_CURSOR


nodeDimensions found in:
Class AbstractLayoutCache.nodeDimensions
Class BasicTreeUI.nodeDimensions


nodeprecated found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
nodeprecatedlist found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
noFocusBorder found in:
Class BasicComboBoxRenderer.noFocusBorder
Class DefaultListCellRenderer.noFocusBorder
Class DefaultTableCellRenderer.noFocusBorder


nohelp found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


noindex found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


nonavbar found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


NONE found in:
Class DialogType.NONE
Class GridBagConstraints.NONE


none found in:
rmid - The Java RMI Activation System Daemon
rmid - The Java RMI Activation System Daemon


nonstandard found in:
java - the Java application launcher
java - the Java application launcher
java - the Java application launcher
javac - Java programming language compiler
javac - Java programming language compiler
nonstd found in:
Command Line Changes
Command Line Changes


NORMAL found in:
Class Frame.NORMAL
Class PrintQualityType.NORMAL


normalizeTabRuns found in:
Class TabbedPaneLayout.normalizeTabRuns(int, int, int, int)
Class TabbedPaneLayout.normalizeTabRuns(int, int, int, int)


NORTH found in:
Class BorderLayout.NORTH
Class GridBagConstraints.NORTH
Interface SwingConstants.NORTH


nosince found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


notify found in:
Class Object.notify()
Frequently Asked Questions - RMI and Object Serialization
notifyAction found in:
Class JTextField.notifyAction
Class SwingUtilities.notifyAction(javax.swing.Action, javax.swing.KeyStroke, java.awt.event.KeyEvent, java.lang.Object, int)


notree found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


numBands found in:
Class ComponentSampleModel.numBands
Class Raster.numBands
Class SampleModel.numBands


NW_RESIZE_CURSOR found in:
Class Cursor.NW_RESIZE_CURSOR
Class Frame.NW_RESIZE_CURSOR
N_RESIZE_CURSOR found in:
Class Cursor.N_RESIZE_CURSOR
Class Frame.N_RESIZE_CURSOR


object found in:
Class StateEdit.object
Glossary
Guidelines for LDAP Service Providers
Interface WatchpointEvent.object()
Java(tm) Virtual Machine Debug Interface Reference


Object found in:
Class Object
Interface Object


ObjectImpl found in:
Class ObjectImpl
Class ObjectImpl


OBJECT_SCOPE found in:
Class SearchControls.OBJECT_SCOPE
Interface EventContext.OBJECT_SCOPE


offset found in:
Class DataBuffer.offset
Class DefaultTreeCellEditor.offset
Class IndirectionException.offset
Class Segment.offset
Class TrackListener.offset
Class TrackListener.offset


okToUseGui found in:
Class BeanContextSupport.okToUseGui
Interface Visibility.okToUseGui()


oldjava found in:
Command Line Changes
java - the Java application launcher


on found in:
Class DigestInputStream.on(boolean)
Class DigestOutputStream.on(boolean)


ONELEVEL_SCOPE found in:
Class SearchControls.ONELEVEL_SCOPE
Interface EventContext.ONELEVEL_SCOPE


OPAQUE found in:
Class AccessibleState.OPAQUE
Interface Transparency.OPAQUE


open found in:
Interface Clip.open(javax.sound.sampled.AudioFormat, byte[], int, int)
Interface Line.open()
Interface MidiDevice.open()
Interface SourceDataLine.open(javax.sound.sampled.AudioFormat, int)
Interface TargetDataLine.open(javax.sound.sampled.AudioFormat, int)


OPEN found in:
Class Arc2D.OPEN
Class Type.OPEN
Open found in:
Policy Tool - Policy File Creation and Management Tool
Policy Tool - Policy File Creation and Management Tool


openConnection found in:
Class URL.openConnection()
Class URLStreamHandler.openConnection(java.net.URL)
openFrame found in:
Class DefaultDesktopManager.openFrame(javax.swing.JInternalFrame)
Interface DesktopManager.openFrame(javax.swing.JInternalFrame)


operation found in:
Class Request.operation()
Class ServerRequest.operation()


OptionDefaults found in:
keytool-Key and Certificate Management Tool
keytool-Key and Certificate Management Tool


Options found in:
appletviewer - The Java Applet Viewer
appletviewer - The Java Applet Viewer
idlj - The IDL-to-Java Compiler
jar-The Java Archive Tool
jar-The Java Archive Tool
jarsigner-JAR Signing and Verification Tool
jarsigner-JAR Signing and Verification Tool
javah - C Header and Stub File Generator
javah - C Header and Stub File Generator
javap - The Java Class File Disassembler
javap - The Java Class File Disassembler
Native-to-ASCII Converter
Native-to-ASCII Converter
rmic - The Java RMI Stub Compiler
rmic - The Java RMI Stub Compiler
rmid - The Java RMI Activation System Daemon
rmid - The Java RMI Activation System Daemon
rmiregistry - The Java Remote Object Registry
rmiregistry - The Java Remote Object Registry
serialver - The Serial Version Command
serialver - The Serial Version Command


options found in:
Class JOptionPane.options
Doclet Overview
extcheck - Jar conflict detection utility
extcheck - Jar conflict detection utility
Interface RootDoc.options()
java - the Java application launcher
java - the Java application launcher
java - the Java application launcher
javac - Java programming language compiler
javac - Java programming language compiler
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
jdb - The Java Debugger
jdb - The Java Debugger
oldjdb - The Old Java Debugger
serialver - The Serial Version Command


OptionsInAll found in:
keytool-Key and Certificate Management Tool
keytool-Key and Certificate Management Tool


or found in:
Class BigInteger.or(java.math.BigInteger)
Class BitSet.or(java.util.BitSet)
orb found in:
Class Delegate.orb(org.omg.CORBA.Object)
Class InputStream.orb()
Class OutputStream.orb()
CORBA and JavaTM technologies
Developing a Client Applet
Developing a Client Application
Developing the Hello World Server
Interface Tie.orb()
New Features


ORB found in:
Class ORB
Class ORB
Glossary
JNDI/COS Naming Service Provider


org.omg.CORBA found in:
Uses of Class java.applet.Applet
Uses of Class java.lang.Exception
Uses of Class java.lang.Object
Uses of Class java.lang.RuntimeException
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Class java.math.BigDecimal
Uses of Class java.util.Properties
Uses of Class org.omg.CORBA.Any
Uses of Class org.omg.CORBA.AnySeqHolder
Uses of Class org.omg.CORBA.BAD_OPERATION
Uses of Class org.omg.CORBA.BAD_PARAM
Uses of Class org.omg.CORBA.BooleanSeqHolder
Uses of Class org.omg.CORBA.Bounds
Uses of Class org.omg.CORBA.CharSeqHolder
Uses of Class org.omg.CORBA.CompletionStatus
Uses of Class org.omg.CORBA.Context
Uses of Class org.omg.CORBA.ContextList
Uses of Class org.omg.CORBA.DATA_CONVERSION
Uses of Class org.omg.CORBA.DefinitionKind
Uses of Class org.omg.CORBA.DoubleSeqHolder
Uses of Class org.omg.CORBA.DynAnyPackage.Invalid
Uses of Class org.omg.CORBA.DynAnyPackage.InvalidSeq
Uses of Class org.omg.CORBA.DynAnyPackage.InvalidValue
Uses of Class org.omg.CORBA.DynAnyPackage.TypeMismatch
Uses of Class org.omg.CORBA.Environment
Uses of Class org.omg.CORBA.ExceptionList
Uses of Class org.omg.CORBA.FloatSeqHolder
Uses of Class org.omg.CORBA.LongLongSeqHolder
Uses of Class org.omg.CORBA.LongSeqHolder
Uses of Class org.omg.CORBA.MARSHAL
Uses of Class org.omg.CORBA.NamedValue
Uses of Class org.omg.CORBA.NameValuePair
Uses of Class org.omg.CORBA.NVList
Uses of Class org.omg.CORBA.OctetSeqHolder
Uses of Class org.omg.CORBA.ORB
Uses of Class org.omg.CORBA.ORBPackage.InconsistentTypeCode
Uses of Class org.omg.CORBA.ORBPackage.InvalidName
Uses of Class org.omg.CORBA.PolicyError
Uses of Class org.omg.CORBA.portable.Delegate
Uses of Class org.omg.CORBA.portable.InputStream
Uses of Class org.omg.CORBA.portable.ObjectImpl
Uses of Class org.omg.CORBA.portable.OutputStream
Uses of Class org.omg.CORBA.Principal
Uses of Class org.omg.CORBA.Request
Uses of Class org.omg.CORBA.ServerRequest
Uses of Class org.omg.CORBA.ServiceDetail
Uses of Class org.omg.CORBA.ServiceInformation
Uses of Class org.omg.CORBA.ServiceInformationHolder
Uses of Class org.omg.CORBA.SetOverrideType
Uses of Class org.omg.CORBA.ShortSeqHolder
Uses of Class org.omg.CORBA.StructMember
Uses of Class org.omg.CORBA.SystemException
Uses of Class org.omg.CORBA.TCKind
Uses of Class org.omg.CORBA.TypeCode
Uses of Class org.omg.CORBA.TypeCodePackage.BadKind
Uses of Class org.omg.CORBA.TypeCodePackage.Bounds
Uses of Class org.omg.CORBA.ULongLongSeqHolder
Uses of Class org.omg.CORBA.ULongSeqHolder
Uses of Class org.omg.CORBA.UnionMember
Uses of Class org.omg.CORBA.UserException
Uses of Class org.omg.CORBA.UShortSeqHolder
Uses of Class org.omg.CORBA.ValueMember
Uses of Class org.omg.CORBA.WCharSeqHolder
Uses of Class org.omg.CORBA.WrongTransaction
Uses of Interface java.io.Serializable
Uses of Interface org.omg.CORBA.Current
Uses of Interface org.omg.CORBA.CurrentOperations
Uses of Interface org.omg.CORBA.DataInputStream
Uses of Interface org.omg.CORBA.DataOutputStream
Uses of Interface org.omg.CORBA.DomainManager
Uses of Interface org.omg.CORBA.DomainManagerOperations
Uses of Interface org.omg.CORBA.DynAny
Uses of Interface org.omg.CORBA.DynArray
Uses of Interface org.omg.CORBA.DynEnum
Uses of Interface org.omg.CORBA.DynSequence
Uses of Interface org.omg.CORBA.DynStruct
Uses of Interface org.omg.CORBA.DynUnion
Uses of Interface org.omg.CORBA.IDLType
Uses of Interface org.omg.CORBA.IDLTypeOperations
Uses of Interface org.omg.CORBA.IRObject
Uses of Interface org.omg.CORBA.IRObjectOperations
Uses of Interface org.omg.CORBA.Object
Uses of Interface org.omg.CORBA.Policy
Uses of Interface org.omg.CORBA.PolicyOperations
Uses of Interface org.omg.CORBA.portable.BoxedValueHelper
Uses of Interface org.omg.CORBA.portable.IDLEntity
Uses of Interface org.omg.CORBA.portable.Streamable
Uses of Interface org.omg.CORBA.portable.ValueBase
org.omg.CORBA.DynAnyPackage found in:
Uses of Class java.lang.Exception
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Class org.omg.CORBA.UserException
Uses of Interface java.io.Serializable
Uses of Interface org.omg.CORBA.portable.IDLEntity
org.omg.CORBA.ORBPackage found in:
Uses of Class java.lang.Exception
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Class org.omg.CORBA.UserException
Uses of Interface java.io.Serializable
Uses of Interface org.omg.CORBA.portable.IDLEntity
org.omg.CORBA.portable found in:
Uses of Class java.io.InputStream
Uses of Class java.io.IOException
Uses of Class java.io.OutputStream
Uses of Class java.lang.Class
Uses of Class java.lang.Exception
Uses of Class java.lang.Object
Uses of Class java.lang.RuntimeException
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Class java.math.BigDecimal
Uses of Class org.omg.CORBA.Any
Uses of Class org.omg.CORBA.Context
Uses of Class org.omg.CORBA.ContextList
Uses of Class org.omg.CORBA.ExceptionList
Uses of Class org.omg.CORBA.NamedValue
Uses of Class org.omg.CORBA.NVList
Uses of Class org.omg.CORBA.ORB
Uses of Class org.omg.CORBA.portable.ApplicationException
Uses of Class org.omg.CORBA.portable.Delegate
Uses of Class org.omg.CORBA.portable.InputStream
Uses of Class org.omg.CORBA.portable.OutputStream
Uses of Class org.omg.CORBA.portable.RemarshalException
Uses of Class org.omg.CORBA.portable.ServantObject
Uses of Class org.omg.CORBA.Principal
Uses of Class org.omg.CORBA.Request
Uses of Class org.omg.CORBA.SetOverrideType
Uses of Class org.omg.CORBA.SystemException
Uses of Class org.omg.CORBA.TypeCode
Uses of Class org.omg.CORBA_2_3.portable.InputStream
Uses of Interface java.io.Serializable
Uses of Interface org.omg.CORBA.CustomMarshal
Uses of Interface org.omg.CORBA.DomainManager
Uses of Interface org.omg.CORBA.Object
Uses of Interface org.omg.CORBA.Policy
Uses of Interface org.omg.CORBA.portable.IDLEntity
Uses of Interface org.omg.CORBA.portable.ResponseHandler
Uses of Interface org.omg.CORBA.portable.Streamable
Uses of Interface org.omg.CORBA.portable.ValueBase
org.omg.CORBA.TypeCodePackage found in:
Uses of Class java.lang.Exception
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Class org.omg.CORBA.UserException
Uses of Interface java.io.Serializable
Uses of Interface org.omg.CORBA.portable.IDLEntity
org.omg.CORBA_2_3 found in:
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class org.omg.CORBA.BAD_PARAM
Uses of Class org.omg.CORBA.ORB
Uses of Interface org.omg.CORBA.Object
Uses of Interface org.omg.CORBA.portable.ValueFactory
org.omg.CORBA_2_3.portable found in:
Uses of Class java.lang.Class
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class org.omg.CORBA.portable.Delegate
Uses of Class org.omg.CORBA.portable.InputStream
Uses of Class org.omg.CORBA.portable.ObjectImpl
Uses of Class org.omg.CORBA.portable.OutputStream
Uses of Interface java.io.Serializable
Uses of Interface org.omg.CORBA.Object
Uses of Interface org.omg.CORBA.portable.BoxedValueHelper
org.omg.CosNaming found in:
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class org.omg.CORBA.Any
Uses of Class org.omg.CORBA.BAD_PARAM
Uses of Class org.omg.CORBA.DynamicImplementation
Uses of Class org.omg.CORBA.portable.Delegate
Uses of Class org.omg.CORBA.portable.InputStream
Uses of Class org.omg.CORBA.portable.ObjectImpl
Uses of Class org.omg.CORBA.portable.OutputStream
Uses of Class org.omg.CORBA.ServerRequest
Uses of Class org.omg.CORBA.TypeCode
Uses of Class org.omg.CosNaming.Binding
Uses of Class org.omg.CosNaming.BindingHolder
Uses of Class org.omg.CosNaming.BindingIteratorHolder
Uses of Class org.omg.CosNaming.BindingListHolder
Uses of Class org.omg.CosNaming.BindingType
Uses of Class org.omg.CosNaming.NameComponent
Uses of Class org.omg.CosNaming.NamingContextPackage.AlreadyBound
Uses of Class org.omg.CosNaming.NamingContextPackage.CannotProceed
Uses of Class org.omg.CosNaming.NamingContextPackage.InvalidName
Uses of Class org.omg.CosNaming.NamingContextPackage.NotEmpty
Uses of Class org.omg.CosNaming.NamingContextPackage.NotFound
Uses of Interface java.io.Serializable
Uses of Interface org.omg.CORBA.Object
Uses of Interface org.omg.CORBA.portable.IDLEntity
Uses of Interface org.omg.CORBA.portable.Streamable
Uses of Interface org.omg.CosNaming.BindingIterator
Uses of Interface org.omg.CosNaming.BindingIteratorOperations
Uses of Interface org.omg.CosNaming.NamingContext
Uses of Interface org.omg.CosNaming.NamingContextOperations
org.omg.CosNaming.NamingContextPackage found in:
Uses of Class java.lang.Exception
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class java.lang.Throwable
Uses of Class org.omg.CORBA.Any
Uses of Class org.omg.CORBA.BAD_PARAM
Uses of Class org.omg.CORBA.portable.InputStream
Uses of Class org.omg.CORBA.portable.OutputStream
Uses of Class org.omg.CORBA.TypeCode
Uses of Class org.omg.CORBA.UserException
Uses of Class org.omg.CosNaming.NameComponent
Uses of Class org.omg.CosNaming.NamingContextPackage.AlreadyBound
Uses of Class org.omg.CosNaming.NamingContextPackage.CannotProceed
Uses of Class org.omg.CosNaming.NamingContextPackage.InvalidName
Uses of Class org.omg.CosNaming.NamingContextPackage.NotEmpty
Uses of Class org.omg.CosNaming.NamingContextPackage.NotFound
Uses of Class org.omg.CosNaming.NamingContextPackage.NotFoundReason
Uses of Interface java.io.Serializable
Uses of Interface org.omg.CORBA.portable.IDLEntity
Uses of Interface org.omg.CORBA.portable.Streamable
Uses of Interface org.omg.CosNaming.NamingContext
org.omg.SendingContext found in:
Uses of Interface java.io.Serializable
Uses of Interface org.omg.CORBA.Object
Uses of Interface org.omg.CORBA.portable.IDLEntity
Uses of Interface org.omg.SendingContext.RunTimeOperations
org.omg.stub.java.rmi found in:
Uses of Class java.lang.Object
Uses of Class java.lang.String
Uses of Class javax.rmi.CORBA.Stub
Uses of Class org.omg.CORBA.portable.ObjectImpl
Uses of Class org.omg.CORBA_2_3.portable.ObjectImpl
Uses of Interface java.io.Serializable
Uses of Interface java.rmi.Remote
Uses of Interface org.omg.CORBA.Object


Orientation found in:
Class ParagraphConstants.Orientation
Class StyleConstants.Orientation


orientation found in:
Class BasicSplitPaneDivider.orientation
Class JProgressBar.orientation
Class JScrollBar.orientation
Class JSlider.orientation
Class JSplitPane.orientation
Supported Locales


Other API Bundled with the Java 2 SDK found in:
Other API Bundled with the Java 2 SDK
Other API Bundled with the Java 2 SDK


out found in:
Class FileDescriptor.out
Class FilterOutputStream.out
Class FilterWriter.out
Class PipedInputStream.out
Class PrintWriter.out
Class System.out
outcode found in:
Class Double.outcode(double, double)
Class Float.outcode(double, double)
Class Rectangle.outcode(double, double)
Class Rectangle2D.outcode(double, double)


output found in:
Class AbstractWriter.output(char[], int, int)
Class HTMLWriter.output(char[], int, int)


OutputStream found in:
Class OutputStream
Class OutputStream
Class OutputStream


override found in:
Class DefaultListCellRenderer.override
Class DefaultTableCellRenderer.override
Class DefaultTreeCellRenderer.override


Overview found in:
JAR File Specification
Overview
Overview
Overview
Overview
Overview
Overview
Overview
Policy Tool - Policy File Creation and Management Tool
Policy Tool - Policy File Creation and Management Tool


overview found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
Mapping IDL to Java
Supported Locales
The Java Virtual Machine Profiler Interface (JVMPI)
overview-summary.html found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
overview-tree.html found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
overviewcomment found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
overviewtags found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


pack found in:
Class JInternalFrame.pack()
Class JPopupMenu.pack()
Class Window.pack()
package found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


Package com.sun.image.codec.jpeg found in:
Package com.sun.image.codec.jpeg
Package com.sun.image.codec.jpeg
Package com.sun.javadoc found in:
Package com.sun.javadoc
Package com.sun.javadoc
Package com.sun.jdi found in:
Package com.sun.jdi
Package com.sun.jdi
Package com.sun.jdi.connect found in:
Package com.sun.jdi.connect
Package com.sun.jdi.connect
Package com.sun.jdi.event found in:
Package com.sun.jdi.event
Package com.sun.jdi.event
Package com.sun.jdi.request found in:
Package com.sun.jdi.request
Package com.sun.jdi.request
Package java.applet found in:
Package java.applet
Package java.applet
Package java.awt found in:
Package java.awt
Package java.awt
Package java.awt.color found in:
Package java.awt.color
Package java.awt.color
Package java.awt.datatransfer found in:
Package java.awt.datatransfer
Package java.awt.datatransfer
Package java.awt.dnd found in:
Package java.awt.dnd
Package java.awt.dnd
Package java.awt.event found in:
Package java.awt.event
Package java.awt.event
Package java.awt.font found in:
Package java.awt.font
Package java.awt.font
Package java.awt.geom found in:
Package java.awt.geom
Package java.awt.geom
Package java.awt.im found in:
Package java.awt.im
Package java.awt.im
Package java.awt.im.spi found in:
Package java.awt.im.spi
Package java.awt.im.spi
Package java.awt.image found in:
Package java.awt.image
Package java.awt.image
Package java.awt.image.renderable found in:
Package java.awt.image.renderable
Package java.awt.image.renderable
Package java.awt.print found in:
Package java.awt.print
Package java.awt.print
Package java.beans found in:
Package java.beans
Package java.beans
Package java.beans.beancontext found in:
Package java.beans.beancontext
Package java.beans.beancontext
Package java.io found in:
Package java.io
Package java.io
Package java.lang found in:
Package java.lang
Package java.lang
Package java.lang.ref found in:
Package java.lang.ref
Package java.lang.ref
Package java.lang.reflect found in:
Package java.lang.reflect
Package java.lang.reflect
Package java.math found in:
Package java.math
Package java.math
Package java.net found in:
Package java.net
Package java.net
Package java.rmi found in:
Package java.rmi
Package java.rmi
Package java.rmi.activation found in:
Package java.rmi.activation
Package java.rmi.activation
Package java.rmi.dgc found in:
Package java.rmi.dgc
Package java.rmi.dgc
Package java.rmi.registry found in:
Package java.rmi.registry
Package java.rmi.registry
Package java.rmi.server found in:
Package java.rmi.server
Package java.rmi.server
Package java.security found in:
Package java.security
Package java.security
Package java.security.acl found in:
Package java.security.acl
Package java.security.acl
Package java.security.cert found in:
Package java.security.cert
Package java.security.cert
Package java.security.interfaces found in:
Package java.security.interfaces
Package java.security.interfaces
Package java.security.spec found in:
Package java.security.spec
Package java.security.spec
Package java.sql found in:
Package java.sql
Package java.sql
Package java.text found in:
Package java.text
Package java.text
Package java.util found in:
Package java.util
Package java.util
Package java.util.jar found in:
Package java.util.jar
Package java.util.jar
Package java.util.zip found in:
Package java.util.zip
Package java.util.zip
Package javax.accessibility found in:
Package javax.accessibility
Package javax.accessibility
Package javax.naming found in:
Package javax.naming
Package javax.naming
Package javax.naming.directory found in:
Package javax.naming.directory
Package javax.naming.directory
Package javax.naming.event found in:
Package javax.naming.event
Package javax.naming.event
Package javax.naming.ldap found in:
Package javax.naming.ldap
Package javax.naming.ldap
Package javax.naming.spi found in:
Package javax.naming.spi
Package javax.naming.spi
Package javax.rmi found in:
Package javax.rmi
Package javax.rmi
Package javax.rmi.CORBA found in:
Package javax.rmi.CORBA
Package javax.rmi.CORBA
Package javax.sound.midi found in:
Package javax.sound.midi
Package javax.sound.midi
Package javax.sound.midi.spi found in:
Package javax.sound.midi.spi
Package javax.sound.midi.spi
Package javax.sound.sampled found in:
Package javax.sound.sampled
Package javax.sound.sampled
Package javax.sound.sampled.spi found in:
Package javax.sound.sampled.spi
Package javax.sound.sampled.spi
Package javax.swing found in:
Package javax.swing
Package javax.swing
Package javax.swing.border found in:
Package javax.swing.border
Package javax.swing.border
Package javax.swing.colorchooser found in:
Package javax.swing.colorchooser
Package javax.swing.colorchooser
Package javax.swing.event found in:
Package javax.swing.event
Package javax.swing.event
Package javax.swing.filechooser found in:
Package javax.swing.filechooser
Package javax.swing.filechooser
Package javax.swing.plaf found in:
Package javax.swing.plaf
Package javax.swing.plaf
Package javax.swing.plaf.basic found in:
Package javax.swing.plaf.basic
Package javax.swing.plaf.basic
Package javax.swing.plaf.metal found in:
Package javax.swing.plaf.metal
Package javax.swing.plaf.metal
Package javax.swing.plaf.multi found in:
Package javax.swing.plaf.multi
Package javax.swing.plaf.multi
Package javax.swing.table found in:
Package javax.swing.table
Package javax.swing.table
Package javax.swing.text found in:
Package javax.swing.text
Package javax.swing.text
Package javax.swing.text.html found in:
Package javax.swing.text.html
Package javax.swing.text.html
Package javax.swing.text.html.parser found in:
Package javax.swing.text.html.parser
Package javax.swing.text.html.parser
Package javax.swing.text.rtf found in:
Package javax.swing.text.rtf
Package javax.swing.text.rtf
Package javax.swing.tree found in:
Package javax.swing.tree
Package javax.swing.tree
Package javax.swing.undo found in:
Package javax.swing.undo
Package javax.swing.undo
Package javax.transaction found in:
Package javax.transaction
Package javax.transaction
Package org.omg.CORBA found in:
Package org.omg.CORBA
Package org.omg.CORBA
Package org.omg.CORBA.DynAnyPackage found in:
Package org.omg.CORBA.DynAnyPackage
Package org.omg.CORBA.DynAnyPackage
Package org.omg.CORBA.ORBPackage found in:
Package org.omg.CORBA.ORBPackage
Package org.omg.CORBA.ORBPackage
Package org.omg.CORBA.portable found in:
Package org.omg.CORBA.portable
Package org.omg.CORBA.portable
Package org.omg.CORBA.TypeCodePackage found in:
Package org.omg.CORBA.TypeCodePackage
Package org.omg.CORBA.TypeCodePackage
Package org.omg.CORBA_2_3 found in:
Package org.omg.CORBA_2_3
Package org.omg.CORBA_2_3
Package org.omg.CORBA_2_3.portable found in:
Package org.omg.CORBA_2_3.portable
Package org.omg.CORBA_2_3.portable
Package org.omg.CosNaming found in:
Package org.omg.CosNaming
Package org.omg.CosNaming
Package org.omg.CosNaming.NamingContextPackage found in:
Package org.omg.CosNaming.NamingContextPackage
Package org.omg.CosNaming.NamingContextPackage
Package org.omg.SendingContext found in:
Package org.omg.SendingContext
Package org.omg.SendingContext
Package org.omg.stub.java.rmi found in:
Package org.omg.stub.java.rmi
Package org.omg.stub.java.rmi


package-list found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
package-summary.html found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
package-tree.html found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
package.class found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
packageclassmember found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
packagecomment found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


packagePrefix found in:
Interface LoaderHandler.packagePrefix
Interface RemoteRef.packagePrefix
packagetags found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


padSelectedTab found in:
Class TabbedPaneLayout.padSelectedTab(int, int)
Class TabbedPaneLayout.padSelectedTab(int, int)


paint found in:
Class AbstractColorChooserPanel.paint(java.awt.Graphics)
Class AsyncBoxView.paint(java.awt.Graphics, java.awt.Shape)
Class BasicArrowButton.paint(java.awt.Graphics)
Class BasicButtonUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class BasicComboBoxUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class BasicDesktopPaneUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class BasicLabelUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class BasicListUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class BasicMenuItemUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class BasicPopupMenuSeparatorUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class BasicProgressBarUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class BasicRadioButtonUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class BasicScrollBarUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class BasicScrollPaneUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class BasicSeparatorUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class BasicSliderUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class BasicSplitPaneDivider.paint(java.awt.Graphics)
Class BasicSplitPaneUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class BasicTabbedPaneUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class BasicTableHeaderUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class BasicTableUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class BasicTextUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class BasicToggleButtonUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class BasicToolBarSeparatorUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class BasicToolTipUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class BasicTreeUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class BlockView.paint(java.awt.Graphics, java.awt.Shape)
Class BoxPainter.paint(java.awt.Graphics, float, float, float, float, javax.swing.text.View)
Class BoxView.paint(java.awt.Graphics, java.awt.Shape)
Class Canvas.paint(java.awt.Graphics)
Class CellRendererPane.paint(java.awt.Graphics)
Class Component.paint(java.awt.Graphics)
Class ComponentUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class ComponentView.paint(java.awt.Graphics, java.awt.Shape)
Class Container.paint(java.awt.Graphics)
Class DefaultCaret.paint(java.awt.Graphics)
Class DefaultHighlighter.paint(java.awt.Graphics)
Class DefaultHighlightPainter.paint(java.awt.Graphics, int, int, java.awt.Shape, javax.swing.text.JTextComponent)
Class DefaultTreeCellRenderer.paint(java.awt.Graphics)
Class DragWindow.paint(java.awt.Graphics)
Class EditorContainer.paint(java.awt.Graphics)
Class FieldView.paint(java.awt.Graphics, java.awt.Shape)
Class GlyphPainter.paint(javax.swing.text.GlyphView, java.awt.Graphics, java.awt.Shape, int, int)
Class GlyphView.paint(java.awt.Graphics, java.awt.Shape)
Class IconView.paint(java.awt.Graphics, java.awt.Shape)
Class JComponent.paint(java.awt.Graphics)
Class JLayeredPane.paint(java.awt.Graphics)
Class JViewport.paint(java.awt.Graphics)
Class ListPainter.paint(java.awt.Graphics, float, float, float, float, javax.swing.text.View, int)
Class ListView.paint(java.awt.Graphics, java.awt.Shape)
Class LWTextComponent.paint(java.awt.Graphics)
Class MetalComboBoxUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class MetalPopupMenuSeparatorUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class MetalProgressBarUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class MetalRadioButtonUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class MetalScrollButton.paint(java.awt.Graphics)
Class MetalSeparatorUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class MetalTabbedPaneUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class MetalToolTipUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class MetalTreeUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class MultiButtonUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class MultiColorChooserUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class MultiComboBoxUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class MultiDesktopIconUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class MultiDesktopPaneUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class MultiFileChooserUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class MultiInternalFrameUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class MultiLabelUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class MultiListUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class MultiMenuBarUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class MultiMenuItemUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class MultiOptionPaneUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class MultiPanelUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class MultiPopupMenuUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class MultiProgressBarUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class MultiScrollBarUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class MultiScrollPaneUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class MultiSeparatorUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class MultiSliderUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class MultiSplitPaneUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class MultiTabbedPaneUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class MultiTableHeaderUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class MultiTableUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class MultiTextUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class MultiToolBarUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class MultiToolTipUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class MultiTreeUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class MultiViewportUI.paint(java.awt.Graphics, javax.swing.JComponent)
Class ParagraphView.paint(java.awt.Graphics, java.awt.Shape)
Class ParagraphView.paint(java.awt.Graphics, java.awt.Shape)
Class PlainView.paint(java.awt.Graphics, java.awt.Shape)
Class SystemMenuBar.paint(java.awt.Graphics)
Class View.paint(java.awt.Graphics, java.awt.Shape)
Class WrappedPlainView.paint(java.awt.Graphics, java.awt.Shape)
Interface Caret.paint(java.awt.Graphics)
Interface Highlighter.paint(java.awt.Graphics)
Interface HighlightPainter.paint(java.awt.Graphics, int, int, java.awt.Shape, javax.swing.text.JTextComponent)


paintBorder found in:
Class AbstractBorder.paintBorder(java.awt.Component, java.awt.Graphics, int, int, int, int)
Class AbstractButton.paintBorder(java.awt.Graphics)
Class BevelBorder.paintBorder(java.awt.Component, java.awt.Graphics, int, int, int, int)
Class BorderUIResource.paintBorder(java.awt.Component, java.awt.Graphics, int, int, int, int)
Class ButtonBorder.paintBorder(java.awt.Component, java.awt.Graphics, int, int, int, int)
Class ButtonBorder.paintBorder(java.awt.Component, java.awt.Graphics, int, int, int, int)
Class CompoundBorder.paintBorder(java.awt.Component, java.awt.Graphics, int, int, int, int)
Class EmptyBorder.paintBorder(java.awt.Component, java.awt.Graphics, int, int, int, int)
Class EtchedBorder.paintBorder(java.awt.Component, java.awt.Graphics, int, int, int, int)
Class FieldBorder.paintBorder(java.awt.Component, java.awt.Graphics, int, int, int, int)
Class Flush3DBorder.paintBorder(java.awt.Component, java.awt.Graphics, int, int, int, int)
Class InternalFrameBorder.paintBorder(java.awt.Component, java.awt.Graphics, int, int, int, int)
Class JComponent.paintBorder(java.awt.Graphics)
Class JMenuBar.paintBorder(java.awt.Graphics)
Class JPopupMenu.paintBorder(java.awt.Graphics)
Class JProgressBar.paintBorder
Class JToolBar.paintBorder(java.awt.Graphics)
Class LineBorder.paintBorder(java.awt.Component, java.awt.Graphics, int, int, int, int)
Class MatteBorder.paintBorder(java.awt.Component, java.awt.Graphics, int, int, int, int)
Class MenuBarBorder.paintBorder(java.awt.Component, java.awt.Graphics, int, int, int, int)
Class MenuBarBorder.paintBorder(java.awt.Component, java.awt.Graphics, int, int, int, int)
Class MenuItemBorder.paintBorder(java.awt.Component, java.awt.Graphics, int, int, int, int)
Class OptionDialogBorder.paintBorder(java.awt.Component, java.awt.Graphics, int, int, int, int)
Class PaletteBorder.paintBorder(java.awt.Component, java.awt.Graphics, int, int, int, int)
Class PopupMenuBorder.paintBorder(java.awt.Component, java.awt.Graphics, int, int, int, int)
Class RadioButtonBorder.paintBorder(java.awt.Component, java.awt.Graphics, int, int, int, int)
Class RolloverButtonBorder.paintBorder(java.awt.Component, java.awt.Graphics, int, int, int, int)
Class ScrollPaneBorder.paintBorder(java.awt.Component, java.awt.Graphics, int, int, int, int)
Class SoftBevelBorder.paintBorder(java.awt.Component, java.awt.Graphics, int, int, int, int)
Class SplitPaneBorder.paintBorder(java.awt.Component, java.awt.Graphics, int, int, int, int)
Class TableHeaderBorder.paintBorder(java.awt.Component, java.awt.Graphics, int, int, int, int)
Class TextFieldBorder.paintBorder(java.awt.Component, java.awt.Graphics, int, int, int, int)
Class TitledBorder.paintBorder(java.awt.Component, java.awt.Graphics, int, int, int, int)
Class ToggleButtonBorder.paintBorder(java.awt.Component, java.awt.Graphics, int, int, int, int)
Class ToggleButtonBorder.paintBorder(java.awt.Component, java.awt.Graphics, int, int, int, int)
Class ToolBarBorder.paintBorder(java.awt.Component, java.awt.Graphics, int, int, int, int)
Interface Border.paintBorder(java.awt.Component, java.awt.Graphics, int, int, int, int)
paintButtonPressed found in:
Class BasicButtonUI.paintButtonPressed(java.awt.Graphics, javax.swing.AbstractButton)
Class BasicToggleButtonUI.paintButtonPressed(java.awt.Graphics, javax.swing.AbstractButton)
Class MetalButtonUI.paintButtonPressed(java.awt.Graphics, javax.swing.AbstractButton)
Class MetalToggleButtonUI.paintButtonPressed(java.awt.Graphics, javax.swing.AbstractButton)
paintChild found in:
Class BoxView.paintChild(java.awt.Graphics, java.awt.Rectangle, int)
Class ListView.paintChild(java.awt.Graphics, java.awt.Rectangle, int)
paintChildren found in:
Class ChildLocator.paintChildren(java.awt.Graphics)
Class JComponent.paintChildren(java.awt.Graphics)
Class JSplitPane.paintChildren(java.awt.Graphics)
paintComponent found in:
Class BasicInternalFrameTitlePane.paintComponent(java.awt.Graphics)
Class CellRendererPane.paintComponent(java.awt.Graphics, java.awt.Component, java.awt.Container, int, int, int, int, boolean)
Class JComponent.paintComponent(java.awt.Graphics)
Class JInternalFrame.paintComponent(java.awt.Graphics)
Class MetalComboBoxButton.paintComponent(java.awt.Graphics)
Class MetalInternalFrameTitlePane.paintComponent(java.awt.Graphics)
Class SwingUtilities.paintComponent(java.awt.Graphics, java.awt.Component, java.awt.Container, int, int, int, int)
paintContentBorderBottomEdge found in:
Class BasicTabbedPaneUI.paintContentBorderBottomEdge(java.awt.Graphics, int, int, int, int, int, int)
Class MetalTabbedPaneUI.paintContentBorderBottomEdge(java.awt.Graphics, int, int, int, int, int, int)
paintContentBorderLeftEdge found in:
Class BasicTabbedPaneUI.paintContentBorderLeftEdge(java.awt.Graphics, int, int, int, int, int, int)
Class MetalTabbedPaneUI.paintContentBorderLeftEdge(java.awt.Graphics, int, int, int, int, int, int)
paintContentBorderRightEdge found in:
Class BasicTabbedPaneUI.paintContentBorderRightEdge(java.awt.Graphics, int, int, int, int, int, int)
Class MetalTabbedPaneUI.paintContentBorderRightEdge(java.awt.Graphics, int, int, int, int, int, int)
paintContentBorderTopEdge found in:
Class BasicTabbedPaneUI.paintContentBorderTopEdge(java.awt.Graphics, int, int, int, int, int, int)
Class MetalTabbedPaneUI.paintContentBorderTopEdge(java.awt.Graphics, int, int, int, int, int, int)


paintDisabledText found in:
Class BasicLabelUI.paintDisabledText(javax.swing.JLabel, java.awt.Graphics, java.lang.String, int, int)
Class MetalLabelUI.paintDisabledText(javax.swing.JLabel, java.awt.Graphics, java.lang.String, int, int)


paintFocus found in:
Class BasicButtonUI.paintFocus(java.awt.Graphics, javax.swing.AbstractButton, java.awt.Rectangle, java.awt.Rectangle, java.awt.Rectangle)
Class BasicRadioButtonUI.paintFocus(java.awt.Graphics, java.awt.Rectangle, java.awt.Dimension)
Class BasicSliderUI.paintFocus(java.awt.Graphics)
Class BasicToggleButtonUI.paintFocus(java.awt.Graphics, javax.swing.AbstractButton, java.awt.Rectangle, java.awt.Rectangle, java.awt.Rectangle)
Class MetalButtonUI.paintFocus(java.awt.Graphics, javax.swing.AbstractButton, java.awt.Rectangle, java.awt.Rectangle, java.awt.Rectangle)
Class MetalRadioButtonUI.paintFocus(java.awt.Graphics, java.awt.Rectangle, java.awt.Dimension)
Class MetalSliderUI.paintFocus(java.awt.Graphics)
Class MetalToggleButtonUI.paintFocus(java.awt.Graphics, javax.swing.AbstractButton, java.awt.Rectangle, java.awt.Rectangle, java.awt.Rectangle)
paintFocusIndicator found in:
Class BasicTabbedPaneUI.paintFocusIndicator(java.awt.Graphics, int, java.awt.Rectangle[], int, java.awt.Rectangle, java.awt.Rectangle, boolean)
Class MetalTabbedPaneUI.paintFocusIndicator(java.awt.Graphics, int, java.awt.Rectangle[], int, java.awt.Rectangle, java.awt.Rectangle, boolean)
paintHorizontalPartOfLeg found in:
Class BasicTreeUI.paintHorizontalPartOfLeg(java.awt.Graphics, java.awt.Rectangle, java.awt.Insets, java.awt.Rectangle, javax.swing.tree.TreePath, int, boolean, boolean, boolean)
Class MetalTreeUI.paintHorizontalPartOfLeg(java.awt.Graphics, java.awt.Rectangle, java.awt.Insets, java.awt.Rectangle, javax.swing.tree.TreePath, int, boolean, boolean, boolean)
paintIcon found in:
Class BasicButtonUI.paintIcon(java.awt.Graphics, javax.swing.JComponent, java.awt.Rectangle)
Class BasicTabbedPaneUI.paintIcon(java.awt.Graphics, int, int, javax.swing.Icon, java.awt.Rectangle, boolean)
Class BasicToggleButtonUI.paintIcon(java.awt.Graphics, javax.swing.AbstractButton, java.awt.Rectangle)
Class FileIcon16.paintIcon(java.awt.Component, java.awt.Graphics, int, int)
Class FolderIcon16.paintIcon(java.awt.Component, java.awt.Graphics, int, int)
Class IconUIResource.paintIcon(java.awt.Component, java.awt.Graphics, int, int)
Class ImageIcon.paintIcon(java.awt.Component, java.awt.Graphics, int, int)
Class MetalCheckBoxIcon.paintIcon(java.awt.Component, java.awt.Graphics, int, int)
Class MetalComboBoxIcon.paintIcon(java.awt.Component, java.awt.Graphics, int, int)
Class PaletteCloseIcon.paintIcon(java.awt.Component, java.awt.Graphics, int, int)
Class TreeControlIcon.paintIcon(java.awt.Component, java.awt.Graphics, int, int)
Interface Icon.paintIcon(java.awt.Component, java.awt.Graphics, int, int)
paintLayer found in:
Class DefaultHighlightPainter.paintLayer(java.awt.Graphics, int, int, java.awt.Shape, javax.swing.text.JTextComponent, javax.swing.text.View)
Class LayerPainter.paintLayer(java.awt.Graphics, int, int, java.awt.Shape, javax.swing.text.JTextComponent, javax.swing.text.View)
paintLayeredHighlights found in:
Class DefaultHighlighter.paintLayeredHighlights(java.awt.Graphics, int, int, java.awt.Shape, javax.swing.text.JTextComponent, javax.swing.text.View)
Class LayeredHighlighter.paintLayeredHighlights(java.awt.Graphics, int, int, java.awt.Shape, javax.swing.text.JTextComponent, javax.swing.text.View)
paintMajorTickForHorizSlider found in:
Class BasicSliderUI.paintMajorTickForHorizSlider(java.awt.Graphics, java.awt.Rectangle, int)
Class MetalSliderUI.paintMajorTickForHorizSlider(java.awt.Graphics, java.awt.Rectangle, int)
paintMajorTickForVertSlider found in:
Class BasicSliderUI.paintMajorTickForVertSlider(java.awt.Graphics, java.awt.Rectangle, int)
Class MetalSliderUI.paintMajorTickForVertSlider(java.awt.Graphics, java.awt.Rectangle, int)
paintMinorTickForHorizSlider found in:
Class BasicSliderUI.paintMinorTickForHorizSlider(java.awt.Graphics, java.awt.Rectangle, int)
Class MetalSliderUI.paintMinorTickForHorizSlider(java.awt.Graphics, java.awt.Rectangle, int)
paintMinorTickForVertSlider found in:
Class BasicSliderUI.paintMinorTickForVertSlider(java.awt.Graphics, java.awt.Rectangle, int)
Class MetalSliderUI.paintMinorTickForVertSlider(java.awt.Graphics, java.awt.Rectangle, int)
paintString found in:
Class BasicProgressBarUI.paintString(java.awt.Graphics, int, int, int, int, int, java.awt.Insets)
Class JProgressBar.paintString
paintTabBackground found in:
Class BasicTabbedPaneUI.paintTabBackground(java.awt.Graphics, int, int, int, int, int, int, boolean)
Class MetalTabbedPaneUI.paintTabBackground(java.awt.Graphics, int, int, int, int, int, int, boolean)
paintTabBorder found in:
Class BasicTabbedPaneUI.paintTabBorder(java.awt.Graphics, int, int, int, int, int, int, boolean)
Class MetalTabbedPaneUI.paintTabBorder(java.awt.Graphics, int, int, int, int, int, int, boolean)
paintText found in:
Class BasicButtonUI.paintText(java.awt.Graphics, javax.swing.JComponent, java.awt.Rectangle, java.lang.String)
Class BasicTabbedPaneUI.paintText(java.awt.Graphics, int, java.awt.Font, java.awt.FontMetrics, int, java.lang.String, java.awt.Rectangle, boolean)
Class BasicToggleButtonUI.paintText(java.awt.Graphics, javax.swing.AbstractButton, java.awt.Rectangle, java.lang.String)
Class MetalButtonUI.paintText(java.awt.Graphics, javax.swing.JComponent, java.awt.Rectangle, java.lang.String)
Class MetalToggleButtonUI.paintText(java.awt.Graphics, javax.swing.JComponent, java.awt.Rectangle, java.lang.String)
paintThumb found in:
Class BasicScrollBarUI.paintThumb(java.awt.Graphics, javax.swing.JComponent, java.awt.Rectangle)
Class BasicSliderUI.paintThumb(java.awt.Graphics)
Class MetalScrollBarUI.paintThumb(java.awt.Graphics, javax.swing.JComponent, java.awt.Rectangle)
Class MetalSliderUI.paintThumb(java.awt.Graphics)
paintTrack found in:
Class BasicScrollBarUI.paintTrack(java.awt.Graphics, javax.swing.JComponent, java.awt.Rectangle)
Class BasicSliderUI.paintTrack(java.awt.Graphics)
Class MetalScrollBarUI.paintTrack(java.awt.Graphics, javax.swing.JComponent, java.awt.Rectangle)
Class MetalSliderUI.paintTrack(java.awt.Graphics)
paintValue found in:
Class PropertyEditorSupport.paintValue(java.awt.Graphics, java.awt.Rectangle)
Interface PropertyEditor.paintValue(java.awt.Graphics, java.awt.Rectangle)
paintVerticalPartOfLeg found in:
Class BasicTreeUI.paintVerticalPartOfLeg(java.awt.Graphics, java.awt.Rectangle, java.awt.Insets, javax.swing.tree.TreePath)
Class MetalTreeUI.paintVerticalPartOfLeg(java.awt.Graphics, java.awt.Rectangle, java.awt.Insets, javax.swing.tree.TreePath)


ParagraphView found in:
Class ParagraphView
Class ParagraphView


parameters found in:
Class ParameterBlock.parameters
Glossary
Interface ExecutableMemberDoc.parameters()
paramString found in:
Class AbstractButton.paramString()
Class ActionEvent.paramString()
Class AdjustmentEvent.paramString()
Class AWTEvent.paramString()
Class Button.paramString()
Class Checkbox.paramString()
Class CheckboxMenuItem.paramString()
Class Choice.paramString()
Class Component.paramString()
Class ComponentEvent.paramString()
Class Container.paramString()
Class ContainerEvent.paramString()
Class Dialog.paramString()
Class Event.paramString()
Class FileDialog.paramString()
Class FocusEvent.paramString()
Class Frame.paramString()
Class HierarchyEvent.paramString()
Class InputMethodEvent.paramString()
Class InternalFrameEvent.paramString()
Class InvocationEvent.paramString()
Class ItemEvent.paramString()
Class JApplet.paramString()
Class JButton.paramString()
Class JCheckBox.paramString()
Class JCheckBoxMenuItem.paramString()
Class JColorChooser.paramString()
Class JComboBox.paramString()
Class JComponent.paramString()
Class JDesktopPane.paramString()
Class JDialog.paramString()
Class JEditorPane.paramString()
Class JFileChooser.paramString()
Class JFrame.paramString()
Class JInternalFrame.paramString()
Class JLabel.paramString()
Class JLayeredPane.paramString()
Class JList.paramString()
Class JMenu.paramString()
Class JMenuBar.paramString()
Class JMenuItem.paramString()
Class JOptionPane.paramString()
Class JPanel.paramString()
Class JPasswordField.paramString()
Class JPopupMenu.paramString()
Class JProgressBar.paramString()
Class JRadioButton.paramString()
Class JRadioButtonMenuItem.paramString()
Class JRootPane.paramString()
Class JScrollBar.paramString()
Class JScrollPane.paramString()
Class JSeparator.paramString()
Class JSlider.paramString()
Class JSplitPane.paramString()
Class JTabbedPane.paramString()
Class JTable.paramString()
Class JTableHeader.paramString()
Class JTextArea.paramString()
Class JTextComponent.paramString()
Class JTextField.paramString()
Class JTextPane.paramString()
Class JToggleButton.paramString()
Class JToolBar.paramString()
Class JToolTip.paramString()
Class JTree.paramString()
Class JViewport.paramString()
Class JWindow.paramString()
Class KeyEvent.paramString()
Class Label.paramString()
Class List.paramString()
Class Menu.paramString()
Class MenuComponent.paramString()
Class MenuItem.paramString()
Class MenuShortcut.paramString()
Class MouseEvent.paramString()
Class PaintEvent.paramString()
Class Scrollbar.paramString()
Class ScrollPane.paramString()
Class TextArea.paramString()
Class TextComponent.paramString()
Class TextEvent.paramString()
Class TextField.paramString()
Class WindowEvent.paramString()


parent found in:
Class Context.parent()
Class DefaultMutableTreeNode.parent
Class Raster.parent
Class ResourceBundle.parent
Interface ThreadGroupReference.parent()


parse found in:
Class ChoiceFormat.parse(java.lang.String, java.text.ParsePosition)
Class Date.parse(java.lang.String)
Class DateFormat.parse(java.lang.String)
Class DecimalFormat.parse(java.lang.String, java.text.ParsePosition)
Class DocumentParser.parse(java.io.Reader, javax.swing.text.html.HTMLEditorKit.ParserCallback, boolean)
Class MessageFormat.parse(java.lang.String, java.text.ParsePosition)
Class NumberFormat.parse(java.lang.String, java.text.ParsePosition)
Class Parser.parse(java.io.Reader)
Class Parser.parse(java.io.Reader, javax.swing.text.html.HTMLEditorKit.ParserCallback, boolean)
Class ParserDelegator.parse(java.io.Reader, javax.swing.text.html.HTMLEditorKit.ParserCallback, boolean)
Class SimpleDateFormat.parse(java.lang.String, java.text.ParsePosition)
Interface NameParser.parse(java.lang.String)


parseObject found in:
Class DateFormat.parseObject(java.lang.String, java.text.ParsePosition)
Class Format.parseObject(java.lang.String, java.text.ParsePosition)
Class MessageFormat.parseObject(java.lang.String, java.text.ParsePosition)
Class NumberFormat.parseObject(java.lang.String, java.text.ParsePosition)


Parser found in:
Class Parser
Class Parser


PasswordWarning found in:
keytool-Key and Certificate Management Tool
keytool-Key and Certificate Management Tool


path found in:
Class TreeExpansionEvent.path
Class TreeModelEvent.path


peek found in:
Class DatagramSocketImpl.peek(java.net.InetAddress)
Class Stack.peek()


Permission found in:
Class Permission
Interface Permission


Permissions found in:
Class Permissions
Policy Tool - Policy File Creation and Management Tool
Policy Tool - Policy File Creation and Management Tool
PI found in:
Class Math.PI
Class StrictMath.PI
Interface DTDConstants.PI


PKCS8EncodedKeySpec found in:
Class PKCS8EncodedKeySpec
How to Implement a Provider for the Java Cryptography Architecture
Java Cryptography Architecture


play found in:
Class Applet.play(java.net.URL)
Interface AudioClip.play()


Policy found in:
Class Policy
Interface Policy
Policy Tool - Policy File Creation and Management Tool found in:
Policy Tool - Policy File Creation and Management Tool
Policy Tool - Policy File Creation and Management Tool


policyClassName found in:
rmid - The Java RMI Activation System Daemon
rmid - The Java RMI Activation System Daemon


policyFile found in:
rmid - The Java RMI Activation System Daemon
rmid - The Java RMI Activation System Daemon


policy_type found in:
Class _PolicyStub.policy_type()
Interface PolicyOperations.policy_type()


pop found in:
Class EventQueue.pop()
Class Stack.pop()


PortOption found in:
rmid - The Java RMI Activation System Daemon
rmid - The Java RMI Activation System Daemon
PORTRAIT found in:
Class OrientationRequestedType.PORTRAIT
Class PageFormat.PORTRAIT


pos found in:
Class BufferedInputStream.pos
Class ByteArrayInputStream.pos
Class CharArrayReader.pos
Class PushbackInputStream.pos
Class StringBufferInputStream.pos
position found in:
Interface Blob.position(byte[], long)
Interface Clob.position(java.lang.String, long)


positionForMouseEvent found in:
Class DragController.positionForMouseEvent(java.awt.event.MouseEvent)
Class VerticalDragController.positionForMouseEvent(java.awt.event.MouseEvent)


POSITIVE_INFINITY found in:
Class Double.POSITIVE_INFINITY
Class Float.POSITIVE_INFINITY


postEvent found in:
Class Component.postEvent(java.awt.Event)
Class EventQueue.postEvent(java.awt.AWTEvent)
Class MenuComponent.postEvent(java.awt.Event)
Class Window.postEvent(java.awt.Event)
Interface MenuContainer.postEvent(java.awt.Event)


pow found in:
Class BigInteger.pow(int)
Class Math.pow(double, double)
Class StrictMath.pow(double, double)


preferenceChanged found in:
Class AsyncBoxView.preferenceChanged(javax.swing.text.View, boolean, boolean)
Class BoxView.preferenceChanged(javax.swing.text.View, boolean, boolean)
Class ChildState.preferenceChanged(boolean, boolean)
Class View.preferenceChanged(javax.swing.text.View, boolean, boolean)


preferredLayoutSize found in:
Class BasicHorizontalLayoutManager.preferredLayoutSize(java.awt.Container)
Class BasicScrollBarUI.preferredLayoutSize(java.awt.Container)
Class BorderLayout.preferredLayoutSize(java.awt.Container)
Class BoxLayout.preferredLayoutSize(java.awt.Container)
Class ButtonAreaLayout.preferredLayoutSize(java.awt.Container)
Class CardLayout.preferredLayoutSize(java.awt.Container)
Class ComboBoxLayoutManager.preferredLayoutSize(java.awt.Container)
Class DividerLayout.preferredLayoutSize(java.awt.Container)
Class FlowLayout.preferredLayoutSize(java.awt.Container)
Class GridBagLayout.preferredLayoutSize(java.awt.Container)
Class GridLayout.preferredLayoutSize(java.awt.Container)
Class InternalFrameLayout.preferredLayoutSize(java.awt.Container)
Class OverlayLayout.preferredLayoutSize(java.awt.Container)
Class RootLayout.preferredLayoutSize(java.awt.Container)
Class ScrollPaneLayout.preferredLayoutSize(java.awt.Container)
Class TabbedPaneLayout.preferredLayoutSize(java.awt.Container)
Class TitlePaneLayout.preferredLayoutSize(java.awt.Container)
Class ViewportLayout.preferredLayoutSize(java.awt.Container)
Interface LayoutManager.preferredLayoutSize(java.awt.Container)
preferredSize found in:
Class BasicTreeUI.preferredSize
Class Component.preferredSize()
Class Container.preferredSize()
Class List.preferredSize(int)
Class TextArea.preferredSize(int, int)
Class TextField.preferredSize(int)


PreparedStatement found in:
Interface PreparedStatement
PreparedStatement


prepareImage found in:
Class Component.prepareImage(java.awt.Image, java.awt.image.ImageObserver)
Class Toolkit.prepareImage(java.awt.Image, int, int, java.awt.image.ImageObserver)


PRESSED found in:
Class AccessibleState.PRESSED
Class DefaultButtonModel.PRESSED


previous found in:
Class BreakIterator.previous()
Class CardLayout.previous(java.awt.Container)
Class CollationElementIterator.previous()
Class ElementIterator.previous()
Class Segment.previous()
Class StringCharacterIterator.previous()
Interface CharacterIterator.previous()
Interface ListIterator.previous()
Interface ResultSet.previous()


Principal found in:
Class Principal
Interface Principal


print found in:
Class Component.print(java.awt.Graphics)
Class Container.print(java.awt.Graphics)
Class JComponent.print(java.awt.Graphics)
Class PrinterJob.print()
Class PrintStream.print(boolean)
Class PrintWriter.print(boolean)
Interface Printable.print(java.awt.Graphics, java.awt.print.PageFormat, int)


printAll found in:
Class Component.printAll(java.awt.Graphics)
Class JComponent.printAll(java.awt.Graphics)
printcertCmd found in:
keytool-Key and Certificate Management Tool
keytool-Key and Certificate Management Tool
printComponents found in:
Class Container.printComponents(java.awt.Graphics)
Class ScrollPane.printComponents(java.awt.Graphics)


Printing found in:
Printing
Printing


println found in:
Class DriverManager.println(java.lang.String)
Class PrintStream.println()
Class PrintWriter.println()


printStackTrace found in:
Class ActivationException.printStackTrace(java.io.PrintStream)
Class ClassNotFoundException.printStackTrace()
Class ExceptionInInitializerError.printStackTrace()
Class InvocationTargetException.printStackTrace()
Class NamingException.printStackTrace()
Class PrivilegedActionException.printStackTrace()
Class RemoteException.printStackTrace(java.io.PrintStream)
Class ServerCloneException.printStackTrace(java.io.PrintStream)
Class Throwable.printStackTrace()
Class UndeclaredThrowableException.printStackTrace()


private found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


process found in:
Class VMStartException.process()
Interface VirtualMachine.process()


processActionEvent found in:
Class Button.processActionEvent(java.awt.event.ActionEvent)
Class List.processActionEvent(java.awt.event.ActionEvent)
Class MenuItem.processActionEvent(java.awt.event.ActionEvent)
Class TextField.processActionEvent(java.awt.event.ActionEvent)
processComponentKeyEvent found in:
Class JComponent.processComponentKeyEvent(java.awt.event.KeyEvent)
Class JEditorPane.processComponentKeyEvent(java.awt.event.KeyEvent)
processEvent found in:
Class Button.processEvent(java.awt.AWTEvent)
Class Checkbox.processEvent(java.awt.AWTEvent)
Class CheckboxMenuItem.processEvent(java.awt.AWTEvent)
Class Choice.processEvent(java.awt.AWTEvent)
Class Component.processEvent(java.awt.AWTEvent)
Class Container.processEvent(java.awt.AWTEvent)
Class List.processEvent(java.awt.AWTEvent)
Class MenuComponent.processEvent(java.awt.AWTEvent)
Class MenuItem.processEvent(java.awt.AWTEvent)
Class Scrollbar.processEvent(java.awt.AWTEvent)
Class TextComponent.processEvent(java.awt.AWTEvent)
Class TextField.processEvent(java.awt.AWTEvent)
Class Window.processEvent(java.awt.AWTEvent)
processFocusEvent found in:
Class Component.processFocusEvent(java.awt.event.FocusEvent)
Class JComponent.processFocusEvent(java.awt.event.FocusEvent)
Class JMenu.processFocusEvent(java.awt.event.FocusEvent)
processInputMethodEvent found in:
Class Component.processInputMethodEvent(java.awt.event.InputMethodEvent)
Class JTextComponent.processInputMethodEvent(java.awt.event.InputMethodEvent)
processItemEvent found in:
Class Checkbox.processItemEvent(java.awt.event.ItemEvent)
Class CheckboxMenuItem.processItemEvent(java.awt.event.ItemEvent)
Class Choice.processItemEvent(java.awt.event.ItemEvent)
Class List.processItemEvent(java.awt.event.ItemEvent)
processKeyBinding found in:
Class JComponent.processKeyBinding(javax.swing.KeyStroke, java.awt.event.KeyEvent, int, boolean)
Class JMenuBar.processKeyBinding(javax.swing.KeyStroke, java.awt.event.KeyEvent, int, boolean)
Class JTable.processKeyBinding(javax.swing.KeyStroke, java.awt.event.KeyEvent, int, boolean)
processKeyEvent found in:
Class Component.processKeyEvent(java.awt.event.KeyEvent)
Class DefaultFocusManager.processKeyEvent(java.awt.Component, java.awt.event.KeyEvent)
Class FocusManager.processKeyEvent(java.awt.Component, java.awt.event.KeyEvent)
Class JApplet.processKeyEvent(java.awt.event.KeyEvent)
Class JComboBox.processKeyEvent(java.awt.event.KeyEvent)
Class JComponent.processKeyEvent(java.awt.event.KeyEvent)
Class JDialog.processKeyEvent(java.awt.event.KeyEvent)
Class JEditorPane.processKeyEvent(java.awt.event.KeyEvent)
Class JFrame.processKeyEvent(java.awt.event.KeyEvent)
Class JMenu.processKeyEvent(java.awt.event.KeyEvent)
Class JMenuBar.processKeyEvent(java.awt.event.KeyEvent, javax.swing.MenuElement[], javax.swing.MenuSelectionManager)
Class JMenuItem.processKeyEvent(java.awt.event.KeyEvent, javax.swing.MenuElement[], javax.swing.MenuSelectionManager)
Class JPopupMenu.processKeyEvent(java.awt.event.KeyEvent, javax.swing.MenuElement[], javax.swing.MenuSelectionManager)
Class JTextArea.processKeyEvent(java.awt.event.KeyEvent)
Class MenuSelectionManager.processKeyEvent(java.awt.event.KeyEvent)
Interface MenuElement.processKeyEvent(java.awt.event.KeyEvent, javax.swing.MenuElement[], javax.swing.MenuSelectionManager)
processMouseEvent found in:
Class BasicCheckBoxMenuItemUI.processMouseEvent(javax.swing.JMenuItem, java.awt.event.MouseEvent, javax.swing.MenuElement[], javax.swing.MenuSelectionManager)
Class BasicRadioButtonMenuItemUI.processMouseEvent(javax.swing.JMenuItem, java.awt.event.MouseEvent, javax.swing.MenuElement[], javax.swing.MenuSelectionManager)
Class Component.processMouseEvent(java.awt.event.MouseEvent)
Class JMenuBar.processMouseEvent(java.awt.event.MouseEvent, javax.swing.MenuElement[], javax.swing.MenuSelectionManager)
Class JMenuItem.processMouseEvent(java.awt.event.MouseEvent, javax.swing.MenuElement[], javax.swing.MenuSelectionManager)
Class JPopupMenu.processMouseEvent(java.awt.event.MouseEvent, javax.swing.MenuElement[], javax.swing.MenuSelectionManager)
Class MenuSelectionManager.processMouseEvent(java.awt.event.MouseEvent)
Interface MenuElement.processMouseEvent(java.awt.event.MouseEvent, javax.swing.MenuElement[], javax.swing.MenuSelectionManager)
processMouseMotionEvent found in:
Class Component.processMouseMotionEvent(java.awt.event.MouseEvent)
Class JComponent.processMouseMotionEvent(java.awt.event.MouseEvent)
processWindowEvent found in:
Class JDialog.processWindowEvent(java.awt.event.WindowEvent)
Class JFrame.processWindowEvent(java.awt.event.WindowEvent)
Class Window.processWindowEvent(java.awt.event.WindowEvent)


Programmer's Guide to the Java 2D API found in:
Programmer's Guide to the Java 2D API
Programmer's Guide to the Java 2D API


PROP found in:
Guidelines for LDAP Service Providers
JNDI/COS Naming Service Provider
JNDI/LDAP Service Provider
JNDI/RMI Registry Service Provider


propertyChange found in:
Class AccessibleJList.propertyChange(java.beans.PropertyChangeEvent)
Class AccessibleJTable.propertyChange(java.beans.PropertyChangeEvent)
Class BasicButtonListener.propertyChange(java.beans.PropertyChangeEvent)
Class BasicDirectoryModel.propertyChange(java.beans.PropertyChangeEvent)
Class BasicEditorPaneUI.propertyChange(java.beans.PropertyChangeEvent)
Class BasicLabelUI.propertyChange(java.beans.PropertyChangeEvent)
Class BasicRootPaneUI.propertyChange(java.beans.PropertyChangeEvent)
Class BasicSplitPaneDivider.propertyChange(java.beans.PropertyChangeEvent)
Class BasicTextAreaUI.propertyChange(java.beans.PropertyChangeEvent)
Class BasicTextFieldUI.propertyChange(java.beans.PropertyChangeEvent)
Class BasicTextPaneUI.propertyChange(java.beans.PropertyChangeEvent)
Class BasicTextUI.propertyChange(java.beans.PropertyChangeEvent)
Class BeanContextSupport.propertyChange(java.beans.PropertyChangeEvent)
Class DefaultTableColumnModel.propertyChange(java.beans.PropertyChangeEvent)
Class FilterComboBoxModel.propertyChange(java.beans.PropertyChangeEvent)
Class InternalFramePropertyChangeListener.propertyChange(java.beans.PropertyChangeEvent)
Class MetalPropertyChangeListener.propertyChange(java.beans.PropertyChangeEvent)
Class MetalPropertyListener.propertyChange(java.beans.PropertyChangeEvent)
Class MetalRolloverListener.propertyChange(java.beans.PropertyChangeEvent)
Class MetalTextFieldUI.propertyChange(java.beans.PropertyChangeEvent)
Class PropertyChangeHandler.propertyChange(java.beans.PropertyChangeEvent)
Class PropertyChangeHandler.propertyChange(java.beans.PropertyChangeEvent)
Class PropertyChangeHandler.propertyChange(java.beans.PropertyChangeEvent)
Class PropertyChangeHandler.propertyChange(java.beans.PropertyChangeEvent)
Class PropertyChangeHandler.propertyChange(java.beans.PropertyChangeEvent)
Class PropertyChangeHandler.propertyChange(java.beans.PropertyChangeEvent)
Class PropertyChangeHandler.propertyChange(java.beans.PropertyChangeEvent)
Class PropertyChangeHandler.propertyChange(java.beans.PropertyChangeEvent)
Class PropertyChangeHandler.propertyChange(java.beans.PropertyChangeEvent)
Class PropertyChangeHandler.propertyChange(java.beans.PropertyChangeEvent)
Class PropertyHandler.propertyChange(java.beans.PropertyChangeEvent)
Class PropertyHandler.propertyChange(java.beans.PropertyChangeEvent)
Class PropertyListener.propertyChange(java.beans.PropertyChangeEvent)
Class SelectionModelPropertyChangeHandler.propertyChange(java.beans.PropertyChangeEvent)
Interface PropertyChangeListener.propertyChange(java.beans.PropertyChangeEvent)


PropertyChangeHandler found in:
Class PropertyChangeHandler
Class PropertyChangeHandler
Class PropertyChangeHandler
Class PropertyChangeHandler
Class PropertyChangeHandler
Class PropertyChangeHandler
Class PropertyChangeHandler
Class PropertyChangeHandler
Class PropertyChangeHandler
Class PropertyChangeHandler


propertyChangeListener found in:
Class BasicColorChooserUI.propertyChangeListener
Class BasicComboBoxUI.propertyChangeListener
Class BasicComboPopup.propertyChangeListener
Class BasicInternalFrameTitlePane.propertyChangeListener
Class BasicInternalFrameUI.propertyChangeListener
Class BasicListUI.propertyChangeListener
Class BasicMenuUI.propertyChangeListener
Class BasicOptionPaneUI.propertyChangeListener
Class BasicScrollBarUI.propertyChangeListener
Class BasicSliderUI.propertyChangeListener
Class BasicSplitPaneUI.propertyChangeListener
Class BasicTabbedPaneUI.propertyChangeListener


PropertyHandler found in:
Class PropertyHandler
Class PropertyHandler


PropertyPermission found in:
Class PropertyPermission
Permissions in the Java(TM) 2 SDK


protected found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


Provider found in:
Class Provider
Java Cryptography Architecture


public found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


PUBLIC found in:
Class Modifier.PUBLIC
Interface DTDConstants.PUBLIC
Interface Member.PUBLIC


push found in:
Class EventQueue.push(java.awt.EventQueue)
Class Stack.push(java.lang.Object)


put found in:
Class AbstractMap.put(java.lang.Object, java.lang.Object)
Class ActionMap.put(java.lang.Object, javax.swing.Action)
Class Attributes.put(java.lang.Object, java.lang.Object)
Class BasicAttributes.put(java.lang.String, java.lang.Object)
Class ComponentInputMap.put(javax.swing.KeyStroke, java.lang.Object)
Class Dictionary.put(java.lang.Object, java.lang.Object)
Class HashMap.put(java.lang.Object, java.lang.Object)
Class Hashtable.put(java.lang.Object, java.lang.Object)
Class InputMap.put(javax.swing.KeyStroke, java.lang.Object)
Class Provider.put(java.lang.Object, java.lang.Object)
Class PutField.put(java.lang.String, boolean)
Class RenderingHints.put(java.lang.Object, java.lang.Object)
Class TreeMap.put(java.lang.Object, java.lang.Object)
Class UIDefaults.put(java.lang.Object, java.lang.Object)
Class UIManager.put(java.lang.Object, java.lang.Object)
Class WeakHashMap.put(java.lang.Object, java.lang.Object)
Interface Attributes.put(java.lang.String, java.lang.Object)
Interface Map.put(java.lang.Object, java.lang.Object)
putAll found in:
Class AbstractMap.putAll(java.util.Map)
Class Attributes.putAll(java.util.Map)
Class HashMap.putAll(java.util.Map)
Class Hashtable.putAll(java.util.Map)
Class Provider.putAll(java.util.Map)
Class RenderingHints.putAll(java.util.Map)
Class TreeMap.putAll(java.util.Map)
Interface Map.putAll(java.util.Map)


putNextEntry found in:
Class JarOutputStream.putNextEntry(java.util.zip.ZipEntry)
Class ZipOutputStream.putNextEntry(java.util.zip.ZipEntry)
putProperty found in:
Class AbstractDocument.putProperty(java.lang.Object, java.lang.Object)
Interface Document.putProperty(java.lang.Object, java.lang.Object)
Interface EventRequest.putProperty(java.lang.Object, java.lang.Object)
putValue found in:
Class AbstractAction.putValue(java.lang.String, java.lang.Object)
Class Attributes.putValue(java.lang.String, java.lang.String)
Interface Action.putValue(java.lang.String, java.lang.Object)


qualifiedName found in:
Interface ConstructorDoc.qualifiedName()
Interface ProgramElementDoc.qualifiedName()


RAISED found in:
Class BevelBorder.RAISED
Class EtchedBorder.RAISED


random found in:
Class Math.random()
Class StrictMath.random()
Frequently Asked Questions - RMI and Object Serialization


RawMonitorEnter found in:
Java(tm) Virtual Machine Debug Interface Reference
The Java Virtual Machine Profiler Interface (JVMPI)
RawMonitorExit found in:
Java(tm) Virtual Machine Debug Interface Reference
The Java Virtual Machine Profiler Interface (JVMPI)
RawMonitorNotifyAll found in:
Java(tm) Virtual Machine Debug Interface Reference
The Java Virtual Machine Profiler Interface (JVMPI)
RawMonitorWait found in:
Java(tm) Virtual Machine Debug Interface Reference
The Java Virtual Machine Profiler Interface (JVMPI)


RCSID found in:
Class StateEdit.RCSID
Interface StateEditable.RCSID


read found in:
Class AlreadyBoundHelper.read(org.omg.CORBA.portable.InputStream)
Class AnySeqHelper.read(org.omg.CORBA.portable.InputStream)
Class AudioInputStream.read()
Class BindingHelper.read(org.omg.CORBA.portable.InputStream)
Class BindingIteratorHelper.read(org.omg.CORBA.portable.InputStream)
Class BindingListHelper.read(org.omg.CORBA.portable.InputStream)
Class BindingTypeHelper.read(org.omg.CORBA.portable.InputStream)
Class BooleanSeqHelper.read(org.omg.CORBA.portable.InputStream)
Class BufferedInputStream.read()
Class BufferedReader.read()
Class ByteArrayInputStream.read()
Class CannotProceedHelper.read(org.omg.CORBA.portable.InputStream)
Class CharArrayReader.read()
Class CharSeqHelper.read(org.omg.CORBA.portable.InputStream)
Class CheckedInputStream.read()
Class CompletionStatusHelper.read(org.omg.CORBA.portable.InputStream)
Class CurrentHelper.read(org.omg.CORBA.portable.InputStream)
Class DataInputStream.read(byte[])
Class DefaultEditorKit.read(java.io.InputStream, javax.swing.text.Document, int)
Class DefinitionKindHelper.read(org.omg.CORBA.portable.InputStream)
Class DigestInputStream.read()
Class DoubleSeqHelper.read(org.omg.CORBA.portable.InputStream)
Class DTD.read(java.io.DataInputStream)
Class EditorKit.read(java.io.InputStream, javax.swing.text.Document, int)
Class FieldNameHelper.read(org.omg.CORBA.portable.InputStream)
Class FileInputStream.read()
Class FilterInputStream.read()
Class FilterReader.read()
Class FloatSeqHelper.read(org.omg.CORBA.portable.InputStream)
Class GZIPInputStream.read(byte[], int, int)
Class HTMLEditorKit.read(java.io.Reader, javax.swing.text.Document, int)
Class IdentifierHelper.read(org.omg.CORBA.portable.InputStream)
Class IDLTypeHelper.read(org.omg.CORBA.portable.InputStream)
Class InflaterInputStream.read()
Class InputStream.read()
Class InputStream.read()
Class InputStreamReader.read()
Class InvalidNameHelper.read(org.omg.CORBA.portable.InputStream)
Class IstringHelper.read(org.omg.CORBA.portable.InputStream)
Class JarInputStream.read(byte[], int, int)
Class JEditorPane.read(java.io.InputStream, java.lang.Object)
Class JTextComponent.read(java.io.Reader, java.lang.Object)
Class LineNumberInputStream.read()
Class LineNumberReader.read()
Class LongLongSeqHelper.read(org.omg.CORBA.portable.InputStream)
Class LongSeqHelper.read(org.omg.CORBA.portable.InputStream)
Class Manifest.read(java.io.InputStream)
Class NameComponentHelper.read(org.omg.CORBA.portable.InputStream)
Class NameHelper.read(org.omg.CORBA.portable.InputStream)
Class NameValuePairHelper.read(org.omg.CORBA.portable.InputStream)
Class NamingContextHelper.read(org.omg.CORBA.portable.InputStream)
Class NotEmptyHelper.read(org.omg.CORBA.portable.InputStream)
Class NotFoundHelper.read(org.omg.CORBA.portable.InputStream)
Class NotFoundReasonHelper.read(org.omg.CORBA.portable.InputStream)
Class ObjectHelper.read(org.omg.CORBA.portable.InputStream)
Class ObjectInputStream.read()
Class ObjID.read(java.io.ObjectInput)
Class OctetSeqHelper.read(org.omg.CORBA.portable.InputStream)
Class PipedInputStream.read()
Class PipedReader.read()
Class PolicyHelper.read(org.omg.CORBA.portable.InputStream)
Class PolicyListHelper.read(org.omg.CORBA.portable.InputStream)
Class PolicyTypeHelper.read(org.omg.CORBA.portable.InputStream)
Class ProgressMonitorInputStream.read()
Class PushbackInputStream.read()
Class PushbackReader.read()
Class RandomAccessFile.read()
Class Reader.read()
Class RepositoryIdHelper.read(org.omg.CORBA.portable.InputStream)
Class RTFEditorKit.read(java.io.InputStream, javax.swing.text.Document, int)
Class SequenceInputStream.read()
Class ServiceDetailHelper.read(org.omg.CORBA.portable.InputStream)
Class ServiceInformationHelper.read(org.omg.CORBA.portable.InputStream)
Class SetOverrideTypeHelper.read(org.omg.CORBA.portable.InputStream)
Class ShortSeqHelper.read(org.omg.CORBA.portable.InputStream)
Class StringBufferInputStream.read()
Class StringReader.read()
Class StringValueHelper.read(org.omg.CORBA.portable.InputStream)
Class StructMemberHelper.read(org.omg.CORBA.portable.InputStream)
Class UID.read(java.io.DataInput)
Class ULongLongSeqHelper.read(org.omg.CORBA.portable.InputStream)
Class ULongSeqHelper.read(org.omg.CORBA.portable.InputStream)
Class UnionMemberHelper.read(org.omg.CORBA.portable.InputStream)
Class UShortSeqHelper.read(org.omg.CORBA.portable.InputStream)
Class ValueBaseHelper.read(org.omg.CORBA.portable.InputStream)
Class ValueMemberHelper.read(org.omg.CORBA.portable.InputStream)
Class VersionSpecHelper.read(org.omg.CORBA.portable.InputStream)
Class VisibilityHelper.read(org.omg.CORBA.portable.InputStream)
Class WCharSeqHelper.read(org.omg.CORBA.portable.InputStream)
Class WStringValueHelper.read(org.omg.CORBA.portable.InputStream)
Class ZipInputStream.read(byte[], int, int)
Interface ObjectInput.read()
Interface TargetDataLine.read(byte[], int, int)
readAny found in:
Class Util.readAny(org.omg.CORBA.portable.InputStream)
Interface UtilDelegate.readAny(org.omg.CORBA.portable.InputStream)
readBoolean found in:
Class DataInputStream.readBoolean()
Class ObjectInputStream.readBoolean()
Class RandomAccessFile.readBoolean()
Interface DataInput.readBoolean()
Interface SQLInput.readBoolean()
readByte found in:
Class DataInputStream.readByte()
Class ObjectInputStream.readByte()
Class RandomAccessFile.readByte()
Interface DataInput.readByte()
Interface SQLInput.readByte()


readChar found in:
Class DataInputStream.readChar()
Class ObjectInputStream.readChar()
Class RandomAccessFile.readChar()
Interface DataInput.readChar()
readDouble found in:
Class DataInputStream.readDouble()
Class ObjectInputStream.readDouble()
Class RandomAccessFile.readDouble()
Interface DataInput.readDouble()
Interface SQLInput.readDouble()


readExternal found in:
Class DataFlavor.readExternal(java.io.ObjectInput)
Interface Externalizable.readExternal(java.io.ObjectInput)
readFloat found in:
Class DataInputStream.readFloat()
Class ObjectInputStream.readFloat()
Class RandomAccessFile.readFloat()
Interface DataInput.readFloat()
Interface SQLInput.readFloat()
readFully found in:
Class DataInputStream.readFully(byte[])
Class ObjectInputStream.readFully(byte[])
Class RandomAccessFile.readFully(byte[])
Interface DataInput.readFully(byte[])


readInt found in:
Class DataInputStream.readInt()
Class ObjectInputStream.readInt()
Class RandomAccessFile.readInt()
Interface DataInput.readInt()
Interface SQLInput.readInt()
readLine found in:
Class BufferedReader.readLine()
Class DataInputStream.readLine()
Class LineNumberReader.readLine()
Class ObjectInputStream.readLine()
Class RandomAccessFile.readLine()
Interface DataInput.readLine()
readLong found in:
Class DataInputStream.readLong()
Class ObjectInputStream.readLong()
Class RandomAccessFile.readLong()
Interface DataInput.readLong()
Interface SQLInput.readLong()
readObject found in:
Class ObjectInputStream.readObject()
Interface ObjectInput.readObject()
Interface SQLInput.readObject()
Interface StubDelegate.readObject(javax.rmi.CORBA.Stub, java.io.ObjectInputStream)
readResolve found in:
Class Attribute.readResolve()
Class CertificateRep.readResolve()
Class ICC_Profile.readResolve()
Class TextAttribute.readResolve()
readShort found in:
Class DataInputStream.readShort()
Class ObjectInputStream.readShort()
Class RandomAccessFile.readShort()
Interface DataInput.readShort()
Interface SQLInput.readShort()
readUnsignedByte found in:
Class DataInputStream.readUnsignedByte()
Class ObjectInputStream.readUnsignedByte()
Class RandomAccessFile.readUnsignedByte()
Interface DataInput.readUnsignedByte()
readUnsignedShort found in:
Class DataInputStream.readUnsignedShort()
Class ObjectInputStream.readUnsignedShort()
Class RandomAccessFile.readUnsignedShort()
Interface DataInput.readUnsignedShort()
readUTF found in:
Class DataInputStream.readUTF()
Class ObjectInputStream.readUTF()
Class RandomAccessFile.readUTF()
Interface DataInput.readUTF()
ready found in:
Class BufferedReader.ready()
Class CharArrayReader.ready()
Class FilterReader.ready()
Class InputStreamReader.ready()
Class PipedReader.ready()
Class PushbackReader.ready()
Class Reader.ready()
Class StringReader.ready()
read_any found in:
Class InputStream.read_any()
Interface DataInputStream.read_any()
read_boolean found in:
Class InputStream.read_boolean()
Interface DataInputStream.read_boolean()
read_boolean_array found in:
Class InputStream.read_boolean_array(boolean[], int, int)
Interface DataInputStream.read_boolean_array(org.omg.CORBA.BooleanSeqHolder, int, int)
read_char found in:
Class InputStream.read_char()
Interface DataInputStream.read_char()
read_char_array found in:
Class InputStream.read_char_array(char[], int, int)
Interface DataInputStream.read_char_array(org.omg.CORBA.CharSeqHolder, int, int)
read_double found in:
Class InputStream.read_double()
Interface DataInputStream.read_double()
read_double_array found in:
Class InputStream.read_double_array(double[], int, int)
Interface DataInputStream.read_double_array(org.omg.CORBA.DoubleSeqHolder, int, int)
read_float found in:
Class InputStream.read_float()
Interface DataInputStream.read_float()
read_float_array found in:
Class InputStream.read_float_array(float[], int, int)
Interface DataInputStream.read_float_array(org.omg.CORBA.FloatSeqHolder, int, int)
read_long found in:
Class InputStream.read_long()
Interface DataInputStream.read_long()
read_longlong found in:
Class InputStream.read_longlong()
Interface DataInputStream.read_longlong()
read_longlong_array found in:
Class InputStream.read_longlong_array(long[], int, int)
Interface DataInputStream.read_longlong_array(org.omg.CORBA.LongLongSeqHolder, int, int)
read_long_array found in:
Class InputStream.read_long_array(int[], int, int)
Interface DataInputStream.read_long_array(org.omg.CORBA.LongSeqHolder, int, int)
read_Object found in:
Class InputStream.read_Object()
Interface DataInputStream.read_Object()
read_octet found in:
Class InputStream.read_octet()
Interface DataInputStream.read_octet()
read_octet_array found in:
Class InputStream.read_octet_array(byte[], int, int)
Interface DataInputStream.read_octet_array(org.omg.CORBA.OctetSeqHolder, int, int)
read_short found in:
Class InputStream.read_short()
Interface DataInputStream.read_short()
read_short_array found in:
Class InputStream.read_short_array(short[], int, int)
Interface DataInputStream.read_short_array(org.omg.CORBA.ShortSeqHolder, int, int)
read_string found in:
Class InputStream.read_string()
Interface DataInputStream.read_string()
read_TypeCode found in:
Class InputStream.read_TypeCode()
Interface DataInputStream.read_TypeCode()
read_ulong found in:
Class InputStream.read_ulong()
Interface DataInputStream.read_ulong()
read_ulonglong found in:
Class InputStream.read_ulonglong()
Interface DataInputStream.read_ulonglong()
read_ulonglong_array found in:
Class InputStream.read_ulonglong_array(long[], int, int)
Interface DataInputStream.read_ulonglong_array(org.omg.CORBA.ULongLongSeqHolder, int, int)
read_ulong_array found in:
Class InputStream.read_ulong_array(int[], int, int)
Interface DataInputStream.read_ulong_array(org.omg.CORBA.ULongSeqHolder, int, int)
read_ushort found in:
Class InputStream.read_ushort()
Interface DataInputStream.read_ushort()
read_ushort_array found in:
Class InputStream.read_ushort_array(short[], int, int)
Interface DataInputStream.read_ushort_array(org.omg.CORBA.UShortSeqHolder, int, int)
read_value found in:
Class Any.read_value(org.omg.CORBA.portable.InputStream, org.omg.CORBA.TypeCode)
Class InputStream.read_value()
Class StringValueHelper.read_value(org.omg.CORBA.portable.InputStream)
Class WStringValueHelper.read_value(org.omg.CORBA.portable.InputStream)
Interface BoxedValueHelper.read_value(org.omg.CORBA.portable.InputStream)
Interface ValueFactory.read_value(org.omg.CORBA_2_3.portable.InputStream)
read_wchar found in:
Class InputStream.read_wchar()
Interface DataInputStream.read_wchar()
read_wchar_array found in:
Class InputStream.read_wchar_array(char[], int, int)
Interface DataInputStream.read_wchar_array(org.omg.CORBA.WCharSeqHolder, int, int)
read_wstring found in:
Class InputStream.read_wstring()
Interface DataInputStream.read_wstring()


realworldexample found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
rebind found in:
Class InitialContext.rebind(java.lang.String, java.lang.Object)
Class InitialDirContext.rebind(java.lang.String, java.lang.Object, javax.naming.directory.Attributes)
Class Naming.rebind(java.lang.String, java.rmi.Remote)
Class _NamingContextStub.rebind(org.omg.CosNaming.NameComponent[], org.omg.CORBA.Object)
Interface Context.rebind(javax.naming.Name, java.lang.Object)
Interface DirContext.rebind(javax.naming.Name, java.lang.Object, javax.naming.directory.Attributes)
Interface NamingContextOperations.rebind(org.omg.CosNaming.NameComponent[], org.omg.CORBA.Object)
Interface Registry.rebind(java.lang.String, java.rmi.Remote)
rebind_context found in:
Class _NamingContextStub.rebind_context(org.omg.CosNaming.NameComponent[], org.omg.CosNaming.NamingContext)
Interface NamingContextOperations.rebind_context(org.omg.CosNaming.NameComponent[], org.omg.CosNaming.NamingContext)
receive found in:
Class DatagramSocket.receive(java.net.DatagramPacket)
Class DatagramSocketImpl.receive(java.net.DatagramPacket)
Class PipedInputStream.receive(int)


reclaim found in:
Class StyleContext.reclaim(javax.swing.text.AttributeSet)
Interface AttributeContext.reclaim(javax.swing.text.AttributeSet)
reconnect found in:
Class InitialLdapContext.reconnect(javax.naming.ldap.Control[])
Interface LdapContext.reconnect(javax.naming.ldap.Control[])
reconvert found in:
Class InputContext.reconvert()
Interface InputMethod.reconvert()


redo found in:
Class AbstractUndoableEdit.redo()
Class AttributeUndoableEdit.redo()
Class CompoundEdit.redo()
Class DefaultDocumentEvent.redo()
Class ElementEdit.redo()
Class StateEdit.redo()
Class UndoManager.redo()
Interface UndoableEdit.redo()


Reference found in:
Class Reference
Class Reference
Reference


referencedclasses found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


referenceType found in:
Interface ClassPrepareEvent.referenceType()
Interface ObjectReference.referenceType()


reflection found in:
JNI Enhancements in the Java 2 SDK
New Features


ReflectPermission found in:
Class ReflectPermission
Permissions in the Java(TM) 2 SDK


registerListeners found in:
Class DragGestureRecognizer.registerListeners()
Class MouseDragGestureRecognizer.registerListeners()
registerTarget found in:
Class Util.registerTarget(javax.rmi.CORBA.Tie, java.rmi.Remote)
Interface UtilDelegate.registerTarget(javax.rmi.CORBA.Tie, java.rmi.Remote)


registryNote found in:
Activating an object that does not extend java.rmi.activation.Activatable
Compiling and Running the HelloWorld Example
Creating an Activatable Remote Object
Getting Started Using RMI
Making a UnicastRemoteObject Activatable
Using a MarshalledObject to create persistent data


rejectDrag found in:
Class DropTargetContext.rejectDrag()
Class DropTargetDragEvent.rejectDrag()
rejectDrop found in:
Class DropTargetContext.rejectDrop()
Class DropTargetDropEvent.rejectDrop()


related found in:
JDBC Documentation
Package javax.swing


releaseBeanContextResources found in:
Class BeanContextChildSupport.releaseBeanContextResources()
Class BeanContextServicesSupport.releaseBeanContextResources()


releaseService found in:
Class BCSSProxyServiceProvider.releaseService(java.beans.beancontext.BeanContextServices, java.lang.Object, java.lang.Object)
Class BeanContextServicesSupport.releaseService(java.beans.beancontext.BeanContextChild, java.lang.Object, java.lang.Object)
Interface BeanContextServiceProvider.releaseService(java.beans.beancontext.BeanContextServices, java.lang.Object, java.lang.Object)
Interface BeanContextServices.releaseService(java.beans.beancontext.BeanContextChild, java.lang.Object, java.lang.Object)


releaseWritableTile found in:
Class BufferedImage.releaseWritableTile(int, int)
Interface WritableRenderedImage.releaseWritableTile(int, int)


remainingName found in:
Class NamingException.remainingName
Class ResolveResult.remainingName


remove found in:
Class AbstractCollection.remove(java.lang.Object)
Class AbstractDocument.remove(int, int)
Class AbstractList.remove(int)
Class AbstractMap.remove(java.lang.Object)
Class AbstractSequentialList.remove(int)
Class AccessibleRelationSet.remove(javax.accessibility.AccessibleRelation)
Class AccessibleStateSet.remove(javax.accessibility.AccessibleState)
Class ActionMap.remove(java.lang.Object)
Class ArrayList.remove(int)
Class Attributes.remove(java.lang.Object)
Class AWTEventMulticaster.remove(java.util.EventListener)
Class BasicAttribute.remove(java.lang.Object)
Class BasicAttributes.remove(java.lang.String)
Class BCSIterator.remove()
Class BeanContextSupport.remove(java.lang.Object)
Class ButtonGroup.remove(javax.swing.AbstractButton)
Class Choice.remove(java.lang.String)
Class Component.remove(java.awt.MenuComponent)
Class ComponentInputMap.remove(javax.swing.KeyStroke)
Class CompositeName.remove(int)
Class CompoundName.remove(int)
Class Container.remove(int)
Class ContextList.remove(int)
Class DefaultListModel.remove(int)
Class DefaultMutableTreeNode.remove(int)
Class Dictionary.remove(java.lang.Object)
Class ElementBuffer.remove(int, int, javax.swing.text.AbstractDocument.DefaultDocumentEvent)
Class EventListenerList.remove(java.lang.Class, java.util.EventListener)
Class ExceptionList.remove(int)
Class Frame.remove(java.awt.MenuComponent)
Class GapContent.remove(int, int)
Class HashMap.remove(java.lang.Object)
Class HashSet.remove(java.lang.Object)
Class Hashtable.remove(java.lang.Object)
Class InputMap.remove(javax.swing.KeyStroke)
Class JApplet.remove(java.awt.Component)
Class JDialog.remove(java.awt.Component)
Class JFrame.remove(java.awt.Component)
Class JInternalFrame.remove(java.awt.Component)
Class JLayeredPane.remove(int)
Class JMenu.remove(javax.swing.JMenuItem)
Class JPopupMenu.remove(int)
Class JSplitPane.remove(java.awt.Component)
Class JTabbedPane.remove(java.awt.Component)
Class JViewport.remove(java.awt.Component)
Class JWindow.remove(java.awt.Component)
Class LinkedList.remove(java.lang.Object)
Class List.remove(java.lang.String)
Class Menu.remove(int)
Class MenuBar.remove(int)
Class NVList.remove(int)
Class Provider.remove(java.lang.Object)
Class Reference.remove(int)
Class ReferenceQueue.remove(long)
Class RenderingHints.remove(java.lang.Object)
Class StringContent.remove(int, int)
Class Track.remove(javax.sound.midi.MidiEvent)
Class TreeMap.remove(java.lang.Object)
Class TreeSet.remove(java.lang.Object)
Class Vector.remove(java.lang.Object)
Class View.remove(int)
Class WeakHashMap.remove(java.lang.Object)
Interface Attribute.remove(java.lang.Object)
Interface Attributes.remove(java.lang.String)
Interface Collection.remove(java.lang.Object)
Interface Content.remove(int, int)
Interface Document.remove(int, int)
Interface EventQueue.remove()
Interface Iterator.remove()
Interface List.remove(java.lang.Object)
Interface ListIterator.remove()
Interface Map.remove(java.lang.Object)
Interface MenuContainer.remove(java.awt.MenuComponent)
Interface MutableTreeNode.remove(int)
Interface Name.remove(int)
Interface Set.remove(java.lang.Object)


removeAccessibleSelection found in:
Class AccessibleAWTList.removeAccessibleSelection(int)
Class AccessibleAWTMenuComponent.removeAccessibleSelection(int)
Class AccessibleJComboBox.removeAccessibleSelection(int)
Class AccessibleJList.removeAccessibleSelection(int)
Class AccessibleJMenu.removeAccessibleSelection(int)
Class AccessibleJMenuBar.removeAccessibleSelection(int)
Class AccessibleJTabbedPane.removeAccessibleSelection(int)
Class AccessibleJTable.removeAccessibleSelection(int)
Class AccessibleJTree.removeAccessibleSelection(int)
Class AccessibleJTreeNode.removeAccessibleSelection(int)
Interface AccessibleSelection.removeAccessibleSelection(int)
removeActionListener found in:
Class AbstractButton.removeActionListener(java.awt.event.ActionListener)
Class BasicComboBoxEditor.removeActionListener(java.awt.event.ActionListener)
Class Button.removeActionListener(java.awt.event.ActionListener)
Class DefaultButtonModel.removeActionListener(java.awt.event.ActionListener)
Class JComboBox.removeActionListener(java.awt.event.ActionListener)
Class JFileChooser.removeActionListener(java.awt.event.ActionListener)
Class JTextField.removeActionListener(java.awt.event.ActionListener)
Class List.removeActionListener(java.awt.event.ActionListener)
Class MenuItem.removeActionListener(java.awt.event.ActionListener)
Class TextField.removeActionListener(java.awt.event.ActionListener)
Class Timer.removeActionListener(java.awt.event.ActionListener)
Interface ButtonModel.removeActionListener(java.awt.event.ActionListener)
Interface ComboBoxEditor.removeActionListener(java.awt.event.ActionListener)
removeAdjustmentListener found in:
Class JScrollBar.removeAdjustmentListener(java.awt.event.AdjustmentListener)
Class Scrollbar.removeAdjustmentListener(java.awt.event.AdjustmentListener)
Interface Adjustable.removeAdjustmentListener(java.awt.event.AdjustmentListener)
removeAll found in:
Class AbstractCollection.removeAll(java.util.Collection)
Class AbstractSet.removeAll(java.util.Collection)
Class BeanContextSupport.removeAll(java.util.Collection)
Class Choice.removeAll()
Class Container.removeAll()
Class JMenu.removeAll()
Class JSplitPane.removeAll()
Class JTabbedPane.removeAll()
Class List.removeAll()
Class Menu.removeAll()
Class Vector.removeAll(java.util.Collection)
Class View.removeAll()
Interface Collection.removeAll(java.util.Collection)
Interface List.removeAll(java.util.Collection)
Interface Set.removeAll(java.util.Collection)
removeAllElements found in:
Class DefaultComboBoxModel.removeAllElements()
Class DefaultListModel.removeAllElements()
Class Vector.removeAllElements()
removeAllHighlights found in:
Class DefaultHighlighter.removeAllHighlights()
Interface Highlighter.removeAllHighlights()
removeAttribute found in:
Class AbstractElement.removeAttribute(java.lang.Object)
Class NamedStyle.removeAttribute(java.lang.Object)
Class SimpleAttributeSet.removeAttribute(java.lang.Object)
Class StyleContext.removeAttribute(javax.swing.text.AttributeSet, java.lang.Object)
Class StyleSheet.removeAttribute(javax.swing.text.AttributeSet, java.lang.Object)
Interface AttributeContext.removeAttribute(javax.swing.text.AttributeSet, java.lang.Object)
Interface MutableAttributeSet.removeAttribute(java.lang.Object)
removeAttributes found in:
Class AbstractElement.removeAttributes(java.util.Enumeration)
Class NamedStyle.removeAttributes(java.util.Enumeration)
Class SimpleAttributeSet.removeAttributes(java.util.Enumeration)
Class StyleContext.removeAttributes(javax.swing.text.AttributeSet, java.util.Enumeration)
Class StyleSheet.removeAttributes(javax.swing.text.AttributeSet, java.util.Enumeration)
Interface AttributeContext.removeAttributes(javax.swing.text.AttributeSet, java.util.Enumeration)
Interface MutableAttributeSet.removeAttributes(java.util.Enumeration)
removeBeanContextMembershipListener found in:
Class BeanContextSupport.removeBeanContextMembershipListener(java.beans.beancontext.BeanContextMembershipListener)
Interface BeanContext.removeBeanContextMembershipListener(java.beans.beancontext.BeanContextMembershipListener)
removeBeanContextServicesListener found in:
Class BeanContextServicesSupport.removeBeanContextServicesListener(java.beans.beancontext.BeanContextServicesListener)
Interface BeanContextServices.removeBeanContextServicesListener(java.beans.beancontext.BeanContextServicesListener)
removeCellEditorListener found in:
Class AbstractCellEditor.removeCellEditorListener(javax.swing.event.CellEditorListener)
Class DefaultTreeCellEditor.removeCellEditorListener(javax.swing.event.CellEditorListener)
Interface CellEditor.removeCellEditorListener(javax.swing.event.CellEditorListener)
removeChangeListener found in:
Class AbstractButton.removeChangeListener(javax.swing.event.ChangeListener)
Class DefaultBoundedRangeModel.removeChangeListener(javax.swing.event.ChangeListener)
Class DefaultButtonModel.removeChangeListener(javax.swing.event.ChangeListener)
Class DefaultCaret.removeChangeListener(javax.swing.event.ChangeListener)
Class DefaultColorSelectionModel.removeChangeListener(javax.swing.event.ChangeListener)
Class DefaultSingleSelectionModel.removeChangeListener(javax.swing.event.ChangeListener)
Class JProgressBar.removeChangeListener(javax.swing.event.ChangeListener)
Class JSlider.removeChangeListener(javax.swing.event.ChangeListener)
Class JTabbedPane.removeChangeListener(javax.swing.event.ChangeListener)
Class JViewport.removeChangeListener(javax.swing.event.ChangeListener)
Class MenuSelectionManager.removeChangeListener(javax.swing.event.ChangeListener)
Class NamedStyle.removeChangeListener(javax.swing.event.ChangeListener)
Class StyleContext.removeChangeListener(javax.swing.event.ChangeListener)
Interface BoundedRangeModel.removeChangeListener(javax.swing.event.ChangeListener)
Interface ButtonModel.removeChangeListener(javax.swing.event.ChangeListener)
Interface Caret.removeChangeListener(javax.swing.event.ChangeListener)
Interface ColorSelectionModel.removeChangeListener(javax.swing.event.ChangeListener)
Interface SingleSelectionModel.removeChangeListener(javax.swing.event.ChangeListener)
Interface Style.removeChangeListener(javax.swing.event.ChangeListener)
removeColumn found in:
Class DefaultTableColumnModel.removeColumn(javax.swing.table.TableColumn)
Class JTable.removeColumn(javax.swing.table.TableColumn)
Interface TableColumnModel.removeColumn(javax.swing.table.TableColumn)
removeColumnModelListener found in:
Class DefaultTableColumnModel.removeColumnModelListener(javax.swing.event.TableColumnModelListener)
Interface TableColumnModel.removeColumnModelListener(javax.swing.event.TableColumnModelListener)
removeConsumer found in:
Class FilteredImageSource.removeConsumer(java.awt.image.ImageConsumer)
Class MemoryImageSource.removeConsumer(java.awt.image.ImageConsumer)
Class RenderableImageProducer.removeConsumer(java.awt.image.ImageConsumer)
Interface ImageProducer.removeConsumer(java.awt.image.ImageConsumer)
removeDocumentListener found in:
Class AbstractDocument.removeDocumentListener(javax.swing.event.DocumentListener)
Class DefaultStyledDocument.removeDocumentListener(javax.swing.event.DocumentListener)
Interface Document.removeDocumentListener(javax.swing.event.DocumentListener)
removeEditor found in:
Class BasicComboBoxUI.removeEditor()
Class JTable.removeEditor()
removeElement found in:
Class DefaultComboBoxModel.removeElement(java.lang.Object)
Class DefaultListModel.removeElement(java.lang.Object)
Class Vector.removeElement(java.lang.Object)
Interface MutableComboBoxModel.removeElement(java.lang.Object)
removeElementAt found in:
Class DefaultComboBoxModel.removeElementAt(int)
Class DefaultListModel.removeElementAt(int)
Class Vector.removeElementAt(int)
Interface MutableComboBoxModel.removeElementAt(int)


RemoveEntry found in:
Policy Tool - Policy File Creation and Management Tool
Policy Tool - Policy File Creation and Management Tool


removeFocusListener found in:
Class AccessibleAWTComponent.removeFocusListener(java.awt.event.FocusListener)
Class AccessibleAWTListChild.removeFocusListener(java.awt.event.FocusListener)
Class AccessibleAWTMenuComponent.removeFocusListener(java.awt.event.FocusListener)
Class AccessibleJListChild.removeFocusListener(java.awt.event.FocusListener)
Class AccessibleJTableCell.removeFocusListener(java.awt.event.FocusListener)
Class AccessibleJTableHeaderEntry.removeFocusListener(java.awt.event.FocusListener)
Class AccessibleJTreeNode.removeFocusListener(java.awt.event.FocusListener)
Class Component.removeFocusListener(java.awt.event.FocusListener)
Interface AccessibleComponent.removeFocusListener(java.awt.event.FocusListener)
removeFromEnvironment found in:
Class InitialContext.removeFromEnvironment(java.lang.String)
Interface Context.removeFromEnvironment(java.lang.String)
removeFromParent found in:
Class DefaultMutableTreeNode.removeFromParent()
Interface MutableTreeNode.removeFromParent()
removeHighlight found in:
Class DefaultHighlighter.removeHighlight(java.lang.Object)
Interface Highlighter.removeHighlight(java.lang.Object)
removeIndexInterval found in:
Class DefaultListSelectionModel.removeIndexInterval(int, int)
Interface ListSelectionModel.removeIndexInterval(int, int)
removeItemListener found in:
Class AbstractButton.removeItemListener(java.awt.event.ItemListener)
Class Checkbox.removeItemListener(java.awt.event.ItemListener)
Class CheckboxMenuItem.removeItemListener(java.awt.event.ItemListener)
Class Choice.removeItemListener(java.awt.event.ItemListener)
Class DefaultButtonModel.removeItemListener(java.awt.event.ItemListener)
Class JComboBox.removeItemListener(java.awt.event.ItemListener)
Class List.removeItemListener(java.awt.event.ItemListener)
Interface ButtonModel.removeItemListener(java.awt.event.ItemListener)
Interface ItemSelectable.removeItemListener(java.awt.event.ItemListener)
removeLayoutComponent found in:
Class BasicHorizontalLayoutManager.removeLayoutComponent(java.awt.Component)
Class BasicScrollBarUI.removeLayoutComponent(java.awt.Component)
Class BorderLayout.removeLayoutComponent(java.awt.Component)
Class BoxLayout.removeLayoutComponent(java.awt.Component)
Class ButtonAreaLayout.removeLayoutComponent(java.awt.Component)
Class CardLayout.removeLayoutComponent(java.awt.Component)
Class ComboBoxLayoutManager.removeLayoutComponent(java.awt.Component)
Class DividerLayout.removeLayoutComponent(java.awt.Component)
Class FlowLayout.removeLayoutComponent(java.awt.Component)
Class GridBagLayout.removeLayoutComponent(java.awt.Component)
Class GridLayout.removeLayoutComponent(java.awt.Component)
Class InternalFrameLayout.removeLayoutComponent(java.awt.Component)
Class OverlayLayout.removeLayoutComponent(java.awt.Component)
Class RootLayout.removeLayoutComponent(java.awt.Component)
Class ScrollPaneLayout.removeLayoutComponent(java.awt.Component)
Class TabbedPaneLayout.removeLayoutComponent(java.awt.Component)
Class TitlePaneLayout.removeLayoutComponent(java.awt.Component)
Class ViewportLayout.removeLayoutComponent(java.awt.Component)
Interface LayoutManager.removeLayoutComponent(java.awt.Component)
removeListDataListener found in:
Class AbstractListModel.removeListDataListener(javax.swing.event.ListDataListener)
Interface ListModel.removeListDataListener(javax.swing.event.ListDataListener)
removeListSelectionListener found in:
Class DefaultListSelectionModel.removeListSelectionListener(javax.swing.event.ListSelectionListener)
Class JList.removeListSelectionListener(javax.swing.event.ListSelectionListener)
Interface ListSelectionModel.removeListSelectionListener(javax.swing.event.ListSelectionListener)
removeNotify found in:
Class BasicInternalFrameTitlePane.removeNotify()
Class Component.removeNotify()
Class Container.removeNotify()
Class DropTarget.removeNotify(java.awt.peer.ComponentPeer)
Class DropTargetContext.removeNotify()
Class Frame.removeNotify()
Class InputContext.removeNotify(java.awt.Component)
Class JButton.removeNotify()
Class JComponent.removeNotify()
Class JMenuBar.removeNotify()
Class JRootPane.removeNotify()
Class JTable.removeNotify()
Class JTextComponent.removeNotify()
Class List.removeNotify()
Class Menu.removeNotify()
Class MenuBar.removeNotify()
Class MenuComponent.removeNotify()
Class TextComponent.removeNotify()
Interface InputMethod.removeNotify()


RemovePerm found in:
Policy Tool - Policy File Creation and Management Tool
Policy Tool - Policy File Creation and Management Tool


removePropertyChangeListener found in:
Class AbstractAction.removePropertyChangeListener(java.beans.PropertyChangeListener)
Class AccessibleAWTComponent.removePropertyChangeListener(java.beans.PropertyChangeListener)
Class AccessibleContext.removePropertyChangeListener(java.beans.PropertyChangeListener)
Class AccessibleJComponent.removePropertyChangeListener(java.beans.PropertyChangeListener)
Class AccessibleJListChild.removePropertyChangeListener(java.beans.PropertyChangeListener)
Class AccessibleJTableCell.removePropertyChangeListener(java.beans.PropertyChangeListener)
Class AccessibleJTableHeaderEntry.removePropertyChangeListener(java.beans.PropertyChangeListener)
Class AccessibleJTreeNode.removePropertyChangeListener(java.beans.PropertyChangeListener)
Class BeanContextChildSupport.removePropertyChangeListener(java.lang.String, java.beans.PropertyChangeListener)
Class Component.removePropertyChangeListener(java.beans.PropertyChangeListener)
Class DefaultTreeSelectionModel.removePropertyChangeListener(java.beans.PropertyChangeListener)
Class JComponent.removePropertyChangeListener(java.beans.PropertyChangeListener)
Class PropertyChangeSupport.removePropertyChangeListener(java.beans.PropertyChangeListener)
Class PropertyEditorSupport.removePropertyChangeListener(java.beans.PropertyChangeListener)
Class SwingPropertyChangeSupport.removePropertyChangeListener(java.beans.PropertyChangeListener)
Class TableColumn.removePropertyChangeListener(java.beans.PropertyChangeListener)
Class Toolkit.removePropertyChangeListener(java.lang.String, java.beans.PropertyChangeListener)
Class UIDefaults.removePropertyChangeListener(java.beans.PropertyChangeListener)
Class UIManager.removePropertyChangeListener(java.beans.PropertyChangeListener)
Interface Action.removePropertyChangeListener(java.beans.PropertyChangeListener)
Interface BeanContextChild.removePropertyChangeListener(java.lang.String, java.beans.PropertyChangeListener)
Interface Customizer.removePropertyChangeListener(java.beans.PropertyChangeListener)
Interface PropertyEditor.removePropertyChangeListener(java.beans.PropertyChangeListener)
Interface TreeSelectionModel.removePropertyChangeListener(java.beans.PropertyChangeListener)
removeRange found in:
Class AbstractList.removeRange(int, int)
Class ArrayList.removeRange(int, int)
Class DefaultListModel.removeRange(int, int)
Class Vector.removeRange(int, int)
removeSelectionInterval found in:
Class DefaultListSelectionModel.removeSelectionInterval(int, int)
Class JList.removeSelectionInterval(int, int)
Class JTree.removeSelectionInterval(int, int)
Interface ListSelectionModel.removeSelectionInterval(int, int)
removeSelectionPath found in:
Class DefaultTreeSelectionModel.removeSelectionPath(javax.swing.tree.TreePath)
Class JTree.removeSelectionPath(javax.swing.tree.TreePath)
Interface TreeSelectionModel.removeSelectionPath(javax.swing.tree.TreePath)
removeSelectionPaths found in:
Class DefaultTreeSelectionModel.removeSelectionPaths(javax.swing.tree.TreePath[])
Class EmptySelectionModel.removeSelectionPaths(javax.swing.tree.TreePath[])
Class JTree.removeSelectionPaths(javax.swing.tree.TreePath[])
Interface TreeSelectionModel.removeSelectionPaths(javax.swing.tree.TreePath[])
removeStyle found in:
Class DefaultStyledDocument.removeStyle(java.lang.String)
Class JTextPane.removeStyle(java.lang.String)
Class StyleContext.removeStyle(java.lang.String)
Class StyleSheet.removeStyle(java.lang.String)
Interface StyledDocument.removeStyle(java.lang.String)
removeTableModelListener found in:
Class AbstractTableModel.removeTableModelListener(javax.swing.event.TableModelListener)
Interface TableModel.removeTableModelListener(javax.swing.event.TableModelListener)
removeTileObserver found in:
Class BufferedImage.removeTileObserver(java.awt.image.TileObserver)
Interface WritableRenderedImage.removeTileObserver(java.awt.image.TileObserver)
removeTreeModelListener found in:
Class DefaultTreeModel.removeTreeModelListener(javax.swing.event.TreeModelListener)
Interface TreeModel.removeTreeModelListener(javax.swing.event.TreeModelListener)
removeTreeSelectionListener found in:
Class DefaultTreeSelectionModel.removeTreeSelectionListener(javax.swing.event.TreeSelectionListener)
Class JTree.removeTreeSelectionListener(javax.swing.event.TreeSelectionListener)
Interface TreeSelectionModel.removeTreeSelectionListener(javax.swing.event.TreeSelectionListener)
removeUndoableEditListener found in:
Class AbstractDocument.removeUndoableEditListener(javax.swing.event.UndoableEditListener)
Class UndoableEditSupport.removeUndoableEditListener(javax.swing.event.UndoableEditListener)
Interface Document.removeUndoableEditListener(javax.swing.event.UndoableEditListener)
removeUpdate found in:
Class AbstractDocument.removeUpdate(javax.swing.text.AbstractDocument.DefaultDocumentEvent)
Class AccessibleJTextComponent.removeUpdate(javax.swing.event.DocumentEvent)
Class DefaultStyledDocument.removeUpdate(javax.swing.text.AbstractDocument.DefaultDocumentEvent)
Class ElementBuffer.removeUpdate()
Class FieldView.removeUpdate(javax.swing.event.DocumentEvent, java.awt.Shape, javax.swing.text.ViewFactory)
Class FlowStrategy.removeUpdate(javax.swing.text.FlowView, javax.swing.event.DocumentEvent, java.awt.Rectangle)
Class FlowView.removeUpdate(javax.swing.event.DocumentEvent, java.awt.Shape, javax.swing.text.ViewFactory)
Class GlyphView.removeUpdate(javax.swing.event.DocumentEvent, java.awt.Shape, javax.swing.text.ViewFactory)
Class PlainDocument.removeUpdate(javax.swing.text.AbstractDocument.DefaultDocumentEvent)
Class PlainView.removeUpdate(javax.swing.event.DocumentEvent, java.awt.Shape, javax.swing.text.ViewFactory)
Class View.removeUpdate(javax.swing.event.DocumentEvent, java.awt.Shape, javax.swing.text.ViewFactory)
Class WrappedPlainView.removeUpdate(javax.swing.event.DocumentEvent, java.awt.Shape, javax.swing.text.ViewFactory)
Class ZoneView.removeUpdate(javax.swing.event.DocumentEvent, java.awt.Shape, javax.swing.text.ViewFactory)
Interface DocumentListener.removeUpdate(javax.swing.event.DocumentEvent)
removeVetoableChangeListener found in:
Class BeanContextChildSupport.removeVetoableChangeListener(java.lang.String, java.beans.VetoableChangeListener)
Class JComponent.removeVetoableChangeListener(java.beans.VetoableChangeListener)
Class VetoableChangeSupport.removeVetoableChangeListener(java.beans.VetoableChangeListener)
Interface BeanContextChild.removeVetoableChangeListener(java.lang.String, java.beans.VetoableChangeListener)


rename found in:
Class InitialContext.rename(java.lang.String, java.lang.String)
Interface Context.rename(javax.naming.Name, javax.naming.Name)
render found in:
Class AbstractDocument.render(java.lang.Runnable)
Interface Document.render(java.lang.Runnable)


renderer found in:
Class DefaultTreeCellEditor.renderer
Class JComboBox.renderer
rendererPane found in:
Class BasicListUI.rendererPane
Class BasicTableHeaderUI.rendererPane
Class BasicTableUI.rendererPane
Class BasicTreeUI.rendererPane
Class MetalComboBoxButton.rendererPane


repaint found in:
Class Component.repaint()
Class DefaultCaret.repaint()
Class DefaultListCellRenderer.repaint(long, int, int, int, int)
Class DefaultTableCellRenderer.repaint(long, int, int, int, int)
Class DefaultTreeCellRenderer.repaint(long, int, int, int, int)
Class JComponent.repaint(long, int, int, int, int)
Class JViewport.repaint(long, int, int, int, int)


replace found in:
Class AsyncBoxView.replace(int, int, javax.swing.text.View[])
Class BoxView.replace(int, int, javax.swing.text.View[])
Class BranchElement.replace(int, int, javax.swing.text.Element[])
Class CompositeView.replace(int, int, javax.swing.text.View[])
Class GapContent.replace(int, int, java.lang.Object, int)
Class String.replace(char, char)
Class StringBuffer.replace(int, int, java.lang.String)
Class TableRow.replace(int, int, javax.swing.text.View[])
Class TableView.replace(int, int, javax.swing.text.View[])
Class View.replace(int, int, javax.swing.text.View[])
Frequently Asked Questions - RMI and Object Serialization
replaceEdit found in:
Class AbstractUndoableEdit.replaceEdit(javax.swing.undo.UndoableEdit)
Interface UndoableEdit.replaceEdit(javax.swing.undo.UndoableEdit)
replaceRange found in:
Class JTextArea.replaceRange(java.lang.String, int, int)
Class TextArea.replaceRange(java.lang.String, int, int)
replaceSelection found in:
Class JEditorPane.replaceSelection(java.lang.String)
Class JTextComponent.replaceSelection(java.lang.String)
Class JTextPane.replaceSelection(java.lang.String)


request found in:
Class Delegate.request(org.omg.CORBA.Object, java.lang.String)
Interface Event.request()


requestFocus found in:
Class AccessibleAWTComponent.requestFocus()
Class AccessibleAWTListChild.requestFocus()
Class AccessibleAWTMenuComponent.requestFocus()
Class AccessibleJListChild.requestFocus()
Class AccessibleJTableCell.requestFocus()
Class AccessibleJTableHeaderEntry.requestFocus()
Class AccessibleJTreeNode.requestFocus()
Class Component.requestFocus()
Class JCheckBoxMenuItem.requestFocus()
Class JComponent.requestFocus()
Class JRadioButtonMenuItem.requestFocus()
Class SystemMenuBar.requestFocus()
Interface AccessibleComponent.requestFocus()
requestTopDownLeftRightResend found in:
Class FilteredImageSource.requestTopDownLeftRightResend(java.awt.image.ImageConsumer)
Class MemoryImageSource.requestTopDownLeftRightResend(java.awt.image.ImageConsumer)
Class RenderableImageProducer.requestTopDownLeftRightResend(java.awt.image.ImageConsumer)
Interface ImageProducer.requestTopDownLeftRightResend(java.awt.image.ImageConsumer)


REQUIRED found in:
Class GraphicsConfigTemplate.REQUIRED
Interface DTDConstants.REQUIRED


Requirements found in:
Requirements
Versioning Specification


rescanCurrentDirectory found in:
Class BasicFileChooserUI.rescanCurrentDirectory(javax.swing.JFileChooser)
Class FileChooserUI.rescanCurrentDirectory(javax.swing.JFileChooser)
Class JFileChooser.rescanCurrentDirectory()
Class MetalFileChooserUI.rescanCurrentDirectory(javax.swing.JFileChooser)
Class MultiFileChooserUI.rescanCurrentDirectory(javax.swing.JFileChooser)


reset found in:
Class Adler32.reset()
Class Area.reset()
Class AudioInputStream.reset()
Class BufferedInputStream.reset()
Class BufferedReader.reset()
Class ByteArrayInputStream.reset()
Class ByteArrayOutputStream.reset()
Class CharArrayReader.reset()
Class CharArrayWriter.reset()
Class CollationElementIterator.reset()
Class CRC32.reset()
Class Deflater.reset()
Class FilterInputStream.reset()
Class FilterReader.reset()
Class GeneralPath.reset()
Class Inflater.reset()
Class InputStream.reset()
Class LineNumberInputStream.reset()
Class LineNumberReader.reset()
Class MessageDigest.reset()
Class ObjectOutputStream.reset()
Class ProgressMonitorInputStream.reset()
Class PushbackReader.reset()
Class Reader.reset()
Class StringBufferInputStream.reset()
Class StringReader.reset()
Interface Checksum.reset()


resetRowSelection found in:
Class DefaultTreeSelectionModel.resetRowSelection()
Interface TreeSelectionModel.resetRowSelection()
resetToPreferredSizes found in:
Class BasicHorizontalLayoutManager.resetToPreferredSizes()
Class BasicSplitPaneUI.resetToPreferredSizes(javax.swing.JSplitPane)
Class JSplitPane.resetToPreferredSizes()
Class MultiSplitPaneUI.resetToPreferredSizes(javax.swing.JSplitPane)
Class SplitPaneUI.resetToPreferredSizes(javax.swing.JSplitPane)
reshape found in:
Class Component.reshape(int, int, int, int)
Class JComponent.reshape(int, int, int, int)
Class JInternalFrame.reshape(int, int, int, int)
Class JViewport.reshape(int, int, int, int)
Class Rectangle.reshape(int, int, int, int)


resize found in:
Class Applet.resize(int, int)
Class Component.resize(int, int)
Class Rectangle.resize(int, int)
resizeAndRepaint found in:
Class JTable.resizeAndRepaint()
Class JTableHeader.resizeAndRepaint()
resizeFrame found in:
Class DefaultDesktopManager.resizeFrame(javax.swing.JComponent, int, int, int, int)
Interface DesktopManager.resizeFrame(javax.swing.JComponent, int, int, int, int)


resolution found in:
Class MidiFileFormat.resolution
Class Sequence.resolution
resolve found in:
Class _NamingContextStub.resolve(org.omg.CosNaming.NameComponent[])
Interface NamingContextOperations.resolve(org.omg.CosNaming.NameComponent[])


ResolveAttribute found in:
Class StyleConstants.ResolveAttribute
Interface AttributeSet.ResolveAttribute


resolveClass found in:
Class ClassLoader.resolveClass(java.lang.Class)
Class ObjectInputStream.resolveClass(java.io.ObjectStreamClass)
resolvedObj found in:
Class NamingException.resolvedObj
Class ResolveResult.resolvedObj


Resources found in:
Resources
RMI-IIOP Programmer's Guide


rest_of_name found in:
Class CannotProceed.rest_of_name
Class NotFound.rest_of_name


result found in:
Class Request.result()
Class ServerRequest.result(org.omg.CORBA.Any)


ResultSet found in:
Interface ResultSet
ResultSet


resume found in:
Class Thread.resume()
Class ThreadGroup.resume()
Interface EventSet.resume()
Interface ThreadGroupReference.resume()
Interface ThreadReference.resume()
Interface VirtualMachine.resume()


ResumeThread found in:
Java(tm) Virtual Machine Debug Interface Reference
The Java Virtual Machine Profiler Interface (JVMPI)


retainAll found in:
Class AbstractCollection.retainAll(java.util.Collection)
Class BeanContextSupport.retainAll(java.util.Collection)
Class Vector.retainAll(java.util.Collection)
Interface Collection.retainAll(java.util.Collection)
Interface List.retainAll(java.util.Collection)
Interface Set.retainAll(java.util.Collection)
returnType found in:
Interface Method.returnType()
Interface MethodDoc.returnType()


revalidate found in:
Class DefaultListCellRenderer.revalidate()
Class DefaultTableCellRenderer.revalidate()
Class DefaultTreeCellRenderer.revalidate()
Class JComponent.revalidate()


reverse found in:
Class Collections.reverse(java.util.List)
Class StringBuffer.reverse()


revokeService found in:
Class BeanContextServicesSupport.revokeService(java.lang.Class, java.beans.beancontext.BeanContextServiceProvider, boolean)
Interface BeanContextServices.revokeService(java.lang.Class, java.beans.beancontext.BeanContextServiceProvider, boolean)


right found in:
Class EmptyBorder.right
Class Insets.right


RIGHT found in:
Class Event.RIGHT
Class FlowLayout.RIGHT
Class JSplitPane.RIGHT
Class Label.RIGHT
Class TitledBorder.RIGHT
Interface SwingConstants.RIGHT


RightIndent found in:
Class ParagraphConstants.RightIndent
Class StyleConstants.RightIndent


rightKey found in:
Class BasicSplitPaneUI.rightKey
Class BasicTabbedPaneUI.rightKey
Class BasicToolBarUI.rightKey


rint found in:
Class Math.rint(double)
Class StrictMath.rint(double)
rmi found in:
CORBA and JavaTM technologies
New Features
SDK Development Tools


rmic found in:
New Features
RMI-IIOP Programmer's Guide
SDK Tools Changes
rmic - The Java RMI Stub Compiler found in:
rmic - The Java RMI Stub Compiler
rmic - The Java RMI Stub Compiler


rmid - The Java RMI Activation System Daemon found in:
rmid - The Java RMI Activation System Daemon
rmid - The Java RMI Activation System Daemon


rmiregistry - The Java Remote Object Registry found in:
rmiregistry - The Java Remote Object Registry
rmiregistry - The Java Remote Object Registry


robot found in:
Accessibility - New Features
AWT Enhancements
roll found in:
Class Calendar.roll(int, boolean)
Class GregorianCalendar.roll(int, boolean)


ROMAN_BASELINE found in:
Class Font.ROMAN_BASELINE
Class GraphicAttribute.ROMAN_BASELINE


rootnc found in:
Developing a Client Applet
Developing a Client Application
Developing the Hello World Server
rootPane found in:
Class JApplet.rootPane
Class JDialog.rootPane
Class JFrame.rootPane
Class JInternalFrame.rootPane
Class JWindow.rootPane
rootPaneCheckingEnabled found in:
Class JApplet.rootPaneCheckingEnabled
Class JDialog.rootPaneCheckingEnabled
Class JFrame.rootPaneCheckingEnabled
Class JInternalFrame.rootPaneCheckingEnabled
Class JWindow.rootPaneCheckingEnabled


rootVisible found in:
Class AbstractLayoutCache.rootVisible
Class JTree.rootVisible


rotate found in:
Class AffineTransform.rotate(double)
Class Graphics2D.rotate(double)
rotateTabRuns found in:
Class TabbedPaneLayout.rotateTabRuns(int, int)
Class TabbedPaneLayout.rotateTabRuns(int, int)
round found in:
Class Math.round(float)
Class StrictMath.round(float)


rowHeight found in:
Class AbstractLayoutCache.rowHeight
Class JTable.rowHeight
Class JTree.rowHeight


ROW_HEADER found in:
Class AccessibleRole.ROW_HEADER
Interface ScrollPaneConstants.ROW_HEADER


RSAPrivateCrtKeySpec found in:
Class RSAPrivateCrtKeySpec
How to Implement a Provider for the Java Cryptography Architecture
Java Cryptography Architecture
RSAPrivateKeySpec found in:
Class RSAPrivateKeySpec
How to Implement a Provider for the Java Cryptography Architecture
Java Cryptography Architecture
RSAPublicKeySpec found in:
Class RSAPublicKeySpec
How to Implement a Provider for the Java Cryptography Architecture
Java Cryptography Architecture


run found in:
Class ChildState.run()
Class ORB.run()
Class RenderableImageProducer.run()
Class Thread.run()
Class TimerTask.run()
Developing a Client Applet
Interface PrivilegedAction.run()
Interface PrivilegedExceptionAction.run()
Interface Runnable.run()
Using Stringified Object References


runFinalization found in:
Class Runtime.runFinalization()
Class System.runFinalization()
runFinalizersOnExit found in:
Class Runtime.runFinalizersOnExit(boolean)
Class System.runFinalizersOnExit(boolean)


running found in:
Developing a Client Application
Developing the Hello World Server
Doclet Overview


RuntimePermission found in:
Class RuntimePermission
Permissions in the Java(TM) 2 SDK


S-Index found in:
S-Index
S-Index


sameFile found in:
Class URL.sameFile(java.net.URL)
Class URLStreamHandler.sameFile(java.net.URL, java.net.URL)


Sample Code found in:
Input Method Client API Tutorial
Input Method Engine SPI Tutorial


save found in:
Class AWTEventMulticaster.save(java.io.ObjectOutputStream, java.lang.String, java.util.EventListener)
Class Properties.save(java.io.OutputStream, java.lang.String)


SaveFile found in:
Policy Tool - Policy File Creation and Management Tool
Policy Tool - Policy File Creation and Management Tool


scale found in:
Class AffineTransform.scale(double, double)
Class BigDecimal.scale()
Class Graphics2D.scale(double, double)


SCHEMA found in:
Guidelines for LDAP Service Providers
JNDI/LDAP Service Provider


scrollbar found in:
Class BasicScrollBarUI.scrollbar
Class SystemColor.scrollbar


scrollByBlock found in:
Class BasicScrollBarUI.scrollByBlock(int)
Class BasicSliderUI.scrollByBlock(int)
scrollByUnit found in:
Class BasicScrollBarUI.scrollByUnit(int)
Class BasicSliderUI.scrollByUnit(int)
scrollDueToClickInTrack found in:
Class BasicSliderUI.scrollDueToClickInTrack(int)
Class MetalSliderUI.scrollDueToClickInTrack(int)


scrollListener found in:
Class BasicScrollBarUI.scrollListener
Class BasicSliderUI.scrollListener


ScrollListener found in:
Class ScrollListener
Class ScrollListener


scrollRectToVisible found in:
Class JComponent.scrollRectToVisible(java.awt.Rectangle)
Class JTextField.scrollRectToVisible(java.awt.Rectangle)
Class JViewport.scrollRectToVisible(java.awt.Rectangle)


scrollTimer found in:
Class BasicScrollBarUI.scrollTimer
Class BasicSliderUI.scrollTimer


search found in:
Class InitialDirContext.search(java.lang.String, javax.naming.directory.Attributes)
Class Stack.search(java.lang.Object)
Interface DirContext.search(javax.naming.Name, javax.naming.directory.Attributes, java.lang.String[])


searching found in:
javac - Java programming language compiler
javac - Java programming language compiler
searchpaths found in:
Command Line Changes
Command Line Changes


SEC found in:
JNDI/COS Naming Service Provider
JNDI/LDAP Service Provider
JNDI/RMI Registry Service Provider


SecureRandom found in:
Class SecureRandom
Java Cryptography Architecture


security found in:
New Features
SDK Development Tools
The Extension Mechanism


Security found in:
Class Security
Java Cryptography Architecture
Security
Security
SecurityPermission found in:
Class SecurityPermission
Permissions in the Java(TM) 2 SDK


seealso found in:
java - the Java application launcher
java - the Java application launcher
java - the Java application launcher
javac - Java programming language compiler
javac - Java programming language compiler
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
javald - the wrapper creator for java applications
jdb - The Java Debugger
jdb - The Java Debugger
oldjdb - The Old Java Debugger


SeeAlso found in:
Policy Tool - Policy File Creation and Management Tool
Policy Tool - Policy File Creation and Management Tool


seeexamples found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
seek found in:
Class RandomAccessFile.seek(long)
Interface DynAny.seek(int)
seesearchorder found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


select found in:
Class Choice.select(int)
Class JTextComponent.select(int, int)
Class List.select(int)
Class TextComponent.select(int, int)


selectAll found in:
Class BasicComboBoxEditor.selectAll()
Class JTable.selectAll()
Class JTextComponent.selectAll()
Class TextComponent.selectAll()
Interface ComboBoxEditor.selectAll()
selectAllAccessibleSelection found in:
Class AccessibleAWTList.selectAllAccessibleSelection()
Class AccessibleAWTMenuComponent.selectAllAccessibleSelection()
Class AccessibleJComboBox.selectAllAccessibleSelection()
Class AccessibleJList.selectAllAccessibleSelection()
Class AccessibleJMenu.selectAllAccessibleSelection()
Class AccessibleJMenuBar.selectAllAccessibleSelection()
Class AccessibleJTabbedPane.selectAllAccessibleSelection()
Class AccessibleJTable.selectAllAccessibleSelection()
Class AccessibleJTree.selectAllAccessibleSelection()
Class AccessibleJTreeNode.selectAllAccessibleSelection()
Interface AccessibleSelection.selectAllAccessibleSelection()
selectColor found in:
Class MetalButtonUI.selectColor
Class MetalRadioButtonUI.selectColor
Class MetalTabbedPaneUI.selectColor
Class MetalToggleButtonUI.selectColor


SELECTED found in:
Class AccessibleState.SELECTED
Class Attribute.SELECTED
Class DefaultButtonModel.SELECTED
Class ItemEvent.SELECTED


Selecting Input Methods found in:
Input Method Client API Tutorial
Input Method Framework Specification


selectInitialValue found in:
Class BasicOptionPaneUI.selectInitialValue(javax.swing.JOptionPane)
Class JOptionPane.selectInitialValue()
Class MultiOptionPaneUI.selectInitialValue(javax.swing.JOptionPane)
Class OptionPaneUI.selectInitialValue(javax.swing.JOptionPane)


selectionBackground found in:
Class BasicMenuItemUI.selectionBackground
Class JTable.selectionBackground
selectionForeground found in:
Class BasicMenuItemUI.selectionForeground
Class JTable.selectionForeground


selectionModel found in:
Class DefaultTableColumnModel.selectionModel
Class JTable.selectionModel
Class JTree.selectionModel


SELECTION_MODEL_PROPERTY found in:
Class JColorChooser.SELECTION_MODEL_PROPERTY
Class JTree.SELECTION_MODEL_PROPERTY


selectNextPossibleValue found in:
Class BasicComboBoxUI.selectNextPossibleValue()
Class MetalComboBoxUI.selectNextPossibleValue()
selectPreviousPossibleValue found in:
Class BasicComboBoxUI.selectPreviousPossibleValue()
Class MetalComboBoxUI.selectPreviousPossibleValue()
selfcertCmd found in:
keytool-Key and Certificate Management Tool
keytool-Key and Certificate Management Tool
send found in:
Class DatagramSocket.send(java.net.DatagramPacket)
Class DatagramSocketImpl.send(java.net.DatagramPacket)
Class MulticastSocket.send(java.net.DatagramPacket, byte)
Interface Receiver.send(javax.sound.midi.MidiMessage, long)


separating found in:
javac - Java programming language compiler
javac - Java programming language compiler


Separator found in:
Class Separator
Class Separator


separator found in:
Class File.separator
Guidelines for LDAP Service Providers


SerializablePermission found in:
Class SerializablePermission
Permissions in the Java(TM) 2 SDK


Serialization, Evolution, and the Addition of a New SuperClass found in:
Serialization, Evolution, and the Addition of a New SuperClass
Serialization, Evolution, and the Addition of a New SuperClass
Serialization, Evolution, and the Addition of a New SuperClass


serialized-form.html found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
serialver - The Serial Version Command found in:
serialver - The Serial Version Command
serialver - The Serial Version Command
serialver - The Serial Version Command
serialVersionUID found in:
Interface Attribute.serialVersionUID
Interface DSAPrivateKey.serialVersionUID
Interface DSAPublicKey.serialVersionUID
Interface Key.serialVersionUID
Interface PrivateKey.serialVersionUID
Interface PublicKey.serialVersionUID
Interface RemoteRef.serialVersionUID
Interface ServerRef.serialVersionUID
serialwarn found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
servant found in:
Class ServantObject.servant
Developing the Hello World Server


server found in:
Distributed Application Concepts
Example 2
Example 3
Example 4
Glossary
Java HotSpot(TM) Client and Server Virtual Machines
The "Hello World" Example


ServerSocket found in:
Class ServerSocket
Extending Sockets in JDK 1.1


serviceAvailable found in:
Class BeanContextChildSupport.serviceAvailable(java.beans.beancontext.BeanContextServiceAvailableEvent)
Class BeanContextServicesSupport.serviceAvailable(java.beans.beancontext.BeanContextServiceAvailableEvent)
Interface BeanContextServicesListener.serviceAvailable(java.beans.beancontext.BeanContextServiceAvailableEvent)
serviceClass found in:
Class BeanContextServiceAvailableEvent.serviceClass
Class BeanContextServiceRevokedEvent.serviceClass


serviceRevoked found in:
Class BCSSProxyServiceProvider.serviceRevoked(java.beans.beancontext.BeanContextServiceRevokedEvent)
Class BeanContextChildSupport.serviceRevoked(java.beans.beancontext.BeanContextServiceRevokedEvent)
Class BeanContextServicesSupport.serviceRevoked(java.beans.beancontext.BeanContextServiceRevokedEvent)
Interface BeanContextServiceRevokedListener.serviceRevoked(java.beans.beancontext.BeanContextServiceRevokedEvent)


set found in:
Class AbstractList.set(int, java.lang.Object)
Class AbstractSequentialList.set(int, java.lang.Object)
Class Array.set(java.lang.Object, int, java.lang.Object)
Class ArrayList.set(int, java.lang.Object)
Class BasicAttribute.set(int, java.lang.Object)
Class BitSet.set(int)
Class Calendar.set(int, int)
Class DefaultListModel.set(int, java.lang.Object)
Class Field.set(java.lang.Object, java.lang.Object)
Class InheritableThreadLocal.set(java.lang.Object)
Class JobAttributes.set(java.awt.JobAttributes)
Class LinkedList.set(int, java.lang.Object)
Class PageAttributes.set(java.awt.PageAttributes)
Class ParameterBlock.set(java.lang.Object, int)
Class ThreadLocal.set(java.lang.Object)
Class URL.set(java.lang.String, java.lang.String, int, java.lang.String, java.lang.String)
Class Vector.set(int, java.lang.Object)
Interface Attribute.set(int, java.lang.Object)
Interface List.set(int, java.lang.Object)
Interface ListIterator.set(java.lang.Object)
setAccelerator found in:
Class JMenu.setAccelerator(javax.swing.KeyStroke)
Class JMenuItem.setAccelerator(javax.swing.KeyStroke)
setAccessibleCaption found in:
Class AccessibleJTable.setAccessibleCaption(javax.accessibility.Accessible)
Interface AccessibleTable.setAccessibleCaption(javax.accessibility.Accessible)
setAccessibleColumnDescription found in:
Class AccessibleJTable.setAccessibleColumnDescription(int, javax.accessibility.Accessible)
Interface AccessibleTable.setAccessibleColumnDescription(int, javax.accessibility.Accessible)
setAccessibleColumnHeader found in:
Class AccessibleJTable.setAccessibleColumnHeader(javax.accessibility.AccessibleTable)
Interface AccessibleTable.setAccessibleColumnHeader(javax.accessibility.AccessibleTable)
setAccessibleDescription found in:
Class AccessibleContext.setAccessibleDescription(java.lang.String)
Class AccessibleJListChild.setAccessibleDescription(java.lang.String)
Class AccessibleJTableCell.setAccessibleDescription(java.lang.String)
Class AccessibleJTableHeaderEntry.setAccessibleDescription(java.lang.String)
Class AccessibleJTreeNode.setAccessibleDescription(java.lang.String)
setAccessibleIconDescription found in:
Class AccessibleImageIcon.setAccessibleIconDescription(java.lang.String)
Interface AccessibleIcon.setAccessibleIconDescription(java.lang.String)
setAccessibleName found in:
Class AccessibleContext.setAccessibleName(java.lang.String)
Class AccessibleJListChild.setAccessibleName(java.lang.String)
Class AccessibleJTableCell.setAccessibleName(java.lang.String)
Class AccessibleJTableHeaderEntry.setAccessibleName(java.lang.String)
Class AccessibleJTreeNode.setAccessibleName(java.lang.String)
setAccessibleRowDescription found in:
Class AccessibleJTable.setAccessibleRowDescription(int, javax.accessibility.Accessible)
Interface AccessibleTable.setAccessibleRowDescription(int, javax.accessibility.Accessible)
setAccessibleRowHeader found in:
Class AccessibleJTable.setAccessibleRowHeader(javax.accessibility.AccessibleTable)
Interface AccessibleTable.setAccessibleRowHeader(javax.accessibility.AccessibleTable)
setAccessibleSummary found in:
Class AccessibleJTable.setAccessibleSummary(javax.accessibility.Accessible)
Interface AccessibleTable.setAccessibleSummary(javax.accessibility.Accessible)
setAction found in:
Class AbstractButton.setAction(javax.swing.Action)
Class JComboBox.setAction(javax.swing.Action)
Class JTextField.setAction(javax.swing.Action)
setActionCommand found in:
Class AbstractButton.setActionCommand(java.lang.String)
Class Button.setActionCommand(java.lang.String)
Class DefaultButtonModel.setActionCommand(java.lang.String)
Class JComboBox.setActionCommand(java.lang.String)
Class JTextField.setActionCommand(java.lang.String)
Class MenuItem.setActionCommand(java.lang.String)
Interface ButtonModel.setActionCommand(java.lang.String)
setAlignment found in:
Class FlowLayout.setAlignment(int)
Class Label.setAlignment(int)
Class StyleConstants.setAlignment(javax.swing.text.MutableAttributeSet, int)


setAnchorSelectionIndex found in:
Class DefaultListSelectionModel.setAnchorSelectionIndex(int)
Interface ListSelectionModel.setAnchorSelectionIndex(int)
setAngleExtent found in:
Class Arc2D.setAngleExtent(double)
Class Double.setAngleExtent(double)
Class Float.setAngleExtent(double)
setAngleStart found in:
Class Arc2D.setAngleStart(double)
Class Double.setAngleStart(double)
Class Float.setAngleStart(double)
setArc found in:
Class Arc2D.setArc(double, double, double, double, double, double, int)
Class Double.setArc(double, double, double, double, double, double, int)
Class Float.setArc(double, double, double, double, double, double, int)
setArmed found in:
Class DefaultButtonModel.setArmed(boolean)
Class JMenuItem.setArmed(boolean)
Interface ButtonModel.setArmed(boolean)
setAsText found in:
Class PropertyEditorSupport.setAsText(java.lang.String)
Interface PropertyEditor.setAsText(java.lang.String)
setBackground found in:
Class AccessibleAWTComponent.setBackground(java.awt.Color)
Class AccessibleAWTListChild.setBackground(java.awt.Color)
Class AccessibleAWTMenuComponent.setBackground(java.awt.Color)
Class AccessibleJListChild.setBackground(java.awt.Color)
Class AccessibleJTableCell.setBackground(java.awt.Color)
Class AccessibleJTableHeaderEntry.setBackground(java.awt.Color)
Class AccessibleJTreeNode.setBackground(java.awt.Color)
Class Component.setBackground(java.awt.Color)
Class DefaultTableCellRenderer.setBackground(java.awt.Color)
Class DefaultTreeCellRenderer.setBackground(java.awt.Color)
Class Graphics2D.setBackground(java.awt.Color)
Class JComponent.setBackground(java.awt.Color)
Class StyleConstants.setBackground(javax.swing.text.MutableAttributeSet, java.awt.Color)
Class TextComponent.setBackground(java.awt.Color)
Interface AccessibleComponent.setBackground(java.awt.Color)
setBase found in:
Class HTMLDocument.setBase(java.net.URL)
Class StyleSheet.setBase(java.net.URL)
setBeanContext found in:
Class BeanContextChildSupport.setBeanContext(java.beans.beancontext.BeanContext)
Interface BeanContextChild.setBeanContext(java.beans.beancontext.BeanContext)
setBlinkRate found in:
Class DefaultCaret.setBlinkRate(int)
Interface Caret.setBlinkRate(int)
setBlockIncrement found in:
Class JScrollBar.setBlockIncrement(int)
Class Scrollbar.setBlockIncrement(int)
Class ScrollBar.setBlockIncrement(int)
Interface Adjustable.setBlockIncrement(int)
setBoolean found in:
Class Array.setBoolean(java.lang.Object, int, boolean)
Class Field.setBoolean(java.lang.Object, boolean)
Interface PreparedStatement.setBoolean(int, boolean)
setBorder found in:
Class BasicSplitPaneDivider.setBorder(javax.swing.border.Border)
Class JComponent.setBorder(javax.swing.border.Border)
Class JViewport.setBorder(javax.swing.border.Border)
Class TitledBorder.setBorder(javax.swing.border.Border)
setBorderPainted found in:
Class AbstractButton.setBorderPainted(boolean)
Class JMenuBar.setBorderPainted(boolean)
Class JPopupMenu.setBorderPainted(boolean)
Class JProgressBar.setBorderPainted(boolean)
Class JToolBar.setBorderPainted(boolean)
setBorderSelectionColor found in:
Class DefaultTreeCellEditor.setBorderSelectionColor(java.awt.Color)
Class DefaultTreeCellRenderer.setBorderSelectionColor(java.awt.Color)
setBounds found in:
Class AccessibleAWTComponent.setBounds(java.awt.Rectangle)
Class AccessibleAWTListChild.setBounds(java.awt.Rectangle)
Class AccessibleAWTMenuComponent.setBounds(java.awt.Rectangle)
Class AccessibleJListChild.setBounds(java.awt.Rectangle)
Class AccessibleJTableCell.setBounds(java.awt.Rectangle)
Class AccessibleJTableHeaderEntry.setBounds(java.awt.Rectangle)
Class AccessibleJTreeNode.setBounds(java.awt.Rectangle)
Class Component.setBounds(int, int, int, int)
Class Rectangle.setBounds(java.awt.Rectangle)
Interface AccessibleComponent.setBounds(java.awt.Rectangle)
setBoundsForFrame found in:
Class DefaultDesktopManager.setBoundsForFrame(javax.swing.JComponent, int, int, int, int)
Interface DesktopManager.setBoundsForFrame(javax.swing.JComponent, int, int, int, int)


setByte found in:
Class Array.setByte(java.lang.Object, int, byte)
Class Field.setByte(java.lang.Object, byte)
Interface PreparedStatement.setByte(int, byte)
setCaretPosition found in:
Class JTextComponent.setCaretPosition(int)
Class TextComponent.setCaretPosition(int)
setCellEditor found in:
Class BasicTreeUI.setCellEditor(javax.swing.tree.TreeCellEditor)
Class JTable.setCellEditor(javax.swing.table.TableCellEditor)
Class JTree.setCellEditor(javax.swing.tree.TreeCellEditor)
Class TableColumn.setCellEditor(javax.swing.table.TableCellEditor)
setCellRenderer found in:
Class BasicTreeUI.setCellRenderer(javax.swing.tree.TreeCellRenderer)
Class JList.setCellRenderer(javax.swing.ListCellRenderer)
Class JTree.setCellRenderer(javax.swing.tree.TreeCellRenderer)
Class TableColumn.setCellRenderer(javax.swing.table.TableCellRenderer)
setChar found in:
Class Array.setChar(java.lang.Object, int, char)
Class Field.setChar(java.lang.Object, char)
setCharacterAttributes found in:
Class DefaultStyledDocument.setCharacterAttributes(int, int, javax.swing.text.AttributeSet, boolean)
Class JTextPane.setCharacterAttributes(javax.swing.text.AttributeSet, boolean)
Class StyledTextAction.setCharacterAttributes(javax.swing.JEditorPane, javax.swing.text.AttributeSet, boolean)
Interface StyledDocument.setCharacterAttributes(int, int, javax.swing.text.AttributeSet, boolean)
setCharacterSubsets found in:
Class InputContext.setCharacterSubsets(java.lang.Character.Subset[])
Interface InputMethod.setCharacterSubsets(java.lang.Character.Subset[])
setClip found in:
Class DebugGraphics.setClip(int, int, int, int)
Class Graphics.setClip(int, int, int, int)
setColor found in:
Class DebugGraphics.setColor(java.awt.Color)
Class Graphics.setColor(java.awt.Color)
Class JColorChooser.setColor(java.awt.Color)
Class PageAttributes.setColor(java.awt.PageAttributes.ColorType)
setColorModel found in:
Class BufferedImageFilter.setColorModel(java.awt.image.ColorModel)
Class ImageFilter.setColorModel(java.awt.image.ColorModel)
Class PixelGrabber.setColorModel(java.awt.image.ColorModel)
Class RGBImageFilter.setColorModel(java.awt.image.ColorModel)
Interface ImageConsumer.setColorModel(java.awt.image.ColorModel)
setColumnMargin found in:
Class DefaultTableColumnModel.setColumnMargin(int)
Interface TableColumnModel.setColumnMargin(int)
setColumnModel found in:
Class JTable.setColumnModel(javax.swing.table.TableColumnModel)
Class JTableHeader.setColumnModel(javax.swing.table.TableColumnModel)
setColumns found in:
Class GridLayout.setColumns(int)
Class JTextArea.setColumns(int)
Class JTextField.setColumns(int)
Class TextArea.setColumns(int)
Class TextField.setColumns(int)
setColumnSelectionAllowed found in:
Class DefaultTableColumnModel.setColumnSelectionAllowed(boolean)
Class JTable.setColumnSelectionAllowed(boolean)
Interface TableColumnModel.setColumnSelectionAllowed(boolean)
setComment found in:
Class ZipEntry.setComment(java.lang.String)
Class ZipOutputStream.setComment(java.lang.String)
setComponent found in:
Class DragGestureRecognizer.setComponent(java.awt.Component)
Class DropTarget.setComponent(java.awt.Component)
Class JToolTip.setComponent(javax.swing.JComponent)
Class StyleConstants.setComponent(javax.swing.text.MutableAttributeSet, java.awt.Component)
setComponentOrientation found in:
Class Component.setComponentOrientation(java.awt.ComponentOrientation)
Class JScrollPane.setComponentOrientation(java.awt.ComponentOrientation)
setCompositionEnabled found in:
Class InputContext.setCompositionEnabled(boolean)
Interface InputMethod.setCompositionEnabled(boolean)
setContentPane found in:
Class JApplet.setContentPane(java.awt.Container)
Class JDialog.setContentPane(java.awt.Container)
Class JFrame.setContentPane(java.awt.Container)
Class JInternalFrame.setContentPane(java.awt.Container)
Class JRootPane.setContentPane(java.awt.Container)
Class JWindow.setContentPane(java.awt.Container)
Interface RootPaneContainer.setContentPane(java.awt.Container)
setContinuousLayout found in:
Class BasicSplitPaneUI.setContinuousLayout(boolean)
Class JSplitPane.setContinuousLayout(boolean)
setCopies found in:
Class JobAttributes.setCopies(int)
Class PrinterJob.setCopies(int)
setCurrentAccessibleValue found in:
Class AccessibleAbstractButton.setCurrentAccessibleValue(java.lang.Number)
Class AccessibleAWTButton.setCurrentAccessibleValue(java.lang.Number)
Class AccessibleAWTCheckbox.setCurrentAccessibleValue(java.lang.Number)
Class AccessibleAWTCheckboxMenuItem.setCurrentAccessibleValue(java.lang.Number)
Class AccessibleAWTMenuItem.setCurrentAccessibleValue(java.lang.Number)
Class AccessibleAWTScrollBar.setCurrentAccessibleValue(java.lang.Number)
Class AccessibleJDesktopIcon.setCurrentAccessibleValue(java.lang.Number)
Class AccessibleJInternalFrame.setCurrentAccessibleValue(java.lang.Number)
Class AccessibleJProgressBar.setCurrentAccessibleValue(java.lang.Number)
Class AccessibleJScrollBar.setCurrentAccessibleValue(java.lang.Number)
Class AccessibleJSlider.setCurrentAccessibleValue(java.lang.Number)
Class AccessibleJSplitPane.setCurrentAccessibleValue(java.lang.Number)
Interface AccessibleValue.setCurrentAccessibleValue(java.lang.Number)
setCurrentManager found in:
Class FocusManager.setCurrentManager(javax.swing.FocusManager)
Class RepaintManager.setCurrentManager(javax.swing.RepaintManager)
setCursor found in:
Class AccessibleAWTComponent.setCursor(java.awt.Cursor)
Class AccessibleAWTListChild.setCursor(java.awt.Cursor)
Class AccessibleAWTMenuComponent.setCursor(java.awt.Cursor)
Class AccessibleJListChild.setCursor(java.awt.Cursor)
Class AccessibleJTableCell.setCursor(java.awt.Cursor)
Class AccessibleJTableHeaderEntry.setCursor(java.awt.Cursor)
Class AccessibleJTreeNode.setCursor(java.awt.Cursor)
Class Component.setCursor(java.awt.Cursor)
Class DragSourceContext.setCursor(java.awt.Cursor)
Class Frame.setCursor(int)
Class Window.setCursor(java.awt.Cursor)
Interface AccessibleComponent.setCursor(java.awt.Cursor)
setCurve found in:
Class CubicCurve2D.setCurve(double, double, double, double, double, double, double, double)
Class Double.setCurve(double, double, double, double, double, double)
Class Double.setCurve(double, double, double, double, double, double, double, double)
Class Float.setCurve(double, double, double, double, double, double)
Class Float.setCurve(double, double, double, double, double, double, double, double)
Class QuadCurve2D.setCurve(double, double, double, double, double, double)
setDaemon found in:
Class Thread.setDaemon(boolean)
Class ThreadGroup.setDaemon(boolean)
setData found in:
Class BufferedImage.setData(java.awt.image.Raster)
Class DatagramPacket.setData(byte[], int, int)
Class ICC_Profile.setData(int, byte[])
Interface WritableRenderedImage.setData(java.awt.image.Raster)
setDataElements found in:
Class BandedSampleModel.setDataElements(int, int, java.lang.Object, java.awt.image.DataBuffer)
Class ComponentSampleModel.setDataElements(int, int, java.lang.Object, java.awt.image.DataBuffer)
Class MultiPixelPackedSampleModel.setDataElements(int, int, java.lang.Object, java.awt.image.DataBuffer)
Class SampleModel.setDataElements(int, int, java.lang.Object, java.awt.image.DataBuffer)
Class SinglePixelPackedSampleModel.setDataElements(int, int, java.lang.Object, java.awt.image.DataBuffer)
Class WritableRaster.setDataElements(int, int, java.lang.Object)
setDate found in:
Class Date.setDate(int)
Class Time.setDate(int)
Interface PreparedStatement.setDate(int, java.sql.Date)
setDefault found in:
Class Authenticator.setDefault(java.net.Authenticator)
Class Locale.setDefault(java.util.Locale)
Class TimeZone.setDefault(java.util.TimeZone)
setDefaultCloseOperation found in:
Class JDialog.setDefaultCloseOperation(int)
Class JFrame.setDefaultCloseOperation(int)
Class JInternalFrame.setDefaultCloseOperation(int)
setDefaultRenderer found in:
Class JTable.setDefaultRenderer(java.lang.Class, javax.swing.table.TableCellRenderer)
Class JTableHeader.setDefaultRenderer(javax.swing.table.TableCellRenderer)
setDelay found in:
Class JMenu.setDelay(int)
Class Timer.setDelay(int)
setDesignTime found in:
Class BeanContextSupport.setDesignTime(boolean)
Class Beans.setDesignTime(boolean)
Interface DesignMode.setDesignTime(boolean)
setDictionary found in:
Class Deflater.setDictionary(byte[], int, int)
Class Inflater.setDictionary(byte[], int, int)
setDimensions found in:
Class BufferedImageFilter.setDimensions(int, int)
Class CropImageFilter.setDimensions(int, int)
Class ImageFilter.setDimensions(int, int)
Class PixelGrabber.setDimensions(int, int)
Class ReplicateScaleFilter.setDimensions(int, int)
Interface ImageConsumer.setDimensions(int, int)
setDirection found in:
Class BasicArrowButton.setDirection(int)
Class ElementSpec.setDirection(short)
Class ScrollListener.setDirection(int)
Class ScrollListener.setDirection(int)
setDirectoryName found in:
Class BasicFileChooserUI.setDirectoryName(java.lang.String)
Class MetalFileChooserUI.setDirectoryName(java.lang.String)
setDisabledIcon found in:
Class AbstractButton.setDisabledIcon(javax.swing.Icon)
Class JLabel.setDisabledIcon(javax.swing.Icon)
setDividerLocation found in:
Class BasicSplitPaneUI.setDividerLocation(javax.swing.JSplitPane, int)
Class JSplitPane.setDividerLocation(double)
Class MultiSplitPaneUI.setDividerLocation(javax.swing.JSplitPane, int)
Class SplitPaneUI.setDividerLocation(javax.swing.JSplitPane, int)
setDividerSize found in:
Class BasicSplitPaneDivider.setDividerSize(int)
Class JSplitPane.setDividerSize(int)
setDocument found in:
Class JTextComponent.setDocument(javax.swing.text.Document)
Class JTextPane.setDocument(javax.swing.text.Document)
setDot found in:
Class DefaultCaret.setDot(int)
Interface Caret.setDot(int)
setDouble found in:
Class Array.setDouble(java.lang.Object, int, double)
Class Field.setDouble(java.lang.Object, double)
Interface PreparedStatement.setDouble(int, double)
setEchoChar found in:
Class JPasswordField.setEchoChar(char)
Class TextField.setEchoChar(char)
setEditable found in:
Class BasicTreeUI.setEditable(boolean)
Class JComboBox.setEditable(boolean)
Class JTextComponent.setEditable(boolean)
Class JTree.setEditable(boolean)
Class TextComponent.setEditable(boolean)
setEditorKit found in:
Class JEditorPane.setEditorKit(javax.swing.text.EditorKit)
Class JTextPane.setEditorKit(javax.swing.text.EditorKit)
setElem found in:
Class DataBuffer.setElem(int, int)
Class DataBufferByte.setElem(int, int)
Class DataBufferInt.setElem(int, int)
Class DataBufferShort.setElem(int, int)
Class DataBufferUShort.setElem(int, int)
setElementAt found in:
Class DefaultListModel.setElementAt(java.lang.Object, int)
Class Vector.setElementAt(java.lang.Object, int)
setEnabled found in:
Class AbstractAction.setEnabled(boolean)
Class AbstractButton.setEnabled(boolean)
Class AccessibleAWTComponent.setEnabled(boolean)
Class AccessibleAWTListChild.setEnabled(boolean)
Class AccessibleAWTMenuComponent.setEnabled(boolean)
Class AccessibleJListChild.setEnabled(boolean)
Class AccessibleJTableCell.setEnabled(boolean)
Class AccessibleJTableHeaderEntry.setEnabled(boolean)
Class AccessibleJTreeNode.setEnabled(boolean)
Class Component.setEnabled(boolean)
Class DefaultButtonModel.setEnabled(boolean)
Class JComboBox.setEnabled(boolean)
Class JComponent.setEnabled(boolean)
Class JMenuItem.setEnabled(boolean)
Class JScrollBar.setEnabled(boolean)
Class MenuItem.setEnabled(boolean)
Class ToolTipManager.setEnabled(boolean)
Interface AccessibleComponent.setEnabled(boolean)
Interface Action.setEnabled(boolean)
Interface ButtonModel.setEnabled(boolean)
Interface EventRequest.setEnabled(boolean)
setError found in:
Class PrintStream.setError()
Class PrintWriter.setError()


setExpandedState found in:
Class AbstractLayoutCache.setExpandedState(javax.swing.tree.TreePath, boolean)
Class FixedHeightLayoutCache.setExpandedState(javax.swing.tree.TreePath, boolean)
Class JTree.setExpandedState(javax.swing.tree.TreePath, boolean)
Class VariableHeightLayoutCache.setExpandedState(javax.swing.tree.TreePath, boolean)
setExtent found in:
Class DefaultBoundedRangeModel.setExtent(int)
Class JSlider.setExtent(int)
Interface BoundedRangeModel.setExtent(int)
setFetchDirection found in:
Interface ResultSet.setFetchDirection(int)
Interface Statement.setFetchDirection(int)
setFetchSize found in:
Interface ResultSet.setFetchSize(int)
Interface Statement.setFetchSize(int)


setFileName found in:
Class BasicFileChooserUI.setFileName(java.lang.String)
Class JobAttributes.setFileName(java.lang.String)
Class MetalFileChooserUI.setFileName(java.lang.String)
setFirstLineIndent found in:
Class ParagraphView.setFirstLineIndent(float)
Class StyleConstants.setFirstLineIndent(javax.swing.text.MutableAttributeSet, float)
setFloat found in:
Class Array.setFloat(java.lang.Object, int, float)
Class Field.setFloat(java.lang.Object, float)
Interface PreparedStatement.setFloat(int, float)
setFont found in:
Class AccessibleAWTComponent.setFont(java.awt.Font)
Class AccessibleAWTListChild.setFont(java.awt.Font)
Class AccessibleAWTMenuComponent.setFont(java.awt.Font)
Class AccessibleJListChild.setFont(java.awt.Font)
Class AccessibleJTableCell.setFont(java.awt.Font)
Class AccessibleJTableHeaderEntry.setFont(java.awt.Font)
Class AccessibleJTreeNode.setFont(java.awt.Font)
Class Component.setFont(java.awt.Font)
Class Container.setFont(java.awt.Font)
Class DebugGraphics.setFont(java.awt.Font)
Class DefaultTreeCellEditor.setFont(java.awt.Font)
Class DefaultTreeCellRenderer.setFont(java.awt.Font)
Class Graphics.setFont(java.awt.Font)
Class JComponent.setFont(java.awt.Font)
Class JTextArea.setFont(java.awt.Font)
Class JTextField.setFont(java.awt.Font)
Class MenuComponent.setFont(java.awt.Font)
Interface AccessibleComponent.setFont(java.awt.Font)
setFontSize found in:
Class ActiveClient.setFontSize(int)
Class LWTextComponent.setFontSize(int)
Class StyleConstants.setFontSize(javax.swing.text.MutableAttributeSet, int)
setForeground found in:
Class AccessibleAWTComponent.setForeground(java.awt.Color)
Class AccessibleAWTListChild.setForeground(java.awt.Color)
Class AccessibleAWTMenuComponent.setForeground(java.awt.Color)
Class AccessibleJListChild.setForeground(java.awt.Color)
Class AccessibleJTableCell.setForeground(java.awt.Color)
Class AccessibleJTableHeaderEntry.setForeground(java.awt.Color)
Class AccessibleJTreeNode.setForeground(java.awt.Color)
Class Component.setForeground(java.awt.Color)
Class DefaultTableCellRenderer.setForeground(java.awt.Color)
Class JComponent.setForeground(java.awt.Color)
Class StyleConstants.setForeground(javax.swing.text.MutableAttributeSet, java.awt.Color)
Interface AccessibleComponent.setForeground(java.awt.Color)
setFrame found in:
Class Arc2D.setFrame(double, double, double, double)
Class Double.setFrame(double, double, double, double)
Class Float.setFrame(float, float, float, float)
Class Rectangle2D.setFrame(double, double, double, double)
Class RectangularShape.setFrame(double, double, double, double)
Class RoundRectangle2D.setFrame(double, double, double, double)
setGlassPane found in:
Class JApplet.setGlassPane(java.awt.Component)
Class JDialog.setGlassPane(java.awt.Component)
Class JFrame.setGlassPane(java.awt.Component)
Class JInternalFrame.setGlassPane(java.awt.Component)
Class JRootPane.setGlassPane(java.awt.Component)
Class JWindow.setGlassPane(java.awt.Component)
Interface RootPaneContainer.setGlassPane(java.awt.Component)
setGroup found in:
Class DefaultButtonModel.setGroup(javax.swing.ButtonGroup)
Interface ButtonModel.setGroup(javax.swing.ButtonGroup)
setHelpMenu found in:
Class JMenuBar.setHelpMenu(javax.swing.JMenu)
Class MenuBar.setHelpMenu(java.awt.Menu)
setHgap found in:
Class BorderLayout.setHgap(int)
Class CardLayout.setHgap(int)
Class FlowLayout.setHgap(int)
Class GridLayout.setHgap(int)
setHints found in:
Class AreaAveragingScaleFilter.setHints(int)
Class ImageFilter.setHints(int)
Class PixelGrabber.setHints(int)
Interface ImageConsumer.setHints(int)
setHorizontalAlignment found in:
Class AbstractButton.setHorizontalAlignment(int)
Class JLabel.setHorizontalAlignment(int)
Class JTextField.setHorizontalAlignment(int)
setHorizontalScrollBarPolicy found in:
Class JScrollPane.setHorizontalScrollBarPolicy(int)
Class ScrollPaneLayout.setHorizontalScrollBarPolicy(int)
setHorizontalTextPosition found in:
Class AbstractButton.setHorizontalTextPosition(int)
Class JLabel.setHorizontalTextPosition(int)
setHours found in:
Class Date.setHours(int)
Class Date.setHours(int)
setIcon found in:
Class AbstractButton.setIcon(javax.swing.Icon)
Class JInternalFrame.setIcon(boolean)
Class JLabel.setIcon(javax.swing.Icon)
Class JOptionPane.setIcon(javax.swing.Icon)
Class StyleConstants.setIcon(javax.swing.text.MutableAttributeSet, javax.swing.Icon)
setIndex found in:
Class ParsePosition.setIndex(int)
Class Segment.setIndex(int)
Class StringCharacterIterator.setIndex(int)
Interface CharacterIterator.setIndex(int)
setInitialDelay found in:
Class Timer.setInitialDelay(int)
Class ToolTipManager.setInitialDelay(int)
setInput found in:
Class Deflater.setInput(byte[], int, int)
Class Inflater.setInput(byte[], int, int)
setInt found in:
Class Array.setInt(java.lang.Object, int, int)
Class Field.setInt(java.lang.Object, int)
Interface PreparedStatement.setInt(int, int)
setItem found in:
Class BasicComboBoxEditor.setItem(java.lang.Object)
Interface ComboBoxEditor.setItem(java.lang.Object)
setJMenuBar found in:
Class JApplet.setJMenuBar(javax.swing.JMenuBar)
Class JDialog.setJMenuBar(javax.swing.JMenuBar)
Class JFrame.setJMenuBar(javax.swing.JMenuBar)
Class JInternalFrame.setJMenuBar(javax.swing.JMenuBar)
Class JRootPane.setJMenuBar(javax.swing.JMenuBar)
setLabel found in:
Class AbstractButton.setLabel(java.lang.String)
Class Button.setLabel(java.lang.String)
Class Checkbox.setLabel(java.lang.String)
Class JPopupMenu.setLabel(java.lang.String)
Class MenuItem.setLabel(java.lang.String)
Class Option.setLabel(java.lang.String)
setLargeModel found in:
Class BasicTreeUI.setLargeModel(boolean)
Class JTree.setLargeModel(boolean)
setLayer found in:
Class JInternalFrame.setLayer(java.lang.Integer)
Class JLayeredPane.setLayer(java.awt.Component, int)
setLayeredPane found in:
Class JApplet.setLayeredPane(javax.swing.JLayeredPane)
Class JDialog.setLayeredPane(javax.swing.JLayeredPane)
Class JFrame.setLayeredPane(javax.swing.JLayeredPane)
Class JInternalFrame.setLayeredPane(javax.swing.JLayeredPane)
Class JRootPane.setLayeredPane(javax.swing.JLayeredPane)
Class JWindow.setLayeredPane(javax.swing.JLayeredPane)
Interface RootPaneContainer.setLayeredPane(javax.swing.JLayeredPane)
setLayout found in:
Class Box.setLayout(java.awt.LayoutManager)
Class Container.setLayout(java.awt.LayoutManager)
Class JApplet.setLayout(java.awt.LayoutManager)
Class JDialog.setLayout(java.awt.LayoutManager)
Class JFrame.setLayout(java.awt.LayoutManager)
Class JInternalFrame.setLayout(java.awt.LayoutManager)
Class JScrollPane.setLayout(java.awt.LayoutManager)
Class JWindow.setLayout(java.awt.LayoutManager)
Class ScrollPane.setLayout(java.awt.LayoutManager)
setLeadSelectionIndex found in:
Class DefaultListSelectionModel.setLeadSelectionIndex(int)
Interface ListSelectionModel.setLeadSelectionIndex(int)
setLength found in:
Class DatagramPacket.setLength(int)
Class RandomAccessFile.setLength(long)
Class StringBuffer.setLength(int)
setLenient found in:
Class Calendar.setLenient(boolean)
Class DateFormat.setLenient(boolean)
setLevel found in:
Class Deflater.setLevel(int)
Class ZipOutputStream.setLevel(int)
setLightWeightPopupEnabled found in:
Class JComboBox.setLightWeightPopupEnabled(boolean)
Class JPopupMenu.setLightWeightPopupEnabled(boolean)
Class ToolTipManager.setLightWeightPopupEnabled(boolean)
setLine found in:
Class Double.setLine(double, double, double, double)
Class Float.setLine(double, double, double, double)
Class Line2D.setLine(double, double, double, double)
setLineNumber found in:
Class LineNumberInputStream.setLineNumber(int)
Class LineNumberReader.setLineNumber(int)
setLineSpacing found in:
Class ParagraphView.setLineSpacing(float)
Class StyleConstants.setLineSpacing(javax.swing.text.MutableAttributeSet, float)
setLocale found in:
Class BeanContextSupport.setLocale(java.util.Locale)
Class Component.setLocale(java.util.Locale)
Class MessageFormat.setLocale(java.util.Locale)
Interface InputMethod.setLocale(java.util.Locale)


setLocation found in:
Class AccessibleAWTComponent.setLocation(java.awt.Point)
Class AccessibleAWTListChild.setLocation(java.awt.Point)
Class AccessibleAWTMenuComponent.setLocation(java.awt.Point)
Class AccessibleJListChild.setLocation(java.awt.Point)
Class AccessibleJTableCell.setLocation(java.awt.Point)
Class AccessibleJTableHeaderEntry.setLocation(java.awt.Point)
Class AccessibleJTreeNode.setLocation(java.awt.Point)
Class Component.setLocation(int, int)
Class Double.setLocation(double, double)
Class Float.setLocation(double, double)
Class JPopupMenu.setLocation(int, int)
Class Point.setLocation(java.awt.Point)
Class Point2D.setLocation(double, double)
Class Rectangle.setLocation(java.awt.Point)
Interface AccessibleComponent.setLocation(java.awt.Point)
setLogicalStyle found in:
Class DefaultStyledDocument.setLogicalStyle(int, javax.swing.text.Style)
Class JTextPane.setLogicalStyle(javax.swing.text.Style)
Interface StyledDocument.setLogicalStyle(int, javax.swing.text.Style)
setLogStream found in:
Class DebugGraphics.setLogStream(java.io.PrintStream)
Class DriverManager.setLogStream(java.io.PrintStream)
setLong found in:
Class Array.setLong(java.lang.Object, int, long)
Class Field.setLong(java.lang.Object, long)
Interface PreparedStatement.setLong(int, long)
setMagicCaretPosition found in:
Class DefaultCaret.setMagicCaretPosition(java.awt.Point)
Interface Caret.setMagicCaretPosition(java.awt.Point)
setMargin found in:
Class AbstractButton.setMargin(java.awt.Insets)
Class JMenuBar.setMargin(java.awt.Insets)
Class JTextComponent.setMargin(java.awt.Insets)
Class JToolBar.setMargin(java.awt.Insets)
setMaximum found in:
Class DefaultBoundedRangeModel.setMaximum(int)
Class JInternalFrame.setMaximum(boolean)
Class JProgressBar.setMaximum(int)
Class JScrollBar.setMaximum(int)
Class JSlider.setMaximum(int)
Class ProgressMonitor.setMaximum(int)
Class Scrollbar.setMaximum(int)
Interface Adjustable.setMaximum(int)
Interface BoundedRangeModel.setMaximum(int)
setMaximumFractionDigits found in:
Class DecimalFormat.setMaximumFractionDigits(int)
Class NumberFormat.setMaximumFractionDigits(int)
setMaximumIntegerDigits found in:
Class DecimalFormat.setMaximumIntegerDigits(int)
Class NumberFormat.setMaximumIntegerDigits(int)
setMenuBar found in:
Class Frame.setMenuBar(java.awt.MenuBar)
Class JInternalFrame.setMenuBar(javax.swing.JMenuBar)
Class JRootPane.setMenuBar(javax.swing.JMenuBar)
setMessage found in:
Class JOptionPane.setMessage(java.lang.Object)
Class MetaMessage.setMessage(int, byte[], int)
Class MidiMessage.setMessage(byte[], int)
Class ShortMessage.setMessage(int)
Class SysexMessage.setMessage(byte[], int)
setMessageDigest found in:
Class DigestInputStream.setMessageDigest(java.security.MessageDigest)
Class DigestOutputStream.setMessageDigest(java.security.MessageDigest)
setMethod found in:
Class ZipEntry.setMethod(int)
Class ZipOutputStream.setMethod(int)
setMicrosecondPosition found in:
Interface Clip.setMicrosecondPosition(long)
Interface Sequencer.setMicrosecondPosition(long)
setMinimum found in:
Class DefaultBoundedRangeModel.setMinimum(int)
Class JProgressBar.setMinimum(int)
Class JScrollBar.setMinimum(int)
Class JSlider.setMinimum(int)
Class ProgressMonitor.setMinimum(int)
Class Scrollbar.setMinimum(int)
Interface Adjustable.setMinimum(int)
Interface BoundedRangeModel.setMinimum(int)
setMinimumFractionDigits found in:
Class DecimalFormat.setMinimumFractionDigits(int)
Class NumberFormat.setMinimumFractionDigits(int)
setMinimumIntegerDigits found in:
Class DecimalFormat.setMinimumIntegerDigits(int)
Class NumberFormat.setMinimumIntegerDigits(int)
setMinutes found in:
Class Date.setMinutes(int)
Class Date.setMinutes(int)
setMnemonic found in:
Class AbstractButton.setMnemonic(int)
Class DefaultButtonModel.setMnemonic(int)
Interface ButtonModel.setMnemonic(int)
setModel found in:
Class AbstractButton.setModel(javax.swing.ButtonModel)
Class AbstractLayoutCache.setModel(javax.swing.tree.TreeModel)
Class BasicTreeUI.setModel(javax.swing.tree.TreeModel)
Class FixedHeightLayoutCache.setModel(javax.swing.tree.TreeModel)
Class JComboBox.setModel(javax.swing.ComboBoxModel)
Class JList.setModel(javax.swing.ListModel)
Class JMenu.setModel(javax.swing.ButtonModel)
Class JProgressBar.setModel(javax.swing.BoundedRangeModel)
Class JScrollBar.setModel(javax.swing.BoundedRangeModel)
Class JSlider.setModel(javax.swing.BoundedRangeModel)
Class JTabbedPane.setModel(javax.swing.SingleSelectionModel)
Class JTable.setModel(javax.swing.table.TableModel)
Class JTree.setModel(javax.swing.tree.TreeModel)
Class VariableHeightLayoutCache.setModel(javax.swing.tree.TreeModel)
setMonth found in:
Class Date.setMonth(int)
Class Time.setMonth(int)
setName found in:
Class Component.setName(java.lang.String)
Class FeatureDescriptor.setName(java.lang.String)
Class MenuComponent.setName(java.lang.String)
Class NameClassPair.setName(java.lang.String)
Class NamedStyle.setName(java.lang.String)
Class Thread.setName(java.lang.String)
Interface Acl.setName(java.security.Principal, java.lang.String)
setNodeDimensions found in:
Class AbstractLayoutCache.setNodeDimensions(javax.swing.tree.AbstractLayoutCache.NodeDimensions)
Class VariableHeightLayoutCache.setNodeDimensions(javax.swing.tree.AbstractLayoutCache.NodeDimensions)
setObject found in:
Class Binding.setObject(java.lang.Object)
Interface Customizer.setObject(java.lang.Object)
Interface PreparedStatement.setObject(int, java.lang.Object, int, int)
setOffset found in:
Class CollationElementIterator.setOffset(int)
Class DragWindow.setOffset(java.awt.Point)
Class ObjectStreamField.setOffset(int)
setOrientation found in:
Class BasicSplitPaneUI.setOrientation(int)
Class BasicToolBarUI.setOrientation(int)
Class DragWindow.setOrientation(int)
Class JProgressBar.setOrientation(int)
Class JScrollBar.setOrientation(int)
Class JSeparator.setOrientation(int)
Class JSlider.setOrientation(int)
Class JSplitPane.setOrientation(int)
Class JToolBar.setOrientation(int)
Class PageFormat.setOrientation(int)
Class Scrollbar.setOrientation(int)


setPage found in:
Class Book.setPage(int, java.awt.print.Printable, java.awt.print.PageFormat)
Class JEditorPane.setPage(java.net.URL)
setPaintMode found in:
Class DebugGraphics.setPaintMode()
Class Graphics.setPaintMode()
setPalette found in:
Class MetalInternalFrameTitlePane.setPalette(boolean)
Class MetalInternalFrameUI.setPalette(boolean)
setParagraphAttributes found in:
Class DefaultStyledDocument.setParagraphAttributes(int, int, javax.swing.text.AttributeSet, boolean)
Class HTMLDocument.setParagraphAttributes(int, int, javax.swing.text.AttributeSet, boolean)
Class JTextPane.setParagraphAttributes(javax.swing.text.AttributeSet, boolean)
Class StyledTextAction.setParagraphAttributes(javax.swing.JEditorPane, javax.swing.text.AttributeSet, boolean)
Interface StyledDocument.setParagraphAttributes(int, int, javax.swing.text.AttributeSet, boolean)
setParent found in:
Class ActionMap.setParent(javax.swing.ActionMap)
Class AsyncBoxView.setParent(javax.swing.text.View)
Class BlockView.setParent(javax.swing.text.View)
Class ComponentInputMap.setParent(javax.swing.InputMap)
Class ComponentView.setParent(javax.swing.text.View)
Class CompositeView.setParent(javax.swing.text.View)
Class DefaultMutableTreeNode.setParent(javax.swing.tree.MutableTreeNode)
Class InputMap.setParent(javax.swing.InputMap)
Class ParagraphView.setParent(javax.swing.text.View)
Class ResourceBundle.setParent(java.util.ResourceBundle)
Class View.setParent(javax.swing.text.View)
Interface MutableTreeNode.setParent(javax.swing.tree.MutableTreeNode)
setPixel found in:
Class BandedSampleModel.setPixel(int, int, int[], java.awt.image.DataBuffer)
Class ComponentSampleModel.setPixel(int, int, int[], java.awt.image.DataBuffer)
Class MultiPixelPackedSampleModel.setPixel(int, int, int[], java.awt.image.DataBuffer)
Class SampleModel.setPixel(int, int, int[], java.awt.image.DataBuffer)
Class SinglePixelPackedSampleModel.setPixel(int, int, int[], java.awt.image.DataBuffer)
Class WritableRaster.setPixel(int, int, int[])
setPixels found in:
Class AreaAveragingScaleFilter.setPixels(int, int, int, int, java.awt.image.ColorModel, byte[], int, int)
Class BandedSampleModel.setPixels(int, int, int, int, int[], java.awt.image.DataBuffer)
Class BufferedImageFilter.setPixels(int, int, int, int, java.awt.image.ColorModel, byte[], int, int)
Class ComponentSampleModel.setPixels(int, int, int, int, int[], java.awt.image.DataBuffer)
Class CropImageFilter.setPixels(int, int, int, int, java.awt.image.ColorModel, byte[], int, int)
Class ImageFilter.setPixels(int, int, int, int, java.awt.image.ColorModel, byte[], int, int)
Class PixelGrabber.setPixels(int, int, int, int, java.awt.image.ColorModel, byte[], int, int)
Class ReplicateScaleFilter.setPixels(int, int, int, int, java.awt.image.ColorModel, byte[], int, int)
Class RGBImageFilter.setPixels(int, int, int, int, java.awt.image.ColorModel, byte[], int, int)
Class SampleModel.setPixels(int, int, int, int, int[], java.awt.image.DataBuffer)
Class SinglePixelPackedSampleModel.setPixels(int, int, int, int, int[], java.awt.image.DataBuffer)
Class WritableRaster.setPixels(int, int, int, int, int[])
Interface ImageConsumer.setPixels(int, int, int, int, java.awt.image.ColorModel, byte[], int, int)
setPopupVisible found in:
Class BasicComboBoxUI.setPopupVisible(javax.swing.JComboBox, boolean)
Class ComboBoxUI.setPopupVisible(javax.swing.JComboBox, boolean)
Class JComboBox.setPopupVisible(boolean)
Class MultiComboBoxUI.setPopupVisible(javax.swing.JComboBox, boolean)
setPosition found in:
Class JLayeredPane.setPosition(java.awt.Component, int)
Class LineBreakMeasurer.setPosition(int)
setPressed found in:
Class DefaultButtonModel.setPressed(boolean)
Class ToggleButtonModel.setPressed(boolean)
Interface ButtonModel.setPressed(boolean)
setProperties found in:
Class CropImageFilter.setProperties(java.util.Hashtable)
Class ImageFilter.setProperties(java.util.Hashtable)
Class PixelGrabber.setProperties(java.util.Hashtable)
Class ReplicateScaleFilter.setProperties(java.util.Hashtable)
Class System.setProperties(java.util.Properties)
Interface ImageConsumer.setProperties(java.util.Hashtable)
setPropertiesFromAttributes found in:
Class BlockView.setPropertiesFromAttributes()
Class InlineView.setPropertiesFromAttributes()
Class LabelView.setPropertiesFromAttributes()
Class ListView.setPropertiesFromAttributes()
Class ParagraphView.setPropertiesFromAttributes()
Class ParagraphView.setPropertiesFromAttributes()
setProperty found in:
Class Properties.setProperty(java.lang.String, java.lang.String)
Class Security.setProperty(java.lang.String, java.lang.String)
Class System.setProperty(java.lang.String, java.lang.String)
setRangeProperties found in:
Class DefaultBoundedRangeModel.setRangeProperties(int, int, int, int, boolean)
Interface BoundedRangeModel.setRangeProperties(int, int, int, int, boolean)
setRawOffset found in:
Class SimpleTimeZone.setRawOffset(int)
Class TimeZone.setRawOffset(int)
setReadOnly found in:
Class File.setReadOnly()
Class PermissionCollection.setReadOnly()
Interface Connection.setReadOnly(boolean)
setReceiveBufferSize found in:
Class DatagramSocket.setReceiveBufferSize(int)
Class Socket.setReceiveBufferSize(int)
setRect found in:
Class Double.setRect(double, double, double, double)
Class Float.setRect(float, float, float, float)
Class Rectangle.setRect(double, double, double, double)
Class Rectangle2D.setRect(double, double, double, double)
Class WritableRaster.setRect(java.awt.image.Raster)
setRef found in:
Class RemoteStub.setRef(java.rmi.server.RemoteStub, java.rmi.server.RemoteRef)
Interface PreparedStatement.setRef(int, java.sql.Ref)
setRemainingName found in:
Class NamingException.setRemainingName(javax.naming.Name)
Class ResolveResult.setRemainingName(javax.naming.Name)
setRenderingHints found in:
Class Graphics2D.setRenderingHints(java.util.Map)
Class RenderContext.setRenderingHints(java.awt.RenderingHints)
setRequestControls found in:
Class InitialLdapContext.setRequestControls(javax.naming.ldap.Control[])
Interface LdapContext.setRequestControls(javax.naming.ldap.Control[])
setResizable found in:
Class Dialog.setResizable(boolean)
Class Frame.setResizable(boolean)
Class JInternalFrame.setResizable(boolean)
Class TableColumn.setResizable(boolean)
setResolvedObj found in:
Class NamingException.setResolvedObj(java.lang.Object)
Class ResolveResult.setResolvedObj(java.lang.Object)
setResolveParent found in:
Class AbstractElement.setResolveParent(javax.swing.text.AttributeSet)
Class NamedStyle.setResolveParent(javax.swing.text.AttributeSet)
Class SimpleAttributeSet.setResolveParent(javax.swing.text.AttributeSet)
Interface Keymap.setResolveParent(javax.swing.text.Keymap)
Interface MutableAttributeSet.setResolveParent(javax.swing.text.AttributeSet)
setRollover found in:
Class DefaultButtonModel.setRollover(boolean)
Interface ButtonModel.setRollover(boolean)
setRootPane found in:
Class JApplet.setRootPane(javax.swing.JRootPane)
Class JDialog.setRootPane(javax.swing.JRootPane)
Class JFrame.setRootPane(javax.swing.JRootPane)
Class JInternalFrame.setRootPane(javax.swing.JRootPane)
Class JWindow.setRootPane(javax.swing.JRootPane)
setRootPaneCheckingEnabled found in:
Class JApplet.setRootPaneCheckingEnabled(boolean)
Class JDialog.setRootPaneCheckingEnabled(boolean)
Class JFrame.setRootPaneCheckingEnabled(boolean)
Class JInternalFrame.setRootPaneCheckingEnabled(boolean)
Class JWindow.setRootPaneCheckingEnabled(boolean)
setRootVisible found in:
Class AbstractLayoutCache.setRootVisible(boolean)
Class BasicTreeUI.setRootVisible(boolean)
Class FixedHeightLayoutCache.setRootVisible(boolean)
Class JTree.setRootVisible(boolean)
Class VariableHeightLayoutCache.setRootVisible(boolean)
setRoundRect found in:
Class Double.setRoundRect(double, double, double, double, double, double)
Class Float.setRoundRect(float, float, float, float, float, float)
Class RoundRectangle2D.setRoundRect(double, double, double, double, double, double)
setRowHeight found in:
Class AbstractLayoutCache.setRowHeight(int)
Class BasicTreeUI.setRowHeight(int)
Class FixedHeightLayoutCache.setRowHeight(int)
Class JTable.setRowHeight(int)
Class JTree.setRowHeight(int)
Class VariableHeightLayoutCache.setRowHeight(int)
setRowMapper found in:
Class DefaultTreeSelectionModel.setRowMapper(javax.swing.tree.RowMapper)
Interface TreeSelectionModel.setRowMapper(javax.swing.tree.RowMapper)
setRows found in:
Class GridLayout.setRows(int)
Class JTextArea.setRows(int)
Class TextArea.setRows(int)
setSample found in:
Class BandedSampleModel.setSample(int, int, int, int, java.awt.image.DataBuffer)
Class ComponentSampleModel.setSample(int, int, int, int, java.awt.image.DataBuffer)
Class MultiPixelPackedSampleModel.setSample(int, int, int, int, java.awt.image.DataBuffer)
Class SampleModel.setSample(int, int, int, int, java.awt.image.DataBuffer)
Class SinglePixelPackedSampleModel.setSample(int, int, int, int, java.awt.image.DataBuffer)
Class WritableRaster.setSample(int, int, int, int)
setSamples found in:
Class BandedSampleModel.setSamples(int, int, int, int, int, int[], java.awt.image.DataBuffer)
Class ComponentSampleModel.setSamples(int, int, int, int, int, int[], java.awt.image.DataBuffer)
Class SampleModel.setSamples(int, int, int, int, int, int[], java.awt.image.DataBuffer)
Class SinglePixelPackedSampleModel.setSamples(int, int, int, int, int, int[], java.awt.image.DataBuffer)
Class WritableRaster.setSamples(int, int, int, int, int, int[])
setScrollByBlock found in:
Class ScrollListener.setScrollByBlock(boolean)
Class ScrollListener.setScrollByBlock(boolean)
setSeconds found in:
Class Date.setSeconds(int)
Class Date.setSeconds(int)
setSeed found in:
Class Random.setSeed(long)
Class SecureRandom.setSeed(byte[])
setSelected found in:
Class AbstractButton.setSelected(boolean)
Class ButtonGroup.setSelected(javax.swing.ButtonModel, boolean)
Class DefaultButtonModel.setSelected(boolean)
Class JInternalFrame.setSelected(boolean)
Class JMenu.setSelected(boolean)
Class JMenuBar.setSelected(java.awt.Component)
Class JPopupMenu.setSelected(java.awt.Component)
Class ToggleButtonModel.setSelected(boolean)
Interface ButtonModel.setSelected(boolean)
setSelectedColor found in:
Class DefaultColorSelectionModel.setSelectedColor(java.awt.Color)
Interface ColorSelectionModel.setSelectedColor(java.awt.Color)
setSelectedIndex found in:
Class DefaultSingleSelectionModel.setSelectedIndex(int)
Class JComboBox.setSelectedIndex(int)
Class JList.setSelectedIndex(int)
Class JTabbedPane.setSelectedIndex(int)
Interface SingleSelectionModel.setSelectedIndex(int)
setSelectedItem found in:
Class DefaultComboBoxModel.setSelectedItem(java.lang.Object)
Class DirectoryComboBoxModel.setSelectedItem(java.lang.Object)
Class FilterComboBoxModel.setSelectedItem(java.lang.Object)
Class JComboBox.setSelectedItem(java.lang.Object)
Interface ComboBoxModel.setSelectedItem(java.lang.Object)
setSelectionBackground found in:
Class JList.setSelectionBackground(java.awt.Color)
Class JTable.setSelectionBackground(java.awt.Color)
setSelectionEnd found in:
Class JTextComponent.setSelectionEnd(int)
Class TextComponent.setSelectionEnd(int)
setSelectionForeground found in:
Class JList.setSelectionForeground(java.awt.Color)
Class JTable.setSelectionForeground(java.awt.Color)
setSelectionInterval found in:
Class DefaultListSelectionModel.setSelectionInterval(int, int)
Class JList.setSelectionInterval(int, int)
Class JTree.setSelectionInterval(int, int)
Interface ListSelectionModel.setSelectionInterval(int, int)
setSelectionMode found in:
Class DefaultListSelectionModel.setSelectionMode(int)
Class DefaultTreeSelectionModel.setSelectionMode(int)
Class JList.setSelectionMode(int)
Class JTable.setSelectionMode(int)
Interface ListSelectionModel.setSelectionMode(int)
Interface TreeSelectionModel.setSelectionMode(int)
setSelectionModel found in:
Class AbstractLayoutCache.setSelectionModel(javax.swing.tree.TreeSelectionModel)
Class BasicTreeUI.setSelectionModel(javax.swing.tree.TreeSelectionModel)
Class DefaultTableColumnModel.setSelectionModel(javax.swing.ListSelectionModel)
Class JColorChooser.setSelectionModel(javax.swing.colorchooser.ColorSelectionModel)
Class JList.setSelectionModel(javax.swing.ListSelectionModel)
Class JMenuBar.setSelectionModel(javax.swing.SingleSelectionModel)
Class JPopupMenu.setSelectionModel(javax.swing.SingleSelectionModel)
Class JTable.setSelectionModel(javax.swing.ListSelectionModel)
Class JTree.setSelectionModel(javax.swing.tree.TreeSelectionModel)
Interface TableColumnModel.setSelectionModel(javax.swing.ListSelectionModel)
setSelectionPath found in:
Class DefaultTreeSelectionModel.setSelectionPath(javax.swing.tree.TreePath)
Class JTree.setSelectionPath(javax.swing.tree.TreePath)
Interface TreeSelectionModel.setSelectionPath(javax.swing.tree.TreePath)
setSelectionPaths found in:
Class DefaultTreeSelectionModel.setSelectionPaths(javax.swing.tree.TreePath[])
Class EmptySelectionModel.setSelectionPaths(javax.swing.tree.TreePath[])
Class JTree.setSelectionPaths(javax.swing.tree.TreePath[])
Interface TreeSelectionModel.setSelectionPaths(javax.swing.tree.TreePath[])
setSelectionStart found in:
Class JTextComponent.setSelectionStart(int)
Class TextComponent.setSelectionStart(int)
setSelectionVisible found in:
Class DefaultCaret.setSelectionVisible(boolean)
Interface Caret.setSelectionVisible(boolean)
setSendBufferSize found in:
Class DatagramSocket.setSendBufferSize(int)
Class Socket.setSendBufferSize(int)
setShort found in:
Class Array.setShort(java.lang.Object, int, short)
Class Field.setShort(java.lang.Object, short)
Interface PreparedStatement.setShort(int, short)
setShowsRootHandles found in:
Class BasicTreeUI.setShowsRootHandles(boolean)
Class JTree.setShowsRootHandles(boolean)
setSize found in:
Class AccessibleAWTComponent.setSize(java.awt.Dimension)
Class AccessibleAWTListChild.setSize(java.awt.Dimension)
Class AccessibleAWTMenuComponent.setSize(java.awt.Dimension)
Class AccessibleJListChild.setSize(java.awt.Dimension)
Class AccessibleJTableCell.setSize(java.awt.Dimension)
Class AccessibleJTableHeaderEntry.setSize(java.awt.Dimension)
Class AccessibleJTreeNode.setSize(java.awt.Dimension)
Class AsyncBoxView.setSize(float, float)
Class BoxView.setSize(float, float)
Class Component.setSize(int, int)
Class ComponentView.setSize(float, float)
Class DefaultListModel.setSize(int)
Class Dimension.setSize(double, double)
Class Dimension2D.setSize(double, double)
Class IconView.setSize(float, float)
Class Paper.setSize(double, double)
Class Rectangle.setSize(java.awt.Dimension)
Class SizeSequence.setSize(int, int)
Class Vector.setSize(int)
Class View.setSize(float, float)
Class WrappedPlainView.setSize(float, float)
Class ZipEntry.setSize(long)
Interface AccessibleComponent.setSize(java.awt.Dimension)
setSizes found in:
Class BasicHorizontalLayoutManager.setSizes(int[])
Class SizeSequence.setSizes(int[])
setSocketFactory found in:
Class RMISocketFactory.setSocketFactory(java.rmi.server.RMISocketFactory)
Class ServerSocket.setSocketFactory(java.net.SocketImplFactory)
setSoTimeout found in:
Class DatagramSocket.setSoTimeout(int)
Class ServerSocket.setSoTimeout(int)
Class Socket.setSoTimeout(int)
setSource found in:
Class KeyEvent.setSource(java.lang.Object)
Class ParameterBlock.setSource(java.lang.Object, int)
setState found in:
Class Checkbox.setState(boolean)
Class CheckboxMenuItem.setState(boolean)
Class Frame.setState(int)
Class JCheckBoxMenuItem.setState(boolean)
setStrikeThrough found in:
Class LabelView.setStrikeThrough(boolean)
Class StyleConstants.setStrikeThrough(javax.swing.text.MutableAttributeSet, boolean)
setString found in:
Class JProgressBar.setString(java.lang.String)
Interface PreparedStatement.setString(int, java.lang.String)
setSubscript found in:
Class LabelView.setSubscript(boolean)
Class StyleConstants.setSubscript(javax.swing.text.MutableAttributeSet, boolean)
setSuperscript found in:
Class LabelView.setSuperscript(boolean)
Class StyleConstants.setSuperscript(javax.swing.text.MutableAttributeSet, boolean)
setTarget found in:
Class AccessibleRelation.setTarget(java.lang.Object)
Interface Tie.setTarget(java.rmi.Remote)
setText found in:
Class AbstractButton.setText(java.lang.String)
Class BreakIterator.setText(java.lang.String)
Class CollationElementIterator.setText(java.lang.String)
Class JEditorPane.setText(java.lang.String)
Class JLabel.setText(java.lang.String)
Class JTextComponent.setText(java.lang.String)
Class Label.setText(java.lang.String)
Class StringCharacterIterator.setText(java.lang.String)
Class TextComponent.setText(java.lang.String)
Class TextField.setText(java.lang.String)


setThumbBounds found in:
Class BasicScrollBarUI.setThumbBounds(int, int, int, int)
Class MetalScrollBarUI.setThumbBounds(int, int, int, int)
setTime found in:
Class Calendar.setTime(java.util.Date)
Class Date.setTime(long)
Class Date.setTime(long)
Class Time.setTime(long)
Class ZipEntry.setTime(long)
Interface PreparedStatement.setTime(int, java.sql.Time)
setTimeToLive found in:
Class DatagramSocketImpl.setTimeToLive(int)
Class MulticastSocket.setTimeToLive(int)
setTimeZone found in:
Class Calendar.setTimeZone(java.util.TimeZone)
Class DateFormat.setTimeZone(java.util.TimeZone)


Setting the class path found in:
Setting the class path
Setting the class path


setTitle found in:
Class Dialog.setTitle(java.lang.String)
Class Frame.setTitle(java.lang.String)
Class JInternalFrame.setTitle(java.lang.String)
Class TitledBorder.setTitle(java.lang.String)
setTransform found in:
Class AffineTransform.setTransform(java.awt.geom.AffineTransform)
Class Graphics2D.setTransform(java.awt.geom.AffineTransform)
Class RenderContext.setTransform(java.awt.geom.AffineTransform)
setTTL found in:
Class DatagramSocketImpl.setTTL(byte)
Class MulticastSocket.setTTL(byte)
setUI found in:
Class AbstractButton.setUI(javax.swing.plaf.ButtonUI)
Class JColorChooser.setUI(javax.swing.plaf.ColorChooserUI)
Class JComboBox.setUI(javax.swing.plaf.ComboBoxUI)
Class JComponent.setUI(javax.swing.plaf.ComponentUI)
Class JDesktopIcon.setUI(javax.swing.plaf.DesktopIconUI)
Class JDesktopPane.setUI(javax.swing.plaf.DesktopPaneUI)
Class JInternalFrame.setUI(javax.swing.plaf.InternalFrameUI)
Class JLabel.setUI(javax.swing.plaf.LabelUI)
Class JList.setUI(javax.swing.plaf.ListUI)
Class JMenuBar.setUI(javax.swing.plaf.MenuBarUI)
Class JMenuItem.setUI(javax.swing.plaf.MenuItemUI)
Class JOptionPane.setUI(javax.swing.plaf.OptionPaneUI)
Class JPopupMenu.setUI(javax.swing.plaf.PopupMenuUI)
Class JProgressBar.setUI(javax.swing.plaf.ProgressBarUI)
Class JRootPane.setUI(javax.swing.plaf.RootPaneUI)
Class JScrollPane.setUI(javax.swing.plaf.ScrollPaneUI)
Class JSeparator.setUI(javax.swing.plaf.SeparatorUI)
Class JSlider.setUI(javax.swing.plaf.SliderUI)
Class JSplitPane.setUI(javax.swing.plaf.SplitPaneUI)
Class JTabbedPane.setUI(javax.swing.plaf.TabbedPaneUI)
Class JTable.setUI(javax.swing.plaf.TableUI)
Class JTableHeader.setUI(javax.swing.plaf.TableHeaderUI)
Class JTextComponent.setUI(javax.swing.plaf.TextUI)
Class JToolBar.setUI(javax.swing.plaf.ToolBarUI)
Class JTree.setUI(javax.swing.plaf.TreeUI)
Class JViewport.setUI(javax.swing.plaf.ViewportUI)
setUnderline found in:
Class LabelView.setUnderline(boolean)
Class StyleConstants.setUnderline(javax.swing.text.MutableAttributeSet, boolean)
setUnitIncrement found in:
Class JScrollBar.setUnitIncrement(int)
Class Scrollbar.setUnitIncrement(int)
Class ScrollBar.setUnitIncrement(int)
Interface Adjustable.setUnitIncrement(int)
setup found in:
Class JFileChooser.setup(javax.swing.filechooser.FileSystemView)
Developing a Client Applet
Developing a Client Application
Developing the Hello World Server
setUserObject found in:
Class DefaultMutableTreeNode.setUserObject(java.lang.Object)
Interface MutableTreeNode.setUserObject(java.lang.Object)
setValue found in:
Class BooleanControl.setValue(boolean)
Class DefaultBoundedRangeModel.setValue(int)
Class DefaultTableCellRenderer.setValue(java.lang.Object)
Class EditorDelegate.setValue(java.lang.Object)
Class EnumControl.setValue(java.lang.Object)
Class FeatureDescriptor.setValue(java.lang.String, java.lang.Object)
Class FloatControl.setValue(float)
Class JOptionPane.setValue(java.lang.Object)
Class JProgressBar.setValue(int)
Class JScrollBar.setValue(int)
Class JSlider.setValue(int)
Class PropertyEditorSupport.setValue(java.lang.Object)
Class Scrollbar.setValue(int)
Interface Adjustable.setValue(int)
Interface Argument.setValue(java.lang.String)
Interface ArrayReference.setValue(int, com.sun.jdi.Value)
Interface BooleanArgument.setValue(boolean)
Interface BoundedRangeModel.setValue(int)
Interface ClassType.setValue(com.sun.jdi.Field, com.sun.jdi.Value)
Interface Entry.setValue(java.lang.Object)
Interface IntegerArgument.setValue(int)
Interface ObjectReference.setValue(com.sun.jdi.Field, com.sun.jdi.Value)
Interface PropertyEditor.setValue(java.lang.Object)
Interface Renderer.setValue(java.lang.Object, boolean)
Interface StackFrame.setValue(com.sun.jdi.LocalVariable, com.sun.jdi.Value)
setValueAt found in:
Class AbstractTableModel.setValueAt(java.lang.Object, int, int)
Class DefaultTableModel.setValueAt(java.lang.Object, int, int)
Class JTable.setValueAt(java.lang.Object, int, int)
Interface TableModel.setValueAt(java.lang.Object, int, int)
setValueIsAdjusting found in:
Class DefaultBoundedRangeModel.setValueIsAdjusting(boolean)
Class DefaultListSelectionModel.setValueIsAdjusting(boolean)
Class JList.setValueIsAdjusting(boolean)
Class JScrollBar.setValueIsAdjusting(boolean)
Class JSlider.setValueIsAdjusting(boolean)
Interface BoundedRangeModel.setValueIsAdjusting(boolean)
Interface ListSelectionModel.setValueIsAdjusting(boolean)
setValues found in:
Class JScrollBar.setValues(int, int, int, int)
Class Scrollbar.setValues(int, int, int, int)
Interface ArrayReference.setValues(java.util.List)
setVerticalAlignment found in:
Class AbstractButton.setVerticalAlignment(int)
Class JLabel.setVerticalAlignment(int)
setVerticalScrollBarPolicy found in:
Class JScrollPane.setVerticalScrollBarPolicy(int)
Class ScrollPaneLayout.setVerticalScrollBarPolicy(int)
setVerticalTextPosition found in:
Class AbstractButton.setVerticalTextPosition(int)
Class JLabel.setVerticalTextPosition(int)
setVgap found in:
Class BorderLayout.setVgap(int)
Class CardLayout.setVgap(int)
Class FlowLayout.setVgap(int)
Class GridLayout.setVgap(int)
setView found in:
Class BasicTextUI.setView(javax.swing.text.View)
Class JViewport.setView(java.awt.Component)
setVisible found in:
Class AccessibleAWTComponent.setVisible(boolean)
Class AccessibleAWTListChild.setVisible(boolean)
Class AccessibleAWTMenuComponent.setVisible(boolean)
Class AccessibleJListChild.setVisible(boolean)
Class AccessibleJTableCell.setVisible(boolean)
Class AccessibleJTableHeaderEntry.setVisible(boolean)
Class AccessibleJTreeNode.setVisible(boolean)
Class Component.setVisible(boolean)
Class DefaultCaret.setVisible(boolean)
Class JComponent.setVisible(boolean)
Class JPopupMenu.setVisible(boolean)
Interface AccessibleComponent.setVisible(boolean)
Interface Caret.setVisible(boolean)
setVisibleAmount found in:
Class JScrollBar.setVisibleAmount(int)
Class Scrollbar.setVisibleAmount(int)
Interface Adjustable.setVisibleAmount(int)
setVisibleRowCount found in:
Class JList.setVisibleRowCount(int)
Class JTree.setVisibleRowCount(int)
setXORMode found in:
Class DebugGraphics.setXORMode(java.awt.Color)
Class Graphics.setXORMode(java.awt.Color)
setYear found in:
Class Date.setYear(int)
Class Time.setYear(int)
set_elements found in:
Interface DynArray.set_elements(org.omg.CORBA.Any[])
Interface DynSequence.set_elements(org.omg.CORBA.Any[])
set_members found in:
Interface DynStruct.set_members(org.omg.CORBA.NameValuePair[])
Interface DynValue.set_members(org.omg.CORBA.NameValuePair[])


SE_RESIZE_CURSOR found in:
Class Cursor.SE_RESIZE_CURSOR
Class Frame.SE_RESIZE_CURSOR
SFFile found in:
jarsigner-JAR Signing and Verification Tool
jarsigner-JAR Signing and Verification Tool


shadow found in:
Class BasicSeparatorUI.shadow
Class BasicTabbedPaneUI.shadow
Class ButtonBorder.shadow
Class EtchedBorder.shadow
Class FieldBorder.shadow
Class SplitPaneBorder.shadow


sharedInstance found in:
Class EmptySelectionModel.sharedInstance
Class ToolTipManager.sharedInstance()
shear found in:
Class AffineTransform.shear(double, double)
Class Graphics2D.shear(double, double)


SHIFT_MASK found in:
Class ActionEvent.SHIFT_MASK
Class Event.SHIFT_MASK
Class InputEvent.SHIFT_MASK
SHORT found in:
Class DateFormat.SHORT
Class TimeZone.SHORT


shortcuts found in:
Class MenuBar.shortcuts()
Mouseless Operation
shortened found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


shortValue found in:
Class Byte.shortValue()
Class Double.shortValue()
Class Float.shortValue()
Class Integer.shortValue()
Class Long.shortValue()
Class Number.shortValue()
Class Short.shortValue()
Interface PrimitiveValue.shortValue()


shouldPadTabRun found in:
Class BasicTabbedPaneUI.shouldPadTabRun(int, int)
Class MetalTabbedPaneUI.shouldPadTabRun(int, int)
shouldRotateTabRuns found in:
Class BasicTabbedPaneUI.shouldRotateTabRuns(int)
Class MetalTabbedPaneUI.shouldRotateTabRuns(int, int)
shouldSelectCell found in:
Class AbstractCellEditor.shouldSelectCell(java.util.EventObject)
Class DefaultCellEditor.shouldSelectCell(java.util.EventObject)
Class DefaultTreeCellEditor.shouldSelectCell(java.util.EventObject)
Class EditorDelegate.shouldSelectCell(java.util.EventObject)
Interface CellEditor.shouldSelectCell(java.util.EventObject)
show found in:
Class BasicComboPopup.show()
Class CardLayout.show(java.awt.Container, java.lang.String)
Class Component.show()
Class Dialog.show()
Class JInternalFrame.show()
Class JPopupMenu.show(java.awt.Component, int, int)
Class PopupMenu.show(java.awt.Component, int, int)
Class Window.show()
Interface ComboPopup.show()
showDialog found in:
Class JColorChooser.showDialog(java.awt.Component, java.lang.String, java.awt.Color)
Class JFileChooser.showDialog(java.awt.Component, java.lang.String)


showStatus found in:
Class Applet.showStatus(java.lang.String)
Interface AppletContext.showStatus(java.lang.String)


shutdown found in:
Class ORB.shutdown(boolean)
Interface ActivationSystem.shutdown()
shutdownInput found in:
Class Socket.shutdownInput()
Class SocketImpl.shutdownInput()
shutdownOutput found in:
Class Socket.shutdownOutput()
Class SocketImpl.shutdownOutput()


Signature found in:
Class Signature
Java Cryptography Architecture


signature found in:
Interface ExecutableMemberDoc.signature()
Interface LocalVariable.signature()
Interface Type.signature()
Interface TypeComponent.signature()


signum found in:
Class BigDecimal.signum()
Class BigInteger.signum()


simpleexamples found in:
javac - Java programming language compiler
javac - Java programming language compiler


sin found in:
Class Math.sin(double)
Class StrictMath.sin(double)


size found in:
Class AbstractCollection.size()
Class AbstractMap.size()
Class AccessibleRelationSet.size()
Class ActionMap.size()
Class ArrayList.size()
Class Attributes.size()
Class BasicAttribute.size()
Class BasicAttributes.size()
Class BeanContextMembershipEvent.size()
Class BeanContextSupport.size()
Class BitSet.size()
Class ByteArrayOutputStream.size()
Class CharArrayWriter.size()
Class Component.size()
Class CompositeName.size()
Class CompoundName.size()
Class DataBuffer.size
Class DataOutputStream.size()
Class DefaultListModel.size()
Class Dictionary.size()
Class Font.size
Class HashMap.size()
Class HashSet.size()
Class Hashtable.size()
Class IdentityScope.size()
Class InputMap.size()
Class KeyStore.size()
Class LinkedList.size()
Class Reference.size()
Class RenderingHints.size()
Class Track.size()
Class TreeMap.size()
Class TreeSet.size()
Class Vector.size()
Class WeakHashMap.size()
Class ZipFile.size()
Interface Attribute.size()
Interface Attributes.size()
Interface Collection.size()
Interface List.size()
Interface Map.size()
Interface Name.size()
Interface Set.size()
Interface StepRequest.size()


Size found in:
Class CharacterConstants.Size
Class FontConstants.Size
SIZE found in:
Class Attribute.SIZE
Class TextAttribute.SIZE


skip found in:
Class AudioInputStream.skip(long)
Class BufferedInputStream.skip(long)
Class BufferedReader.skip(long)
Class ByteArrayInputStream.skip(long)
Class CharArrayReader.skip(long)
Class CheckedInputStream.skip(long)
Class FileInputStream.skip(long)
Class FilterInputStream.skip(long)
Class FilterReader.skip(long)
Class InflaterInputStream.skip(long)
Class InputStream.skip(long)
Class LineNumberInputStream.skip(long)
Class LineNumberReader.skip(long)
Class ProgressMonitorInputStream.skip(long)
Class PushbackInputStream.skip(long)
Class Reader.skip(long)
Class StringBufferInputStream.skip(long)
Class StringReader.skip(long)
Class ZipInputStream.skip(long)
Interface ObjectInput.skip(long)
skipBytes found in:
Class DataInputStream.skipBytes(int)
Class ObjectInputStream.skipBytes(int)
Class RandomAccessFile.skipBytes(int)
Interface DataInput.skipBytes(int)


Socket found in:
Class Socket
Extending Sockets in JDK 1.1


SocketImpl found in:
Class SocketImpl
Extending Sockets in JDK 1.1
SocketPermission found in:
Class SocketPermission
Permissions in the Java(TM) 2 SDK


sort found in:
Class Arrays.sort(long[])
Class BasicDirectoryModel.sort(java.util.Vector)
Class Collections.sort(java.util.List)


source found in:
Class EventObject.source
Class MouseInputHandler.source
Doclet Overview


sourcefiles found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
sourceName found in:
Interface Location.sourceName()
Interface ReferenceType.sourceName()
sourcepath found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


SOUTH found in:
Class BorderLayout.SOUTH
Class GridBagConstraints.SOUTH
Interface SwingConstants.SOUTH


SpaceAbove found in:
Class ParagraphConstants.SpaceAbove
Class StyleConstants.SpaceAbove
SpaceBelow found in:
Class ParagraphConstants.SpaceBelow
Class StyleConstants.SpaceBelow


specifyingname found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


SpecifyKeystore found in:
Policy Tool - Policy File Creation and Management Tool
Policy Tool - Policy File Creation and Management Tool
SPIPROPS found in:
Guidelines for LDAP Service Providers
JNDI/LDAP Service Provider


splitindex found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
splitPane found in:
Class BasicSplitPaneDivider.splitPane
Class BasicSplitPaneUI.splitPane


SQLPermission found in:
Class SQLPermission
Permissions in the Java(TM) 2 SDK


sqrt found in:
Class Math.sqrt(double)
Class StrictMath.sqrt(double)


SRC found in:
Class AlphaComposite.SRC
Class Attribute.SRC


srcpath found in:
Command Line Changes
Command Line Changes


SSL found in:
Guidelines for LDAP Service Providers
JNDI/LDAP Service Provider


standard found in:
java - the Java application launcher
java - the Java application launcher
java - the Java application launcher
javac - Java programming language compiler
javac - Java programming language compiler
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


start found in:
Class Applet.start()
Class BlockAction.start(javax.swing.text.html.HTML.Tag, javax.swing.text.MutableAttributeSet)
Class CharacterAction.start(javax.swing.text.html.HTML.Tag, javax.swing.text.MutableAttributeSet)
Class Doclet.start(com.sun.javadoc.RootDoc)
Class Double.start
Class Float.start
Class FormAction.start(javax.swing.text.html.HTML.Tag, javax.swing.text.MutableAttributeSet)
Class HiddenAction.start(javax.swing.text.html.HTML.Tag, javax.swing.text.MutableAttributeSet)
Class IsindexAction.start(javax.swing.text.html.HTML.Tag, javax.swing.text.MutableAttributeSet)
Class ParagraphAction.start(javax.swing.text.html.HTML.Tag, javax.swing.text.MutableAttributeSet)
Class PreAction.start(javax.swing.text.html.HTML.Tag, javax.swing.text.MutableAttributeSet)
Class SpecialAction.start(javax.swing.text.html.HTML.Tag, javax.swing.text.MutableAttributeSet)
Class TagAction.start(javax.swing.text.html.HTML.Tag, javax.swing.text.MutableAttributeSet)
Class Thread.start()
Class Timer.start()
Interface DataLine.start()
Interface Sequencer.start()


START found in:
Class Attribute.START
Class ShortMessage.START
Class Type.START


startDrag found in:
Class DragGestureEvent.startDrag(java.awt.Cursor, java.awt.datatransfer.Transferable, java.awt.dnd.DragSourceListener)
Class DragSource.startDrag(java.awt.dnd.DragGestureEvent, java.awt.Cursor, java.awt.Image, java.awt.Point, java.awt.datatransfer.Transferable, java.awt.dnd.DragSourceListener, java.awt.datatransfer.FlavorMap)
startEditingAtPath found in:
Class BasicTreeUI.startEditingAtPath(javax.swing.JTree, javax.swing.tree.TreePath)
Class JTree.startEditingAtPath(javax.swing.tree.TreePath)
Class MultiTreeUI.startEditingAtPath(javax.swing.JTree, javax.swing.tree.TreePath)
Class TreeUI.startEditingAtPath(javax.swing.JTree, javax.swing.tree.TreePath)
startProduction found in:
Class FilteredImageSource.startProduction(java.awt.image.ImageConsumer)
Class MemoryImageSource.startProduction(java.awt.image.ImageConsumer)
Class RenderableImageProducer.startProduction(java.awt.image.ImageConsumer)
Interface ImageProducer.startProduction(java.awt.image.ImageConsumer)
startsWith found in:
Class CompositeName.startsWith(javax.naming.Name)
Class CompoundName.startsWith(javax.naming.Name)
Class String.startsWith(java.lang.String, int)
Interface Name.startsWith(javax.naming.Name)
startTag found in:
Class HTMLWriter.startTag(javax.swing.text.Element)
Class Parser.startTag(javax.swing.text.html.parser.TagElement)


StartTool found in:
Policy Tool - Policy File Creation and Management Tool
Policy Tool - Policy File Creation and Management Tool


state found in:
Class Signature.state
Guidelines for LDAP Service Providers
stateChanged found in:
Class AccessibleJMenuItem.stateChanged(javax.swing.event.ChangeEvent)
Class AccessibleJScrollPane.stateChanged(javax.swing.event.ChangeEvent)
Class AccessibleJTabbedPane.stateChanged(javax.swing.event.ChangeEvent)
Class BasicButtonListener.stateChanged(javax.swing.event.ChangeEvent)
Class ButtonChangeListener.stateChanged(javax.swing.event.ChangeEvent)
Class ChangeHandler.stateChanged(javax.swing.event.ChangeEvent)
Class ChangeHandler.stateChanged(javax.swing.event.ChangeEvent)
Class ChangeHandler.stateChanged(javax.swing.event.ChangeEvent)
Class HSBChangeListener.stateChanged(javax.swing.event.ChangeEvent)
Class ModelListener.stateChanged(javax.swing.event.ChangeEvent)
Class ModelListener.stateChanged(javax.swing.event.ChangeEvent)
Class TabSelectionHandler.stateChanged(javax.swing.event.ChangeEvent)
Class ViewportChangeHandler.stateChanged(javax.swing.event.ChangeEvent)
Class VSBChangeListener.stateChanged(javax.swing.event.ChangeEvent)
Interface ChangeListener.stateChanged(javax.swing.event.ChangeEvent)


Statement found in:
Interface Statement
Statement


status found in:
Class PixelGrabber.status()
Interface ThreadReference.status()


stop found in:
Class Applet.stop()
Class DropTargetAutoScroller.stop()
Class Thread.stop()
Class ThreadGroup.stop()
Class Timer.stop()
Interface AudioClip.stop()
Interface DataLine.stop()
Interface Sequencer.stop()
Interface ThreadReference.stop(com.sun.jdi.ObjectReference)


STOP found in:
Class ShortMessage.STOP
Class Type.STOP


stopCellEditing found in:
Class AbstractCellEditor.stopCellEditing()
Class DefaultCellEditor.stopCellEditing()
Class DefaultTreeCellEditor.stopCellEditing()
Class EditorDelegate.stopCellEditing()
Interface CellEditor.stopCellEditing()
stopEditing found in:
Class BasicTreeUI.stopEditing(javax.swing.JTree)
Class JTree.stopEditing()
Class MultiTreeUI.stopEditing(javax.swing.JTree)
Class TreeUI.stopEditing(javax.swing.JTree)


store found in:
Class KeyStore.store(java.io.OutputStream, char[])
Class Properties.store(java.io.OutputStream, java.lang.String)


STORED found in:
Class ZipEntry.STORED
Class ZipOutputStream.STORED


StrikeThrough found in:
Class CharacterConstants.StrikeThrough
Class StyleConstants.StrikeThrough


stringValueOf found in:
Interface BooleanArgument.stringValueOf(boolean)
Interface IntegerArgument.stringValueOf(int)


STYLE found in:
Class Attribute.STYLE
Class Tag.STYLE


stylesheet.css found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
stylesheetfile found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


subdivide found in:
Class CubicCurve2D.subdivide(java.awt.geom.CubicCurve2D, java.awt.geom.CubicCurve2D)
Class QuadCurve2D.subdivide(java.awt.geom.QuadCurve2D, java.awt.geom.QuadCurve2D)
subList found in:
Class AbstractList.subList(int, int)
Class Vector.subList(int, int)
Interface List.subList(int, int)
subMap found in:
Class TreeMap.subMap(java.lang.Object, java.lang.Object)
Interface SortedMap.subMap(java.lang.Object, java.lang.Object)


Subscript found in:
Class CharacterConstants.Subscript
Class StyleConstants.Subscript


subSet found in:
Class TreeSet.subSet(java.lang.Object, java.lang.Object)
Interface SortedSet.subSet(java.lang.Object, java.lang.Object)


Substitution by Serializable Classes found in:
Substitution by Serializable Classes
Substitution by Serializable Classes
Substitution by Serializable Classes


substring found in:
Class String.substring(int)
Class StringBuffer.substring(int)
subtract found in:
Class Area.subtract(java.awt.geom.Area)
Class BigDecimal.subtract(java.math.BigDecimal)
Class BigInteger.subtract(java.math.BigInteger)


SUBTREE_SCOPE found in:
Class SearchControls.SUBTREE_SCOPE
Interface EventContext.SUBTREE_SCOPE


superclass found in:
Interface ClassDoc.superclass()
Interface ClassType.superclass()


Superscript found in:
Class CharacterConstants.Superscript
Class StyleConstants.Superscript


supportsCustomEditor found in:
Class PropertyEditorSupport.supportsCustomEditor()
Interface PropertyEditor.supportsCustomEditor()


suspend found in:
Class Thread.suspend()
Class ThreadGroup.suspend()
Interface ThreadGroupReference.suspend()
Interface ThreadReference.suspend()
Interface VirtualMachine.suspend()


suspendPolicy found in:
Interface EventRequest.suspendPolicy()
Interface EventSet.suspendPolicy()


SuspendThread found in:
Java(tm) Virtual Machine Debug Interface Reference
The Java Virtual Machine Profiler Interface (JVMPI)


SW_RESIZE_CURSOR found in:
Class Cursor.SW_RESIZE_CURSOR
Class Frame.SW_RESIZE_CURSOR


sync found in:
Class FileDescriptor.sync()
Class Toolkit.sync()


synopsis found in:
java - the Java application launcher
java - the Java application launcher
java - the Java application launcher
javac - Java programming language compiler
javac - Java programming language compiler
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
javald - the wrapper creator for java applications


S_RESIZE_CURSOR found in:
Class Cursor.S_RESIZE_CURSOR
Class Frame.S_RESIZE_CURSOR


T-Index found in:
T-Index
T-Index


TabbedPaneLayout found in:
Class TabbedPaneLayout
Class TabbedPaneLayout


tabForCoordinate found in:
Class BasicTabbedPaneUI.tabForCoordinate(javax.swing.JTabbedPane, int, int)
Class MultiTabbedPaneUI.tabForCoordinate(javax.swing.JTabbedPane, int, int)
Class TabbedPaneUI.tabForCoordinate(javax.swing.JTabbedPane, int, int)


TABLE found in:
Class AccessibleRole.TABLE
Class Tag.TABLE


table found in:
Accessibility - New Features
Class BasicTableUI.table
Class JTableHeader.table


tableChanged found in:
Class AccessibleJTable.tableChanged(javax.swing.event.TableModelEvent)
Class JTable.tableChanged(javax.swing.event.TableModelEvent)
Interface TableModelListener.tableChanged(javax.swing.event.TableModelEvent)


TabSet found in:
Class ParagraphConstants.TabSet
Class StyleConstants.TabSet
Class TabSet


Tag found in:
Class Tag
Interface Tag
Java(tm) Debug Wire Protocol


tags found in:
Doclet Overview
Interface Doc.tags()


tailMap found in:
Class TreeMap.tailMap(java.lang.Object)
Interface SortedMap.tailMap(java.lang.Object)
tailSet found in:
Class TreeSet.tailSet(java.lang.Object)
Interface SortedSet.tailSet(java.lang.Object)


tan found in:
Class Math.tan(double)
Class StrictMath.tan(double)


target found in:
Class Event.target
Class Request.target()


terminology found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


text found in:
Class AbstractWriter.text(javax.swing.text.Element)
Class HTMLWriter.text(javax.swing.text.Element)
Class MinimalHTMLWriter.text(javax.swing.text.Element)
Class SystemColor.text
Interface Tag.text()
Package javax.swing


TEXT found in:
Class AccessibleRole.TEXT
Class Attribute.TEXT
Class SystemColor.TEXT


textAreaContent found in:
Class HTMLReader.textAreaContent(char[])
Class HTMLWriter.textAreaContent(javax.swing.text.AttributeSet)


textValueChanged found in:
Class AccessibleAWTTextComponent.textValueChanged(java.awt.event.TextEvent)
Class AWTEventMulticaster.textValueChanged(java.awt.event.TextEvent)
Interface TextListener.textValueChanged(java.awt.event.TextEvent)


TEXT_CURSOR found in:
Class Cursor.TEXT_CURSOR
Class Frame.TEXT_CURSOR


thisObject found in:
Interface StackFrame.thisObject()
Interface Tie.thisObject()
thread found in:
Interface ClassPrepareEvent.thread()
Interface LocatableEvent.thread()
Interface StackFrame.thread()
Interface StepRequest.thread()
Interface ThreadDeathEvent.thread()
Interface ThreadStartEvent.thread()
Interface VMStartEvent.thread()
Java(tm) Virtual Machine Debug Interface Reference


thumbColor found in:
Class BasicScrollBarUI.thumbColor
Class MetalSliderUI.thumbColor
thumbRect found in:
Class BasicScrollBarUI.thumbRect
Class BasicSliderUI.thumbRect


timer found in:
Class ComponentHandler.timer
Class DefaultTreeCellEditor.timer
Enhancements in java.lang and java.util.*


Timer found in:
Class Timer
Class Timer


title found in:
Class DTD.title
Class JInternalFrame.title
Class TitledBorder.title
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


TITLE found in:
Class Attribute.TITLE
Class Tag.TITLE


toArray found in:
Class AbstractCollection.toArray()
Class AccessibleRelationSet.toArray()
Class AccessibleStateSet.toArray()
Class ArrayList.toArray()
Class BeanContextMembershipEvent.toArray()
Class BeanContextSupport.toArray()
Class DefaultListModel.toArray()
Class DragGestureEvent.toArray()
Class LinkedList.toArray()
Class Vector.toArray()
Interface Collection.toArray()
Interface List.toArray()
Interface Set.toArray()
toBack found in:
Class JInternalFrame.toBack()
Class Window.toBack()
toBinaryString found in:
Class Integer.toBinaryString(int)
Class Long.toBinaryString(long)
toByteArray found in:
Class BigInteger.toByteArray()
Class ByteArrayOutputStream.toByteArray()
Class CollationKey.toByteArray()
toCharArray found in:
Class CharArrayWriter.toCharArray()
Class String.toCharArray()
toCIEXYZ found in:
Class ColorSpace.toCIEXYZ(float[])
Class ICC_ColorSpace.toCIEXYZ(float[])
toDegrees found in:
Class Math.toDegrees(double)
Class StrictMath.toDegrees(double)
toExternalForm found in:
Class URL.toExternalForm()
Class URLStreamHandler.toExternalForm(java.net.URL)
toFront found in:
Class JInternalFrame.toFront()
Class Window.toFront()


ToggleButtonBorder found in:
Class ToggleButtonBorder
Class ToggleButtonBorder


toHexString found in:
Class Integer.toHexString(int)
Class Long.toHexString(long)
toLocalizedPattern found in:
Class DecimalFormat.toLocalizedPattern()
Class SimpleDateFormat.toLocalizedPattern()
toLowerCase found in:
Class Character.toLowerCase(char)
Class String.toLowerCase(java.util.Locale)
toOctalString found in:
Class Integer.toOctalString(int)
Class Long.toOctalString(long)
toolBar found in:
Class BasicToolBarUI.toolBar
Class DockingListener.toolBar


tooloption found in:
Setting the class path
Setting the class path
tools found in:
Java(TM) 2 SDK Documentation
New Features
X.509 certificates


TOP found in:
Class JSplitPane.TOP
Class TitledBorder.TOP
Interface SwingConstants.TOP


top found in:
Class EmptyBorder.top
Class Insets.top
javald - the wrapper creator for java applications
toPattern found in:
Class ChoiceFormat.toPattern()
Class DecimalFormat.toPattern()
Class MessageFormat.toPattern()
Class SimpleDateFormat.toPattern()


TOP_ALIGNMENT found in:
Class Component.TOP_ALIGNMENT
Class GraphicAttribute.TOP_ALIGNMENT


toRadians found in:
Class Math.toRadians(double)
Class StrictMath.toRadians(double)


toRGB found in:
Class ColorSpace.toRGB(float[])
Class ICC_ColorSpace.toRGB(float[])
toString found in:
Class AbstractCollection.toString()
Class AbstractMap.toString()
Class AbstractUndoableEdit.toString()
Class AccessibleBundle.toString()
Class AccessibleRelationSet.toString()
Class AccessibleStateSet.toString()
Class AffineTransform.toString()
Class AlgorithmParameters.toString()
Class Annotation.toString()
Class Attribute.toString()
Class Attribute.toString()
Class Attribute.toString()
Class AttributeList.toString()
Class AttributeModificationException.toString()
Class AudioFileFormat.toString()
Class AudioFormat.toString()
Class AWTEvent.toString()
Class BasicAttribute.toString()
Class BasicAttributes.toString()
Class Bias.toString()
Class BigDecimal.toString()
Class BigInteger.toString(int)
Class BinaryRefAddr.toString()
Class Binding.toString()
Class BitSet.toString()
Class Boolean.toString()
Class BooleanControl.toString()
Class BorderLayout.toString()
Class BranchElement.toString()
Class BufferedImage.toString()
Class Byte.toString(byte)
Class ByteArrayOutputStream.toString()
Class Calendar.toString()
Class CardLayout.toString()
Class Certificate.toString()
Class Character.toString()
Class CharArrayWriter.toString()
Class CheckboxGroup.toString()
Class Class.toString()
Class CodeSource.toString()
Class Color.toString()
Class ColorModel.toString()
Class ColorType.toString()
Class Component.toString()
Class CompositeName.toString()
Class CompoundControl.toString()
Class CompoundEdit.toString()
Class CompoundName.toString()
Class Constructor.toString()
Class ContentModel.toString()
Class Control.toString()
Class CRL.toString()
Class Cursor.toString()
Class DataFlavor.toString()
Class Date.toString()
Class Date.toString()
Class DefaultBoundedRangeModel.toString()
Class DefaultCaret.toString()
Class DefaultDocumentEvent.toString()
Class DefaultListModel.toString()
Class DefaultListSelectionModel.toString()
Class DefaultMutableTreeNode.toString()
Class DefaultSelectionType.toString()
Class DefaultTreeSelectionModel.toString()
Class Delegate.toString(org.omg.CORBA.Object)
Class DestinationType.toString()
Class DialogType.toString()
Class DigestInputStream.toString()
Class DigestOutputStream.toString()
Class Dimension.toString()
Class DirectColorModel.toString()
Class Double.toString()
Class Double.toString()
Class Double.toString(double)
Class DTD.toString()
Class Element.toString()
Class ElementSpec.toString()
Class Encoding.toString()
Class EnumControl.toString()
Class Event.toString()
Class EventListenerList.toString()
Class EventObject.toString()
Class EventType.toString()
Class EventType.toString()
Class Field.toString()
Class FieldPosition.toString()
Class File.toString()
Class Float.toString()
Class Float.toString()
Class Float.toString(float)
Class FloatControl.toString()
Class FlowLayout.toString()
Class Font.toString()
Class FontMetrics.toString()
Class Graphics.toString()
Class GridBagLayout.toString()
Class GridLayout.toString()
Class Hashtable.toString()
Class Identity.toString()
Class IdentityScope.toString()
Class ImageIcon.toString()
Class IndexColorModel.toString()
Class InetAddress.toString()
Class Info.toString()
Class Info.toString()
Class Info.toString()
Class Info.toString()
Class Info.toString()
Class Insets.toString()
Class Integer.toString(int, int)
Class JobAttributes.toString()
Class KeyStroke.toString()
Class LeafElement.toString()
Class LineEvent.toString()
Class LinkException.toString()
Class ListSelectionEvent.toString()
Class Locale.toString()
Class LogStream.toString()
Class Long.toString(long, int)
Class LookAndFeel.toString()
Class LookAndFeelInfo.toString()
Class MediaType.toString()
Class MenuComponent.toString()
Class MenuShortcut.toString()
Class MessageDigest.toString()
Class Method.toString()
Class ModificationItem.toString()
Class Modifier.toString(int)
Class MultipleDocumentHandlingType.toString()
Class Name.toString()
Class NameClassPair.toString()
Class NamedStyle.toString()
Class NamingException.toString()
Class Object.toString()
Class ObjectImpl.toString()
Class ObjectStreamClass.toString()
Class ObjectStreamField.toString()
Class ObjID.toString()
Class Operation.toString()
Class Option.toString()
Class OrientationRequestedType.toString()
Class OriginType.toString()
Class Package.toString()
Class PageAttributes.toString()
Class ParsePosition.toString()
Class Permission.toString()
Class PermissionCollection.toString()
Class Point.toString()
Class PrintQualityType.toString()
Class PrivilegedActionException.toString()
Class ProtectionDomain.toString()
Class Provider.toString()
Class Rectangle.toString()
Class RefAddr.toString()
Class Reference.toString()
Class RemoteObject.toString()
Class RenderingHints.toString()
Class RepaintManager.toString()
Class ReverbType.toString()
Class Robot.toString()
Class SearchResult.toString()
Class Segment.toString()
Class ServerSocket.toString()
Class Short.toString(short)
Class SidesType.toString()
Class Signature.toString()
Class Signer.toString()
Class SimpleAttributeSet.toString()
Class SimpleTimeZone.toString()
Class SizeRequirements.toString()
Class SmallAttributeSet.toString()
Class Socket.toString()
Class SocketImpl.toString()
Class StreamTokenizer.toString()
Class String.toString()
Class StringBuffer.toString()
Class StringWriter.toString()
Class Stub.toString()
Class StyleConstants.toString()
Class StyleContext.toString()
Class Subset.toString()
Class SyncMode.toString()
Class SystemColor.toString()
Class SystemException.toString()
Class TabSet.toString()
Class TabStop.toString()
Class Tag.toString()
Class TextHitInfo.toString()
Class TextLayout.toString()
Class Thread.toString()
Class ThreadGroup.toString()
Class Throwable.toString()
Class Time.toString()
Class Timestamp.toString()
Class TreeModelEvent.toString()
Class TreePath.toString()
Class Type.toString()
Class Type.toString()
Class Type.toString()
Class UID.toString()
Class UndoableEditSupport.toString()
Class UndoManager.toString()
Class UnresolvedPermission.toString()
Class URL.toString()
Class URLConnection.toString()
Class Vector.toString()
Class VMID.toString()
Class X509CRLEntry.toString()
Class ZipEntry.toString()
Interface Acl.toString()
Interface AclEntry.toString()
Interface Certificate.toString(boolean)
Interface Mirror.toString()
Interface Parameter.toString()
Interface Permission.toString()
Interface Principal.toString()
Interface StubDelegate.toString(javax.rmi.CORBA.Stub)
Interface Tag.toString()
Interface Type.toString()
toStub found in:
Class PortableRemoteObject.toStub(java.rmi.Remote)
Class RemoteObject.toStub(java.rmi.Remote)
Interface PortableRemoteObjectDelegate.toStub(java.rmi.Remote)
toUpperCase found in:
Class Character.toUpperCase(char)
Class String.toUpperCase(java.util.Locale)


TrackListener found in:
Class TrackListener
Class TrackListener


trackListener found in:
Class BasicScrollBarUI.trackListener
Class BasicSliderUI.trackListener
trackRect found in:
Class BasicScrollBarUI.trackRect
Class BasicSliderUI.trackRect


TRAILING found in:
Class FlowLayout.TRAILING
Class TitledBorder.TRAILING
Interface SwingConstants.TRAILING


transform found in:
Class AffineTransform.transform(java.awt.geom.Point2D, java.awt.geom.Point2D)
Class Area.transform(java.awt.geom.AffineTransform)
Class GeneralPath.transform(java.awt.geom.AffineTransform)
Class Graphics2D.transform(java.awt.geom.AffineTransform)


TRANSIENT found in:
Class AccessibleState.TRANSIENT
Class Modifier.TRANSIENT
Class TRANSIENT


translate found in:
Class AffineTransform.translate(double, double)
Class DebugGraphics.translate(int, int)
Class Event.translate(int, int)
Class Graphics.translate(int, int)
Class Graphics2D.translate(int, int)
Class Point.translate(int, int)
Class Polygon.translate(int, int)
Class Rectangle.translate(int, int)


tree found in:
Class BasicTreeUI.tree
Class DefaultTreeCellEditor.tree
Frequently Asked Questions - RMI and Object Serialization


treeCollapsed found in:
Class AccessibleJTree.treeCollapsed(javax.swing.event.TreeExpansionEvent)
Class TreeExpansionHandler.treeCollapsed(javax.swing.event.TreeExpansionEvent)
Interface TreeExpansionListener.treeCollapsed(javax.swing.event.TreeExpansionEvent)


treeExpanded found in:
Class AccessibleJTree.treeExpanded(javax.swing.event.TreeExpansionEvent)
Class TreeExpansionHandler.treeExpanded(javax.swing.event.TreeExpansionEvent)
Interface TreeExpansionListener.treeExpanded(javax.swing.event.TreeExpansionEvent)


treeModel found in:
Class AbstractLayoutCache.treeModel
Class BasicTreeUI.treeModel
Class JTree.treeModel


TreeModelHandler found in:
Class TreeModelHandler
Class TreeModelHandler


treeNodesChanged found in:
Class AbstractLayoutCache.treeNodesChanged(javax.swing.event.TreeModelEvent)
Class AccessibleJTree.treeNodesChanged(javax.swing.event.TreeModelEvent)
Class FixedHeightLayoutCache.treeNodesChanged(javax.swing.event.TreeModelEvent)
Class TreeModelHandler.treeNodesChanged(javax.swing.event.TreeModelEvent)
Class TreeModelHandler.treeNodesChanged(javax.swing.event.TreeModelEvent)
Class VariableHeightLayoutCache.treeNodesChanged(javax.swing.event.TreeModelEvent)
Interface TreeModelListener.treeNodesChanged(javax.swing.event.TreeModelEvent)
treeNodesInserted found in:
Class AbstractLayoutCache.treeNodesInserted(javax.swing.event.TreeModelEvent)
Class AccessibleJTree.treeNodesInserted(javax.swing.event.TreeModelEvent)
Class FixedHeightLayoutCache.treeNodesInserted(javax.swing.event.TreeModelEvent)
Class TreeModelHandler.treeNodesInserted(javax.swing.event.TreeModelEvent)
Class TreeModelHandler.treeNodesInserted(javax.swing.event.TreeModelEvent)
Class VariableHeightLayoutCache.treeNodesInserted(javax.swing.event.TreeModelEvent)
Interface TreeModelListener.treeNodesInserted(javax.swing.event.TreeModelEvent)
treeNodesRemoved found in:
Class AbstractLayoutCache.treeNodesRemoved(javax.swing.event.TreeModelEvent)
Class AccessibleJTree.treeNodesRemoved(javax.swing.event.TreeModelEvent)
Class FixedHeightLayoutCache.treeNodesRemoved(javax.swing.event.TreeModelEvent)
Class TreeModelHandler.treeNodesRemoved(javax.swing.event.TreeModelEvent)
Class TreeModelHandler.treeNodesRemoved(javax.swing.event.TreeModelEvent)
Class VariableHeightLayoutCache.treeNodesRemoved(javax.swing.event.TreeModelEvent)
Interface TreeModelListener.treeNodesRemoved(javax.swing.event.TreeModelEvent)


treeSelectionModel found in:
Class AbstractLayoutCache.treeSelectionModel
Class BasicTreeUI.treeSelectionModel


treeStructureChanged found in:
Class AbstractLayoutCache.treeStructureChanged(javax.swing.event.TreeModelEvent)
Class AccessibleJTree.treeStructureChanged(javax.swing.event.TreeModelEvent)
Class FixedHeightLayoutCache.treeStructureChanged(javax.swing.event.TreeModelEvent)
Class TreeModelHandler.treeStructureChanged(javax.swing.event.TreeModelEvent)
Class TreeModelHandler.treeStructureChanged(javax.swing.event.TreeModelEvent)
Class VariableHeightLayoutCache.treeStructureChanged(javax.swing.event.TreeModelEvent)
Interface TreeModelListener.treeStructureChanged(javax.swing.event.TreeModelEvent)


trimToSize found in:
Class ArrayList.trimToSize()
Class DefaultListModel.trimToSize()
Class Vector.trimToSize()
trouble found in:
Developing a Client Applet
Writing the IDL file
troubleshooting found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
Running the Hello World Application


TrustedCertWarning found in:
keytool-Key and Certificate Management Tool
keytool-Key and Certificate Management Tool


type found in:
Class AccessibleJTableModelChange.type
Class AlreadyBoundHelper.type()
Class Any.type()
Class AnySeqHelper.type()
Class AttributeList.type
Class BindingHelper.type()
Class BindingIteratorHelper.type()
Class BindingListHelper.type()
Class BindingTypeHelper.type()
Class BooleanSeqHelper.type()
Class CannotProceedHelper.type()
Class CharSeqHelper.type()
Class CompletionStatusHelper.type()
Class ContentModel.type
Class CurrentHelper.type()
Class DefinitionKindHelper.type()
Class DoubleSeqHelper.type()
Class Element.type
Class Entity.type
Class FieldNameHelper.type()
Class FloatSeqHelper.type()
Class IdentifierHelper.type()
Class IDLTypeHelper.type()
Class InvalidNameHelper.type()
Class IstringHelper.type()
Class LongLongSeqHelper.type()
Class LongSeqHelper.type()
Class MidiFileFormat.type
Class NameComponentHelper.type()
Class NameHelper.type()
Class NameValuePairHelper.type()
Class NamingContextHelper.type()
Class NamingEvent.type
Class NotEmptyHelper.type()
Class NotFoundHelper.type()
Class NotFoundReasonHelper.type()
Class ObjectHelper.type()
Class OctetSeqHelper.type()
Class PolicyHelper.type()
Class PolicyListHelper.type()
Class PolicyTypeHelper.type()
Class RepositoryIdHelper.type()
Class ServiceDetailHelper.type()
Class ServiceInformationHelper.type()
Class SetOverrideTypeHelper.type()
Class ShortSeqHelper.type()
Class StringValueHelper.type()
Class StructMember.type
Class StructMemberHelper.type()
Class TableModelEvent.type
Class ULongLongSeqHelper.type()
Class ULongSeqHelper.type()
Class UnionMember.type
Class UnionMemberHelper.type()
Class UShortSeqHelper.type()
Class ValueBaseHelper.type()
Class ValueMember.type
Class ValueMemberHelper.type()
Class VersionSpecHelper.type()
Class VisibilityHelper.type()
Class WCharSeqHelper.type()
Class WStringValueHelper.type()
Class _IDLTypeStub.type()
Interface DynAny.type()
Interface Field.type()
Interface FieldDoc.type()
Interface IDLTypeOperations.type()
Interface LocalVariable.type()
Interface Parameter.type()
Interface Value.type()


Type found in:
Class Type
Class Type
Class Type
Class Type
Class Type
Class Type
Class Type
Interface Type
Interface Type
TYPE found in:
Class Attribute.TYPE
Class Boolean.TYPE
Class Byte.TYPE
Class Character.TYPE
Class Double.TYPE
Class Float.TYPE
Class Integer.TYPE
Class Long.TYPE
Class Short.TYPE
Class Void.TYPE


typeName found in:
Interface Field.typeName()
Interface LocalVariable.typeName()
Interface Parameter.typeName()
Interface Type.typeName()


type_def found in:
Class StructMember.type_def
Class UnionMember.type_def
Class ValueMember.type_def


ui found in:
Class ChangeHandler.ui
Class JComponent.ui
Java(tm) Platform Debugger Architecture


UIResource found in:
Class UIResource
Class UIResource
Class UIResource
Class UIResource
Class UIResource
Class UIResource
Interface UIResource


uis found in:
Class MultiButtonUI.uis
Class MultiColorChooserUI.uis
Class MultiComboBoxUI.uis
Class MultiDesktopIconUI.uis
Class MultiDesktopPaneUI.uis
Class MultiFileChooserUI.uis
Class MultiInternalFrameUI.uis
Class MultiLabelUI.uis
Class MultiListUI.uis
Class MultiMenuBarUI.uis
Class MultiMenuItemUI.uis
Class MultiOptionPaneUI.uis
Class MultiPanelUI.uis
Class MultiPopupMenuUI.uis
Class MultiProgressBarUI.uis
Class MultiScrollBarUI.uis
Class MultiScrollPaneUI.uis
Class MultiSeparatorUI.uis
Class MultiSliderUI.uis
Class MultiSplitPaneUI.uis
Class MultiTabbedPaneUI.uis
Class MultiTableHeaderUI.uis
Class MultiTableUI.uis
Class MultiTextUI.uis
Class MultiToolBarUI.uis
Class MultiToolTipUI.uis
Class MultiTreeUI.uis
Class MultiViewportUI.uis


unbind found in:
Class InitialContext.unbind(java.lang.String)
Class Naming.unbind(java.lang.String)
Class _NamingContextStub.unbind(org.omg.CosNaming.NameComponent[])
Interface Context.unbind(javax.naming.Name)
Interface NamingContextOperations.unbind(org.omg.CosNaming.NameComponent[])
Interface Registry.unbind(java.lang.String)
unconfigureArrowButton found in:
Class BasicComboBoxUI.unconfigureArrowButton()
Class MetalComboBoxUI.unconfigureArrowButton()
unconfigureEditor found in:
Class BasicComboBoxUI.unconfigureEditor()
Class MetalComboBoxUI.unconfigureEditor()


Underline found in:
Class CharacterConstants.Underline
Class StyleConstants.Underline


understand found in:
Developing a Client Applet
Developing a Client Application
Developing the Hello World Server
Writing the IDL file


Understanding found in:
Setting the class path
Setting the class path


undo found in:
Class AbstractUndoableEdit.undo()
Class AttributeUndoableEdit.undo()
Class CompoundEdit.undo()
Class DefaultDocumentEvent.undo()
Class ElementEdit.undo()
Class StateEdit.undo()
Class UndoManager.undo()
Interface UndoableEdit.undo()
Package javax.swing


undoableEditHappened found in:
Class UndoManager.undoableEditHappened(javax.swing.event.UndoableEditEvent)
Interface UndoableEditListener.undoableEditHappened(javax.swing.event.UndoableEditEvent)


unexportObject found in:
Class Activatable.unexportObject(java.rmi.Remote, boolean)
Class PortableRemoteObject.unexportObject(java.rmi.Remote)
Class UnicastRemoteObject.unexportObject(java.rmi.Remote, boolean)
Class Util.unexportObject(java.rmi.Remote)
Interface PortableRemoteObjectDelegate.unexportObject(java.rmi.Remote)
Interface UtilDelegate.unexportObject(java.rmi.Remote)


unimpl found in:
Package org.omg.CORBA
Package org.omg.CORBA.portable
Package org.omg.CORBA_2_3


uninstallComponents found in:
Class BasicComboBoxUI.uninstallComponents()
Class BasicDesktopIconUI.uninstallComponents()
Class BasicFileChooserUI.uninstallComponents(javax.swing.JFileChooser)
Class BasicInternalFrameUI.uninstallComponents()
Class BasicLabelUI.uninstallComponents(javax.swing.JLabel)
Class BasicMenuItemUI.uninstallComponents(javax.swing.JMenuItem)
Class BasicOptionPaneUI.uninstallComponents()
Class BasicRootPaneUI.uninstallComponents(javax.swing.JRootPane)
Class BasicScrollBarUI.uninstallComponents()
Class BasicToolBarUI.uninstallComponents()
Class BasicTreeUI.uninstallComponents()
Class MetalDesktopIconUI.uninstallComponents()
Class MetalFileChooserUI.uninstallComponents(javax.swing.JFileChooser)
uninstallDefaults found in:
Class BasicButtonUI.uninstallDefaults(javax.swing.AbstractButton)
Class BasicColorChooserUI.uninstallDefaults()
Class BasicComboBoxUI.uninstallDefaults()
Class BasicDesktopIconUI.uninstallDefaults()
Class BasicDesktopPaneUI.uninstallDefaults()
Class BasicFileChooserUI.uninstallDefaults(javax.swing.JFileChooser)
Class BasicInternalFrameTitlePane.uninstallDefaults()
Class BasicInternalFrameUI.uninstallDefaults()
Class BasicLabelUI.uninstallDefaults(javax.swing.JLabel)
Class BasicListUI.uninstallDefaults()
Class BasicMenuBarUI.uninstallDefaults()
Class BasicMenuItemUI.uninstallDefaults()
Class BasicMenuUI.uninstallDefaults()
Class BasicOptionPaneUI.uninstallDefaults()
Class BasicPanelUI.uninstallDefaults(javax.swing.JPanel)
Class BasicPopupMenuUI.uninstallDefaults()
Class BasicProgressBarUI.uninstallDefaults()
Class BasicRadioButtonUI.uninstallDefaults(javax.swing.AbstractButton)
Class BasicRootPaneUI.uninstallDefaults(javax.swing.JRootPane)
Class BasicScrollBarUI.uninstallDefaults()
Class BasicScrollPaneUI.uninstallDefaults(javax.swing.JScrollPane)
Class BasicSeparatorUI.uninstallDefaults(javax.swing.JSeparator)
Class BasicSplitPaneUI.uninstallDefaults()
Class BasicTabbedPaneUI.uninstallDefaults()
Class BasicTableHeaderUI.uninstallDefaults()
Class BasicTableUI.uninstallDefaults()
Class BasicTextUI.uninstallDefaults()
Class BasicToolBarUI.uninstallDefaults()
Class BasicToolTipUI.uninstallDefaults(javax.swing.JComponent)
Class BasicTreeUI.uninstallDefaults()
Class BasicViewportUI.uninstallDefaults(javax.swing.JComponent)
Class MetalButtonUI.uninstallDefaults(javax.swing.AbstractButton)
Class MetalCheckBoxUI.uninstallDefaults(javax.swing.AbstractButton)
Class MetalRadioButtonUI.uninstallDefaults(javax.swing.AbstractButton)
Class MetalToggleButtonUI.uninstallDefaults(javax.swing.AbstractButton)
uninstallingUI found in:
Class BasicComboPopup.uninstallingUI()
Interface ComboPopup.uninstallingUI()
uninstallKeyboardActions found in:
Class BasicButtonListener.uninstallKeyboardActions(javax.swing.JComponent)
Class BasicButtonUI.uninstallKeyboardActions(javax.swing.AbstractButton)
Class BasicComboBoxUI.uninstallKeyboardActions()
Class BasicComboPopup.uninstallKeyboardActions()
Class BasicDesktopPaneUI.uninstallKeyboardActions()
Class BasicInternalFrameUI.uninstallKeyboardActions()
Class BasicLabelUI.uninstallKeyboardActions(javax.swing.JLabel)
Class BasicListUI.uninstallKeyboardActions()
Class BasicMenuBarUI.uninstallKeyboardActions()
Class BasicMenuItemUI.uninstallKeyboardActions()
Class BasicMenuUI.uninstallKeyboardActions()
Class BasicOptionPaneUI.uninstallKeyboardActions()
Class BasicPopupMenuUI.uninstallKeyboardActions()
Class BasicRootPaneUI.uninstallKeyboardActions(javax.swing.JRootPane)
Class BasicScrollBarUI.uninstallKeyboardActions()
Class BasicScrollPaneUI.uninstallKeyboardActions(javax.swing.JScrollPane)
Class BasicSliderUI.uninstallKeyboardActions(javax.swing.JSlider)
Class BasicSplitPaneUI.uninstallKeyboardActions()
Class BasicTabbedPaneUI.uninstallKeyboardActions()
Class BasicTableHeaderUI.uninstallKeyboardActions()
Class BasicTableUI.uninstallKeyboardActions()
Class BasicTextUI.uninstallKeyboardActions()
Class BasicToolBarUI.uninstallKeyboardActions()
Class BasicTreeUI.uninstallKeyboardActions()
Class MetalInternalFrameUI.uninstallKeyboardActions()
uninstallListeners found in:
Class BasicButtonUI.uninstallListeners(javax.swing.AbstractButton)
Class BasicColorChooserUI.uninstallListeners()
Class BasicComboBoxUI.uninstallListeners()
Class BasicDesktopIconUI.uninstallListeners()
Class BasicFileChooserUI.uninstallListeners(javax.swing.JFileChooser)
Class BasicInternalFrameTitlePane.uninstallListeners()
Class BasicInternalFrameUI.uninstallListeners()
Class BasicLabelUI.uninstallListeners(javax.swing.JLabel)
Class BasicListUI.uninstallListeners()
Class BasicMenuBarUI.uninstallListeners()
Class BasicMenuItemUI.uninstallListeners()
Class BasicMenuUI.uninstallListeners()
Class BasicOptionPaneUI.uninstallListeners()
Class BasicPopupMenuUI.uninstallListeners()
Class BasicProgressBarUI.uninstallListeners()
Class BasicRootPaneUI.uninstallListeners(javax.swing.JRootPane)
Class BasicScrollBarUI.uninstallListeners()
Class BasicScrollPaneUI.uninstallListeners(javax.swing.JComponent)
Class BasicSeparatorUI.uninstallListeners(javax.swing.JSeparator)
Class BasicSliderUI.uninstallListeners(javax.swing.JSlider)
Class BasicSplitPaneUI.uninstallListeners()
Class BasicTabbedPaneUI.uninstallListeners()
Class BasicTableHeaderUI.uninstallListeners()
Class BasicTableUI.uninstallListeners()
Class BasicTextUI.uninstallListeners()
Class BasicToolBarUI.uninstallListeners()
Class BasicToolTipUI.uninstallListeners(javax.swing.JComponent)
Class BasicTreeUI.uninstallListeners()
Class MetalComboBoxUI.uninstallListeners()
Class MetalScrollPaneUI.uninstallListeners(javax.swing.JScrollPane)
Class MetalToolBarUI.uninstallListeners()
uninstallUI found in:
Class BasicButtonUI.uninstallUI(javax.swing.JComponent)
Class BasicColorChooserUI.uninstallUI(javax.swing.JComponent)
Class BasicComboBoxUI.uninstallUI(javax.swing.JComponent)
Class BasicDesktopIconUI.uninstallUI(javax.swing.JComponent)
Class BasicDesktopPaneUI.uninstallUI(javax.swing.JComponent)
Class BasicFileChooserUI.uninstallUI(javax.swing.JComponent)
Class BasicInternalFrameUI.uninstallUI(javax.swing.JComponent)
Class BasicLabelUI.uninstallUI(javax.swing.JComponent)
Class BasicListUI.uninstallUI(javax.swing.JComponent)
Class BasicMenuBarUI.uninstallUI(javax.swing.JComponent)
Class BasicMenuItemUI.uninstallUI(javax.swing.JComponent)
Class BasicOptionPaneUI.uninstallUI(javax.swing.JComponent)
Class BasicPanelUI.uninstallUI(javax.swing.JComponent)
Class BasicPopupMenuUI.uninstallUI(javax.swing.JComponent)
Class BasicProgressBarUI.uninstallUI(javax.swing.JComponent)
Class BasicRootPaneUI.uninstallUI(javax.swing.JComponent)
Class BasicScrollBarUI.uninstallUI(javax.swing.JComponent)
Class BasicScrollPaneUI.uninstallUI(javax.swing.JComponent)
Class BasicSeparatorUI.uninstallUI(javax.swing.JComponent)
Class BasicSliderUI.uninstallUI(javax.swing.JComponent)
Class BasicSplitPaneUI.uninstallUI(javax.swing.JComponent)
Class BasicTabbedPaneUI.uninstallUI(javax.swing.JComponent)
Class BasicTableHeaderUI.uninstallUI(javax.swing.JComponent)
Class BasicTableUI.uninstallUI(javax.swing.JComponent)
Class BasicTextUI.uninstallUI(javax.swing.JComponent)
Class BasicToolBarUI.uninstallUI(javax.swing.JComponent)
Class BasicToolTipUI.uninstallUI(javax.swing.JComponent)
Class BasicTreeUI.uninstallUI(javax.swing.JComponent)
Class BasicViewportUI.uninstallUI(javax.swing.JComponent)
Class ComponentUI.uninstallUI(javax.swing.JComponent)
Class MetalComboBoxUI.uninstallUI(javax.swing.JComponent)
Class MetalFileChooserUI.uninstallUI(javax.swing.JComponent)
Class MetalInternalFrameUI.uninstallUI(javax.swing.JComponent)
Class MetalScrollPaneUI.uninstallUI(javax.swing.JComponent)
Class MetalToolBarUI.uninstallUI(javax.swing.JComponent)
Class MetalTreeUI.uninstallUI(javax.swing.JComponent)
Class MultiButtonUI.uninstallUI(javax.swing.JComponent)
Class MultiColorChooserUI.uninstallUI(javax.swing.JComponent)
Class MultiComboBoxUI.uninstallUI(javax.swing.JComponent)
Class MultiDesktopIconUI.uninstallUI(javax.swing.JComponent)
Class MultiDesktopPaneUI.uninstallUI(javax.swing.JComponent)
Class MultiFileChooserUI.uninstallUI(javax.swing.JComponent)
Class MultiInternalFrameUI.uninstallUI(javax.swing.JComponent)
Class MultiLabelUI.uninstallUI(javax.swing.JComponent)
Class MultiListUI.uninstallUI(javax.swing.JComponent)
Class MultiMenuBarUI.uninstallUI(javax.swing.JComponent)
Class MultiMenuItemUI.uninstallUI(javax.swing.JComponent)
Class MultiOptionPaneUI.uninstallUI(javax.swing.JComponent)
Class MultiPanelUI.uninstallUI(javax.swing.JComponent)
Class MultiPopupMenuUI.uninstallUI(javax.swing.JComponent)
Class MultiProgressBarUI.uninstallUI(javax.swing.JComponent)
Class MultiScrollBarUI.uninstallUI(javax.swing.JComponent)
Class MultiScrollPaneUI.uninstallUI(javax.swing.JComponent)
Class MultiSeparatorUI.uninstallUI(javax.swing.JComponent)
Class MultiSliderUI.uninstallUI(javax.swing.JComponent)
Class MultiSplitPaneUI.uninstallUI(javax.swing.JComponent)
Class MultiTabbedPaneUI.uninstallUI(javax.swing.JComponent)
Class MultiTableHeaderUI.uninstallUI(javax.swing.JComponent)
Class MultiTableUI.uninstallUI(javax.swing.JComponent)
Class MultiTextUI.uninstallUI(javax.swing.JComponent)
Class MultiToolBarUI.uninstallUI(javax.swing.JComponent)
Class MultiToolTipUI.uninstallUI(javax.swing.JComponent)
Class MultiTreeUI.uninstallUI(javax.swing.JComponent)
Class MultiViewportUI.uninstallUI(javax.swing.JComponent)
union found in:
Class Rectangle.union(java.awt.Rectangle)
Class Rectangle2D.union(java.awt.geom.Rectangle2D, java.awt.geom.Rectangle2D, java.awt.geom.Rectangle2D)


UNKNOWN found in:
Class AccessibleRole.UNKNOWN
Class ComponentOrientation.UNKNOWN
Class UNKNOWN
UnknownHostException found in:
Class UnknownHostException
Class UnknownHostException


unprocessed found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
unread found in:
Class PushbackInputStream.unread(int)
Class PushbackReader.unread(int)


unregisterListeners found in:
Class DragGestureRecognizer.unregisterListeners()
Class MouseDragGestureRecognizer.unregisterListeners()


update found in:
Class Adler32.update(int)
Class BasicMenuItemUI.update(java.awt.Graphics, javax.swing.JComponent)
Class BasicTextUI.update(java.awt.Graphics, javax.swing.JComponent)
Class CellRendererPane.update(java.awt.Graphics)
Class Component.update(java.awt.Graphics)
Class ComponentUI.update(java.awt.Graphics, javax.swing.JComponent)
Class Container.update(java.awt.Graphics)
Class CRC32.update(int)
Class JApplet.update(java.awt.Graphics)
Class JComponent.update(java.awt.Graphics)
Class JDialog.update(java.awt.Graphics)
Class JFrame.update(java.awt.Graphics)
Class MessageDigest.update(byte)
Class MetalTabbedPaneUI.update(java.awt.Graphics, javax.swing.JComponent)
Class MultiButtonUI.update(java.awt.Graphics, javax.swing.JComponent)
Class MultiColorChooserUI.update(java.awt.Graphics, javax.swing.JComponent)
Class MultiComboBoxUI.update(java.awt.Graphics, javax.swing.JComponent)
Class MultiDesktopIconUI.update(java.awt.Graphics, javax.swing.JComponent)
Class MultiDesktopPaneUI.update(java.awt.Graphics, javax.swing.JComponent)
Class MultiFileChooserUI.update(java.awt.Graphics, javax.swing.JComponent)
Class MultiInternalFrameUI.update(java.awt.Graphics, javax.swing.JComponent)
Class MultiLabelUI.update(java.awt.Graphics, javax.swing.JComponent)
Class MultiListUI.update(java.awt.Graphics, javax.swing.JComponent)
Class MultiMenuBarUI.update(java.awt.Graphics, javax.swing.JComponent)
Class MultiMenuItemUI.update(java.awt.Graphics, javax.swing.JComponent)
Class MultiOptionPaneUI.update(java.awt.Graphics, javax.swing.JComponent)
Class MultiPanelUI.update(java.awt.Graphics, javax.swing.JComponent)
Class MultiPopupMenuUI.update(java.awt.Graphics, javax.swing.JComponent)
Class MultiProgressBarUI.update(java.awt.Graphics, javax.swing.JComponent)
Class MultiScrollBarUI.update(java.awt.Graphics, javax.swing.JComponent)
Class MultiScrollPaneUI.update(java.awt.Graphics, javax.swing.JComponent)
Class MultiSeparatorUI.update(java.awt.Graphics, javax.swing.JComponent)
Class MultiSliderUI.update(java.awt.Graphics, javax.swing.JComponent)
Class MultiSplitPaneUI.update(java.awt.Graphics, javax.swing.JComponent)
Class MultiTabbedPaneUI.update(java.awt.Graphics, javax.swing.JComponent)
Class MultiTableHeaderUI.update(java.awt.Graphics, javax.swing.JComponent)
Class MultiTableUI.update(java.awt.Graphics, javax.swing.JComponent)
Class MultiTextUI.update(java.awt.Graphics, javax.swing.JComponent)
Class MultiToolBarUI.update(java.awt.Graphics, javax.swing.JComponent)
Class MultiToolTipUI.update(java.awt.Graphics, javax.swing.JComponent)
Class MultiTreeUI.update(java.awt.Graphics, javax.swing.JComponent)
Class MultiViewportUI.update(java.awt.Graphics, javax.swing.JComponent)
Class Signature.update(byte)
Interface Checksum.update(int)
Interface LineListener.update(javax.sound.sampled.LineEvent)
Interface Observer.update(java.util.Observable, java.lang.Object)
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


UPDATE found in:
Class PaintEvent.UPDATE
Class TableModelEvent.UPDATE
Interface AccessibleTableModelChange.UPDATE


updateChildren found in:
Class View.updateChildren(javax.swing.event.DocumentEvent.ElementChange, javax.swing.event.DocumentEvent, javax.swing.text.ViewFactory)
Class ZoneView.updateChildren(javax.swing.event.DocumentEvent.ElementChange, javax.swing.event.DocumentEvent, javax.swing.text.ViewFactory)
updateLayout found in:
Class AsyncBoxView.updateLayout(javax.swing.event.DocumentEvent.ElementChange, javax.swing.event.DocumentEvent, java.awt.Shape)
Class View.updateLayout(javax.swing.event.DocumentEvent.ElementChange, javax.swing.event.DocumentEvent, java.awt.Shape)
updateRenderer found in:
Class BasicHTML.updateRenderer(javax.swing.JComponent, java.lang.String)
Class BasicTreeUI.updateRenderer()
updateUI found in:
Class AbstractButton.updateUI()
Class DefaultTableCellRenderer.updateUI()
Class JButton.updateUI()
Class JCheckBox.updateUI()
Class JColorChooser.updateUI()
Class JComboBox.updateUI()
Class JComponent.updateUI()
Class JDesktopIcon.updateUI()
Class JDesktopPane.updateUI()
Class JFileChooser.updateUI()
Class JInternalFrame.updateUI()
Class JLabel.updateUI()
Class JList.updateUI()
Class JMenu.updateUI()
Class JMenuBar.updateUI()
Class JMenuItem.updateUI()
Class JOptionPane.updateUI()
Class JPanel.updateUI()
Class JPopupMenu.updateUI()
Class JProgressBar.updateUI()
Class JRadioButton.updateUI()
Class JRootPane.updateUI()
Class JScrollBar.updateUI()
Class JScrollPane.updateUI()
Class JSeparator.updateUI()
Class JSlider.updateUI()
Class JSplitPane.updateUI()
Class JTabbedPane.updateUI()
Class JTable.updateUI()
Class JTableHeader.updateUI()
Class JTextComponent.updateUI()
Class JToggleButton.updateUI()
Class JToolBar.updateUI()
Class JToolTip.updateUI()
Class JTree.updateUI()
Class JViewport.updateUI()
updateUndoPositions found in:
Class GapContent.updateUndoPositions(java.util.Vector, int, int)
Class StringContent.updateUndoPositions(java.util.Vector)
upKey found in:
Class BasicSplitPaneUI.upKey
Class BasicTabbedPaneUI.upKey
Class BasicToolBarUI.upKey


upperLeft found in:
Class JScrollPane.upperLeft
Class ScrollPaneLayout.upperLeft
upperRight found in:
Class JScrollPane.upperRight
Class ScrollPaneLayout.upperRight


URL found in:
Class URL
JNDI/COS Naming Service Provider


url found in:
Class URLConnection.url
Guidelines for LDAP Service Providers


URLPROP found in:
JNDI/COS Naming Service Provider
JNDI/RMI Registry Service Provider
Usage found in:
Policy Tool - Policy File Creation and Management Tool
Policy Tool - Policy File Creation and Management Tool


use found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
useDaylightTime found in:
Class SimpleTimeZone.useDaylightTime()
Class TimeZone.useDaylightTime()


userclasspath found in:
javac - Java programming language compiler
javac - Java programming language compiler


using found in:
Editing the font.properites Files
Java(tm) Virtual Machine Debug Interface Reference


Using Externalization and Evolution found in:
Using Externalization and Evolution
Using Externalization and Evolution
Using Externalization and Evolution
Using Serialization and the Serializable Fields API found in:
Using Serialization and the Serializable Fields API
Using Serialization and the Serializable Fields API
Using Serialization and the Serializable Fields API
Using Serialization with a Custom Data Format found in:
Using Serialization with a Custom Data Format
Using Serialization with a Custom Data Format
Using Serialization with a Custom Data Format
Using Serialization with a NonSerializable Superclass found in:
Using Serialization with a NonSerializable Superclass
Using Serialization with a NonSerializable Superclass
Using Serialization with a NonSerializable Superclass
Using Serialization with Evolution found in:
Using Serialization with Evolution
Using Serialization with Evolution
Using Serialization with Evolution
Using Serialization with Sockets found in:
Using Serialization with Sockets
Using Serialization with Sockets
Using Serialization with Sockets


validate found in:
Class Component.validate()
Class Container.validate()
Class DefaultListCellRenderer.validate()
Class DefaultTableCellRenderer.validate()
Class DefaultTreeCellRenderer.validate()


value found in:
Class AlreadyBoundHolder.value
Class AnyHolder.value
Class AnySeqHolder.value
Class AttributeList.value
Class BindingHolder.value
Class BindingIteratorHolder.value
Class BindingListHolder.value
Class BindingType.value()
Class BindingTypeHolder.value
Class BooleanHolder.value
Class BooleanSeqHolder.value
Class ByteHolder.value
Class CannotProceedHolder.value
Class CharHolder.value
Class CharSeqHolder.value
Class CompletionStatus.value()
Class CurrentHolder.value
Class DefinitionKind.value()
Class DoubleHolder.value
Class DoubleSeqHolder.value
Class DriverPropertyInfo.value
Class EditorDelegate.value
Class FixedHolder.value
Class FloatHolder.value
Class FloatSeqHolder.value
Class IntHolder.value
Class InvalidNameHolder.value
Class JOptionPane.value
Class LongHolder.value
Class LongLongSeqHolder.value
Class LongSeqHolder.value
Class NameComponentHolder.value
Class NamedValue.value()
Class NameHolder.value
Class NameValuePair.value
Class NamingContextHolder.value
Class NotEmptyHolder.value
Class NotFoundHolder.value
Class NotFoundReason.value()
Class NotFoundReasonHolder.value
Class ObjectHolder.value
Class OctetSeqHolder.value
Class PolicyHolder.value
Class PolicyListHolder.value
Class PrincipalHolder.value
Class ServiceInformationHolder.value
Class SetOverrideType.value()
Class ShortHolder.value
Class ShortSeqHolder.value
Class StringHolder.value
Class TCKind.value()
Class TypeCodeHolder.value
Class ULongLongSeqHolder.value
Class ULongSeqHolder.value
Class UShortSeqHolder.value
Class ValueBaseHolder.value
Class WCharSeqHolder.value
Interface Argument.value()
Interface ARG_IN.value
Interface ARG_INOUT.value
Interface ARG_OUT.value
Interface BAD_POLICY.value
Interface BAD_POLICY_TYPE.value
Interface BAD_POLICY_VALUE.value
Interface BooleanValue.value()
Interface ByteValue.value()
Interface CharValue.value()
Interface CTX_RESTRICT_SCOPE.value
Interface DoubleValue.value()
Interface FloatValue.value()
Interface IntegerValue.value()
Interface LongValue.value()
Interface OMGVMCID.value
Interface PRIVATE_MEMBER.value
Interface PUBLIC_MEMBER.value
Interface ShortValue.value()
Interface StringReference.value()
Interface UNSUPPORTED_POLICY.value
Interface UNSUPPORTED_POLICY_VALUE.value
Interface VM_ABSTRACT.value
Interface VM_CUSTOM.value
Interface VM_NONE.value
Interface VM_TRUNCATABLE.value


valueChanged found in:
Class AccessibleJList.valueChanged(javax.swing.event.ListSelectionEvent)
Class AccessibleJTable.valueChanged(javax.swing.event.ListSelectionEvent)
Class AccessibleJTree.valueChanged(javax.swing.event.TreeSelectionEvent)
Class DefaultTableColumnModel.valueChanged(javax.swing.event.ListSelectionEvent)
Class DefaultTreeCellEditor.valueChanged(javax.swing.event.TreeSelectionEvent)
Class JTable.valueChanged(javax.swing.event.ListSelectionEvent)
Class ListSelectionHandler.valueChanged(javax.swing.event.ListSelectionEvent)
Class ListSelectionHandler.valueChanged(javax.swing.event.ListSelectionEvent)
Class MetalFileChooserUI.valueChanged(javax.swing.event.ListSelectionEvent)
Class SelectionListener.valueChanged(javax.swing.event.ListSelectionEvent)
Class TreeSelectionHandler.valueChanged(javax.swing.event.TreeSelectionEvent)
Class TreeSelectionRedirector.valueChanged(javax.swing.event.TreeSelectionEvent)
Interface ListSelectionListener.valueChanged(javax.swing.event.ListSelectionEvent)
Interface TreeSelectionListener.valueChanged(javax.swing.event.TreeSelectionEvent)


valueForPathChanged found in:
Class DefaultTreeModel.valueForPathChanged(javax.swing.tree.TreePath, java.lang.Object)
Interface TreeModel.valueForPathChanged(javax.swing.tree.TreePath, java.lang.Object)


valueOf found in:
Class BigDecimal.valueOf(long, int)
Class BigInteger.valueOf(long)
Class Boolean.valueOf(java.lang.String)
Class Byte.valueOf(java.lang.String, int)
Class Date.valueOf(java.lang.String)
Class Double.valueOf(java.lang.String)
Class Float.valueOf(java.lang.String)
Class Integer.valueOf(java.lang.String, int)
Class Long.valueOf(java.lang.String, int)
Class Short.valueOf(java.lang.String, int)
Class String.valueOf(java.lang.Object)
Class Time.valueOf(java.lang.String)
Class Timestamp.valueOf(java.lang.String)
values found in:
Class AbstractMap.values()
Class AttributeList.values
Class Attributes.values()
Class BasicAttribute.values
Class HashMap.values()
Class Hashtable.values()
Class Provider.values()
Class RenderingHints.values()
Class TreeMap.values()
Interface Map.values()


verbose found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
verify found in:
Class Certificate.verify(java.security.PublicKey)
Class InputVerifier.verify(javax.swing.JComponent)
Class Signature.verify(byte[])
Class SignedObject.verify(java.security.PublicKey, java.security.Signature)
Class X509CRL.verify(java.security.PublicKey)


Verifying found in:
jarsigner-JAR Signing and Verification Tool
jarsigner-JAR Signing and Verification Tool


version found in:
Class ValueMember.version
Guidelines for LDAP Service Providers
Interface VirtualMachine.version()
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


VERTICAL found in:
Class AccessibleState.VERTICAL
Class GridBagConstraints.VERTICAL
Class Scrollbar.VERTICAL
Interface Adjustable.VERTICAL
Interface SwingConstants.VERTICAL


vetoableChange found in:
Class BeanContextSupport.vetoableChange(java.beans.PropertyChangeEvent)
Interface VetoableChangeListener.vetoableChange(java.beans.PropertyChangeEvent)


VIEWPORT found in:
Class AccessibleRole.VIEWPORT
Interface ScrollPaneConstants.VIEWPORT


viewport found in:
Class JScrollPane.viewport
Class ScrollPaneLayout.viewport


viewToModel found in:
Class AsyncBoxView.viewToModel(float, float, java.awt.Shape, javax.swing.text.Position.Bias[])
Class BasicTextUI.viewToModel(javax.swing.text.JTextComponent, java.awt.Point)
Class BoxView.viewToModel(float, float, java.awt.Shape, javax.swing.text.Position.Bias[])
Class ComponentView.viewToModel(float, float, java.awt.Shape, javax.swing.text.Position.Bias[])
Class CompositeView.viewToModel(float, float, java.awt.Shape, javax.swing.text.Position.Bias[])
Class FieldView.viewToModel(float, float, java.awt.Shape, javax.swing.text.Position.Bias[])
Class GlyphPainter.viewToModel(javax.swing.text.GlyphView, float, float, java.awt.Shape, javax.swing.text.Position.Bias[])
Class GlyphView.viewToModel(float, float, java.awt.Shape, javax.swing.text.Position.Bias[])
Class IconView.viewToModel(float, float, java.awt.Shape, javax.swing.text.Position.Bias[])
Class JTextComponent.viewToModel(java.awt.Point)
Class MultiTextUI.viewToModel(javax.swing.text.JTextComponent, java.awt.Point)
Class PasswordView.viewToModel(float, float, java.awt.Shape, javax.swing.text.Position.Bias[])
Class PlainView.viewToModel(float, float, java.awt.Shape, javax.swing.text.Position.Bias[])
Class TextUI.viewToModel(javax.swing.text.JTextComponent, java.awt.Point)
Class View.viewToModel(float, float, java.awt.Shape, javax.swing.text.Position.Bias[])


vm found in:
java - the Java application launcher
Java(tm) Platform Debugger Architecture


WAIT_CURSOR found in:
Class Cursor.WAIT_CURSOR
Class Frame.WAIT_CURSOR


wasNull found in:
Interface CallableStatement.wasNull()
Interface ResultSet.wasNull()
Interface SQLInput.wasNull()


WEST found in:
Class BorderLayout.WEST
Class GridBagConstraints.WEST
Interface SwingConstants.WEST


what found in:
Doclet Overview
How and When to Deprecate APIs
Optional Package Overview


when found in:
Class Event.when
How and When to Deprecate APIs


wheretags found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


WIDTH found in:
Class Attribute.WIDTH
Class Attribute.WIDTH
Class TextAttribute.WIDTH
Interface ImageObserver.WIDTH


width found in:
Class Dimension.width
Class Double.width
Class Double.width
Class Double.width
Class Double.width
Class Float.width
Class Float.width
Class Float.width
Class Float.width
Class Raster.width
Class Rectangle.width
Class SampleModel.width
Class TableColumn.width


WINDOW found in:
Class AccessibleRole.WINDOW
Class SystemColor.WINDOW


windowActivated found in:
Class AWTEventMulticaster.windowActivated(java.awt.event.WindowEvent)
Class WindowAdapter.windowActivated(java.awt.event.WindowEvent)
Interface WindowListener.windowActivated(java.awt.event.WindowEvent)


windowClosed found in:
Class AWTEventMulticaster.windowClosed(java.awt.event.WindowEvent)
Class WindowAdapter.windowClosed(java.awt.event.WindowEvent)
Interface WindowListener.windowClosed(java.awt.event.WindowEvent)
windowClosing found in:
Class AWTEventMulticaster.windowClosing(java.awt.event.WindowEvent)
Class FrameListener.windowClosing(java.awt.event.WindowEvent)
Class WindowAdapter.windowClosing(java.awt.event.WindowEvent)
Class WinListener.windowClosing(java.awt.event.WindowEvent)
Interface WindowListener.windowClosing(java.awt.event.WindowEvent)


windowDeactivated found in:
Class AWTEventMulticaster.windowDeactivated(java.awt.event.WindowEvent)
Class WindowAdapter.windowDeactivated(java.awt.event.WindowEvent)
Interface WindowListener.windowDeactivated(java.awt.event.WindowEvent)
windowDeiconified found in:
Class AWTEventMulticaster.windowDeiconified(java.awt.event.WindowEvent)
Class WindowAdapter.windowDeiconified(java.awt.event.WindowEvent)
Interface WindowListener.windowDeiconified(java.awt.event.WindowEvent)


windowIconified found in:
Class AWTEventMulticaster.windowIconified(java.awt.event.WindowEvent)
Class WindowAdapter.windowIconified(java.awt.event.WindowEvent)
Interface WindowListener.windowIconified(java.awt.event.WindowEvent)


windowOpened found in:
Class AWTEventMulticaster.windowOpened(java.awt.event.WindowEvent)
Class WindowAdapter.windowOpened(java.awt.event.WindowEvent)
Interface WindowListener.windowOpened(java.awt.event.WindowEvent)
windowtitle found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


WIND_EVEN_ODD found in:
Class GeneralPath.WIND_EVEN_ODD
Interface PathIterator.WIND_EVEN_ODD
WIND_NON_ZERO found in:
Class GeneralPath.WIND_NON_ZERO
Interface PathIterator.WIND_NON_ZERO


wrapException found in:
Class Util.wrapException(java.lang.Throwable)
Interface UtilDelegate.wrapException(java.lang.Throwable)


write found in:
Class AbstractWriter.write()
Class AlreadyBoundHelper.write(org.omg.CORBA.portable.OutputStream, org.omg.CosNaming.NamingContextPackage.AlreadyBound)
Class AnySeqHelper.write(org.omg.CORBA.portable.OutputStream, org.omg.CORBA.Any[])
Class AudioFileWriter.write(javax.sound.sampled.AudioInputStream, javax.sound.sampled.AudioFileFormat.Type, java.io.OutputStream)
Class AudioSystem.write(javax.sound.sampled.AudioInputStream, javax.sound.sampled.AudioFileFormat.Type, java.io.OutputStream)
Class BindingHelper.write(org.omg.CORBA.portable.OutputStream, org.omg.CosNaming.Binding)
Class BindingIteratorHelper.write(org.omg.CORBA.portable.OutputStream, org.omg.CosNaming.BindingIterator)
Class BindingListHelper.write(org.omg.CORBA.portable.OutputStream, org.omg.CosNaming.Binding[])
Class BindingTypeHelper.write(org.omg.CORBA.portable.OutputStream, org.omg.CosNaming.BindingType)
Class BooleanSeqHelper.write(org.omg.CORBA.portable.OutputStream, boolean[])
Class BufferedOutputStream.write(int)
Class BufferedWriter.write(int)
Class ByteArrayOutputStream.write(int)
Class CannotProceedHelper.write(org.omg.CORBA.portable.OutputStream, org.omg.CosNaming.NamingContextPackage.CannotProceed)
Class CharArrayWriter.write(int)
Class CharSeqHelper.write(org.omg.CORBA.portable.OutputStream, char[])
Class CheckedOutputStream.write(int)
Class CompletionStatusHelper.write(org.omg.CORBA.portable.OutputStream, org.omg.CORBA.CompletionStatus)
Class CurrentHelper.write(org.omg.CORBA.portable.OutputStream, org.omg.CORBA.Current)
Class DataOutputStream.write(int)
Class DefaultEditorKit.write(java.io.OutputStream, javax.swing.text.Document, int, int)
Class DefinitionKindHelper.write(org.omg.CORBA.portable.OutputStream, org.omg.CORBA.DefinitionKind)
Class DeflaterOutputStream.write(int)
Class DigestOutputStream.write(int)
Class DoubleSeqHelper.write(org.omg.CORBA.portable.OutputStream, double[])
Class EditorKit.write(java.io.OutputStream, javax.swing.text.Document, int, int)
Class FieldNameHelper.write(org.omg.CORBA.portable.OutputStream, java.lang.String)
Class FileOutputStream.write(int)
Class FilterOutputStream.write(int)
Class FilterWriter.write(int)
Class FloatSeqHelper.write(org.omg.CORBA.portable.OutputStream, float[])
Class GZIPOutputStream.write(byte[], int, int)
Class HTMLEditorKit.write(java.io.Writer, javax.swing.text.Document, int, int)
Class HTMLWriter.write()
Class ICC_Profile.write(java.lang.String)
Class IdentifierHelper.write(org.omg.CORBA.portable.OutputStream, java.lang.String)
Class IDLTypeHelper.write(org.omg.CORBA.portable.OutputStream, org.omg.CORBA.IDLType)
Class InvalidNameHelper.write(org.omg.CORBA.portable.OutputStream, org.omg.CosNaming.NamingContextPackage.InvalidName)
Class IstringHelper.write(org.omg.CORBA.portable.OutputStream, java.lang.String)
Class JTextComponent.write(java.io.Writer)
Class LogStream.write(int)
Class LongLongSeqHelper.write(org.omg.CORBA.portable.OutputStream, long[])
Class LongSeqHelper.write(org.omg.CORBA.portable.OutputStream, int[])
Class Manifest.write(java.io.OutputStream)
Class MidiFileWriter.write(javax.sound.midi.Sequence, int, java.io.OutputStream)
Class MidiSystem.write(javax.sound.midi.Sequence, int, java.io.OutputStream)
Class MinimalHTMLWriter.write()
Class NameComponentHelper.write(org.omg.CORBA.portable.OutputStream, org.omg.CosNaming.NameComponent)
Class NameHelper.write(org.omg.CORBA.portable.OutputStream, org.omg.CosNaming.NameComponent[])
Class NameValuePairHelper.write(org.omg.CORBA.portable.OutputStream, org.omg.CORBA.NameValuePair)
Class NamingContextHelper.write(org.omg.CORBA.portable.OutputStream, org.omg.CosNaming.NamingContext)
Class NotEmptyHelper.write(org.omg.CORBA.portable.OutputStream, org.omg.CosNaming.NamingContextPackage.NotEmpty)
Class NotFoundHelper.write(org.omg.CORBA.portable.OutputStream, org.omg.CosNaming.NamingContextPackage.NotFound)
Class NotFoundReasonHelper.write(org.omg.CORBA.portable.OutputStream, org.omg.CosNaming.NamingContextPackage.NotFoundReason)
Class ObjectHelper.write(org.omg.CORBA.portable.OutputStream, org.omg.CORBA.Object)
Class ObjectOutputStream.write(int)
Class ObjID.write(java.io.ObjectOutput)
Class OctetSeqHelper.write(org.omg.CORBA.portable.OutputStream, byte[])
Class OutputStream.write(int)
Class OutputStream.write(int)
Class OutputStreamWriter.write(int)
Class PipedOutputStream.write(int)
Class PipedWriter.write(int)
Class PolicyHelper.write(org.omg.CORBA.portable.OutputStream, org.omg.CORBA.Policy)
Class PolicyListHelper.write(org.omg.CORBA.portable.OutputStream, org.omg.CORBA.Policy[])
Class PolicyTypeHelper.write(org.omg.CORBA.portable.OutputStream, int)
Class PrintStream.write(int)
Class PrintWriter.write(int)
Class PutField.write(java.io.ObjectOutput)
Class RandomAccessFile.write(int)
Class RepositoryIdHelper.write(org.omg.CORBA.portable.OutputStream, java.lang.String)
Class RTFEditorKit.write(java.io.OutputStream, javax.swing.text.Document, int, int)
Class ServiceDetailHelper.write(org.omg.CORBA.portable.OutputStream, org.omg.CORBA.ServiceDetail)
Class ServiceInformationHelper.write(org.omg.CORBA.portable.OutputStream, org.omg.CORBA.ServiceInformation)
Class SetOverrideTypeHelper.write(org.omg.CORBA.portable.OutputStream, org.omg.CORBA.SetOverrideType)
Class ShortSeqHelper.write(org.omg.CORBA.portable.OutputStream, short[])
Class StringValueHelper.write(org.omg.CORBA.portable.OutputStream, java.lang.String)
Class StringWriter.write(int)
Class StructMemberHelper.write(org.omg.CORBA.portable.OutputStream, org.omg.CORBA.StructMember)
Class UID.write(java.io.DataOutput)
Class ULongLongSeqHelper.write(org.omg.CORBA.portable.OutputStream, long[])
Class ULongSeqHelper.write(org.omg.CORBA.portable.OutputStream, int[])
Class UnionMemberHelper.write(org.omg.CORBA.portable.OutputStream, org.omg.CORBA.UnionMember)
Class UShortSeqHelper.write(org.omg.CORBA.portable.OutputStream, short[])
Class ValueBaseHelper.write(org.omg.CORBA.portable.OutputStream, java.io.Serializable)
Class ValueMemberHelper.write(org.omg.CORBA.portable.OutputStream, org.omg.CORBA.ValueMember)
Class VersionSpecHelper.write(org.omg.CORBA.portable.OutputStream, java.lang.String)
Class VisibilityHelper.write(org.omg.CORBA.portable.OutputStream, short)
Class WCharSeqHelper.write(org.omg.CORBA.portable.OutputStream, char[])
Class Writer.write(int)
Class WStringValueHelper.write(org.omg.CORBA.portable.OutputStream, java.lang.String)
Class ZipOutputStream.write(byte[], int, int)
Interface DataOutput.write(int)
Interface ObjectOutput.write(int)
Interface SourceDataLine.write(byte[], int, int)


writeAbstractObject found in:
Class Util.writeAbstractObject(org.omg.CORBA.portable.OutputStream, java.lang.Object)
Interface UtilDelegate.writeAbstractObject(org.omg.CORBA.portable.OutputStream, java.lang.Object)
writeAny found in:
Class Util.writeAny(org.omg.CORBA.portable.OutputStream, java.lang.Object)
Interface UtilDelegate.writeAny(org.omg.CORBA.portable.OutputStream, java.lang.Object)
writeAttributes found in:
Class AbstractWriter.writeAttributes(javax.swing.text.AttributeSet)
Class HTMLWriter.writeAttributes(javax.swing.text.AttributeSet)
Class MinimalHTMLWriter.writeAttributes(javax.swing.text.AttributeSet)
Class StyleContext.writeAttributes(java.io.ObjectOutputStream, javax.swing.text.AttributeSet)
writeBoolean found in:
Class DataOutputStream.writeBoolean(boolean)
Class ObjectOutputStream.writeBoolean(boolean)
Class RandomAccessFile.writeBoolean(boolean)
Interface DataOutput.writeBoolean(boolean)
Interface SQLOutput.writeBoolean(boolean)
writeByte found in:
Class DataOutputStream.writeByte(int)
Class ObjectOutputStream.writeByte(int)
Class RandomAccessFile.writeByte(int)
Interface DataOutput.writeByte(int)
Interface SQLOutput.writeByte(byte)
writeBytes found in:
Class DataOutputStream.writeBytes(java.lang.String)
Class ObjectOutputStream.writeBytes(java.lang.String)
Class RandomAccessFile.writeBytes(java.lang.String)
Interface DataOutput.writeBytes(java.lang.String)
Interface SQLOutput.writeBytes(byte[])
writeChar found in:
Class DataOutputStream.writeChar(int)
Class ObjectOutputStream.writeChar(int)
Class RandomAccessFile.writeChar(int)
Interface DataOutput.writeChar(int)
writeChars found in:
Class DataOutputStream.writeChars(java.lang.String)
Class ObjectOutputStream.writeChars(java.lang.String)
Class RandomAccessFile.writeChars(java.lang.String)
Interface DataOutput.writeChars(java.lang.String)
writeDouble found in:
Class DataOutputStream.writeDouble(double)
Class ObjectOutputStream.writeDouble(double)
Class RandomAccessFile.writeDouble(double)
Interface DataOutput.writeDouble(double)
Interface SQLOutput.writeDouble(double)
writeExternal found in:
Class DataFlavor.writeExternal(java.io.ObjectOutput)
Interface Externalizable.writeExternal(java.io.ObjectOutput)
writeFloat found in:
Class DataOutputStream.writeFloat(float)
Class ObjectOutputStream.writeFloat(float)
Class RandomAccessFile.writeFloat(float)
Interface DataOutput.writeFloat(float)
Interface SQLOutput.writeFloat(float)
writeInt found in:
Class DataOutputStream.writeInt(int)
Class ObjectOutputStream.writeInt(int)
Class RandomAccessFile.writeInt(int)
Interface DataOutput.writeInt(int)
Interface SQLOutput.writeInt(int)
writeLineSeparator found in:
Class AbstractWriter.writeLineSeparator()
Class HTMLWriter.writeLineSeparator()
writeLong found in:
Class DataOutputStream.writeLong(long)
Class ObjectOutputStream.writeLong(long)
Class RandomAccessFile.writeLong(long)
Interface DataOutput.writeLong(long)
Interface SQLOutput.writeLong(long)
writeObject found in:
Class ObjectOutputStream.writeObject(java.lang.Object)
Interface ObjectOutput.writeObject(java.lang.Object)
Interface SQLOutput.writeObject(java.sql.SQLData)
Interface StubDelegate.writeObject(javax.rmi.CORBA.Stub, java.io.ObjectOutputStream)


writeRemoteObject found in:
Class Util.writeRemoteObject(org.omg.CORBA.portable.OutputStream, java.lang.Object)
Interface UtilDelegate.writeRemoteObject(org.omg.CORBA.portable.OutputStream, java.lang.Object)
writeReplace found in:
Class Certificate.writeReplace()
Interface ValueHandler.writeReplace(java.io.Serializable)
writeShort found in:
Class DataOutputStream.writeShort(int)
Class ObjectOutputStream.writeShort(int)
Class RandomAccessFile.writeShort(int)
Interface DataOutput.writeShort(int)
Interface SQLOutput.writeShort(short)
writeTo found in:
Class ByteArrayOutputStream.writeTo(java.io.OutputStream)
Class CharArrayWriter.writeTo(java.io.Writer)
writeUTF found in:
Class DataOutputStream.writeUTF(java.lang.String)
Class ObjectOutputStream.writeUTF(java.lang.String)
Class RandomAccessFile.writeUTF(java.lang.String)
Interface DataOutput.writeUTF(java.lang.String)
write_any found in:
Class OutputStream.write_any(org.omg.CORBA.Any)
Interface DataOutputStream.write_any(org.omg.CORBA.Any)
write_boolean found in:
Class OutputStream.write_boolean(boolean)
Interface DataOutputStream.write_boolean(boolean)
write_boolean_array found in:
Class OutputStream.write_boolean_array(boolean[], int, int)
Interface DataOutputStream.write_boolean_array(boolean[], int, int)
write_char found in:
Class OutputStream.write_char(char)
Interface DataOutputStream.write_char(char)
write_char_array found in:
Class OutputStream.write_char_array(char[], int, int)
Interface DataOutputStream.write_char_array(char[], int, int)
write_double found in:
Class OutputStream.write_double(double)
Interface DataOutputStream.write_double(double)
write_double_array found in:
Class OutputStream.write_double_array(double[], int, int)
Interface DataOutputStream.write_double_array(double[], int, int)
write_float found in:
Class OutputStream.write_float(float)
Interface DataOutputStream.write_float(float)
write_float_array found in:
Class OutputStream.write_float_array(float[], int, int)
Interface DataOutputStream.write_float_array(float[], int, int)
write_long found in:
Class OutputStream.write_long(int)
Interface DataOutputStream.write_long(int)
write_longlong found in:
Class OutputStream.write_longlong(long)
Interface DataOutputStream.write_longlong(long)
write_longlong_array found in:
Class OutputStream.write_longlong_array(long[], int, int)
Interface DataOutputStream.write_longlong_array(long[], int, int)
write_long_array found in:
Class OutputStream.write_long_array(int[], int, int)
Interface DataOutputStream.write_long_array(int[], int, int)
write_Object found in:
Class OutputStream.write_Object(org.omg.CORBA.Object)
Interface DataOutputStream.write_Object(org.omg.CORBA.Object)
write_octet found in:
Class OutputStream.write_octet(byte)
Interface DataOutputStream.write_octet(byte)
write_octet_array found in:
Class OutputStream.write_octet_array(byte[], int, int)
Interface DataOutputStream.write_octet_array(byte[], int, int)
write_short found in:
Class OutputStream.write_short(short)
Interface DataOutputStream.write_short(short)
write_short_array found in:
Class OutputStream.write_short_array(short[], int, int)
Interface DataOutputStream.write_short_array(short[], int, int)
write_string found in:
Class OutputStream.write_string(java.lang.String)
Interface DataOutputStream.write_string(java.lang.String)
write_TypeCode found in:
Class OutputStream.write_TypeCode(org.omg.CORBA.TypeCode)
Interface DataOutputStream.write_TypeCode(org.omg.CORBA.TypeCode)
write_ulong found in:
Class OutputStream.write_ulong(int)
Interface DataOutputStream.write_ulong(int)
write_ulonglong found in:
Class OutputStream.write_ulonglong(long)
Interface DataOutputStream.write_ulonglong(long)
write_ulonglong_array found in:
Class OutputStream.write_ulonglong_array(long[], int, int)
Interface DataOutputStream.write_ulonglong_array(long[], int, int)
write_ulong_array found in:
Class OutputStream.write_ulong_array(int[], int, int)
Interface DataOutputStream.write_ulong_array(int[], int, int)
write_ushort found in:
Class OutputStream.write_ushort(short)
Interface DataOutputStream.write_ushort(short)
write_ushort_array found in:
Class OutputStream.write_ushort_array(short[], int, int)
Interface DataOutputStream.write_ushort_array(short[], int, int)
write_value found in:
Class Any.write_value(org.omg.CORBA.portable.OutputStream)
Class OutputStream.write_value(java.io.Serializable)
Class StringValueHelper.write_value(org.omg.CORBA.portable.OutputStream, java.io.Serializable)
Class WStringValueHelper.write_value(org.omg.CORBA.portable.OutputStream, java.io.Serializable)
Interface BoxedValueHelper.write_value(org.omg.CORBA.portable.OutputStream, java.io.Serializable)
write_wchar found in:
Class OutputStream.write_wchar(char)
Interface DataOutputStream.write_wchar(char)
write_wchar_array found in:
Class OutputStream.write_wchar_array(char[], int, int)
Interface DataOutputStream.write_wchar_array(char[], int, int)
write_wstring found in:
Class OutputStream.write_wstring(java.lang.String)
Interface DataOutputStream.write_wstring(java.lang.String)
writing found in:
What's New in Javadoc 1.2
Writing the IDL file


W_RESIZE_CURSOR found in:
Class Cursor.W_RESIZE_CURSOR
Class Frame.W_RESIZE_CURSOR


x found in:
Class Double.x
Class Double.x
Class Double.x
Class Double.x
Class Double.x
Class Event.x
Class Float.x
Class Float.x
Class Float.x
Class Float.x
Class Float.x
Class Point.x
Class Rectangle.x


x1 found in:
Class Double.x1
Class Double.x1
Class Double.x1
Class Float.x1
Class Float.x1
Class Float.x1
x2 found in:
Class Double.x2
Class Double.x2
Class Double.x2
Class Float.x2
Class Float.x2
Class Float.x2


X509EncodedKeySpec found in:
Class X509EncodedKeySpec
How to Implement a Provider for the Java Cryptography Architecture
Java Cryptography Architecture
Xms found in:
java - the Java application launcher
java - the Java application launcher
java - the Java application launcher


xor found in:
Class BigInteger.xor(java.math.BigInteger)
Class BitSet.xor(java.util.BitSet)


Xrs found in:
java - the Java application launcher
java - the Java application launcher
X_AXIS found in:
Class BoxLayout.X_AXIS
Class View.X_AXIS


y found in:
Class Double.y
Class Double.y
Class Double.y
Class Double.y
Class Double.y
Class Event.y
Class Float.y
Class Float.y
Class Float.y
Class Float.y
Class Float.y
Class Point.y
Class Rectangle.y


y1 found in:
Class Double.y1
Class Double.y1
Class Double.y1
Class Float.y1
Class Float.y1
Class Float.y1
y2 found in:
Class Double.y2
Class Double.y2
Class Double.y2
Class Float.y2
Class Float.y2
Class Float.y2


Y_AXIS found in:
Class BoxLayout.Y_AXIS
Class View.Y_AXIS


{@docRoot} found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator
{@link} found in:
javadoc-The Java API Documentation Generator
javadoc-The Java API Documentation Generator


Java(TM) 2, Standard Edition, (J2SE(TM)) Specification ("Specification")
Version: 1.3.1
Status: FCS
Release: May 17, 2001

Copyright 2001 Sun Microsystems, Inc.
901 San Antonio Road, Palo Alto, California 94303, U.S.A.
All rights reserved.

NOTICE
The Specification is protected by copyright and the information described therein may be protected by one or more U.S. patents, foreign patents, or pending applications. Except as provided under the following license, no part of the Specification may be reproduced in any form by any means without the prior written authorization of Sun Microsystems, Inc. ("Sun") and its licensors, if any. Any use of the Specification and the information described therein will be governed by the terms and conditions of this license and the Export Control and General Terms as set forth in Sun's website Legal Terms. By viewing, downloading or otherwise copying the Specification, you agree that you have read, understood, and will comply with all of the terms and conditions set forth herein.

Sun hereby grants you a fully-paid, non-exclusive, non-transferable, worldwide, limited license (without the right to sublicense), under Sun's intellectual property rights that are essential to practice the Specification, to internally practice the Specification solely for the purpose of creating a clean room implementation of the Specification that: (i) includes a complete implementation of the current version of the Specification, without subsetting or supersetting; (ii) implements all of the interfaces and functionality of the Specification, as defined by Sun, without subsetting or supersetting; (iii) includes a complete implementation of any optional components (as defined by Sun in the Specification) which you choose to implement, without subsetting or supersetting; (iv) implements all of the interfaces and functionality of such optional components, without subsetting or supersetting; (v) does not add any additional packages, classes or interfaces to the "java.*" or "javax.*" packages or subpackages (or other packages defined by Sun); (vi) satisfies all testing requirements available from Sun relating to the most recently published version of the Specification six (6) months prior to any release of the clean room implementation or upgrade thereto; (vii) does not derive from any Sun source code or binary code materials; and (viii) does not include any Sun source code or binary code materials without an appropriate and separate license from Sun. The Specification contains the proprietary information of Sun and may only be used in accordance with the license terms set forth herein. This license will terminate immediately without notice from Sun if you fail to comply with any provision of this license. Upon termination or expiration of this license, you must cease use of or destroy the Specification.

TRADEMARKS
No right, title, or interest in or to any trademarks, service marks, or trade names of Sun or Sun's licensors is granted hereunder. Sun, Sun Microsystems, the Sun logo, Java, J2SE, and the Java Coffee Cup logo are trademarks or registered trademarks of Sun Microsystems, Inc. in the U.S. and other countries.

DISCLAIMER OF WARRANTIES
THE SPECIFICATION IS PROVIDED "AS IS". SUN MAKES NO REPRESENTATIONS OR WARRANTIES, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO, WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT THAT THE CONTENTS OF THE SPECIFICATION ARE SUITABLE FOR ANY PURPOSE OR THAT ANY PRACTICE OR IMPLEMENTATION OF SUCH CONTENTS WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS, TRADE SECRETS OR OTHER RIGHTS. This document does not represent any commitment to release or implement any portion of the Specification in any product.

THE SPECIFICATION COULD INCLUDE TECHNICAL INACCURACIES OR TYPOGRAPHICAL ERRORS. CHANGES ARE PERIODICALLY ADDED TO THE INFORMATION THEREIN; THESE CHANGES WILL BE INCORPORATED INTO NEW VERSIONS OF THE SPECIFICATION, IF ANY. SUN MAY MAKE IMPROVEMENTS AND/OR CHANGES TO THE PRODUCT(S) AND/OR THE PROGRAM(S) DESCRIBED IN THE SPECIFICATION AT ANY TIME. Any use of such changes in the Specification will be governed by the then-current license for the applicable version of the Specification.

LIMITATION OF LIABILITY
TO THE EXTENT NOT PROHIBITED BY LAW, IN NO EVENT WILL SUN OR ITS LICENSORS BE LIABLE FOR ANY DAMAGES, INCLUDING WITHOUT LIMITATION, LOST REVENUE, PROFITS OR DATA, OR FOR SPECIAL, INDIRECT, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF OR RELATED TO ANY FURNISHING, PRACTICING, MODIFYING OR ANY USE OF THE SPECIFICATION, EVEN IF SUN AND/OR ITS LICENSORS HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

You will indemnify, hold harmless, and defend Sun and its licensors from any claims arising or resulting from: (i) your use of the Specification; (ii) the use or distribution of your Java application, applet and/or clean room implementation; and/or (iii) any claims that later versions or releases of any Specification furnished to you are incompatible with the Specification provided to you under this license.

RESTRICTED RIGHTS LEGEND
U.S. Government: If this Specification is being acquired by or on behalf of the U.S. Government or by a U.S. Government prime contractor or subcontractor (at any tier), then the Government's rights in the Software and accompanying documentation shall be only as set forth in this license; this is in accordance with 48 C.F.R. 227.7201 through 227.7202-4 (for Department of Defense (DoD) acquisitions) and with 48 C.F.R. 2.101 and 12.212 (for non-DoD acquisitions).

REPORT
You may wish to report any ambiguities, inconsistencies or inaccuracies you may find in connection with your use of the Specification ("Feedback"). To the extent that you provide Sun with any Feedback, you hereby: (i) agree that such Feedback is provided on a non-proprietary and non-confidential basis, and (ii) grant Sun a perpetual, non-exclusive, worldwide, fully paid-up, irrevocable license, with the right to sublicense through multiple levels of sublicensees, to incorporate, disclose, and use without limitation the Feedback for any purpose related to the Specification and future versions, implementations, and test suites thereof.

(LFI#87224/Form ID#011801)


Javadoc Tool

Java

Javadoc 1.3

 Java 2 SDK v1.3 Contents
Javadoc is a tool that parses the declarations and documentation comments in a set of source files and produces a set of HTML pages describing the classes, inner classes, interfaces, constructors, methods, and fields.

You can use Javadoc doclets to customize Javadoc output. A doclet is a program written with the doclet API that specifies the content and format of the output to be generated by the javadoc tool. You can write a doclet to generate any kind of text-file output, such as HTML, SGML, XML, RTF, and MIF. SunTM provides a "standard" doclet for generating HTML-format API documentation and an experimental MIF doclet for generating MIF, PDF, PS, RTF, FrameMaker, and other formats. Doclets can also be used to perform special tasks not related to producing API documentation. For example, a diagnostic doclet could be created to check that all class members of the classes on which Javadoc operates have documentation comments.

Javadoc Enhancements
Describes the new features.
  • What's New in Javadoc 1.3
  • What's New in Javadoc 1.2.2
  • What's New in Javadoc 1.2

Doclet Overview

Provides an introduction to doclets with simple examples that illustrate the doclet API.
  • Doclet Overview

The Doclet API

Documentation for the com.sun.javadoc package which comprises the doclet API.
  • The Doclet API

Doclets

  • Standard Doclet - the doclet that produces the default HTML-formatted API documentation. Javadoc uses the standard doclet if no other doclet is specified with Javadoc's -doclet option.

  • MIF Doclet - Experimental - generates API documentation in MIF (Maker Interchange Format). These MIF files can then be opened in Adobe FrameMaker (or fmbatch) and optionally converted to PDF, PS, Microsoft RTF, Microsoft Word or WordPerfect. Not included in Java 2 SDK.

  • Third Party Doclets - Developed outside of Sun.
Javadoc Tool Reference Page
References pages showing how to use the Javadoc tool, including descriptions of available command-line options.
  • Javadoc Tool Reference Page (Solaris)
  • Javadoc Tool Reference Page (Win32)

Let Us Know about Your Doclets

We'd like to know about doclets that you create. If you would like us to consider adding a link from the doclets page to your doclet's output, send the URL to javadoc-tool@sun.com.

For More Information

Located on the Java Software website:
  • Javadoc Home Page
  • Javadoc FAQ - Important tips and workarounds for bugs.
  • Javadoc Newsgroup - Go to the Javadoc Home Page for more details.

Copyright © 1997-98 Sun Microsystems, Inc. All Rights Reserved.

Please send comments to: javadoc-tool@sun.com 		Sun


 All Classes
ClassDoc
ConstructorDoc
Doc
DocErrorReporter
Doclet
ExecutableMemberDoc
FieldDoc
MemberDoc
MethodDoc
PackageDoc
Parameter
ParamTag
ProgramElementDoc
RootDoc
SeeTag
SerialFieldTag
Tag
ThrowsTag
Type


Package com.sun.javadoc

 com.sun.javadoc
Interfaces
ClassDoc
ConstructorDoc
Doc
DocErrorReporter
ExecutableMemberDoc
FieldDoc
MemberDoc
MethodDoc
PackageDoc
Parameter
ParamTag
ProgramElementDoc
RootDoc
SeeTag
SerialFieldTag
Tag
ThrowsTag
Type
Classes
Doclet


Standard Doclet Source Files

 Standard Doclet
The standard doclet is comprised of two packages, com.sun.tools.doclets and com.sun.tools.doclets.standard. You can link to the source code files for the classes in these packages below.

Package com.sun.tools.doclets

  • ClassComparator.java
  • ClassTree.java
  • CommentedMethodFinder.java
  • Configuration.java
  • DirectoryManager.java
  • DocletAbortException.java
  • HtmlDocWriter.java
  • HtmlWriter.java
  • ImplementedMethods.java
  • IndexBuilder.java
  • MessageRetriever.java
  • MethodFinder
  • SourcePath.java
  • TaggedMethodFinder.java
  • Util.java
  • VisibleMemberMap.java
  • Resource file doclets.properties
  • Resource file doclets_ja.properties
  • Resource file doclets_zh.properties

Package com.sun.tools.doclets.standard

  • AbstractIndexWriter.java
  • AbstractPackageIndexWriter.java
  • AbstractPackageWriter.java
  • AbstractSubWriter.java
  • AbstractTreeWriter.java
  • AllClassesFrameWriter.java
  • ClassSubWriter.java
  • ClassUseMapper.java
  • ClassUseWriter.java
  • ClassWriter.java
  • ConfigurationStandard.java
  • ConstructorSubWriter.java
  • DeprecatedAPIListBuilder.java
  • DeprecatedListWriter.java
  • ExecutableMemberSubWriter.java
  • Extern.java
  • FieldSubWriter.java
  • FrameOutputWriter.java
  • Group.java
  • HelpWriter.java
  • HtmlStandardWriter.java
  • MethodSubWriter.java
  • PackageFrameWriter.java
  • PackageIndexFrameWriter.java
  • PackageIndexWriter.java
  • PackageListWriter.java
  • PackageTreeWriter.java
  • PackageUseWriter.java
  • PackageWriter.java
  • PackagesFileWriter.java
  • SerialFieldSubWriter.java
  • SerialMethodSubWriter.java
  • SerializedFormWriter.java
  • SingleIndexWriter.java
  • SplitIndexWriter.java
  • Standard.java
  • StylesheetWriter.java
  • SubWriterHolderWriter.java
  • TreeWriter.java
  • Resource file standard.properties
  • Resource file standard_ja.properties
  • Resource file standard_zh.properties
NOTE - MemberFrameWriter.java is no longer used by the Standard Doclet. If you still have this source file from an earlier release, please omit it, as it will prevent the Standard Doclet from compiling.

Copyright © 2000 Sun Microsystems, Inc. All Rights Reserved.

Please send comments to: javadoc-tool@sun.com 		Sun